/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* Copy the first part of user declarations.  */
#line 1 "gram.y" /* yacc.c:339  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2024, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET constraint_exclusion TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "access/tableam.h"
#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_am.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "gramparse.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/parser.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule, or whose leftmost
 * component was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 *
 * A cleaner answer would be to make YYLLOC_DEFAULT scan all the Rhs
 * locations until it's found one that's not -1.  Then we'd get a correct
 * location for any nonterminal that isn't entirely empty.  But this way
 * would add overhead to every rule reduction, and so far there's not been
 * a compelling reason to pay that overhead.
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	ObjectType	objtype;
	List	   *objs;
} PrivTarget;

/* Private struct for the result of import_qualification production */
typedef struct ImportQual
{
	ImportForeignSchemaType type;
	List	   *table_names;
} ImportQual;

/* Private struct for the result of opt_select_limit production */
typedef struct SelectLimit
{
	Node	   *limitOffset;
	Node	   *limitCount;
	LimitOption limitOption;
} SelectLimit;

/* Private struct for the result of group_clause production */
typedef struct GroupClause
{
	bool		distinct;
	List	   *list;
} GroupClause;

/* Private structs for the result of key_actions and key_action productions */
typedef struct KeyAction
{
	char		action;
	List	   *cols;
} KeyAction;

typedef struct KeyActions
{
	KeyAction *updateAction;
	KeyAction *deleteAction;
} KeyActions;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static RawStmt *makeRawStmt(Node *stmt, int stmt_location);
static void updateRawStmtEnd(RawStmt *rs, int end_location);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBoolAConst(bool state, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Node *v, int location);
static RoleSpec *makeRoleSpec(RoleSpecType type, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								SelectLimit *limitClause,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Float *v);
static Node *makeAndExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeOrExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeNotExpr(Node *expr, int location);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod,
								  int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static RangeVar *makeRangeVarFromQualifiedName(char *name, List *namelist, int location,
											   core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static PartitionStrategy parsePartitionStrategy(char *strategy);
static void preprocess_pubobj_list(List *pubobjspec_list,
								   core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 293 "gram.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "gram.h".  */
#ifndef YY_BASE_YY_GRAM_H_INCLUDED
# define YY_BASE_YY_GRAM_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    UIDENT = 259,
    FCONST = 260,
    SCONST = 261,
    USCONST = 262,
    BCONST = 263,
    XCONST = 264,
    Op = 265,
    ICONST = 266,
    PARAM = 267,
    TYPECAST = 268,
    DOT_DOT = 269,
    COLON_EQUALS = 270,
    EQUALS_GREATER = 271,
    LESS_EQUALS = 272,
    GREATER_EQUALS = 273,
    NOT_EQUALS = 274,
    ABORT_P = 275,
    ABSENT = 276,
    ABSOLUTE_P = 277,
    ACCESS = 278,
    ACTION = 279,
    ADD_P = 280,
    ADMIN = 281,
    AFTER = 282,
    AGGREGATE = 283,
    ALL = 284,
    ALSO = 285,
    ALTER = 286,
    ALWAYS = 287,
    ANALYSE = 288,
    ANALYZE = 289,
    AND = 290,
    ANY = 291,
    ARRAY = 292,
    AS = 293,
    ASC = 294,
    ASENSITIVE = 295,
    ASSERTION = 296,
    ASSIGNMENT = 297,
    ASYMMETRIC = 298,
    ATOMIC = 299,
    AT = 300,
    ATTACH = 301,
    ATTRIBUTE = 302,
    AUTHORIZATION = 303,
    BACKWARD = 304,
    BEFORE = 305,
    BEGIN_P = 306,
    BETWEEN = 307,
    BIGINT = 308,
    BINARY = 309,
    BIT = 310,
    BOOLEAN_P = 311,
    BOTH = 312,
    BREADTH = 313,
    BY = 314,
    CACHE = 315,
    CALL = 316,
    CALLED = 317,
    CASCADE = 318,
    CASCADED = 319,
    CASE = 320,
    CAST = 321,
    CATALOG_P = 322,
    CHAIN = 323,
    CHAR_P = 324,
    CHARACTER = 325,
    CHARACTERISTICS = 326,
    CHECK = 327,
    CHECKPOINT = 328,
    CLASS = 329,
    CLOSE = 330,
    CLUSTER = 331,
    COALESCE = 332,
    COLLATE = 333,
    COLLATION = 334,
    COLUMN = 335,
    COLUMNS = 336,
    COMMENT = 337,
    COMMENTS = 338,
    COMMIT = 339,
    COMMITTED = 340,
    COMPRESSION = 341,
    CONCURRENTLY = 342,
    CONDITIONAL = 343,
    CONFIGURATION = 344,
    CONFLICT = 345,
    CONNECTION = 346,
    CONSTRAINT = 347,
    CONSTRAINTS = 348,
    CONTENT_P = 349,
    CONTINUE_P = 350,
    CONVERSION_P = 351,
    COPY = 352,
    COST = 353,
    CREATE = 354,
    CROSS = 355,
    CSV = 356,
    CUBE = 357,
    CURRENT_P = 358,
    CURRENT_CATALOG = 359,
    CURRENT_DATE = 360,
    CURRENT_ROLE = 361,
    CURRENT_SCHEMA = 362,
    CURRENT_TIME = 363,
    CURRENT_TIMESTAMP = 364,
    CURRENT_USER = 365,
    CURSOR = 366,
    CYCLE = 367,
    DATA_P = 368,
    DATABASE = 369,
    DAY_P = 370,
    DEALLOCATE = 371,
    DEC = 372,
    DECIMAL_P = 373,
    DECLARE = 374,
    DEFAULT = 375,
    DEFAULTS = 376,
    DEFERRABLE = 377,
    DEFERRED = 378,
    DEFINER = 379,
    DELETE_P = 380,
    DELIMITER = 381,
    DELIMITERS = 382,
    DEPENDS = 383,
    DEPTH = 384,
    DESC = 385,
    DETACH = 386,
    DICTIONARY = 387,
    DISABLE_P = 388,
    DISCARD = 389,
    DISTINCT = 390,
    DO = 391,
    DOCUMENT_P = 392,
    DOMAIN_P = 393,
    DOUBLE_P = 394,
    DROP = 395,
    EACH = 396,
    ELSE = 397,
    EMPTY_P = 398,
    ENABLE_P = 399,
    ENCODING = 400,
    ENCRYPTED = 401,
    END_P = 402,
    ENUM_P = 403,
    ERROR_P = 404,
    ESCAPE = 405,
    EVENT = 406,
    EXCEPT = 407,
    EXCLUDE = 408,
    EXCLUDING = 409,
    EXCLUSIVE = 410,
    EXECUTE = 411,
    EXISTS = 412,
    EXPLAIN = 413,
    EXPRESSION = 414,
    EXTENSION = 415,
    EXTERNAL = 416,
    EXTRACT = 417,
    FALSE_P = 418,
    FAMILY = 419,
    FETCH = 420,
    FILTER = 421,
    FINALIZE = 422,
    FIRST_P = 423,
    FLOAT_P = 424,
    FOLLOWING = 425,
    FOR = 426,
    FORCE = 427,
    FOREIGN = 428,
    FORMAT = 429,
    FORWARD = 430,
    FREEZE = 431,
    FROM = 432,
    FULL = 433,
    FUNCTION = 434,
    FUNCTIONS = 435,
    GENERATED = 436,
    GLOBAL = 437,
    GRANT = 438,
    GRANTED = 439,
    GREATEST = 440,
    GROUP_P = 441,
    GROUPING = 442,
    GROUPS = 443,
    HANDLER = 444,
    HAVING = 445,
    HEADER_P = 446,
    HOLD = 447,
    HOUR_P = 448,
    IDENTITY_P = 449,
    IF_P = 450,
    ILIKE = 451,
    IMMEDIATE = 452,
    IMMUTABLE = 453,
    IMPLICIT_P = 454,
    IMPORT_P = 455,
    IN_P = 456,
    INCLUDE = 457,
    INCLUDING = 458,
    INCREMENT = 459,
    INDENT = 460,
    INDEX = 461,
    INDEXES = 462,
    INHERIT = 463,
    INHERITS = 464,
    INITIALLY = 465,
    INLINE_P = 466,
    INNER_P = 467,
    INOUT = 468,
    INPUT_P = 469,
    INSENSITIVE = 470,
    INSERT = 471,
    INSTEAD = 472,
    INT_P = 473,
    INTEGER = 474,
    INTERSECT = 475,
    INTERVAL = 476,
    INTO = 477,
    INVOKER = 478,
    IS = 479,
    ISNULL = 480,
    ISOLATION = 481,
    JOIN = 482,
    JSON = 483,
    JSON_ARRAY = 484,
    JSON_ARRAYAGG = 485,
    JSON_EXISTS = 486,
    JSON_OBJECT = 487,
    JSON_OBJECTAGG = 488,
    JSON_QUERY = 489,
    JSON_SCALAR = 490,
    JSON_SERIALIZE = 491,
    JSON_TABLE = 492,
    JSON_VALUE = 493,
    KEEP = 494,
    KEY = 495,
    KEYS = 496,
    LABEL = 497,
    LANGUAGE = 498,
    LARGE_P = 499,
    LAST_P = 500,
    LATERAL_P = 501,
    LEADING = 502,
    LEAKPROOF = 503,
    LEAST = 504,
    LEFT = 505,
    LEVEL = 506,
    LIKE = 507,
    LIMIT = 508,
    LISTEN = 509,
    LOAD = 510,
    LOCAL = 511,
    LOCALTIME = 512,
    LOCALTIMESTAMP = 513,
    LOCATION = 514,
    LOCK_P = 515,
    LOCKED = 516,
    LOGGED = 517,
    MAPPING = 518,
    MATCH = 519,
    MATCHED = 520,
    MATERIALIZED = 521,
    MAXVALUE = 522,
    MERGE = 523,
    MERGE_ACTION = 524,
    METHOD = 525,
    MINUTE_P = 526,
    MINVALUE = 527,
    MODE = 528,
    MONTH_P = 529,
    MOVE = 530,
    NAME_P = 531,
    NAMES = 532,
    NATIONAL = 533,
    NATURAL = 534,
    NCHAR = 535,
    NESTED = 536,
    NEW = 537,
    NEXT = 538,
    NFC = 539,
    NFD = 540,
    NFKC = 541,
    NFKD = 542,
    NO = 543,
    NONE = 544,
    NORMALIZE = 545,
    NORMALIZED = 546,
    NOT = 547,
    NOTHING = 548,
    NOTIFY = 549,
    NOTNULL = 550,
    NOWAIT = 551,
    NULL_P = 552,
    NULLIF = 553,
    NULLS_P = 554,
    NUMERIC = 555,
    OBJECT_P = 556,
    OF = 557,
    OFF = 558,
    OFFSET = 559,
    OIDS = 560,
    OLD = 561,
    OMIT = 562,
    ON = 563,
    ONLY = 564,
    OPERATOR = 565,
    OPTION = 566,
    OPTIONS = 567,
    OR = 568,
    ORDER = 569,
    ORDINALITY = 570,
    OTHERS = 571,
    OUT_P = 572,
    OUTER_P = 573,
    OVER = 574,
    OVERLAPS = 575,
    OVERLAY = 576,
    OVERRIDING = 577,
    OWNED = 578,
    OWNER = 579,
    PARALLEL = 580,
    PARAMETER = 581,
    PARSER = 582,
    PARTIAL = 583,
    PARTITION = 584,
    PASSING = 585,
    PASSWORD = 586,
    PATH = 587,
    PERIOD = 588,
    PLACING = 589,
    PLAN = 590,
    PLANS = 591,
    POLICY = 592,
    POSITION = 593,
    PRECEDING = 594,
    PRECISION = 595,
    PRESERVE = 596,
    PREPARE = 597,
    PREPARED = 598,
    PRIMARY = 599,
    PRIOR = 600,
    PRIVILEGES = 601,
    PROCEDURAL = 602,
    PROCEDURE = 603,
    PROCEDURES = 604,
    PROGRAM = 605,
    PUBLICATION = 606,
    QUOTE = 607,
    QUOTES = 608,
    RANGE = 609,
    READ = 610,
    REAL = 611,
    REASSIGN = 612,
    RECURSIVE = 613,
    REF_P = 614,
    REFERENCES = 615,
    REFERENCING = 616,
    REFRESH = 617,
    REINDEX = 618,
    RELATIVE_P = 619,
    RELEASE = 620,
    RENAME = 621,
    REPEATABLE = 622,
    REPLACE = 623,
    REPLICA = 624,
    RESET = 625,
    RESTART = 626,
    RESTRICT = 627,
    RETURN = 628,
    RETURNING = 629,
    RETURNS = 630,
    REVOKE = 631,
    RIGHT = 632,
    ROLE = 633,
    ROLLBACK = 634,
    ROLLUP = 635,
    ROUTINE = 636,
    ROUTINES = 637,
    ROW = 638,
    ROWS = 639,
    RULE = 640,
    SAVEPOINT = 641,
    SCALAR = 642,
    SCHEMA = 643,
    SCHEMAS = 644,
    SCROLL = 645,
    SEARCH = 646,
    SECOND_P = 647,
    SECURITY = 648,
    SELECT = 649,
    SEQUENCE = 650,
    SEQUENCES = 651,
    SERIALIZABLE = 652,
    SERVER = 653,
    SESSION = 654,
    SESSION_USER = 655,
    SET = 656,
    SETS = 657,
    SETOF = 658,
    SHARE = 659,
    SHOW = 660,
    SIMILAR = 661,
    SIMPLE = 662,
    SKIP = 663,
    SMALLINT = 664,
    SNAPSHOT = 665,
    SOME = 666,
    SOURCE = 667,
    SQL_P = 668,
    STABLE = 669,
    STANDALONE_P = 670,
    START = 671,
    STATEMENT = 672,
    STATISTICS = 673,
    STDIN = 674,
    STDOUT = 675,
    STORAGE = 676,
    STORED = 677,
    STRICT_P = 678,
    STRING_P = 679,
    STRIP_P = 680,
    SUBSCRIPTION = 681,
    SUBSTRING = 682,
    SUPPORT = 683,
    SYMMETRIC = 684,
    SYSID = 685,
    SYSTEM_P = 686,
    SYSTEM_USER = 687,
    TABLE = 688,
    TABLES = 689,
    TABLESAMPLE = 690,
    TABLESPACE = 691,
    TARGET = 692,
    TEMP = 693,
    TEMPLATE = 694,
    TEMPORARY = 695,
    TEXT_P = 696,
    THEN = 697,
    TIES = 698,
    TIME = 699,
    TIMESTAMP = 700,
    TO = 701,
    TRAILING = 702,
    TRANSACTION = 703,
    TRANSFORM = 704,
    TREAT = 705,
    TRIGGER = 706,
    TRIM = 707,
    TRUE_P = 708,
    TRUNCATE = 709,
    TRUSTED = 710,
    TYPE_P = 711,
    TYPES_P = 712,
    UESCAPE = 713,
    UNBOUNDED = 714,
    UNCONDITIONAL = 715,
    UNCOMMITTED = 716,
    UNENCRYPTED = 717,
    UNION = 718,
    UNIQUE = 719,
    UNKNOWN = 720,
    UNLISTEN = 721,
    UNLOGGED = 722,
    UNTIL = 723,
    UPDATE = 724,
    USER = 725,
    USING = 726,
    VACUUM = 727,
    VALID = 728,
    VALIDATE = 729,
    VALIDATOR = 730,
    VALUE_P = 731,
    VALUES = 732,
    VARCHAR = 733,
    VARIADIC = 734,
    VARYING = 735,
    VERBOSE = 736,
    VERSION_P = 737,
    VIEW = 738,
    VIEWS = 739,
    VOLATILE = 740,
    WHEN = 741,
    WHERE = 742,
    WHITESPACE_P = 743,
    WINDOW = 744,
    WITH = 745,
    WITHIN = 746,
    WITHOUT = 747,
    WORK = 748,
    WRAPPER = 749,
    WRITE = 750,
    XML_P = 751,
    XMLATTRIBUTES = 752,
    XMLCONCAT = 753,
    XMLELEMENT = 754,
    XMLEXISTS = 755,
    XMLFOREST = 756,
    XMLNAMESPACES = 757,
    XMLPARSE = 758,
    XMLPI = 759,
    XMLROOT = 760,
    XMLSERIALIZE = 761,
    XMLTABLE = 762,
    YEAR_P = 763,
    YES_P = 764,
    ZONE = 765,
    FORMAT_LA = 766,
    NOT_LA = 767,
    NULLS_LA = 768,
    WITH_LA = 769,
    WITHOUT_LA = 770,
    MODE_TYPE_NAME = 771,
    MODE_PLPGSQL_EXPR = 772,
    MODE_PLPGSQL_ASSIGN1 = 773,
    MODE_PLPGSQL_ASSIGN2 = 774,
    MODE_PLPGSQL_ASSIGN3 = 775,
    UMINUS = 776
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 231 "gram.y" /* yacc.c:355  */

	core_YYSTYPE core_yystype;
	/* these fields must match core_YYSTYPE: */
	int			ival;
	char	   *str;
	const char *keyword;

	char		chr;
	bool		boolean;
	JoinType	jtype;
	DropBehavior dbehavior;
	OnCommitAction oncommit;
	List	   *list;
	Node	   *node;
	ObjectType	objtype;
	TypeName   *typnam;
	FunctionParameter *fun_param;
	FunctionParameterMode fun_param_mode;
	ObjectWithArgs *objwithargs;
	DefElem	   *defelt;
	SortBy	   *sortby;
	WindowDef  *windef;
	JoinExpr   *jexpr;
	IndexElem  *ielem;
	StatsElem  *selem;
	Alias	   *alias;
	RangeVar   *range;
	IntoClause *into;
	WithClause *with;
	InferClause	*infer;
	OnConflictClause *onconflict;
	A_Indices  *aind;
	ResTarget  *target;
	struct PrivTarget *privtarget;
	AccessPriv *accesspriv;
	struct ImportQual *importqual;
	InsertStmt *istmt;
	VariableSetStmt *vsetstmt;
	PartitionElem *partelem;
	PartitionSpec *partspec;
	PartitionBoundSpec *partboundspec;
	RoleSpec   *rolespec;
	PublicationObjSpec *publicationobjectspec;
	struct SelectLimit *selectlimit;
	SetQuantifier setquantifier;
	struct GroupClause *groupclause;
	MergeMatchKind mergematch;
	MergeWhenClause *mergewhen;
	struct KeyActions *keyactions;
	struct KeyAction *keyaction;

#line 907 "gram.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_GRAM_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 937 "gram.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  928
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   123478

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  539
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  730
/* YYNRULES -- Number of rules.  */
#define YYNRULES  3412
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  6467

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   776

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   528,     2,     2,
     533,   534,   526,   524,   537,   525,   535,   527,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   538,   536,
     521,   523,   522,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   531,     2,   532,   529,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   530
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   921,   921,   926,   930,   935,   943,   951,   971,   983,
     997,   998,  1002,  1003,  1004,  1005,  1006,  1007,  1008,  1009,
    1010,  1011,  1012,  1013,  1014,  1015,  1016,  1017,  1018,  1019,
    1020,  1021,  1022,  1023,  1024,  1025,  1026,  1027,  1028,  1029,
    1030,  1031,  1032,  1033,  1034,  1035,  1036,  1037,  1038,  1039,
    1040,  1041,  1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,
    1050,  1051,  1052,  1053,  1054,  1055,  1056,  1057,  1058,  1059,
    1060,  1061,  1062,  1063,  1064,  1065,  1066,  1067,  1068,  1069,
    1070,  1071,  1072,  1073,  1074,  1075,  1076,  1077,  1078,  1079,
    1080,  1081,  1082,  1083,  1084,  1085,  1086,  1087,  1088,  1089,
    1090,  1091,  1092,  1093,  1094,  1095,  1096,  1097,  1098,  1099,
    1100,  1101,  1102,  1103,  1104,  1105,  1106,  1107,  1108,  1109,
    1110,  1111,  1112,  1113,  1114,  1115,  1116,  1117,  1118,  1119,
    1120,  1121,  1122,  1123,  1124,  1125,  1127,  1134,  1135,  1139,
    1140,  1144,  1145,  1149,  1150,  1151,  1160,  1176,  1188,  1189,
    1190,  1199,  1200,  1204,  1205,  1209,  1214,  1218,  1228,  1236,
    1240,  1244,  1249,  1253,  1301,  1303,  1307,  1311,  1315,  1319,
    1333,  1352,  1361,  1373,  1374,  1378,  1387,  1396,  1405,  1427,
    1435,  1443,  1451,  1459,  1467,  1485,  1504,  1516,  1517,  1528,
    1539,  1550,  1566,  1585,  1592,  1600,  1601,  1602,  1603,  1604,
    1605,  1619,  1626,  1633,  1643,  1654,  1665,  1669,  1679,  1689,
    1698,  1710,  1711,  1721,  1735,  1743,  1753,  1766,  1776,  1786,
    1795,  1807,  1819,  1820,  1824,  1825,  1828,  1830,  1834,  1835,
    1836,  1837,  1841,  1842,  1843,  1849,  1861,  1865,  1869,  1886,
    1894,  1895,  1896,  1900,  1901,  1902,  1906,  1907,  1911,  1915,
    1916,  1925,  1934,  1946,  1955,  1967,  1968,  1973,  1974,  1979,
    1986,  1993,  2000,  2007,  2018,  2029,  2030,  2034,  2035,  2043,
    2059,  2066,  2073,  2080,  2087,  2107,  2117,  2127,  2137,  2147,
    2159,  2171,  2181,  2191,  2201,  2213,  2225,  2235,  2245,  2255,
    2265,  2275,  2285,  2297,  2309,  2319,  2332,  2333,  2338,  2352,
    2365,  2381,  2398,  2408,  2418,  2428,  2438,  2448,  2457,  2466,
    2476,  2485,  2495,  2505,  2521,  2531,  2541,  2551,  2561,  2578,
    2588,  2598,  2608,  2619,  2633,  2649,  2659,  2668,  2684,  2693,
    2704,  2715,  2723,  2732,  2741,  2749,  2757,  2766,  2775,  2784,
    2792,  2800,  2809,  2817,  2825,  2834,  2843,  2852,  2861,  2870,
    2879,  2890,  2898,  2907,  2916,  2925,  2934,  2943,  2952,  2960,
    2968,  2976,  2983,  2994,  2995,  2999,  3008,  3012,  3013,  3017,
    3025,  3033,  3041,  3052,  3055,  3056,  3060,  3061,  3066,  3070,
    3074,  3079,  3086,  3088,  3093,  3097,  3101,  3112,  3119,  3120,
    3124,  3125,  3130,  3183,  3196,  3210,  3222,  3229,  3233,  3247,
    3260,  3261,  3266,  3276,  3287,  3298,  3325,  3332,  3366,  3402,
    3425,  3426,  3430,  3431,  3440,  3441,  3442,  3445,  3446,  3451,
    3452,  3456,  3460,  3464,  3468,  3472,  3476,  3480,  3484,  3488,
    3492,  3496,  3500,  3504,  3508,  3512,  3521,  3525,  3529,  3533,
    3537,  3538,  3543,  3547,  3554,  3561,  3562,  3563,  3564,  3565,
    3566,  3570,  3574,  3582,  3593,  3613,  3633,  3654,  3675,  3696,
    3730,  3731,  3732,  3733,  3734,  3741,  3748,  3749,  3753,  3754,
    3758,  3759,  3763,  3767,  3774,  3778,  3785,  3786,  3787,  3791,
    3792,  3795,  3819,  3838,  3860,  3861,  3865,  3866,  3870,  3871,
    3875,  3876,  3880,  3881,  3885,  3893,  3894,  3895,  3927,  3935,
    3943,  3956,  3968,  3981,  3991,  4001,  4025,  4045,  4046,  4047,
    4051,  4052,  4071,  4079,  4087,  4095,  4107,  4119,  4120,  4121,
    4125,  4126,  4127,  4128,  4129,  4130,  4131,  4132,  4133,  4134,
    4143,  4151,  4155,  4169,  4188,  4204,  4222,  4238,  4258,  4303,
    4311,  4315,  4329,  4345,  4346,  4350,  4351,  4355,  4356,  4360,
    4361,  4365,  4366,  4370,  4371,  4374,  4380,  4381,  4384,  4388,
    4396,  4401,  4407,  4408,  4412,  4417,  4424,  4425,  4429,  4439,
    4449,  4457,  4466,  4479,  4491,  4498,  4506,  4514,  4522,  4530,
    4540,  4541,  4545,  4546,  4549,  4561,  4562,  4565,  4576,  4587,
    4601,  4602,  4607,  4608,  4609,  4612,  4613,  4614,  4615,  4618,
    4619,  4622,  4623,  4626,  4646,  4659,  4681,  4682,  4685,  4691,
    4697,  4714,  4723,  4745,  4759,  4776,  4792,  4793,  4794,  4806,
    4820,  4837,  4851,  4852,  4864,  4885,  4896,  4910,  4919,  4931,
    4932,  4935,  4936,  4939,  4940,  4943,  4947,  4951,  4955,  4959,
    4963,  4967,  4971,  4975,  4979,  4983,  4987,  4991,  4995,  4999,
    5003,  5009,  5010,  5014,  5015,  5016,  5023,  5026,  5027,  5039,
    5055,  5071,  5072,  5080,  5081,  5085,  5086,  5090,  5091,  5095,
    5096,  5100,  5101,  5111,  5123,  5124,  5137,  5145,  5163,  5172,
    5184,  5187,  5191,  5195,  5199,  5206,  5218,  5229,  5232,  5236,
    5249,  5259,  5269,  5279,  5289,  5299,  5309,  5319,  5329,  5339,
    5349,  5359,  5369,  5388,  5400,  5401,  5402,  5403,  5407,  5408,
    5412,  5413,  5423,  5432,  5445,  5446,  5450,  5454,  5462,  5466,
    5470,  5477,  5481,  5486,  5491,  5498,  5505,  5510,  5520,  5533,
    5549,  5550,  5555,  5556,  5560,  5561,  5571,  5581,  5590,  5608,
    5629,  5650,  5672,  5706,  5722,  5723,  5727,  5736,  5751,  5761,
    5774,  5775,  5787,  5796,  5814,  5839,  5857,  5872,  5873,  5877,
    5878,  5882,  5883,  5887,  5888,  5892,  5906,  5910,  5911,  5915,
    5916,  5917,  5918,  5919,  5929,  5941,  5942,  5953,  5976,  6008,
    6009,  6010,  6014,  6016,  6038,  6040,  6042,  6044,  6046,  6051,
    6052,  6056,  6057,  6061,  6073,  6074,  6078,  6087,  6091,  6095,
    6100,  6110,  6111,  6115,  6116,  6120,  6121,  6125,  6126,  6130,
    6131,  6132,  6136,  6140,  6141,  6142,  6146,  6147,  6152,  6153,
    6180,  6181,  6182,  6183,  6184,  6185,  6198,  6209,  6224,  6226,
    6231,  6236,  6238,  6243,  6254,  6255,  6256,  6257,  6268,  6287,
    6299,  6312,  6323,  6334,  6346,  6355,  6363,  6371,  6381,  6391,
    6401,  6411,  6421,  6432,  6442,  6455,  6458,  6459,  6462,  6466,
    6473,  6474,  6475,  6476,  6477,  6478,  6481,  6484,  6485,  6493,
    6500,  6501,  6504,  6506,  6517,  6529,  6541,  6553,  6565,  6594,
    6595,  6611,  6627,  6628,  6632,  6645,  6655,  6664,  6674,  6684,
    6685,  6688,  6689,  6692,  6693,  6694,  6699,  6710,  6720,  6733,
    6734,  6738,  6747,  6760,  6771,  6785,  6796,  6819,  6830,  6849,
    6860,  6871,  6882,  6893,  6904,  6915,  6926,  6937,  6948,  6959,
    6970,  6985,  6986,  6987,  6988,  6989,  6990,  6991,  6992,  6993,
    6994,  6995,  6996,  6997,  7007,  7008,  7009,  7010,  7011,  7015,
    7016,  7017,  7018,  7019,  7020,  7021,  7022,  7027,  7028,  7029,
    7033,  7034,  7037,  7038,  7041,  7043,  7048,  7049,  7060,  7072,
    7073,  7074,  7084,  7093,  7102,  7111,  7120,  7129,  7138,  7147,
    7156,  7165,  7179,  7188,  7197,  7206,  7215,  7224,  7233,  7242,
    7254,  7255,  7269,  7280,  7291,  7302,  7313,  7324,  7335,  7346,
    7357,  7368,  7381,  7382,  7385,  7386,  7396,  7403,  7412,  7421,
    7430,  7439,  7448,  7457,  7466,  7475,  7484,  7493,  7502,  7511,
    7520,  7529,  7538,  7547,  7558,  7559,  7562,  7563,  7573,  7591,
    7607,  7635,  7637,  7639,  7641,  7649,  7659,  7660,  7663,  7671,
    7679,  7687,  7694,  7705,  7709,  7716,  7720,  7731,  7740,  7749,
    7758,  7767,  7776,  7785,  7794,  7803,  7812,  7821,  7830,  7839,
    7847,  7856,  7865,  7874,  7883,  7892,  7901,  7910,  7923,  7924,
    7928,  7929,  7934,  7935,  7945,  7956,  7970,  7982,  8000,  8001,
    8005,  8012,  8013,  8014,  8017,  8018,  8028,  8039,  8040,  8044,
    8048,  8052,  8063,  8077,  8092,  8110,  8111,  8112,  8113,  8114,
    8115,  8127,  8159,  8194,  8195,  8199,  8200,  8203,  8204,  8209,
    8221,  8240,  8245,  8250,  8257,  8258,  8261,  8262,  8265,  8266,
    8270,  8271,  8272,  8275,  8276,  8277,  8293,  8307,  8322,  8336,
    8353,  8354,  8357,  8358,  8362,  8363,  8367,  8368,  8373,  8387,
    8395,  8403,  8419,  8420,  8424,  8425,  8440,  8450,  8460,  8470,
    8480,  8493,  8494,  8495,  8496,  8497,  8503,  8507,  8522,  8523,
    8529,  8539,  8543,  8548,  8556,  8598,  8602,  8606,  8610,  8618,
    8619,  8623,  8635,  8636,  8641,  8642,  8647,  8648,  8655,  8659,
    8663,  8667,  8671,  8675,  8679,  8683,  8687,  8691,  8695,  8699,
    8703,  8707,  8711,  8715,  8720,  8727,  8731,  8735,  8739,  8743,
    8749,  8750,  8756,  8766,  8770,  8781,  8787,  8796,  8802,  8803,
    8807,  8808,  8812,  8813,  8816,  8829,  8833,  8848,  8857,  8866,
    8879,  8880,  8885,  8886,  8903,  8914,  8925,  8936,  8947,  8958,
    8972,  8983,  8997,  9008,  9022,  9030,  9032,  9034,  9039,  9041,
    9046,  9047,  9052,  9071,  9081,  9082,  9086,  9090,  9102,  9114,
    9126,  9140,  9141,  9142,  9146,  9159,  9160,  9170,  9183,  9187,
    9191,  9195,  9202,  9224,  9237,  9250,  9265,  9266,  9269,  9270,
    9273,  9274,  9284,  9294,  9312,  9322,  9332,  9342,  9352,  9362,
    9372,  9382,  9392,  9402,  9412,  9422,  9432,  9443,  9454,  9464,
    9474,  9484,  9494,  9504,  9514,  9525,  9536,  9547,  9558,  9569,
    9580,  9591,  9602,  9613,  9624,  9635,  9646,  9658,  9670,  9682,
    9694,  9706,  9718,  9729,  9740,  9752,  9764,  9775,  9786,  9795,
    9805,  9815,  9825,  9835,  9845,  9855,  9865,  9875,  9885,  9900,
    9901,  9904,  9905,  9915,  9925,  9935,  9945,  9956,  9966,  9978,
    9979,  9989,  9999, 10009, 10019, 10029, 10039, 10049, 10059, 10069,
   10079, 10089, 10099, 10109, 10119, 10129, 10139, 10149, 10159, 10169,
   10179, 10189, 10199, 10209, 10219, 10229, 10239, 10249, 10268, 10278,
   10279, 10282, 10284, 10286, 10292, 10293, 10294, 10295, 10296, 10308,
   10324, 10333, 10342, 10351, 10360, 10369, 10378, 10387, 10396, 10405,
   10414, 10423, 10432, 10441, 10450, 10459, 10468, 10477, 10486, 10495,
   10504, 10513, 10522, 10531, 10559, 10567, 10576, 10602, 10611, 10618,
   10624, 10651, 10662, 10671, 10679, 10681, 10703, 10711, 10721, 10731,
   10750, 10769, 10779, 10789, 10799, 10810, 10821, 10832, 10843, 10854,
   10872, 10881, 10898, 10916, 10917, 10918, 10923, 10929, 10938, 10939,
   10940, 10941, 10942, 10946, 10947, 10950, 10951, 10952, 10953, 10957,
   10958, 10959, 10971, 10982, 10983, 10986, 10996, 11003, 11023, 11033,
   11042, 11052, 11062, 11071, 11080, 11089, 11098, 11107, 11116, 11125,
   11137, 11146, 11158, 11159, 11160, 11164, 11167, 11170, 11173, 11176,
   11183, 11185, 11187, 11192, 11194, 11198, 11199, 11200, 11212, 11226,
   11240, 11259, 11281, 11282, 11283, 11284, 11294, 11311, 11322, 11323,
   11327, 11328, 11332, 11336, 11340, 11358, 11359, 11360, 11361, 11362,
   11363, 11364, 11371, 11372, 11383, 11391, 11399, 11408, 11418, 11436,
   11445, 11454, 11463, 11475, 11479, 11490, 11502, 11520, 11527, 11544,
   11558, 11568, 11577, 11586, 11596, 11608, 11620, 11631, 11632, 11643,
   11654, 11666, 11678, 11690, 11702, 11712, 11725, 11726, 11740, 11764,
   11773, 11783, 11795, 11807, 11821, 11822, 11834, 11855, 11866, 11878,
   11890, 11894, 11901, 11902, 11906, 11913, 11914, 11915, 11919, 11920,
   11921, 11925, 11926, 11930, 11931, 11934, 11935, 11938, 11939, 11943,
   11944, 11948, 11955, 11957, 11962, 11963, 11976, 11984, 11995, 12003,
   12014, 12015, 12016, 12017, 12018, 12019, 12020, 12021, 12022, 12023,
   12033, 12044, 12045, 12049, 12050, 12051, 12052, 12053, 12063, 12071,
   12089, 12109, 12110, 12120, 12129, 12138, 12147, 12166, 12184, 12188,
   12196, 12202, 12209, 12215, 12222, 12231, 12232, 12236, 12238, 12243,
   12254, 12264, 12274, 12280, 12289, 12298, 12304, 12305, 12316, 12331,
   12332, 12343, 12354, 12355, 12358, 12359, 12360, 12361, 12362, 12363,
   12364, 12365, 12368, 12369, 12373, 12374, 12375, 12386, 12405, 12406,
   12410, 12415, 12439, 12450, 12451, 12463, 12483, 12484, 12494, 12501,
   12508, 12515, 12525, 12538, 12539, 12543, 12544, 12548, 12549, 12553,
   12566, 12579, 12588, 12597, 12606, 12615, 12627, 12639, 12651, 12654,
   12655, 12656, 12657, 12658, 12659, 12662, 12663, 12664, 12712, 12713,
   12717, 12718, 12733, 12734, 12741, 12749, 12757, 12765, 12773, 12781,
   12792, 12793, 12825, 12841, 12858, 12859, 12878, 12882, 12886, 12901,
   12908, 12915, 12925, 12926, 12929, 12945, 12946, 12947, 12951, 12961,
   12972, 12978, 12990, 13003, 13009, 13010, 13014, 13026, 13034, 13039,
   13044, 13049, 13054, 13062, 13070, 13075, 13080, 13087, 13088, 13092,
   13093, 13094, 13101, 13102, 13106, 13107, 13111, 13112, 13116, 13117,
   13121, 13125, 13126, 13129, 13138, 13151, 13156, 13161, 13165, 13177,
   13178, 13182, 13191, 13207, 13216, 13225, 13234, 13246, 13249, 13254,
   13255, 13263, 13283, 13284, 13286, 13291, 13292, 13296, 13297, 13300,
   13301, 13326, 13335, 13345, 13346, 13350, 13351, 13352, 13353, 13354,
   13358, 13371, 13378, 13385, 13392, 13393, 13397, 13398, 13402, 13403,
   13407, 13408, 13412, 13424, 13425, 13426, 13427, 13431, 13432, 13442,
   13449, 13468, 13469, 13473, 13474, 13480, 13485, 13494, 13502, 13511,
   13518, 13526, 13535, 13544, 13548, 13553, 13560, 13589, 13593, 13607,
   13628, 13650, 13663, 13680, 13686, 13691, 13697, 13704, 13705, 13715,
   13721, 13729, 13733, 13737, 13744, 13752, 13757, 13758, 13759, 13760,
   13764, 13765, 13780, 13784, 13792, 13799, 13806, 13813, 13820, 13831,
   13832, 13845, 13849, 13857, 13871, 13885, 13886, 13901, 13912, 13925,
   13930, 13931, 13934, 13935, 13938, 13939, 13944, 13945, 13950, 13951,
   13960, 13965, 13966, 13970, 13974, 13980, 14005, 14016, 14030, 14031,
   14035, 14049, 14106, 14120, 14122, 14127, 14129, 14131, 14133, 14135,
   14140, 14142, 14147, 14155, 14166, 14194, 14195, 14199, 14201, 14206,
   14215, 14235, 14255, 14273, 14285, 14300, 14301, 14305, 14308, 14321,
   14326, 14333, 14338, 14344, 14349, 14358, 14360, 14363, 14367, 14368,
   14369, 14370, 14371, 14372, 14377, 14383, 14398, 14399, 14400, 14401,
   14402, 14413, 14419, 14427, 14428, 14434, 14439, 14444, 14449, 14454,
   14459, 14464, 14469, 14475, 14481, 14487, 14494, 14516, 14525, 14529,
   14537, 14541, 14549, 14561, 14582, 14586, 14592, 14596, 14609, 14617,
   14627, 14629, 14631, 14633, 14635, 14637, 14642, 14643, 14650, 14659,
   14667, 14676, 14687, 14695, 14696, 14697, 14701, 14703, 14705, 14707,
   14709, 14711, 14713, 14718, 14723, 14729, 14737, 14742, 14749, 14756,
   14760, 14764, 14772, 14807, 14808, 14810, 14819, 14826, 14842, 14844,
   14846, 14848, 14850, 14852, 14854, 14856, 14858, 14860, 14862, 14864,
   14866, 14868, 14871, 14873, 14876, 14878, 14880, 14882, 14885, 14890,
   14899, 14904, 14913, 14918, 14927, 14932, 14942, 14951, 14960, 14969,
   14988, 14997, 15006, 15015, 15024, 15041, 15050, 15059, 15068, 15077,
   15086, 15095, 15099, 15103, 15111, 15119, 15127, 15135, 15156, 15179,
   15191, 15198, 15214, 15219, 15225, 15232, 15239, 15247, 15255, 15272,
   15291, 15317, 15319, 15321, 15323, 15325, 15327, 15329, 15331, 15333,
   15335, 15337, 15339, 15341, 15343, 15345, 15347, 15349, 15351, 15353,
   15357, 15361, 15366, 15382, 15383, 15384, 15401, 15414, 15416, 15418,
   15430, 15455, 15467, 15479, 15487, 15498, 15509, 15519, 15525, 15534,
   15544, 15554, 15567, 15577, 15608, 15644, 15654, 15665, 15666, 15667,
   15674, 15681, 15685, 15689, 15693, 15697, 15701, 15705, 15709, 15713,
   15717, 15721, 15725, 15729, 15736, 15740, 15744, 15748, 15750, 15757,
   15764, 15771, 15778, 15789, 15803, 15813, 15824, 15840, 15850, 15857,
   15864, 15871, 15875, 15883, 15892, 15901, 15905, 15909, 15913, 15917,
   15921, 15930, 15934, 15944, 15948, 15952, 15957, 15968, 15974, 15988,
   15999, 16013, 16029, 16041, 16051, 16060, 16069, 16077, 16099, 16115,
   16139, 16141, 16145, 16147, 16149, 16152, 16155, 16158, 16159, 16162,
   16170, 16180, 16181, 16184, 16185, 16186, 16189, 16190, 16191, 16196,
   16200, 16204, 16208, 16215, 16216, 16224, 16225, 16229, 16230, 16238,
   16239, 16243, 16244, 16249, 16258, 16260, 16275, 16278, 16306, 16307,
   16310, 16311, 16319, 16327, 16335, 16344, 16354, 16372, 16418, 16427,
   16436, 16445, 16454, 16466, 16467, 16468, 16469, 16470, 16484, 16485,
   16486, 16489, 16490, 16493, 16496, 16497, 16498, 16501, 16502, 16505,
   16506, 16507, 16508, 16509, 16510, 16511, 16512, 16513, 16514, 16515,
   16516, 16519, 16521, 16526, 16528, 16533, 16535, 16537, 16539, 16541,
   16543, 16555, 16559, 16566, 16570, 16576, 16580, 16590, 16602, 16603,
   16606, 16607, 16610, 16614, 16618, 16624, 16625, 16630, 16640, 16641,
   16642, 16643, 16644, 16645, 16646, 16647, 16651, 16652, 16653, 16654,
   16659, 16664, 16673, 16694, 16698, 16703, 16714, 16731, 16737, 16738,
   16739, 16742, 16750, 16760, 16775, 16776, 16780, 16792, 16793, 16796,
   16797, 16800, 16804, 16811, 16815, 16819, 16828, 16840, 16841, 16845,
   16846, 16850, 16851, 16854, 16855, 16860, 16861, 16865, 16866, 16870,
   16882, 16883, 16884, 16885, 16886, 16887, 16888, 16889, 16890, 16894,
   16896, 16901, 16902, 16903, 16904, 16905, 16906, 16907, 16909, 16913,
   16915, 16917, 16920, 16924, 16927, 16931, 16940, 16957, 16964, 16969,
   16975, 16976, 16977, 16978, 16979, 16983, 16992, 17006, 17007, 17008,
   17009, 17010, 17019, 17020, 17021, 17022, 17023, 17027, 17029, 17039,
   17042, 17048, 17049, 17050, 17054, 17055, 17056, 17060, 17061, 17065,
   17083, 17103, 17104, 17113, 17114, 17118, 17119, 17122, 17130, 17138,
   17146, 17169, 17170, 17181, 17185, 17191, 17193, 17198, 17200, 17202,
   17212, 17214, 17225, 17229, 17233, 17237, 17241, 17250, 17258, 17290,
   17294, 17301, 17309, 17313, 17317, 17323, 17324, 17326, 17327, 17328,
   17332, 17373, 17401, 17405, 17409, 17415, 17417, 17431, 17467, 17480,
   17481, 17484, 17485, 17502, 17503, 17504, 17509, 17510, 17511, 17516,
   17517, 17518, 17519, 17525, 17526, 17527, 17528, 17529, 17535, 17536,
   17556, 17557, 17558, 17559, 17560, 17561, 17562, 17563, 17564, 17565,
   17566, 17567, 17568, 17569, 17570, 17571, 17572, 17573, 17574, 17575,
   17576, 17577, 17578, 17579, 17580, 17581, 17582, 17583, 17584, 17585,
   17586, 17587, 17588, 17589, 17590, 17591, 17592, 17593, 17594, 17595,
   17596, 17597, 17598, 17599, 17600, 17601, 17602, 17603, 17604, 17605,
   17606, 17607, 17608, 17609, 17610, 17611, 17612, 17613, 17614, 17615,
   17616, 17617, 17618, 17619, 17620, 17621, 17622, 17623, 17624, 17625,
   17626, 17627, 17628, 17629, 17630, 17631, 17632, 17633, 17634, 17635,
   17636, 17637, 17638, 17639, 17640, 17641, 17642, 17643, 17644, 17645,
   17646, 17647, 17648, 17649, 17650, 17651, 17652, 17653, 17654, 17655,
   17656, 17657, 17658, 17659, 17660, 17661, 17662, 17663, 17664, 17665,
   17666, 17667, 17668, 17669, 17670, 17671, 17672, 17673, 17674, 17675,
   17676, 17677, 17678, 17679, 17680, 17681, 17682, 17683, 17684, 17685,
   17686, 17687, 17688, 17689, 17690, 17691, 17692, 17693, 17694, 17695,
   17696, 17697, 17698, 17699, 17700, 17701, 17702, 17703, 17704, 17705,
   17706, 17707, 17708, 17709, 17710, 17711, 17712, 17713, 17714, 17715,
   17716, 17717, 17718, 17719, 17720, 17721, 17722, 17723, 17724, 17725,
   17726, 17727, 17728, 17729, 17730, 17731, 17732, 17733, 17734, 17735,
   17736, 17737, 17738, 17739, 17740, 17741, 17742, 17743, 17744, 17745,
   17746, 17747, 17748, 17749, 17750, 17751, 17752, 17753, 17754, 17755,
   17756, 17757, 17758, 17759, 17760, 17761, 17762, 17763, 17764, 17765,
   17766, 17767, 17768, 17769, 17770, 17771, 17772, 17773, 17774, 17775,
   17776, 17777, 17778, 17779, 17780, 17781, 17782, 17783, 17784, 17785,
   17786, 17787, 17788, 17789, 17790, 17791, 17792, 17793, 17794, 17795,
   17796, 17797, 17798, 17799, 17800, 17801, 17802, 17803, 17804, 17805,
   17806, 17807, 17808, 17809, 17810, 17811, 17812, 17813, 17814, 17815,
   17816, 17817, 17818, 17819, 17820, 17821, 17822, 17823, 17824, 17825,
   17826, 17827, 17828, 17829, 17830, 17831, 17832, 17833, 17834, 17835,
   17836, 17837, 17838, 17839, 17840, 17841, 17842, 17843, 17844, 17845,
   17846, 17847, 17848, 17849, 17850, 17851, 17852, 17853, 17854, 17855,
   17856, 17857, 17858, 17859, 17860, 17861, 17862, 17863, 17864, 17865,
   17866, 17867, 17868, 17869, 17870, 17871, 17872, 17873, 17874, 17875,
   17876, 17877, 17878, 17879, 17880, 17881, 17882, 17896, 17897, 17898,
   17899, 17900, 17901, 17902, 17903, 17904, 17905, 17906, 17907, 17908,
   17909, 17910, 17911, 17912, 17913, 17914, 17915, 17916, 17917, 17918,
   17919, 17920, 17921, 17922, 17923, 17924, 17925, 17926, 17927, 17928,
   17929, 17930, 17931, 17932, 17933, 17934, 17935, 17936, 17937, 17938,
   17939, 17940, 17941, 17942, 17943, 17944, 17945, 17946, 17947, 17948,
   17949, 17950, 17951, 17952, 17953, 17954, 17955, 17956, 17957, 17958,
   17972, 17973, 17974, 17975, 17976, 17977, 17978, 17979, 17980, 17981,
   17982, 17983, 17984, 17985, 17986, 17987, 17988, 17989, 17990, 17991,
   17992, 17993, 17994, 18004, 18005, 18006, 18007, 18008, 18009, 18010,
   18011, 18012, 18013, 18014, 18015, 18016, 18017, 18018, 18019, 18020,
   18021, 18022, 18023, 18024, 18025, 18026, 18027, 18028, 18029, 18030,
   18031, 18032, 18033, 18034, 18035, 18036, 18037, 18038, 18039, 18040,
   18041, 18042, 18043, 18044, 18045, 18046, 18047, 18048, 18049, 18050,
   18051, 18052, 18053, 18054, 18055, 18056, 18057, 18058, 18059, 18060,
   18061, 18062, 18063, 18064, 18065, 18066, 18067, 18068, 18069, 18070,
   18071, 18072, 18073, 18074, 18075, 18076, 18077, 18078, 18079, 18080,
   18081, 18094, 18095, 18096, 18097, 18098, 18099, 18100, 18101, 18102,
   18103, 18104, 18105, 18106, 18107, 18108, 18109, 18110, 18111, 18112,
   18113, 18114, 18115, 18116, 18117, 18118, 18119, 18120, 18121, 18122,
   18123, 18124, 18125, 18126, 18127, 18128, 18129, 18130, 18131, 18132,
   18133, 18134, 18135, 18136, 18137, 18138, 18139, 18140, 18141, 18142,
   18143, 18144, 18145, 18146, 18147, 18148, 18149, 18150, 18151, 18152,
   18153, 18154, 18155, 18156, 18157, 18158, 18159, 18160, 18161, 18162,
   18163, 18164, 18165, 18166, 18167, 18168, 18169, 18170, 18171, 18172,
   18173, 18174, 18175, 18176, 18177, 18178, 18179, 18180, 18181, 18182,
   18183, 18184, 18185, 18186, 18187, 18188, 18189, 18190, 18191, 18192,
   18193, 18194, 18195, 18196, 18197, 18198, 18199, 18200, 18201, 18202,
   18203, 18204, 18205, 18206, 18207, 18208, 18209, 18210, 18211, 18212,
   18213, 18214, 18215, 18216, 18217, 18218, 18219, 18220, 18221, 18222,
   18223, 18224, 18225, 18226, 18227, 18228, 18229, 18230, 18231, 18232,
   18233, 18234, 18235, 18236, 18237, 18238, 18239, 18240, 18241, 18242,
   18243, 18244, 18245, 18246, 18247, 18248, 18249, 18250, 18251, 18252,
   18253, 18254, 18255, 18256, 18257, 18258, 18259, 18260, 18261, 18262,
   18263, 18264, 18265, 18266, 18267, 18268, 18269, 18270, 18271, 18272,
   18273, 18274, 18275, 18276, 18277, 18278, 18279, 18280, 18281, 18282,
   18283, 18284, 18285, 18286, 18287, 18288, 18289, 18290, 18291, 18292,
   18293, 18294, 18295, 18296, 18297, 18298, 18299, 18300, 18301, 18302,
   18303, 18304, 18305, 18306, 18307, 18308, 18309, 18310, 18311, 18312,
   18313, 18314, 18315, 18316, 18317, 18318, 18319, 18320, 18321, 18322,
   18323, 18324, 18325, 18326, 18327, 18328, 18329, 18330, 18331, 18332,
   18333, 18334, 18335, 18336, 18337, 18338, 18339, 18340, 18341, 18342,
   18343, 18344, 18345, 18346, 18347, 18348, 18349, 18350, 18351, 18352,
   18353, 18354, 18355, 18356, 18357, 18358, 18359, 18360, 18361, 18362,
   18363, 18364, 18365, 18366, 18367, 18368, 18369, 18370, 18371, 18372,
   18373, 18374, 18375, 18376, 18377, 18378, 18379, 18380, 18381, 18382,
   18383, 18384, 18385, 18386, 18387, 18388, 18389, 18390, 18391, 18392,
   18393, 18394, 18395, 18396, 18397, 18398, 18399, 18400, 18401, 18402,
   18403, 18404, 18405, 18406, 18407, 18408, 18409, 18410, 18411, 18412,
   18413, 18414, 18415, 18416, 18417, 18418, 18419, 18420, 18421, 18422,
   18423, 18424, 18425, 18426, 18427, 18428, 18429, 18430, 18431, 18432,
   18433, 18434, 18435, 18436, 18437, 18438, 18439, 18440, 18441, 18442,
   18443, 18444, 18445, 18446, 18447, 18448, 18449, 18450, 18451, 18452,
   18453, 18454, 18455, 18456, 18457, 18458, 18459, 18460, 18461, 18462,
   18463, 18464, 18465, 18466, 18467, 18468, 18469, 18470, 18471, 18472,
   18473, 18474, 18475, 18476, 18477, 18478, 18479, 18480, 18481, 18482,
   18483, 18484, 18485, 18486, 18487, 18488, 18489, 18490, 18491, 18492,
   18493, 18494, 18495, 18496, 18497, 18498, 18499, 18500, 18501, 18502,
   18503, 18504, 18505, 18506, 18507, 18508, 18509, 18510, 18511, 18512,
   18513, 18514, 18515, 18516, 18517, 18518, 18519, 18520, 18521, 18522,
   18523, 18524, 18525, 18526, 18527, 18528, 18529, 18530, 18531, 18532,
   18533, 18534, 18535, 18536, 18537, 18538, 18539, 18540, 18541, 18542,
   18543, 18544, 18545
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "UIDENT", "FCONST", "SCONST",
  "USCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS",
  "GREATER_EQUALS", "NOT_EQUALS", "ABORT_P", "ABSENT", "ABSOLUTE_P",
  "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL",
  "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY",
  "AS", "ASC", "ASENSITIVE", "ASSERTION", "ASSIGNMENT", "ASYMMETRIC",
  "ATOMIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD",
  "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P",
  "BOTH", "BREADTH", "BY", "CACHE", "CALL", "CALLED", "CASCADE",
  "CASCADED", "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COLUMNS", "COMMENT",
  "COMMENTS", "COMMIT", "COMMITTED", "COMPRESSION", "CONCURRENTLY",
  "CONDITIONAL", "CONFIGURATION", "CONFLICT", "CONNECTION", "CONSTRAINT",
  "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST",
  "CREATE", "CROSS", "CSV", "CUBE", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DEPENDS", "DEPTH", "DESC", "DETACH",
  "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO", "DOCUMENT_P",
  "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "EMPTY_P", "ENABLE_P",
  "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ERROR_P", "ESCAPE", "EVENT",
  "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS",
  "EXPLAIN", "EXPRESSION", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FILTER", "FINALIZE", "FIRST_P", "FLOAT_P",
  "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORMAT", "FORWARD", "FREEZE",
  "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GENERATED", "GLOBAL", "GRANT",
  "GRANTED", "GREATEST", "GROUP_P", "GROUPING", "GROUPS", "HANDLER",
  "HAVING", "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE",
  "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDE",
  "INCLUDING", "INCREMENT", "INDENT", "INDEX", "INDEXES", "INHERIT",
  "INHERITS", "INITIALLY", "INLINE_P", "INNER_P", "INOUT", "INPUT_P",
  "INSENSITIVE", "INSERT", "INSTEAD", "INT_P", "INTEGER", "INTERSECT",
  "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL", "ISOLATION", "JOIN",
  "JSON", "JSON_ARRAY", "JSON_ARRAYAGG", "JSON_EXISTS", "JSON_OBJECT",
  "JSON_OBJECTAGG", "JSON_QUERY", "JSON_SCALAR", "JSON_SERIALIZE",
  "JSON_TABLE", "JSON_VALUE", "KEEP", "KEY", "KEYS", "LABEL", "LANGUAGE",
  "LARGE_P", "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST",
  "LEFT", "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING",
  "MATCH", "MATCHED", "MATERIALIZED", "MAXVALUE", "MERGE", "MERGE_ACTION",
  "METHOD", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P",
  "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NESTED", "NEW", "NEXT", "NFC",
  "NFD", "NFKC", "NFKD", "NO", "NONE", "NORMALIZE", "NORMALIZED", "NOT",
  "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P",
  "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "OLD", "OMIT",
  "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER",
  "ORDINALITY", "OTHERS", "OUT_P", "OUTER_P", "OVER", "OVERLAPS",
  "OVERLAY", "OVERRIDING", "OWNED", "OWNER", "PARALLEL", "PARAMETER",
  "PARSER", "PARTIAL", "PARTITION", "PASSING", "PASSWORD", "PATH",
  "PERIOD", "PLACING", "PLAN", "PLANS", "POLICY", "POSITION", "PRECEDING",
  "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY", "PRIOR",
  "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROCEDURES", "PROGRAM",
  "PUBLICATION", "QUOTE", "QUOTES", "RANGE", "READ", "REAL", "REASSIGN",
  "RECURSIVE", "REF_P", "REFERENCES", "REFERENCING", "REFRESH", "REINDEX",
  "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA",
  "RESET", "RESTART", "RESTRICT", "RETURN", "RETURNING", "RETURNS",
  "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROUTINE", "ROUTINES",
  "ROW", "ROWS", "RULE", "SAVEPOINT", "SCALAR", "SCHEMA", "SCHEMAS",
  "SCROLL", "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE",
  "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET",
  "SETS", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SKIP",
  "SMALLINT", "SNAPSHOT", "SOME", "SOURCE", "SQL_P", "STABLE",
  "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT",
  "STORAGE", "STORED", "STRICT_P", "STRING_P", "STRIP_P", "SUBSCRIPTION",
  "SUBSTRING", "SUPPORT", "SYMMETRIC", "SYSID", "SYSTEM_P", "SYSTEM_USER",
  "TABLE", "TABLES", "TABLESAMPLE", "TABLESPACE", "TARGET", "TEMP",
  "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIES", "TIME", "TIMESTAMP",
  "TO", "TRAILING", "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM",
  "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UESCAPE",
  "UNBOUNDED", "UNCONDITIONAL", "UNCOMMITTED", "UNENCRYPTED", "UNION",
  "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER",
  "USING", "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES",
  "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW",
  "VIEWS", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH",
  "WITHIN", "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P",
  "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST",
  "XMLNAMESPACES", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "XMLTABLE", "YEAR_P", "YES_P", "ZONE", "FORMAT_LA", "NOT_LA", "NULLS_LA",
  "WITH_LA", "WITHOUT_LA", "MODE_TYPE_NAME", "MODE_PLPGSQL_EXPR",
  "MODE_PLPGSQL_ASSIGN1", "MODE_PLPGSQL_ASSIGN2", "MODE_PLPGSQL_ASSIGN3",
  "'<'", "'>'", "'='", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "';'", "','", "':'", "$accept",
  "parse_toplevel", "stmtmulti", "toplevel_stmt", "stmt",
  "opt_single_name", "opt_qualified_name", "opt_concurrently",
  "opt_drop_behavior", "CallStmt", "CreateRoleStmt", "opt_with",
  "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "DropRoleStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "CreateSchemaStmt", "OptSchemaEltList",
  "schema_stmt", "VariableSetStmt", "set_rest", "generic_set",
  "set_rest_more", "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "index_partition_cmd", "alter_table_cmd", "alter_column_default",
  "opt_collate_clause", "alter_using", "replica_identity", "reloptions",
  "opt_reloptions", "reloption_list", "reloption_elem",
  "alter_identity_column_option_list", "alter_identity_column_option",
  "set_statistics_value", "set_access_method_name", "PartitionBoundSpec",
  "hash_partbound_elem", "hash_partbound", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "copy_delimiter",
  "opt_using", "copy_generic_opt_list", "copy_generic_opt_elem",
  "copy_generic_opt_arg", "copy_generic_opt_arg_list",
  "copy_generic_opt_arg_list_item", "CreateStmt", "OptTemp",
  "OptTableElementList", "OptTypedTableElementList", "TableElementList",
  "TypedTableElementList", "TableElement", "TypedTableElement",
  "columnDef", "columnOptions", "column_compression",
  "opt_column_compression", "column_storage", "opt_column_storage",
  "ColQualList", "ColConstraint", "ColConstraintElem",
  "opt_unique_null_treatment", "generated_when", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "DomainConstraint",
  "DomainConstraintElem", "opt_no_inherit", "opt_without_overlaps",
  "opt_column_list", "columnList", "optionalPeriodName",
  "opt_column_and_period_list", "columnElem", "opt_c_include", "key_match",
  "ExclusionConstraintList", "ExclusionConstraintElem", "OptWhereClause",
  "key_actions", "key_update", "key_delete", "key_action", "OptInherit",
  "OptPartitionSpec", "PartitionSpec", "part_params", "part_elem",
  "table_access_method_clause", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "stats_params", "stats_param", "AlterStatsStmt", "CreateAsStmt",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "ImportForeignSchemaStmt",
  "import_qualification_type", "import_qualification",
  "CreateUserMappingStmt", "auth_ident", "DropUserMappingStmt",
  "AlterUserMappingStmt", "CreatePolicyStmt", "AlterPolicyStmt",
  "RowSecurityOptionalExpr", "RowSecurityOptionalWithCheck",
  "RowSecurityDefaultToRole", "RowSecurityOptionalToRole",
  "RowSecurityDefaultPermissive", "RowSecurityDefaultForCmd",
  "row_security_cmd", "CreateAmStmt", "am_type", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerReferencing", "TriggerTransitions", "TriggerTransition",
  "TransitionOldOrNew", "TransitionRowOrTable", "TransitionRelName",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "FUNCTION_or_PROCEDURE", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertionStmt", "DefineStmt", "definition", "def_list",
  "def_elem", "def_arg", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "CreateOpFamilyStmt", "AlterOpFamilyStmt", "opclass_drop_list",
  "opclass_drop", "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "object_type_any_name",
  "object_type_name", "drop_type_name", "object_type_name_on_any_name",
  "any_name_list", "any_name", "attrs", "type_name_list", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_text", "SecLabelStmt",
  "opt_provider", "security_label", "FetchStmt", "fetch_args", "from_in",
  "opt_from_in", "GrantStmt", "RevokeStmt", "privileges", "privilege_list",
  "privilege", "parameter_name_list", "parameter_name", "privilege_target",
  "grantee_list", "grantee", "opt_grant_grant_option", "GrantRoleStmt",
  "RevokeRoleStmt", "grant_role_opt_list", "grant_role_opt",
  "grant_role_opt_value", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique",
  "access_method_clause", "index_params", "index_elem_options",
  "index_elem", "opt_include", "index_including_params", "opt_collate",
  "opt_asc_desc", "opt_nulls_order", "CreateFunctionStmt",
  "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "opt_createfunc_opt_list", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "ReturnStmt", "opt_routine_body",
  "routine_body_stmt_list", "routine_body_stmt", "transform_type_list",
  "opt_definition", "table_func_column", "table_func_column_list",
  "AlterFunctionStmt", "alterfunc_opt_list", "opt_restrict",
  "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt", "oper_argtypes",
  "any_operator", "operator_with_argtypes_list", "operator_with_argtypes",
  "DoStmt", "dostmt_opt_list", "dostmt_opt_item", "CreateCastStmt",
  "cast_context", "DropCastStmt", "opt_if_exists", "CreateTransformStmt",
  "transform_element_list", "DropTransformStmt", "ReindexStmt",
  "reindex_target_relation", "reindex_target_all",
  "opt_reindex_option_list", "AlterTblSpcStmt", "RenameStmt", "opt_column",
  "opt_set_data", "AlterObjectDependsStmt", "opt_no",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterTypeStmt",
  "AlterOwnerStmt", "CreatePublicationStmt", "PublicationObjSpec",
  "pub_obj_list", "AlterPublicationStmt", "CreateSubscriptionStmt",
  "AlterSubscriptionStmt", "DropSubscriptionStmt", "RuleStmt",
  "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "TransactionStmtLegacy", "opt_transaction", "transaction_mode_item",
  "transaction_mode_list", "transaction_mode_list_or_empty",
  "opt_transaction_chain", "ViewStmt", "opt_check_option", "LoadStmt",
  "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "drop_option_list", "drop_option", "AlterCollationStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "AnalyzeStmt", "utility_option_list", "analyze_keyword",
  "utility_option_elem", "utility_option_name", "utility_option_arg",
  "opt_analyze", "opt_verbose", "opt_full", "opt_freeze", "opt_name_list",
  "vacuum_relation", "vacuum_relation_list", "opt_vacuum_relation_list",
  "ExplainStmt", "ExplainableStmt", "PrepareStmt", "prep_type_clause",
  "PreparableStmt", "ExecuteStmt", "execute_param_clause",
  "DeallocateStmt", "InsertStmt", "insert_target", "insert_rest",
  "override_kind", "insert_column_list", "insert_column_item",
  "opt_on_conflict", "opt_conf_expr", "returning_clause", "DeleteStmt",
  "using_clause", "LockStmt", "opt_lock", "lock_type", "opt_nowait",
  "opt_nowait_or_skip", "UpdateStmt", "set_clause_list", "set_clause",
  "set_target", "set_target_list", "MergeStmt", "merge_when_list",
  "merge_when_clause", "merge_when_tgt_matched",
  "merge_when_tgt_not_matched", "opt_merge_when_condition", "merge_update",
  "merge_delete", "merge_insert", "merge_values_clause",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_materialized", "opt_search_clause", "opt_cycle_clause",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "set_quantifier", "distinct_clause", "opt_all_clause",
  "opt_distinct_clause", "opt_sort_clause", "sort_clause", "sortby_list",
  "sortby", "select_limit", "opt_select_limit", "limit_clause",
  "offset_clause", "select_limit_value", "select_offset_value",
  "select_fetch_first_value", "I_or_F_const", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "opt_alias_clause_for_join_using",
  "func_alias_clause", "join_type", "opt_outer", "join_qual",
  "relation_expr", "extended_relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "json_table",
  "json_table_path_name_opt", "json_table_column_definition_list",
  "json_table_column_definition", "path_opt",
  "json_table_column_path_clause_opt", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "JsonType", "a_expr", "b_expr", "c_expr", "func_application",
  "func_expr", "func_expr_windowless", "func_expr_common_subexpr",
  "xml_root_version", "opt_xml_root_standalone", "xml_attributes",
  "xml_attribute_list", "xml_attribute_el", "document_or_content",
  "xml_indent_option", "xml_whitespace_option", "xmlexists_argument",
  "xml_passing_mech", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "opt_window_exclusion_clause", "row", "explicit_row",
  "implicit_row", "sub_type", "all_Op", "MathOp", "qual_Op", "qual_all_Op",
  "subquery_Op", "expr_list", "func_arg_list", "func_arg_expr",
  "func_arg_list_opt", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "unicode_normal_form", "overlay_list",
  "position_list", "substr_list", "trim_list", "in_expr", "case_expr",
  "when_clause_list", "when_clause", "case_default", "case_arg",
  "columnref", "indirection_el", "opt_slice_bound", "indirection",
  "opt_indirection", "opt_asymmetric", "json_passing_clause_opt",
  "json_arguments", "json_argument", "json_wrapper_behavior",
  "json_behavior", "json_behavior_type", "json_behavior_clause_opt",
  "json_on_error_clause_opt", "json_value_expr", "json_format_clause",
  "json_format_clause_opt", "json_quotes_clause_opt",
  "json_returning_clause_opt", "json_predicate_type_constraint",
  "json_key_uniqueness_constraint_opt", "json_name_and_value_list",
  "json_name_and_value", "json_object_constructor_null_clause_opt",
  "json_array_constructor_null_clause_opt", "json_value_expr_list",
  "json_aggregate_func", "json_array_aggregate_order_by_clause_opt",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "attr_name", "file_name",
  "func_name", "AexprConst", "Iconst", "Sconst", "SignedIconst", "RoleId",
  "RoleSpec", "role_list", "PLpgSQL_Expr", "PLAssignStmt",
  "plassign_target", "plassign_equals", "ColId", "type_function_name",
  "NonReservedWord", "ColLabel", "BareColLabel", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword",
  "bare_label_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,   770,   771,   772,   773,   774,
     775,    60,    62,    61,    43,    45,    42,    47,    37,    94,
     776,    91,    93,    40,    41,    46,    59,    44,    58
};
# endif

#define YYPACT_NINF -5883

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-5883)))

#define YYTABLE_NINF -2992

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2992)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   12829,  1643, 16949, -5883, -5883,  1643, 72830, -5883, 82482,  1634,
     228,   101,   248, 21288, 82990, 93658,   702,  1135, 18637,  1643,
   93658,  3666, 63177, 78418,  1025, 93658,  1504,   778, 63177, 93658,
   94166,  1202,  1356,  1131, 94674, 83498, 76894,  1503, 93658,  1476,
     437, 95182, 84006,  1484, 84514,   778, 58108,   423,  1502, 95690,
   93658,120498,   437, 85022, 85022, 85022,  2208,  2128,  1686, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883,  1683, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883,  2099, -5883,   992,
    2124,  1506,  1214,  1612, -5883, -5883,  2179, 72830, 93658, 93658,
   93658,  1884, 93658,  1848, 93658,   254, 72830, 69274, 85530,  2054,
    1852, 53928, 96198, -5883, 72830, 93658, 66734, 72830, 93658, 93658,
   96706, 93658, 97214, 93658,   138, 80958, 93658,  1951, 93658, 93658,
   67242, 97722,  2147,  1397,   285, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,  1838,
    2059, -5883,   322, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, 63685, 93658, 21973,  1504,  2179, -5883,  2208, 93658,
    2175, 93658,  1893, 98230, 93658, -5883, 93658,  2030, 98738,   890,
    2451, 69274,  2536, 54455,  2091, 93658, 93658, 69274, 99246, 99754,
  100262, 93658, 93658, -5883, -5883,  2158, 93658, -5883,  2253, 69782,
    2041,  2276,  2411,  2354,  1492, -5883, 86038, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, 72322,  1135, -5883, -5883,  2306,
   73338,  2403, -5883, -5883,100770,120992,  2188, -5883,   921, 73846,
   70290,  2534,  2143, 54982,  2571, -5883, 74354, -5883, 70798, 74862,
   -5883, -5883, -5883, -5883, -5883,101278, -5883,101786,  2252,  2403,
   -5883,121486, 71306, -5883,  2410,102294,102802,103310,  2179,  2155,
    1524,  2022, 48232, -5883, -5883, -5883,  2176, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883,   402,  1667,   283,   273,
     321, -5883, -5883,   279,   286,   311,   402,  2665,  2665, -5883,
   93658, -5883, -5883,  1667,    95,  2261,  2164,  2164,  2164,  2400,
     700, -5883,  2164,  2324, -5883, -5883, -5883, -5883, 84514, -5883,
    2259,  1504,  2235,  2722,  2344, 63685,  1468, 93658, -5883, -5883,
    2742,  2332,  2638,  2390, -5883, -5883, -5883,  2559,  2627,   181,
     971,  1504,   304, -5883,  2770, -5883,  2646, 33104, 33104,  1504,
   86546,103818,   265, 72322,  1504, 87054,  2455,  1593,  2662, -5883,
   -5883, -5883,   751, -5883,  2898,  2499,  2752,  2390,  1397, 50288,
   -5883, -5883,  2488,  2059, 84514, -5883, -5883, -5883, 63685,  2820,
   36260, 93658,  2484, -5883,  2489,  2484, -5883, -5883,  2561, -5883,
    2561,  2561,  2494,  2494,  2707,  2521, -5883, -5883, -5883, -5883,
    2547,  2561,  2494, -5883,122474, -5883,  1957,  2014, -5883, -5883,
    3023, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,  2528,
   -5883,   876, -5883,  2475, -5883, -5883, -5883, 33104, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883,  2532,  2533,  1506, -5883, 17500,
   63685, 84514,   454,   454,  3018,   454,  1815,  2108, -5883,  2156,
   -5883,  2906,  2860,  2866, 84514,  2572,  1128, -5883,  1917,  2607,
     168,  2610,  1947,  1556, -5883,   274, 93658,   560,  2652, 87562,
    7451,  2619,  2059,  2623, -5883, -5883, -5883, -5883,  2797,  1546,
   -5883, -5883, -5883, -5883,  2963,  3011,  3079,   355, 88070, -5883,
   -5883, -5883, -5883, 93658, 93658, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883,  2642,   835, -5883, -5883,  2674,  3024,
    2889,  8275,  1208,  3019,  2862,  1341,  8360,  2929,  1784,  3091,
    9837,  1618,  3092,  1977,  1613, 88578, 93658,  3049,  3097,  8182,
    1939,  1024,  2949,   948,  3019,  3088,  2895,  1341,  3105,  6823,
   93658, -5883,  3012,  3144,   919, -5883,   250, -5883, 25795, 36260,
   57600, -5883,  2059, -5883,   648, -5883, -5883, 62669, -5883,  2796,
    2961,   103, 72830,  2739, 93658, 93658, -5883,120498, 72830, -5883,
    2973, 55509, 72830, -5883, 72830, -5883, -5883,  3104,120498, 93658,
   93658, -5883, 93658, -5883, -5883,  2747, -5883, -5883, -5883, -5883,
   -5883,  2164, 93658,  3210,120498,  2991,   170,  1533,  3246, 93658,
    2993,  1533,  2792,104326, -5883, -5883,  1533, -5883, -5883, -5883,
   93658, 93658,  2755,  1327,  2982,   902,  1533,  2999,  3247,  3251,
    3002,  2844,  3009,  2489, -5883,  3212,  2980,  1042,   257,  2151,
    1533,  2822,104834,105342, 93658,  2827, 93658,  3224, 72830,  2864,
   72830, 72830, 93658,  3146, 93658, -5883,  2972, -5883, -5883,  1162,
   -5883, -5883, -5883, -5883, -5883,  3168, -5883,   227,  3169,  2794,
    3171,  1723,  3174,   255, -5883, -5883,  2839, -5883,  3177,   345,
   -5883,  3181, -5883,  2806,105850, -5883,106358,106866,  3190,   352,
   -5883, 69274,  3191,   345,  3193,  2806,  3194,   345,  3195,  1016,
    3198, -5883,  1241,  3185,  3201,   255,  3202,  2239,  2806, -5883,
    3204,   375, -5883,  3206,   384, -5883,  3207,  3057, -5883, 36260,
   -5883,  2933, -5883,  1502,  1867,  2022,  1667, -5883, 93658,  1667,
   93658,  1667, 93658,  1667, 93658,  1667, 93658, 93658, 93658,  1667,
   -5883, -5883, -5883, 93658,  2835, 93658, -5883, 93658, -5883, -5883,
   -5883, 79434, 69274, 79942, -5883, 93658, -5883,   164,  1504, -5883,
   -5883,120498,  3331, 69274,  3224,  1997, -5883, -5883,  3224, -5883,
   -5883,  3224,  3224, -5883, -5883, -5883,  3119, 93658,  3203, 79434,
   69274,  3213, -5883,107374, -5883, 72322,  3065,  2850, -5883, -5883,
   -5883, -5883, -5883,  2495,  3371,   292,  3380, 36260,  2854,   292,
     292,  2856,  3219, -5883, -5883, -5883,   327,  2863,  2867, -5883,
     272,   272, -5883,  2869,  2873, -5883,   281,  2874,  2876,  3389,
    3391,   300,   310,  2878,  2880,  2882,  2883,  2884,  2886,  2890,
    2897,  2899,  2901,  2903,  2904,  2907,  2547,   292,  2908, 36260,
   -5883,  2909,   272,  2910,  2914,  2917,  3422,  2918, -5883,  3425,
    2919, -5883,   271,   348,  2921,  2922, -5883,  3139, -5883,   317,
    2924,  2925,  2927,  2928,  2931,  2932,  2939,  2942, 36260, 36260,
   36260, -5883, 30469,  2059,  1504, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883,   318, -5883, 52347, -5883,  2948, -5883, -5883,
    3157, -5883, -5883, 36260, -5883, -5883,  3300,   149, -5883,   323,
   -5883, -5883, -5883,  2059,  3256,  2947, -5883, -5883,  1713,  2950,
   -5883,  2340, -5883, -5883, -5883, -5883, -5883, -5883, 71814,  3441,
   -5883,   350,  1504,   250,  2116,  3388, 61145, 61653, -5883, -5883,
    3242, -5883, 93658, -5883, -5883,  2059,   240,  2070, -5883,  2176,
   20848,  2101,  2484, 93658, 93658,  3456, -5883,  2962, -5883, -5883,
   36260, -5883, -5883, -5883,  2665, -5883,  2561,  2561, -5883, -5883,
    3460,  3054,  3055,  2665, -5883,  2665, -5883,  2969,  2970,  2665,
    3056,  3058,  3059, -5883,  2975,  3063,  2665, -5883, -5883, 64702,
    2566, -5883,  3334,   360, -5883, -5883, -5883,  2131, -5883,  2978,
   -5883,  2489, -5883, -5883,  1506,  1506, 36260,  1506,   969,  1521,
   33630, 36786,  3341,  3215,   329,  1651,  3345, -5883,  3220,  1815,
    2108, 84514, 93658, 84514,107882,  3120, 36260, -5883,  3457,  3080,
    3081,  3141, 60140, -5883,  3084,  3050,  3094,  3149,  3003,  3096,
    3098,  3155, -5883,  3281, -5883, -5883,  3099,  3467,  3102,108390,
   -5883, -5883,  1101, -5883, -5883, -5883,  1101, -5883,  3026,  1346,
    1543,   344,  3108,   270,  1009,  3459, -5883,  1374, -5883, -5883,
    3167, -5883, 13991, 93658,  3399,  6933,  3250,   355,  3166, -5883,
   -5883, -5883,  3312,  3116, 93658,  3117,  3267,   355,   351,108898,
   -5883, -5883, 93658, -5883, -5883, -5883, -5883,  7072,  3437, 28953,
   -5883,  2111,  3121,  3103,  3130, 93658, 75878,   446,  3239,  3261,
    1710,  1111,   706,  3189, 93658,   339,  3272, 93658,  3042,  3131,
    3132,  3386,  3048,   636,  3490,  3046, -5883, -5883, -5883,  3463,
   -5883,  2027,  2439,  3260, -5883,  3387,  3430,  7640,  3123,  3124,
  118522, -5883,  3150,    69, 56036, 93658, 93658,  3151,  3156,109406,
    7072,  3464, 80450, 80450,  3158,  3162, 49774,  3487,  1775,  3163,
   -5883, -5883, -5883,  1775,  3164,  3170,109914,  7072,  3475, 93658,
    3172,  3173, 93658,122474,   355, -5883,  3554, -5883,   355,   355,
    2225,  3555,  3176,   434,  3339,  1002,  1533, -5883,  3046,  4813,
   -5883,  3178,  3179,  1084, -5883,  3305, 93658,  3180,  3182,  1866,
    3269,  1504, -5883,  3280, -5883,  3184,  3283,  3186,   960,  2755,
   -5883, -5883,   707,  3187, 84514,  3306,  3307,   339,   296,  1047,
    3046, -5883,  3192,  3199,  3048,  3048, 93658, 93658, 93658, 93658,
   93658,   299,  3592,   383,  3209,   275,    80,  3107, -5883,  1775,
   67750,  3214, -5883,  1775, 93658,   297,  1063,  3046,  2008,  2051,
   -5883, -5883, -5883,  1397, -5883, 36260, 36260, 36260,  3122, -5883,
    2651, 20848,   105, -5883,   334,  7606,  3126, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, 93658, 63685, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, 93658, -5883, 93658,  3417,120498,  3439,  3361,
    3447,  3448,   355, 93658, 93658,  3449,  3450,  3452,120498,  3453,
    3455,  3473,  3393,  3257,   235,  3248,  3175,  3668,  3550, 93658,
   64702, -5883,  1101, -5883,120498,  3401,  3553, -5883, 93658,  3419,
      89, -5883,  3594,  3245, -5883, -5883,   109, 93658, 78926,  2755,
   -5883, -5883,  3560, 69274,  1076,  3562,  1504,  3238,  3564,  3414,
    1504, 69274,  3465, 93658, 93658, 93658, 93658,   230, -5883, 67750,
    3431, -5883, 93658,  3433,  4813,  3434,  3689,  1348,  2164,110422,
    3557, -5883,110930,  3196, 93658,  3197,  3197,  3694,120498,  1538,
    3491, -5883, -5883,  2621, -5883,  3346, -5883, 72830, -5883, -5883,
   72830, -5883, -5883,120498, 93658,  3205,120498,120498, -5883, -5883,
   72830, 72830, -5883, 69274, 69274,  3578,   375,  3580,  3268,  3584,
    3273, 56036, 56036, -5883,   444, 72830, -5883, 69274, 72830, -5883,
   93658, -5883, 93658, -5883, -5883, -5883, -5883,120498,120498, -5883,
   69274, 67750,  3586, 93658, 93658, -5883, 93658, 93658, -5883, 93658,
   93658,  2138,111438,  2022, -5883, 93658, -5883, 93658, -5883, 93658,
   -5883, 93658, -5883, 93658, -5883, -5883, -5883, 93658, -5883, 93658,
    2140, -5883, -5883,  2144,  1990, 93658, 93658,   266, 72830, 93658,
    3445, 93658, 72830, 72830, 93658, 93658, 93658, 93658, 93658,  3301,
    2950,   917, -5883,   307,  1044, 84514,  3454, -5883, -5883,  2159,
    2208,  1295, 93658, -5883, 93658, 93658, 93658, -5883, -5883, 78418,
    3571,   471, 79942, 93658, -5883, -5883,  7610, 36260,  2059, 32573,
   -5883, -5883, 20848,  3263, 36260, 36260,  3225,  2665,  2665, -5883,
     302, 36260, 36260, 36260, 29943, 36260, 36260, 34156, 36260, 36260,
   36260, 36260, 36260, 36260,  2665,  2665,  3226, 36260,  7065, 36260,
   56036, 36260, 42046, 26859, 36260, 36260, 30995,  1532,  2869, 36260,
    3477, 43092, 36260,  2116,  3483, 36260,  2116,  7065,  3750,  3750,
    2951,  8462,  3227,  2059, -5883,  2665,   258, -5883,   291,120498,
   36260, 36260, 36260, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, 36260, -5883,
   64702, -5883, -5883, -5883, -5883, -5883, -5883,   172, -5883, -5883,
   -5883, -5883, -5883, -5883,  5706, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, 93658, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, 31521, -5883, -5883, -5883, -5883,
    3233, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883,  3470, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, 32047,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883,  3235, -5883, -5883, 36260, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883,  3324, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,  1275, 36260,
   36260, 36260, 36260, 36260, 36260, 36260, 36260, 36260, -5883, 36260,
     495, -5883, -5883,  3587,  3300,   747,   473,  3241,  3472, 89086,
   33104,  3334, 25795, -5883,   264,  3334, -5883, -5883, -5883, 93658,
    3441, -5883, -5883,  3328, -5883, -5883, -5883, -5883, -5883,   335,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883,  3243, -5883, -5883,
   -5883, -5883,  3243, -5883,  3244,  3589,  3598,  1016, 84514,   494,
   36260,   172,   293, 93658, 36260,  3233,  3470, 36260,  3235, 36260,
    3324, -5883, 36260, -5883,  2167,  1581, 36260,  2168,  3252, -5883,
   -5883,  3262,  2970,  3287,  3289,  3275,  3277,  2665,   269,  3282,
    1171,   169,  3421,  2665,  3498,  3284, -5883, 64702, -5883, 45148,
    3330, -5883, -5883, -5883,   437, 84514, 84514, -5883,  3595, -5883,
    3286, -5883, 10348,  3595, -5883, -5883, 42569,  3410,  3579,  3511,
   -5883, -5883, -5883,  3288, 20848, 37312, 37312, -5883,  2299, 20848,
    2352, -5883, -5883, -5883, -5883, -5883, -5883,   809, -5883, 93658,
    1328,  3341,  1651,  3353,  1112,  3790,  3359, 93658, -5883, 50802,
    2172, -5883, 69274, 93658, 93658,  3514, -5883,  3773, -5883,122474,
   -5883,  3299, -5883,121980,117534, -5883, -5883,  1382, -5883,   906,
   69274, -5883, 93658, 93658, 69274, 93658, 93658, -5883, 69274,  3352,
   93658, 93658, -5883, -5883, -5883, -5883, -5883, 62161,  1144, 78418,
    3458, 77402, -5883, -5883,  3303, 93658,  3543, -5883, -5883,111946,
   -5883,  3544, 69274, 93658, 93658, 36260,  3545, 93658, 93658, -5883,
     615,  3397,  3398, -5883, 93658,  3411, 72830,  3314,120498, 72830,
   56563, 72830, 72830,  3674,120498, 93658, 93658,  1337, 84514,   325,
    1217,  3046,  3561, -5883,  1011, -5883, 69274, -5883, 93658,  3551,
   -5883, -5883, -5883, 89594,  3813,  3468, -5883, -5883, -5883,112454,
   -5883, -5883,  3556, -5883,  2182, -5883, 69274, 69274, 93658,  8649,
    3329,112962, 93658,  1398,  3623,  3573,  3626,   147, -5883, -5883,
   -5883,120498, -5883, 93658, 90102, 93658, 93658,  3618, 93658, 81466,
  113470,113978,   116,  1669,  3620, 93658, 81974,  3622, -5883,  3485,
   93658, -5883, -5883, 65210, 69274, 93658,   845, 64702, -5883,  3604,
   -5883, 93658, -5883,   330, -5883, 93658,  5960,  3572, -5883, -5883,
    3435,  3443, 93658,   343,  1233,  3046,  3755, 93658, 93658,  3349,
    2190, 69274, 93658, 64702, -5883,  3581,   783, 69274, 93658, 89594,
   -5883,  3582, -5883, 84514,  3687, -5883,  3354,  2164,  2488,  2015,
    3354, 69274, 93658, -5883,  3354, 93658,103818, -5883, 69274,  1071,
   -5883, 69274, 93658, 89594, -5883,  3585,  3529, 69274, 93658, 11820,
   -5883, -5883, -5883,   355, -5883, -5883, -5883, -5883, -5883, 93658,
   93658,   355, 93658, 93658,   355,  1576, -5883, 69274, 93658, -5883,
   -5883, -5883,  3504, 69274, 93658, 93658,   450, 93658, -5883, 93658,
   69274,  3418, 93658, 93658, -5883, -5883, 93658,  8232, 93658, 93658,
   93658, 93658, 93658, 93658, 69274, 93658, -5883, -5883,  1123,    96,
     139,  1780,   189, 93658,  3712, 93658,114486,  1504, 69274, 93658,
   93658,  1504, 93658, 64702,  1526, -5883, -5883,  3512, -5883, 69274,
    1071, -5883,  8976, 93658, 93658, 93658,  3466,  3469,   458,  3558,
   -5883, -5883, -5883,   752,   752,  3597, -5883, 36260, 36260, 34682,
    3382, -5883, -5883, 36260,  2796, -5883, -5883, -5883,  1115,  3871,
    1115,114994,  1115,  1115,  3690,  3446,  3451,  1115,  1115,  1115,
    3675,  1115,  1115,  1115, 93658,  3570, -5883, -5883,  3570,   859,
   36260,120498, 93658, -5883,  2192, -5883,  3404, -5883, -5883, 64702,
   93658,   410,   907,  3772,  3630, 76386,  2483,  3763, 93658,  3471,
   93658,  3898,  3505,  1338, -5883,  2483, 93658, -5883,  1659, 78418,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, 93658, -5883, -5883,
    3767, 93658, 45662,  3590, -5883,  1504,  2755,  2755,  2755,  2755,
    3413,  2755, 93658,  3546,  3786,  2483,  3415,  3792, -5883,  4813,
    3795,  1129, 93658,  3645, 76386,  3482,  3474,  3664,  3919,  2164,
    1504,  3667,  3653, -5883, 60637, -5883,  2755,  3935, 29448,  4861,
    6794,  3655,  3722, -5883, -5883,  3669,   998, 93658,  3774,  3776,
    3798, -5883,   227, -5883,  3932,  1723,  3800,   255, -5883,   345,
   -5883,  2806, -5883, 93658, -5883, 93658, 93658, 93658, 93658,   352,
   -5883, -5883,   345,  2806,   345,  1016, -5883,  3731,   255,  2806,
    3583,  3809,   375, -5883,   384, -5883,  3684,  1016, -5883,  3691,
    2164, -5883, -5883, -5883, -5883, -5883, -5883, -5883,  2197, -5883,
   93658, -5883,  3781,  3793,  3794,  3796,  3799,  3462,  3478,  3499,
   93658,  3480,  3462,   355,  3481,  3476, -5883,  3480,  3480,  3462,
    2950,  2950,  3462,  3478, 68258,  3937, 64702, -5883, -5883,  3563,
    3486,  3825,   880, -5883,  1015,   806,  3737, -5883, -5883, -5883,
   -5883,120498, -5883, 69274,  3524, -5883, -5883, -5883,  3708,  3484,
   68258,  1016,   197, -5883, 72830, 93658,120498, 72830,  3719, 72830,
   72830,120498, 93658, 93658,  2203, -5883,  1948, -5883,  1961, 36260,
     529, -5883, 18233,  2210, 36260,  3488,  3492, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883,  3493,  3847, -5883,  2223,  2224, 18337,
    2625,120498,  3617,  3518, -5883,  3496,   336,  3711,  3494,  1248,
    3559,  2236,  3500,   347, -5883,  1248,   361,  3495,  9022,  3659,
    3501,  2240,  3503,  3506, -5883,  5390,  6528,  3509, 18522,  3502,
    3510,  3513,  3517, 42046, 42046, 30469,  1277, -5883, 42046,  3519,
    3725,  2254, 16640,  3527,  3528, 18767, 35208, 36260, 35208, 35208,
   19166,  3530,  3531, -5883,  3911, -5883,  2260, 64702,  3721, 19292,
    2264, -5883, 36260, 64702,  6866, 36260, -5883, 36260,  3532, -5883,
   -5883,  3327,  3327,  3327,  7065, -5883, -5883,  3565, -5883, 42046,
   42046, -5883,  2281, 30469, -5883, -5883,  3891, -5883, -5883,   289,
   -5883, -5883, -5883, -5883, -5883,  2765, -5883, -5883, -5883,  3778,
    2625,  2304, 56036,  3375, 36260,   436, 36260,  3233, 36260,  3624,
    3327,  3327,  3327,   478,   478,   357,   357,   357,  2079,   473,
   -5883, -5883, -5883,  3538,  3540,  3472,  3541, 36260, -5883,  3599,
   51316, -5883,  2681,  2701, 93658,  2231,  4198,  6223, -5883, -5883,
   -5883,  3330,   105,  3330, -5883,  1397,  2665,   258, 62669, -5883,
   -5883, -5883, -5883, -5883, -5883, 84514, 20848, -5883, -5883,  3811,
    3548,  2266, -5883, -5883,  2665, -5883, -5883,  2249,  2249,  3566,
   -5883,  3575, -5883, -5883, -5883, -5883, -5883, -5883, -5883,  3568,
   -5883, -5883, -5883,  3552,  3576, 46176,  3914,  3577, 44634, 90610,
    3567,  2241, -5883, 90610, 91118, 90610, 90610, -5883,  3574, -5883,
   -5883,  2059, 36260,  3907, -5883, -5883, -5883, 36260, -5883, -5883,
    1205,  3602,  1255,  1151,  2527,  2527,  2299,  1245, -5883, -5883,
    3625, -5883, 36260,  2428, -5883,  2452, -5883, -5883, -5883, -5883,
    2950, -5883,  3835, -5883, -5883, -5883, 45148,  3610,  3628,  1678,
   49260,  3808, -5883, 93658, 45148, -5883, 93658,   204, -5883,  3605,
   -5883, -5883, -5883, -5883, -5883, -5883,117534,  2475, -5883,121980,
   -5883,121980, -5883,  2475,  4049, -5883,117534,  2026, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, 69274, 69274,  3819, 93658,  3822,  3826, 36260,  1308, -5883,
    3978,  1016, -5883, -5883,  3693, -5883, 20848, -5883, -5883, -5883,
   -5883, -5883, 69274, 93658, -5883, 72322, -5883, -5883,120498, -5883,
   -5883, 93658, 93658, -5883, -5883, -5883,120498, -5883, -5883, -5883,
   93658,   888,  3695,  3696, 93658, -5883,   205,  3305,  9448, 93658,
   93658, 93658,  3923, -5883, -5883, -5883, -5883,  3853, -5883,  3991,
   -5883,117534, -5883,  2806,   176,  3707,  3046, 36260,  3862, -5883,
     280, 93658,  3631,  3632,  3998,  1426,  3952,  3634, -5883,  3738,
   -5883,  3760,  1278, -5883, -5883,  3770, -5883, -5883, -5883, -5883,
    4011,  1016,  4022,  1016, 93658, 93658, 93658, 93658,  3791, -5883,
   -5883, -5883, -5883,  3797,  3934, -5883, 64702, 64702, 64702,  2300,
   -5883, -5883,  1504, -5883, -5883, -5883, -5883, -5883, -5883,  3977,
   -5883,  2307, -5883,  1698, 91626, -5883, -5883, -5883, -5883, -5883,
    4028, 69274, 93658, 10915, 93658, 93658, 93658,  3881,  2034,  1210,
  120498, -5883,119016, -5883, -5883,  2309, -5883,  3673, 93658,  3746,
   69274,  3726, -5883, -5883, -5883,  4040,  2164,  3817, 80450,  3714,
    3714,  2077, -5883, -5883, -5883, -5883, -5883,  3953,  3876, -5883,
    1139,  3877, 69274,  3741, -5883, -5883, -5883, -5883,  4050,  3765,
   -5883, -5883,  3771,  1287,  3046,  4813, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883,  3801, -5883, -5883, -5883, -5883,
   -5883, -5883,  1507,  1507, -5883, -5883, -5883,  1507,  1510,   501,
    1375,  3046, -5883,  1060,  1791,  3775, -5883,  3785, -5883, -5883,
   -5883,  3957,  3964,  3972,  3802,  3803,  3828,  3804,  3805,  3850,
   -5883,  3806,  3851,  3807,  3854,  3816,  4115,  1016,120498,  3955,
    1504,  3844,  4098,  1016, -5883, -5883,  3818, -5883,  3821, -5883,
    2315,  4218,  4221, -5883, 93658, -5883,   517,  1390,  3046, -5883,
    3823, -5883, 69274, 93658, -5883, -5883, -5883, 36260,  3736,  3740,
    3742, 20848, 20848, 36260, -5883, -5883, 20848,  3743, -5883, -5883,
   -5883, -5883,120498, -5883, 93658,  4048, -5883, -5883,  1115, 93658,
   93658, -5883, -5883, -5883, 93658, -5883, -5883, -5883,  4054, -5883,
     573,   573, -5883, -5883,  4090,  9089,  3747,   187, -5883, 64702,
   52874,  2170,   207,  1533, -5883, 72322, 93658, 72322, -5883,   907,
    3970, 93658, 93658, 93658,  3749,  3748, -5883, -5883, -5883, -5883,
   69274,  1360, 69274,  2665, -5883, -5883,  3830, -5883, 93658,  2164,
    4281,  4116,  3418, -5883,  4241,  3251,  1076,  2118,   295,  2844,
    4178,  2489, 36260,   432, -5883, -5883,  2059, 93658,  3474, -5883,
   -5883, -5883, -5883,  1504, -5883,  3759,  3758, -5883, 93658,  4125,
   93658, 93658, 93658, 93658,  3524,  3779, 93658,  3780,120498, 93658,
    2710,  3048,  4269,  4151,  2208,  3482,  3865,  4156, 84514,  3810,
    2319, -5883, -5883,   998, -5883,  2321,   231, -5883,  1504, 72322,
  118028,  4144, -5883,   622,  6794, -5883, -5883,   622,  1173, 93658,
   -5883, -5883, -5883, -5883,  4014,  2195, -5883,  4128, -5883, -5883,
    2208, -5883,120498,  3787, -5883,  2328, -5883, -5883, -5883,   375,
    3848,  1016,  3852,  1016, -5883, -5883, -5883, -5883, 93658, -5883,
   93658, 67750, -5883, -5883, 93658, -5883,  4161, -5883, -5883,  3933,
    3938,  3939,  3947,  3948, 93658,  3462, -5883,  3788, 93658, 93658,
   69274,  1626, -5883, -5883, 69274,   484, -5883,   951, -5883, 84514,
    3924, -5883, -5883, -5883, -5883,  4182,  4183, -5883, -5883, -5883,
    1425, -5883, 79434,   485, -5883, 69274,  4117,  4118,  4119,  4130,
     355,  4131,  4133,  4134,  4135,  4136, -5883, -5883, -5883,  3831,
   19329, 36260, -5883,  4192,120498, -5883,  9192, -5883, -5883, -5883,
   36260, -5883, -5883,  4112, -5883, -5883,  3888,  3897,  3832,  3518,
    3659, -5883,  4056,  4057, 36260,  3659,  4308,   382, 36260, 36260,
   36260, -5883, -5883,  4062,  4064, 36260,  2625,  2625, 36260, -5883,
    3840, 36260, -5883, -5883, -5883, -5883,  2363, 36260, -5883, 36260,
   -5883, -5883, 27391,  4363,  4363,  3842,120498, 42046, 42046, 42046,
   42046,  1522,  2910, 42046, 42046, 42046, 42046, 42046, 42046, 42046,
   42046, 42046, 42046,   583, -5883,  4060, 36260, 36260, 35734, -5883,
   -5883,120498,  3843,  3530,  3855,  3857, 36260, -5883, -5883, -5883,
    2329, 43606,  3858, 64702, -5883, 36260, 17614,  2334,  3900, 19573,
    2059,  9242,  1504, 36260,  2508,  3125, 36260,  2335, 36260, -5883,
   -5883, -5883, -5883,  4208, -5883, -5883, -5883, -5883, -5883, -5883,
    4095,  2625, -5883, -5883, 36260,  3859,  3461, 42046, 42046,  3479,
   -5883,  3732, 36260, 30469, -5883,  3597, -5883, 27923,  3860, 36260,
  117026, -5883, -5883,   778,   778,   778,   778, -5883, 93658, 93658,
   93658,  3907,  3864,  3907,   250,  3866, -5883, -5883, -5883, -5883,
    2208, -5883,  3867, -5883, -5883, -5883, -5883, -5883, 36260, 90610,
   91118, 90610, 90610,  3863, 44120, 28438,  2241,  3868, 93658, -5883,
   -5883,  3870, 45148,  4160,  4083, -5883, 45148,  4083,  1996,  4083,
    4177,  3971, 51830, -5883, -5883,  3872, -5883, -5883,  4092, -5883,
    2111, 20848,  4349,  4219, -5883,  3878, -5883,  3602,  1724, -5883,
   -5883, -5883,  1266, -5883,  3967, -5883, -5883, -5883,  3567, 37838,
    4038, -5883, -5883, -5883,  3940,  2347, -5883, -5883,  4323,  4038,
   -5883,  2215, -5883,  2351, 50802,  3610, 36260,  2059,  2356,  2078,
   -5883, -5883,117534, -5883,  3958,  2806,  2806,  2009,  3462,  4244,
    2009,  9806, -5883,  1617, 93658, -5883, 93658, -5883, -5883, -5883,
    4379,  3949,  3950,  4176, -5883,  2610, -5883, -5883, 69274, 93658,
   -5883, -5883, -5883,   530,  1394,  3046, -5883,  3976, -5883, -5883,
    4209, 93658, -5883,  4365,  3989, 93658, 10123,  4270,  3959, -5883,
   -5883, 46690, 93658, 93658, 93658, -5883, 93658, 93658,  1617, 92134,
   -5883,  4342,  1617,  4016,  4251,  1994,  3048,   434,  6834, -5883,
    1910, -5883, -5883,  3979, -5883, 93658, -5883, 93658, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883,  4043, -5883, -5883, -5883, -5883,
   65210, -5883, -5883, 93658, -5883, 64702, 52874, 64702, -5883, -5883,
   -5883, 93658, -5883,  1539,   537,  1403,  3046, -5883,  3992, -5883,
    4277,  3993,  3994,  4053,   225,   290,  3996,  3997,  4058,  3910,
    3913,  3915, -5883, 64702, 53401,  4079, 93658,  2806,  3917,  3963,
   93658,  3714, 92642, -5883,  3921, -5883, -5883,  3714,   402,  1504,
   -5883, -5883,  1504,  2806,  1504, 93658, 93658, 93658, 93658,   450,
   -5883, -5883, -5883,  4389,  4019, 93658, 93658, 93658, 93658, -5883,
    3981, -5883, -5883, -5883, 93658, 93658,  4285,  1260,  2244, 69274,
   93658, 93658, 69274, 93658, 93658, 93658, 93658, 93658, 93658, 93658,
    4152, -5883,  4383,  4306,  2402,  4351,  4010, 93658, -5883, 93658,
    1504, -5883,  3305, 93658, 93658, 93658, 93658, -5883, -5883, -5883,
   -5883, -5883,  3597, -5883,  3936,  4243,  1115, -5883,  4247,  4249,
    4252,  1115, -5883, -5883,  1533, -5883,   570, 93658, -5883,  2711,
   93658, -5883, -5883, -5883,  3878,  2027,  2439, -5883, -5883, -5883,
   -5883, -5883, -5883,  3946, 93658, 93658, 42046, -5883,   487,  1741,
    1490, -5883,  4228, 93658,  3139, -5883, -5883, -5883,  1400, 93658,
   -5883, -5883, -5883, -5883,  3956, -5883,    93,  3779, -5883,  4271,
   76386,  2806, 69274, 69274,  2806, -5883,120498,  3960,  3474, -5883,
     939,  4044, -5883, 69274,  1076,115502,  3238,  4000,  4187, 10153,
   45148, 45662,  1507, -5883,  3951,  3954, -5883, -5883, 93658,  3970,
   67750,  2362,  4813,  4448,  1395,  2155, -5883, 77910,  4167,  3779,
    4271, -5883,  3048,  4193,  4189, -5883,  2208, 93658,  3524,  3474,
    1504, 93658,  3959, 52874, -5883,  4497,  2267, -5883,117534, 36260,
   36260, -5883,  3966, -5883,  3974,  6794, -5883,  4052,  3968,  4460,
   36260, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,  4063,
    3980, 93658, 93658,   998, 93658, -5883,  3982,  3800, -5883,  3800,
   -5883, 93658, -5883, 93658, -5883,  1016, -5883,  4113,  1016, 93658,
   93658, 93658, 93658, 93658, 93658,  3462,   355,  3476, -5883, -5883,
    4332, 68258,  4333, -5883, 64702, -5883, -5883, -5883, -5883, -5883,
    2369, 93658, -5883, -5883, -5883,  4405,  4343,  1016,   471,  1159,
    1159,  1159,  1159,  4295,  1159,  1159,  1159,  1159,  1159, -5883,
   36260, 20848, -5883,  3987, -5883, 20848,  4378,  4283,  4284, -5883,
   -5883,  3995,  4229,  4230, -5883,  3999, 36260,  3659, 19748, -5883,
   -5883,  4234,  4235, -5883,  3659,  3659, 19748, -5883, 19748,  4002,
   10945, 19880, -5883,  2371, 36260, -5883,  1841,  1841,  1841,  4039,
    4357, -5883,  3070,  1841,  1841,  1841,   376,   376,   262,   262,
     262,  4363,   583, 19952, 20321, 20491,  4005, -5883, -5883, -5883,
    3530, -5883, 38364,    99,  4481, 43092, -5883, -5883, -5883,  4059,
    4061,  4007, -5883, 36260, 38890,  4008,122474,  4222, -5883,  1907,
   36260, 36260,  4637, -5883,  7719, 36260, -5883, -5883,  4637,   512,
   36260,  3279,  3777, 36260, 36260,  4525, 11093,  4018, -5883,  2375,
   36260, 11148,  4215, -5883, 93658, 93658, 93658, 93658, -5883, -5883,
   -5883,  4219,  1504,  4219,  1504,  4021, -5883,  4013, -5883, -5883,
   -5883, -5883, 65718,  4020,  3721, 90610,  4023, 93658,  2241, 45148,
   -5883, -5883,  2017, -5883, 45148,  4330, -5883, 45148, 72830, -5883,
   93658,  4025, 93658, -5883,   454, 36260,  4070, 56036, -5883, -5883,
   -5883, -5883,  4137, -5883,  4274, 20848, 33104, -5883,  2208,  2063,
   93658,  2059,   711, -5883, 36260,  4055, 93658, -5883,  4038, 20848,
   -5883,  4123,  2380, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
    4138, 78418,  4394, -5883, -5883,  1875,  4373,   539, -5883,  1016,
   -5883,120498, 93658, 93658, 93658,  3003, -5883, -5883, 93658, 93658,
   93658, 93658, -5883, -5883, 69274, 93658, -5883, -5883, 93658, 36260,
    2384, -5883,  4093,  4507,   239,  4051, -5883,  1680,  1617, -5883,
    1680, -5883, -5883, 93150, -5883,  3970,   450,   487,  4391,  4392,
    4292, -5883,   355, -5883,  4552,   487,  4296,   450, -5883, -5883,
   -5883, -5883,  4824, -5883,120498,  1016,  1016, -5883, -5883, -5883,
   -5883, -5883,  4069, -5883,  4535,  4159, 93658, 93658, 93658, 93658,
   93658, 69274, 93658, 93658,  2665,  2665,120498,  4065, -5883,  2665,
    2665,  4067, -5883, 69274, 93658, 93658, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883,  4150, -5883, 36260,
    4526, -5883, -5883, -5883, -5883, -5883, 36260, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883, 69274, 93658,  4153,
   -5883,  4162, -5883,   925, -5883, -5883, 93658, 93658, 93658, 93658,
    4440, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883,  4445, 93658, -5883, -5883,  1504,  1504,120498,  1016,
    1016, -5883, -5883, -5883,  4163, -5883, -5883,  4072,  4386,  1115,
   -5883,  1115,  1115,  1115, -5883,  4074, -5883,  1533,  4489, -5883,
    1617,  1671,  4438, -5883, 36260, -5883,   958,  4039, -5883,  4498,
    4584, -5883, -5883, -5883, -5883,  3418,  2164,  3418, -5883, -5883,
   72830,   430, -5883,  4422,   410, 64702,  4324, 76386,  1060,   349,
    4094,  4227, -5883,  2806,  2806,  4157, 93658,  4591, -5883, -5883,
   -5883, -5883, -5883, -5883, 69274,  3726, -5883,  4338,  1456,  4459,
   93658, 45662, -5883,  3567, -5883, -5883, -5883,  1504, -5883, -5883,
    4236,  3474, -5883,  1735, 93658,  4331, 76386,  3524,  2392, -5883,
   -5883, -5883,  4147,  4579,  3482, -5883,  1060,  4167, -5883, -5883,
    4555,  4205,  4154,  4605, -5883,  4205,  4468,  4340,  4122, -5883,
    3810, -5883, 93658, -5883, 20848, 20848,  1504,122968,   622,120498,
    4475, -5883, 20848, 93658,   866,  4114,  4288, -5883,  4441,  1016,
    2393, -5883,  1016,  1016, -5883, 93658, -5883,  3462,  3462,  3462,
    3462,  3462, -5883,  4345, -5883, -5883, -5883, -5883,  4435, -5883,
   68258, -5883,  1016, -5883, -5883, -5883, -5883, -5883, -5883,  1159,
   -5883, -5883, -5883, -5883, -5883, 20848, -5883, 93658, -5883, -5883,
   -5883, -5883, -5883, -5883,  3286,  4124, 36260,  1845, -5883, -5883,
    4126,  4139,  3659,  3659, -5883, -5883, 36260, -5883, 11286, 42046,
    4482, -5883, 36260, 36260, 36260, -5883,  4132,  2406,  2414, -5883,
   -5883,    99, -5883,  4481, -5883, -5883, -5883, 11534,  4188, 20848,
    4253,  4140,   972,  4637,  4637,  7719,  4637, 36260, 36260,  4637,
    4637, 36260, -5883, -5883, -5883, 12031, -5883,  4610,  3597, -5883,
   -5883, -5883, -5883,  4070, -5883,  4070, -5883,  4279, 36260, -5883,
    2421,  4633, 40994,  4595, -5883, 93658,  2427, -5883, 36260,  4145,
   -5883, -5883, 45148,  2017,  4146,  2432, 93658,  2433,120498, 39416,
   20848, 93658,  3597,  4143, -5883, 93658,  2947, -5883,  1678, -5883,
   -5883,  4580, 46690,  4544, 20604, 36260, -5883, -5883, -5883, -5883,
   68258,  4375, 68258,  1617, -5883, -5883, -5883, -5883, -5883, -5883,
    4158, -5883, -5883, -5883, -5883,  4238, -5883, -5883,    77,  3454,
    1617, -5883, 12078,  4479, 46690, 57090, 93658, -5883, 93658, -5883,
  116010,  4164,  4366,  4166,  4168, -5883, -5883, -5883, -5883,  4652,
    4534,  4538, -5883, -5883,  4170, -5883, -5883, -5883,  4383, -5883,
   -5883, 52874, 69274, 93658, -5883,  4250, -5883, -5883, -5883, -5883,
   -5883, -5883, 48746, 56036, -5883,   225,  4171,  4172,   290, -5883,
   -5883, -5883, 93658, 12620,  4173, 13695,   732,  3454, 93658, 93658,
    4174,  4175,  4179,  1729,  1168,  1932,  3462,  4530, 93658, -5883,
   -5883, -5883,  4383, -5883, -5883, 93658, -5883,  1115, -5883, -5883,
   -5883, -5883, 64702, -5883,  2766,  4074,  1504, 72830,  4659,  4659,
   13742,  4414, -5883, -5883,   175,  4242,  4450,  4242,  4185, 93658,
    1400,  4186,  2438, -5883, 93658,  4190,  4322,  2666,  2666, 93658,
   93658, 93658,  2448,  2208,  2806,  3963,  1076,  4565, 76386,  4612,
    3970,   448, -5883, 93658,  4685, 93658,  3524,  3779, 93658,  4196,
   -5883, -5883, 77910,  4415,  2170, 93658,  2710,  4167,  3482,  1452,
   93658, -5883,  1021, -5883,  2208, -5883, 93658, 84514, 46690,  4558,
   -5883,121980, -5883,  2449, -5883, -5883, -5883,  4280, 21808,  3330,
    4325,  4326,  4206,  2141,  4566, 93658,   155, -5883, -5883, -5883,
   -5883, -5883, -5883, 93658,   485, -5883, -5883, -5883, -5883,  4207,
   -5883,  4704, 36260,   353, -5883, -5883, -5883, -5883, -5883,  4437,
   -5883,  4214, -5883, -5883,  2716,  1845, 20656, -5883,  4602, 42046,
   20848, 20848, 20848, 36260, -5883, 36260, -5883, -5883, -5883, -5883,
     128, -5883, -5883,  4545,  4217,  4637,  4637,  4637, -5883, 36260,
     237, -5883, -5883,  1969,  4631, 20711,  3574, 65718,  4216, -5883,
   42046,  2457, -5883,  3648, 93658,  2458, -5883, 20848, 93658, -5883,
   -5883, 36260, -5883,  2463, -5883,  4220,    32,  4224, 26327,  4225,
   -5883, -5883, -5883, -5883, -5883, 20848,  4226, -5883,  4714,  1651,
   -5883, -5883,  4278, 93658,  2468, -5883,   807,   913,    97, -5883,
    4720,  4720, 20848,  1626,  2009,   545, -5883, 93658,  4328, -5883,
    4507,  4232,  3418, -5883,  4233, -5883, -5883,   433,  3048, 93658,
    4398, -5883,  4479,  4479,  2170,  4567, -5883, -5883, 36260,  4298,
   -5883,   733,  3454, 93658,120498, -5883,   174,  4599, -5883,120498,
  120498, -5883, -5883, -5883, 36260, -5883,  4335, -5883, -5883, -5883,
   36260, 36260, 75370, -5883, -5883, 93658, 93658, 93658, 93658, 93658,
   -5883,  1016, -5883, -5883,  2470, -5883, 47718, -5883, -5883,  3246,
    1504,  3246,  1955, -5883, -5883,  3246,  3246, -5883,  3330, -5883,
    4659,   379, -5883, -5883,  4484,  4240, 36260,  4570, -5883,  1188,
    4470, -5883,  4246, -5883, 72830,  4775, -5883, 64702,  3779,  4271,
   93658, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883, -5883,  2481,  3970,  4618,  3474,  4154, -5883, 93658,
    4289, -5883, 45148,  3970,  2208,  2155, -5883,  4167,  3779,  4271,
   -5883, -5883,  4256,  4189,  3482,  2710,  4406, -5883,  4407, -5883,
    4723,  4485,  4725,  3524, -5883,  3959,  2482, 93658, -5883, -5883,
    6794,122968,120498, -5883, -5883, -5883,  4266,  4656,  4313,  4314,
   -5883, -5883, -5883,  2141, -5883,  1235,  4664,  4321, -5883,  4334,
   93658, -5883, -5883,  3970,  1016, 36260, 64702, 20848, -5883, -5883,
    4661, -5883,   500,   282,  1762,  4500,  4286, 36260,  4602,  2486,
    2505,  4336, -5883, -5883, -5883,  3530, 39942, 39942, 39942,  4287,
    4643,  4645, 93658, -5883, 93658,  4487, -5883, -5883, 93658,  4039,
    4290, 40994, 64702,  2506, -5883,119510, -5883,  2511,  2531, -5883,
   36260,  4282, 36260, -5883, 39416, 93658,  4291,  3341,  2208, -5883,
    3330, 46690, -5883,  4413, -5883,  4553, -5883, -5883, 36260,  4380,
    4387, -5883,  4648, -5883, -5883, 93658, -5883, 93658,  4242, 56036,
    3602,   433, -5883, 93658,  3418,  3418,  4240, 14101, 36260, -5883,
    4401, -5883, -5883,  2537,  1579, -5883, -5883,  2538,  2542, 14893,
   93658,  2544,  2556, -5883,  2558,  2665,  3478,  1932,  3478, -5883,
    3462, -5883, -5883, 64702, -5883, -5883, 68766, -5883, -5883, -5883,
    1504, -5883,  1504,  4533, 58616, 59124,  1504,  1504, -5883, -5883,
   -5883, -5883,  4632, -5883,  4813, -5883, 15501,  4408, -5883, -5883,
   -5883,   549, -5883,  4537,  4539, -5883,  4309, -5883,  2560, -5883,
    1060,  4451,  3970, -5883, -5883, 93658,  4805,  4810, -5883,  1466,
   93658,  3567, -5883,  4154,  3524,  3482,  1060,  4167,  2170, 47204,
    4205,  2710,  4189, -5883, -5883,  4541, -5883,  4542, -5883,  4337,
    4654, -5883,  2065,   622, -5883, -5883, -5883,  1520,  4678,  4680,
   -5883, -5883, -5883,  3246, -5883,  1628,  4339,  4705, -5883, -5883,
   -5883, -5883, -5883, -5883, -5883,  4369,   394,   400, -5883,  4370,
   -5883,  4512,  4513,  1845,  2436, -5883, 20848, -5883, -5883, -5883,
   41520,  4488,  1469, 17989,  4715, -5883,  4715,  4715, -5883,  4808,
    4815,   762, -5883,  4795,  2575, 43092, -5883, -5883, -5883, 93658,
    4562,  1582,  4840,  4515,  2589, 39416,  2593, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883, 50802,  4821, 20848,   547,  1747, 68258,
    3454,  2594,  3714,  4353, -5883,  3602,  4350,  4242,  4242, -5883,
   -5883, 20848, 93658, 72830,  4829, -5883, -5883, -5883, -5883,  3454,
    4444, -5883, -5883, 75370, -5883, 93658, -5883, -5883,  2595, -5883,
   -5883, -5883, 59632, -5883,  4114, -5883,  4114, -5883, -5883, -5883,
    4106,  4472, 93658,  1298,  1298,  4767, -5883,  4426, -5883,  4362,
   -5883,  4891,  4502, 93658, -5883, -5883,   225,  2208, 76386,  3970,
   -5883, -5883,  2710,  4167,  3482, 36260,  2599, -5883,  4507,   239,
   -5883,  4189,  4205, -5883, -5883, 46690,  4368,  3139,  4764, -5883,
   -5883, -5883,  2885, 72830, 72830, 93658, -5883, -5883, -5883, 36260,
    1400, -5883,  4412, -5883,  4416, -5883, -5883,  4600,  4601,  4381,
    1845, -5883,  4878, -5883, -5883, -5883, -5883, -5883,  1501, -5883,
   -5883, -5883, 93658, 93658, 93658,  4385, -5883,  3721, -5883, -5883,
   42046, 42046,  4623, -5883, 42046,  1582, -5883, 93658, -5883,  4388,
   -5883, -5883,  2616, -5883,  1657,   108, -5883,  4629,  4528, -5883,
   -5883,  4634,   674, -5883,   545, -5883, -5883, -5883, -5883, -5883,
   93658,  4450, -5883, -5883,  3454, -5883, 93658, -5883,  4393, -5883,
   -5883, -5883, 68766, -5883,  4114, -5883, -5883, -5883, -5883,  4906,
   -5883,  1276, -5883, -5883, -5883, -5883, 93658,  3970,  4065,  4154,
   -5883,  4189,  3482,  2710, 15928, -5883, 47204, 93658, 93658,  4205,
   -5883,  2620, 46690,  3474,  4550, -5883,  2454, -5883, -5883, -5883,
   -5883, -5883, -5883, -5883,   990,  4397,  4400, -5883, -5883, 16392,
   72830, -5883, -5883,  4548,  4556, -5883,  4636, 40468,  4557, -5883,
    4630, -5883,  1396,  1424,  1860,116518,  4858,  4039,  4039, -5883,
    4039, -5883, -5883, 36260, -5883, -5883, -5883, -5883, -5883, 50802,
   -5883,  4471,  1678,  4417, 93658, -5883, -5883,  1617,  4051,  4470,
    1617,  1617, -5883, -5883, 36260, -5883, -5883,  2164,  2164,  3970,
   -5883, -5883,  4205,  2710,  4189,  4507, -5883, -5883, -5883, -5883,
    4654, -5883,  2624,  4205,  4321,  2679, -5883, -5883,  2680,  2533,
    4499,  4776, -5883,  4423,  4531,  4536,  4809, -5883, -5883, -5883,
   93658, 93658, 66226, 93658,   404,  2628, -5883,120004, 93658, 16549,
    4420, -5883,  4486, 36260,  2635,  4430, -5883,  2639, -5883, -5883,
   -5883, -5883,  4189,  4205, 93658,  3139, -5883, 46690,  3330,  4811,
   -5883,  2454,  4559,  4560, 64194, -5883, -5883, -5883, -5883, -5883,
    4960,   338,  4854, -5883, -5883,  1504,  1845,116518,  4660,   226,
    2643, -5883,  4501,  2648,   130, -5883,  1617, -5883,  4205, -5883,
   -5883,  3474, -5883, -5883,  1400, -5883,  4490,  4491, -5883,  2649,
   -5883, -5883, -5883, -5883, 36260, 66226,  2201,  4443, -5883, -5883,
    4647,  1504,  2716,  4647, -5883, -5883, -5883,  1678, -5883, -5883,
    4205, 72830,  4803,  4806, -5883, 64194,   752,  4517, 93658,  4453,
   -5883,  1845, -5883,  1762,  2716,  4516,  3330,  4456, 72830, 72830,
   -5883,  4457, 93658,  4912,116518, -5883,  1845,  1762,  4501, -5883,
   64194, -5883, -5883,  1504, -5883,  4463,  2653, -5883,  1845, -5883,
    2654,116518, -5883, -5883, -5883,  2655, -5883
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1725,  1464,   672,  1553,  1552,  1464,     0,   269,     0,  1564,
       0,  1464,   437,  1121,     0,     0,     0,     0,   672,  1464,
       0,  1725,     0,     0,     0,     0,     0,  1738,     0,     0,
       0,     0,     0,  1261,     0,     0,     0,  1464,     0,     0,
    1745,     0,     0,     0,     0,  1738,     0,  1566,     0,     0,
       0,     0,  1745,     0,     0,     0,     0,     0,     2,     9,
      10,    45,    80,    81,    38,    37,    98,    63,    24,    71,
     133,   132,   134,    50,    46,    88,    33,    35,    47,    51,
      73,    75,    40,    53,    64,   110,    72,    31,    70,    76,
      96,    58,    19,    20,    59,    21,    60,    22,    61,   106,
      82,    99,    43,    69,    30,    52,    78,    79,    12,    54,
      86,    18,    65,    66,    68,    91,    92,    93,   116,    94,
     128,    49,   125,   103,   104,   122,   105,   123,    16,   107,
      62,    23,   119,   118,   120,    89,    55,    90,    77,    97,
     117,    34,   121,    25,    26,    28,    29,    27,    67,    36,
      74,    39,    95,   124,   114,   109,   129,   127,    11,   135,
     111,    83,    14,    15,   100,    13,    32,    57,    17,    42,
      41,    56,    48,   131,    44,  1564,   102,   115,   101,    84,
     108,    87,   112,   130,   113,    85,   126,  1689,  1688,  1749,
    1692,  1724,     0,  1704,  1463,  1462,  1477,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   671,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1474,  2453,  2470,  2471,  2472,  2473,  2474,
    2475,  2476,  2477,  2478,  2479,  2480,  2481,  2482,  2483,  2484,
    2486,  2485,  2487,  2488,  2860,  2489,  2490,  2491,  2797,  2798,
    2861,  2799,  2800,  2492,  2493,  2494,  2495,  2496,  2497,  2498,
    2499,  2500,  2801,  2802,  2501,  2502,  2503,  2504,  2505,  2803,
    2862,  2506,  2507,  2508,  2509,  2510,  2511,  2863,  2512,  2513,
    2514,  2515,  2516,  2517,  2518,  2519,  2520,  2521,  2864,  2522,
    2523,  2524,  2865,  2525,  2526,  2527,  2528,  2529,  2530,  2804,
    2805,  2531,  2532,  2533,  2534,  2535,  2536,  2537,  2538,  2539,
    2540,  2541,  2542,  2543,  2544,  2545,  2546,  2547,  2548,  2549,
    2550,  2551,  2552,  2553,  2554,  2555,  2556,  2557,  2558,  2559,
    2560,  2806,  2561,  2562,  2563,  2564,  2807,  2565,  2566,  2567,
    2568,  2808,  2569,  2570,  2571,  2572,  2866,  2867,  2573,  2574,
    2575,  2576,  2577,  2809,  2810,  2578,  2579,  2580,  2581,  2582,
    2583,  2584,  2868,  2585,  2586,  2587,  2588,  2589,  2590,  2591,
    2592,  2593,  2594,  2595,  2596,  2597,  2869,  2811,  2598,  2599,
    2600,  2601,  2812,  2813,  2814,  2602,  2870,  2871,  2603,  2872,
    2815,  2816,  2817,  2818,  2819,  2820,  2821,  2822,  2823,  2824,
    2825,  2604,  2605,  2606,  2607,  2608,  2609,  2610,  2611,  2826,
    2873,  2612,  2874,  2613,  2614,  2615,  2616,  2617,  2618,  2619,
    2620,  2621,  2622,  2623,  2624,  2625,  2827,  2626,  2627,  2628,
    2629,  2630,  2631,  2632,  2633,  2828,  2875,  2829,  2634,  2635,
    2636,  2637,  2638,  2639,  2640,  2641,  2830,  2831,  2642,  2643,
    2644,  2876,  2645,  2832,  2646,  2833,  2647,  2648,  2649,  2650,
    2651,  2652,  2653,  2654,  2655,  2656,  2657,  2834,  2877,  2658,
    2878,  2835,  2659,  2660,  2661,  2662,  2663,  2664,  2665,  2666,
    2667,  2668,  2669,  2670,  2671,  2672,  2673,  2836,  2674,  2837,
    2677,  2675,  2676,  2678,  2679,  2680,  2681,  2682,  2683,  2684,
    2685,  2686,  2687,  2688,  2838,  2689,  2690,  2691,  2692,  2693,
    2694,  2695,  2696,  2697,  2698,  2699,  2700,  2701,  2702,  2703,
    2704,  2705,  2706,  2879,  2707,  2708,  2709,  2710,  2711,  2839,
    2712,  2713,  2714,  2715,  2716,  2717,  2718,  2719,  2720,  2721,
    2722,  2723,  2724,  2725,  2726,  2727,  2728,  2840,  2729,  2730,
    2880,  2731,  2732,  2841,  2733,  2734,  2735,  2736,  2737,  2738,
    2739,  2740,  2741,  2742,  2743,  2744,  2745,  2746,  2747,  2748,
    2842,  2749,  2750,  2751,  2752,  2881,  2753,  2754,  2755,  2756,
    2757,  2758,  2759,  2843,  2844,  2760,  2761,  2845,  2762,  2846,
    2763,  2764,  2765,  2766,  2767,  2768,  2770,  2769,  2771,  2772,
    2773,  2774,  2775,  2776,  2777,  2778,  2779,  2780,  2781,  2847,
    2848,  2782,  2882,  2783,  2784,  2785,  2786,  2787,  2788,  2789,
    2790,  2791,  2792,  2793,  2849,  2850,  2851,  2852,  2853,  2854,
    2855,  2856,  2857,  2858,  2859,  2794,  2795,  2796,   146,     0,
       0,  2420,  2454,  2455,  2458,  2453,   407,   406,  1678,  2417,
    2454,  1563,     0,  1542,   672,     0,  1477,   436,  1725,     0,
       0,     0,     0,     0,     0,   889,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   138,     0,
     140,     0,     0,   461,   460,     0,     0,  1093,   466,     0,
       0,     0,     0,     0,   662,  1605,  2675,  1603,  1679,   270,
     273,   274,   271,   272,  2436,     0,  1233,  1234,  1236,     0,
       0,  1246,   927,   928,     0,     0,     0,   941,     0,     0,
       0,   925,     0,     0,     0,   947,     0,   944,     0,     0,
     948,   945,   922,   946,   929,     0,   921,     0,     0,  1246,
     949,     0,     0,   923,     0,     0,     0,     0,  1477,  1602,
     467,  1725,     0,  1586,  1587,  1588,  1564,  1576,  1589,  1581,
    1583,  1582,  1584,  1585,  1580,  2435,  2472,  1017,  1017,  1017,
    1017,  1014,  1015,  1017,  1017,  1017,  2695,     0,     0,   996,
       0,   998,  2437,  1017,  1022,  2480,   548,   548,   548,     0,
    1021,  1026,   548,     0,  1445,  1486,  2419,  1737,     0,   997,
    1444,  2760,  1592,     0,     0,     0,     0,  2714,  1454,   254,
    2726,  2843,  2760,   253,   248,   249,   222,     0,     0,  1021,
     548,     0,  1477,  1452,   993,  1744,  1742,     0,  2404,  2499,
    2516,  2615,   245,  2707,  2716,  2726,  2843,  2760,  2793,   201,
     211,   206,     0,   263,  2726,  2843,  2760,   259,  1474,     0,
    1705,  1855,  1854,  2413,     0,  1447,  1446,  1565,     0,  1568,
       0,  2690,  1709,  1712,  1570,  1710,  2456,  1948,  1977,  1955,
    1977,  1977,  1944,  1944,  2546,  1957,  1945,  1946,  1982,  2002,
       0,  1977,  1944,  1949,     0,  1947,  1985,  1985,  1972,     3,
    1927,  1928,  1929,  1930,  1958,  1959,  1931,  1964,  1965,  1969,
    1932,  1999,  1935,  1944,  2457,  1746,  1747,  2404,     4,  2450,
       5,  2331,  2449,     6,     7,  1701,     0,     0,     1,  1725,
       0,  1575,  1741,  1741,     0,  1741,     0,  1693,  1701,  1696,
    1700,     0,     0,     0,     0,     0,     0,  1448,     0,     0,
       0,   952,     0,  1489,  1078,     0,     0,     0,     0,     0,
    1330,     0,  1130,  1129,  2459,  2442,  2443,  2444,     0,  2440,
    2441,  2460,  2461,  2462,     0,  2584,  1330,     0,     0,  2247,
    2258,  2259,  2260,  2503,  2565,  2255,  2256,  2257,  2249,  2250,
    2251,  2252,  2253,  2254,     0,     0,  1228,  2248,     0,  2584,
       0,  1330,     0,   173,     0,   150,  1330,     0,     0,  2584,
       0,     0,  2584,     0,     0,     0,     0,     0,  2584,     0,
       0,     0,     0,     0,   173,  2620,     0,   150,  2584,     0,
       0,  1468,     0,     0,     0,  1470,  1473,  1460,     0,  2328,
       0,  2329,  2421,  1557,     0,  1556,  1550,  1560,  1555,  1545,
       0,  2413,     0,     0,     0,     0,   935,     0,     0,   925,
       0,     0,     0,   936,     0,   937,   938,     0,     0,     0,
       0,   934,     0,  1458,  1450,     0,  1594,  1596,  1595,  1597,
    1593,   548,     0,     0,     0,  2584,     0,   150,  1528,     0,
    2584,   150,     0,     0,   465,   464,   150,  2440,   463,   462,
    2503,  2565,     0,  1120,     0,  1203,   150,  2584,     0,   194,
    2584,   731,  2584,  1570,   139,     0,   675,     0,   843,  2620,
     150,     0,     0,     0,     0,     0,     0,   142,     0,     0,
       0,     0,     0,     0,     0,   661,   672,  1606,  1604,     0,
    1237,   247,   246,  1235,   939,  2584,  1162,   145,     0,     0,
    2584,  1509,  2584,   145,   956,   940,     0,   926,  2584,   145,
    1126,  2584,  2445,   183,     0,   924,  2503,  2565,  2584,   145,
    1230,     0,  2584,   145,  2584,   179,  2584,   145,  2584,   145,
    2584,   676,     0,     0,  2584,   145,  2584,  2620,   181,   943,
    2584,   145,   950,  2584,   145,  2415,  2584,     0,  1461,     0,
    1598,     0,  1578,  2847,     0,  1725,  1017,  1016,     0,  1017,
       0,  1017,     0,  1017,     0,  1017,     0,     0,     0,  1017,
    2438,  2439,   999,     0,  1023,     0,  1031,     0,  1030,  1029,
    1028,     0,     0,     0,  1032,     0,  1859,  1633,     0,  1442,
    1457,     0,     0,     0,   142,     0,  1259,  1256,   142,  1258,
    1257,   142,   142,  1453,   252,   250,     0,     0,     0,     0,
       0,     0,  1459,     0,  1451,     0,     0,     0,  2423,  2425,
    2426,  2261,  2331,     0,  2798,  2799,  2800,  2320,     0,  2801,
    2802,  2803,  2862,  2135,  2121,  2130,  2136,  2122,  2124,  2131,
    2804,  2805,  2070,  2806,  2807,  2433,  2808,  2809,  2810,  2812,
    2813,  2814,  2815,  2816,  2817,  2818,  2819,  2820,  2821,  2822,
    2823,  2825,  2826,  2126,  2128,  2827,  2828,  2829,  2831,     0,
    2434,  2832,  2833,  2653,  2835,  2836,  2838,  2839,  2132,  2841,
    2842,  2133,  2843,  2844,  2845,  2846,  2432,   509,  2134,  2848,
    2850,  2851,  2852,  2853,  2855,  2856,  2857,  2858,     0,     0,
       0,  2410,     0,  2099,     0,  1936,  1937,  1960,  1961,  1938,
    1966,  1967,  1939,     0,  1940,  2409,  2003,  2206,  2098,  2116,
       0,  2104,  2105,     0,  2097,  2093,  2208,  1727,  2405,     0,
    2094,  2422,  2424,  2321,  1727,  2403,   214,   265,     0,   266,
    2411,  2726,   202,   244,   216,   243,   217,   215,     0,  2501,
     203,     0,     0,   204,     0,     0,     0,     0,   262,   260,
       0,  1449,     0,  1857,  1856,  2414,   961,     0,  1567,  1564,
    2271,     0,  1711,     0,     0,     0,  1976,  1963,  1971,  1970,
       0,  1953,  1952,  1951,     0,  1950,  1977,  1977,  1975,  1954,
    1927,     0,     0,     0,  1981,     0,  1979,  1923,  1919,     0,
    1988,  1989,  1990,  1987,  2000,  1986,     0,  1933,  1991,     0,
    1944,  1941,  1812,     0,  1691,  1690,     8,     0,  1572,  1574,
    1548,  1570,  1739,  1740,     0,     0,     0,     0,     0,     0,
       0,     0,  1799,  1757,  1758,  1760,  1796,  1800,  1808,     0,
    1697,     0,     0,     0,  1861,     0,     0,  1475,     0,     0,
       0,     0,     0,  1161,     0,     0,     0,     0,   953,     0,
       0,     0,  1495,     0,  1497,  1498,  1499,     0,     0,     0,
    1500,  1501,  1489,   256,  1508,  1505,  1488,  1490,  1503,     0,
       0,     0,     0,     0,     0,     0,  1520,     0,   187,   188,
       0,   688,   672,     0,  2584,     0,     0,     0,     0,  1171,
    1178,  1329,     0,     0,     0,     0,     0,     0,     0,     0,
    1172,  1170,     0,  1173,   258,  1183,  1210,  1213,     0,     0,
    1128,  1131,     0,     0,     0,     0,     0,  1320,     0,     0,
       0,  1320,     0,     0,     0,  1329,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   281,   283,   296,   362,     0,
     653,     0,     0,     0,   656,     0,  2584,  1330,     0,     0,
       0,  1232,     0,     0,     0,     0,     0,     0,     0,     0,
    1213,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     148,   149,   154,     0,     0,     0,     0,  1213,     0,     0,
       0,     0,     0,     0,     0,   637,   652,   640,     0,     0,
       0,     0,     0,   648,     0,     0,   150,   650,   286,   627,
     633,     0,     0,     0,   738,   737,     0,     0,     0,     0,
       0,     0,  1418,     0,  1417,     0,     0,     0,     0,     0,
    1518,  1517,     0,     0,     0,     0,     0,     0,  1320,     0,
     275,   277,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   399,   400,     0,
       0,     0,   154,     0,     0,  1320,     0,   288,     0,     0,
    1469,  1466,  1467,     0,  1472,     0,     0,     0,     0,  2107,
       0,  2275,  1749,  2273,  1146,  2327,     0,  2463,  2883,  2884,
    2885,  2886,  2887,  2888,  2889,  2890,  2891,  2892,  2893,  2894,
    2895,  2896,  2897,  2898,  2899,  2900,  2901,  2902,  2903,  2904,
    2905,  2906,  2907,  2908,  2909,  2910,  2911,  2912,  2913,  2914,
    2915,  2916,  2917,  2918,  2919,  2920,  2921,  2922,  2923,  2924,
    2925,  2926,  2927,  2928,  2929,  2930,  2931,  2932,  2933,  2934,
    2935,  2936,  2937,  2938,  2939,  2940,  2941,  2942,  2943,  2944,
    2945,  2946,  2947,  2948,  2949,  2950,  2951,  2952,  2953,  2954,
    2955,  2956,  2957,  2958,  2959,  2960,  2324,  2323,  2418,  2464,
    2465,  2466,  2467,  2330,  1540,     0,   233,   234,   232,  1558,
     235,  1559,  1554,     0,  1541,     0,     0,     0,     0,     0,
       0,     0,     0,  2503,  2565,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   851,  1489,  1527,     0,     0,     0,   681,     0,  2584,
       0,   152,   890,     0,   841,   466,     0,     0,     0,     0,
    1394,   152,     0,     0,   190,     0,     0,   735,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   842,     0,
       0,   152,     0,  2584,   630,  2584,     0,   548,   548,     0,
       0,   141,   138,     0,     0,     0,     0,     0,     0,     0,
       0,  1683,  1682,  1685,  1684,     0,  1681,     0,   143,   144,
       0,  1220,  1245,     0,     0,     0,     0,     0,   917,   942,
       0,     0,  1214,     0,     0,  2584,   145,  2584,     0,  2584,
       0,     0,     0,  1222,   145,     0,  1216,     0,     0,  1218,
       0,  1420,     0,   933,   931,   930,   932,     0,     0,   915,
       0,     0,     0,     0,     0,   910,     0,     0,   912,     0,
       0,     0,     0,  1725,  1577,     0,  1007,     0,  1011,     0,
    1002,     0,  1008,     0,  1003,  1000,  1001,     0,  1006,     0,
       0,   549,   555,     0,     0,  2528,  2545,     0,  2573,  2608,
    2609,  2663,  2681,  2710,  2716,  2722,     0,  2753,  2765,     0,
    1037,  1075,  1027,   747,     0,     0,  1643,  1443,  2280,     0,
    1725,     0,     0,  1260,     0,     0,   138,   251,   223,     0,
       0,  1075,     0,  2714,  1456,   992,   672,     0,  2095,     0,
    2102,  2103,  2319,     0,     0,     0,     0,     0,     0,  2101,
       0,     0,     0,     0,  2376,     0,     0,  2376,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2026,     0,
       0,  2279,     0,     0,  2279,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2027,  2008,  2009,
    2099,  2271,     0,  2100,  2429,     0,  1999,  2468,  2261,     0,
    2258,  2259,  2260,  2961,  2962,  2963,  2964,  2965,  2966,  2967,
    2968,  2969,  2970,  2971,  2972,  2973,  2974,  2975,  2976,  2977,
       0,  2978,  2979,  2980,  2981,  2982,  2984,  2983,  2985,  2986,
    2987,  2988,  2989,  2990,  2334,  2992,  2993,  2994,  2995,  2996,
    2997,  2998,  2999,  3000,  3001,  3002,  3003,  3004,  3005,  3006,
    3007,  3008,  3009,  3010,  3011,  3012,  3013,  3014,  3015,  3016,
    3017,  3018,  3019,  3020,  3021,  3022,  3023,  3024,  3025,  3026,
    3027,  3028,  3029,  3030,  3031,  3032,  3033,  3034,  3035,  3036,
    3037,  3038,  3039,  3040,  3041,  3042,  3043,  3044,  3045,  3046,
    3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,  3056,
    3057,  3058,  3059,  3060,  3061,  3062,  3063,  3064,  3065,  3066,
    3067,  3068,  3069,  3070,  3071,  3072,  3073,  3074,  3075,  3076,
    3077,  3078,  3079,  3080,  3081,  3082,  3083,  3084,  3085,  3086,
    3087,  3088,  3089,  3090,  3091,  3092,  3093,  3094,  3095,  3096,
    3097,  3098,  3099,  3100,  3101,  3102,  3103,  3104,  3105,  3106,
    3107,  3108,  3109,  3110,  3111,  3112,  3113,  3114,  3115,  3116,
    3117,  3118,  3119,  3120,  3121,  3122,  3123,  3124,  3125,  3126,
    3127,  3128,  3129,  3130,  3131,  3132,  3133,  3134,  3135,  3136,
    3137,  3138,  3139,  3140,  3141,  3142,  3143,  3144,  3145,  3146,
    3147,  3148,  2041,  3149,  3150,  3151,  3152,  3153,  3154,  3155,
    3156,  3157,  3158,  3159,  3160,  3161,  3162,  3163,  3164,  3165,
    3166,  3167,  3168,  3169,  3170,  3171,  3172,  3173,  3174,  3175,
    3176,  3177,  3178,  3179,  3180,  3181,  3182,  3183,  3184,  3185,
    3186,  3187,  3188,  3189,  3190,  3191,  3192,  3193,  3194,  3195,
    3196,  3197,  3198,  3199,  3200,  3201,  3202,  3203,  3204,  3205,
    3206,  3207,  3208,  3209,  3210,  3211,  3212,  3213,  3214,  2043,
    3215,  3216,  3217,  3218,  3219,  3220,  3221,  3222,  3223,  3224,
    3225,  3226,  3227,  3228,  3229,  3230,  3231,  3232,  3233,  3234,
    3235,  3236,  3237,  3238,  3239,  3240,  3241,  3242,  3243,  3244,
    3245,  3246,  3247,  3248,  3249,  3250,  3251,  3252,  3253,  3256,
    3254,  3255,  3257,  3258,  3259,  3260,  3261,  3262,  3263,  3264,
    3265,  3266,  3267,  3268,  3269,  3270,  3271,  3272,  3273,  3274,
    3275,  3276,  3277,  3278,  3279,  3280,  3281,  3282,  3283,  3284,
    3285,  3286,  3287,  3288,  3289,  3290,  3291,  3292,  3293,  3294,
    3295,  3296,  3297,  3298,  3299,  3300,  3301,  3302,  3303,  3304,
    3305,  3306,  3307,  3308,  3309,  3310,  3311,  3312,  3314,  3313,
    3315,  3316,  3317,  3318,  3319,  3320,  3321,  3322,  3323,  3324,
    3325,  3326,  3327,  3328,  3329,  3330,  3331,  3332,  3333,  3334,
    3335,  3336,  3337,  3338,  3339,  3340,  3341,  3342,  3343,  3344,
    3345,  3346,  3347,  3348,  3349,  3350,  3351,  3352,  3353,  3354,
    3355,  3356,  3357,  3358,  3359,  3360,  3361,  3362,  3363,  3364,
    3365,  3366,  3367,  3368,  3369,  3371,  3370,  3372,  3373,  3374,
    3375,  3376,  3377,  3378,  3379,  3380,  3381,  3382,  3383,  3384,
    3385,  3386,  3387,  3388,  3389,  3390,  3391,  3392,  3393,  3394,
    3395,  3396,  3397,  3398,  3399,  3400,  3401,  3402,  3403,  3404,
    3405,  3406,  3407,  3408,  3409,  3410,  3411,  3412,     0,  2255,
    2256,  2257,  2249,  2250,  2251,  2252,  2253,  2254,  2265,     0,
       0,  2408,  2469,     0,  2208,     0,  2023,     0,  2216,     0,
       0,  1812,     0,  2427,  2322,  1812,   267,   268,   264,     0,
       0,   219,   218,     0,   237,   241,   242,   213,   240,     0,
     236,   221,  2192,  2191,   220,   212,   209,   207,   224,   226,
     227,   210,   208,   261,     0,     0,     0,   145,  1575,  1562,
       0,     0,  2334,     0,  2269,     0,     0,  2267,     0,     0,
       0,  1809,     0,  1713,     0,  1717,     0,     0,     0,  1974,
    1973,  1924,  1920,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   954,     0,  1942,     0,
    1877,  2451,  2452,  2332,  1745,  1575,     0,  1571,  1708,  1707,
    1750,  1751,  1112,  1706,  1779,  1780,     0,     0,     0,     0,
    1805,  1803,  1770,  1761,  1769,     0,     0,  1767,     0,  1771,
    2003,  1798,  1695,  1755,  1756,  1759,  1694,     0,  1801,     0,
    1646,  1799,  1760,  1630,     0,  1608,     0,     0,  1862,     0,
       0,  1476,     0,     0,     0,  1141,  1143,     0,  1142,     0,
    1145,     0,  1154,     0,     0,  1140,  1159,     0,  1148,  1146,
       0,  1516,     0,     0,     0,     0,     0,  1496,     0,     0,
       0,  2753,   255,  1499,  1504,  1491,  1502,     0,     0,     0,
       0,     0,  1077,  1076,     0,     0,     0,  1523,   540,     0,
     364,     0,     0,     0,     0,     0,     0,     0,     0,   837,
     834,     0,     0,   833,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   711,     0,  1320,
       0,   294,     0,  1180,     0,  1179,     0,  1184,     0,     0,
    1181,  1176,  1177,  2716,  2726,  2760,   257,  1182,  1212,     0,
    1211,  1207,     0,  1123,     0,  1124,     0,     0,     0,     0,
       0,     0,     0,  2557,     0,  2584,     0,   509,   302,   326,
     531,     0,  1319,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   348,     0,
       0,   351,   350,     0,     0,     0,     0,     0,   356,     0,
     334,     0,   335,     0,   355,     0,     0,     0,   654,   655,
       0,     0,     0,  1320,     0,   290,     0,     0,     0,     0,
       0,     0,     0,     0,  1229,     0,   764,     0,     0,  2716,
    1208,     0,  1403,     0,  2752,  1404,  1407,   548,     0,   548,
    1409,     0,     0,  1406,  1408,     0,     0,   176,     0,   171,
     175,     0,     0,  2716,  1209,     0,     0,     0,     0,     0,
     635,   636,   651,     0,   641,   642,   638,   643,   644,     0,
       0,     0,     0,     0,     0,     0,   634,     0,     0,   733,
     732,   736,     0,     0,     0,     0,     0,     0,  1412,     0,
       0,  1203,     0,     0,  1411,  1419,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1263,  1262,     0,     0,
       0,     0,  1330,     0,   880,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   178,   751,     0,   750,     0,
     172,   177,     0,     0,     0,     0,     0,     0,     0,     0,
     231,  1465,  1471,  1749,  1749,  1749,  2113,     0,     0,     0,
       0,  1748,  2325,  2328,  1545,  1551,  1544,  1543,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   413,   410,   411,   413,     0,
       0,     0,     0,   853,     0,   856,   859,  1487,   493,     0,
       0,   678,   711,     0,     0,   469,   185,     0,     0,     0,
       0,   766,     0,  1203,  1202,   147,   138,   194,   467,     0,
     193,   195,   197,   198,   199,   196,   200,     0,   730,   734,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,  1882,     0,     0,   170,     0,     0,   625,   629,
       0,     0,     0,     0,   469,   591,   375,  2584,     0,   548,
       0,  2584,     0,   137,     0,   840,     0,     0,     0,  1165,
    1165,     0,     0,   780,   779,     0,     0,     0,     0,     0,
       0,  1680,   145,  1163,     0,  1510,     0,   145,   957,   145,
    1127,   184,  2446,     0,   919,     0,     0,     0,     0,   145,
    1231,   907,   145,   180,   145,   145,   677,     0,   145,   182,
       0,     0,   145,   951,   145,  2416,     0,   145,  1601,  2584,
     548,  1579,  1004,  1013,  1012,  1010,  1009,  1005,     0,  1024,
       0,   547,     0,     0,     0,     0,     0,  1045,  1046,     0,
       0,  1042,  1047,     0,  1049,  1033,  1035,  1043,  1044,  1050,
    1039,  1038,  1051,  1052,     0,     0,     0,  1064,   745,     0,
       0,     0,     0,  1640,     0,  1638,     0,  1860,  1642,  1631,
    1591,     0,  1590,     0,   618,  1254,  1253,  1255,     0,  1021,
       0,   145,     0,  1455,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2284,     0,  2285,     0,     0,
    2318,  2314,     0,     0,     0,     0,     0,  2288,  2291,  2292,
    2293,  2290,  2294,  2289,     0,     0,  2295,     0,     0,  2369,
    2386,     0,  2099,  2369,  2397,     0,  2396,  2402,     0,  2275,
    2003,     0,     0,  2393,  2387,     0,  2393,     0,     0,  2376,
       0,     0,     0,     0,  2176,     0,     0,     0,  2275,  2278,
       0,     0,  2839,     0,     0,     0,     0,  2071,     0,     0,
    2242,     0,  2275,     0,     0,     0,     0,     0,     0,     0,
    2271,  2310,     0,   507,     0,  2061,     0,     0,     0,  2190,
       0,  2187,     0,     0,     0,     0,  2331,     0,     0,  2430,
    2004,  2019,  2020,  2021,  2024,  2407,  2007,     0,  2333,     0,
       0,  2005,  2032,     0,  2311,  2057,     0,  2062,  2047,  2377,
    2296,  2297,  2298,  2299,  2064,     0,  2040,  2045,  2049,     0,
    2386,  2028,     0,  2025,     0,  2334,  2270,     0,  2268,     0,
    2016,  2017,  2018,  2010,  2011,  2012,  2013,  2014,  2015,  2022,
    2246,  2244,  2245,     0,     0,  2216,     0,     0,  2044,     0,
       0,  2115,  2576,  2615,     0,  1738,  1738,  1738,  1726,  1736,
    2406,  1877,  1749,  1877,  2412,     0,     0,  1999,     0,  1858,
     959,   960,   958,  1547,  1561,  1575,  2272,  1569,  1715,     0,
       0,     0,  1943,  1956,     0,  1983,  1984,  1985,  1985,     0,
    1925,     0,  1968,  1993,  1994,  1995,  1996,  1997,  1998,     0,
    1992,  1934,   955,  2815,  2824,     0,  2712,  2859,     0,  1838,
    1811,  1813,  1823,  1838,  1845,  1838,  1838,  2117,  1875,  2118,
    2119,  2413,     0,  1782,  2448,  1549,  1573,     0,  1110,  1111,
       0,  1115,  2839,  2712,     0,     0,     0,     0,  1772,  1806,
       0,  1797,     0,  2423,  1773,  2422,  1774,  1777,  1778,  1768,
    1807,  1644,     0,  1802,  1699,  1698,     0,  1880,     0,     0,
       0,  1622,  1610,     0,     0,  1863,     0,  1812,  1648,     0,
    2331,  1810,  1370,  1264,  1331,  1144,     0,  1944,  1155,     0,
    1139,     0,  1138,  1944,     0,  1156,     0,  1944,  1371,  1265,
    1332,  1372,  1266,  1333,  1373,  1507,  1267,  1506,  1494,  1493,
    1492,     0,     0,     0,     0,     0,     0,     0,     0,   818,
    2584,   145,  1521,  1374,     0,  1268,   363,  1522,  1334,  1526,
     836,   835,     0,     0,  1335,     0,   687,   692,     0,   694,
     695,  2503,  2565,   696,   699,   700,     0,   702,   691,   690,
       0,     0,     0,     0,     0,   708,   713,     0,     0,     0,
       0,     0,     0,  1174,  1175,  1375,  1271,     0,  1336,     0,
    1122,     0,  1272,   186,     0,     0,   282,     0,  2584,   304,
       0,     0,     0,     0,     0,     0,     0,     0,   818,   491,
     818,     0,  1322,   301,   332,     0,   347,   342,   343,   341,
    2584,   145,  2584,   145,     0,     0,     0,     0,     0,   344,
     339,   340,   336,     0,     0,   349,  2475,  2547,  2727,     0,
     719,   721,     0,   726,   352,  1292,   371,   370,   369,     0,
     357,     0,   376,   379,     0,   354,   333,   331,   328,   297,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1224,     0,  1378,  1337,     0,  1359,  1363,     0,     0,
       0,   758,  1381,  1278,  1340,     0,   548,     0,     0,   567,
     567,   548,  1392,  1279,   174,  1309,   163,     0,     0,   159,
       0,     0,     0,     0,   153,  1382,  1280,  1341,     0,     0,
    1383,  1281,     0,     0,   287,   628,   639,   645,  1286,   649,
     646,  1349,   647,  1390,  1282,     0,  1386,  1312,  1344,   389,
     611,   388,  1203,  1203,  1393,  1413,  1283,  1203,     0,  1320,
       0,   276,   278,     0,   142,     0,  1284,     0,  1342,  1385,
    1311,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1529,     0,     0,     0,     0,     0,     0,   145,     0,     0,
       0,  1322,  2584,   145,   878,  1384,     0,  1317,     0,  1357,
       0,     0,     0,   401,     0,  1310,  1320,     0,   289,  1288,
       0,  1351,     0,     0,   229,   228,   230,     0,     0,     0,
       0,  2276,  2277,     0,  2274,  2108,  2327,     0,  1539,   981,
     967,   980,     0,   963,  2545,     0,   966,   968,     0,     0,
       0,   969,   973,   974,     0,   965,   962,   964,     0,   412,
       0,     0,   775,   776,     0,     0,     0,     0,   855,     0,
       0,  1519,     0,   150,   685,     0,     0,     0,   680,   710,
     715,     0,     0,     0,     0,   468,   472,   476,   477,   478,
       0,     0,     0,     0,   164,   151,     0,   896,     0,   548,
       0,   768,  1203,  1396,     0,   194,   189,     0,     0,   731,
       0,  1570,     0,     0,   606,   609,   608,     0,   375,   850,
     848,   847,   849,   871,   846,     0,  1881,  1883,     0,     0,
       0,     0,     0,     0,   618,   471,     0,     0,   555,     0,
     594,     0,     0,     0,     0,   591,     0,     0,     0,  2456,
       0,   867,   839,     0,  1133,     0,  1151,  1134,     0,     0,
       0,     0,  1188,  1195,  1164,  1189,  1166,  1195,     0,     0,
     781,   785,   784,   788,   786,     0,   782,   659,  1686,  1687,
       0,  1221,     0,     0,  1515,     0,  1513,   918,  1215,   145,
       0,   145,     0,   145,  1223,  1217,  1219,  1421,     0,   916,
       0,     0,   909,   911,     0,   913,     0,  1025,   550,     0,
       0,     0,     0,     0,     0,  1041,   657,  1048,     0,     0,
       0,  1063,  1058,  1060,     0,  1075,  1069,     0,   744,     0,
       0,  1641,  1634,  1636,  1635,     0,     0,  1632,  2281,   908,
       0,   624,     0,  1075,  1066,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1743,  2282,  2283,     0,
       0,     0,  2315,     0,     0,  2152,     0,  2123,  2125,  2138,
       0,  2153,  2106,     0,  2368,  2365,     0,     0,     0,  2369,
    2376,  2172,     0,     0,     0,  2376,     0,  2396,     0,     0,
       0,  2167,  2169,     0,     0,     0,  2386,  2386,     0,  2174,
       0,     0,  2154,  2127,  2129,  2139,     0,     0,  2262,     0,
    2142,  2141,     0,  2073,  2074,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2088,  2143,  2241,     0,     0,     0,  2145,
    2144,     0,     0,  2309,     0,     0,     0,  2150,   508,  2155,
       0,     0,     0,     0,  2161,     0,  2198,     0,     0,     0,
    2096,  2272,     0,     0,     0,     0,     0,     0,     0,  2379,
    2380,  2381,  2378,     0,  2063,  2048,  2066,  2042,  2046,  2050,
       0,  2386,  2065,  2068,     0,     0,  2036,     0,     0,  2034,
    2058,  2030,     0,     0,  2059,     0,  2114,     0,     0,     0,
    2219,  2214,  2215,  1738,  1738,  1738,  1738,  1735,     0,     0,
       0,  1782,     0,  1782,   205,     0,   238,   225,  1546,  1716,
    1725,  1962,     0,  1980,  1978,  1921,  1926,  2001,     0,  1838,
    1845,  1838,  1838,     0,     0,  1701,     0,  1823,     0,  1837,
    1821,  1836,     0,     0,  1851,  1849,     0,  1851,     0,  1851,
       0,  1815,     0,  1841,  1817,  1836,  1819,  1825,     0,  1867,
    2414,  1876,     0,  1795,  1752,     0,  2263,  1115,     0,  1754,
    1776,  1775,     0,  1765,     0,  1804,  1762,  1645,  1629,     0,
    1627,  1614,  1616,  1615,     0,     0,  1617,  2331,     0,  1627,
    1609,     0,  1653,     0,     0,  1880,     0,  1652,     0,  1944,
    1136,  1137,     0,  1160,     0,  1080,  1081,     0,  1079,     0,
       0,     0,   539,   542,     0,  1524,     0,  1391,  1308,   689,
       0,     0,     0,     0,   704,   663,   705,   707,     0,     0,
     706,   709,   712,  1320,     0,   295,  1294,     0,  1355,  1168,
       0,     0,  1125,     0,     0,     0,     0,     0,  1096,   530,
    1095,     0,     0,     0,     0,   818,     0,     0,   534,     0,
     490,   487,   327,     0,     0,     0,     0,   384,     0,   306,
     319,   382,   325,     0,   359,     0,   330,     0,   323,   345,
     337,   346,   338,   358,   360,     0,   723,   724,   722,   718,
       0,   725,   727,     0,   373,     0,     0,     0,   391,   353,
     390,     0,  1377,     0,  1320,     0,   291,  1290,     0,  1353,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1358,     0,     0,     0,     0,   763,     0,   760,
       0,   567,     0,  1405,     0,  1402,  1400,   567,     0,     0,
     156,   155,     0,   162,     0,     0,     0,     0,     0,     0,
    1414,  1415,  1416,     0,     0,     0,     0,     0,     0,   395,
       0,   298,   300,   299,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   402,   366,     0,   874,     0,     0,     0,   404,     0,
       0,  1369,     0,     0,     0,     0,     0,  1376,  1273,  2111,
    2112,  2109,  1749,  2326,     0,     0,     0,   978,     0,     0,
       0,     0,   415,   416,   150,   414,   439,     0,   818,     0,
       0,   852,   857,   865,  2653,  2249,  2250,   863,   858,   860,
     862,   864,   861,     0,     0,     0,     0,   512,     0,     0,
       0,   499,     0,     0,   509,   492,   495,   496,     0,     0,
     681,   684,   682,   683,     0,   703,     0,   471,   519,   581,
       0,   166,     0,     0,   167,   165,     0,     0,   375,   765,
       0,   762,  1395,     0,   192,     0,   735,     0,     0,     0,
       0,     0,  1203,   673,     0,   870,   872,   844,     0,   715,
       0,     0,   630,     0,   548,  1602,   613,     0,   583,   471,
     581,   590,     0,     0,   598,   374,     0,     0,   618,   375,
       0,     0,  1096,     0,   866,     0,     0,  1132,     0,     0,
       0,  1185,  1190,  1186,     0,  1165,  1147,     0,  1187,     0,
       0,  1193,  1118,  1167,  1119,  1437,  1438,  1435,  1436,     0,
       0,     0,     0,     0,     0,  1677,     0,     0,  1511,     0,
     920,     0,   903,     0,   905,   145,   752,     0,   145,     0,
       0,     0,     0,     0,     0,  1040,     0,  1034,  1036,  1061,
       0,     0,  1075,  1074,     0,  1065,  1073,  1071,  1072,  1070,
       0,     0,  1639,  1637,   616,     0,     0,   145,  1075,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2286,
       0,  2317,  2313,     0,  2120,  2287,  2367,  2383,  2385,  2173,
    2375,     0,     0,     0,  2398,     0,     0,  2376,  2336,  2390,
    2389,     0,     0,  2388,  2376,  2376,  2336,  2175,  2336,     0,
       0,     0,  2242,     0,     0,  2072,  2084,  2085,  2086,  2302,
       0,  2091,     0,  2081,  2082,  2083,  2075,  2076,  2077,  2078,
    2079,  2080,  2087,  2306,  2305,     0,     0,  2147,  2148,  2149,
    2308,  2156,     0,  2493,  2199,     0,  2160,  2189,  2188,     0,
       0,     0,  2163,     0,     0,  2185,     0,  2243,  2431,  2006,
       0,     0,  2033,  2312,  2051,     0,  2067,  2069,  2029,  2262,
       0,     0,     0,     0,     0,  2038,     0,     0,  2239,     0,
       0,     0,  2221,  2218,     0,     0,     0,     0,  1729,  1728,
    1734,  1795,  2108,  1795,     0,     0,  1922,     0,  1822,  1818,
    1820,  1826,     0,  2854,     0,  1827,  1834,     0,  1814,     0,
    1850,  1846,     0,  1847,     0,     0,  1848,     0,     0,  1816,
       0,  1834,     0,  1874,  1741,     0,  2210,     0,  1753,  1113,
    1114,  1763,     0,  1766,  2524,  1878,     0,  1628,     0,     0,
       0,  1619,  1625,  1607,     0,     0,     0,  1649,  1627,  1650,
    1157,     0,     0,  1149,  1086,  1087,  1090,  1088,  1085,  1089,
       0,     0,     0,   818,   821,     0,     0,     0,   819,   145,
    1269,     0,     0,     0,     0,   664,  1389,  1270,     0,     0,
       0,     0,  1169,  1323,     0,     0,  1293,   818,     0,     0,
       0,   562,     0,  1109,  1109,   552,   303,   546,   536,   603,
     546,   489,   488,     0,   486,   715,     0,     0,   310,   320,
       0,   315,     0,  1321,     0,     0,     0,     0,   314,   317,
     316,   386,     0,   383,     0,   145,   145,   361,   720,   372,
     377,   378,   381,  1328,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   897,   882,     0,
       0,   898,   899,     0,     0,     0,  1226,  1227,  1225,  1360,
    1361,  1367,  1364,  1362,  1366,  1368,  1365,     0,  1276,     0,
       0,   756,  1324,  1397,  1399,  1398,     0,  1401,   160,   157,
     158,   161,  1325,  1306,  1287,  1350,   612,     0,     0,     0,
    1285,     0,  1343,     0,  1302,  1296,     0,     0,     0,     0,
       0,  1388,  1316,  1348,  1387,  1314,  1346,  1313,  1345,  1315,
    1347,  1307,     0,     0,  1885,   879,     0,     0,     0,   145,
     145,   877,   754,  1289,     0,  1352,  1298,     0,     0,     0,
     970,     0,     0,     0,   972,   420,   440,   150,     0,   774,
     838,     0,     0,   854,     0,   497,     0,   503,   510,     0,
       0,   514,   515,   513,   498,  1203,   548,  1203,   807,   808,
       0,     0,   828,     0,   679,     0,     0,   469,     0,   516,
       0,     0,   473,   169,   168,     0,     0,     0,   769,   773,
     771,   770,   772,   767,     0,   758,   194,  2584,     0,     0,
       0,     0,   610,   604,   607,  1410,   845,     0,  1884,   748,
       0,   375,   626,     0,     0,     0,   469,   618,     0,   474,
     479,   480,   493,     0,   591,   582,     0,   583,   592,   593,
       0,   600,  1485,     0,   619,   600,     0,     0,     0,   869,
       0,   868,     0,  1135,  1152,  1153,     0,     0,  1195,     0,
       0,  1197,  1192,     0,     0,   787,   790,   783,   666,   145,
       0,  1514,   145,   145,  1252,     0,   914,  1055,  1056,  1057,
    1054,  1053,   658,     0,  1059,  1018,  1068,   746,     0,   617,
       0,  1019,   145,   995,   987,   994,   983,   986,   988,     0,
     990,   991,   985,   982,   984,  2316,  2137,     0,  2382,  2384,
    2171,  2395,  2394,  2170,  2401,     0,     0,  2364,  2392,  2391,
       0,     0,  2376,  2376,  2140,  2151,     0,  2241,  2272,     0,
       0,  2092,     0,     0,     0,  2146,  2849,     0,     0,  2203,
    2204,     0,  2200,  2201,  2196,  2197,  2162,     0,  2641,  2180,
       0,     0,  2195,  2055,  2053,  2052,  2037,     0,     0,  2035,
    2031,     0,  2060,  2205,  2238,  2272,  2207,     0,  1749,  1733,
    1732,  1731,  1730,  2210,  2428,  2210,   239,  1720,     0,  1870,
       0,  1873,     0,     0,  1824,     0,     0,  1828,     0,     0,
    1830,  1832,     0,     0,     0,     0,     0,     0,  2417,     0,
    1794,     0,  1749,     0,  1764,     0,  1626,  1611,     0,  1612,
    1618,     0,     0,     0,     0,     0,  1654,  1647,  1150,  1158,
       0,     0,     0,   541,   823,   822,   825,   820,   824,  1525,
       0,   697,   698,   701,  1295,     0,  1356,  1304,     0,  1643,
     532,   305,     0,   557,     0,     0,     0,  1102,   140,  1101,
       0,     0,     0,     0,     0,   485,   484,   493,   313,     0,
       0,     0,   307,   385,     0,   387,   308,   312,   366,   329,
     322,     0,     0,     0,  1291,     0,  1354,  1300,  1327,  1379,
    1274,  1338,     0,     0,   888,     0,     0,     0,     0,  1380,
    1275,  1339,     0,     0,     0,     0,     0,  1643,     0,     0,
       0,     0,     0,     0,     0,     0,  1534,     0,     0,   365,
     876,   875,   366,   403,  1318,     0,  2110,     0,   971,   976,
     977,   975,     0,   409,   417,   420,     0,     0,  1243,  1243,
       0,     0,   494,   511,     0,   602,   561,   602,     0,     0,
       0,     0,     0,   716,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   761,   760,   191,     0,   469,     0,
     715,     0,   873,     0,     0,     0,   618,   471,     0,     0,
    1599,   470,     0,     0,   482,     0,   594,   583,   591,     0,
       0,   615,     0,  1478,     0,   621,     0,     0,     0,   817,
    1191,     0,  1205,     0,  1146,  1116,  1200,     0,  1725,  1877,
       0,     0,     0,     0,   800,     0,   670,  1244,  1512,   904,
     906,   753,  1062,     0,  1075,  1067,   989,  2366,  2400,  2335,
    2337,     0,     0,  2358,  2351,  2354,  2352,  2353,  2355,     0,
    2350,     0,  2168,  2399,  2348,  2362,  2301,  2243,  2089,     0,
    2304,  2303,  2307,     0,  2157,     0,  2158,  2202,  2164,  2181,
       0,  2165,  2193,     0,     0,  2056,  2054,  2039,  2240,     0,
    2225,  1703,  1702,     0,  1723,  1906,  1875,     0,     0,  1869,
       0,     0,  1900,     0,     0,     0,  1835,  1853,     0,  1831,
    1829,     0,  1842,     0,  1844,  2523,  2810,  2709,     0,  1781,
    1783,  1786,  1788,  1787,  1789,  1785,  2209,  2211,     0,  1760,
    2264,  1879,     0,     0,     0,  1097,     0,     0,  1627,  1656,
    1668,  1668,  1651,  1063,     0,   145,   693,     0,     0,   284,
    1109,     0,  1203,   563,  2653,   564,  1108,  1112,   139,  2670,
       0,   545,   557,   557,   481,     0,   311,   321,     0,   368,
     380,     0,  1643,     0,     0,   886,   895,   895,   883,     0,
       0,   900,  1277,   757,     0,   566,     0,   279,  1303,  1297,
       0,     0,     0,  1536,  1537,     0,     0,     0,     0,     0,
    1326,   145,  1299,   979,     0,   442,   450,   421,   425,  1528,
       0,  1528,     0,   422,   426,  1528,  1528,   419,  1877,   438,
    1243,     0,  1240,  1239,   544,   632,     0,     0,   501,     0,
     572,   500,     0,   829,     0,     0,   714,     0,   471,   581,
       0,   529,   520,   521,   522,   523,   525,   524,   526,   527,
     528,   518,   517,     0,   715,   892,   375,  1485,   755,     0,
       0,   728,     0,   715,     0,  1602,   614,   583,   471,   581,
     475,   493,     0,   598,   591,   594,     0,   595,     0,   599,
       0,     0,     0,   618,  1538,  1096,     0,     0,   818,  1204,
    1165,     0,     0,  1194,  1198,  1199,     0,     0,     0,     0,
    1247,   794,   795,   789,   791,     0,   802,   806,   665,     0,
       0,   669,   660,   715,   145,     0,     0,  2349,  2356,  2357,
       0,  2178,     0,     0,  2374,     0,     0,     0,  2090,     0,
       0,  2183,  2182,  2194,  2166,  2220,     0,     0,     0,     0,
       0,     0,     0,  1714,     0,  2336,  1868,  1871,     0,  1903,
       0,     0,     0,     0,  1888,     0,  1833,     0,     0,  1843,
       0,     0,     0,  1790,     0,     0,     0,  1799,     0,  1624,
    1877,     0,  1621,     0,  1663,     0,  1655,  1657,     0,     0,
       0,  1082,     0,  1083,  1305,     0,  1103,     0,   602,     0,
    1115,  1112,   551,     0,  1203,  1203,   632,     0,     0,   324,
       0,   292,  1301,     0,     0,   884,   885,     0,     0,     0,
       0,     0,     0,   397,     0,     0,  1530,     0,  1531,  1532,
    1535,   405,   418,     0,   448,   447,     0,   445,   444,   446,
       0,   435,     0,     0,     0,     0,     0,     0,   408,  1238,
    1242,  1241,     0,   502,     0,   504,     0,     0,   558,   559,
     560,     0,   506,   568,   569,   826,     0,   831,     0,   717,
       0,     0,   715,   580,   739,     0,     0,     0,  1479,     0,
       0,   605,   749,  1485,   618,   591,     0,   583,   483,     0,
     600,   594,   598,   596,   597,     0,  1482,     0,   620,     0,
    1105,   816,     0,  1195,  1206,  1201,  1196,  1441,     0,     0,
     792,   797,   796,  1528,   801,     0,     0,     0,   668,   667,
     743,  1020,  2338,  2339,  2363,     0,     0,     0,  2342,     0,
    2340,     0,     0,  2362,     0,  2179,  2300,  2186,  2159,  2184,
    2797,  2524,  2768,     0,  2237,  2226,  2237,  2237,  2217,     0,
       0,     0,  1905,     0,     0,     0,  1901,  1902,  1886,     0,
       0,  1890,  1840,  1866,     0,     0,     0,  1784,  2212,  2213,
    2447,  1613,  1623,  1098,     0,  1665,  1667,     0,     0,     0,
    1643,     0,   567,     0,  1099,  1115,   554,   602,   602,   318,
     309,   367,     0,     0,     0,   893,   902,   901,   759,  1643,
       0,   393,   392,     0,   396,     0,   443,   453,     0,   451,
     423,   428,     0,   434,   433,   430,   429,   424,   427,   543,
       0,     0,     0,     0,     0,     0,   570,     0,   571,     0,
     830,     0,     0,     0,   741,   891,     0,     0,   469,   715,
    1480,  1600,   594,   583,   591,     0,     0,   585,  1109,  1109,
     456,   598,   600,  1483,  1484,     0,     0,   509,     0,  1117,
    1440,  1439,  1725,     0,     0,     0,   803,   804,   799,     0,
       0,  2343,     0,  2346,     0,  2347,  2341,  2371,  2373,     0,
    2359,  2360,     0,  2230,  2229,  2228,  2232,  2231,     0,  2224,
    2222,  2223,     0,     0,     0,     0,  1872,     0,  1889,  1892,
       0,     0,     0,  1898,     0,  1891,  1893,     0,  1852,     0,
    1864,  1792,     0,  1791,  1877,     0,  1670,     0,     0,  1658,
    1659,     0,     0,  1660,   145,   285,   556,   818,   565,  1100,
       0,   561,   818,   818,  1643,   887,     0,   280,     0,   398,
    1533,   449,     0,   432,   431,   631,   505,   601,   577,     0,
     576,     0,   574,   573,   827,   832,     0,   715,   881,  1485,
     729,   598,   591,   594,     0,   584,     0,   140,   140,   600,
     454,     0,     0,   375,     0,  1423,  1725,  1422,  1424,  1432,
    1429,  1431,  1430,  1428,     0,  1250,  1251,   793,   798,     0,
       0,  2344,  2345,     0,     0,  2177,     0,     0,     0,  2234,
       0,  2235,     0,     0,     0,     0,     0,  1895,  1896,  1897,
    1899,  1894,  1839,     0,  1793,  1620,  1664,  1666,  1661,     0,
    1662,     0,     0,     0,     0,  1671,  1084,   537,   552,   572,
     535,   533,   293,   894,     0,   452,   575,   548,   548,   715,
     740,  1481,   600,   594,   598,  1109,   586,   588,   587,   458,
    1105,  1106,     0,   600,   806,     0,  1433,  1427,  1701,  1688,
       0,     0,   805,     0,     0,     0,     0,  2227,  2233,  2236,
       0,     0,     0,     0,  2634,     0,  1907,     0,     0,     0,
    1669,  1675,     0,     0,     0,     0,   818,     0,   579,   578,
     742,   457,   598,   600,   140,   509,  1104,     0,  1877,     0,
    1425,  1725,     0,     0,   811,  2370,  2372,  2361,  1719,  1718,
    2815,     0,     0,  1722,  1915,     0,  2364,     0,     0,  1918,
       0,  1865,     0,     0,     0,   553,   538,   394,   600,   455,
     589,   375,  1107,  1091,     0,  1426,     0,     0,   813,     0,
     809,   812,   814,   815,     0,     0,     0,     0,  1908,  1909,
    1918,     0,  2348,  1918,  1887,  1672,  1676,     0,  1673,   459,
     600,     0,     0,     0,   777,     0,  1749,     0,     0,     0,
    1904,  2364,  1917,  2374,  2348,     0,  1877,     0,     0,     0,
     810,     0,     0,     0,     0,  1912,  2362,  2374,     0,  1092,
     811,  1248,  1249,     0,  1721,     0,     0,  1910,  2362,  1674,
       0,     0,  1913,  1911,   778,     0,  1914
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -5883, -5883, -5883,  4068,  -500, -1702, -5144, -1129,  1310, -5883,
   -5883,  -921,   621,  3290, -1106, -5883, -5883, -5883,  1451, -5883,
   -5883, -5883, -5883,  4030, -5883, -2948, -5883, -5883,   212,  3984,
   -1373,   185,  3596,  1573, -5883, -1010, -5883, -5883,  -653,     1,
   -5883,  4003,   607, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883,  -722,  2037, -5883,  2130,  1365, -4862, -5883, -5883, -1549,
   -3813, -5883,   613, -5883,   639, -4153, -5883, -4854, -1053, -5883,
   -5883, -5883,  2019, -5883, -5883, -5883,  1963,  1153,  -410, -5883,
   -5883, -5883, -5883, -5883, -5883,  -874, -5883, -5883, -1182,     4,
    -648, -2974, -4368, -5883, -5883,   461,  -449, -1496, -5883,   656,
   -5883,   657, -5883, -4872, -5883,   -40, -2785, -4402, -5883, -5883,
   -5883,  -419, -1517,  1404, -5883,  1465, -5883,   115,  -732, -1158,
   -1252, -5883, -3057, -2887, -1153, -5883,  -305, -3593, -1249,  -883,
    -881, -1040, -4405, -4920, -5883, -5883, -1181, -3827, -5241, -5462,
   -4908, -5170,  1411, -5883,   -64,   467, -5883,     5, -3671, -3771,
       6,   449, -5883,     7,     8, -5883,   463,  -806,  -976, -1618,
   -5883,  -891, -5883, -5883, -5883, -3480, -5883, -5883, -5883,   201,
   -5883, -5883, -5883, -5883,   507, -5883, -5883, -5883, -5883, -5883,
   -5883, -3226,  1999,  2000, -5883, -4436, -5883,  -956, -5883,   673,
   -3525,  1399, -5883, -5883,  1155,  4066,   489, -5883, -5883, -5883,
   -5883, -5883, -5883, -1795, -5883, -5883, -5883, -5883,   -37,  -386,
   -5883, -5883, -5883, -5883, -5883, -5883, -5883,    11, -5883,  1117,
     428, -5883, -5883,  -701, -5883, -5883, -5883, -5883, -5883, -5883,
   -1241, -5208, -1374, -1347, -5883, -3531, -5883, -5883, -5883,  -360,
   -5883, -5883, -5883, -5883, -5883,  -966, -5883,  1213, -4181, -5883,
   -5883,   468, -5883, -5883, -5883, -5883, -5883, -1012,  -298,  3216,
   -5883,  -558, -5883, -5883, -5883,  -296, -5883, -5883, -5883, -5883,
   -5883,  -525, -1253,  5075,  4431, -1119, 13781,  -837,  -557, -5883,
   -5883, -5883, -2794, -5883, -5883, -4299, -5883,  5066,  2567,   388,
      12, -5883,    43,   112,  3869, -5883,  1079, -1159, -3102,   427,
    -514, -5883, -5883, -5883,   426, -5883, -1973, -5883, -5883, -5883,
   -5883, -4137,    13, -5883, -4400, -5222, -4650, -4201, -1204, -5883,
   -5682, -5218, -4116, -5883,  2032, -5883, -5883,  -555,  -192,  3200,
   -5883, -1484,  2374, -1452, -5883, -2632,   496,  1569,  3208, -3282,
    -107,  3217, -3027, -5883,  -691,  1158, -5883,  -381, -3820, -5883,
   -5883, -5883, -2866,  -642, -5883, -5883,  1614,   708, -5883, -5883,
   -5883, -5883,  -652,  3188,  -209, -5883, -5883,  4419, -5883, -5005,
   -5883,  4384, -5883, -5883, -5883, -5883, -5883, -5883, -5883, -5883,
   -5883, -1482,  1331, -5883,  -827, -5883, -5883,  2148,   714, -5883,
   -5883, -5883, -5883,  1427,   -95, -5883, -5883, -5883, -5883, -5883,
   -5883, -5883,  -979, -1213, -5883, -5883, -5722, -5883, -5883, -5883,
   -5883, -5883,  2370,  -954,  -754,  4293,  -237,    15, -5379, -5883,
   -5883, -1163, -5883,  3629, -5883, -5883, -5883, -5883, -5883,   503,
     505, -5883, -5883, -5883, -5883, -3708, -5883, -5883, -5074, -5883,
   -5883,  2132, -5883, -5883,  1417,     3,  3333, -5883, -5883, -5883,
       2, -5883, -5883, -1017,  2476, -5883, -2407, -5883,  -573, -5883,
   -5883, -1917,    20, -4394, -5883,    51, -5883, -5883, -5095, -1124,
     308, -5883, -5883, -4106,    57, -5883, -5883, -5883, -5883, -5088,
   -5883,    60, -5627,   873, -3368, -5883,    10, -5883,  -439, -5883,
   -5883,  -441, -5883, -5883, -5883, -5882,    26,    31, -5883, -5883,
     110,  1796,   -47,   -13,    -9,    21,   179,  3752, -5883, -5883,
   -5883, -5042,  3789, -5883,     9,  -877,  5131,  5132, -5883,  -912,
    -136,   460,  1690,  -662, -2618,  3697,  3702, -5883,  1676,  2501,
   -2455, -2436, -5883,  -986,  -845,  -645, -5883, -5883, -5883, -5883,
   -1578,  -660, -2627, -5883,  3705, -5883, -5883, -5883, -2339, -3396,
   -3326,  1720, -3320, -3218, -5883,   964,   949, -1013,   -97,   100,
   -1492,  -803,  1749, -5883, -5883,  1733,  -367, -5883, -5883,  -365,
   -3334,   908, -5883, -4600, -2826,  1737, -1134,  -814, -5883,  -959,
   -5883,  -610,  1744, -5883, -4003, -1165, -5883, -3506,  4203,  3782,
    -831, -5883, -5883,  -809,  9168, -5883, -5883, -5883, 11127, 11749,
   -5883, -5883, 12605, 12669, -5883,  -588, 13604, 10339,  -789, -1935,
     161, 14263, 19214, -1927,  -436,    82, -5883, -3015, -2397, -5883,
   -5883, -5883,  -330,  1059,  1102, -5883, -5883, -4660, -4460, -5883,
    2632, -2028, -5883,  -618,  1813,  -615, -5883, -5883, -5883, -2933,
   -5616, -3087,  2640, -5883, -5883, -5883,  -130, -5883, 19513, -3272,
   -5883,  -690, -1020, -1599,  3140, -3133, -1912, -5883, -5883, -5883,
   -3116, -5883, -5883, -5883,  -674,  1847, -5883, -5883,  1972, -5883,
   -5883, -5883,  -967,  2214,  -738, -1180,  1854, -4500, -5883,  -543,
   -4074, -5008, -5883, -5679, -4416, -1904, -1136, -3018, -4145, -1946,
    1869, -3130, -5883, -1936,  1950,  1160, -5883,  1714, -5883,  4341,
    -793,  2658,  -807, 16822,  -685, 10706, -1272, -5883,  6213, -4498,
    4857,  7053,    50,  -119,  5464,  -612,  2582,  2905, -5883, -5883,
      -6,  8915,  -646,  -755, -5883,  4735, 16750, 16492, -3698, -5883
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    57,    58,    59,    60,  1108,  1113,  1912,  1931,    61,
      62,  1632,  3066,  2919,  3894,  3895,    63,    64,  1628,    65,
      66,    67,    68,  1542,    69,  1884,  3080,    70,  2752,   850,
     851,   852,  2617,  2618,  3011,  2619,  2607,  1394,  1830,  1564,
     824,   825,  1524,  1565,    72,    73,  1388,  2598,    74,    75,
      76,  1595,  1691,  1596,  1597,  1536,  5034,  5869,  3680,  2874,
    3942,  3681,  3682,  4370,  4371,  3760,  4399,  4461,  5883,  5884,
      77,  1707,  1708,    78,    79,  3048,  3860,  4514,  5423,  5424,
    5687,   669,  5057,  5058,  5674,  5675,  5898,  6068,  6069,  3081,
     700,  3937,  4598,  3885,  5128,  3886,  5129,  3887,  5130,  4924,
    4925,  4360,  4361,  3871,  4545,  4546,  2088,  5070,  4547,  3888,
    5089,  5721,  3889,  2840,  2767,  2768,  5913,  5353,  3115,  2003,
    5351,  6191,  2001,  5622,  5700,  4910,  4911,  4435,  5922,  5923,
    5924,  6212,  5091,  5134,  5135,  6106,  6107,  3940,  4604,  5141,
    5481,  5698,  3638,    81,  3913,  3914,    82,   763,  1906,  4041,
     764,  3118,   701,   765,  3082,    87,  3108,  5915,  3109,  1660,
    2933,  4527,  4017,    88,  1136,  4324,  5506,  5781,  5782,   754,
      89,  1892,    90,    91,  3061,  3878,    92,  2785,  3586,    93,
      94,  3605,  3606,  3607,    95,  4555,  5442,  1598,  3669,  3670,
    3671,  3672,  4391,    96,  1887,  3089,  3090,    97,    98,    99,
    3220,  3221,   100,  2997,   101,   102,   103,   104,  4429,  4991,
    5105,  3711,  3901,  4571,  5103,   105,  3864,  3083,  3136,  3975,
    3976,  5504,  5773,  5774,  5775,  5973,  6247,  5777,  5975,  6128,
    5977,  5080,  6399,  6400,  5758,  4313,  4888,   107,  5081,  5082,
    5928,   108,  2783,   109,   110,  1861,  3054,  3055,  4528,  3125,
    3950,  3951,  4584,  4585,   111,  3800,   112,  4967,  4968,   702,
    5936,  5875,   113,   114,  4971,  4972,   115,   116,   117,   118,
     119,   755,  1070,  1071,   757,  1191,  1192,  3547,  1153,   120,
    2627,   121,  3840,   122,  1266,  5194,   123,   789,  1207,  1208,
    3084,   125,   799,  3239,   801,  3204,  3205,  2019,  4021,  4022,
    4672,   126,   127,  4025,  4026,  4679,  3217,   128,  1529,  2762,
    2763,  4880,  3085,   703,  3632,  5604,  5347,  5605,  6117,  6312,
    5348,  3491,  4269,   130,   704,  1570,  2824,  1159,  1160,  3129,
    3955,  2732,  2733,  1730,  4625,  2735,  3957,  2736,  1503,  2737,
    1146,  1147,  3963,  3964,  3965,  3966,  4621,  4631,  4632,  5498,
    5766,  4628,  1880,  5492,  5493,   131,  1567,  2821,   132,   133,
     134,  1611,   994,  1169,  1170,   135,   716,   717,   136,  5692,
     137,  1149,   138,  5502,   139,   140,  1251,  1252,   816,   141,
     142,  2844,  4373,   143,  1568,   144,   145,  3705,  3706,  4983,
     146,   147,   148,  2905,  2906,   149,   150,   151,   152,   153,
    6237,  6315,  6316,  6317,  4639,  6122,   154,  1239,   155,   156,
     157,   158,   196,  1035,  1036,  1037,   947,  3086,  5483,   160,
     161,  1525,  1526,  1527,  1528,  2757,   162,   163,   164,  3985,
    3986,   165,   166,   167,   168,  1864,   169,   170,  5665,   171,
     172,  1834,   173,   174,  1044,  1045,  1046,  1047,  1832,  3435,
     663,   869,  1419,  1425,  1468,  1469,  1470,   176,   767,   177,
    1242,  1075,   768,  1200,   179,   769,  2714,  3521,  4284,  4285,
    4286,  4289,  5313,  4857,   770,  3517,   182,  2026,  3226,  3229,
    3513,   771,  3527,  3528,  3529,  4293,   772,  5608,  5609,  5610,
    5611,  5849,  6179,  6180,  6183,  6285,   773,   791,  1139,  3140,
     774,  1353,   188,   189,   190,   927,   872,   873,  3440,  5564,
    5813,   192,  2591,  3418,   808,  1474,   915,   916,   917,   936,
    3021,  2680,  2681,  2705,  2706,  1483,  1484,  2693,  2697,  2698,
    3504,  3497,  2686,  4263,  5589,  5590,  5591,  5592,  5593,  5594,
    4846,  2701,  2702,  1486,  1487,  1488,  2710,   193,  2670,  3470,
    3471,  3472,  4239,  4240,  6168,  4254,  4250,  4831,  5290,  3473,
     861,  1237,  1495,  4839,  6170,  3474,  5279,  5280,  5569,  4259,
    3483,  4280,  3925,  3926,  3927,  3475,  5823,  5824,  6165,  6166,
    5571,  5572,  3476,  5815,  6335,  6336,  6375,  6412,  2738,  1448,
     900,  1354,   901,  1461,  1355,  1435,   903,  1356,  1357,  1358,
     906,  1359,  1360,  1361,   909,  1427,  1362,  1363,  1444,  1457,
    1458,  1364,  1420,  5573,  1366,  1367,  1368,  3478,  1369,  4775,
    5251,  5237,  3340,  3341,  2614,  5554,  4771,  4152,  4765,  2584,
    2588,  5302,  5596,  5597,  3411,  4201,  4802,  5268,  5809,  6004,
    6005,  6149,  1370,  1371,  1372,  3403,  2578,   997,  1373,  4530,
    2580,  3331,  3309,  1733,  3310,  2029,  2051,  3258,  3274,  3275,
    3379,  3311,  3319,  3324,  3332,  3365,  1374,  3260,  3261,  4063,
    2053,  1375,  1041,  1736,  1042,  1463,  3360,  5217,  5519,  5520,
    5794,  5795,  5530,  5796,  5531,  5521,  4074,  4075,  5993,  3285,
    3380,  4078,  3293,  3294,  4096,  4085,  3286,  1376,  4087,  1384,
    1385,  1378,  2020,   862,  5286,  1195,  1817,   805,  1379,  1380,
    1381,  1382,  1604,   968,  1162,  1163,   918,   920,   921,  2674,
     659,   651,   970,  3673,  2581,   660,   653,   654,  1822,  2582
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     650,    71,   995,   175,    80,    83,    84,    85,    86,   926,
     184,   106,   124,   129,   960,   159,  1048,   802,  1732,   804,
     178,   191,  1001,   810,   766,  1006,   185,  1489,   818,   826,
     830,  1102,   833,  1389,  1659,   826,   826,  1829,   863,   657,
     866,  2946,   191,  2868,  1377,  1946,   708,   922,   922,   922,
    2734,   180,  3637,   937,   864,  1664,  1475,   181,  1477,  2839,
     183,  1416,  1140,  1440,  1228,  1229,  1230,  2000,  3241,  1142,
    1234,  1194,   793,  1431,  1432,  1823,  1460,  3915,   793,   828,
    2838,   996,  1724,  1439,  3514,  2825,  1603,  4211,   648,  4213,
     948,  3884,  2048,  1403,  3515,  3765,  1889,  1004,  1234,  2851,
    2040,  3540,  3542,  3967,  3103,  4583,  1712,  4358,  1446,  4362,
     186,  1026,  1201,  3232,  1508,  2032,  1048,  2734,  4609,  2034,
    4278,  3292,  2035,  2036,  4330,  1415,  1175,  4436,  3015,  3906,
    2907,  2907,  3296,  4008,  2907,   800,  1874,  3257,  4043,  1069,
    1188,  4386,  4236,  4388,   860,  2976,  2977,  4634,   829,  1599,
    4912,  4848,  1898,  5119,  4253,  3316,  1831,  3797,  4292,  3280,
    3284,  3287,  3288,  4596,  5283,  3297,  1862,  3299,  3300,  1048,
    1867,  3349,  4532,  4882,  1621,  1871,  3170,   931,   939,  1638,
    1421,  1173,   940,  4863,  1177,  1881,  2816,  2666,  1202,  5088,
    1396,   650,   951,   951,  1185,  5137,   951,  1142,  4291,  1901,
     962,  5127,   863,   232,  5627,   998,  2972,  3903,   962,  5529,
    3122,   962,  5148,  5602,   863,  4951,   951,  5478,  4267,   863,
     823,  3433,  1048,   951,  1571,   863,  5222,   857,  5223,   875,
    1935,  5136,  5704,  3004,  5446,  5743,  3843,  5485,  3846,  3847,
    5295,  3506,  5297,  3851,  3852,  3853,  2816,  3855,  3856,  3857,
    4183,  5619,  3421,   849,  4298,  4251,  3423,  4256,  4257,  4180,
    5474,  4593,  3509,  2816,  5349,  4080,  5756,  5701,  3485,  1566,
   -2421,   714,  3479, -2568,  1482,  4116,  1485, -1985, -1944, -2610,
     775,  5950,  5477, -2489,  1048,  1818, -2636, -1957,  1658,  2796,
    1928, -2456,  1428,  1429,   775,  1897,  5006,  1690, -1977,  1530,
   -2456, -2456,   667,  1438,  5242,  3267, -1982,  1717,   714,  5657,
    1566, -2678,  1209,  1415,  6139,  1566, -2002,  5346,  1928,  5989,
   -2247, -2572,  2989, -1972,   714,  1019,  4169, -2247, -2457,   714,
    5667,  5668,   775, -2865,  3237,  2625,  3358, -2457, -2457,   946,
   -2420,   714, -2865, -2865,   714,  5874,  2983,  1859,  5938,  1854,
    1213,  4619,  2830,  2604, -1985,  1600,   714,  4082,  1260,  2754,
    1600,   775,  2773,  4548,  4520,  2024,   775,   958,  4093,  5695,
    2109,  2589,  1031,  1450,  4045,  2671,  2842,  2842,  3100,  3199,
    4331,  2669,  4093,  6410,  6142,  1393,  2907,  1129,  2970,  4116,
    5788,  5196,  5197,  5198,  3600,  5200,  5201,  5202,  5203,  5204,
    6239,  1142,  2631,  4082,  4964,  2842,  3686,  6174,  1928,  5860,
   -1916, -2417,  3046,   775,  1531,  1928,  5801,  3268,  3064,   934,
    3787,  5910,  5086,  2842,  5693,  5806,  6227,  6228,  3356,  1074,
    2986,  6132,  5149,  4348,  5831,  2633,  2769,  6134,  1928,  -150,
    3456,  1224, -2633,  5779,   665,  -150,  2087,  1928,  1823,  1724,
     781,  1451,  6417,  2834,  2677,  1876,   781,  2892,  5239,  3218,
     781,   775,  3788,   781,  2770,  5439,   835,  3069,  2992,  4969,
    2605,  4856,  3488,  3874,   782,  2811,  1032,  1551,  5618,  3358,
     782,  1431,  1432,  1472,   782,  5634,  2109,   782,   781,  5357,
    6112,  2109,  1504,  3601,  1478,  3269,  2673,  3789,   781,  4343,
    6415,  3654,  6418,  5447,  5952,  3791,  5639,  1928,  1015,  1981,
    2608,  2859,   782,  1439,  6239,  2620,  2620,  -710,  2631,  5068,
    6276,  1198,   782,  2631,  3400,  5359,  2842,     3,     4,  1452,
    1505,  3401,  1453,  5365,  1506,  4965,   664,  5985,  2843,  1016,
    3792, -2266,  1033,  3824,  1446,  6277,  5069,  2860, -2266,   194,
    5671,  2633,  5448,   996,  5871,  3795,  2633,  5744,  6411,  1954,
    3219,  1454,  1096,  3489,  6100,  2062,  6459,  3655,  1106,  1507,
    3759,   888,   836,  3270,  2812,  5240,  3271,  4344,  5911,   714,
    1120,  2842,  1480,  5607,  3101,  1538,  5440,  3875,  5986,  1473,
    4170,  5807,  3070,  4455,   195,  1264,  4116,  2842,  1532,  1929,
    4970,   867,  2893,   996,  1823,  1034,  2606,  6283,  1928,  4580,
    2842,  2626,  2045,  2993,  1944,  2103,  3357,  2842,  3636,  1142,
    2021,  5808,  3065,  6354,  2836,  5732,  5087,  1929,  1225,  1860,
    5780,  2031,  1984,  4083,  1039,  3687,  2771,  5802,  1040,  6239,
    1533,  6327,  3019,  6045,  4094,  2594,  4966,  3580,  2041,  6229,
    1454,  2668,  6340,  4331,  5789,  3215,  2803,  1051,  4094,  2869,
    2913,  5327,  2102,   863,  3200,   951,  2810,   951,  3215,  3215,
     951,  4061,  6176,  4629,  6083,  1534,  4171,   998,  1079,  4083,
    3604,  3047,  1109,  6177,   951,  5909,  2590,   959,  6042,   191,
     951,  1428,  1429,  4549,  3272,  3479,  5583,  -441,  4532,  3057,
    1539,  2025, -2247,  1860,  1818,  3013,  3014,  1610,  5696,  2951,
    6111, -2633,  2964,  2965,   650,   926,  2774,  1929,  1233,  1076,
    1860,  2990,  3359,   962,  1929,  1077,  4986,   998,  1078,  1438,
     962,   709,  2941,   962,  1233,  2944,  6374,  4073,  2852,  2644,
    2647,  4294,  2971,  3003,  2837,  2602,  1134,  1929,  1535,   951,
    1263,  2991,  1142,  2931,  4620,  5097,  1929,  2934,  2935,  6302,
    1142,  1142,  5317,  3102,  1930,  4172,  1455,  6457,  1205,  3012,
    1039,  3609,  1426,  5358,  1040,  2984,  5990,  2025,  1080,  6463,
    2886,   668,   191,  5547,  5367,  1441,  1442,  1723, -2633,  3694,
    1860,  4131,  1937,  3253,  6281,  1039,  5145, -2421,  3876,  1040,
   -2633,  3450,   863,  1490,  1443,  1430,  2720,   787,   788, -2568,
    3273,  1253,  2930,  6065,  1434, -2610,  1929,  5945, -2456, -2489,
    3020,  1222, -2636,  2801,  4918, -1977,  1206,  2711,  1211,  2712,
    1215,  1383,  1383, -1982,   863,   826,  1219,  5144,  4993,   826,
    6301,  3188,  6353,  2063,  4997,   787,   788, -2678,  2649,  2650,
   -1972,  2105,  1845,   863,  3172, -2457,  2592, -2572,   863,  2987,
   -2865,  6221,  1441,  1442,  1383,  4187,  1841, -2420,  3426,  5948,
    1846,  6404,  1847,  4084,  1601,  1602,  2820,  6192,  6193,  1601,
    1602,  1445,  1941,  2672,  4095,  2885,  2577,  3198,  6133,  1952,
    6388,  1039,  3877,  6231,  6135,  1040,  4450,  4451,  2870,  3213,
    5516,  4452,  4128,  4129,  4130,  4131,  3402,  4300,  1236,  4301,
    4253,  1383,  1974,  3074,   939,  4532,  4828,  1929,   940,  3825,
    4832,  1977,  6250, -2266,  1630,   863,   787,   788,  1405,  2820,
      71,   996,   175,    80,    83,    84,    85,    86,   863,   184,
     106,   124,   129, -1944,   159,  1836,  2820,  4456,  1631,   178,
     191,  3034,  6185,   863,  1523,   185,   868,  4574,  -150,  -150,
    5987,  1540,  2894,  4493,  1236,  3676,  4724,  4725,  5098,  4581,
    5856,  6197,   863,  1701,   787,   788,  4898,   951,   951,  1702,
     180,  1944,  6304,  4956,  3581,  4581,   181,  5060,  4593,   183,
    4729,  1450,  4512,  4513,  5988,  4630,  6282,  2572,  2573,  2574,
    2575,  2576,  2577,  1092,  2574,  2575,  2576,  2577,  1944,   826,
     826,  4818,  5328,  4820,  4821,  3259,  6178,  2795,  6084,  5311,
    4872,  4674,  4671,  3677,  5731,  2869, -1944,  6104,  4218,  1541,
    4533,  1471,  1383,  1383,  1156,  4031,  4572,  5059,   710,   186,
    3506,  5056,  6110,  5500,  1494,  2700,   650,  3291,   951,  2687,
    1422,  4787,   962,  1392,  4507,   998,   962,  1400,   962,  1545,
    4272,  4710,  6352,   951,  5099,  3862,   934,  3222,  3479,  1451,
    2869,  3479,  2871,  1878,  3726,  2853,  6092,  4326,  4536,  1928,
    6244,  2673,  4671,  6307,  6308,  5750,  2869,   863,  1703,  2854,
     714,  2855,  6103,  5751,   951,   951,  3600,  2688,   711,  5737,
    5842,  3215,  5400,  2872,  1512,  3056,  6292,  4126,  4127,  4128,
    4129,  4130,  4131,  1696,  4676,   941,   863,   863,   863,  3479,
     951,   714,   650,  3971,   650,   650,  5401,  3479,  2873,  2775,
    3406,  1893,  6256,  5656,  5870,  3613,  1823,  2684,  3678,  4538,
     712,   714,   713,  4912,   932,   714,  1232,  1452,  3781,  3709,
    1453,  6283,  4984,  1406,  3782,  5100,  1697,  2856,   951,  1612,
     951,   951,  3727,  6154,  5168,   714,  1210,  1212,  1214,  2867,
    4033,  1216,  1217,  1218,  1894,  3078,  3116,  5552,  5844,  1048,
    4459,  1223,  1824,  6222,  5113,  1825,  6421,  6342,  4295,  4035,
    5640,  2842,  1513,  1383,  6244,  3601,  1497,  1406,   803,  3223,
     823,  1682,  1921,  2850,  6230,  5845,   942,  6284,  3210,  3211,
    6390,   807,   933,  2690,  3972,   979,  1922,  3728,  6014,  2002,
   -1944,  2002,   980,   981,   982,   863,   191,   802,  1721,  3710,
    1407,  4460,  3518,  1622,  3614,  4414,  1613,  1233,  4529,  1986,
    2869,  1988,  1257,  1990,  5312,  1992,  1514,  1994,  1995,  1996,
    5431,  2038,  2685,   863,  1998,  4541,  2869,  2044,  2108,  3079,
    5553,  2109,  4677,  3783,  2870,  2110,  2111,  2112,  1454,  1944,
    1944,  1383,  1704,  1923,  1407,  4036,  5843,  5752,  2691,  3729,
    3407,  3539,  1261,  2630,  4032,  3933,  1257,  1271,  5934,  3827,
    4116,  3174,  3863,  2631,  4117,  4118,  4119,  5942,  4635,  3190,
    2632,  2776,  4542,  4364,  5931,   926,   934,  5476,  5464,  2870,
    2869,  2963,  5501,  1383,  1705,  6013,  3679,  3610,  4543,  6244,
    3197,  6309,  6435,  1093,  3202,  2870,  2633,  3385,  4626,  3209,
    1963,  3151,  3212,  5101,  5947,  3629,  4913,  1920,  5495,   941,
    5930,  5944,  1383,  1383,  1383,  3163,  1383,  5980,  1623,  1706,
    4415,  1698,  5323,  4100,  1157,  5959,  5470,  3254,  3169,  3256,
    1515,  6208,  2103,  4327,  3453,  3263,  5918,  1383,  5529,  1895,
    5946,  3277,  3278,  1964,  3904,  3355,  5340,  1924,   715,  3147,
    2764,  2949,  3604,  3301,  1455,  3149,  4113,  4114,  1929,  4636,
    2943,  4133,  1879,  3321,  6351,  3462,  6297,  2777,  2869,  3336,
    3162,  3695,  3730,  3164,  4678,  6358,   863,  3216,  5102,  1456,
    3181,  3168,  3839,  2869,  1722,  5402,  1498,  2869,  4365,  4034,
    3834,  2629,  4544,  5529,  1383,  2753,  2869,  3224,  3307, -1944,
     942,  5017,  4164,  4165,  3519,  2973,  4440, -1944,  2871,  1430,
   -1944,  1459,  3454, -1944,  2634,  6389,  2816,  3784,  3225,  2635,
    1925,  3005,  3973,  3201,  1944,   935,  5193,  3207,  3208,   944,
   -1778,  2678,  2679,  1699,  2683,   940,   940,  3974,   940,  2872,
    1383,  3386,  2636,  2302,  1383,  1383,  3387,  5852,  4120,  2870,
    6419,  1896,   943,  2871,   996,   863,   863,   863,  2718,  3785,
    1383,  2946,  4216,  1860,  2873,  2870,  6094,  6266,  5316,  2871,
    2637,  4121,  5846,  5287,  1227,  5284,    40,  2779,  5291,   680,
     714,  5293,  6436,   826,  2872,  4265,  5919,  2758,  2780,  1031,
    1128,  3252,  3561,    40,  3786,   813,  3600,  3388,  2910,  2759,
    2872,  2914,  1624,  3731,  4416,  2867,  5666,  1520,  4684,  2873,
    1521,  3732,  1627,  2369,  3733,    44,  4562,  2760,  2807,  2870,
    6120,  3811,  1926,   826,  4273,  2873,   951,  1702,  2638,  1512,
    5443,  2639,    44,  1454, -1777,  3133,  3915,  4637,  1965,   863,
    2841,  1538,  3422,  6298,  1625,  4851,  4417,  5746,   863,  5078,
    2867,   951,  1246,   682,  1129,  6160,  6209,  4122,  3134,    48,
    1588,  1494,  5747,  1494,  1985,  5920,  2867,  1987,  5158,  1989,
    2766,  1991,    49,  1993,  6258,  3611,    48,  1997,   998,  1626,
     863,  4418,  5073,   826,  3562,  2764,  2909,  2909,  5971,    49,
    2909,  3696,   814,  1032,  3511,  3601,    50,  1823,  5018,  1523,
     826,  3290,  3290,   863,  1523,  2765,   863,  2870,  1670,  6144,
    6033, -1778,  4638,    50,  3956,  3520,  3317,  1513,  4366,  4367,
    3112,  5745,  2870,  2871,  2640,  3338,  2870,  4740,  5663,  4741,
     951,  3602,    56,  6220,   815,  2870,  3812,  3333,  5972,  2871,
    6210,  1130,  2734,  4532,  1247,  4448,  2734,  3113,   863,  4368,
    1966,  3389,  5664,   944,  2872,  -467,  1539,  6259,  2936,  1033,
     951,   951,   951,   951,   863,  5736,  3544,  5124,  2781,  6211,
    2872,  1514,  6161,  3603,  1671,  1977,   680, -2440,   863,  2873,
    1523,  -173,  5050,  4685,  1523,  1031,  5115,  5054,   834,  1383,
    1383,  1383,  2761,  2871,  5125,  2873,   985,   986,   987,   988,
     989,   990,   991,   992,   993,  4274,  3512,  6121,  4563,  4884,
    2782,  3233,  -173,  3160,  6044, -1777,  1672,  3559,  5079,  3150,
    2867, -1121,  1034,  1673,  2872,  3135,  4852,  1674,  3112,  5077,
    2568,  2687,  5118,  4458,  4529,   693,  2867,   694,  5124,  2569,
    2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,  4495,  2873,
     682,  6300,  4900,  3073,  2967,  3113,  4089,  5074,  4112,  6260,
    -623,  4958,  4982,  5748,  1875,  5125,   187,  6330,  4123,  4124,
    4125,  4126,  4127,  4128,  4129,  4130,  4131,  5281,  6145,  2688,
    -467,  2871,  3604,  3734,  4742,  1515,  1478,   187,   863,  1032,
    2867,   996,   996,  3143,  3334,  6331,  2871,  4885,  1879,   863,
    2871,  1630,  1944,  4453,  6372,  2766,  2596,   951,   951,  2871,
    1131,   680,  2872,  2937,   781,  3479,   831,  3438,  2938,  3479,
    5427,  1271,   925,   951,  4116,  1631,  1248,  2872, -2992, -2992,
   -2992,  2872,  4954,  6350,  5071, -1094,  3560,  2873,   782,  3631,
    2872,   863,  2909,  3439,  6162,  3718,  2689,  1132,  1911,  6163,
    1516,  3114,  2873,  6181,  5428,  1033,  2873,   951,   951,   951,
     951,  5465,  4849,  6054,  3734,  2873,   863,  3636,  1440,  1249,
      40,  1250,  3510,   863,  1480,  4886,  3123,  6427,  2867,  4887,
    2597,  4454,  1818,  5937,  6164,   682,  3545,  5951,  1517,  3546,
    2109,   650,  1518,  2867,   650,  2690,    35,  2867,  5126,  6189,
    1588, -1096,   858,  3190,   962,   962,  2867,  1675,  5072,    44,
    4955,  1133,  1661,  1134,  6261,   998,   998,  1135,  1034,   962,
     996,   194,   962,  3745,  3479,  1481,  3441,  1519,  4462,  4354,
    6407,  3190,   693,  6182,   694,  5522,  5579,   951,   951,  4850,
    6055,  5900,   684,  5902,   951,  1676,   863,  5906,  5907,  1677,
    1478,  4529,  5958,    48,  1662,  2633,  1479,   938,  5523,  5458,
    2691,   698,  1520,  2002,  5524,  1521,   195,  1879,  5324,  6098,
     951,  5991,   962,  1402,   191,  3206,   962,   962,  5525,   863,
     863,  6126,   951,  3790,  1678,  6445,  3182,  3283,  3183,   863,
    3184,  1679,  3185,  1630,  3186,  5778,   863,  5810,  3187,   863,
    3123,  6311,  2878,   802,  3989,   870,   802,  3243,   775,    56,
    1079,  1383,  3746,  1383,  1977,  6127,  1522,  1631,  1383,  1383,
    3749,   191,  4675,  3752,  3656,  1383,  1383,  1383,  1383,  1383,
    1383,  1383,  1383,  1383,  1383,  1383,  1383,  1383,  1480,  5992,
    4687,  1383,  5325,  1383,   998,  1383,  1383,  1383,  1383,  1383,
    1383,  1076,  3238,  1383,  2734,  1383,  1383,  1077,  5514,  1383,
    1078,   194,  2109,  2847,  2734,  2848,  3915,   693,  5811,   694,
    1663,  3828,  3829,  3830,  1383,  1383,  1383,  3626,  1640,  4282,
   -1121,  1142,  3683,  5445,  2770,   661,  4670,  4243,  6102,  1481,
    3657,   760,  1383,   697,  2631,  3227,  1875,  2946,   928,    40,
    3919,  3920,  3921,  3922,  4711,  3924,   195,  4342,  3707,  4715,
    1080,    15,  5526,  6119,  3482,    35,  3793,  4699,  4283,   945,
    1641,  4122,  5469,  4928,  3242,  3796,  6392,  2633,  5456,  4723,
    3952,  2849,   951,  4671,   661,  5767,  4160,   662,    44,  2734,
    3192,  3721,  5352,  6101,  4244,  3719,  2916,  3720,    20,  1204,
    4714,  3794,  5929,  3479,  3479,  4719,  4720,  4884,  4929,  4874,
    4736,  4737,  4738,  4739,  4294,  4244,  4743,  4744,  4745,  4746,
    4747,  4748,  4749,  4750,  4751,  4752,  4657,  3744,  4245,  5435,
    2612,  5437,    48,  1630,   946,  3623,   930,  3190,  5613,  5663,
    5615,  4396,   929,  4834,  3983,    49,  2907,  5962,  3834,  4245,
     954, -2755,  1245,  4397,  4502,  2917,  6118,  1631,  3707,  6428,
    2920,  1499,  4533,  5664,  4246,  3771,  4247,  5903,  4534,    50,
    3498, -1701,  5904,  2613,  2955,  5418,  -150,  5419,  5420,  5421,
    4791,  4792,  4535,  1692, -1701,  6125,  1977,  4247,    56,  1383,
   -1701,  1509,  3762, -1748,  3763,  4885, -1700,  6223,  3767, -1748,
    3818,  4367,  6429,  1500,  2956,  1417,  4930,  4457,  6446, -1700,
    4536,  2108,  4537,  4008,  2109, -1700,  4248,  4913,  5527,   956,
    5979,  1667,  6458,  4815,  3872,  1693,  6332,  5905,   932,  1694,
    5528,  4942,  4016,  1510,  2108,  4243,  2995,  2109,  1501, -1701,
    3001, -1749,  1899,  1383,  4817,  5288,  2631, -1749,  2900,  4913,
   -2755,  6333,  3006, -2992,  4494,   978,  5941,  2936,  6433,  3193,
    1695,  4243,  1021,  1668, -1700,  2924,  1900,  1467,  1511,  2631,
    4297,  4538, -1701,  4886,  5908,   977, -2992,  4887,  4411,  2633,
    6447, -1748, -2992, -2992, -2992,  4126,  4127,  4128,  4129,  4130,
    4131,  1038,  3194,  4249,  3007,   233,   933, -1700,  1669,  1383,
    4539,   666,  2633, -2755,    32,  5308,  3195,  3945,  1398,   758,
    1030,  4875,  4605,  4244,  4249,  6303, -2755,  2859,  4876,  1121,
    4412,  1983, -2755, -1701,  1825,  4877,  3008,   832, -2755, -1749,
    1971,  2600, -1748, -1701, -2755,  5019,    40, -2755,  3009,  4244,
    6313, -2755,  5663,  5771,  3196,  3479,  1084,  4245, -1700,  5036,
    3907,  4166,  3479,  2860,  1972,  4413,  1122,  3479, -1700,  5020,
    3479,  6456,  4246,  4878,  2879,  1082,  5664,  5772,  3010,  6187,
     775, -2755,  5037,  4245,  4184,    44,  1633,    40,  6465,  1103,
   -1749,  4027,  4540,  1938,   187,  4247,  4879,  4541,  4246,  1942,
     934,  1441,  1442,  4913,  1123,  1709,  1121, -2992,  1713,  1953,
    4057,  1089, -2992,  1956, -2755,  2642,  3726,  1959,  5289,  1961,
    1443,  4247,  2937,  4058,  4248,  1969,    44,  2938,  4059,    48,
   -2992,  1975,  3075,  4642,  1978, -2992,  6032,  1126,  4643,  3890,
    4212,  5873,    49,  1122,  4542,  4015,  5877,  5878,  1271,  -622,
    4248,  4116,  3105,  4864,  1124,  4117,  4118,  4119,  1441,  1442,
    4543,  2033,  4270, -2992,  1825, -2755,    50,  2620,   775, -2755,
      48, -2413,  1125,  4780,  2103, -2755,  1039,  1445,  1227,  1117,
    1040,  4575,  5281,    49,  4304,    56, -2992,   187,   925,  1430,
    1127,  2667, -1701,  1383,  1383,  1383,  1383,  1383,  1383,  1383,
    1383,  1383,  5862,  1383,  3727,  5152,  1144,    50,  6420,  6140,
    4643,  3593,  4150,   863,  1383,  6141,  1383, -1700,  4157,   790,
    1039,  2638,  4249,   863,  1040,   790,    56,  3590,  1148,  3594,
    3595,  1124,    40, -2414,  2628, -2755,  4871,  1825,  1039,  5067,
    1227,  1430,  1040,  2667,  2638,  1620,  1436,  1437,  4249,   935,
    1637,  1164,   863,  5673,  1383,  4115,  1165,   951,  1383,  3728,
    1171,  1383,  3434,  1383,  4544,  2641,  1383,  4143,  2642,  1155,
    1383,    44,  1039,  1182, -2421,  4463,  1040,  3370,  3371,  3372,
    3373,  4332,  4142,  1189,  4144,  4145,  6287,   661,  4223,  4224,
     996,  6290,  6291,  3481,   807,  2675,  3017,  3018,  1825,   863,
     863,  4214,  3178,  4167,  3189,  2642,   775,  3190,  3191,  3587,
    1383,  3190,  3507,  3508,  3891,    48,  4372, -2992,  1199,  1383,
    1383,  3729,  1226,  3230, -2755,  5711,  3231,  1227,    49,  5185,
    4299,  3437,  3442,   863,  1977,  2642,  3531,  3622,  1231,  2642,
   -2992,  3525,  1235,  3530,  3479,  5192,  3620,  4198, -2755,  3621,
   -2755, -2755,    50,   938,  3701,   187,  3868,  3702,  1471,  3869,
    4185,  4007,  4121,  5963,  3190, -1772, -1772,  4056,  2668,  4529,
    2642,    56, -2755,  4260,  4065,  5864,  5865,  2642,    29,  5712,
    4941,  3477,  5713,   802,  1823,   802,  5858,  4071,  4072,  5714,
    2642,  2642, -2755,  1441,  1442, -2755, -2755, -2755,  1241,  1383,
    4091,  5215,  4591,  3827,  4102,  1471,  1471,  2642,  5220,  5221,
     650,  1243,  1142,   962,   998,   962,   962,  5715,  4135,   951,
    1254,  2642,   863, -2992,  4149,  5120,  1238,  2642,  4154,  3725,
    4221,  4155,  3563,  2642,  3566,  2572,  2573,  2574,  2575,  2576,
    2577, -1776, -1776,   826,  3730,  6386, -2992,  4931,  4122,  4938,
    5677,  3455,  3457,  3458,  3522,  2841,  4913,  1244,  2572,  2573,
    2574,  2575,  2576,  2577,  4389, -1775, -1775,  4390,  3642,   863,
    6275,  4394,  1255,  4422,  4395,  3653,  4423,  5716,    40,  4491,
    2734,  4899,  4423,  4614,   863,  4617,  4615,  4916,  4618,  5759,
    5717,  3892,  4648,  4761,  1256,  4649,  4762,  5678,  4772,  4783,
    1258,  4773,  2642,  5718,  6006,  6007,   863,  3317,  3317,  4308,
    3815,  4859,  3317,  4686,  4860,  4865,  4335,    44,  4866,  1094,
    4870,  1095,  5679,  3546,  4578,  3479,  5121,   863,  3608,  3190,
    4173,  4521,  4174,  5187,  6431,  5227,  2025,  6434,  2642,  5264,
     826,  5680,  2642,  3893,  5319,  3479,  5681,  3546,  5343,  6150,
    6151,  5344,  4957,  3317,  3317,  1257,  5471,  5508,  4175,  5472,
    4649,    48,  4319,   951,  6108,  1259,   951,  6184,  5682,  1142,
    5544,  1265,  5683,  5545,    49,  3731,  1408,  3479,  5546,  4305,
    4306,  2642,  4550,  3732,  1267,  5566,  3733,  5684,  5567,   923,
     924,  5576,   863,   863,  1977,  1401,  5582,  5584,    50,  4588,
    4588,  4406,  5706,  1404,  1098,  5707,  1099,  3798,  1410,  3801,
    3803,  5837,  5726,  5760,  4431,  3190,  5761,    56, -1434,  4437,
   -1434,  5820,  5826,  3369,  5821,  1977,  1418,  5829,  6047,  6048,
    4588,   187,  5840,  3716,  5892,  5841,  3761,  5893,  1430,  1409,
    1459,  1383,  1383,  1383,  1414,  5933,  5960,  1383,  2599,  5841,
    5997,  1423,  1424,  4155,  6393,   951,  2049,  1430,    56,  4123,
    4124,  4125,  4126,  4127,  4128,  4129,  4130,  4131,   951,  5998,
    6018,  1426,  2642,  6019,  1383,  6022,   951,  1433,  1977,  3370,
    3371,  3372,  3373,  5138,  1434,  4049,  4176,  4051,  4052,  2841,
    1447,  1449,  4177,  5685,   863,  6023,  1464,  1465,  2642,  2050,
    3905,  6053,  6056,   802,  3231,  3231,  6057,  1476,  6060,  3231,
    5131,  2642,  1492,  1491,  5719,   951,  3916,  5720,  1493,  2059,
    6061,  3479,  6062,  2642,  6090,  6063,  3798,  6091,  4427,  1430,
    4913,  2667,  6449, -1701,  1576,  1496,   951,  4861,  3938,  6156,
    1577,  3138,  4588,  3139,  3056,  4076, -1701,  4077,  5686,  4203,
    4443,  4204, -1701,  6171,  5469,  1578,  2642,  6173,  6186,  6201,
    2642,  3190,  6202,  6225,  3956,  1271,  6226,  4046,  4116,  4205,
    1502,  4206,  4117,  4118,  4119,  1459,  1543,   951,  2100,   951,
    6274,   951,  1569,  5834,  6310,  1579, -2458,  5841,  6356,  4693,
    4781,  6357,  6376,  1572,  1574,  6377,  2734,  4568,  1575,  6384,
    3479, -1701,  4860,  6387,  3477,  1610,  2642,  6414,  6235,    29,
    6019,  1615,  6416,  6424,  2002,  2642,  6425,  6462,  6464,  6466,
    6377,  6425,  6377,  2673,  4915,  3342,  4917,  1616,  3345,  4920,
    4602,  5061,  4603,  5062, -1701,  5230,  5792,  5231,  5793,  1614,
    6030,  6108,  1580,  6360,  1464,  6361, -1689,  4913,  4178,  1581,
    1627,  3934,  4551,  1582,  4553,  4811,  4680,  4813,  1629,  1142,
    4179,  1142,  4582,  5273,  4833,  5275,  4836,  1639,   650,   951,
    2713,   962,  2716,   962,   962,  5561,   951,  5562,  1642,  1666,
    1683,  1583,   996,  1383,  1684, -1701,  3154,  1700,  1383,  1710,
    1724,  1711,  1714,  1719,  3161, -1701,  1720,  1833,   926,  1835,
     938,   938,  1837,   938,  1842,  1848,  5534,  5535,  4561,    40,
    4564,  1853,  1856,  1858,  1863,  1866,  1868,  1584,  1860,  1271,
    1877,  1882,  4116,  1823,  1885,  1883,  4117,  4118,  4119,  -137,
    1886,  1888,  5538,  1890,  1891,  1902,  4623,  1383,  1383,  1383,
    1909,  1911,  1383,  1142,  5257,  1914,   926,  1918,    44,   213,
    1383,  1383,  1383,  1383,  4941,  1927,  1932,  1933,  1934,  4665,
    2673,  1936,  6233,  1939,  1940,  3479,  1383,  2108,  1943,  1383,
    2109,  1383,  4913,  1944, -2992, -2992, -2992,  1951,  1955,  4121,
    1957,  1958,  1960,  1383,  1383,  1962,  1967,  1383,  1968,  1970,
    4266,  1973,    48,  1976,  1979,  1980,  1982,  1585,  1999,  2030,
    2037,  1586,  2631,  2046,  2039,    49,   998, -1948,  1383,  2632,
    1383,  1587,  1383,  2047,  2042,  2108, -1955,  2054,  2109,  2055,
    2056,  1588,  2110,  2111,  2112, -1945,  2057, -1946,  4767,    50,
    2058,  1383,    56,  1589,  4202,  2633,  2060,  2061,   863,  2062,
    2630,  2064,  5341,  2065, -1701,  2066,  2067,  2068,  6236,  2069,
    2631,   926,  4733,  2070,  4208,  4209,  4210,  2632, -1949,   863,
    2071, -1947,  2072,  4688,  2073,  4122,  2074,  2075,  2087,  2583,
    2076,  2077,  2079,  2080,  3479,  1590,  4932,  2081,  1591,  1592,
    2082,  2083,  2084,  2633,  2085,  2086,  4760,  2089,  2090,   650,
    2091,  2092,  3481,  4241,  2093,  2094,  2587,  4241,  4255,  4241,
    4241,  2108,  2095,   926,  2109,  2096,  1383,  2585,  2589,  2603,
    1593,  1383,  1039,  5165,  2590,  1464,  1040,  2599,  4895,  2108,
    2668,  2615,  2109,  2623,  2645,  2646,  1383,  2651,  2653,  2654,
    2657,  2658,  2660,  4121,  2661,  2662,  2631,  4799,  2663,  2664,
    3481,  2669,  1479, -2992,  4287,  2676,  2707,  4290,  3481,  1481,
    3530,  2719,  2709,  2634,  2631,  2721,  2722,  2723,  2635,  2724,
    2740, -2992,  2741,  4981,  2747,  1471,  5042,  2743,  2667,  2633,
    2742,  5784,  2744,  2746,  2745,  2748,  2749,  3477,  2750,  2756,
    3477,  2778,  3479,  1594,  2772,  2784,  2798,  2633,  2802,  2804,
    2805,  1383,  2806,  2808,  2809,  2822,  2828,  2826,  2845,  2846,
    6391,  2634,  2857,  2827,  2861,  2863,  2635,  2864,  2865,  2637,
    2866,  2867,  2875,  2876,  2880,   951,   951,  2882,  2881,  4122,
    5047,  2877,  2901,  5055,  2887,  2888,  2891,  2897,  3477,  2636,
    2302,  2915,  2898,  2925,  2911,  3366,  3477,  3367,  2912,  2918,
    2921,  4790,  5798,  2932,  2939,  2942,  2922,  1588,  2927,  2928,
    2957,  1383,  2940,  2966,  2947,  2948,  2953,  2637,  2954,  4793,
    2960,  2959,  2962,  3368,  2961,  2968,  2969,  2638,  2974,  2985,
    3683,  3028,  4952,  5819,  2994,  2975,  4123,  4124,  4125,  4126,
    4127,  4128,  4129,  4130,  4131,  2988,  3016, -2992,  1271,  3290,
    2999,  4116, -2992,  3030,  3023,  4117,  4118,  4119,  3707,  3031,
    2369,  3032,  3033,  3037,  3038, -2992,  3039,  3041,  4400,  3042,
   -2992,  3317,  3317,  3317,  3317,  2638,  5822,  3317,  3317,  3317,
    3317,  3317,  3317,  3317,  3317,  3317,  3317,  3043,  3369,     3,
       4,  3044,   863,  3045,  3049,  5491,  3051,  3052,  3050,  3059,
    3060,  3063,  2909, -2992,   675,  4764,  3068,  3076,  3479,  3087,
    1663,  3091,  3092,  3104,  3095,  3107,  3110,  3111,  3120,  3124,
    3128, -2992,  3131,  2640,  3137,  3153,  3141,  3155,  3146,  3156,
    4266,  3157,  2108,  3171,  3158,  2109,  3203,  3214,  3240,  3259,
    3228,  3317,  3317,  3337,  3370,  3371,  3372,  3373,  3264,  3343,
    3304,  3374,  3375,  2109,  3347,   760,  3363,  3376,  3382, -1701,
    3384,  2638,  3460,  3404,  3409,  5182,  3425,  2631,  3429,   187,
    3428,  2640, -1701,  3430, -2992,    15,  3443,  1271, -1701,  2638,
    4116,  3410,  3431,  3444,  4117,  4118,  4119,  3445,  4824,  3446,
    4123,  4124,  4125,  4126,  4127,  4128,  4129,  4130,  4131,  3447,
    2633,  3448,  5258,  1454,  3499,   933,  3452,  3482,  3461,  3500,
    3501,  1383,    20,  3487,  3516,  3502,   187,  1383,  3523,  3479,
    3524,  3535,  3536,  3538,  3555,  3479,  3567, -1701,   951,  2568,
    3569,  3572,  3577,  3582,  3583,  3596,  3564,  3588, -2992, -2992,
   -2992,  2572,  2573,  2574,  2575,  2576,  2577,  3585,  3612,  3617,
    3282,  1398,  3627,  3633,  3619,  3634,  3635, -2992,  3664,  3645,
   -1701,  3658,  4121,  3663,  3684,   863,   863,   863,  1402,  3692,
    3690,  3691,  4794,  3697,  3335, -2992,  3700,  2568,  3717,  3708,
    3715,  3718,   863,  3738,  2673,  3739,  2569,  2570,  2571,  2572,
    2573,  2574,  2575,  2576,  2577,  3755,  1383,  3799,  1879,  3842,
    3814,   934,  3822,  3826,  3848,  3823,  3835,  3849,  3854,  4027,
    3859, -1701,  3850,  3377,  2002,   863,   863,  3870, -2992,  3881,
     863, -1701,  3882, -2992,  3896,  3378,  3900,  3432,  5452,  3902,
    3910,  3917,   863,  3929,  3928,  5252,  3923,  3936,  3930,  3931,
    5093,  5094,  3932,  3939,  3898,  5131,  3943,  3944,  4122,  3947,
    3479,  3948,  3953,  3968,  3941,  3969,  3978,  5299,  3979,  3980,
    3982,  3970,  3984, -2992,  3998,  5177,  5178,  5179,  5180,  5181,
    4001,  4000,  4009,  4006, -2992,  2572,  2573,  2574,  2575,  2576,
    2577, -2992,  4004,  4014,  4010,  4011,  4024,  4012,   951,  1977,
    4013,  4121,  4030,  2572,  2573,  2574,  2575,  2576,  2577,  4028,
    4037,  4019,  3206,  4668,  4040,  1974,  4042,  1941,  4018,  4029,
    4050,  1233,  4067,   863,  4070,  4086,  4068,  4069,    32,  4073,
    4081,  4088,  4098,  3281,  4092,  4090,   863,  4103,  4101,  3827,
    4104,  5363,  2638,  4108,  4110, -2239,  4148,  4111,  4612,  1271,
    4112,  4151,  4116,  4134,  4608,  1383,  4117,  4118,  4119,  4797,
      40,  4139,  4140,  5306,  1383,  4147,  4162,  2642,  4168,  4182,
    4192,  4193,  5238,  4195,  4197,  4163,  3364,  4219,  1383,  5861,
   -1701,  4220,  1383,  1383,  1383,  2063,  4199,  4122,  4258,  1383,
    4645,  4233,  1383,  4262,  4275,  1383,  4277,  4279,  4225,    44,
    3317,  1383,  4227,  1383,  4242,  4281,  1383,  4226,  4302,  4228,
    4234,  1383,  1383,  1383,  1383,  4268,  4288,  1383,  1383,  1383,
    1383,  1383,  1383,  1383,  1383,  1383,  1383,  4307,  4296,  1236,
    1383,  1383,  1383,  4309,  4310,  4314,  5425,  4339, -2992,  4316,
    1383,  4328,  4329,    48,  1643,  1383,   926,   761,  1039,  1383,
    4340,  4341,  1040,  4345,  4347,  4353,    49,  1383,  4356,  4359,
    1383,  4363,  1383,  4374,  4351,  4352,  1644,  4357,  4375,  4123,
    4124,  4125,  4126,  4127,  4128,  4129,  4130,  4131,  1383,  4377,
      50,  1383,  1383,  4393,  4383,  4385,  1383,  1383,  4401,  4410,
    4384,  1383,  4426,  1383,  4803,  5303,  4424,  4428, -2757,   762,
    4430,  4434,   863,   863,   863,  4432,  4438,  4439,  4442,  4444,
    4445,  4446,  4804,  4805,  4806,  4807,  4471,  4447,  1645,  4449,
    4466,  4464,  1383,  4241,  4255,  4241,  4241,  4467,  1383,  4241,
    1079,  4465,  4826,  6267,  6268,  4468,  3481,  6270,  4474,  4476,
    3481,   191,  4478,  4480, -2992,  4485,  4841,  4483,  4469,  4470,
    4472,  4473,  4475,  4477,   899,  4487,  2572,  2573,  2574,  2575,
    2576,  2577,  4479,  4121,  4489,  2983,  4266,  4490,  2986,  4496,
    4499,  1076,  4506,  1383,  4500,  4503,  4501,  1077,  4511,  4517,
    1078,  4519,  4554,  4559,  4569,  4560,  4566,  4570,  3530,  4573,
    1383,  4577,  5338,  4587,  4266,  4588,  4590, -2757,  4123,  4124,
    4125,  4126,  4127,  4128,  4129,  4130,  4131,  4606,  4607,  5491,
    1646,  4610,  4597,  4611,  4600,  4627,  4641,  4644,  4659,  4651,
    4647,  4660,  4681,  4653,  3477,  4666,  4661,  4662,  3477,  5243,
    1080,  5403,  5404,  4613,  5406,  4663,  4664,  4682,  4683,  4702,
    4706,  4689,  4690,  4691,  5436,  4914,  2002,  2841,  2002,  4122,
   -2757,  2002,  4707,  4922,  4692,  4694,  5560,  4695,  4696,  4697,
    4698,  4708,  2049, -2757,  4712,  4713,  4709,  4716,  1647, -2757,
    4721,  4946,  4722,  1648,  4727, -2757,  4116,  4757,  1649,  4734,
   -2238, -2757,  4774,  3480, -2757,  4785,  4786,  4829, -2757,  4758,
    5599,  4759,  4766,  4789,  2945,  5396,  4822,  4800,  4812,  4816,
    4814,  4830,  4825,  4827,  4837,  4842,  4838,  4843,  4844,  4845,
    4853,  4847,  4856,  4862,  4873,  4881,  4858,  4891, -2757,  4894,
    4892,  4893,  4901,  4902,  4904,  4905,  4995,  4908,  4923,  1651,
    3631,  3364,  4927,  3477,  4926,  4944,  4947,  4960,  4959,  4961,
    4962,  4963,  4973,  4974,  4976,  4987,  4975,  4977,  5007,  4978,
    4989, -2757,  3981,  4990,  4996,  5008,  5016,  3987,  5013,  3988,
    5032,  5033,  2946,  5035,  4933,  3469,  5038,  5049,  5075,  3994,
    5048,  5051,  3995,  5052,  3996,  3997,  5053,  1653,  3999,  5064,
    5090,  5039,  4002,  4266,  4003,  5116,  5123,  4005,  4998,  5085,
    5104,  5117,  5454,  5096,  5110,  5111,  5133,  5140,  5139,  3761,
    5150,  1654, -2757,  5156,  5161,  5160, -2757,  5157,  5159,  5163,
     187,  5175, -2757,  5164,   951,  5183,  5169,  3215,  5189,  5199,
    5190,  5206,  1656,  5207,  5208,  5209,  5211,  5212,   951,  5210,
    1383,  5218,  5219,  5213,  5229,  2108,  5224,   863,  2109,  5235,
    5241,  5246, -2240,  5083,  5267,  5250,  5886,  5244,  5888,  5245,
    5278,  4044,  5263,  5282,  2841,  5277,  5285,  5292,  5296,  5301,
    4123,  4124,  4125,  4126,  4127,  4128,  4129,  4130,  4131,   863,
    2631,  5322, -2757,  1657,  3481,  3916,  5305, -2992,  5315,  5318,
    5304,  5326,  3798,  5345,  5320,  5346,  5360,  5361,  5350,  5362,
    5364,  5132,  5371,  5366,  5372,  5373,  5392,  5407,  5394,  5398,
    5575,   863,  5385,  2633,  5388,  5408,  5416,  5422,  5399,  5415,
    5417,  5575,  1271,  1383,  1383,  4116,  5426,  5429,  5433,  4117,
    4118,  4119,  5434,  5441,  1383,  5450,  5444,  5449,  5451,  5453,
    5457,   807,  5459,  5468,  5463,  2002,   863,  5473,  5475,  5479,
    6205,  5480,  5723,  5484,  5482,  5486,  5497,  2108,  5487,  5503,
    2109,  3190,  5505,   863,  6011,  5488,  5512,  5513,  5518,  5539,
    5532, -2757,  3477,  3477,  5549,  5543,  5897,  5676,  5550,  5559,
    5563,  5568,  5603,  5533,  5551,  5261,  5574,  5600,  5578,  5581,
    5606,  5621,  2631,  5614,  5617, -2757,  5631, -2757, -2757, -2992,
    5635,  5636,  5616,  5625,  1383,  5637,  5643,  5691,  5630,  6041,
    5632,  5669,  5633,  5638,  5649,  5650,  5654,  5660,  5661, -2757,
    1383,  5074,  5662,  5697,  5699,  2633,  5142,   996,  5702,  5705,
    5710, -2992,  5729,  5734,  5709,  5730, -2992,  5741,  1383, -2757,
    5739,  5646, -2757, -2757, -2757,  5757,  5762,  5776,  5768,  5769,
    5770,   652,  5786,  5812,  5785,  5790,  6074,  6076,  5791,  5818,
    5803,  5804,  5836,  5830,  5838,  5848,  1383,  5832,  5863,  1383,
    5641,  5866,  5834,  5835,  5855,  5857,  5859,  1383,  1383,  5868,
    5874,  5880,  5912,  5914,  1383,  1383,  5917, -2992,  5921,  1383,
    5925,  5927,  5935,  5940,  1383,  5899,   914,  1383,  1383,  5949,
    5953,  5954,  5967,  3317,  1383,  5955,  5956,  5957,   863,   863,
     863,   863,  5966,  5968,  5969,  5974,  3480,  5976,  5994,  5978,
    5984,  6009,  5999,  6010,  6034,  6025,   650,  5216,  6035,  4241,
    5995,  6008,  6037,  3481,  4200,  6039, -2992,  6015,  3481,  6038,
    6072,  3481,   650, -2992,  3798,  2638,  5298,  6052, -2992,  1383,
    6079,   998,  6089,  6096,  6082,  6085,  3317,  6087,  6097,  6093,
    1383,  1643,  6113,  6114,  4287,  5800,  6116,  6123,  1383,  6124,
    3530,  6130,  1643,  6131,  6136,  6137,  6138,  6152,  6148,  5805,
    6115,  6143,  6129,  1644,  6153,   802,  6155,  6159,  6167,   792,
    6175,  4315,  6169,  6190,  1644,   792,  6067,  6188,  6196, -2992,
    6198,  5828,  6083,  5827,  6206,  6084,  6214,  6215,  2102,  3958,
    6216,  6232,  2841,  1383,  3477,  6234,  6251,   187,  6253,  6254,
    6252,  3477,  4122,  6257,  6204,  6255,  3477,  5356,  6265,  3477,
    6269,  6273,  6278,  1546,  5321,  1645,  6294,  6280,  1154,  6279,
    6296, -2992,   652,  6314,  6320,  6324,  1645,  6321,  6080,  6338,
    6328,   652,   971,  6325,  6326,  6362,  6329,  2638,  6341,   652,
    6343,   971,   652,  6363,  1154,  6365,  6364,  4294,  6367,  1547,
    6366,  4376,  6382,  4378,  6385,   971, -2002,  6394,  5307,  5309,
    5881,  5882,  6396,  6397,  6405,  6409,  3761,  6430,  6283,  6411,
    6422,  6423,  6438,  1383,  5890,  6439,  6444,  3761,  6442,  6450,
    1383,  6453,  6448,  6455,  6262,  6263,  6461,  1466,  5764,  1573,
    1681,  4217,  3000,  2622,  3772,  4935,  3689,  4369,  4950,  4943,
    6199,  3861,   951,  3813,  4516,  5688,  5885,  1646,  1680,  6066,
    6295,  5092,  1548,  5740,  4939,  4940,  5432,   951,  1646,  5722,
    1142,  5983,  6288,  4312,  4349,  5354,  6345, -2992,  6289,  5623,
    6346,  6088,  6086, -2992,  6213,  6306,  4355,  5461,  5114,  2572,
    2573,  2574,  2575,  2576,  2577,  5122,  5143,  5084,  1383,  1549,
    6049,  3879,  3880,  4948,  4576,  5109,  4387,  6017,  5455,  5728,
    4616,  5167,  5970,  6359,   650,  1647,  6460,  1665,  6440,  5703,
    1648,  2841,  4522,  5151,  6218,  1649,  1647,  5648,  3067,  5876,
    2002,  1648,  5651,   756,   809,  1072,  1649,  4667,  5184,  5851,
    5186,  2945,  2022,  3317,  3959,  3916,  6355,  4481,  3541,  1550,
    3908,  2100,  2945,  4488,  5153,  4303,  3130,  5765,   951,  5964,
    3938,  3126,  4633,  4123,  4124,  4125,  4126,  4127,  4128,  4129,
    4130,  4131,  4486,  1183,  3317,  1143,  1651,  4979,  5676,  3159,
    6024,  3810,  6026,  6238,  3142,  4433,   863,  1651,  6395, -2992,
    5170,  1411,  3486,  1552,  5171,  2755,  3838,   863,  3025,  2100,
    6344,  2572,  2573,  2574,  2575,  2576,  2577,  4867,  5310,  5847,
    5850,   837,   838,  2595,  5647,  2643,  5214,  4264,  4276,  3480,
    6172,  2704,  3480,  3364,  1653,  2703,  1554,  3496,  4237,  6027,
    5645,  2708,  6067,  3477,  4819,  1653,  5580,  4835,  4230,  4194,
    5817,  5816,  4231,  4868,  6380,  6158,  6271,  6043,  1654,  4232,
    1383,  6016,  6408,  5799,  4768,   996,  3405,  6028,  4196,  1654,
    1383,  6029,  2652,  1383,  3323,  3408,  1383,  1383,  1383,  1656,
    3480,    35,  4062,  5466,  4190,  5690,  3960,  3837,  3480,  4188,
    1656,  4266,  5982,  6413,  4181,  1557,  4097,  4717,  3420,     0,
    1142,  1383,  1383,   996,  1558,  1383,  3484,     0,  1462,     0,
    1840,  4229,  2819,     0,  4235,     0,     0,     0,     0,     0,
       0,  1849,  1383,     0,     0,  1560,  1383,     0,     0,     0,
    1657,     0,  1383,     0,  1561,     0,  3481,  1857,     0,  1562,
    5298,  1657,     0,  1383,     0,  5598,     0,     0,     0,  4650,
       0,  4652,     0,  4654,     0,     0,  4914,     0,     0,  1383,
    3961,     0,  3469,     0,     0,     0,   925,     0,     0,     0,
    3469,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5601,     0,  4914,   998,
     951,     0,   951,     0,  2002,     0,  1563,     0,     0,     0,
    3962,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3477,     0,   962,   998,     0,     0,
       0,     0,     0,     0,  6426,  3317,     0,     0,     0,     0,
       0,     0,     0,     0,  3477,     0,     0,   971,     0,     0,
    2108,     0,     0,  2109,     0,     0,     0,  2110,  2111,  2112,
       0,     0,     0,     0,     0,     0,   971,  5885,     0,     0,
       0,   962,   971,     0,     0,  2630,  3477,     0,     0,     0,
       0,     0,     0,  5083,   971,  2631,     0,     0,   863,     0,
       0,     0,  2632,   863,  2028,     0,     0,     0,     0,     0,
     971,     0,  2841,     0,     0,   652,     0,     0,     0,     0,
     914,     0,   863,     0,   652,   971,  5132,     0,  2633,  5742,
       0,   652,     0,   971,   652,     0,     0,     0,     0,     0,
     951,   863,  4914,     0,     0,     0,   914,   971,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   971,     0,    71,
       0,   175,    80,    83,    84,    85,    86,     0,   184,   106,
     124,   129,     0,   159,  6441,     0,  1383,     0,   178,   191,
       0,     0,     0,     0,   185,     0,     0,     0,     0,     0,
       0,     0,     0,  1383,     0,     0,     0,  1383,     0,  1383,
       0,   926,     0,     0,     0,     0,     0,     0,     0,   180,
     971,     0,     0,  1383,     0,   181,  1142,     0,   183,     0,
       0,   650,     0,  5727,  1383,  6348,  6349,     0,  5825,     0,
    3477,     0,   652,   652,     0,  1383,     0,     0,   971,  6157,
       0,     0,  1383,     0,     0,     0,  2634,  5755,     0,     0,
       0,  2635,     0,     0,  5753,     0,     0,     0,     0,     0,
       0,     0,     0,   971,  6347,   652,     0,     0,   186,  6403,
       0,     0,     0,     0,  2636,  2302,     0,     0,     0,     0,
       0,     0,     0,  2002,     0,     0,     0,     0,     0,   914,
       0,     0,  1383,   792,     0,   792,     0,   792,     0,     0,
       0,     0,  2637,   792,  1220,  1221,     0,     0,  1383,  3477,
       0,     0,   652,  6383,  1383,  1383,     0,     0,     0,   951,
     951,   951,   951,     0,     0,   971,     0,     0,     0,     0,
    6403,   969,     0,     0,     0,     0,     0,     0,     0,     0,
    1005,     0,     0,     0,     0,  2369,     0,     0,     0,     0,
    1383,     0,     0,     0,  1027,  6403,     0,     0,   650,     0,
    2638,     0,     0,  2639,     0,     0, -2991,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   863,  3317,  3317,  3481,     0,  3317,   996,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     187,     0,     0,     0,     0,     0,     0,     0,     0,  3358,
       0,   863,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   652,   652,  1819,   187,     0,     0,  1383,
       0,     0,   971,     0,     0,     0,     0,   652,     0,     0,
       0,  1383,   914,   652,     0,     0,  2640,   652,     0,   652,
    1383,  1383,  1383,   914,     0, -2991,  2002,     0,     0,     0,
       0,     0,  3798,  2890,  3477,  1383,     0,     0,     0,   914,
       0,     0,     0,     0,  1383,     0,  1383,     0,  1383,  5598,
       0,     0,     0,     0,   792,  4914,     0,     0,     0,     0,
       0,     0,  1383,     0,  5943,     0,     0,     0,     0,     0,
       0,  2002,     0,   998,     0,     0,     0,   863, -2991,     0,
       0,  6195,  1383,   652,     0,   652,   652,     0,     0,     0,
       0, -2991,     0,     0,     0,     0,     0, -2991,     0,     0,
       0,     0,     0, -2991,     0,     0,     0,     0,     0, -2991,
       0,     0, -2991,     0,     0,     0, -2991,     0,  2002,  2002,
       0,     0,  2568,     0,   792,     0,   971,     0,     0,     0,
       0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,
       0,     0,     0,  3477,  4105,     0, -2991,  4106, -2991,   951,
       0,  6245,  6246,     0,   652,     0,     0,     0,     0,     0,
       0,     0,     0,  6109,     0,     0,     0,     0,  6031,     0,
       0,     0,     0,     0,     0,     0,  3480,     0,     0, -2991,
    3480,     0,     0,     0,     0,  5174,     0,   971,  5176,     0,
       0,     0,     0,     0,     0,     0,   914,     0,   971,     0,
       0,     0,     0,     0,     0,  1576,     0,     0,     0,  2100,
       0,  1577,     0,     0,  1383,   971,     0,  5191,     0,     0,
     971,     0,     0,     0,     0,     0,     0,     0,     0,  1383,
   -2991,     0,   652,  5825, -2991,     0,   187,     0,     0,  1383,
   -2991,     0,     0,     0,     0,     0,     0,     0,  3530,     0,
       0,  3477,     0,     0,     0,     0,  1579,     0,  3469,     0,
    3029,     0,  3469,     0,     0,     0,     0,   962,     0,     0,
       0,  3040,     0,     0,   652,     0,     0,     0,     0,   951,
       0,     0,     0,     0,     0,  3480,  2002,  3058,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   -2991,     0,     0,   652,   652,   652,     0,   652,     0,     0,
       0,     0,  2841,  1580,     0,     0,     0,     0,     0,  1383,
    1581,     0,     0,     0,  1582,     0,     0,     0,   652,  4914,
       0,     0,     0,     0,     0,     0,     0,   962,   962,  6248,
       0,  3132,     0,  1383,     0,     0,     0,     0,     0,     0,
       0,     0,  1583,   971,     0,  3359,  3144,     0,     0,  1154,
    3148,   971,   971,   191,     0,  1097,  2002,  2002,  6264,     0,
       0,  1097,     0,     0,  1383,  1383,     0,     0,  1383,     0,
       0,  6272,     0,  1097,     0,   652,     0,     0,  1584, -2991,
    3167,  1154,     0,  6240,     0,     0,     0,     0,     0,  6241,
       0,     0,  6242,     0,  2002,     0,     0,     0,     0,  6319,
     951,     0,     0, -2991,  1819, -2991, -2991,  3477,     0,  5329,
       0,     0,     0,     0,     0,     0,     0,  6219,     0,     0,
       0,   652,     0,     0,     0,   652,   652, -2991,     0,   649,
    6109,   951,   951, -2774,     0,     0,  4914,     0,     0,     0,
       0,   652,  6243,     0,     0,     0,     0,   914,     0,     0,
   -2991,     0, -2991, -2991,   650,     0,  6451,  6452,  1687,     0,
       0,  1383,  1586,     0,     0,  5369,  5370,   191,   792,  6337,
       0,     0,  1587,   792,   792,     0,     0,  1383,     0,     0,
       0,     0,  1588,  3530,     0,     0,     0,     0,  4287,     0,
       0,     0,     0,     0,  1589,     0,     0,  6240,  1383,     0,
       0,  2648,     0,  6241,  3480,  3480,  6242,     0,     0,     0,
    2655,     0,  2656,     0,   914,     0,  2659,     0,  3477,     0,
       0,     0,  3350,  2665,  3477,     0,     0,     0,     0,     0,
       0,     0, -2774,     0,  6368,  6369,   650,  6373,     0,  1591,
    1592,     0,  5825,     0,     0,     0,     0,  1383,     0,     0,
       0,     0,     0,     0,     0,   914,  6243,     0,   951,  5413,
    5414,  4914,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1593,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  6337,     0,     0,     0, -2774,  3469,     0,   914,     0,
       0,     0,   191,     0,     0,     0,     0,     0, -2774,     0,
       0,     0,     0,     0, -2774,     0,     0,     0,  1383,   650,
   -2774,     0,   187,     0,   792,     0, -2774,     0,     0, -2774,
     949,     0,  6240, -2774,   792,   650,     0,     0,  6241,   961,
       0,  6242,     0,     0,     0,     0,     0,   961,     0,     0,
     961,     0,   962,   962,  1594,     0,  6454,     0,  6337,  3477,
       0,     0,     0, -2774,     0,   971,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6337,     0,     0,  1220,  1221,
     652,   652,   652,     0,     0,     0,     0,     0,     0,     0,
       0,  6243,     0,     0,     0,     0, -2774,     0,     0,  5507,
       0,     0,  5509,  5510,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   792,  5515,     0,     0,   792,   792,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2774,     0,     0,
       0, -2774,     0,     0,     0,     0,  3480, -2774,  2108,     0,
       0,  2109,     0,  3480,     0,  2110,  2111,  2112,  3480,     0,
       0,  3480,     0,     0,     0,     0,     0,     0,     0,     0,
     971,     0,     0,  2630,     0,     0,     0,     0,     0,     0,
       0,     0,   914,  2631,     0,     0,     0,     0,     0,     0,
    2632,     0,     0,   914,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1819,     0, -2774,     0,   914,
       0,     0,     0,     0,     0,     0,  2633,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   971,     0,
       0,     0,     0,     0,     0,  3469,   971,     0,     0,     0,
    3469,     0,     0,  3469,   971,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   914,   187,   187,   807,     0,     0,     0,
       0,     0,   652,     0,     0,   652,     0,     0,   914,     0,
       0,   914,   914,     0,     0,   652,   652,     0,   971,   971,
       0,     0,     0,     0,     0,     0, -2774,     0,     0,     0,
     652,     0,   971,   652,     0,     0,     0,     0,     0,   792,
       0,     0,   914,   914,     0,   971,   971,     0,     0,     0,
   -2774,     0, -2774, -2774,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2634,     0,     0,     0,     0,  2635,
       0,     0,     0,     0, -2774,     0,     0,     0,     0,     0,
       0,     0,     0,   652,     0,     0,     0,   652,   652,     0,
       0,     0,  2636,  2302, -2774,     0,     0, -2774, -2774, -2774,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2637,     0,   652,     0,   652,     0,     0,     0,     0,   652,
     652,     0,     0,     0,     0,     0,   652,   652,   652,   652,
     652,   652,   652,   652,   652,   652,   652,   652,   652,     0,
       0,     0,   652,     0,   652,     0,   652,   652,   652,   652,
     652,   652,     0,  2369,   652,  3480,   652,   652,     0,     0,
     652,     0,  3958,     0,     0,     0,     0,     0,  2638,     0,
       0,  2639,     0,     0,   914,   652,   652,   652,  1576,     0,
       0,     0,     0,     0,  1577,     0,  1546,     0,     0,     0,
       0,     0,     0,   652,     0,  1819,     0,     0,     0,     0,
       0,     0,  1643,     0,     0,     0,  2108,     0,     0,  2109,
       0,     0,     0,  2110,  2111,  2112,     0,     0,     0,     0,
       0,     0,  1547,     0,  1644,     0,     0,     0,     0,  1579,
       0,  2630,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2631,     0,     0,  3265,  3266,     0,     0,  2632,   187,
    4923,     0,     0,     0,     0,  5853,     0,     0,     0,     0,
       0,  3302,  3303,   949,  2640,     0,     0,     0,     0,     0,
       0,     0,   961,     0,  2633,     0,  1645,  4933,     0,   961,
       0,     0,   961,     0,  2775,  1548,  1580,     0,  1576,     0,
       0,     0,  3348,  1581,  1577,     0,     0,  1582,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5891,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3589,  1549,  4934,     0,  1583,     0,  3597,     0,     0,
       0,     0,     0,     0,     0,     0,  3480,     0,     0,  1579,
     652,     0,     0,     0,     0,  4935,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3480,     0,     0,     0,
       0,  1584,     0,     0,     0,     0,     0,  3959,  1646,     0,
    2568,     0,  1550,     0,  3639,     0,     0,     0,     0,  2569,
    2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,  3480,     0,
       0,     0,  2634,     0,   652,  4107,  1580,  2635,     0,     0,
     718,     0,     0,  1581,     0,  2108,     0,  1582,  2109,   806,
       0,     0,  2110,  2111,  2112,     0,  1552,     0,  3469,     0,
    2636,  2302,     0,     0,  5981,     0,  1647,     0,     0,     0,
       0,  1648,     0,     0,     0,  1583,  1649,     0,     0,     0,
    2631,  1687,     0,     0,     0,  1586,     0,  2632,  2637,  1554,
     652,     0,  2945,     0,     0,  1587,  4936,     0,     0,     0,
       0,     0,     0,     0,  1546,  1588,     0,     0,     0,     0,
       0,  1584,     0,  2633,     0,     0,     0,  1589,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1651,     0,     0,
       0,  2369,     0,     0,    35,     0,     0,     0,     0,  1556,
    1547,     0,     0,     0,  2998,     0,  2638,     0,  1557,  2639,
       0,     0,     0,     0,     0,     0,     0,  1558,     0,  1715,
       0,     0,  1591,  1592,     0,  2819,     0,     0,     0,     0,
       0,     0,  3480,     0,     0,  1653,     0,     0,  1560,     0,
       0,     0,     0,     0,     0,     0,     0,  1561,     0,     0,
       0,  1687,  1562,     0,  1716,  1586,     0,     0,     0,  1654,
       0,     0,     0,  1548,     0,  1587,     0,     0,     0,     0,
       0,     0,     0,  3961,     0,  1588,     0,     0,     0,   187,
    1656,     0,  4937,     0,  3866,  4359,     0,  1589,     0,     0,
       0,  2634,     0,     0,     0,   949,  2635,     0,     0,     0,
    1549,   961,  2640,     0,     0,   961,     0,   961,     0,  1563,
     187,  3480,     0,  3962,     0,     0,     0,     0,     0,  2636,
    2302,     0,     0,     0,   187,     0,     0,  1594,     0,  2799,
       0,  1657,  1591,  1592,   652,   652,   652,   652,   652,   652,
     652,   652,   652,     0,   652,     0,     0,  2637,     0,     0,
    1550,     0,     0,     0,     0,   652,     0,   652,     0,     0,
       0,     0,     0,     0,  2800,     0,     0,     0,     0,     0,
       0,  1913,     0,  1915,  1916,     0,     0,  3077,     0,     0,
       0,     0,     0,     0,     0,  3094,     0,     0,     0,     0,
    2369,     0,     0,  2998,  1552,   652,     0,  2867,     0,   652,
       0,     0,   652,     0,   652,  2638,     0,   652,  2568,     0,
       0,   652,     0,     0,  2100,     0,     0,  2569,  2570,  2571,
    2572,  2573,  2574,  2575,  2576,  2577,     0,  1554,     0,     0,
       0,     0,  1819,  4158,   652,     0,     0,  1594,  3152,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   652,     0,     0,     0,     0,     0,     0,     0,     0,
     652,   652,     0,     0,  4038,  2998,     0,     0,     0,     0,
       0,     0,    35,     0,  2818,     0,  3480,  1556,     0,  4048,
       0,     0,     0,     0,  4053,     0,  1557,   971,     0,     0,
       0,     0,     0,     0,   914,  1558,     0,     0,   914,   914,
       0,  2640,     0,  2819,     0,   971,     0,     0,     0,   971,
       0,     0,     0,   971,  4079,     0,  1560,     0,     0,     0,
       0,     0,   971,     0,  6286,  1561,     0,     0,     0,     0,
    1562,     0,     0,     0,     0,     0,     0,   971,     0,     0,
     652,     0,     0,  1546,  3449,  3451,     0,     0,     0,     0,
    3459,   652,     0,   914,   652,     0,   652,   652,  3469,   914,
     187,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   971,     0,     0,     0,     0,     0,     0,     0,  1547,
       0,     0,  3505,  3505,     0,  3480,     0,  1563,     0,     0,
       0,   971,   971,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   914,  2568,     0,     0,
       0,     0,     0,     0,     0,     0,  2569,  2570,  2571,  2572,
    2573,  2574,  2575,  2576,  2577,     0,     0,     0,  1819,   971,
       0,     0,  1819,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1548,     0,   792,     0,  2108,     0,     0,  2109,
       0,     0,     0,  2110,  2111,  2112,   971,     0,  1819,     0,
       0,     0,   971,   719,   187,     0,     0,     0,  3244,     0,
       0,  2630,     0,     0,     0,     0,   971,     0,     0,  1549,
       0,  2631,     0,   971,     0,     0,   971,     0,  2632,     0,
       0,     0,   971,  3480,     0,  1576,     0,     0,     0,     0,
       0,  1577,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   971,     0,  2633,     0,     0,     0,   971,   722,
    3245,     0,     0,     0,     0,   971,     0,     0,     0,  1550,
       0,  3641,     0,     0,     0,     0,   723,     0,     0,   971,
       0,     0,     0,     0,     0,     0,  1579,     0,  1073,     0,
       0,     0,     0,   971,  1056,     0,     0,     0,  1819,  2108,
       0,     0,  2109,     0,   971,     0,  2110,  2111,  2112,  1551,
       0,     0,     0,  1552,     0,     0,     0,     0,  3246,     0,
       0,     0,   652,   652,   652,     0,     0,     0,   652,     0,
       0,   726,     0,     0,  2631,     0,     0,     0,  1141,   718,
     727,  2632,     0,  1580,     0,  1553,  1554,     0,     0,     0,
    1581,     0,     0,   728,  1582,   652,   914,     0,     0,  3247,
     792,  4320,     0,     0,  1819,     0,     0,  2633,   792,  4323,
       0,   792,  2634,     0,     0,     0,     0,  2635,     0,     0,
       0,     0,  1583,   792,     0,     0,  1059,  1555,     0,     0,
       0,    35,     0,     0,     0,     0,  1556,   652,     0,  3480,
    2636,  2302,     0,     0,     0,  1557,     0,     0,     0,     0,
       0,     0,     0,     0,  1558,     0,     0,     0,  1584,     0,
       0,     0,  1559,     0,  3248,     0,     0,     0,  2637,   914,
       0,     0,     0,   914,  1240,  1560,     0,     0,     0,     0,
       0,     0,     0,     0,  1561,     0,   732,     0,     0,  1562,
       0,     0,     0,     0,  1262,     0,     0,     0,     0,     0,
       0,     0,  1386,   187,     0,  1395,  1141,  1397,     0,     0,
       0,  2369,     0,  4419,     0,  4421,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2634,  2638,     0,   187,  2639,
    2635,     0,     0,     0,     0,     0,     0,     0,  1585,     0,
       0,     0,  1586,     0,     0,     0,  1563,     0,     0,     0,
    3480,     0,  1587, -2992, -2992,     0,  3480,     0,     0,   971,
       0,  1819,  1588,     0,     0,     0,     0,   213,  3249,     0,
       0,   737,     0,     0,  1589,     0,   914,     0,   971,     0,
       0,  2637,     0,     0,     0,   971,     0,     0,     0,   652,
       0,   914,   652,     0,   652,   652,   914,     0,  1063,     0,
       0,  3250,     0,     0,   652,     0,     0,     0,   741,   652,
       0,  4482,     0,     0,     0,   742,  2883,     0,   743,  1591,
    1592,     0,  2640,     0, -2992,     0,   914,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   744,  2638,
       0,     0,  6318,     0,     0,     0,  1065,     0,     0,     0,
       0,  2884,     0,   746,     0,  4504,  1066,     0,   652,   652,
     652,   748,     0,   652,     0,     0,     0,     0,     0,     0,
     792,   652,   652,   652,   652,     0,  3251,     0,     0,     0,
       0,  3480,  1819,     0,     0,     0,     0,   652,  1819,     0,
     652,     0,   652,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   753,   652,   652,     0,     0,   652,     0,
    1141,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1594,     0,     0,     0,  2568,   652,
       0,   652,     0,   652,     0,  2640,     0,  2569,  2570,  2571,
    2572,  2573,  2574,  2575,  2576,  2577,     0,     0,  3022,     0,
     949,  3639,   652,   949,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   961,   961,     0,     0,   187,     0,     0,
       0,     0,     0,   971,     0,     0,     0,     0,   961,     0,
       0,   961,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4646,  3532,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     652,     0,     0,   652,  3548,     0,     0,  1576,  3551,     0,
       0,     0,  3554,  1577,     0,     0,     0,   652,     0,     0,
       0,   961,   652,     0,     0,   961,   961,     0,  1685,     0,
       0,  2568,     0,     0,     0,     0,  3573,   652,     0,     0,
    2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,
       0,   652,     0,     0,     0,     0,     0,  1576,  1579,   652,
       0,     0,     0,  1577,     0,     0,     0,  4703,     0,     0,
    3615,   914,     0,     0,   914,     0,   914,     0,  1685,     0,
       0,   914,     0,  4215,     0,   792,     0,     0,     0,     0,
    1097,  2027,     0,     0,     0,     0,   971,   971,     0,     0,
       0,  4222,   652,     0,     0,     0,     0,     0,  1579,     0,
       0,     0,     0,  1686,     0,  1580,     0,   971,  1141,  4735,
     971,     0,  1581,   914,     0,     0,  1582,     0,  3674,     0,
       0,   914,     0,     0,     0,     0,     0,  1546,     0,     0,
       0,     0,     0,     0,  4756,     0,     0,     0,     0,     0,
       0,  4271,  4271,     0,  1583,  3703,   914,     0,     0,     0,
       0,  3712,   652,  1686,     0,  1580,     0,     0,     0,     0,
       0,     0,  1581,  1547,     0,  3722,  1582,     0,     0,     0,
       0,     0,  1097,     0,     0,  3735,     0,     0,     0,     0,
    1584,  3740,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1819,  1819,  1819,  1583,     0,     0,  2104,     0,     0,
       0,  3753,     0,     0,     0,     0,  2106,  3756,     0,     0,
       0,     0,  1546,     0,  3764,     0,   971,     0,     0,     0,
       0,     0,  2593,     0,     0,   914,  1548,   914,  3779,     0,
    1584,     0,     0,     0,     0,   971,     0,     0,     0,     0,
       0,  1141,  3805,     0,  2610,  2611,     0,     0,  1547,  1141,
    1141,     0,     0,  1097,     0,     0,     0,   971,     0,     0,
    1687,     0,  2108,  1549,  1586,  2109,     0,     0,     0,  2110,
    2111,  2112,     0,     0,  1587,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1588,     0,     0,  2630,     0,     0,
       0,     0,     0,     0,     0,     0,  1589,  2631,     0,     0,
       0,     0,     0,     0,  2632,     0,     0,     0,     0,     0,
    1687,  1548,     0,  1550,  1586,     0,     0,     0,     0,     0,
       0,     0,     0,   914,  1587,     0,     0,     0,     0,     0,
    2633,     0,     0,     0,  1588,     0,     0,     0,  1688,     0,
       0,  1591,  1592,     0,     0,     0,  1589,   971,  1549,     0,
       0,     0,   652,  1551,     0,     0,     0,  1552,   652,     0,
       0,     0,     0,     0,     0,     0,     0,   914,     0,     0,
       0,     0,     0,  1689,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3769,  1617,
    1554,  1591,  1592,     0,  1819,   914,     0,     0,  1550,     0,
     971,     0,   971,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   971,     0,   971,     0,     0,
       0,     0,     0,  3770,     0,     0,     0,     0,     0,     0,
       0,  1618,     0,     0,     0,    35,     0,   652,  1551,     0,
    1556,     0,  1552,     0,     0,     0,  1594,     0,  2634,  1557,
       0,     0,     0,  2635,     0,     0,     0,     0,  1558,     0,
       0,     0,     0,   914,  1576,     0,  1619,     0,  4023,     0,
    1577,     0,     0,     0,  1634,  1554,  2636,  2302,     0,  1560,
       0,     0,     0,     0,   971,   914,     0,  4039,  1561,     0,
       0,     0,     0,  1562,  4023,     0,  1594,     0,     0,     0,
       0,     0,     0,     0,  2637,     0,  2950,   914,     0,     0,
       0,     0,     0,     0,  2958,  1579,  1635,   792,     0,     0,
      35,     0,     0,     0,     0,  1556,   971,     0,     0,     0,
       0,     0,     0,     0,  1557,     0,     0,     0,     0,     0,
    4565,     0,     0,  1558,     0,   971,     0,  2369,     0,   971,
    1563,  1636,     0,     0,     0,     0,     0,     0,     0,  5095,
       0,     0,  2638,     0,  1560,  2639,     0,     0,     0,     0,
     971,     0,  1580,  1561,     0,     0,     0,     0,  1562,  1581,
       0,     0,     0,  1582,     0,     0,   652,     0,     0,   914,
       0,     0,     0,     0,     0,   652,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   652,
       0,  1583,     0,   652,   652,   652,     0,     0,     0,     0,
     652,     0,     0,   652,     0,     0,   652,     0,     0,     0,
       0,     0,   652,     0,   652,  1563,     0,   652,     0,     0,
       0,   914,   652,   652,   652,   652,     0,  1584,   652,   652,
     652,   652,   652,   652,   652,   652,   652,   652,  2640,     0,
       0,   652,   652,   652,     0,     0,   914,     0,     0,     0,
       0,   652,   649,     0,     0,     0,   652,     0,  1819,     0,
     652,     0,     0,     0,     0,     0,     0,     0,   652,     0,
       0,   652,     0,   652,     0,     0,     0,   792,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   652,
       0,     0,   652,   652,     0,     0,     0,   652,   652,     0,
       0,     0,   652,     0,   652,     0,     0,  1687,     0,  3088,
       0,  1586,     0,  3093,     0,     0,     0,     0,     0,     0,
       0,  1587,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1588,     0,   652,     0,     0,   913,     0,     0,   652,
       0,     0,     0,  1589,  2568,     0,     0,   652,     0,     0,
       0,   652,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,
    2576,  2577,     0,     0,     0,     0,  3346,     0,     0,   949,
       0,  1576,   961,     0,   961,   961,     0,  1577,     0,     0,
       0,     0,     0,     0,   652,  3625,     0,     0,  1591,  1592,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   652,  2108,     0,     0,  2109,     0,   914,     0,  2110,
    2111,  2112,     0,     0,     0,     0,  4317,     0,     0,     0,
    1593,     0,  1579,     0,     0,     0,     0,  2630,     0,     0,
       0,     0,     0,   971,     0,     0,     0,  2631,     0,     0,
       0,     0,     0,     0,  2632,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   652,     0,     0,     0,
       0,     0,     0,     0,  5330,     0,     0,     0,     0,  2108,
    2633,     0,  2109,     0,     0,     0,  2110,  2111,  2112,  1580,
       0,     0,     0,  3276,     0,     0,  1581,     0,     0,     0,
    1582,     0,     0,  1594,  2630,  1819,     0,     0,     0,     0,
    1819,   914,  1819,     0,  2631,     0,     0,     0,     0,     0,
       0,  2632,     0,     0,     0,     0,     0,  5368,  1583,     0,
       0,     0,     0,     0,     0,  4402,     0,     0,  1819,   914,
       0,     0,     0,     0,     0,     0,     0,  2633,     0,  5384,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1584,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2108,     0,   971,  2109,     0,   971,     0,  2110,
    2111,  2112,     0,     0,     0,     0,     0,     0,  2634,   902,
       0,     0,     0,  2635,     0,     0,     0,  2630,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2631,     0,     0,
       0,  5412,     0,     0,  2632,     0,  2636,  2302,     0,     0,
       0,     0,  2108,   792,     0,  2109,     0,     0,     0,  2110,
    2111,  2112,     0,     0,  1687,     0,     0,     0,  1586,     0,
    2633,   652,     0,     0,  2637,     0,     0,  2630,  1587,     0,
       0,   792,     0,     0,     0,  2634,  4497,  2631,  1588,     0,
    2635,     0,     0,     0,  2632,   792,     0,   971,   971,     0,
    1589,   914,     0,     0,     0,   649,   792,     0,   971,     0,
       0,     0,     0,  2636,  2302,   652,   652,  2369,     0,     0,
    2633,     0,     0,     0,     0,   971,     0,     0,     0,     0,
       0,     0,  2638,     0,     0,  2639,     0,     0,     0,     0,
       0,  2637,  3816,     0,     0,  1591,  1592,     0,   914,     0,
       0,     0,     0,   914,   652,   652,     0,     0,     0,     0,
       0,     0,  5496,     0,     0,   652,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3817,     0,     0,
       0,     0,  1220,  1221,  2369,     0,     0,     0,  2634,     0,
       0,     0,     0,  2635,     0,     0,     0,     0,     0,  2638,
       0,     0,  2639,     0,     0,     0,   971,     0,     0,  1819,
       0,     0,     0,     0,     0,     0,  2636,  2302,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2640,     0,
       0,     0,     0,     0,     0,   652,     0,     0,  2634,     0,
       0,     0,     0,  2635,  2637,     0,     0,     0,     0,     0,
    1594,   652,     0,     0,     0,     0,     0,   949,     0,     0,
     961,     0,   961,   961,     0,  2998,  2636,  2302,     0,   652,
     792,     0,     0,  1576,     0,     0,     0,     0,     0,  1577,
       0,     0,     0,     0,  4669,     0,     0,  2369,  4673,     0,
       0,     0,     0,     0,  2637,  2640,     0,   652,     0,     0,
     652,  4482,  2638,     0,     0,  2639,     0,     0,   652,   652,
       0,   914,     0,     0,     0,   652,   652,     0,     0,     0,
     652,     0,     0,   792,  1579,   652,     0,     0,   652,   652,
       0,     0,     0,     0,  2568,   652,     0,  2369,     0,     0,
       0,     0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,
    2576,  2577,  2638,     0,     0,  2639,  4099,   652,     0,     0,
       0,     0,     0,     0,   652,     0,     0,     0,     0,   652,
       0,     0,   652,   652,     0,     0,     0,     0,     0,     0,
     652,  1580,     0,     0,     0,     0,     0,     0,  1581,     0,
       0,   652,  1582,     0,     0,     0,     0,     0,  2640,   652,
       0,  2568,     0,     0,     0,     0,     0,     0,     0,     0,
    2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,
    1583,     0,     0,  4518,     0,     0,   914,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   971,
     913,     0,     0,     0,   652,     0,     0,     0,  2640,     0,
       0,     0,     0,     0,     0,     0,  1584,     0,     0,     0,
       0,     0,  3427,     0,     0,     0,   913,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   649,   914,
       0,   649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   971,     0,     0,     0,
       0,   914,     0,     0,  2568,     0,     0,     0,   971,     0,
       0,     0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,
    2576,  2577,     0,     0,   652,     0,  4704,     0,     0,   649,
       0,   652,     0,     0,     0,     0,  1687,   649,     0,     0,
    1586,     0,   971,     0,     0,     0,     0,     0,     0,     0,
    1587,     0,     0,     0,  2568,     0,     0,     0,     0,     0,
    1588,     0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,
    2576,  2577,  1589,   914,     0,     0,  4777,     0,     0,     0,
       0,     0,     0,   792,     0,     0,     0,     0,     0,   792,
       0,     0,  4896,     0,   792,     0,     0,     0,     0,   652,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   913,
    1141,     0,     0,     0,  4333,   652,  2108,  1591,  1592,  2109,
    1819,  5382,  5383,  2110,  2111,  2112,  5386,  5387,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   971,
       0,  2630,     0,     0,     0,     0,   652,  2028,     0,  4334,
       0,  2631,  2028,  2028,     0,     0,     0,     0,  2632,     0,
       0,     0,  1576,     0,     0,     0,  1397,     0,  1577,     0,
       0,     0,     0,     0,     0,  1643,     0,     0,     0,     0,
       0,     0,     0,     0,  2633,     0,     0,     0,     0,     0,
       0,     0,   914,   902,   914,     0,     0,  1644,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1579,     0,     0,     0,     0,     0,   902,
       0,     0,  1594,     0,     0,   971,     0,     0,     0,     0,
       0,     0,     0,  5021,     0,     0,  5024,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1645,
       0,   652,  1397,  1734,     0,     0,     0,     0,     0,     0,
       0,   652,     0,     0,   652,  5965,     0,   652,   652,   652,
    1580,     0,   913,     0,     0,     0,  1397,  1581,     0,     0,
       0,  1582,     0,   913,     0,     0,     0,     0,     0,     0,
       0,     0,   652,   652,     0,     0,   652,     0,     0,   913,
       0,     0,  2634,     0,     0,     0,     0,  2635,     0,  1583,
       0,     0,     0,   652,     0,     0,     0,   652,     0,     0,
       0,     0,     0,   652,     0,     0,     0,   652,  6021,     0,
    2636,  2302,     0,   914,   652,     0,     0,  5106,     0,     0,
    3804,  1646,     0,     0,  3808,  1584,     0,   652,     0,     0,
     652,     0,     0,     0,  2998,   971,     0,   971,  2637,     0,
       0,     0,   902,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   652,
       0,  3841,     0,  3841,     0,  3841,  3841,     0,     0,     0,
    3841,  3841,  3841,     0,  3841,  3841,  3841,     0,     0,  1647,
       0,  2369,     0,     0,  1648,     0,   914,   971,     0,  1649,
       0,     0,     0,     0,     0,     0,  2638,   652,     0,  2639,
       0,     0,     0,     0,     0,  1650,     0,     0,     0,  1586,
       0,     0,     0,  2108,     0,  4023,  2109,     0,     0,  1587,
    2110,  2111,  2112,     0,     0,     0,     0,     0,  3918,  1588,
       0,     0,     0,     0,     0,     0,   913,  1819,  2630,     0,
    1651,  1589,   652,  2108,     0,     0,  2109,     0,  2631,     0,
    2110,  2111,  2112,  3946,     0,  2632,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2630,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2631,     0,
       0,  2633,     0,  1652,     0,  2632,  1591,  1592,  1653,     0,
       0,     0,  2640,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   652,     0,   902,   914,     0,   792,     0,
       0,  2633,  1654,     0,     0,     0,   902,     0,  1655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   902,  1656,     0,     0,     0,   652,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   652,     0,     0,     0,   652,     0,
     652,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   652,     0,     0,     0,     0,     0,
       0,     0,   652,     0,  1657,   652,     0,     0,     0,     0,
       0,  1594,     0,     0,     0,     0,   652,     0,  2568,  2634,
       0,     0,     0,   652,  2635,     0,     0,  2569,  2570,  2571,
    2572,  2573,  2574,  2575,  2576,  2577,     0,     0,     0,     0,
    4883,     0,     0,     0,     0,     0,     0,  2636,  2302,  2634,
       0,     0,     0,     0,  2635,     0,     0,     0,  2108,     0,
       0,  2109,     0,     0,     0,  2110,  2111,  2112,     0,     0,
       0,     0,     0,   652,     0,  2637,     0,  2636,  2302,   914,
       0,     0,     0,  2630,   914,   914,     0,  3488,     0,   652,
     911,     0,     0,  2631,     0,   652,   652,   971,     0,     0,
    2632,     0,     0,     0,     0,  2637,     0,     0,     0,   902,
       0,   971,     0,     0,     0,     0,     0,  2739,  2369,     0,
       0,     0,     0,     0,     0,  5379,  2633,     0,     0,     0,
       0,   652,     0,  2638,     0,     0,  2639,  5389,     0,   652,
       0,     0,  1819,     0,     0,     0,     0,     0,  2369,     0,
       0,     0,     0,     0,     0,   649,     0,     0,     0,   649,
       0,     0,     0,  2638,     0,     0,  2639,   652,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3489,     0,
       0,  1141,     0,     0,  2739,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   914,   914,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     652,  1819,     0,     0,     0,   913,     0,     0,     0,  2640,
       0,     0,   652,   792,     0,     0,     0,     0,     0,     0,
    6379,   652,   652,   652,  2634,     0,     0,     0,     0,  2635,
       0,     0,     0,     0,     0,     0,   652,  1819,   913,  2640,
     914,     0,     0,     0,   649,   652,     0,   652,     0,   652,
       0,     0,  2636,  2302,     0,     0,   652,     0,     0,     0,
       0,     0,     0,   652,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2637,     0,     0,   652,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1819,     0,
       0,   971,     0,     0,     0,  2568,     0,     0,  1141,     0,
    1734,  1734,  1734,  2369,  2569,  2570,  2571,  2572,  2573,  2574,
    2575,  2576,  2577,     0,  4023,     0,     0,  4907,  2638,     0,
       0,  2639,     0,     0,     0,  2568,     0,     0,     0,     0,
     902,     0,     0,     0,  2569,  2570,  2571,  2572,  2573,  2574,
    2575,  2576,  2577,     0,   652,     0,     0,  5112,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   658,     0,     0,     0,     0,     0,
     707,   658,     0,     0,     0,  4392,   759,     0,   658,     0,
       0,     0,     0,     0,   658,   652,   812,   902,     0,     0,
       0,     0,  6064,     0,     0,     0,     0,     0,     0,     0,
     652,     0,   913,     0,  2640,   874,   874,     0,     0,     0,
     652,     0,     0,   913,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   971,     0,     0,     0,   902,   913,
       0,     0,     0,  4441,  4023,     0,  4023,     0,   652,     0,
       0,     0,     0,   649,   649,     0,     0,     0,   971,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   902,     0,     0,     0,     0,     0,     0,     0,  3490,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   913,     0,     0,     0,     0,     0,     0,
     652,     0,     0,     0,     0,     0,     0,     0,   913,     0,
     652,   913,   913,  4484,     0,     0,     0,     0,   652,   652,
    2568,     0,     0,     0,   652,     0,     0,     0,     0,  2569,
    2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,     0,
       0,     0,   913,   913,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   652,   652,     0,     0,   652,
       0,  3841,     0,     0,     0,     0,   953,     0,     0,     0,
     957,     0,     0,  4515,  4515,     0,     0,     0,  1000,     0,
       0,  1002,     0,  4531,  1007,  1008,     0,  1011,  1141,  1014,
    1141,     0,  1020,     0,  1022,     0,     0,   971,     0,     0,
    1576,     0,     0,     0,     0,     0,  1577,     0,     0,     0,
       0,     0,     0,     0,     0,  2108,     0,     0,  2109,     0,
       0,   652,  2110,  2111,  2112,     0,     0,   652,     0,     0,
       0,     0,     0,     0,     0,     0,  4586,     0,     0,     0,
    2630,     0,  1734,     0,     0,   652,     0,     0,     0,     0,
    2631,  1579,   652,     0,     0,     0,  1734,  2632,     0,  1734,
       0,     0,     0,     0,     0,   902,     0,     0,   652,     0,
       0,  4622,  1141,     0,     0,     0,   902,     0,     0,     0,
       0,     0,     0,  2633,   913,     0,     0,     0,     0,   652,
       0,     0,   902,     0,     0,   649,     0,     0,     0,     0,
       0,     0,   649,     0,     0,     0,     0,   649,  1580,     0,
     649,  5294,     0,     0,     0,  1581,     0,     0,     0,  1582,
       0,     0,     0,     0,   911,     0,     0,   652,     0,     0,
       0,     0,   914,     0,     0,     0,     0,     0,   652,     0,
       0,     0,     0,     0,     0,     0,   902,  1583,     0,     0,
     911,     0,   652,     0,     0,     0,     0,     0,     0,  1819,
       0,   902,     0,  2108,   902,   902,  2109,     0,     0,     0,
    2110,  2111,  2112,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1584,     0,     0,     0,     0,  2630,     0,
       0,     0,     0,     0,     0,   902,   902,     0,  2631,   652,
     652,  2634,     0,     0,     0,  2632,  2635,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   652,     0,  2108,     0,
    1819,  2109,     0,     0,     0,  2110,  2111,  2112,     0,  2636,
    2302,  2633,     0,   652,   652,     0,     0,     0,   904,     0,
       0,     0,     0,  2630,     0,  1819,     0,     0,     0,     0,
       0,     0,     0,  2631,     0,     0,     0,  2637,     0,     0,
    2632,     0,     0,  1687,     0,     0,     0,  1586,     0,     0,
       0,     0,     0,     0,     0,  4778,     0,  1587,     0,     0,
       0,  6401,     0,     0,     0,     0,  2633,  1588,     0,     0,
       0,     0,     0,   911,     0,     0,     0,     0,     0,  1589,
    2369,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2638,     0,     0,  2639,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   902,     0,     0,
       0,  4404,  6401,     0,  1591,  1592,     0,     0,     0,  2634,
       0,     0,     0,  5438,  2635,     0,  2108,     0,     0,  2109,
       0,     0,     0,  2110,  2111,  2112,     0,  6401,     0,     0,
       0,     0,     0,     0,     0,     0,  4405,  2636,  2302,     0,
       0,  2630,     0,     0,   649,     0,     0,     0,     0,     0,
       0,  2631,     0,     0,     0,     0,     0,     0,  2632,     0,
       0,     0,     0,     0,  2634,  2637,     0,     0,     0,  2635,
       0,  2640,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2633,     0,     0,     0,     0,  1050,
       0,     0,  2636,  2302,     0,     0,     0,     0,     0,     0,
    1087,     0,     0,     0,  1091,     0,     0,     0,  2369,  1594,
       0,  1104,  1105,     0,     0,  1111,   911,  1115,  1116,     0,
    2637,     0,     0,  2638,     0,     0,  2639,   911,     0,     0,
       0,     0,  1138,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   911,     0,     0,     0,     0,     0,     0,
    1151,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2369,     0,     0,     0,     0,     0,  4531,
       0,  1179,     0,  1181,     0,     0,     0,  2568,  2638,     0,
       0,  2639,     0,  1197,     0,     0,  2569,  2570,  2571,  2572,
    2573,  2574,  2575,  2576,  2577,     0,     0,  4985,     0,  5225,
       0,     0,  2634,     0,     0,     0,     0,  2635,     0,     0,
       0,     0,  4999,     0,     0,  5000,   658,  5001,     0,  2640,
       0,     0,     0,  4023,     0,   649,     0,  1734,     0,     0,
    2636,  2302,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   649,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2637,     0,
       0,     0,     0,  5041,  2108,     0,     0,  2109,     0,     0,
       0,  2110,  2111,  2112,  2640,     0,     0,   649,     0,  3841,
       0,     0,     0,     0,  3841,     0,     0,     0,     0,  2630,
       0,     0,     0,     0,     0,     0,     0,   874,     0,  2631,
     911,  2369,     0,     0,     0,     0,  2632,     0,     0,     0,
       0,     0,     0,     0,     0,   961,  2638,     0,     0,  2639,
       0,     0,     0,     0,     0,  2568,     0,     0,     0,     0,
       0,     0,  2633,     0,  2569,  2570,  2571,  2572,  2573,  2574,
    2575,  2576,  2577,     0,     0,     0,     0,  5262,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     961,     0,     0,     0,  3537,     0,     0,     0,  2739,  3543,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2568,     0,  1537,  5146,     0,     0,  4531,     0,     0,  2569,
    2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,     0,
       0,     0,  5266,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2640,     0,     0,     0,     0,     0,     0,     0,
       0,   649,     0,   913,     0,     0,     0,     0,     0,   913,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2634,     0,     0,     0,     0,  2635,  1718,     0,     0,     0,
    2609,     0,  5195,  5195,  5195,  5195,     0,  5195,  5195,  5195,
    5195,  5195,     0,     0,     0,     0,   913,     0,  2636,  2302,
       0,  1839,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1851,     0,  1852,     0,
     649,     0,     0,     0,     0,     0,  2637,     0,  1855,     0,
       0,     0,     0,     0,     0,  1865,     0,     0,  2568,     0,
     905,     0,     0,     0,     0,     0,     0,  2569,  2570,  2571,
    2572,  2573,  2574,  2575,  2576,  2577,     0,     0,     0,     0,
    5537,     0,     0,     0,     0,     0,     0,     0,     0,  2369,
       0,     0,     0,     0,     0,     0,     0,     0,  1917,     0,
    1919,   911,     0,     0,  2638,  1576,     0,  2639,     0,     0,
       0,  1577,   904,     0,     0,     0,     0,     0,  1643,     0,
       0,     0,     0,     0,     0,  5274,     0,  5276,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   904,     0,
    1644,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1579,   902,     0,     0,
       0,   902,   902,     0,     0,     0,     0,     0,   911,     0,
       0,     0,     0,     0,   658,     0,   658,  5926,   658,     0,
     658,     0,   658,   658,   658,     0,     0,     0,     0,   658,
       0,     0,  1645,     0,  1734,     0,     0,     0,     0,     0,
    2640,  2023,     0,     0,     0,   649,     0,     0,     0,   911,
       0,     0,     0,  1580,     0,     0,   902,     0,     0,     0,
    1581,     0,   902,     0,  1582,     0,   913,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   911,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1583,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   902,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   904,     0,     0,  1646,     0,     0,     0,  1584,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2739,
       0,  2108,     0,  2739,  2109,     0,  2568,     0,  2110,  2111,
    2112,     0,     0,     0,   649,  2569,  2570,  2571,  2572,  2573,
    2574,  2575,  2576,  2577,     0,     0,  2630,     0,  5548,     0,
       0,     0,     0,     0,     0,     0,  2631,     0,     0,     0,
       0,     0,  1647,  2632,     0,     0,     0,  1648,  2108,  5410,
    5411,  2109,  1649,     0,     0,  2110,  2111,  2112,     0,     0,
       0,     0,  3841,     0,  3841,  3841,  3841,     0,  1650,  2633,
       0,     0,  1586,  2630,     0,     0,     0,     0,     0,     0,
       0,     0,  1587,  2631,     0,     0,     0,     0,     0,   874,
    2632,     0,  1588,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1651,  1589,     0,   913,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2633,     0,     0,     0,
       0,   913,   649,     0,     0,     0,   913,     0,     0,     0,
    5462,     0,     0,     0,     0,     0,   911,     0,     0,     0,
       0,     0,     0,     0,   904,     0,  3742,   911,     0,  1591,
    1592,  1653,     0,     0,     0,   904,   913,     0,     0,     0,
       0,     0,     0,   911,     0,     0,     0,     0,     0,  5490,
       0,   904,     0,     0,     0,  1654,     0,     0,     0,   902,
       0,  3743,     0,     0,     0,     0,     0,  2634,     0,     0,
       0,     0,  2635,     0,     0,     0,  1656,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2797,
       0,     0,  5195,     0,     0,  2636,  2302,   911,     0,     0,
       0,     0,     0,     0,     0,     0,   961,     0,     0,     0,
       0,     0,   911,     0,  2634,   911,   911,     0,     0,  2635,
       0,     0,     0,  2637,     0,     0,     0,  1657,     0,     0,
       0,     0,   902,     0,  1594,     0,   902,     0,     0,     0,
       0,     0,  2636,  2302,     0,     0,   911,   911,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2895,     0,     0,     0,     0,  2369,     0,   649,     0,
    2637,     0,     0,     0,     0,     0,   961,   961,     0,     0,
       0,  2638,     0,     0,  2639,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   904,     0,
       0,     0,     0,  2369,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2638,     0,
       0,  2639,     0,     0,     0,     0,     0,     0,     0,   902,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   902,     0,     0,     0,     0,   902,
       0,     0,     0,     0,  4531,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2640,     0,   649,
       0,     0,     0,     0,     0,   649,     0,     0,   911,   902,
       0,  2739,     0,     0,  3543,     0,  3543,     0,     0,     0,
       0,  2739,     0,  6323,     0,     0,     0,     0,     0,     0,
    3841,     0,     0,     0,   905,     0,     0,     0,     0,  5689,
       0,     0,     0,     0,  2640,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     905,     0,     0,   913,     0,     0,     0,     0,     0,     0,
       0,   913,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2739,     0,     0,  3026,
       0,     0,     0,  2568,     0,  6371,     0,     0,     0,     0,
       0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,
    2577,     0,     0,     0,     0,  5558,     0,     0,     0,     0,
     649,     0,     0,     0,  3062,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2568,     0,     0,     0,     0,     0,     0,     0,     0,  2569,
    2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,     0,
       0,     0,  5620,     0,     0,   913,     0,   913,  6371,     0,
    3127,     0,     0,     0,     0,     0,     0,     0,     0,   904,
    2108,     0,     0,  2109,  6437,     0,     0,  2110,  2111,  2112,
    3145,     0,     0,   905,     0,     0,     0,     0,     0,     0,
       0,   961,   961,     0,     0,  2630,   907,     0,     0,     0,
       0,     0,     0,     0,     0,  2631,  3165,     0,  3166,     0,
       0,     0,  2632,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3175,     0,  3176,     0,     0,     0,     0,
       0,   658,     0,   658,     0,   658,   904,   658,  2633,   658,
       0,     0,     0,   658,   902,     0,     0,   902,     0,   902,
       0,     0,     0,   913,   902,     0,     0,     0,     0,     0,
     908,     0,     0,     0,     0,     0,     0,     0,     0,  1141,
       0,     0,     0,  5901,     0,     0,     0,   904,     0,     0,
    3235,     0,  1734,     0,     0,     0,     0,     0,  1734,     0,
       0,     0,     0,     0,     0,     0,   902,   913,     0,     0,
       0,     0,     0,     0,   902,     0,     0,     0,     0,     0,
     904,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3543,     0,     0,     0,   902,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   905,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2634,   905,     0,     0,
       0,  2635,     0,     0,     0,     0,     0,     0,     0,  -136,
       0,     0,     0,   905,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2636,  2302,     0,     0,     0,     1,
       0,     0,     0,   913,     0,     0,     0,     0,     0,     0,
       2,     0,     3,     4,     0,     0,     0,     0,   902,     0,
     902,     0,  2637,     0,     0,  3543,     0,     0,     0,     0,
       5,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       6,     0,     0,     0,     0,     0,     0,   913,     0,     0,
       0,     0,     7,     0,     8,     9,     0,     0,     0,     0,
       0,    10,     0,    11,     0,  2369,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    12,     0,    13,     0,
    2638,     0,     0,  2639,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    14,     0,     0,    15,  1141,
       0,     0,     0,  6070,     0,  6071,     0,     0,     0,  6077,
    6078,     0,     0,    16,   904,    17,   902,     0,     0,    18,
       0,     0,     0,     0,     0,   904,    19,     0,     0,   913,
       0,     0,     0,     0,     0,    20,     0,    21,     0,     0,
     905,   904,     0,     0,    22,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     902,     0,    23,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2640,     0,     0,    24,
       0,   913,     0,     0,     0,     0,     0,     0,   902,     0,
       0,     0,     0,     0,     0,   904,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   913,     0,     0,     0,
     904,     0,     0,   904,   904,     0,     0,     0,   911,     0,
       0,     0,   911,   911,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    25,    26,     0,     0,     0,     0,    27,
       0,     0,     0,     0,   904,   904,     0,     0,     0,     0,
       0,     0,     0,     0,    28,     0,   902,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    29,     0,     0,     0,   911,   902,     0,
       0,     0,  2568,   911,     0,     0,     0,     0,     0,     0,
       0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,
     902,     0,     0,     0,  5653,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    30,     0,     0,     0,     0,     0,     0,     0,     0,
     911,     0,     0,     0,     0,     0,    31,     0,     0,     0,
       0,    32,    33,     0,    34,     0,     0,     0,     0,    35,
       0,     0,     0,     0,     0,    36,     0,     0,    37,     0,
       0,     0,     0,     0,     0,    38,     0,  2739,     0,     0,
       0,     0,    39,    40,     0,     0,     0,     0,     0,     0,
      41,     0,   902,     0,    42,     0,   904,     0,     0,     0,
       0,     0,     0,     0,     0,    43,     0,     0,     0,     0,
       0,   905,     0,     0,     0,  1141,     0,     0,     0,     0,
       0,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    45,   902,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    46,     0,     0,     0,     0,
       0,    47,     0,     0,     0,     0,    48,     0,     0,   902,
       0,  3543,     0,     0,     0,     0,     0,     0,   905,    49,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     907,     0,     0,     0,     0,     0,     0,     0,     0,  3543,
       0,     0,     0,    50,     0,    51,    52,    53,    54,    55,
       0,     0,     0,     0,     0,     0,   907,     0,     0,   905,
       0,     0,    56,     0,     0,  -136,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     911,     0,   905,     0,   908,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6402,     0,     0,
     908,     0,     0,     0,  2593,     0,     0,     0,  6406,  3533,
    3534,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3549,  3550,
       0,  3552,  3553,     0,     0,     0,  3556,  3557,     0,     0,
       0,     0,     0,   911,  6432,     0,     0,   911,     0,     0,
     902,  3568,     0,     0,     0,  3571,     0,     0,  6402,  3574,
    3575,   913,     0,  3578,  3579,     0,     0,     0,     0,     0,
    3584,     0,     0,     0,     0,     0,     0,     0,     0,   907,
       0,     0,  3599,  6402,     0,     0,  5274,     0,     0,     0,
       0,     0,     0,     0,  3616,     0,     0,     0,     0,  3618,
       0,     0,     0,     0,     0,     0,     0,     0,  3543,     0,
       0,     0,     0,  2739,  3624,     0,     0,     0,  3630,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3640,
       0,     0,  3644,     0,  3646,  3649,  3651,     0,     0,     0,
       0,  3659,  3662,   908,   902,     0,     0,     0,     0,     0,
     911,  3675,     0,     0,     0,     0,     0,  3685,     0,     0,
       0,  3688,     0,     0,     0,   911,   905,     0,     0,     0,
     911,     0,   902,  3698,  3699,     0,     0,   905,  3704,     0,
       0,     0,     0,     0,  3713,  3714,     0,     0,     0,     0,
       0,     0,     0,   905,     0,     0,     0,     0,  3723,     0,
     911,  3724,     0,     0,     0,     0,     0,     0,  3736,  3737,
       0,     0,     0,     0,  3741,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3748,     0,     0,  3751,
       0,     0,     0,     0,  3754,   910,     0,     0,     0,     0,
    3757,  3758,   907,     0,     0,     0,     0,   905,  3766,     0,
       0,     0,  3768,   907,     0,     0,  3775,  3776,  3777,  3778,
       0,  3780,   905,     0,     0,   905,   905,     0,     0,   907,
       0,   913,     0,     0,     0,  3806,  3807,     0,  3809,     0,
       0,     0,     0,     0,     0,  2108,     0,     0,  2109,  3819,
    3820,  3821,  2110,  2111,  2112,     0,   905,   905,     0,     0,
       0,     0,     0,     0,     0,     0,   908,     0,     0,     0,
    2630,     0,     0,     0,   902,     0,     0,   908,     0,     0,
    2631,     0,     0,     0,     0,     0,     0,  2632,     0,     0,
       0,     0,  2108,   908,     0,  2109,     0,     0,     0,  2110,
    2111,  2112,     0,     0,     0,     0,  3873,     0,     0,     0,
       0,     0,     0,  2633,  3897,     0,     0,  2630,     0,     0,
       0,   902,     0,     0,     0,     0,   902,  2631,     0,     0,
       0,     0,     0,  3909,  2632,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   913,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2633,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3977,     0,     0,   907,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   904,     0,   905,   913,
     904,   904,  3991,     0,  3993,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   911,     0,     0,   911,     0,
     911,   913,     0,     0,     0,   911,     0,     0,     0,     0,
       0,  2634,     0,     0,     0,     0,  2635,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     908,     0,     0,     0,     0,   904,     0,     0,     0,  2636,
    2302,   904,     0,     0,     0,     0,     0,   911,     0,     0,
       0,     0,     0,     0,     0,   911,     0,     0,  2634,     0,
       0,     0,     0,  2635,   902,     0,     0,  2637,     0,     0,
       0,     0,     0,   913,     0,     0,     0,     0,     0,  4055,
     911,     0,     0,     0,     0,     0,  2636,  2302,   904,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   950,
     952,     0,     0,   955,     0,     0,     0,     0,     0,     0,
    2369,     0,     0,     0,  2637,     0,     0,     0,     0,     0,
       0,     0,     0,  1013,     0,  2638,     0,     0,  2639,     0,
    1023,     0,     0,     0,   719,     0,     0,     0,     0,  2786,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2369,     0,   911,
       0,   911,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2638,     0,     0,  2639,     0,  2787,     0,   902,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     722,     0,  5494,     0,   913,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   723,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2640,     0,     0,     0,  1056,     0,   907,     0,     0,
       0,  2108,   902,     0,  2109,     0,     0,     0,  2110,  2111,
    2112,     0,     0,     0,     0,     0,     0,     0,     0,  2788,
       0,     0,     0,     0,   902,     0,  2630,   911,     0,     0,
       0,     0,   726,     0,     0,     0,  2631,     0,  2640,     0,
       0,   727,     0,  2632,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   728,     0,     0,     0,     0,     0,
    2789,   908,     0,     0,   907,     0,     0,     0,   904,  2633,
       0,   911,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1059,     0,     0,
       0,     0,     0,     0,     0,     0,   902,  2568,     0,   911,
       0,     0,     0,   913,     0,   907,  2569,  2570,  2571,  2572,
    2573,  2574,  2575,  2576,  2577,     0,     0,     0,     0,  5655,
       0,     0,     0,     0,     0,     0,     0,     0,   908,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   907,     0,
       0,   904,     0,     0,  2568,   904,     0,   732,     0,     0,
       0,     0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,
    2576,  2577,     0,     0,     0,     0,  5694,   911,     0,   908,
       0,     0,     0,     0,     0,     0,  3543,     0,     0,  4318,
       0,     0,     0,     0,     0,     0,     0,  2634,     0,   911,
       0,  2790,  2635,     0,     0,     0,  4325,     0,     0,     0,
    4325,     0,   908,     0,   912,  4336,  4337,  4338,     0,     0,
       0,   911,     0,     0,     0,  2636,  2302,   902,     0,   910,
       0,     0,     0,     0,     0,     0,     0,  4350,   213,  2791,
       0,     0,   737,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2637,     0,   910,     0,     0,   904,     0,
    4379,  4380,  4381,  4382,     0,     0,     0,     0,     0,  1063,
       0,     0,  2792,   904,     0,     0,     0,     0,   904,   741,
       0,     0,     0,     0,     0,     0,   742,     0,     0,   743,
       0,     0,     0,     0,     0,     0,  2369,     0,  4403,     0,
    4407,  4408,  4409,   911,     0,     0,  3543,     0,   904,   744,
       0,  2638,     0,     0,  2639,     0,     0,  1065,     0,     0,
       0,     0,     0,     0,   746,     0,     0,  1066,     0,     0,
       0,     0,   748,     0,     0,     0,     0,     0,     0,     0,
    2793,     0,   907,     0,     0,     0,     0,  2794,     0,     0,
       0,     0,  1083,   907,  1086,   911,     0,  1088,     0,     0,
       0,     0,     0,     0,     0,     0,   902,     0,     0,   907,
       0,  1114,     0,     0,   753,     0,     0,  1118,   905,     0,
     911,     0,   905,   905,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   910,     0,
       0,     0,     0,     0,     0,     0,   908,  2640,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   908,     0,     0,
    4492,     0,     0,   907,     0,     0,     0,     0,     0,  4498,
       0,     0,     0,   908,     0,     0,     0,   905,   907,   902,
       0,   907,   907,   905,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4508,  4509,     0,     0,   913,
    4510,     0,     0,     0,   913,   913,     0,     0,     0,     0,
       0,     0,   907,   907,     0,     0,     0,     0,     0,     0,
       0,     0,  4552,     0,     0,     0,     0,   908,     0,     0,
     905,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   908,     0,     0,   908,   908,     0,     0,     0,
       0,     0,     0,  2568,     0,     0,     0,     0,     0,     0,
       0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,
    2577,     0,     0,     0,  4589,  6050,   908,   908,     0,  4595,
       0,   911,     0,     0,     0,  4601,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   902,
       0,   910,     0,   904,     0,     0,   904,     0,   904,     0,
       0,     0,   910,   904,     0,  4640,  5494,   913,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   910,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4655,     0,  4656,     0,     0,     0,
       0,     0,     0,     0,   907,   904,     0,     0,     0,     0,
       0,     0,     0,   904,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   911,     0,     0,     0,     0,
     913,     0,     0,     0,     0,     0,     0,     0,   904,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   911,  1608,  1609,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   908,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     905,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   902,     0,     0,     0,     0,   902,   902,     0,
       0,     0,     0,     0,     0,     0,     0,   904,     0,   904,
       0,     0,     0,     0,     0,  1838,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   910,     0,     0,     0,     0,
    1850,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   905,     0,     0,     0,   905,     0,     0,
       0,  1872,  1873,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2108,     0,   911,  2109,  1910,     0,     0,
    2110,  2111,  2112,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   904,     0,     0,  2630,     0,
     902,     0,     0,     0,     0,     0,     0,     0,  2631,     0,
       0,     0,     0,     0,     0,  2632,     0,  1948,  1950,     0,
       0,     0,   911,     0,     0,     0,     0,   911,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   904,
       0,  2633,     0,     0,     0,     0,     0,     0,     0,     0,
     905,     0,     0,     0,     0,     0,     0,     0,   912,     0,
       0,     0,     0,   902,     0,   905,     0,   904,     0,     0,
     905,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   912,     0,     0,     0,     0,     0,
    4889,     0,  4890,     0,     0,     0,     0,     0,     0,     0,
     905,     0,     0,     0,     0,  4897,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4903,     0,     0,
       0,  4906,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4919,     0,     0,   904,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4945,     0,     0,     0,     0,     0,   904,     0,  2634,
       0,     0,     0,     0,  2635,     0,     0,     0,     0,  4949,
       0,     0,     0,     0,     0,     0,   910,  4953,     0,   904,
       0,     0,     0,     0,     0,   911,     0,  2636,  2302,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4988,     0,     0,     0,  4992,     0,     0,     0,
       0,     0,     0,     0,     0,  2637,     0,     0,     0,     0,
       0,  5002,  5003,  5004,  5005,     0,     0,   912,     0,     0,
       0,  5009,  5010,  5011,  5012,     0,     0,     0,     0,     0,
    5014,  5015,     0,   910,     0,     0,  5022,  5023,     0,  5025,
    5026,  5027,  5028,  5029,  5030,  5031,     0,     0,  2369,     0,
       0,   904,     0,     0,     0,  5040,     0,     0,     0,  5043,
    5044,  5045,  5046,  2638,     0,     0,  2639,     0,     0,     0,
       0,     0,     0,     0,   910,     0,     0,     0,     0,     0,
       0,     0,     0,  4325,     0,     0,     0,     0,     0,     0,
     911,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5066,     0,   904,     0,     0,     0,   910,     0,     0,
       0,     0,   913,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   904,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   911,     0,   905,     0,     0,   905,     0,
     905,     0,     0,     0,     0,   905,     0,     0,     0,  2640,
       0,     0,     0,     0,     0,   911,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5147,     0,  1734,
     912,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   912,     0,     0,   907,     0,     0,   905,   907,   907,
       0,     0,     0,  2817,     0,   905,     0,   912,     0,     0,
    4325,     0,     0,     0,     0,     0,     0,  5172,     0,  5173,
       0,     0,     0,     0,     0,     0,     0,     0,  2862,     0,
     905,     0,     0,     0,     0,     0,     0,   911,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5188,     0,     0,
       0,     0,     0,   907,     0,     0,     0,     0,   908,   907,
       0,     0,   908,   908,     0,  2568,     0,     0,     0,     0,
       0,     0,     0,     0,  2569,  2570,  2571,  2572,  2573,  2574,
    2575,  2576,  2577,     0,     0,     0,     0,  6058,     0,   904,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   910,     0,     0,     0,     0,   907,  2952,     0,   905,
       0,   905,   910,     0,     0,     0,     0,   908,     0,     0,
       0,     0,     0,   908,     0,     0,     0,     0,   910,     0,
       0,     0,     0,     0,     0,     0,     0,  2978,  2979,  2980,
    2981,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   911,     0,
       0,     0,     0,     0,   912,   902,     0,     0,     0,     0,
     908,  2108,     0,     0,  2109,     0,     0,     0,  2110,  2111,
    2112,     0,   910,   904,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2630,   910,     0,     0,
     910,   910,     0,     0,     0,     0,  2631,   905,     0,     0,
       0,   904,     0,  2632,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   910,   910,     0,     0,     0,     0,     0,     0,  2633,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   905,     0,     0,     0,     0,     0,     0,  5331,  5332,
    5333,     0,     0,     0,  5334,  5335,  5336,  5337,     0,     0,
       0,  5339,     0,     0,     0,     0,     0,     0,     0,   905,
       0,     0,     0,     0,  3035,  3036,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   911,     0,     0,
    3053,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   907,     0,     0,     0,
       0,     0,  5374,  5375,  5376,  5377,  5378,     0,  5380,  5381,
       0,     0,     0,     0,  3096,  3097,  3098,  3099,     0,     0,
    5390,  5391,     0,     0,     0,     0,     0,   905,     0,     0,
       0,     0,     0,   904,     0,     0,     0,  2634,     0,     0,
       0,     0,  2635,     0,     0,     0,     0,     0,     0,   905,
     911,     0,     0,   910,  5397,     0,     0,     0,     0,     0,
     908,     0,     0,     0,     0,  2636,  2302,     0,     0,   907,
       0,   905,     0,   907,     0,     0,     0,     0,     0,     0,
     904,     0,     0,     0,     0,   904,     0,     0,     0,     0,
       0,     0,     0,  2637,     0,  3173,     0,     0,     0,     0,
       0,  3177,     0,     0,     0,   912,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   908,     0,     0,  2369,   908,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2638,     0,   905,  2639,     0,  5460,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     911,     0,   912,     0,     0,     0,   907,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   907,     0,     0,     0,     0,   907,     0,     0,     0,
       0,     0,     0,     0,     0,   905,     0,     0,     0,     0,
       0,     0,     0,   912,     0,     0,     0,     0,     0,     0,
       0,  5511,     0,     0,     0,     0,   907,     0,     0,     0,
     905,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     908,     0,     0,   904,     0,     0,   912,  2640,     0,     0,
       0,     0,     0,  5517,     0,   908,     0,     0,     0,     0,
     908,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2108,     0,
       0,  2109,     0,     0,     0,  2110,  2111,  2112,     0,  3361,
     908,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2630,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2631,     0,     0,     0,     0,     0,     0,
    2632,     0,     0,   911,     0,     0,     0,     0,   911,   911,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2633,     0,     0,     0,
       0,   658,     0,  2568,     0,     0,     0,     0,   904,     0,
       0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,
    2577,     0,     0,     0,     0,  6081,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   905,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   904,     0,     0,     0,     0,     0,     0,     0,  5642,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   904,     0,     0,     0,     0,  5652,     0,
     912,   911,     0,     0,  5658,  5659,     0,     0,     0,     0,
       0,   912,     0,     0,  5670,     0,     0,     0,     0,     0,
       0,  5672,     0,     0,  2634,     0,     0,   912,     0,  2635,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   907,     0,     0,   907,   905,   907,     0,     0,     0,
       0,   907,  2636,  2302,     0,     0,  5724,  5725,     0,     0,
       0,     0,     0,     0,   911,   904,     0,     0,     0,  5733,
       0,  5735,     0,   905,     0,     0,     0,     0,     0,     0,
    2637,   912,     0,     0,     0,     0,  5749,     0,     0,     0,
       0,     0,     0,   907,     0,     0,   912,     0,     0,   912,
     912,   907,     0,     0,     0,   908,     0,     0,   908,     0,
     908,  4325,     0,     0,     0,   908,     0,     0,     0,  5783,
       0,     0,     0,  2369,     0,     0,   907,     0,     0,     0,
     912,   912,     0,     0,     0,     0,     0,     0,  2638,     0,
       0,  2639,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   908,     0,     0,
       0,     0,     0,     0,     0,   908,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   904,     0,     0,     0,
     908,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   907,     0,   907,     0,  5839,
       0,     0,     0,     0,     0,   905,     0,     0,     0,     0,
       0,     0,     0,  5854,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   910,  2640,     0,     0,   910,   910,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5872,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   905,     0,     0,     0,     0,   905,     0,   908,
       0,   908,   912,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   910,     0,     0,     0,     0,     0,   910,     0,
       0,     0,  2108,   907,     0,  2109,     0,     0,     0,  2110,
    2111,  2112,     0,     0,  3361,     0,  5932,     0,     0,     0,
       0,     0,     0,     0,     0,   904,     0,  2630,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2631,     0,     0,
    2568,     0,     0,     0,  2632,   910,     0,   907,     0,  2569,
    2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,     0,
       0,     0,  6305,     0,     0,     0,     0,   908,     0,     0,
    2633,     0,     0,     0,     0,   907,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4325,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   904,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   908,     0,     0,     0,     0,     0,     0,     0,     0,
    6012,     0,     0,     0,     0,   905,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   908,
       0,     0,     0,   907,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2108,
       0,  6040,  2109,     0,     0,   907,  2110,  2111,  2112,     0,
       0,     0,     0,     0,     0,     0,  3598,     0,     0,     0,
       0,     0,     0,     0,  2630,     0,  6059,   907,  2634,     0,
       0,     0,     0,  2635,  2631,     0,     0,     0,     0,     0,
       0,  2632,     0,     0,     0,     0,     0,   908,     0,     0,
       0,     0,     0,     0,     0,     0,  2636,  2302,   904,     0,
       0,     0,     0,     0,     0,     0,     0,  2633,     0,   908,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     905,     0,     0,     0,  2637,     0,  6099,     0,     0,     0,
    2108,   908,     0,  2109,     0,   910,     0,  2110,  2111,  2112,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   907,
       0,     0,     0,     0,     0,  2630,   911,     0,     0,     0,
       0,     0,     0,     0,     0,  2631,     0,  2369,     0,     0,
       0,     0,  2632,   905,     0,     0,     0,     0,   963,   973,
       0,     0,  2638,     0,     0,  2639,   963,     0,   973,   963,
       0,     0,     0,     0,     0,   905,     0,     0,  2633,     0,
    3747,   907,   973,  3750,     0,     0,     0,     0,   910,     0,
       0,     0,   910,   908,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2634,   907,     0,     0,     0,
    2635,     0,     0,     0,     0,     0,     0,     0,  6194,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   904,     0,  2636,  2302,     0,   904,   904,     0,     0,
       0,     0,     0,     0,     0,   908,     0,   905,  6207,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2640,  6217,
       0,  2637,     0,     0,     0,     0,     0,     0,     0,     0,
     908,  4136,  3845,     0,     0,     0,     0,  4137,     0,     0,
       0,     0,     0,     0,     0,  3858,     0,     0,     0,     0,
       0,     0,     0,  3867,     0,   910,  2634,     0,     0,     0,
       0,  2635,     0,     0,  2369,     0,     0,     0,     0,     0,
     910,     0,     0,     0,     0,   910,     0,     0,     0,  2638,
       0,     0,  2639,     0,  2636,  2302,     0,     0,     0,     0,
       0,     0,  3911,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   910,     0,     0,     0,   904,
       0,     0,  2637,  3935,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2568,     0,     0,   907,   905,     0,
       0,     0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,
    2576,  2577,  6299,     0,     0,     0,  6322,     0,     0,     0,
       0,     0,     0,     0,     0,  2369,  3990,     0,  3992,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2638,     0,   904,  2639,     0,  2640,     0,   972,     0,     0,
       0,     0,     0,     0,     0,     0,   972,     0,     0,     0,
       0,   908,     0,     0,     0,     0,     0,   197,     0,     0,
     972,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   912,     0,     0,     0,   912,   912,     0,     0,
       0,   907,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4047,     0,   198,   907,
     976,     0,     0,  4054,     0,     0,     0,     0,     0,     0,
       0,     0,  1010,     0,     0,   199,  4138,   905,     0,     0,
       0,   912,     0,  1029,     0,     0,     0,   912,     0,     0,
       0,  2568,     0,   200,     0,   908,     0,     0,     0,   201,
    2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,
       0,     0,     0,  6381,     0,     0,     0,   202,     0,     0,
       0,     0,     0,   908,     0,     0,     0,     0,     0,     0,
     203,     0,     0,     0,   912,     0,     0,     0,     0,   204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     905,     0,   205,     0,     0,     0,     0,     0,   206,     0,
       0,     0,     0,     0,  6443,   207,     0,     0,     0,     0,
     910,     0,     0,   910,     0,   910,     0,     0,     0,     0,
     910,     0,  2568,     0,   973,   208,     0,     0,     0,     0,
       0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,
       0,   907,     0,   973,     0,     0,     0,     0,     0,   973,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   973,   910,   209,     0,     0,     0,     0,     0,     0,
     910,     0,     0,     0,     0,     0,     0,   973,     0,     0,
       0,     0,     0,     0,     0,   210,     0,     0,   907,     0,
       0,   963,   973,   907,     0,   910,     0,     0,   963,     0,
     973,   963,     0,     0,     0,   908,     0,     0,     0,     0,
     905,     0,     0,     0,   973,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   973,     0,     0,     0,     0,   211,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   908,     0,     0,     0,   212,   908,     0,     0,
       0,     0,     0,     0,     0,     0,   213,   214,     0,     0,
     215,     0,     0,     0,   910,     0,   910,   973,     0,     0,
       0,     0,     0,     0,   912,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   216,     0,     0,
     217,     0,     0,     0,   218,   973,     0,   219,     0,     0,
       0,     0,     0,     0,   220,     0,     0,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     973,     0,     0,     0,     0,     0,     0,   222,     0,     0,
       0,     0,  4321,  4322,     0,   223,     0,     0,     0,     0,
     224,   907,   225,     0,     0,   226,     0,   912,     0,     0,
     227,   912,     0,   905,     0,     0,     0,     0,   905,   905,
     228,     0,   910,     0,     0,   229,     0,     0,     0,     0,
       0,     0,   972,     0,     0,     0,     0,     0,     0,   230,
       0,     0,   973,     0,     0,     0,     0,     0,     0,     0,
       0,   972,   231,     0,     0,     0,     0,   972,     0,     0,
       0,     0,     0,     0,     0,   908,   910,     0,     0,   972,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   904,   972,     0,     0,     0,     0,
       0,     0,     0,     0,   910,     0,     0,     0,     0,     0,
     972,     0,     0,     0,     0,  1049,     0,     0,   972,     0,
       0,  1081,     0,     0,   912,     0,   907,     0,     0,     0,
    -136,     0,   972,     0,     0,     0,     0,     0,     0,   912,
       0,   905,   972,     0,   912,     0,     0,     0,     0,     0,
       1,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     2,  1821,     3,     4,     0,     0,     0,     0,   973,
       0,     0,   910,     0,   912,     0,     0,     0,     0,   907,
     963,     5,     0,     0,   963,     0,   963,     0,     0,     0,
     908,     6,     0,     0,   910,   972,     0,     0,     0,     0,
       0,   907,     0,     7,   905,     8,     9,     0,     0,     0,
       0,     0,    10,     0,    11,     0,   910,     0,     0,     0,
       0,     0,     0,   972,     0,     0,     0,    12,     0,    13,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   908,     0,     0,    14,     0,   972,    15,
       0,     0,     0,     0,  2108,  4505,     0,  2109,     0,     0,
       0,  2110,  2111,  2112,    16,   908,    17,     0,     0,     0,
      18,     0,     0,   907,     0,     0,     0,    19,     0,  2630,
       0,     0,     0,     0,     0,     0,    20,     0,    21,  2631,
       0,     0,  1390,   973,     0,    22,  2632,     0,   910,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     972,  1413,     0,    23,     0,     0,     0,     0,     0,     0,
       0,     0,  2633,     0,     0,     0,     0,     0,     0,     0,
      24,     0,     0,     0,     0,     0,     0,   908,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     910,     0,     0,     0,   973,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   973,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   910,     0,     0,     0,     0,
       0,     0,   973,     0,    25,    26,     0,   973,     0,     0,
      27,     0,     0,     0,   907,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    28,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4658,     0,     0,     0,     0,
    1820,     0,     0,     0,    29,     0,     0,   972,     0,   912,
    1607,     0,   912,     0,   912,     0,     0,     0,     0,   912,
    2634,     0,     0,     0,     0,  2635,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   908,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2636,  2302,
       0,     0,    30,     0,     0,     0,     0,     0,     0,     0,
       0,   912,     0,     0,     0,     0,     0,    31,     0,   912,
       0,     0,    32,    33,     0,    34,  2637,     0,     0,     0,
      35,     0,     0,     0,     0,     0,    36,     0,     0,    37,
       0,     0,     0,     0,   912,     0,    38,     0,     0,     0,
     973,     0,     0,    39,    40,     0,     0,     0,   973,   973,
       0,    41,     0,   907,     0,    42,   910,     0,     0,  2369,
       0,     0,     0,     0,     0,  1870,    43,     0,     0,     0,
       0,   972,     0,     0,  2638,     0,     0,  2639,     0,     0,
       0,     0,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1904,  1907,  1908,     0,     0,     0,
       0,  1821,     0,     0,    45,  4769,     0,     0,     0,     0,
       0,     0,     0,   912,     0,   912,    46,   908,     0,     0,
       0,     0,    47,     0,     0,     0,   907,    48,     0,     0,
       0,     0,   972,     0,     0,     0,     0,     0,     0,     0,
      49,     0,     0,   972,     0,     0,     0,     0,     0,  2108,
     910,     0,  2109,     0,     0,     0,  2110,  2111,  2112,     0,
     972,     0,     0,     0,    50,   972,     0,     0,     0,     0,
    2640,     0,     0,     0,  2630,     0,     0,     0,   910,     0,
       0,     0,     0,    56,  2631,     0,  -136,     0,     0,  4770,
     908,  2632,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1390,     0,     0,     0,     0,     0,     0,
       0,   912,     0,     0,     0,     0,     0,  2633,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1390,     0,     0,     0,     0,   905,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   907,     0,     0,     0,
       0,     0,     0,     0,     0,   912,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2568,     0,     0,     0,
       0,     0,     0,   912,     0,  2569,  2570,  2571,  2572,  2573,
    2574,  2575,  2576,  2577,     0,     0,     0,     0,   972,     0,
       0,     0,     0,     0,     0,     0,   972,   972,     0,  6146,
     908,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     910,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2634,     0,     0,     0,     0,
    2635,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   912,   973,     0,     0,     0,     0,     0,     0,  1820,
       0,     0,     0,  2636,  2302,     0,     0,   910,     0,     0,
       0,     0,   910,   912,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2624,     0,     0,     0,     0,     0,
       0,  2637,     0,  2108,     0,   912,  2109,     0,     0,   907,
    2110,  2111,  2112,     0,   907,   907,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2630,     0,
       0,  4064,     0,     0,     0,     0,     0,     0,  2631,     0,
       0,     0,     0,     0,  2369,  2632,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2638,
       0,  5063,  2639,     0,     0,     0,     0,     0,     0,     0,
       0,  2633,     0,   908,  2715,  5065,     0,   973,   908,   908,
       0,     0,     0,     0,     0,     0,     0,   912,  6147,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2108,     0,     0,
    2109,     0,  1821,     0,  2110,  2111,  2112,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   907,     0,     0,
       0,     0,  2630,     0,     0,   973,     0,     0,     0,   912,
     910,     0,  2631,   973,     0,     0,     0,     0,     0,  2632,
       0,   973,     0,     0,     0,  2640,     0,  2829,     0,     0,
       0,     0,     0,     0,   912,     0,  2858,     0,     0,     0,
       0,     0,     0,     0,     0,  2633,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2634,
     907,   908,   963,   963,  2635,   973,   973,     0,  2896,     0,
       0,     0,     0,     0,  2908,  2908,     0,   963,  2908,   973,
     963,     0,     0,     0,     0,     0,     0,  2636,  2302,     0,
     972,  2926,   973,   973,  2929,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2637,     0,     0,     0,     0,
       0,     0,     0,     0,   908,   910,     0,     0,     0,     0,
     963,  2568,     0,     0,   963,   963,     0,     0,     0,     0,
    2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,
       0,     0,  2982,     0,     0,     0,     0,     0,  2369,     0,
       0,     0,  2108,  2634,     0,  2109,  3002,     0,  2635,  2110,
    2111,  2112,     0,  2638,     0,     0,  2639,     0,   910,     0,
       0,     0,     0,     0,     0,     0,     0,  2630,     0,     0,
       0,  2636,  2302,     0,     0,   912,     0,  2631,     0,     0,
     910,     0,     0,     0,  2632,   972,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2637,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2633,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1820,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1821,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2369,   972,     0,     0,     0,     0,     0,  2640,
       0,   972,   910,     0,     0,     0,  3024,  2638,     0,   972,
    2639,     0,     0,     0,     0,     0,     0,  3027,     0,   912,
     719,     0,     0,     0,     0,   720,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   912,     0,     0,
       0,     0,     0,   972,   972,     0,     0,     0,     0,  3071,
    2908,     0,     0,   721,     0,     0,     0,   972,     0,     0,
       0,     0,     0,     0,     0,     0,   722,     0,  2634,     0,
     972,   972,     0,  2635,  3106,     0,     0,     0,     0,     0,
       0,  3119,     0,   723,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2640,     0,  2568,  2636,  2302,     0,     0,
       0,   724,     0,     0,  2569,  2570,  2571,  2572,  2573,  2574,
    2575,  2576,  2577,   910,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2637,   725,     0,  2108,     0,     0,
    2109,     0,     0,     0,  2110,  2111,  2112,     0,   726,     0,
       0,     0,     0,     0,     0,     0,     0,   727,     0,  5405,
       0,     0,  2630,     0,  3180,  4141,     0,     0,     0,     0,
     728,     0,  2631,     0,  5409,     0,   729,  2369,     0,  2632,
       0,     0,     0,   730,     0,     0,     0,     0,     0,   912,
       0,     0,  2638,     0,     0,  2639,     0,  1390,  1390,     0,
       0,     0,     0,   731,     0,  2633,     0,     0,  4073,  2568,
       0,     0,     0,     0,  3234,     0,  4109,  3236,  2569,  2570,
    2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   912,     0,     0,     0,
    1820,   912,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   910,   732,     0,  5467,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2640,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   907,     0,     0,     0,     0,   733,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     734,     0,     0,  2634,     0,     0,     0,     0,  2635,     0,
       0,     0,     0,     0,   735,   910,     0,     0,     0,     0,
       0,     0,     0,     0,   213,   736,     0,     0,   737,     0,
       0,  2636,  2302,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   908,     0,     0,     0,
       0,     0,     0,     0,     0,   738,     0,     0,   739,  2637,
       0,     0,   740,     0,     0,   741,     0,     0,     0,     0,
       0,     0,   742,     0,  2568,   743,     0,     0,     0,   912,
       0,     0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,
    2576,  2577,     0,     0,     0,   744,     0,     0,     0,     0,
       0,     0,  2369,   745,     0,     0,     0,     0,     0,     0,
     746,     0,     0,   747,     0,     0,     0,  2638,   748,     0,
    2639,     0,     0,     0,     0,     0,   749,     0,   750,     0,
       0,     0,     0,   751,     0,   910,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   752,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     753,     0,     0,     0,     0,     0,     0,  5626,     0,  5628,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   912,     0,     0,     0,     0,  1821,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2640,     0,     0,  2108,     0,     0,  2109,
       0,     0,     0,  2110,  2111,  2112,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2630,     0,     0,     0,     0,     0,   912,     0,     0,
       0,  2631,     0,     0,   973,     0,     0,     0,  2632,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   912,
       0,     0,   973,     0,     0,     0,   973,     0,     0,     0,
     973,     0,     0,     0,  2633,     0,     0,     0,   910,   973,
       0,     0,     0,   910,   910,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   973,     0,     0,  5754,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2568,
       0,   963,     0,   963,   963,     0,     0,     0,  2569,  2570,
    2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,   973,     0,
       0,   912,  2108,     0,     0,  2109,     0,     0,     0,  2110,
    2111,  2112,     0,     0,     0,     0,     0,     0,   973,   973,
       0,     0,     0,     0,     0,     0,     0,  2630,     0,     0,
    4153,     0,     0,     0,     0,     0,     0,  2631,     0,  2108,
       0,     0,  2109,  4146,  2632,     0,  2110,  2111,  2112,     0,
       0,     0,     0,     0,     0,  1821,   973,     0,     0,  1821,
       0,     0,  2634,     0,  2630,     0,   910,  2635,     0,     0,
    2633,     0,     0,     0,  2631,     0,     0,     0,     0,     0,
       0,  2632,     0,   973,     0,  1821,     0,     0,     0,   973,
    2636,  2302,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   973,     0,     0,     0,  2633,     0,     0,
     973,  3419,     0,   973,     0,     0,     0,  1820,  2637,   973,
       0,  3424,   912,     0,     0,     0,     0,     0,     0,   910,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   973,
       0,     0,     0,     0,     0,   973,     0,  5887,     0,  5889,
       0,     0,   973,     0,     0,     0,     0,     0,     0,     0,
       0,  2369,     0,     0,     0,     0,   973,     0,     0,     0,
       0,     0,   972,     0,     0,     0,  2638,     0,     0,  2639,
     973,     0,     0,     0,     0,  1821,     0,     0,  2634,     0,
     972,   973,     0,  2635,   972,     0,     0,     0,   972,     0,
       0,     0,     0,     0,     0,     0,     0,   972,     0,     0,
       0,     0,     0,     0,     0,     0,  2636,  2302,     0,     0,
       0,     0,   972,     0,     0,  2634,     0,     0,     0,     0,
    2635,  1390,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2637,     0,     0,     0,     0,     0,
       0,  1821,     0,  2636,  2302,     0,   972,     0,     0,     0,
       0,   912,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2640,     0,     0,     0,   972,   972,     0,     0,
       0,  2637,     0,  2108,     0,     0,  2109,  2369,     0,     0,
    2110,  2111,  2112,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2638,     0,     0,  2639,     0,     0,  2630,     0,
       0,  4776,     0,  1820,   972,     0,     0,  1820,  2631,     0,
       0,     0,     0,     0,  2369,  2632,     0,     0,     0,     0,
       0,     0,     0,     0,   912,     0,     0,     0,     0,  2638,
       0,   972,  2639,  1820,     0,     0,     0,   972,     0,     0,
       0,  2633,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   972,     0,     0,     0,     0,     0,  3643,   972,     0,
       0,   972,     0,     0,     0,     0,     0,   972,  2568,     0,
       0,     0,  3665,     0,     0,     0,     0,  2569,  2570,  2571,
    2572,  2573,  2574,  2575,  2576,  2577,     0,   972,  2640,     0,
       0,     0,     0,   972,  3693,     0,   973,     0,  1821,     0,
     972,     0,     0,     0,     0,     0,  6095,     0,     0,     0,
       0,     0,     0,     0,   972,   973,     0,     0,     0,     0,
       0,     0,   973,     0,     0,  2640,     0,     0,   972,   963,
       0,   963,   963,  1820,     0,     0,     0,     0,     0,   972,
       0,     0,     0,     0,   912,     0,     0,     0,  2108,     0,
       0,  2109,     0,     0,     0,  2110,  2111,  2112,     0,  2634,
       0,  4700,     0,     0,  2635,     0,     0,     0,     0,     0,
       0,     0,     0,  2630,     0,     0,     0,     0,     0,     0,
    3773,  3774,     0,  2631,     0,     0,     0,  2636,  2302,     0,
    2632,     0,     0,     0,  2568,     0,     0,     0,     0,  1820,
       0,     0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,
    2576,  2577,     0,     0,     0,  2637,  2633,     0,     0,  1821,
       0,     0,     0,     0,     0,  1821,     0,     0,     0,     0,
       0,  2568,     0,     0,     0,     0,  6200,     0,     0,     0,
    2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2369,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2638,     0,     0,  2639,     0,     0,     0,
    2108,     0,  3899,  2109,     0,     0,     0,  2110,  2111,  2112,
       0,     0,     0,     0,     0,     0,     0,   912,     0,     0,
       0,     0,   912,   912,     0,  2630,     0,     0,     0,     0,
     973,     0,     0,     0,     0,  2631,     0,     0,     0,     0,
       0,     0,  2632,     0,     0,     0,     0,     0,     0,     0,
       0,   910,     0,     0,  2634,     0,     0,     0,     0,  2635,
       0,     0,     0,     0,     0,     0,     0,     0,  2633,     0,
       0,     0,  2108,     0,   972,  2109,  1820,     0,     0,  2110,
    2111,  2112,  2636,  2302,     0,     0,     0,  6293,     0,  2640,
       0,     0,     0,   972,     0,     0,     0,  2630,     0,     0,
     972,     0,     0,     0,     0,     0,     0,  2631,     0,     0,
    2637,     0,     0,     0,  2632,     0,     0,     0,  1114,  1114,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   912,     0,     0,     0,     0,
    2633,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2369,     0,     0,     0,     0,     0,     0,
       0,  1365,  1365,   973,   973,     0,     0,  5226,  2638,     0,
       0,  2639,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   973,     0,  2634,   973,  5216,     0,
       0,  2635,     0,     0,     0,  2568,     0,  1820,   912,     0,
       0,     0,     0,  1820,  2569,  2570,  2571,  2572,  2573,  2574,
    2575,  2576,  2577,     0,  2636,  2302,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5232,
       0,  1365,  2637,     0,     0,  1114,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2634,     0,
       0,     0,     0,  2635,  2640,     0,     0,     0,  1821,  1821,
    1821,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2369,  2636,  2302,   972,     0,
       0,     0,     0,   973,     0,     0,     0,     0,     0,     0,
    2638,     0,     0,  2639,     0,     0,     0,     0,     0,     0,
       0,     0,   973,     0,  2637,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   973,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4207,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2369,     0,     0,
       0,     0,  1731,  1735,     0,     0,     0,     0,     0,     0,
    2568,     0,  2638,     0,     0,  2639,     0,     0,     0,  2569,
    2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,     0,
       0,     0,     0,     0,     0,     0,  2640,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   972,   972,     0,   973,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2108,   972,     0,  2109,   972,     0,     0,  2110,  2111,
    2112,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2630,     0,  2640,     0,
       0,  1821,     0,     0,     0,     0,  2631,   973,     0,   973,
       0,     0,     0,  2632,     0,     0,     0,     0,     0,     0,
       0,     0,   973,     0,   973,     0,     0,     0,     0,     0,
       0,     0,  2568,     0,     0,     0,     0,     0,     0,  2633,
       0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,
       0,     0,     0,     0,     0,     0,  1820,  1820,  1820,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   972,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   973,     0,     0,     0,     0,     0,     0,     0,     0,
     972,     0,     0,     0,  2568,     0,     0,     0,     0,     0,
       0,     0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,
    2576,  2577,   972,     0,     0,     0,     0,     0,     0,     0,
       0,  2052,  5233,   973,     0,     0,     0,     0,     0,     0,
       0,  2108,     0,     0,  2109,     0,     0,     0,  2110,  2111,
    2112,     0,   973,     0,     0,     0,   973,  2634,     0,     0,
       0,     0,  2635,     0,     0,     0,  2630,     0,     0,     0,
    4425,     0,     0,  2078,     0,     0,  2631,   973,     0,     0,
    2908,     0,     0,  2632,     0,  2636,  2302,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2097,  2098,  2099,     0,  2101,     0,     0,  2633,
       0,     0,   972,  2637,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2586,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     912,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2108,     0,  2369,  2109,     0,  1820,
       0,  2110,  2111,  2112,     0,   972,     0,   972,     0,     0,
       0,  2638,     0,     0,  2639,     0,     0,     0,     0,  2630,
     972,  5234,   972,     0,     0,  1821,     0,     0,     0,  2631,
       0,     0,     0,     0,     0,     0,  2632,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2108,     0,     0,  2109,
       0,     0,     0,  2110,  2111,  2112,     0,     0,     0,     0,
       0,     0,  2633,     0,     0,     0,     0,  2634,     0,     0,
    2682,  2630,  2635,     0,  2694,  2699,     0,     0,     0,     0,
       0,  2631,     0,  4556,  4557,  4558,     0,     0,  2632,   972,
       0,     0,     0,     0,     0,  2636,  2302,     0,     0,     0,
    4567,  2108,     0,     0,  2109,     0,     0,  2640,  2110,  2111,
    2112,     0,     0,     0,  2633,     0,     0,     0,     0,     0,
       0,     0,     0,  2637,     0,     0,  2630,     0,     0,  5814,
       0,   972,     0,  4592,  4594,     0,  2631,     0,  4599,     0,
       0,     0,     0,  2632,     0,     0,     0,     0,     0,     0,
     972,     0,     0,     0,   972,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2369,     0,     0,  2633,
       0,     0,     0,     0,     0,   972,     0,     0,     0,     0,
    2634,  2638,     0,     0,  2639,  2635,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     973,     0,     0,     0,     0,     0,     0,  5797,  2636,  2302,
       0,     0,     0,  2568,     0,     0,     0,     0,     0,     0,
       0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,
    2577,     0,  2634,     0,     0,     0,  2637,  2635,  2108,     0,
       0,  2109,     0,     0,  1390,  2110,  2111,  2112,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2579,     0,
    2636,  2302,  1821,  2630,     0,     0,     0,  1821,     0,  1821,
       0,     0,     0,  2631,     0,     0,     0,  2640,     0,  2369,
    2632,     0,     0,  1820,     0,     0,     0,  2634,  2637,     0,
       0,     0,  2635,     0,  2638,  1821,     0,  2639,     0,     0,
       0,     0,     0,     0,     0,     0,  2633,     0,     0,     0,
       0,     0,     0,  2579,     0,  2636,  2302,     0,     0,  1731,
    1731,  1731,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2369,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   973,     0,  2637,   973,     0,  2638,     0,     0,  2639,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2568,     0,     0,  2369,     0,     0,     0,
    2640,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,
    2577,  2638,     0,     0,  2639,     0,     0,     0,     0,     0,
    4808,  4809,  4810,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2634,     0,     0,     0,     0,  2635,
       0,     0,     0,     0,   973,   973,     0,     0,     0,     0,
       0,     0,  2640,     0,     0,   973,     0,     0,     0,     0,
       0,     0,  2636,  2302,     0,     0,     0,     0,   972,     0,
       0,     0,   973,     0,     0,     0,     0,     0,     0,     0,
    5607,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2568,  2640,     0,     0,
       0,     0,     0,     0,     0,  2569,  2570,  2571,  2572,  2573,
    2574,  2575,  2576,  2577,     0,     0,     0,     0,     0,     0,
    1820,     0,     0,  2369,     0,  1820,     0,  1820,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2638,     0,
       0,  2639,     0,   973,     0,     0,  1821,     0,  2568,     0,
       0,     0,     0,  1820,     0,     0,     0,  2569,  2570,  2571,
    2572,  2573,  2574,  2575,  2576,  2577,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   972,
       0,     0,   972,  2568,     0,     0,     0,     0,     0,     0,
       0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,
    2577,     0,     0,     0,  2579,     0,     0,     0,  2579,     0,
       0,     0,     0,     0,  2640,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3262,     0,
       0,     0,     0,     0,     0,     0,     0,  3279,  3279,  3279,
    3279,  3289,  3295,  3279,  3298,  3279,  3279,     0,     0,     0,
       0,  3305,     0,  3306,     0,  3308,     0,     0,  3322,  3325,
    3330,     0,     0,     0,     0,     0,  3339,     0,     0,  3344,
       0,   670,   972,   972,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   972,  3351,  3352,  3353,     0,     0,   671,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     972,     0,  3354,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   672,     0,     0,     0,     0,     0,
    2568,     0,     0,     0,     0,  5076,     0,   673,     0,  2569,
    2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,     0,
       0,     0,     0,     0,  -890,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   973,  5108,     0,     0,
       0,     0,   674,     0,     0,     0,     0,     0,   675,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   972,     0,     0,  1820,     0,   676,     0,     0,  3119,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
       0,     0,     0,   973,     0,     0,     0,     0,     0,     0,
       0,   679,     0,     0,  5166,   973,     0,     0,     0,     0,
     680,     0,     0,     0,   681,     0,     0,     0,     0,     0,
       0,  3180,     0,     0,     0,     0,     0,     0,     0,  3362,
       0,     0,     0,     0, -1094,     0,     0,     0,     0,   973,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3381,   682,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  -623,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2579,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1821,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2579,     0,     0,     0,  3318,   973,     0,   683,  3383,
       0,   684,     0,     0,     0,     0,     0,     0,     0,     0,
    2579,  2579,  2579,     0,  2579,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   685,  5269,  5270,  5271,  5272,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,  -467,     0,     0,     0,
       0,     0,     0,     0,   972,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   688,     0,     0,     0,
       0,     0,   973,  -467,     0,     0,   689,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   690,     0,     0,     0,
       0,   972,     0,     0,   691,     0,     0,     0,     0,     0,
       0,  -467,     0,   972,   692,     0,   693,     0,   694,   695,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   696,     0,     0,     0,     0,     0,
       0,     0,   697,     0,     0,   698,     0,   972,   699,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  -467,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3390,  3391,  3392,  3393,  3394,  3395,  3396,
    3397,  3398,     0,  3399,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1365,     0,  1731,     0,     0,     0,
       0,     0,   973,     0,   973,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     1,     0,
       0,     0,     0,     0,     0,  1820,     0,     0,     0,     2,
       0,     3,     4,     0,  3354,     0,     0,     0,  3362,     0,
       0,  3381,     0,  3383,   972,     0,  3436,     0,     0,     0,
       0,     0,     0,     0,   973,     0,     0,     0,     0,     6,
       0,     0,     0,     0,   963,     0,     0,     0,     0,     0,
       0,     7,     0,     8,     9,     0,     0,     0,     0,     0,
      10,     0,    11,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    12,     0,    13,     0,  2098,
    2099,     0,     0,     0,  1821,     0,     0,     0,     0,   963,
       0,     0,     0,     0,    14,     0,     0,    15,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     972,     0,    16,     0,    17,     0,     0,     0,    18,     0,
       0,     0,     0,     0,     0,  5763,     0,     0,     0,     0,
       0,     0,     0,     0,    20,     0,    21,     0,     0,     0,
       0,     0,     0,    22,  5489,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5499,     0,     0,     0,  3576,
       0,    23,     0,     0,     0,     0,   719,     0,     0,     0,
       0,  1052,     0,     0,     0,     0,     0,     0,    24,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1053,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   722,  1054,     0,     0,     0,     0,     0,     0,
       0,     0,    25,    26,     0,  1055,     0,     0,    27,   723,
     972,     0,   972,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    28,     0,     0,     0,  1056,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2579,
       0,     0,    29,     0,     0,     0,     0,     0,     0,     0,
       0,  1057,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   972,     0,   726,     0,     0,     0,     0,     0,
       0,     0,     0,   727,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   728,     0,     0,     0,
      30,     0,  1058,     0,   973,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    31,     0,     0,   973,     0,
      32,    33,  1820,    34,     0,     0,     0,     0,    35,  1059,
       0,  4630,     0,     0,    36,     0,     0,    37,     0,     0,
       0,     0,     0,     0,    38,  2579,     0,     0,     0,  1821,
       0,    39,    40,     0,     0,     0,     0,  2579,     0,    41,
       0,     0,  2579,    42,     0,     0,     0,  1060,     0,     0,
       0,     0,     0,     0,    43,     0,     0,     0,     0,     0,
       0,  3831,  3832,  1731,     0,     0,     0,  3836,     0,   732,
       0,    44,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    45,     0,  3865,     0,  5708,     0,     0,     0,
       0,  1390,     0,     0,    46,     0,     0,     0,  1821,     0,
      47,     0,     0,  1061,     0,    48,     0,     0,     0,     0,
    5738,     0,     0,     0,     0,     0,     0,     0,    49,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     735,     0,     0,     0,  1821,     0,     0,     0,     0,     0,
     213,  1062,    50,     0,   737,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    56,     0,     0,  -136,     0,     0,     0,     0,     0,
       0,  1063,     0,     0,  1064,     0,     0,     0,   740,     0,
       0,   741,     0,     0,     0,     0,     0,     0,   742,     0,
       0,   743,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1821,     0,     0,   973,     0,
       0,   744,     0,     0,     0,     0,     0,     0,     0,  1065,
       0,     0,     0,     0,     0,     0,   746,     0,     0,  1066,
       0,     0,   972,     0,   748,     0,     0,     0,     0,     0,
       0,     0,  1067,     0,   750,     0,   972,     0,     0,  1068,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   753,  1820,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4060,     0,     0,     0,     0,  4066,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2101,
       0,   973,     0,     0,     0,     0,  1820,     0,     0,     0,
    3330,     0,  3330,  3330,     0,   963,     0,     0,     0,     0,
       0,  5939,     0,     0,     0,   973,  4156,     0,     0,  4159,
       0,  4161,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1820,     0,     0,     0,     0,     0,     0,  5961,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4186,     0,
    4189,     0,  4191,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   963,   963,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1820,     0,     0,   972,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6046,     0,     0,     0,     0,
       0,     0,     0,     0,   973,     0,  4261,     0,     0,     0,
       0,  2682,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2699,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2579,     0,     0,     0,     0,
       0,  4311,     0,     0,     0,     0,     0,     0,     0,   972,
       0,     0,  2579,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2579,     0,     0,     0,     0,     0,  2579,     0,
       0,  2579,     0,   972,     0,     0,     0,     0,  2579,  2579,
       0,  2579,     0,     0,     0,     0,  3318,  3318,     0,  4132,
       0,  3318,     0,     0,     0,  2579,     0,     0,  2579,     0,
       0,  4346,     0,  2579,     0,     0,     0,     0,     0,     0,
       0,     0,  2579,     0,     0,     0,  1821,  2579,     0,     0,
       0,     0,     0,     0,  2579,  2579,  2579,  2579,     0,     0,
       0,     0,  3318,  3318,     0,  2579,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2579,     0,  2579,     0,     0,     0,
       0,     0,     0,  2579,  2579,  2579,  2579,  2579,  2579,  2579,
    2579,  2579,  2579,     0,     0,     0,     0,  1821,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     963,   963,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1821,     0,     0,     0,     0,     0,     0,  2579,
       0,     0,   972,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1731,     0,     0,     0,     0,     0,  1731,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2579,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1820,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4579,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1820,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1820,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4701,     0,     0,     0,     0,
       0,     0,     0,     0,  4705,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3279,     0,
       0,     0,  4718,  3279,  3279,     0,     0,     0,     0,  3295,
       0,     0,  4726,     0,     0,  4728,     0,     0,     0,     0,
       0,  4730,     0,  4731,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2579,  2579,     0,     0,     0,  2579,
    4753,  4754,  4755,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3339,
       0,     0,     0,     0,     0,     0,     0,  4779,  2579,     0,
    4782,     0,  4784,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4788,     0,
       0,     0,     0,     0,     0,     0,  4795,  4796,     0,     0,
       0,     0,     0,  4801,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3279,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4855,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4869,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2579,     0,     0,     0,     0,     0,  2579,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4132,  4132,     0,     0,
    3318,  3318,  3318,  3318,     0,     0,  3318,  3318,  3318,  3318,
    3318,  3318,  3318,  3318,  3318,  3318,  4132,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2579,
       0,     0,  2579,     0,  2579,     0,     0,  4132,  4132,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2579,
    3318,  3318,  2579,     0,  2579,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2579,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2579,     0,     0,     0,     0,     0,
       0,     0,     0,  5154,  5155,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5162,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2579,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5205,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2682,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5247,  5249,     0,
       0,     0,     0,     0,  5253,  5254,     0,     0,     0,  5255,
       0,     0,     0,     0,  5256,     0,     0,  5259,  5260,     0,
       0,     0,     0,     0,  5265,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3318,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5300,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1365,     0,     0,     0,     0,     0,     0,     0,  5314,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2579,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5342,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5393,     0,     0,     0,     0,     0,     0,
    5395,     0,     0,     0,  2579,     0,     0,     0,  2579,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2579,     0,     0,     0,     0,     0,     0,     0,  2579,
       0,  2579,     0,  2579,  2579,     0,     0,     0,     0,  4132,
    4132,  4132,  4132,     0,     0,     0,  4132,  4132,  4132,  4132,
    4132,  4132,  4132,  4132,  4132,  4132,  2579,  2579,  2579,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5430,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2579,     0,     0,  2579,     0,  2579,     0,     0,
       0,  2579,     0,     0,  4132,  4132,     0,     0,  2579,  2579,
       0,     0,     0,     0,  2579,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2579,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2579,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3279,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5536,     0,     0,     0,     0,     0,  5540,  5541,  5542,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5555,  5556,     0,     0,  5557,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5565,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5577,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5595,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5612,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4132,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2579,  2579,     0,
       0,     0,     0,     0,     0,  2579,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2579,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5787,     0,     0,     0,
       0,  2579,  3318,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3339,     0,     0,
    2579,     0,  2579,     0,     0,     0,  2579,  2579,  2579,  2579,
       0,     0,  2579,  2579,     0,     0,     0,     0,  2579,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3318,     0,     0,     0,     0,
       0,     0,  2101,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2579,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2579,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5867,     0,     0,  2579,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5879,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2579,     0,  2579,     0,
    5916,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2579,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3279,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5996,     0,     0,     0,     0,     0,     0,     0,     0,
    6003,  6003,  6003,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5595,  2579,
       0,  4132,  3318,  2579,  2579,  2579,     0,     0,     0,     0,
       0,     0,  6036,     0,     0,     0,     0,     0,  2579,  2579,
    2579,     0,     0,     0,     0,     0,     0,     0,  2579,     0,
       0,     0,  6051,  3318,     0,     0,  4132,     0,     0,     0,
    2579,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2579,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2579,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6003,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5595,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2579,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4132,     0,     0,     0,     0,     0,     0,     0,  6224,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4132,     0,  3318,     0,     0,     0,     0,     0,
       0,     0,     0,  6249,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2579,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2579,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2579,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  6003,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6339,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2579,
       0,     0,     0,     0,     0,     0,  2579,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2579,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2579,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1731,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3318,  3318,     0,     0,  3318,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2579,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2579,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4132,  4132,     0,  4132,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,     0,
    1268,   714,     0,  1269,  1270,  1271,   775,  1272,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,  1725,   244,   245,   246,     0,     0,
       0,     0,  1273,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1274,   260,
    1275,  1276,  2579,   263,   264,   265,   266,   267,   268,   269,
    1277,  1278,   270,   271,  1279,  1280,   274,     0,   275,   276,
     277,   278,  1281,     0,  1282,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,  1283,
    1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,   306,
     307,   308,  1290,  1291,   311,  1292,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
    1726,     0,   324,   325,   884,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,  1293,   342,   343,   344,   345,  1294,  1295,   347,
       0,   348,   349,   350,  1296,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
    1297,     0,  1298,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1299,  1300,     0,  1301,     0,   395,   396,
     397,   398,   399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,
    1309,  1310,   409,  1311,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,  1312,   420,   421,   422,     0,   423,
     424,   425,  1313,  1314,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,  1315,   437,   438,   439,   440,   441,
     442,   443,   444,  1316,   446,  1317,   448,   449,   450,   451,
     452,   453,   454,   455,   456,  1318,   458,  1319,   459,   460,
     461,   462,  1320,  1321,   464,  1322,   466,   467,   468,     0,
     469,   470,   471,     0,     0,  1323,   473,   474,     0,     0,
     475,   476,   477,   478,   479,   480,  1324,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,     0,
     494,   495,   496,  1325,   498,   499,   500,   501,   502,     0,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,  1326,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,  1327,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,  1328,   555,   556,   557,   558,
     559,   560,   561,   562,  1329,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,  1330,   581,     0,   582,   583,  1331,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,  1332,
    1333,     0,     0,   595,   596,  1334,   598,  1335,  1336,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,  1337,
     609,   610,   611,   612,   613,  1338,     0,   614,   615,   616,
     617,   618,   619,  1339,  1727,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,  1345,
    1346,  1347,   644,   645,   646,   647,     0,  1348,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1349,
    1350,  1728,     0,     0,     0,     0,     0,     0,  1352,  1729,
     234,     0,  1268,   714,     0,  1269,  1270,  1271,   775,  1272,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,  1273,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1274,   260,  1275,  1276,     0,   263,   264,   265,   266,   267,
     268,   269,  1277,  1278,   270,   271,  1279,  1280,   274,     0,
     275,   276,   277,   278,  1281,     0,  1282,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,
     305,   306,   307,   308,  1290,  1291,   311,  1292,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   884,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,  1293,   342,   343,   344,   345,  1294,
    1295,   347,     0,   348,   349,   350,  1296,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,  1297,     0,  1298,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,  1299,  1300,     0,  1301,     0,
     395,   396,   397,   398,   399,  1302,  1303,  1304,  1305,  1306,
    1307,  1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,  1312,   420,   421,   422,
       0,   423,   424,   425,  1313,  1314,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,  1315,   437,   438,   439,
     440,   441,   442,   443,   444,  1316,   446,  1317,   448,   449,
     450,   451,   452,   453,   454,   455,   456,  1318,   458,  1319,
     459,   460,   461,   462,  1320,  1321,   464,  1322,   466,   467,
     468,     0,   469,   470,   471,     0,     0,  1323,   473,   474,
       0,     0,   475,   476,   477,   478,   479,   480,  1324,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,     0,   494,   495,   496,  1325,   498,   499,   500,   501,
     502,     0,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,  1326,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
    1327,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,    40,   550,   551,   552,   553,   554,  1328,   555,   556,
     557,   558,   559,   560,   561,   562,  1329,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,  1330,   581,     0,   582,   583,  1331,
      44,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,  1332,  1333,     0,     0,   595,   596,  1334,   598,  1335,
    1336,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,  1337,   609,   610,   611,   612,   613,  1338,     0,   614,
     615,   616,   617,   618,  1203,  1339,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,    49,   628,   629,
     630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,
    1344,  1345,  1346,  1347,   644,   645,   646,   647,     0,  1348,
       0,    50,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1349,  1350,     0,     0,     0,     0,     0,     0,     0,
    1352,  5833,   234,     0,  1268,   714,     0,  1269,  1270,  1271,
     775,  1272,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1273,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1274,   260,  1275,  1276,     0,   263,   264,   265,
     266,   267,   268,   269,  1277,  1278,   270,   271,  1279,  1280,
     274,     0,   275,   276,   277,   278,  1281,     0,  1282,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,
     303,   304,   305,   306,   307,   308,  1290,  1291,   311,  1292,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   884,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,  1293,   342,   343,   344,
     345,  1294,  1295,   347,     0,   348,   349,   350,  1296,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,  1297,     0,  1298,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1299,  1300,     0,
    1301,     0,   395,   396,   397,   398,   399,  1302,  1303,  1304,
    1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,  1312,   420,
     421,   422,     0,   423,   424,   425,  1313,  1314,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,  1315,   437,
     438,   439,   440,   441,   442,   443,   444,  1316,   446,  1317,
     448,   449,   450,   451,   452,   453,   454,   455,   456,  1318,
     458,  1319,   459,   460,   461,   462,  1320,  1321,   464,  1322,
     466,   467,   468,     0,   469,   470,   471,     0,     0,  1323,
     473,   474,     0,     0,   475,   476,   477,   478,   479,   480,
    1324,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,     0,   494,   495,   496,  1325,   498,   499,
     500,   501,   502,     0,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,  1326,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,  1327,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,  1328,
     555,   556,   557,   558,   559,   560,   561,   562,  1329,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,  1330,   581,     0,   582,
     583,  1331,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,  1332,  1333,     0,     0,   595,   596,  1334,
     598,  1335,  1336,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,  1337,   609,   610,   611,   612,   613,  1338,
       0,   614,   615,   616,   617,   618,   619,  1339,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,  1340,  1341,  1342,
    1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,   647,
       0,  1348,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1349,  1350,     0,     0,     0,     0,     0,
       0,     0,  1352,  3320,   234,     0,  1268,   714,     0,  1269,
    1270,  1271,   775,  1272,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,  1273,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,  1274,   260,  1275,  1276,     0,   263,
     264,   265,   266,   267,   268,   269,  1277,  1278,   270,   271,
    1279,  1280,   274,     0,   275,   276,   277,   278,  1281,     0,
    1282,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,
    1288,  1289,   303,   304,   305,   306,   307,   308,  1290,  1291,
     311,  1292,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     884,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,  1293,   342,
     343,   344,   345,  1294,  1295,   347,     0,   348,   349,   350,
    1296,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,  1297,     0,  1298,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,  1299,
    1300,     0,  1301,     0,   395,   396,   397,   398,   399,  1302,
    1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
    1312,   420,   421,   422,     0,   423,   424,   425,  1313,  1314,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
    1315,   437,   438,   439,   440,   441,   442,   443,   444,  1316,
     446,  1317,   448,   449,   450,   451,   452,   453,   454,   455,
     456,  1318,   458,  1319,   459,   460,   461,   462,  1320,  1321,
     464,  1322,   466,   467,   468,     0,   469,   470,   471,     0,
       0,  1323,   473,   474,     0,     0,   475,   476,   477,   478,
     479,   480,  1324,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,     0,   494,   495,   496,  1325,
     498,   499,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,  1326,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,   533,   534,
     535,   536,   537,   538,  1327,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,  1328,   555,   556,   557,   558,   559,   560,   561,   562,
    1329,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,  1330,   581,
       0,   582,   583,  1331,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,  1332,  1333,     0,     0,   595,
     596,  1334,   598,  1335,  1336,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,  1337,   609,   610,   611,   612,
     613,  1338,     0,   614,   615,   616,   617,   618,   619,  1339,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,  1340,
    1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,   644,   645,
     646,   647,     0,  1348,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1349,  1350,     0,     0,     0,
       0,     0,     0,     0,  1352,  4732,   234,     0,  1268,   714,
       0,  1269,  1270,  1271,   775,  1272,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1273,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1274,   260,  1275,  1276,
       0,   263,   264,   265,   266,   267,   268,   269,  1277,  1278,
     270,   271,  1279,  1280,   274,     0,   275,   276,   277,   278,
    1281,     0,  1282,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,  1283,  1284,  1285,
    1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,   308,
    1290,  1291,   311,  1292,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   884,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
    1293,   342,   343,   344,   345,  1294,  1295,   347,     0,   348,
     349,   350,  1296,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,  1297,     0,
    1298,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1299,  1300,     0,  1301,     0,   395,   396,   397,   398,
     399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,
     409,  1311,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,  1312,   420,   421,   422,     0,   423,   424,   425,
    1313,  1314,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1315,   437,   438,   439,   440,   441,   442,   443,
     444,  1316,   446,  1317,   448,   449,   450,   451,   452,   453,
     454,   455,   456,  1318,   458,  1319,   459,   460,   461,   462,
    1320,  1321,   464,  1322,   466,   467,   468,     0,   469,   470,
     471,     0,     0,  1323,   473,   474,     0,     0,   475,   476,
     477,   478,   479,   480,  1324,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,     0,   494,   495,
     496,  1325,   498,   499,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,  1326,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,  1327,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,  1328,   555,   556,   557,   558,   559,   560,
     561,   562,  1329,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
    1330,   581,     0,   582,   583,  1331,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,  1332,  1333,     0,
       0,   595,   596,  1334,   598,  1335,  1336,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,  1337,   609,   610,
     611,   612,   613,  1338,     0,   614,   615,   616,   617,   618,
     619,  1339,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,
     644,   645,   646,   647,     0,  1348,     0,     0,     0,     0,
       0,   655,     0,     0,     0,     0,     0,  1349,  1350,     0,
       0,     0,     0,     0,     0,     0,  1352,  4798,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,  4238,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0, -1838,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0, -1838,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
   -1838,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398, -1838,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419, -1838,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445, -1838,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532, -1838,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
       0,     0,     0,     0,     0,     0,   876,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1464,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,     0,   877,   260,   878,   879,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   880,   881,   274,     0,   275,   276,   277,   278,
       0,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,     0,     0,     0,
     302,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     882,   883,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   884,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
       0,   342,   343,   344,   345,     0,     0,   347,     0,   348,
     349,   350,   885,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,     0,     0,
       0,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,  2725,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,  2726,   388,   389,   390,
     391,   886,   887,     0,   888,     0,   395,   396,   397,   398,
     399,   889,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,     0,   420,   421,   422,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   890,   446,   891,   448,   449,   450,   451,   452,   453,
     454,   455,     0,     0,   458,     0,   459,   460,   461,   462,
       0,     0,   464,   892,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
    2728,   478,   479,   480,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,     0,   494,   495,
     496,     0,   498,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   893,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,     0,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,  2729,   558,   559,   560,
     561,   562,   895,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
       0,   581,     0,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   896,   897,     0,
       0,   595,   596,     0,   598,     0,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
       0,   898,  2730,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
       0,   876,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   645,   646,   647,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,  2823,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
       0,   877,   260,   878,   879,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   880,   881,   274,
       0,   275,   276,   277,   278,     0,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,     0,   302,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   882,   883,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   884,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,     0,   342,   343,   344,   345,
       0,     0,   347,     0,   348,   349,   350,   885,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,     0,     0,     0,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,  2725,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,  2726,   388,   389,   390,   391,   886,   887,     0,   888,
       0,   395,   396,   397,   398,   399,   889,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,     0,   420,   421,
     422,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   437,   438,
     439,   440,   441,   442,   443,   444,   890,   446,   891,   448,
     449,   450,   451,   452,   453,   454,   455,     0,     0,   458,
       0,   459,   460,   461,   462,     0,     0,   464,   892,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,  2728,   478,   479,   480,     0,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,     0,   498,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   893,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,     0,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,  2729,   558,   559,   560,   561,   562,   895,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,     0,   581,     0,   582,   583,
       0,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   896,   897,     0,     0,   595,   596,     0,   598,
       0,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,     0,   898,  2730,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,     0,   234,     0,  1268,   714,
       0,  1269,  1270,  1271,   775,  1272,   645,   646,   647,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1273,     0,  3954,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1274,   260,  1275,  1276,
       0,   263,   264,   265,   266,   267,   268,   269,  1277,  1278,
     270,   271,  1279,  1280,   274,     0,   275,   276,   277,   278,
    1281,     0,  1282,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,  1283,  1284,  1285,
    1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,   308,
    1290,  1291,   311,  1292,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   884,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
    1293,   342,   343,   344,   345,  1294,  1295,   347,     0,   348,
     349,   350,  1296,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,  1297,     0,
    1298,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1299,  1300,     0,  1301,     0,   395,   396,   397,   398,
     399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,
     409,  1311,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,  1312,   420,   421,   422,     0,   423,   424,   425,
    1313,  1314,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1315,   437,   438,   439,   440,   441,   442,   443,
     444,  1316,   446,  1317,   448,   449,   450,   451,   452,   453,
     454,   455,   456,  1318,   458,  1319,   459,   460,   461,   462,
    1320,  1321,   464,  1322,   466,   467,   468,     0,   469,   470,
     471,     0,     0,  1323,   473,   474,     0,     0,   475,   476,
     477,   478,   479,   480,  1324,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,     0,   494,   495,
     496,  1325,   498,   499,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,  1326,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,  3281,   531,   532,
     533,   534,   535,   536,   537,   538,  1327,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,    40,   550,   551,
     552,   553,   554,  1328,   555,   556,   557,   558,   559,   560,
     561,   562,  1329,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
    1330,   581,     0,   582,   583,  1331,    44,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,  1332,  1333,     0,
       0,   595,   596,  1334,   598,  1335,  1336,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,  1337,   609,   610,
     611,   612,   613,  1338,     0,   614,   615,   616,   617,   618,
    1203,  1339,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,    49,   628,   629,   630,   631,   632,   633,
     634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,
     644,   645,   646,   647,     0,  1348,     0,    50,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1349,  1350,     0,
       0,     0,   234,     0,  1268,   714,  1352,  1269,  1270,  1271,
     775,  1272,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1273,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1274,   260,  1275,  1276,     0,   263,   264,   265,
     266,   267,   268,   269,  1277,  1278,   270,   271,  1279,  1280,
     274,     0,   275,   276,   277,   278,  1281,     0,  1282,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,
     303,   304,   305,   306,   307,   308,  1290,  1291,   311,  1292,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   884,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,  1293,   342,   343,   344,
     345,  1294,  1295,   347,     0,   348,   349,   350,  1296,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,  1297,     0,  1298,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1299,  1300,     0,
    1301,     0,   395,   396,   397,   398,   399,  1302,  1303,  1304,
    1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,  1312,   420,
     421,   422,     0,   423,   424,   425,  1313,  1314,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,  1315,   437,
     438,   439,   440,   441,   442,   443,   444,  1316,   446,  1317,
     448,   449,   450,   451,   452,   453,   454,   455,   456,  1318,
     458,  1319,   459,   460,   461,   462,  1320,  1321,   464,  1322,
     466,   467,   468,     0,   469,   470,   471,     0,     0,  1323,
     473,   474,     0,     0,   475,   476,   477,   478,   479,   480,
    1324,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,     0,   494,   495,   496,  1325,   498,   499,
     500,   501,   502,     0,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,  1326,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,  1327,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,    40,   550,   551,   552,   553,   554,  1328,
     555,   556,   557,   558,   559,   560,   561,   562,  1329,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,  1330,   581,     0,   582,
     583,  1331,    44,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,  1332,  1333,     0,     0,   595,   596,  1334,
     598,  1335,  1336,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,  1337,   609,   610,   611,   612,   613,  1338,
       0,   614,   615,   616,   617,   618,  1203,  1339,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,    49,
     628,   629,   630,   631,   632,   633,   634,  1340,  1341,  1342,
    1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,   647,
       0,  1348,     0,    50,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1349,  1350,     0,     0,     0,   234,     0,
    1268,   714,  1352,  1269,  1270,  1271,   775,  1272,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,  1273,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1274,   260,
    1275,  1276,  3326,   263,   264,   265,   266,   267,   268,   269,
    1277,  1278,   270,   271,  1279,  1280,   274,     0,   275,   276,
     277,   278,  1281,     0,  1282,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,  1283,
    1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,   306,
     307,   308,  1290,  1291,   311,  1292,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   884,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,  1293,   342,   343,   344,   345,  1294,  1295,   347,
       0,   348,   349,   350,  1296,   352,     0,   353,     0,   354,
     355,   356,  3327,   357,   358,   359,   360,   361,     0,   362,
    1297,     0,  1298,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1299,  1300,     0,  1301,     0,   395,   396,
     397,   398,   399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,
    1309,  1310,   409,  1311,   411,   412,   413,   414,   415,   416,
     417,     0,  3328,   418,  1312,   420,   421,   422,     0,   423,
     424,   425,  1313,  1314,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,  1315,   437,   438,   439,   440,   441,
     442,   443,   444,  1316,   446,  1317,   448,   449,   450,   451,
     452,   453,   454,   455,   456,  1318,   458,  1319,   459,   460,
     461,   462,  1320,  1321,   464,  1322,   466,   467,   468,     0,
     469,   470,   471,     0,     0,  1323,   473,   474,     0,     0,
     475,   476,   477,   478,   479,   480,  1324,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,     0,
     494,   495,   496,  1325,   498,   499,   500,   501,   502,     0,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,  1326,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,  1327,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,  1328,   555,   556,   557,   558,
     559,   560,   561,   562,  1329,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,  1330,   581,     0,   582,   583,  1331,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,  1332,
    1333,     0,  3329,   595,   596,  1334,   598,  1335,  1336,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,  1337,
     609,   610,   611,   612,   613,  1338,     0,   614,   615,   616,
     617,   618,   619,  1339,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,  1345,
    1346,  1347,   644,   645,   646,   647,     0,  1348,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1349,
    1350,     0,     0,     0,   234,     0,  1268,   714,  1352,  1269,
    1270,  1271,   775,  1272,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
   -2269,   244,   245,   246,     0,     0,     0, -2269,  1273,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,  1274,   260,  1275,  1276,     0,   263,
     264,   265,   266,   267,   268,   269,  1277,  1278,   270,   271,
    1279,  1280,   274,     0,   275,   276,   277,   278,  1281,     0,
    1282,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,
    1288,  1289,   303,   304,   305,   306,   307,   308,  1290,  1291,
     311,  1292,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     884,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,  1293,   342,
     343,   344,   345,  1294,  1295,   347,     0,   348,   349,   350,
    1296,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,  1297,     0,  1298,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,  1299,
    1300,     0,  1301,     0,   395,   396,   397,   398,   399,  1302,
    1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
    1312,   420,   421,   422,     0,   423,   424,   425,  1313,  1314,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
    1315,   437,   438,   439,   440,   441,   442,   443,   444,  1316,
     446,  1317,   448,   449,   450,   451,   452,   453,   454,   455,
     456,  1318,   458,  1319,   459,   460,   461,   462,  1320,  1321,
     464,  1322,   466,   467,   468,     0,   469,   470,   471,     0,
       0,  1323,   473,   474,     0,     0,   475,   476,   477,   478,
     479,   480,  1324,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,     0,   494,   495,   496,  1325,
     498,   499,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,  1326,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,   533,   534,
     535,   536,   537,   538,  1327,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,  1328,   555,   556,   557,   558,   559,   560,   561,   562,
    1329,   564, -2269,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,  1330,   581,
       0,   582,   583,  1331,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,  1332,  1333,     0,     0,   595,
     596,  1334,   598,  1335,  1336,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,  1337,   609,   610,   611,   612,
     613,  1338,     0,   614,   615,   616,   617,   618,   619,  1339,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,  1340,
    1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,   644,   645,
     646,   647,     0,  1348,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1349,  1350,     0,     0,     0,
     234,     0,  1268,   714,  1352,  1269,  1270,  1271,   775,  1272,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243, -2267,   244,   245,   246,
       0,     0,     0, -2267,  1273,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1274,   260,  1275,  1276,     0,   263,   264,   265,   266,   267,
     268,   269,  1277,  1278,   270,   271,  1279,  1280,   274,     0,
     275,   276,   277,   278,  1281,     0,  1282,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,
     305,   306,   307,   308,  1290,  1291,   311,  1292,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   884,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,  1293,   342,   343,   344,   345,  1294,
    1295,   347,     0,   348,   349,   350,  1296,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,  1297,     0,  1298,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,  1299,  1300,     0,  1301,     0,
     395,   396,   397,   398,   399,  1302,  1303,  1304,  1305,  1306,
    1307,  1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,  1312,   420,   421,   422,
       0,   423,   424,   425,  1313,  1314,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,  1315,   437,   438,   439,
     440,   441,   442,   443,   444,  1316,   446,  1317,   448,   449,
     450,   451,   452,   453,   454,   455,   456,  1318,   458,  1319,
     459,   460,   461,   462,  1320,  1321,   464,  1322,   466,   467,
     468,     0,   469,   470,   471,     0,     0,  1323,   473,   474,
       0,     0,   475,   476,   477,   478,   479,   480,  1324,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,     0,   494,   495,   496,  1325,   498,   499,   500,   501,
     502,     0,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,  1326,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
    1327,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,  1328,   555,   556,
     557,   558,   559,   560,   561,   562,  1329,   564, -2267,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,  1330,   581,     0,   582,   583,  1331,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,  1332,  1333,     0,     0,   595,   596,  1334,   598,  1335,
    1336,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,  1337,   609,   610,   611,   612,   613,  1338,     0,   614,
     615,   616,   617,   618,   619,  1339,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,
    1344,  1345,  1346,  1347,   644,   645,   646,   647,     0,  1348,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1349,  1350,     0,     0,     0,   234,     0,  1268,   714,
    1352,  1269,  1270,  1271,   775,  1272,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1273,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1274,   260,  1275,  1276,
       0,   263,   264,   265,   266,   267,   268,   269,  1277,  1278,
     270,   271,  1279,  1280,   274,     0,   275,   276,   277,   278,
    1281,     0,  1282,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,  1283,  1284,  1285,
    1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,   308,
    1290,  1291,   311,  1292,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   884,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
    1293,   342,   343,   344,   345,  1294,  1295,   347,     0,   348,
     349,   350,  1296,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,  1297,     0,
    1298,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1299,  1300,     0,  1301,     0,   395,   396,   397,   398,
     399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,
     409,  1311,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,  1312,   420,   421,   422,     0,   423,   424,   425,
    1313,  1314,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1315,   437,   438,   439,   440,   441,   442,   443,
     444,  1316,   446,  1317,   448,   449,   450,   451,   452,   453,
     454,   455,   456,  1318,   458,  1319,   459,   460,   461,   462,
    1320,  1321,   464,  1322,   466,   467,   468,     0,   469,   470,
     471,     0,     0,  1323,   473,   474,     0,     0,   475,   476,
     477,   478,   479,   480,  1324,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,     0,   494,   495,
     496,  1325,   498,   499,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,  1326,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,  1327,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,  1328,   555,   556,   557,   558,   559,   560,
     561,   562,  1329,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
    1330,   581,     0,   582,   583,  1331,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,  1332,  1333,     0,
       0,   595,   596,  1334,   598,  1335,  1336,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,  1337,   609,   610,
     611,   612,   613,  1338,     0,   614,   615,   616,   617,   618,
     619,  1339,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,
     644,   645,   646,   647,     0,  1348,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1349,  1350,     0,
       0,     0,     0,     0,  2049,  3255,  1352,   234,     0,  1268,
     714,     0,  1269,  1270,  1271,   775,  1272,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,  1273,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,  1274,   260,  1275,
    1276,     0,   263,   264,   265,   266,   267,   268,   269,  1277,
    1278,   270,   271,  1279,  1280,   274,     0,   275,   276,   277,
     278,  1281,     0,  1282,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,  1283,  1284,
    1285,  1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,
     308,  1290,  1291,   311,  1292,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   884,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,  1293,   342,   343,   344,   345,  1294,  1295,   347,     0,
     348,   349,   350,  1296,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,  1297,
       0,  1298,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1299,  1300,     0,  1301,     0,   395,   396,   397,
     398,   399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,
    1310,   409,  1311,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,  1312,   420,   421,   422,     0,   423,   424,
     425,  1313,  1314,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,  1315,   437,   438,   439,   440,   441,   442,
     443,   444,  1316,   446,  1317,   448,   449,   450,   451,   452,
     453,   454,   455,   456,  1318,   458,  1319,   459,   460,   461,
     462,  1320,  1321,   464,  1322,   466,   467,   468,     0,   469,
     470,   471,     0,     0,  1323,   473,   474,     0,     0,   475,
     476,   477,   478,   479,   480,  1324,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,  1325,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
    1326,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,  1327,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,  1328,   555,   556,   557,   558,   559,
     560,   561,   562,  1329,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,  1330,   581,     0,   582,   583,  1331,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,  1332,  1333,
       0,     0,   595,   596,  1334,   598,  1335,  1336,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,  1337,   609,
     610,   611,   612,   613,  1338,     0,   614,   615,   616,   617,
     618,   619,  1339,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,
    1347,   644,   645,   646,   647,     0,  1348,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1349,  1350,
    1351,     0,     0,   234,     0,  1268,   714,  1352,  1269,  1270,
    1271,   775,  1272,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,  2692,
     244,   245,   246,     0,     0,     0,     0,  1273,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,  1274,   260,  1275,  1276,     0,   263,   264,
     265,   266,   267,   268,   269,  1277,  1278,   270,   271,  1279,
    1280,   274,     0,   275,   276,   277,   278,  1281,     0,  1282,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,  1288,
    1289,   303,   304,   305,   306,   307,   308,  1290,  1291,   311,
    1292,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   884,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,  1293,   342,   343,
     344,   345,  1294,  1295,   347,     0,   348,   349,   350,  1296,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,  1297,     0,  1298,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1299,  1300,
       0,  1301,     0,   395,   396,   397,   398,   399,  1302,  1303,
    1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,  1312,
     420,   421,   422,     0,   423,   424,   425,  1313,  1314,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,  1315,
     437,   438,   439,   440,   441,   442,   443,   444,  1316,   446,
    1317,   448,   449,   450,   451,   452,   453,   454,   455,   456,
    1318,   458,  1319,   459,   460,   461,   462,  1320,  1321,   464,
    1322,   466,   467,   468,     0,   469,   470,   471,     0,     0,
    1323,   473,   474,     0,     0,   475,   476,   477,   478,   479,
     480,  1324,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,  1325,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,  1326,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,  1327,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
    1328,   555,   556,   557,   558,   559,   560,   561,   562,  1329,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,  1330,   581,     0,
     582,   583,  1331,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,  1332,  1333,     0,     0,   595,   596,
    1334,   598,  1335,  1336,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,  1337,   609,   610,   611,   612,   613,
    1338,     0,   614,   615,   616,   617,   618,   619,  1339,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,  1340,  1341,
    1342,  1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,
     647,     0,  1348,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1349,  1350,     0,     0,     0,   234,
       0,  1268,   714,  1352,  1269,  1270,  1271,   775,  1272,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,  1273,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1274,
     260,  1275,  1276,     0,   263,   264,   265,   266,   267,   268,
     269,  1277,  1278,   270,   271,  1279,  1280,   274,     0,   275,
     276,   277,   278,  1281,     0,  1282,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
    1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,
     306,   307,   308,  1290,  1291,   311,  1292,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   884,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,  1293,   342,   343,   344,   345,  1294,  1295,
     347,     0,   348,   349,   350,  1296,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,  1297,     0,  1298,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1299,  1300,     0,  1301,     0,   395,
     396,   397,   398,   399,  1302,  1303,  1304,  1305,  1306,  1307,
    1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,  1312,   420,   421,   422,     0,
     423,   424,   425,  1313,  1314,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,  1315,   437,   438,   439,   440,
     441,   442,   443,   444,  1316,   446,  1317,   448,   449,   450,
     451,   452,   453,   454,   455,   456,  1318,   458,  1319,   459,
     460,   461,   462,  1320,  1321,   464,  1322,   466,   467,   468,
       0,   469,   470,   471,     0,     0,  1323,   473,   474,     0,
       0,   475,   476,   477,   478,   479,   480,  1324,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,  1325,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,  1326,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
    3281,   531,   532,   533,   534,   535,   536,   537,   538,  1327,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,  1328,   555,   556,   557,
     558,   559,   560,   561,   562,  1329,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,  1330,   581,     0,   582,   583,  1331,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
    1332,  1333,     0,     0,   595,   596,  1334,   598,  1335,  1336,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
    1337,   609,   610,   611,   612,   613,  1338,     0,   614,   615,
     616,   617,   618,   619,  1339,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,
    1345,  1346,  1347,   644,   645,   646,   647,     0,  1348,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1349,  1350,     0,     0,     0,   234,     0,  1268,   714,  1352,
    1269,  1270,  1271,   775,  1272,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,  1273,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,  1274,   260,  1275,  1276,     0,
     263,   264,   265,   266,   267,   268,   269,  1277,  1278,   270,
     271,  1279,  1280,   274,     0,   275,   276,   277,   278,  1281,
       0,  1282,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,  1283,  1284,  1285,  1286,
    1287,  1288,  1289,   303,   304,   305,   306,   307,   308,  1290,
    1291,   311,  1292,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   884,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,  1293,
     342,   343,   344,   345,  1294,  1295,   347,     0,   348,   349,
     350,  1296,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,  1297,     0,  1298,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1299,  1300,     0,  1301,     0,   395,   396,   397,   398,   399,
    1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,
    1311,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,  1312,   420,   421,   422,     0,   423,   424,   425,  1313,
    1314,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,  1315,   437,   438,   439,   440,   441,   442,   443,   444,
    1316,   446,  1317,   448,   449,   450,   451,   452,   453,   454,
     455,   456,  1318,   458,  1319,   459,   460,   461,   462,  1320,
    1321,   464,  1322,   466,   467,   468,     0,   469,   470,   471,
       0,     0,  1323,   473,   474,     0,     0,   475,   476,   477,
     478,   479,   480,  1324,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
    1325,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,  1326,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,  1327,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,  1328,   555,   556,   557,   558,   559,   560,   561,
     562,  1329,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,  1330,
     581,     0,   582,   583,  1331,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,  1332,  1333,     0,     0,
     595,   596,  1334,   598,  1335,  1336,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,  1337,   609,   610,   611,
     612,   613,  1338,     0,   614,   615,   616,   617,   618,   619,
    1339,  3833,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
    1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,   644,
     645,   646,   647,     0,  1348,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1349,  1350,     0,     0,
       0,   234,     0,  1268,   714,  1352,  1269,  1270,  1271,   775,
    1272,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1273,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1274,   260,  1275,  1276,     0,   263,   264,   265,   266,
     267,   268,   269,  1277,  1278,   270,   271,  1279,  1280,   274,
       0,   275,   276,   277,   278,  1281,     0,  1282,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,
     304,   305,   306,   307,   308,  1290,  1291,   311,  1292,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   884,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1293,   342,   343,   344,   345,
    1294,  1295,   347,     0,   348,   349,   350,  1296,   352,     0,
     353,     0,   354,   355,   356,  3327,   357,   358,   359,   360,
     361,     0,   362,  1297,     0,  1298,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1299,  1300,     0,  1301,
       0,   395,   396,   397,   398,   399,  1302,  1303,  1304,  1305,
    1306,  1307,  1308,  1309,  1310,   409,  1311,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,  1312,   420,   421,
     422,     0,   423,   424,   425,  1313,  1314,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,  1315,   437,   438,
     439,   440,   441,   442,   443,   444,  1316,   446,  1317,   448,
     449,   450,   451,   452,   453,   454,   455,   456,  1318,   458,
    1319,   459,   460,   461,   462,  1320,  1321,   464,  1322,   466,
     467,   468,     0,   469,   470,   471,     0,     0,  1323,   473,
     474,     0,     0,   475,   476,   477,   478,   479,   480,  1324,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,  1325,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,  1326,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,  1327,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,  1328,   555,
     556,   557,   558,   559,   560,   561,   562,  1329,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,  1330,   581,     0,   582,   583,
    1331,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,  1332,  1333,     0,     0,   595,   596,  1334,   598,
    1335,  1336,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,  1337,   609,   610,   611,   612,   613,  1338,     0,
     614,   615,   616,   617,   618,   619,  1339,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,
     639,  1344,  1345,  1346,  1347,   644,   645,   646,   647,     0,
    1348,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1349,  1350,     0,     0,     0,   234,     0,  1268,
     714,  1352,  1269,  1270,  1271,   775,  1272,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,  1273,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,  1274,   260,  1275,
    1276,     0,   263,   264,   265,   266,   267,   268,   269,  1277,
    1278,   270,   271,  1279,  1280,   274,     0,   275,   276,   277,
     278,  1281,     0,  1282,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,  1283,  1284,
    1285,  1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,
     308,  1290,  1291,   311,  1292,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   884,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,  1293,   342,   343,   344,   345,  1294,  1295,   347,     0,
     348,   349,   350,  1296,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,  1297,
       0,  1298,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1299,  1300,     0,  1301,     0,   395,   396,   397,
     398,   399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,
    1310,   409,  1311,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,  1312,   420,   421,   422,     0,   423,   424,
     425,  1313,  1314,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,  1315,   437,   438,   439,   440,   441,   442,
     443,   444,  1316,   446,  1317,   448,   449,   450,   451,   452,
     453,   454,   455,   456,  1318,   458,  1319,   459,   460,   461,
     462,  1320,  1321,   464,  1322,   466,   467,   468,     0,   469,
     470,   471,     0,     0,  1323,   473,   474,     0,     0,   475,
     476,   477,   478,   479,   480,  1324,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,  1325,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
    1326,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,  1327,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,  1328,   555,   556,   557,   558,   559,
     560,   561,   562,  1329,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,  1330,   581,     0,   582,   583,  1331,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,  1332,  1333,
    3384,     0,   595,   596,  1334,   598,  1335,  1336,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,  1337,   609,
     610,   611,   612,   613,  1338,     0,   614,   615,   616,   617,
     618,   619,  1339,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,
    1347,   644,   645,   646,   647,     0,  1348,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1349,  1350,
       0,     0,     0,   234,     0,  1268,   714,  1352,  1269,  1270,
    1271,   775,  1272,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,  1273,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,  1274,   260,  1275,  1276,     0,   263,   264,
     265,   266,   267,   268,   269,  1277,  1278,   270,   271,  1279,
    1280,   274,     0,   275,   276,   277,   278,  1281,     0,  1282,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,  1288,
    1289,   303,   304,   305,   306,   307,   308,  1290,  1291,   311,
    1292,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   884,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,  1293,   342,   343,
     344,   345,  1294,  1295,   347,     0,   348,   349,   350,  1296,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,  1297,     0,  1298,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1299,  1300,
       0,  1301,     0,   395,   396,   397,   398,   399,  1302,  1303,
    1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,  1312,
     420,   421,   422,     0,   423,   424,   425,  1313,  1314,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,  1315,
     437,   438,   439,   440,   441,   442,   443,   444,  1316,   446,
    1317,   448,   449,   450,   451,   452,   453,   454,   455,   456,
    1318,   458,  1319,   459,   460,   461,   462,  1320,  1321,   464,
    1322,   466,   467,   468,     0,   469,   470,   471,     0,     0,
    1323,   473,   474,     0,     0,   475,   476,   477,   478,   479,
     480,  1324,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,  1325,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,  1326,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,  1327,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
    1328,   555,   556,   557,   558,   559,   560,   561,   562,  1329,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,  1330,   581,     0,
     582,   583,  1331,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,  1332,  1333,     0,     0,   595,   596,
    1334,   598,  1335,  1336,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,  1337,   609,   610,   611,   612,   613,
    1338,     0,   614,   615,   616,   617,   618,   619,  1339,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,  1340,  1341,
    1342,  1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,
     647,     0,  1348,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1349,  1350,     0,     0,     0,   234,
       0,  1268,   714,  1352,  1269,  1270,  1271,   775,  1272,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,  1273,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1274,
     260,  1275,  1276,     0,   263,   264,   265,   266,   267,   268,
     269,  1277,  1278,   270,   271,  1279,  1280,   274,     0,   275,
     276,   277,   278,  1281,     0,  1282,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
    1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,
     306,   307,   308,  1290,  1291,   311,  1292,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   884,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,  1293,   342,   343,   344,   345,  1294,  1295,
     347,     0,   348,   349,   350,  1296,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,  1297,     0,  1298,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1299,  1300,     0,  1301,     0,   395,
     396,   397,   398,   399,  1302,  1303,  1304,  1305,  1306,  1307,
    1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,  1312,   420,   421,   422,     0,
     423,   424,   425,  1313,  1314,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,  1315,   437,   438,   439,   440,
     441,   442,   443,   444,  1316,   446,  1317,   448,   449,   450,
     451,   452,   453,   454,   455,   456,  1318,   458,  1319,   459,
     460,   461,   462,  1320,  1321,   464,  1322,   466,   467,   468,
       0,   469,   470,   471,     0,     0,  1323,   473,   474,     0,
       0,   475,   476,   477,   478,   479,   480,  1324,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,  1325,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,  1326,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,  1327,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,  1328,   555,   556,   557,
     558,   559,   560,   561,   562,  1329,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,  1330,   581,     0,   582,   583,  1331,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
    1332,  1333,     0,     0,   595,   596,  1334,   598,  1335,  1336,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
    1337,   609,   610,   611,   612,   613,  1338,     0,   614,   615,
     616,   617,   618,   619,  1339,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,
    1345,  1346,  1347,   644,   645,   646,   647,     0,  1348,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2695,  2696,     0,     0,     0,   234,     0,  3503,   714,  1352,
    1269,  1270,  1271,   775,  1272,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,  1273,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,  1274,   260,  1275,  1276,     0,
     263,   264,   265,   266,   267,   268,   269,  1277,  1278,   270,
     271,  1279,  1280,   274,     0,   275,   276,   277,   278,  1281,
       0,  1282,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,  1283,  1284,  1285,  1286,
    1287,  1288,  1289,   303,   304,   305,   306,   307,   308,  1290,
    1291,   311,  1292,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   884,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,  1293,
     342,   343,   344,   345,  1294,  1295,   347,     0,   348,   349,
     350,  1296,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,  1297,     0,  1298,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1299,  1300,     0,  1301,     0,   395,   396,   397,   398,   399,
    1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,
    1311,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,  1312,   420,   421,   422,     0,   423,   424,   425,  1313,
    1314,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,  1315,   437,   438,   439,   440,   441,   442,   443,   444,
    1316,   446,  1317,   448,   449,   450,   451,   452,   453,   454,
     455,   456,  1318,   458,  1319,   459,   460,   461,   462,  1320,
    1321,   464,  1322,   466,   467,   468,     0,   469,   470,   471,
       0,     0,  1323,   473,   474,     0,     0,   475,   476,   477,
     478,   479,   480,  1324,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
    1325,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,  1326,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,  1327,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,  1328,   555,   556,   557,   558,   559,   560,   561,
     562,  1329,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,  1330,
     581,     0,   582,   583,  1331,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,  1332,  1333,     0,     0,
     595,   596,  1334,   598,  1335,  1336,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,  1337,   609,   610,   611,
     612,   613,  1338,     0,   614,   615,   616,   617,   618,   619,
    1339,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
    1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,   644,
     645,   646,   647,     0,  1348,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1349,  1350,     0,     0,
       0,   234,     0,  1268,   714,  1352,  1269,  1270,  1271,   775,
    1272,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1273,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1274,   260,  1275,  1276,     0,   263,   264,   265,   266,
     267,   268,   269,  1277,  1278,   270,   271,  1279,  1280,   274,
       0,   275,   276,   277,   278,  1281,     0,  1282,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,  4854,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,
     304,   305,   306,   307,   308,  1290,  1291,   311,  1292,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   884,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1293,   342,   343,   344,   345,
    1294,  1295,   347,     0,   348,   349,   350,  1296,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1297,     0,  1298,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1299,  1300,     0,  1301,
       0,   395,   396,   397,   398,   399,  1302,  1303,  1304,  1305,
    1306,  1307,  1308,  1309,  1310,   409,  1311,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,  1312,   420,   421,
     422,     0,   423,   424,   425,  1313,  1314,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,  1315,   437,   438,
     439,   440,   441,   442,   443,   444,  1316,   446,  1317,   448,
     449,   450,   451,   452,   453,   454,   455,   456,  1318,   458,
    1319,   459,   460,   461,   462,  1320,  1321,   464,  1322,   466,
     467,   468,     0,   469,   470,   471,     0,     0,  1323,   473,
     474,     0,     0,   475,   476,   477,   478,   479,   480,  1324,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,  1325,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,  1326,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,  1327,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,  1328,   555,
     556,   557,   558,   559,   560,   561,   562,  1329,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,  1330,   581,     0,   582,   583,
    1331,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,  1332,  1333,     0,     0,   595,   596,  1334,   598,
    1335,  1336,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,  1337,   609,   610,   611,   612,   613,  1338,     0,
     614,   615,   616,   617,   618,   619,  1339,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,
     639,  1344,  1345,  1346,  1347,   644,   645,   646,   647,     0,
    1348,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1349,  1350,     0,     0,     0,   234,     0,  1268,
     714,  1352,  1269,  1270,  1271,   775,  1272,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,  1273,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,  1274,   260,  1275,
    1276,     0,   263,   264,   265,   266,   267,   268,   269,  1277,
    1278,   270,   271,  1279,  1280,   274,     0,   275,   276,   277,
     278,  1281,     0,  1282,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,  1283,  1284,
    1285,  1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,
     308,  1290,  1291,   311,  1292,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   884,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,  1293,   342,   343,   344,   345,  1294,  1295,   347,     0,
     348,   349,   350,  1296,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,  1297,
       0,  1298,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1299,  1300,     0,  1301,     0,   395,   396,   397,
     398,   399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,
    1310,   409,  1311,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,  1312,   420,   421,   422,     0,   423,   424,
     425,  1313,  1314,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,  1315,   437,   438,   439,   440,   441,   442,
     443,   444,  1316,   446,  1317,   448,   449,   450,   451,   452,
     453,   454,   455,   456,  1318,   458,  1319,   459,   460,   461,
     462,  1320,  1321,   464,  1322,   466,   467,   468,     0,   469,
     470,   471,     0,     0,  1323,   473,   474,     0,     0,   475,
     476,   477,   478,   479,   480,  1324,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,  1325,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
    1326,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,  1327,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,  1328,   555,   556,   557,   558,   559,
     560,   561,   562,  1329,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,  1330,   581,     0,   582,   583,  1331,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,  1332,  1333,
       0,     0,   595,   596,  1334,   598,  1335,  1336,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,  1337,   609,
     610,   611,   612,   613,  1338,     0,   614,   615,   616,   617,
     618,   619,  1339,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,  5236,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,
    1347,   644,   645,   646,   647,     0,  1348,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1349,  1350,
       0,     0,     0,   234,     0,  1268,   714,  1352,  1269,  1270,
    1271,   775,  1272,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,  1273,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,  1274,   260,  1275,  1276,     0,   263,   264,
     265,   266,   267,   268,   269,  1277,  1278,   270,   271,  1279,
    1280,   274,     0,   275,   276,   277,   278,  1281,     0,  1282,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,  1288,
    1289,   303,   304,   305,   306,   307,   308,  1290,  1291,   311,
    1292,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   884,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,  1293,   342,   343,
     344,   345,  1294,  1295,   347,     0,   348,   349,   350,  1296,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,  1297,     0,  1298,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1299,  1300,
       0,  1301,     0,   395,   396,   397,   398,   399,  1302,  1303,
    1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,  1312,
     420,   421,   422,     0,   423,   424,   425,  1313,  1314,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,  1315,
     437,   438,   439,   440,   441,   442,   443,   444,  1316,   446,
    1317,   448,   449,   450,   451,   452,   453,   454,  5248,   456,
    1318,   458,  1319,   459,   460,   461,   462,  1320,  1321,   464,
    1322,   466,   467,   468,     0,   469,   470,   471,     0,     0,
    1323,   473,   474,     0,     0,   475,   476,   477,   478,   479,
     480,  1324,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,  1325,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,  1326,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,  1327,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
    1328,   555,   556,   557,   558,   559,   560,   561,   562,  1329,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,  1330,   581,     0,
     582,   583,  1331,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,  1332,  1333,     0,     0,   595,   596,
    1334,   598,  1335,  1336,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,  1337,   609,   610,   611,   612,   613,
    1338,     0,   614,   615,   616,   617,   618,   619,  1339,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,  1340,  1341,
    1342,  1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,
     647,     0,  1348,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1349,  1350,     0,     0,     0,   234,
       0,  1268,   714,  1352,  1269,  1270,  1271,   775,  1272,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,  1273,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1274,
     260,  1275,  1276,     0,   263,   264,   265,   266,   267,   268,
     269,  1277,  1278,   270,   271,  1279,  1280,   274,     0,   275,
     276,   277,   278,  1281,     0,  1282,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,  5585,   301,
    1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,
     306,   307,   308,  1290,  1291,   311,  1292,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   884,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,  1293,   342,   343,   344,   345,  1294,  1295,
     347,     0,   348,   349,   350,  1296,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,  1297,     0,  5586,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1299,  1300,     0,  1301,     0,   395,
     396,   397,   398,   399,  1302,  1303,  1304,  1305,  1306,  1307,
    1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,  1312,   420,   421,   422,     0,
     423,   424,   425,  1313,  1314,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,  1315,   437,   438,   439,   440,
     441,   442,   443,   444,  1316,   446,  1317,   448,   449,   450,
     451,   452,   453,   454,   455,   456,  1318,   458,  1319,   459,
     460,   461,   462,  1320,  1321,   464,  1322,   466,   467,   468,
       0,   469,   470,   471,     0,     0,  1323,   473,   474,     0,
       0,   475,   476,   477,   478,   479,   480,  1324,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,  1325,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,  1326,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,  5587,   537,   538,  1327,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,  1328,   555,   556,   557,
     558,   559,   560,   561,   562,  1329,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,  1330,   581,     0,   582,   583,  1331,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
    1332,  1333,     0,     0,   595,   596,  1334,   598,  1335,  1336,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
    1337,   609,   610,   611,   612,   613,  1338,     0,   614,   615,
     616,   617,   618,   619,  1339,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,
    1345,  1346,  1347,   644,   645,   646,   647,     0,  1348,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1349,  1350,     0,     0,     0,   234,     0,  1268,   714,  5588,
    1269,  1270,  1271,   775,  1272,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,  1273,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,  6000,  1274,   260,  1275,  1276,     0,
     263,   264,   265,   266,   267,   268,   269,  1277,  1278,   270,
     271,  1279,  1280,   274,     0,   275,   276,   277,   278,  1281,
       0,  1282,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,  6001,  1283,  1284,  1285,  1286,
    1287,  1288,  1289,   303,   304,   305,   306,   307,   308,  1290,
    1291,   311,  1292,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   884,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,  1293,
     342,   343,   344,   345,  1294,  1295,   347,     0,   348,   349,
     350,  1296,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,  1297,     0,  1298,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1299,  1300,     0,  1301,     0,   395,   396,   397,   398,   399,
    1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,
    1311,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,  1312,   420,   421,   422,     0,   423,   424,   425,  1313,
    1314,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,  1315,   437,   438,   439,   440,   441,   442,   443,   444,
    1316,   446,  1317,   448,   449,   450,   451,   452,   453,   454,
     455,   456,  1318,   458,  1319,   459,   460,   461,   462,  1320,
    1321,   464,  1322,   466,   467,   468,     0,   469,   470,   471,
       0,     0,  1323,   473,   474,     0,     0,   475,   476,   477,
     478,   479,   480,  1324,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
    1325,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,  1326,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,  1327,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,  1328,   555,   556,   557,   558,   559,   560,   561,
     562,  1329,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,  1330,
     581,     0,   582,   583,  1331,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,  1332,  1333,     0,     0,
     595,   596,  1334,   598,  1335,  1336,   600,   601,   602,   603,
     604,  6002,   606,   607,   608,     0,  1337,   609,   610,   611,
     612,   613,  1338,     0,   614,   615,   616,   617,   618,   619,
    1339,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
    1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,   644,
     645,   646,   647,     0,  1348,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1349,  1350,     0,     0,
       0,   234,     0,  1268,   714,  1352,  1269,  1270,  1271,   775,
    1272,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1273,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1274,   260,  1275,  1276,     0,   263,   264,   265,   266,
     267,   268,   269,  1277,  1278,   270,   271,  1279,  1280,   274,
       0,   275,   276,   277,   278,  1281,     0,  1282,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,  6001,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,
     304,   305,   306,   307,   308,  1290,  1291,   311,  1292,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   884,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1293,   342,   343,   344,   345,
    1294,  1295,   347,     0,   348,   349,   350,  1296,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1297,     0,  1298,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1299,  1300,     0,  1301,
       0,   395,   396,   397,   398,   399,  1302,  1303,  1304,  1305,
    1306,  1307,  1308,  1309,  1310,   409,  1311,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,  1312,   420,   421,
     422,     0,   423,   424,   425,  1313,  1314,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,  1315,   437,   438,
     439,   440,   441,   442,   443,   444,  1316,   446,  1317,   448,
     449,   450,   451,   452,   453,   454,   455,   456,  1318,   458,
    1319,   459,   460,   461,   462,  1320,  1321,   464,  1322,   466,
     467,   468,     0,   469,   470,   471,     0,     0,  1323,   473,
     474,     0,     0,   475,   476,   477,   478,   479,   480,  1324,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,  1325,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,  1326,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,  1327,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,  1328,   555,
     556,   557,   558,   559,   560,   561,   562,  1329,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,  1330,   581,     0,   582,   583,
    1331,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,  1332,  1333,     0,     0,   595,   596,  1334,   598,
    1335,  1336,   600,   601,   602,   603,   604,  6002,   606,   607,
     608,     0,  1337,   609,   610,   611,   612,   613,  1338,     0,
     614,   615,   616,   617,   618,   619,  1339,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,
     639,  1344,  1345,  1346,  1347,   644,   645,   646,   647,     0,
    1348,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1349,  1350,     0,     0,     0,   234,     0,  1268,
     714,  1352,  1269,  1270,  1271,   775,  1272,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,  1273,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,  1274,   260,  1275,
    1276,     0,   263,   264,   265,   266,   267,   268,   269,  1277,
    1278,   270,   271,  1279,  1280,   274,     0,   275,   276,   277,
     278,  1281,     0,  1282,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,  1283,  1284,
    1285,  1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,
     308,  1290,  1291,   311,  5570,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   884,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,  1293,   342,   343,   344,   345,  1294,  1295,   347,     0,
     348,   349,   350,  1296,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,  1297,
       0,  1298,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1299,  1300,     0,  1301,     0,   395,   396,   397,
     398,   399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,
    1310,   409,  1311,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,  1312,   420,   421,   422,     0,   423,   424,
     425,  1313,  1314,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,  1315,   437,   438,   439,   440,   441,   442,
     443,   444,  1316,   446,  1317,   448,   449,   450,   451,   452,
     453,   454,   455,   456,  1318,   458,     0,   459,   460,   461,
     462,  1320,  1321,   464,  1322,   466,   467,   468,     0,   469,
     470,   471,     0,     0,  1323,   473,   474,     0,     0,   475,
     476,   477,   478,   479,   480,  1324,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,  1325,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
    1326,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,  3312,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,  1328,   555,   556,   557,   558,   559,
     560,   561,   562,  1329,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,  1330,   581,     0,   582,   583,  1331,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,  1332,  1333,
       0,     0,   595,   596,  1334,   598,  1335,  1336,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,  1338,     0,   614,   615,   616,   617,
     618,   619,  1339,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,
    1347,   644,   645,   646,   647,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3313,  3314,
       0,     0,     0,   234,     0,  1268,   714,  3315,  1269,  1270,
    1271,   775,  1272,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,  1273,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257, -2992,  1274,   260,  1275,  1276,     0,   263,   264,
     265,   266,   267,   268,   269,  1277,  1278,   270,   271,  1279,
    1280,   274,     0,   275,   276,   277,   278,  1281,     0,  1282,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,  6001,  1283,  1284,  1285,  1286,  1287,  1288,
    1289,   303,   304,   305,   306,   307,   308,  1290,  1291,   311,
    1292,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   884,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,  1293,   342,   343,
     344,   345,  1294,  1295,   347,     0,   348,   349,   350,  1296,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,  1297,     0,  1298,   365,   366,
       0,   367,   368,   369,   370,   371, -2992,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1299,  1300,
       0,  1301,     0,   395,     0,     0,   398,   399,  1302,  1303,
    1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,  1312,
     420,   421, -2992,     0,   423,   424,   425,  1313,  1314,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,  1315,
     437,   438,   439,   440,   441,   442,   443,   444,  1316,   446,
    1317,   448,   449,   450,   451,   452,   453,   454,   455,   456,
    1318,   458,  1319,   459,   460,     0,   462,  1320,  1321,   464,
    1322,   466,   467,   468,     0,   469,   470,   471,     0,     0,
    1323,   473,   474,     0,     0,   475,   476,   477,   478,   479,
     480,  1324,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,  1325,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,  1326,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,  1327,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
    1328,   555,   556,   557,   558,   559, -2992,   561,   562,  1329,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,  1330,   581,     0,
     582,   583,  1331,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,  1332,  1333,     0,     0,   595,   596,
    1334,   598,  1335,  1336,   600,   601,   602,   603,   604,  6002,
     606,   607,   608,     0,  1337,   609,   610,   611,   612,   613,
    1338,     0,   614,   615,   616,   617,   618,   619,  1339,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,  1340,  1341,
    1342,  1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,
     647,     0, -2992,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1349,  1350,     0,     0,     0,   234,
       0,  1268,   714,  1352,  1269,  1270,  1271,   775,  1272,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,  1273,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1274,
     260,  1275,  1276,     0,   263,   264,   265,   266,   267,   268,
     269,  1277,  1278,   270,   271,  1279,  1280,   274,     0,   275,
     276,   277,   278,  1281,     0,  1282,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
    1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,
     306,   307,   308,  1290,  1291,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   884,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,  1293,   342,   343,   344,   345,  1294,  1295,
     347,     0,   348,   349,   350,  1296,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,  1297,     0,  1298,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1299,  1300,     0,  1301,     0,   395,
     396,   397,   398,   399,  1302,  1303,  1304,  1305,  1306,  1307,
    1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,  1312,   420,   421,   422,     0,
     423,   424,   425,  1313,  1314,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,  1315,   437,   438,   439,   440,
     441,   442,   443,   444,  1316,   446,  1317,   448,   449,   450,
     451,   452,   453,   454,   455,   456,  1318,   458,     0,   459,
     460,   461,   462,  1320,  1321,   464,  1322,   466,   467,   468,
       0,   469,   470,   471,     0,     0,  1323,   473,   474,     0,
       0,   475,   476,   477,   478,   479,   480,  1324,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,  1325,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,  1326,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,  3312,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,  1328,   555,   556,   557,
     558,   559,   560,   561,   562,  1329,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,  1330,   581,     0,   582,   583,  1331,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
    1332,  1333,     0,     0,   595,   596,  1334,   598,  1335,  1336,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,  1338,     0,   614,   615,
     616,   617,   618,   619,  1339,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,
    1345,  1346,  1347,   644,   645,   646,   647,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3313,  3314,   234,     0,  1268,   714,     0,  1269,  1270,  3315,
     775,  1272,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1273,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1274,   260,  1275,  1276,     0,   263,   264,   265,
     266,   267,   268,   269,  1277,  1278,   270,   271,  1279,  1280,
     274,     0,   275,   276,   277,   278,  1281,     0,  1282,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,
     303,   304,   305,   306,   307,   308,  1290,  1291,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   884,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,  1293,   342,   343,   344,
     345,  1294,  1295,   347,     0,   348,   349,   350,  1296,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,  1297,     0,  1298,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1299,  1300,     0,
    1301,     0,   395,   396,   397,   398,   399,  1302,  1303,  1304,
    1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,  1312,   420,
     421,   422,     0,   423,   424,   425,  1313,  1314,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,  1315,   437,
     438,   439,   440,   441,   442,   443,   444,  1316,   446,  1317,
     448,   449,   450,   451,   452,   453,   454,   455,   456,  1318,
     458,     0,   459,   460,   461,   462,  1320,  1321,   464,  1322,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,   480,
    1324,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,     0,   494,   495,   496,  1325,   498,   499,
     500,   501,   502,     0,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,  1326,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,  3492,  3493,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,  1328,
     555,   556,   557,   558,   559,   560,   561,   562,  1329,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,  1330,   581,     0,   582,
     583,  1331,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,  1332,  1333,     0,     0,   595,   596,  1334,
     598,  1335,  1336,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,  1338,
       0,   614,   615,   616,   617,   618,   619,  1339,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,  1340,  1341,  1342,
    1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,   647,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3494,  3495,   234,     0,  1268,   714,     0,
    1269,  1270,  3315,   775,  1272,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,  1273,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,  1274,   260,  1275,  1276,     0,
     263,   264,   265,   266,   267,   268,   269,  1277,  1278,   270,
     271,  1279,  1280,   274,     0,   275,   276,   277,   278,  1281,
       0,  1282,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,  1283,  1284,  1285,  1286,
    1287,  1288,  1289,   303,   304,   305,   306,   307,   308,  1290,
    1291,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   884,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,  1293,
     342,   343,   344,   345,  1294,  1295,   347,     0,   348,   349,
     350,  1296,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,  1297,     0,  1298,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1299,  1300,     0,  1301,     0,   395,   396,   397,   398,   399,
    1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,
    1311,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,  1312,   420,   421,   422,     0,   423,   424,   425,  1313,
    1314,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,  1315,   437,   438,   439,   440,   441,   442,   443,   444,
    1316,   446,  1317,   448,   449,   450,   451,   452,   453,   454,
     455,   456,  1318,   458,     0,   459,   460,   461,   462,  1320,
    1321,   464,  1322,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,   480,  1324,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
    1325,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,  1326,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,  3312,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,  1328,   555,   556,   557,   558,   559,   560,   561,
     562,  1329,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,  1330,
     581,     0,   582,   583,  1331,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,  1332,  1333,     0,     0,
     595,   596,  1334,   598,  1335,  1336,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,  1338,     0,   614,   615,   616,   617,   618,   619,
    1339,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
    1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,   644,
     645,   646,   647,     0,     0,     0,     0,     0,     0,   234,
       0,  1268,   714,     0,  1269,  1270,     0,   775,  1272,     0,
       0,     0,     0,     0,     0,  3315,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,  1273,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1274,
     260,  1275,  1276,     0,   263,  4763,   265,   266,   267,   268,
     269,  1277,  1278,   270,   271,  1279,  1280,   274,     0,   275,
     276,   277,   278,  1281,     0,  1282,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
    1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,
     306,   307,   308,  1290,  1291,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   884,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,  1293,   342,   343,   344,   345,  1294,  1295,
     347,     0,   348,   349,   350,  1296,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,  1297,     0,  1298,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1299,  1300,     0,  1301,     0,   395,
     396,   397,   398,   399,  1302,  1303,  1304,  1305,  1306,  1307,
    1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,  1312,   420,   421,   422,     0,
     423,   424,   425,  1313,  1314,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,  1315,   437,   438,   439,   440,
     441,   442,   443,   444,  1316,   446,  1317,   448,   449,   450,
     451,   452,   453,   454,   455,   456,  1318,   458,     0,   459,
     460,   461,   462,  1320,  1321,   464,  1322,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,   480,  1324,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,  1325,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,  1326,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,  3312,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,  1328,   555,   556,   557,
     558,   559,   560,   561,   562,  1329,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,  1330,   581,     0,   582,   583,  1331,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
    1332,  1333,     0,     0,   595,   596,  1334,   598,  1335,  1336,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,  1338,     0,   614,   615,
     616,   617,   618,   619,  1339,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,
    1345,  1346,  1347,   644,   645,   646,   647,     0,     0,     0,
       0,     0,     0,   234,     0,  1268,   714,     0,  1269,  1270,
       0,   775,  1272,     0,     0,     0,     0,     0,     0,  3315,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,  1273,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,  1274,   260,  1275,  1276,     0,   263,   264,
     265,   266,   267,   268,   269,  1277,  1278,   270,   271,  1279,
    1280,   274,     0,   275,   276,   277,   278,  1281,     0,  1282,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,  1288,
    1289,   303,   304,   305,   306,   307,   308,  1290,  1291,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   884,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,  1293,   342,   343,
     344,   345,  1294,  1295,   347,     0,   348,   349,   350,  1296,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,  1297,     0,  1298,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1299,  1300,
       0,  1301,     0,   395,   396,   397,   398,   399,  1302,  1303,
    1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,  1312,
     420,   421,   422,     0,   423,   424,   425,  1313,  1314,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,  1315,
     437,   438,   439,   440,   441,   442,   443,   444,  1316,   446,
    1317,   448,   449,   450,   451,   452,   453,   454,   455,   456,
    1318,   458,     0,   459,   460,   461,   462,  1320,  1321,   464,
    1322,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
     480,  1324,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,  1325,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,  1326,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,  3312,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
    1328,   555,   556,   557,   558,   559,   560,   561,   562,  1329,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,  1330,   581,     0,
     582,   583,  1331,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,  1332,  1333,     0,     0,   595,   596,
    1334,   598,  1335,  1336,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
    1338,     0,   614,   615,   616,   617,   618,   619,  1339,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,  1340,  1341,
    1342,  1343,  4823,  1344,  1345,  1346,  1347,   644,   645,   646,
     647,     0,     0,     0,     0,     0,     0,   234,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3315,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
    1278,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,  1281,     0,  1282,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,  1283,  1284,
    1285,  1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,  1294,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,  1297,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,   396,   397,
     398,   399,  3463,  1303,  1304,  1305,  1306,  1307,  1308,  1309,
    1310,  3464,  1311,   411,   412,   413,   414,   415,   416,   417,
    3465,     0,   418,  1312,   420,   421,   422,     0,   423,   424,
     425,  1313,  1314,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,  1315,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,  1318,   458,     0,   459,   460,   461,
     462,     0,  1321,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,   859,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,   480,  1324,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,  1325,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,   539,  3466,   541,
     542,   543,   544,   545,   546,   547,   548,   549,    40,   550,
     551,   552,   553,   554,  1328,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,  1330,   581,     0,   582,   583,  1331,    44,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,  1334,   598,  1335,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,  1338,     0,   614,   615,   616,   617,
     618,  1203,   620,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,    49,   628,   629,   630,   631,   632,
     633,   634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,
    1347,  3467,   645,   646,   647,     0,     0,     0,    50,     0,
       0,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3468,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,  1278,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,  1281,     0,  1282,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
    1294,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1297,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,   396,   397,   398,   399,  3463,  1303,  1304,  1305,
    1306,  1307,  1308,  1309,  1310,  3464,  1311,   411,   412,   413,
     414,   415,   416,   417,  3465,     0,   418,  1312,   420,   421,
     422,     0,   423,   424,   425,  1313,  1314,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,  1315,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,  1318,   458,
       0,   459,   460,   461,   462,     0,  1321,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,   859,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,   480,  1324,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,  1325,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,   539,  3466,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,  1328,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,  1330,   581,     0,   582,   583,
    1331,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,  1334,   598,
    1335,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,  1338,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,
     639,  1344,  1345,  1346,  1347,  3467,   645,   646,   647,     0,
       0,     0,     0,     0,     0,   234,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3468,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,  1278,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,  1281,
       0,  1282,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,  1283,  1284,  1285,  1286,
    1287,  1288,  1289,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,  1294,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,  1297,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,   396,   397,   398,   399,
    3463,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,
    1311,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,  1312,   420,   421,   422,     0,   423,   424,   425,  1313,
    1314,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,  1315,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,  1318,   458,     0,   459,   460,   461,   462,     0,
    1321,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,   480,  1324,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
    1325,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,  1328,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,  1330,
     581,     0,   582,   583,  1331,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,  1334,   598,  1335,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,  1338,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
    1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,   644,
     645,   646,   647,     0,     0,     0,     0,     0,     0,   234,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3912,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,  1278,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,  1281,     0,  1282,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
    1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,  1294,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,  1297,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
     396,   397,   398,   399,  3463,  1303,  1304,  1305,  1306,  1307,
    1308,  1309,  1310,  3464,  1311,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,  1312,   420,   421,   422,     0,
     423,   424,   425,  1313,  1314,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,  1315,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,  1318,   458,     0,   459,
     460,   461,   462,     0,  1321,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,   480,  1324,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,  1325,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,   539,
    3466,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,  1328,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,  1330,   581,     0,   582,   583,  1331,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,  1334,   598,  1335,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,  1338,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,
    1345,  1346,  1347,  3467,   645,   646,   647,     0,     0,     0,
       0,     0,     0,   234,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    56,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,  1278,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,  1281,     0,  1282,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,  1288,
    1289,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,  1294,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,  1297,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,   396,   397,   398,   399,  3463,  1303,
    1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,  1312,
     420,   421,   422,     0,   423,   424,   425,  1313,  1314,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,  1315,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
    1318,   458,     0,   459,   460,   461,   462,     0,  1321,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
     480,  1324,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,  1325,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
    1328,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,  1330,   581,     0,
     582,   583,  1331,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
    1334,   598,  1335,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
    1338,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,  1340,  1341,
    1342,  1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,
     647,     0,     0,     0,     0,     0,     0,   234,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4909,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
    1278,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,  1281,     0,  1282,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,  1283,  1284,
    1285,  1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,  1294,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,  1297,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,   396,   397,
     398,   399,  3463,  1303,  1304,  1305,  1306,  1307,  1308,  1309,
    1310,   409,  1311,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,  1312,   420,   421,   422,     0,   423,   424,
     425,  1313,  1314,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,  1315,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,  1318,   458,     0,   459,   460,   461,
     462,     0,  1321,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,   480,  1324,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,  1325,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,  1328,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,  1330,   581,     0,   582,   583,  1331,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,  1334,   598,  1335,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,  1338,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,
    1347,   644,   645,   646,   647,     0,     0,     0,     0,     0,
       0,   964,     0,  1600,   714,     0,     0,     0,     0,   775,
       0,     0,     0,     0,     0,     0,     0,  6105,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,     0,   302,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,  5894,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,  1826,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,  1827,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,  1828,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
       0,     0,     0,     0,     0,   964,     0,     0,     0,     0,
       0,     0,  1601,  1602,  5895,     0,     0,     0,     0,     0,
       0,  5896,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     3,     4,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,     0,   302,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,    40,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,    44,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,  1203,
     620,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,    49,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,  1043,     0,     0,    50,     0,     0,   234,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    56,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,     0,   302,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,     0,     0,
       0,     0,     0,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5644,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,    40,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,    44,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,  1203,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
      49,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,     0,     0,    50,     0,     0,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    56,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,  2902,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,   859,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,  2903,  2904,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,     0,     0,     0,     0,
       0,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1860,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
       0,     0,     0,     0,     0,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1412,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,     0,     0,     0,     0,     0,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3526,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,     0,     0,
       0,     0,     0,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4200,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2107,     0,     0,     0,     0,     0,     0,  2108,     0,     0,
    2109,     0,     0,  4840,  2110,  2111,  2112,  2113,  2114,  2115,
    2116,  2117,  2118,  2119,  2120,  2121,  2122,  2123,  2124,  2125,
    2126,  2127,  2128,  2129,     0,  2130,  2131,  2132,  2133,  2134,
    2135,  2136,  2137,  2138,  2139,  2140,  2141,  2142,  2143,  2144,
    2145,  2146,  2147,  2148,  2149,  2150,  2151,  2152,  2153,  2154,
    2155,  2156,  2157,  2158,  2159,  2160,     0,     0,  2161,  2162,
    2163,  2164,  2165,  2166,  2167,  2168,  2169,  2170,  2171,  2172,
    2173,  2174,  2175,  2176,  2177,  2178,  2179,  2180,  2181,  2182,
    2183,  2184,  2185,  2186,  2187,  2188,     0,  2189,  2190,  2191,
    2192,  2193,  2194,  2195,  2196,  2197,  2198,  2199,  2200,  2201,
    2202,  2203,     0,  2204,  2205,  2206,  2207,  2208,  2209,  2210,
    2211,  2212,  2213,  2214,  2215,  2216,  2217,  2218,  2219,  2220,
    2221,  2222,  2223,  2224,  2225,  2226,  2227,  2228,  2229,  2230,
    2231,  2232,  2233,  2234,  2235,  2236,  2237,  2238,  2239,     0,
    2240,  2241,  2242,  2243,  2244,  2245,  2246,  2247,  2248,  2249,
    2250,  2251,     0,     0,  2252,  2253,  2254,  2255,     0,  2256,
    2257,  2258,  2259,  2260,     0,  2261,  2262,  2263,  2264,  2265,
       0,  2266,  2267,     0,  2268,  2269,  2270,     0,  2271,  2272,
       0,  2273,  2274,  2275,  2276,  2277,  2278,  2279,  2280,  2281,
    2282,  2283,  2284,  2285,  2286,  2287,  2288,  2289,  2290,  2291,
    2292,  2293,  2294,  2295,  2296,  2297,  2298,     0,  2299,     0,
    2300,  2301,  2302,  2303,  2304,  2305,  2306,  2307,  2308,  2309,
    2310,  2311,  2312,  2313,  2314,  2315,  2316,  2317,  2318,  2319,
    2320,  2321,  2322,  2323,  2324,  2325,  2326,  2327,  2328,  2329,
       0,  2330,  2331,  2332,  2333,  2334,  2335,  2336,  2337,  2338,
    2339,  2340,  2341,  2342,  2343,  2344,  2345,  2346,     0,  2347,
    2348,     0,  2349,  2350,  2351,  2352,  2353,  2354,  2355,  2356,
    2357,  2358,  2359,  2360,  2361,  2362,  2363,  2364,  2365,  2366,
    2367,  2368,  2369,  2370,  2371,  2372,  2373,  2374,  2375,  2376,
    2377,     0,  2378,  2379,  2380,     0,  2381,  2382,  2383,  2384,
    2385,     0,  2386,  2387,  2388,  2389,     0,     0,  2390,  2391,
    2392,  2393,  2394,  2395,  2396,  2397,  2398,  2399,  2400,  2401,
    2402,  2403,  2404,  2405,  2406,  2407,  2408,     0,  2409,  2410,
    2411,  2412,  2413,  2414,  2415,  2416,  2417,  2418,  2419,  2420,
    2421,  2422,  2423,  2424,  2425,  2426,  2427,  2428,  2429,  2430,
    2431,  2432,  2433,  2434,  2435,  2436,  2437,  2438,  2439,  2440,
    2441,     0,  2442,  2443,  2444,  2445,  2446,  2447,  2448,  2449,
    2450,  2451,  2452,  2453,  2454,  2455,  2456,  2457,  2458,     0,
    2459,  2460,  2461,  2462,  2463,  2464,  2465,  2466,  2467,  2468,
    2469,  2470,  2471,  2472,  2473,  2474,  2475,  2476,  2477,  2478,
    2479,  2480,  2481,  2482,  2483,  2484,  2485,  2486,  2487,  2488,
    2489,  2490,  2491,  2492,  2493,  2494,  2495,  2496,  2497,  2498,
    2499,  2500,  2501,  2502,  2503,  2504,  2505,  2506,  2507,  2508,
    2509,  2510,  2511,     0,  2512,  2513,  2514,  2515,  2516,  2517,
    2518,  2519,  2520,  2521,  2522,  2523,  2524,  2525,  2526,  2527,
       0,  2528,  2529,  2530,  2531,  2532,  2533,  2534,  2535,  2536,
    2537,  2538,  2539,  2540,  2541,  2542,  2543,     0,  2544,  2545,
    2546,  2547,  2548,  2549,     0,  2550,     0,     0,     0,     0,
    2551,  2552,  2553,  2554,  2555,  2556,  2557,  2558,  2559,  2560,
    2561,  2562,  2563,  2564,  2565,     0,  2566,  2567,     0,  2568,
       0,     0,     0,     0,     0,     0,     0,     0,  2569,  2570,
    2571,  2572,  2573,  2574,  2575,  2576,  2577,   876,     0,  1600,
     714,     0,     0,     0,   979,   775,     0,     0,     0,     0,
       0,   980,   981,   982,   235,   236,   237,   238,   239,   240,
     241,   242,   243,  1738,   244,   245,   246,  1739,  1740,  1741,
    1742,  1743,  1744,  1745,   247,   248,   249,  1746,   250,   251,
     252,   253,   254,   255,   256,   257,     0,   877,   260,   878,
     879,  1747,   263,   264,   265,   266,   267,   268,   269,  1748,
    1749,   270,   271,   880,   881,   274,  1750,   275,   276,   277,
     278,     0,  1751,   280,  1752,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,  1753,   292,   293,   294,
     295,   296,   297,  1754,   298,   299,   300,   301,  1755,  1756,
    1757,   302,  1758,  1759,  1760,   303,   304,   305,   306,   307,
     308,   882,   883,   311,  1761,   312,  1762,   313,   314,   315,
     316,   317,   318,   319,  1763,   320,   321,   322,   323,  1764,
    1765,   324,   325,   884,   327,   328,  1766,   329,   330,   331,
     332,  1767,   333,   334,   335,   336,  1768,   337,   338,   339,
     340,     0,   342,   343,   344,   345,     0,  1769,   347,  1770,
     348,   349,   350,   885,   352,  1771,   353,  1772,   354,   355,
     356,  1773,   357,   358,   359,   360,   361,  1774,   362,     0,
    1775,     0,   365,   366,  1776,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,  1777,   377,   378,   379,   380,
     381,   382,   383,   384,  1778,   385,   386,     0,   388,   389,
     390,   391,   886,   887,  1779,   888,  1780,   395,   396,   397,
     398,   399,   889,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   411,   412,   413,   414,   415,   416,   417,
    1781,  1782,   418,     0,   420,   421,   422,  1783,   423,   424,
     425,  1784,  1785,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   890,   446,   891,   448,   449,   450,   451,   452,
     453,   454,   455,  4523,     0,   458,  1786,   459,   460,   461,
     462,  1787,     0,   464,   892,   466,   467,   468,  1788,   469,
     470,   471,  1789,  1790,  4524,   473,   474,  1791,  1792,   475,
     476,     0,   478,   479,   480,     0,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,  1793,   494,
     495,   496,     0,   498,     0,   500,   501,   502,  1794,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     893,   515,   516,   517,  1795,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,  1796,   531,
     532,   533,   534,   535,   536,   537,   538,     0,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,  1797,   550,
     551,   552,   553,   554,  1798,   555,   556,  2729,   558,   559,
     560,   561,   562,   895,   564,  1799,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,     0,   581,  1800,   582,   583,  1801,  1802,   584,   585,
     586,   587,   588,   589,   590,   591,  1803,   592,   896,   897,
    1804,  1805,   595,   596,     0,   598,     0,  1806,   600,   601,
     602,   603,   604,   605,   606,   607,   608,  1807,  1808,   609,
     610,   611,   612,   613,  1809,  1810,   614,   615,   616,   617,
     618,     0,   898,  1811,   621,   622,   623,   624,   625,   626,
    1812,  1813,   627,  1814,  1815,   628,   629,   630,   631,   632,
     633,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   645,   646,   647,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   985,   986,   987,  4525,  4526,
     990,   991,   992,   993,   876,     0,  1600,   714,     0,     0,
       0,   979,   775,     0,     0,     0,     0,     0,   980,   981,
     982,   235,   236,   237,   238,   239,   240,   241,   242,   243,
    1738,   244,   245,   246,  1739,  1740,  1741,  1742,  1743,  1744,
    1745,   247,   248,   249,  1746,   250,   251,   252,   253,   254,
     255,   256,   257,     0,   877,   260,   878,   879,  1747,   263,
     264,   265,   266,   267,   268,   269,  1748,  1749,   270,   271,
     880,   881,   274,  1750,   275,   276,   277,   278,     0,  1751,
     280,  1752,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,  1753,   292,   293,   294,   295,   296,   297,
    1754,   298,   299,   300,   301,  1755,  1756,  1757,   302,  1758,
    1759,  1760,   303,   304,   305,   306,   307,   308,   882,   883,
     311,  1761,   312,  1762,   313,   314,   315,   316,   317,   318,
     319,  1763,   320,   321,   322,   323,  1764,  1765,   324,   325,
     884,   327,   328,  1766,   329,   330,   331,   332,  1767,   333,
     334,   335,   336,  1768,   337,   338,   339,   340,     0,   342,
     343,   344,   345,     0,  1769,   347,  1770,   348,   349,   350,
     885,   352,  1771,   353,  1772,   354,   355,   356,  1773,   357,
     358,   359,   360,   361,  1774,   362,     0,  1775,     0,   365,
     366,  1776,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,  1777,   377,   378,   379,   380,   381,   382,   383,
     384,  1778,   385,   386,     0,   388,   389,   390,   391,   886,
     887,  1779,   888,  1780,   395,   396,   397,   398,   399,   889,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     411,   412,   413,   414,   415,   416,   417,  1781,  1782,   418,
       0,   420,   421,   422,  1783,   423,   424,   425,  1784,  1785,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   890,
     446,   891,   448,   449,   450,   451,   452,   453,   454,   455,
    4980,     0,   458,  1786,   459,   460,   461,   462,  1787,     0,
     464,   892,   466,   467,   468,  1788,   469,   470,   471,  1789,
    1790,  4524,   473,   474,  1791,  1792,   475,   476,     0,   478,
     479,   480,     0,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,  1793,   494,   495,   496,     0,
     498,     0,   500,   501,   502,  1794,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   893,   515,   516,
     517,  1795,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,  1796,   531,   532,   533,   534,
     535,   536,   537,   538,     0,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,  1797,   550,   551,   552,   553,
     554,  1798,   555,   556,  2729,   558,   559,   560,   561,   562,
     895,   564,  1799,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,     0,   581,
    1800,   582,   583,  1801,  1802,   584,   585,   586,   587,   588,
     589,   590,   591,  1803,   592,   896,   897,  1804,  1805,   595,
     596,     0,   598,     0,  1806,   600,   601,   602,   603,   604,
     605,   606,   607,   608,  1807,  1808,   609,   610,   611,   612,
     613,  1809,  1810,   614,   615,   616,   617,   618,     0,   898,
    1811,   621,   622,   623,   624,   625,   626,  1812,  1813,   627,
    1814,  1815,   628,   629,   630,   631,   632,   633,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   645,
     646,   647,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   985,   986,   987,  4525,  4526,   990,   991,   992,
     993,   655,     0,     0,     0,     0,     0,     0,   979,     0,
       0,     0,     0,     0,     0,   980,   981,   982,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   983,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   984,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   985,
     986,   987,   988,   989,   990,   991,   992,   993,   655,     0,
       0,     0,     0,     0,     0,   979,     0,     0,     0,     0,
       0,     0,   980,   981,   982,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,  1100,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,  1101,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,     0,
     494,   495,   496,   497,   498,   499,   500,   501,   502,     0,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   985,   986,   987,   988,
     989,   990,   991,   992,   993,   655,     0,     0,     0,     0,
       0,     0,   979,     0,     0,     0,     0,     0,     0,   980,
     981,   982,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,  1166,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,  1167,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  1168,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   985,   986,   987,   988,   989,   990,   991,
     992,   993,   655,     0,     0,     0,     0,     0,     0,   979,
       0,     0,     0,     0,     0,     0,   980,   981,   982,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,  1843,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,  1844,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,     0,   494,   495,   496,   497,   498,   499,
     500,   501,   502,     0,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     985,   986,   987,   988,   989,   990,   991,   992,   993,   655,
       0,     0,     0,     0,     0,     0,   979,     0,     0,     0,
       0,     0,     0,   980,   981,   982,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   985,   986,   987,
     988,   989,   990,   991,   992,   993,   655,     0,     0,     0,
       0,     0,     0,   979,     0,     0,     0,     0,     0,     0,
     980,   981,   982,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,  3591,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,  3592,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,     0,   494,   495,
     496,   497,   498,   499,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   985,   986,   987,   988,   989,   990,
     991,   992,   993,   655,     0,     0,     0,     0,     0,     0,
     979,     0,     0,     0,     0,     0,     0,   980,   981,   982,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
    5624,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,     0,  1737,     0,     0,     0,     0,     0,     0,
       0,   985,   986,   987,   988,   989,   990,   991,   992,   993,
     235,   236,   237,   238,   239,   240,   241,   242,   243,  1738,
     244,   245,   246,  1739,  1740,  1741,  1742,  1743,  1744,  1745,
     247,   248,   249,  1746,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,  1747,   263,   264,
     265,   266,   267,   268,   269,  1748,  1749,   270,   271,   272,
     273,   274,  1750,   275,   276,   277,   278,   279,  1751,   280,
    1752,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,  1753,   292,   293,   294,   295,   296,   297,  1754,
     298,   299,   300,   301,  1755,  1756,  1757,   302,  1758,  1759,
    1760,   303,   304,   305,   306,   307,   308,   309,   310,   311,
    1761,   312,  1762,   313,   314,   315,   316,   317,   318,   319,
    1763,   320,   321,   322,   323,  1764,  1765,   324,   325,   326,
     327,   328,  1766,   329,   330,   331,   332,  1767,   333,   334,
     335,   336,  1768,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,  1769,   347,  1770,   348,   349,   350,   351,
     352,  1771,   353,  1772,   354,   355,   356,  1773,   357,   358,
     359,   360,   361,  1774,   362,   363,  1775,   364,   365,   366,
    1776,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,  1777,   377,   378,   379,   380,   381,   382,   383,   384,
    1778,   385,   386,   387,   388,   389,   390,   391,   392,   393,
    1779,   394,  1780,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,  1781,  1782,   418,   419,
     420,   421,   422,  1783,   423,   424,   425,  1784,  1785,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,  1786,   459,   460,   461,   462,  1787,   463,   464,
     465,   466,   467,   468,  1788,   469,   470,   471,  1789,  1790,
     472,   473,   474,  1791,  1792,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,  1793,   494,   495,   496,   497,   498,
     499,   500,   501,   502,  1794,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
    1795,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,  1796,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,  1797,   550,   551,   552,   553,   554,
    1798,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,  1799,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,  1800,
     582,   583,  1801,  1802,   584,   585,   586,   587,   588,   589,
     590,   591,  1803,   592,   593,   594,  1804,  1805,   595,   596,
     597,   598,   599,  1806,   600,   601,   602,   603,   604,   605,
     606,   607,   608,  1807,  1808,   609,   610,   611,   612,   613,
    1809,  1810,   614,   615,   616,   617,   618,   619,   620,  1811,
     621,   622,   623,   624,   625,   626,  1812,  1813,   627,  1814,
    1815,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1816,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   865,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  6073,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    6075,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   876,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6203,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,     0,   877,   260,   878,   879,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   880,
     881,   274,     0,   275,   276,   277,   278,     0,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,     0,     0,     0,   302,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   882,   883,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   884,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,     0,   342,   343,
     344,   345,     0,     0,   347,     0,   348,   349,   350,   885,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,     0,     0,     0,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,  2725,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,  2726,   388,   389,   390,   391,   886,   887,
       0,   888,     0,   395,   396,   397,   398,   399,   889,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,     0,
     420,   421,   422,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   890,   446,
     891,   448,   449,   450,   451,   452,   453,   454,   455,     0,
       0,   458,     0,   459,   460,   461,   462,     0,     0,   464,
     892,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,  2727,   475,   476,  2728,   478,   479,
     480,     0,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,     0,   498,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   893,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,     0,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,  2729,   558,   559,   560,   561,   562,   895,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,     0,   581,     0,
     582,   583,     0,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   896,   897,     0,     0,   595,   596,
       0,   598,     0,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,     0,   898,  2730,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,     0,     0,     0,
    3949,     0,     0,     0,     0,     0,     0,     0,   645,   646,
     647,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,  2731,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,     0,
     877,   260,   878,   879,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   880,   881,   274,     0,
     275,   276,   277,   278,     0,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,     0,     0,     0,   302,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   882,   883,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   884,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,     0,   342,   343,   344,   345,     0,
       0,   347,     0,   348,   349,   350,   885,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,     0,     0,     0,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,  2725,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
    2726,   388,   389,   390,   391,   886,   887,     0,   888,     0,
     395,   396,   397,   398,   399,   889,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,     0,   420,   421,   422,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   890,   446,   891,   448,   449,
     450,   451,   452,   453,   454,   455,     0,     0,   458,     0,
     459,   460,   461,   462,     0,     0,   464,   892,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,  2727,   475,   476,  2728,   478,   479,   480,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,     0,   494,   495,   496,     0,   498,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   893,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
       0,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
    2729,   558,   559,   560,   561,   562,   895,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,     0,   581,     0,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   896,   897,     0,     0,   595,   596,     0,   598,     0,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,     0,   898,  2730,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   645,   646,   647,   964,     0,
    1600,   714,     0,     0,     0,     0,   775,     0,     0,     0,
       0,     0,     0,  2731,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,     0,
       0,     0,   302,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,  2616,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,  1826,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,   420,   421,   422,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,  1827,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,     0,
     494,   495,   496,   497,   498,   499,   500,   501,   502,     0,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,  1828,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   964,     0,  1600,   714,
       0,     0,     0,     0,   775,     0,     0,     0,     0,  1601,
    1602,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,     0,     0,     0,
     302,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,  2621,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,  1826,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,  1827,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,     0,   494,   495,
     496,   497,   498,   499,   500,   501,   502,     0,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,  1828,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   964,     0,  1600,   714,     0,     0,
       0,     0,   775,     0,     0,     0,     0,  1601,  1602,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,     0,     0,     0,   302,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,  3558,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,  1826,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,  1827,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,     0,   494,   495,   496,   497,
     498,   499,   500,   501,   502,     0,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,  1828,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   964,     0,  1600,   714,     0,     0,     0,     0,
     775,     0,     0,     0,     0,  1601,  1602,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,     0,     0,     0,   302,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,  1826,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,  1827,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,     0,   494,   495,   496,   497,   498,   499,
     500,   501,   502,     0,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,  1828,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,   775,     0,
       0,     0,     0,  1601,  1602,     0,     0,   235,   236,   776,
     238,   239,   240,   241,   242,   243,   777,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   778,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   779,   351,   352,     0,   353,
       0,   354,   780,     0,   781,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,   782,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   783,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     784,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,     0,   494,   495,   496,   497,   498,   499,   500,   501,
     502,     0,   785,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   786,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   964,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   787,   788,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     3,     4,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,     0,
       0,     0,   302,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,   420,   421,   422,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,     0,
     494,   495,   496,   497,   498,   499,   500,   501,   502,     0,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,  1043,  1737,     0,  6398,
     714,     0,     0,     0,     0,   775,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,  1738,   244,   245,   246,  1739,  1740,  1741,
    1742,  1743,  1744,  1745,   247,   248,   249,  1746,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,  1747,   263,   264,   265,   266,   267,   268,   269,  1748,
    1749,   270,   271,   272,   273,   274,  1750,   275,   276,   277,
     278,   279,  1751,   280,  1752,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,  1753,   292,   293,   294,
     295,   296,   297,  1754,   298,   299,   300,   301,  1755,  1756,
    1757,   302,  1758,  1759,  1760,   303,   304,   305,   306,   307,
     308,   309,   310,   311,  1761,   312,  1762,   313,   314,   315,
     316,   317,   318,   319,  1763,   320,   321,   322,   323,  1764,
    1765,   324,   325,   326,   327,   328,  1766,   329,   330,   331,
     332,  1767,   333,   334,   335,   336,  1768,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,  1769,   347,  1770,
     348,   349,   350,   351,   352,  1771,   353,  1772,   354,   355,
     356,  1773,   357,   358,   359,   360,   361,  1774,   362,   363,
    1775,   364,   365,   366,  1776,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,  1777,   377,   378,   379,   380,
     381,   382,   383,   384,  1778,   385,   386,   387,   388,   389,
     390,   391,   392,   393,  1779,   394,  1780,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
    1781,  1782,   418,   419,   420,   421,   422,  1783,   423,   424,
     425,  1784,  1785,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,  1786,   459,   460,   461,
     462,  1787,   463,   464,   465,   466,   467,   468,  1788,   469,
     470,   471,  1789,  1790,   472,   473,   474,  1791,  1792,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,  1793,   494,
     495,   496,   497,   498,   499,   500,   501,   502,  1794,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,  1795,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,  1796,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,  1797,   550,
     551,   552,   553,   554,  1798,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,  1799,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,  1800,   582,   583,  1801,  1802,   584,   585,
     586,   587,   588,   589,   590,   591,  1803,   592,   593,   594,
    1804,  1805,   595,   596,   597,   598,   599,  1806,   600,   601,
     602,   603,   604,   605,   606,   607,   608,  1807,  1808,   609,
     610,   611,   612,   613,  1809,  1810,   614,   615,   616,   617,
     618,   619,   620,  1811,   621,   622,   623,   624,   625,   626,
    1812,  1813,   627,  1814,  1815,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,  1737,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,  1738,   244,   245,   246,  1739,  1740,  1741,  1742,  1743,
    1744,  1745,   247,   248,   249,  1746,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,  1747,
     263,   264,   265,   266,   267,   268,   269,  1748,  1749,   270,
     271,   272,   273,   274,  1750,   275,   276,   277,   278,   279,
    1751,   280,  1752,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,  1753,   292,   293,   294,   295,   296,
     297,  1754,   298,   299,   300,   301,  1755,  1756,  1757,   302,
    1758,  1759,  1760,   303,   304,   305,   306,   307,   308,   309,
     310,   311,  1761,   312,  1762,   313,   314,   315,   316,   317,
     318,   319,  1763,   320,   321,   322,   323,  1764,  1765,   324,
     325,   326,   327,   328,  1766,   329,   330,   331,   332,  1767,
     333,   334,   335,   336,  1768,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,  1769,   347,  1770,   348,   349,
     350,   351,   352,  1771,   353,  1772,   354,   355,   356,  1773,
     357,   358,   359,   360,   361,  1774,   362,   363,  1775,   364,
     365,   366,  1776,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,  1777,   377,   378,   379,   380,   381,   382,
     383,   384,  1778,   385,   386,   387,   388,   389,   390,   391,
     392,   393,  1779,   394,  1780,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,  1781,  1782,
     418,   419,   420,   421,   422,  1783,   423,   424,   425,  1784,
    1785,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,  1786,   459,   460,   461,   462,  1787,
     463,   464,   465,   466,   467,   468,  1788,   469,   470,   471,
    1789,  1790,   472,   473,   474,  1791,  1792,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,  1793,   494,   495,   496,
     497,   498,   499,   500,   501,   502,  1794,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,  1795,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,  1796,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,  1797,   550,   551,   552,
     553,   554,  1798,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,  1799,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,  1800,   582,   583,  1801,  1802,   584,   585,   586,   587,
     588,   589,   590,   591,  1803,   592,   593,   594,  1804,  1805,
     595,   596,   597,   598,   599,  1806,   600,   601,   602,   603,
     604,   605,   606,   607,   608,  1807,  1808,   609,   610,   611,
     612,   613,  1809,  1810,   614,   615,   616,   617,   618,   619,
     620,  1811,   621,   622,   623,   624,   625,   626,  1812,  1813,
     627,  1814,  1815,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,  1737,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,  3666,   241,   242,   243,  1738,
     244,   245,   246,  1739,  1740,  1741,  1742,  1743,  1744,  1745,
     247,   248,   249,  1746,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,  1747,   263,   264,
     265,   266,   267,   268,   269,  1748,  1749,   270,   271,   272,
     273,   274,  1750,   275,   276,   277,   278,   279,  1751,   280,
    1752,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,  1753,   292,   293,   294,   295,   296,   297,  1754,
     298,   299,   300,   301,  1755,  1756,  1757,   302,  1758,  1759,
    1760,   303,   304,   305,   306,   307,   308,   309,   310,   311,
    1761,   312,  1762,   313,   314,   315,   316,   317,   318,   319,
    1763,   320,   321,   322,   323,  1764,  1765,   324,   325,   326,
    3667,   328,  1766,   329,   330,   331,   332,  1767,   333,   334,
     335,   336,  1768,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,  1769,   347,  1770,   348,   349,   350,   351,
     352,  1771,   353,  1772,   354,   355,   356,  1773,   357,   358,
     359,   360,   361,  1774,   362,   363,  1775,   364,   365,   366,
    1776,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,  1777,   377,   378,   379,   380,   381,   382,   383,   384,
    1778,   385,   386,   387,   388,   389,   390,   391,   392,   393,
    1779,   394,  1780,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,  1781,  1782,   418,   419,
     420,   421,   422,  1783,   423,   424,   425,  1784,  1785,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,  1786,   459,   460,   461,   462,  1787,   463,   464,
     465,   466,   467,   468,  1788,   469,   470,   471,  1789,  1790,
     472,   473,   474,  1791,  1792,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,  1793,   494,   495,   496,   497,   498,
     499,   500,   501,   502,  1794,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
    1795,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,  1796,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,  1797,   550,   551,   552,   553,   554,
    1798,  3668,   556,   557,   558,   559,   560,   561,   562,   563,
     564,  1799,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,  1800,
     582,   583,  1801,  1802,   584,   585,   586,   587,   588,   589,
     590,   591,  1803,   592,   593,   594,  1804,  1805,   595,   596,
     597,   598,   599,  1806,   600,   601,   602,   603,   604,   605,
     606,   607,   608,  1807,  1808,   609,   610,   611,   612,   613,
    1809,  1810,   614,   615,   616,   617,   618,   619,   620,  1811,
     621,   622,   623,   624,   625,   626,  1812,  1813,   627,  1814,
    1815,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,  1278,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,  1281,     0,  1282,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
    1294,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1297,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,   396,   397,   398,   399,  3463,  1303,  1304,  1305,
    1306,  1307,  1308,  1309,  1310,   409,  1311,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,  1312,   420,   421,
     422,     0,   423,   424,   425,  1313,  1314,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,  1315,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,  1318,   458,
       0,   459,   460,   461,   462,     0,  1321,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,   480,  1324,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,  1325,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,  1328,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,  1330,   581,     0,   582,   583,
    1331,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,  1334,   598,
    1335,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,  1338,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,
     639,  1344,  1345,  1346,  1347,   644,   645,   646,   647,   234,
       0,  1268,   714,     0,  1269,  1270,     0,   775,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1274,
     260,  1275,  1276,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,  1279,  1280,   274,     0,   275,
     276,   277,   278,   279,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,     0,   302,     0,     0,     0,   303,   304,   305,
     306,   307,   308,  1290,  1291,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   884,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,  1295,
     347,     0,   348,   349,   350,  1296,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1299,  1300,     0,  1301,     0,   395,
     396,   397,   398,   399,  6370,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,  1316,   446,  1317,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,  1320,   463,   464,  1322,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,  1326,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,   560,   561,   562,  1329,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
    1332,  1333,     0,     0,   595,   596,   597,   598,   599,  1336,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,  1339,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   964,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,  1003,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
     965,   302,     0,     0,   966,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,   420,   421,   422,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,   967,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   964,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,  1024,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,   965,   302,
       0,     0,   966,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,  1025,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,   967,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   964,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,     0,     0,   965,   302,     0,     0,
     966,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
     967,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
    2996,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   964,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,   965,   302,     0,     0,   966,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,   363,  4020,   364,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,   967,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   964,
       0,     0,   714,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,     0,   302,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,  1826,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,  1827,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,  1828,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   964,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
     965,   302,     0,     0,   966,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,   420,   421,   422,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,   967,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   964,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,   965,   302,
       0,     0,   966,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,  1119,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,   967,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   964,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,     0,     0,   965,   302,     0,     0,
     966,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,  1161,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
     967,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   964,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,   965,   302,     0,     0,   966,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,  1174,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,   967,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   964,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,   965,   302,     0,     0,   966,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  1186,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,  1187,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,   967,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   964,     0,     0,
     714,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
       0,   302,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,  2601,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,   420,   421,   422,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   964,     0,     0,   714,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,     0,   302,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   234,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,     0,     0,     0,   302,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,     0,   302,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,  1145,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   234,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,     0,   302,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  1158,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   234,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
       0,   302,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,  1172,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,   420,   421,   422,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   234,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,     0,   302,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  1176,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   964,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,     0,     0,     0,   302,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
    2830,   275,   276,   277,   278,   279,     0,     0,  2831,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
    2832,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,  2833,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,  2834,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,  2835,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,  2836,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,  2837,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,  2830,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,  2832,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,  2833,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,  2834,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,  3883,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
    2836,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
    2837,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   794,   244,   795,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   796,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,   827,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   797,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   798,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   794,   244,   795,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   796,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,  3565,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   797,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   798,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,  2830,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,  2832,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,  2833,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,  2834,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,  2836,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,  2837,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   794,   244,   795,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   796,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   797,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   798,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,  3072,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,  2902,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,   859,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,  2903,
    2904,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,  2004,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,  2005,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,  2006,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,  2007,   354,   355,
       0,     0,     0,  2008,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,  2009,  2010,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
    2011,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,  2012,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,  2013,   538,   539,   540,   541,
     542,   543,  2014,   545,   546,   547,   548,   549,     0,  2015,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,  2016,   584,     0,
    2017,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
    2018,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   795,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   796,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   797,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   798,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,  2902,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,   859,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,  2903,  2904,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,  1017,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,  1018,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,   859,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,  3647,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,  3648,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,  3660,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,  3661,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   656,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   705,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   706,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   819,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   820,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   821,   594,     0,     0,   822,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   853,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   854,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     855,   594,     0,     0,   856,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,   859,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,   919,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   974,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   975,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,  1137,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,  1387,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,  1398,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   839,   271,   272,   273,  1399,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   842,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   843,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   844,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,  1391,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   846,   594,
       0,     0,   847,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     848,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  1544,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,   859,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,  1605,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,  1606,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   819,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,  3412,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,  3413,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,  3414,
     584,     0,   586,   587,  3415,   589,  3416,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,  3417,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
     714,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,   775,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,  4238,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,  4252,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,  4398,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,  4921,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,  4994,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
    5355,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   811,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     817,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   839,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   840,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   841,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   842,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     843,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     844,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   845,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   846,   594,     0,     0,
     847,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   848,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   871,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   999,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  1009,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,  1012,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  1028,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,  1085,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,  1090,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  1107,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,  1110,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  1112,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,  1150,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,  1178,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  1180,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,  1190,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  1193,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,  1196,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   839,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   842,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   843,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   844,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,  1391,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   846,   594,     0,     0,   847,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   848,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  1869,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,  1903,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  1905,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,  1945,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,  1947,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  1949,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
    2043,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
    2717,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,     0,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   839,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   842,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   843,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   844,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,  1391,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,  2751,   587,   588,   589,
     590,   591,     0,   592,   846,   594,     0,     0,   847,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   848,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   839,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   842,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   843,   535,   536,   537,
     538,   539,   540,   541,   542,   543,  2813,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,  2814,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   846,   594,     0,     0,  2815,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   848,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   839,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   842,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   843,   535,   536,   537,   538,   539,
     540,   541,   542,   543,  2899,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,  2814,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     846,   594,     0,     0,  2815,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   848,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   839,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   842,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   843,   535,   536,   537,   538,   539,   540,   541,
     542,   543,  2923,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,  2814,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   846,   594,
       0,     0,  2815,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     848,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  3117,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,  3121,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,  3179,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  3570,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   839,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   842,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   843,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   844,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,  2814,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   846,   594,
       0,     0,  2815,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     848,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  3628,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,  3650,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,  3652,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  3802,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,  3844,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,   497,   498,   499,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  5107,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
     497,   498,   499,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   655,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,  5629,     0,   494,   495,   496,   497,   498,
     499,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,     0,   421,
       0,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,     0,   447,  6334,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,     0,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,   477,     0,   479,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,   497,   498,   499,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,     0,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,     0,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,     0,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,     0,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   655,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,     0,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,     0,   490,   491,   492,   493,
       0,   494,   495,   496,   497,   498,   499,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   876,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,     0,   877,   260,   878,
     879,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   880,   881,   274,     0,   275,   276,   277,
     278,     0,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
       0,   302,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   882,   883,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   884,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,     0,   342,   343,   344,   345,     0,     0,   347,     0,
     348,   349,   350,   885,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,     0,
       0,     0,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,  2725,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,  2726,   388,   389,
     390,   391,   886,   887,     0,   888,     0,   395,   396,   397,
     398,   399,   889,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,     0,   420,   421,   422,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   890,   446,   891,   448,   449,   450,   451,   452,
     453,   454,   455,     0,     0,   458,     0,   459,   460,   461,
     462,     0,     0,   464,   892,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,  2728,   478,   479,   480,     0,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,     0,   498,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     893,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,     0,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,  2729,   558,   559,
     560,   561,   562,   895,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,     0,   581,     0,   582,   583,     0,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   896,   897,
       0,     0,   595,   596,     0,   598,     0,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,     0,   898,  2730,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   876,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   645,   646,   647,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
       0,   877,   260,   878,   879,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   880,   881,   274,
       0,   275,   276,   277,   278,     0,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,     0,   302,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   882,   883,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   884,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,     0,   342,   343,   344,   345,
       0,     0,   347,     0,   348,   349,   350,   885,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,     0,     0,     0,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,     0,   388,   389,   390,   391,   886,   887,     0,   888,
       0,   395,   396,   397,   398,   399,   889,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,     0,   420,   421,
     422,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   437,   438,
     439,   440,   441,   442,   443,   444,   890,   446,   891,   448,
     449,   450,   451,   452,   453,   454,   455,     0,     0,   458,
       0,   459,   460,   461,   462,  2809,     0,   464,   892,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,     0,   478,   479,   480,     0,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,     0,   498,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   893,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,     0,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,  2729,   558,   559,   560,   561,   562,   895,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,     0,   581,     0,   582,   583,
       0,  4624,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   896,   897,     0,     0,   595,   596,     0,   598,
       0,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,     0,   898,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   876,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   645,   646,   647,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,     0,   877,   260,   878,   879,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   880,   881,   274,     0,   275,   276,   277,   278,     0,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,     0,   302,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   882,
     883,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   884,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,     0,
     342,   343,   344,   345,     0,     0,   347,     0,   348,   349,
     350,   885,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,     0,     0,     0,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,     0,   388,   389,   390,   391,
     886,   887,     0,   888,     0,   395,   396,   397,   398,   399,
     889,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,     0,   420,   421,   422,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     890,   446,   891,   448,   449,   450,   451,   452,   453,   454,
     455,  2889,     0,   458,     0,   459,   460,   461,   462,     0,
       0,   464,   892,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,     0,
     478,   479,   480,     0,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
       0,   498,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   893,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,     0,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   894,   558,   559,   560,   561,
     562,   895,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,     0,
     581,     0,   582,   583,     0,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   896,   897,     0,     0,
     595,   596,     0,   598,     0,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,     0,
     898,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   876,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     645,   646,   647,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,     0,   877,
     260,   878,   879,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   880,   881,   274,     0,   275,
     276,   277,   278,     0,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,     0,   302,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   882,   883,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   884,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,     0,   342,   343,   344,   345,     0,     0,
     347,     0,   348,   349,   350,   885,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,     0,     0,     0,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,     0,
     388,   389,   390,   391,   886,   887,     0,   888,     0,   395,
     396,   397,   398,   399,   889,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,     0,   420,   421,   422,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   890,   446,   891,   448,   449,   450,
     451,   452,   453,   454,   455,  4420,     0,   458,     0,   459,
     460,   461,   462,     0,     0,   464,   892,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,     0,   478,   479,   480,     0,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,     0,   498,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   893,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,     0,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   894,
     558,   559,   560,   561,   562,   895,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,     0,   581,     0,   582,   583,     0,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     896,   897,     0,     0,   595,   596,     0,   598,     0,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,     0,   898,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   876,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   645,   646,   647,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,     0,   877,   260,   878,   879,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   880,
     881,   274,     0,   275,   276,   277,   278,     0,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,     0,     0,     0,   302,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   882,   883,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   884,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,     0,   342,   343,
     344,   345,     0,     0,   347,     0,   348,   349,   350,   885,
     352,  6020,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,     0,     0,     0,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,     0,   388,   389,   390,   391,   886,   887,
       0,   888,     0,   395,   396,   397,   398,   399,   889,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,     0,
     420,   421,   422,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   890,   446,
     891,   448,   449,   450,   451,   452,   453,   454,   455,     0,
       0,   458,     0,   459,   460,   461,   462,     0,     0,   464,
     892,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,     0,   478,   479,
     480,     0,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,     0,   498,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   893,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,     0,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   894,   558,   559,   560,   561,   562,   895,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,     0,   581,     0,
     582,   583,     0,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   896,   897,     0,     0,   595,   596,
       0,   598,     0,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,     0,   898,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   876,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   645,   646,
     647,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,     0,   877,   260,   878,
     879,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   880,   881,   274,     0,   275,   276,   277,
     278,     0,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
       0,   302,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   882,   883,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   884,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,     0,   342,   343,   344,   345,     0,     0,   347,     0,
     348,   349,   350,   885,   352,  6378,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,     0,
       0,     0,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,     0,   388,   389,
     390,   391,   886,   887,     0,   888,     0,   395,   396,   397,
     398,   399,   889,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,     0,   420,   421,   422,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   890,   446,   891,   448,   449,   450,   451,   452,
     453,   454,   455,     0,     0,   458,     0,   459,   460,   461,
     462,     0,     0,   464,   892,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,     0,   478,   479,   480,     0,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,     0,   498,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     893,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,     0,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   894,   558,   559,
     560,   561,   562,   895,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,     0,   581,     0,   582,   583,     0,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   896,   897,
       0,     0,   595,   596,     0,   598,     0,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,     0,   898,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   876,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   645,   646,   647,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
       0,   877,   260,   878,   879,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   880,   881,   274,
       0,   275,   276,   277,   278,     0,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,     0,   302,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   882,   883,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   884,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,     0,   342,   343,   344,   345,
       0,     0,   347,     0,   348,   349,   350,   885,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,     0,     0,     0,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,     0,   388,   389,   390,   391,   886,   887,     0,   888,
       0,   395,   396,   397,   398,   399,   889,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,     0,   420,   421,
     422,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   437,   438,
     439,   440,   441,   442,   443,   444,   890,   446,   891,   448,
     449,   450,   451,   452,   453,   454,   455,     0,     0,   458,
       0,   459,   460,   461,   462,     0,     0,   464,   892,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,     0,   478,   479,   480,     0,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,     0,   498,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   893,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,     0,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   894,   558,   559,   560,   561,   562,   895,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,     0,   581,     0,   582,   583,
       0,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   896,   897,     0,     0,   595,   596,     0,   598,
       0,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,     0,   898,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   876,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   645,   646,   647,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,     0,   877,   260,   878,   879,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   880,   881,   274,     0,   275,   276,   277,   278,     0,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,     0,   302,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   882,
     883,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   884,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,     0,
     342,   343,   344,   345,     0,     0,   347,     0,   348,   349,
     350,   885,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,     0,     0,     0,
     365,   366,     0,   367,   368,   369,   370,  1152,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,     0,   388,   389,   390,   391,
     886,   887,     0,   888,     0,   395,   396,   397,   398,   399,
     889,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,     0,   420,   421,   422,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     890,   446,   891,   448,   449,   450,   451,   452,   453,   454,
     455,     0,     0,   458,     0,   459,   460,   461,   462,     0,
       0,   464,   892,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,     0,
     478,   479,   480,     0,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   495,   496,
       0,   498,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   893,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,     0,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   894,   558,   559,   560,   561,
     562,   895,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,     0,
     581,     0,   582,   583,     0,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   896,   897,     0,     0,
     595,   596,     0,   598,     0,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,     0,
     898,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   876,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     645,   646,   647,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,     0,   877,
     260,   878,   879,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   880,   881,   274,     0,   275,
     276,   277,   278,     0,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,     0,   302,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   882,   883,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   884,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,     0,   342,   343,   344,   345,     0,     0,
     347,     0,   348,   349,   350,   885,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,     0,     0,     0,   365,   366,     0,   367,   368,   369,
     370,  1184,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,     0,
     388,   389,   390,   391,   886,   887,     0,   888,     0,   395,
     396,   397,   398,   399,   889,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,     0,   420,   421,   422,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   890,   446,   891,   448,   449,   450,
     451,   452,   453,   454,   455,     0,     0,   458,     0,   459,
     460,   461,   462,     0,     0,   464,   892,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,     0,   478,   479,   480,     0,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   495,   496,     0,   498,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   893,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,     0,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   894,
     558,   559,   560,   561,   562,   895,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,     0,   581,     0,   582,   583,     0,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     896,   897,     0,     0,   595,   596,     0,   598,     0,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,     0,   898,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   876,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   645,   646,   647,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,     0,   877,   260,   878,   879,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   880,
     881,   274,     0,   275,   276,   277,   278,     0,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,     0,     0,     0,   302,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   882,   883,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   884,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,     0,   342,   343,
     344,   345,     0,     0,   347,     0,   348,   349,   350,   885,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,     0,     0,     0,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,     0,   388,   389,   390,   391,   886,   887,
       0,   888,     0,   395,   396,   397,   398,   399,   889,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,     0,
     420,   421,   422,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   890,   446,
     891,   448,   449,   450,   451,   452,   453,   454,   455,     0,
       0,   458,     0,   459,   460,   461,   462,     0,     0,   464,
     892,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,     0,   478,   479,
     480,     0,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,     0,   494,   495,   496,     0,   498,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   893,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,     0,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,  2729,   558,   559,   560,   561,   562,   895,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,     0,   581,     0,
     582,   583,     0,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   896,   897,     0,     0,   595,   596,
       0,   598,     0,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,     0,   898,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   876,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   645,   646,
     647,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,     0,   877,   260,   878,
     879,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   880,   881,   274,     0,   275,   276,   277,
     278,     0,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
       0,   302,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   882,   883,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   884,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,     0,   342,   343,   344,   345,     0,     0,   347,     0,
     348,   349,   350,   885,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,     0,
       0,     0,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,     0,   388,   389,
     390,   391,   886,   887,     0,   888,     0,   395,   396,   397,
     398,   399,   889,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,     0,   420,   421,   422,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   890,   446,   891,   448,   449,   450,   451,   452,
     453,   454,   455,     0,     0,   458,     0,   459,   460,   461,
     462,     0,     0,   464,   892,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,     0,   478,   479,   480,     0,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     495,   496,     0,   498,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     893,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,     0,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,     0,   558,   559,
     560,   561,   562,   895,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,     0,   581,     0,   582,   583,     0,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   896,   897,
       0,     0,   595,   596,     0,   598,     0,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,     0,   898,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   876,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   645,   646,   647,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
       0,     0,   260,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,     0,     0,   274,
       0,   275,   276,   277,   278,     0,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,     0,   302,     0,     0,     0,   303,
     304,   305,   306,   307,   308,     0,     0,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,     0,   342,   343,   344,   345,
       0,     0,   347,     0,   348,   349,   350,     0,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,     0,     0,     0,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,     0,   388,   389,   390,   391,     0,     0,     0,     0,
       0,   395,   396,   397,   398,   399,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,     0,   420,   421,
     422,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   446,     0,   448,
     449,   450,   451,   452,   453,   454,   455,     0,     0,   458,
       0,   459,   460,   461,   462,     0,     0,   464,     0,   466,
     467,   468,     0,   469,   470,   471,     0,     0,   472,   473,
     474,     0,     0,   475,   476,     0,   478,   479,   480,     0,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   495,   496,     0,   498,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,     0,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,     0,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,     0,   558,   559,   560,   561,   562,     0,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,     0,   581,     0,   582,   583,
       0,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,     0,     0,     0,     0,   595,   596,     0,   598,
       0,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,     0,     0,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   645,   646,   647
};

static const yytype_int16 yycheck[] =
{
       6,     0,   211,     0,     0,     0,     0,     0,     0,    56,
       0,     0,     0,     0,   206,     0,   662,    23,  1038,    25,
       0,     0,   214,    29,    21,   217,     0,   939,    34,    35,
      36,   683,    38,   840,  1010,    41,    42,  1047,    44,     8,
      46,  1659,    21,  1592,   837,  1164,    15,    53,    54,    55,
    1502,     0,  2837,   189,    45,  1011,   933,     0,   935,  1576,
       0,   864,   715,   894,   796,   797,   798,  1225,  2041,   715,
     802,   756,    22,   882,   883,  1042,   913,  3092,    28,    36,
    1576,   211,  1036,   892,  2711,  1569,   977,  3421,     6,  3423,
     197,  3065,  1272,   847,  2712,  2961,  1113,   216,   830,  1581,
    1259,  2733,  2734,  3130,  1899,  3918,  1027,  3638,   897,  3640,
       0,   230,   760,  2030,   951,  1244,   762,  1569,  3945,  1248,
    3516,  2067,  1251,  1252,  3604,   863,   738,  3720,  1727,  3077,
    1622,  1623,  2068,  3190,  1626,    23,  1102,  2049,  3240,   664,
     752,  3666,  3468,  3668,    44,  1694,  1695,  3967,    36,   976,
    4351,  4267,  1118,  4589,  3474,  2082,  1047,  2983,  3526,  2063,
    2064,  2065,  2066,  3934,  4824,  2069,  1087,  2071,  2072,   815,
    1091,  2106,  3870,  4310,  1001,  1096,  1971,   175,   191,  1006,
     870,   736,   191,  4289,   739,  1106,  1559,  1459,   761,  4557,
     843,   197,   198,   199,   751,  4600,   202,   843,  3524,  1120,
     206,  4595,   208,     2,  5348,   211,  1688,  3073,   214,  5217,
    1912,   217,  4612,  5308,   220,  4396,   222,  5137,  3490,   225,
      35,  2628,   868,   229,   962,   231,  4726,    42,  4728,    50,
    1151,  4599,  5440,  1715,  5088,  5476,  3030,  5145,  3032,  3033,
    4840,  2696,  4842,  3037,  3038,  3039,  1619,  3041,  3042,  3043,
    3380,  5339,  2591,    41,  3536,  3473,  2595,  3475,  3476,  3375,
    5132,  3932,  2698,  1636,  4914,  3283,  5488,  5437,  2675,   960,
       6,     6,  2669,     0,   936,    13,   936,     6,     6,     0,
      11,  5743,  5136,     0,   930,  1040,     0,     6,  1010,  1542,
      63,     6,   880,   881,    11,    38,  4449,  1019,     6,    25,
      15,    16,    54,   891,  4764,     3,     6,  1029,     6,  5397,
    1001,     0,    29,  1051,  5993,  1006,     6,    78,    63,    37,
      29,     0,    47,     6,     6,   225,    37,    36,     6,     6,
    5404,  5405,    11,     6,  2036,    95,    43,    15,    16,    35,
       6,     6,    15,    16,     6,   171,    47,   177,  5727,  1081,
      29,   120,    72,     3,     6,     5,     6,    21,   177,  1522,
       5,    11,    92,   156,   177,   201,    11,   113,    21,   194,
      13,   222,   122,   115,   177,    15,    80,    80,   148,   113,
    3606,   177,    21,   157,  6000,   120,  1878,    92,    92,    13,
      37,  4690,  4691,  4692,   189,  4694,  4695,  4696,  4697,  4698,
    6122,  1047,    45,    21,   179,    80,    76,  6034,    63,  5627,
       6,   308,   177,    11,   140,    63,   288,   115,   329,   314,
     324,    42,   329,    80,  5429,   188,  6108,  6109,   256,   666,
      47,    37,  4613,   153,   402,    78,    92,    37,    63,     5,
     271,   346,   177,   288,   343,    11,   299,    63,  1415,  1403,
     177,   193,   322,   173,  1471,  1103,   177,   388,   359,   152,
     177,    11,   366,   177,   120,    35,    29,   358,   388,   179,
     120,   374,    39,    63,   201,   124,   226,   288,   401,    43,
     201,  1290,  1291,    29,   201,  5357,    13,   201,   177,  4925,
    5952,    13,   324,   288,   165,   193,  1463,   401,   177,   323,
    6382,   385,  6384,   154,  5745,   366,  5368,    63,   370,  1199,
    1401,   172,   201,  1322,  6236,  1406,  1407,   312,    45,    32,
     412,   758,   201,    45,    29,  4927,    80,    33,    34,   271,
     362,    36,   274,  4935,   366,   310,   308,    37,    92,   401,
     401,    29,   292,    85,  1333,   437,    59,   208,    36,   448,
    5412,    78,   203,   683,  5642,   366,    78,  5477,   332,  1171,
     253,   392,   681,   130,  5943,   533,  6448,   451,   687,   401,
     120,   221,   135,   271,   223,   476,   274,   401,   199,     6,
     699,    80,   253,   486,   354,    25,   156,   177,    88,   135,
     301,   354,   483,    92,   493,   832,    13,    80,   324,   372,
     310,   178,   533,   733,  1571,   355,   256,   477,    63,   177,
      80,   371,  1265,   533,   537,  1353,   444,    80,   471,  1265,
    1232,   384,   533,  6305,   344,   177,   533,   372,   533,   533,
     475,  1243,  1205,   297,   531,   305,   292,   509,   535,  6361,
     366,  6257,   537,  5861,   297,  1383,   421,    32,  1260,  6111,
     392,  1460,  6279,  3879,   301,   184,  1547,   663,   297,    23,
    1626,   122,  1352,   669,   398,   671,  1557,   673,   184,   184,
     676,   142,   125,    51,   125,   401,   387,   683,   668,   297,
     475,   446,   688,   136,   690,  5690,   537,   433,  5858,   668,
     696,  1279,  1280,   486,   392,  3092,  5296,   127,  4396,  1862,
     140,   537,   411,   533,  1459,  1725,  1726,   533,   533,  1665,
    5951,   446,  1678,  1679,   720,   762,   446,   372,   537,   668,
     533,   446,   429,   729,   372,   668,  4424,   733,   668,  1317,
     736,    29,  1653,   739,   537,  1656,   332,   511,    32,  1424,
    1430,   537,   446,   446,   464,  1398,   451,   372,   474,   755,
     446,   476,  1398,  1644,   523,  4568,   372,  1648,  1649,  6221,
    1406,  1407,  4868,   533,   537,   476,   508,  6446,   766,  1723,
     531,   446,   480,  4926,   535,   476,   494,   537,   668,  6458,
    1607,   533,   761,  5243,  4937,   514,   515,   537,   523,   446,
     533,   529,   537,  2046,   120,   531,  4609,   533,   388,   535,
     535,   532,   808,   939,   533,   533,  1496,   524,   525,   536,
     508,   817,  1643,  5887,   533,   536,   372,  5737,   533,   536,
    1732,   790,   536,  1545,  4355,   533,   776,  1489,   778,  1489,
     780,   837,   838,   533,   840,   841,   786,  4608,  4431,   845,
    6219,  1999,  6304,   533,  4437,   524,   525,   536,  1436,  1437,
     533,   533,  1061,   859,  1973,   533,   533,   536,   864,   476,
     533,  6102,   514,   515,   870,   429,  1058,   533,   533,  5741,
    1062,   533,  1064,   537,   524,   525,  1567,  6047,  6048,   524,
     525,   533,   537,   523,   537,  1607,   529,  2006,   494,   537,
    6352,   531,   482,  6115,   494,   535,  3762,  3763,   262,  2018,
    5199,  3767,   526,   527,   528,   529,   411,  3539,   808,  3541,
    4230,   917,   537,  1879,   927,  4613,  4242,   372,   927,   461,
    4246,   537,  6130,   411,   490,   931,   524,   525,   177,  1620,
     929,  1061,   929,   929,   929,   929,   929,   929,   944,   929,
     929,   929,   929,    37,   929,  1052,  1637,   446,   514,   929,
     929,  1842,  6040,   959,   953,   929,   533,  3905,   524,   525,
     460,   401,  1614,   446,   864,   120,  4096,  4097,    29,   537,
    5620,  6059,   978,    25,   524,   525,   446,   983,   984,    31,
     929,   537,  6223,   446,   369,   537,   929,  4518,  4659,   929,
    4106,   115,   419,   420,   494,   373,   322,   524,   525,   526,
     527,   528,   529,   113,   526,   527,   528,   529,   537,  1015,
    1016,  4229,   473,  4231,  4232,   486,   469,  1542,   469,   308,
    4302,   537,   537,   178,  5460,    23,   120,  5947,  3435,   469,
      72,   931,  1038,  1039,   113,   155,  3902,  4517,   336,   929,
    3495,   471,  5950,   177,   944,  1481,  1052,  2067,  1054,   240,
     871,  4181,  1058,   841,  3848,  1061,  1062,   845,  1064,   959,
    3496,  4079,  6303,  1069,   125,   206,   314,    23,  3465,   193,
      23,  3468,   436,   171,     3,   369,  5930,   189,   120,    63,
    6122,  2048,   537,  6227,  6228,    64,    23,  1093,   140,   383,
       6,   385,  5946,    72,  1100,  1101,   189,   288,   396,  5467,
     293,   184,   177,   467,     3,  1860,  6194,   524,   525,   526,
     527,   528,   529,    89,   163,   125,  1122,  1123,  1124,  3516,
    1126,     6,  1128,   125,  1130,  1131,   201,  3524,   492,   120,
     383,    89,  6140,   401,   401,   124,  2103,   168,   293,   181,
     438,     6,   440,  5344,   152,     6,   446,   271,    25,   366,
     274,   477,  4424,   446,    31,   216,   132,   451,  1164,   324,
    1166,  1167,    91,   401,  4644,     6,   778,   779,   780,   533,
     155,   783,   784,   785,   132,    99,  1908,   205,   265,  1825,
     120,   793,   534,  6103,  4580,   537,  6394,  6282,  3527,   383,
    5371,    80,    91,  1199,  6236,   288,    68,   446,   173,   155,
    1015,  1016,    40,    92,  6112,   292,   216,   533,  2015,  2016,
    6354,   433,   220,   404,   216,    10,    54,   146,  5818,  1225,
     314,  1227,    17,    18,    19,  1231,  1205,  1233,   309,   446,
     523,   171,   120,    25,   223,    25,   401,   537,  3870,  1208,
      23,  1210,   535,  1212,   533,  1214,   145,  1216,  1217,  1218,
     292,  1257,   283,  1259,  1223,   297,    23,  1263,    10,   183,
     288,    13,   311,   140,   262,    17,    18,    19,   392,   537,
     537,  1277,   324,   111,   523,   469,   469,   256,   469,   208,
     533,  2733,   311,    35,   404,   156,   535,    10,  5724,   537,
      13,  1976,   433,    45,    17,    18,    19,  5733,   125,   537,
      52,   292,   344,    25,  5709,  1352,   314,  5134,  5121,   262,
      23,   351,   446,  1319,   366,  5815,   471,  2799,   360,  6361,
    2005,  6229,  6417,   433,  2009,   262,    78,    52,  3960,  2014,
      89,  1943,  2017,   394,  5739,  2831,  4351,  1136,  5158,   125,
    5708,  5735,  1348,  1349,  1350,  1957,  1352,  5783,   140,   401,
     140,   327,  4883,  3299,   433,  5755,  5127,  2047,  1970,  2049,
     259,    63,  2100,   475,   193,  2055,   178,  1373,  6376,   327,
    5738,  2061,  2062,   132,  3076,  2130,  4907,   215,   243,  1936,
      72,   297,   475,  2073,   508,  1940,  3313,  3314,   372,   216,
     388,  3318,   490,  2083,  6302,  2667,   120,   388,    23,  2089,
    1955,  2883,   331,  1958,   453,  6313,  1412,   490,   469,   533,
    1983,  1968,   297,    23,   495,   490,   288,    23,   140,   404,
    3019,  1419,   464,  6431,  1430,   324,    23,   383,  2080,   523,
     216,   171,  3359,  3360,   322,   388,   297,   531,   436,   533,
     534,   535,   271,   537,   196,  6353,  2819,   324,   404,   201,
     288,   388,   454,  2008,   537,   463,   297,  2012,  2013,   469,
     309,  1474,  1475,   439,  1477,  1474,  1475,   469,  1477,   467,
    1476,   196,   224,   225,  1480,  1481,   201,  5614,   201,   262,
    6388,   439,   268,   436,  1614,  1491,  1492,  1493,  1494,   366,
    1496,  3109,  3427,   533,   492,   262,  5932,  6157,  4866,   436,
     252,   224,  5608,  4829,   533,  4825,   394,   133,  4834,   182,
       6,  4837,  6420,  1519,   467,   310,   328,   171,   144,   122,
      28,  2046,   378,   394,   401,   323,   189,   252,  1623,   183,
     467,  1626,   324,   462,   324,   533,   368,   436,   113,   492,
     439,   470,   201,   295,   473,   433,   186,   201,  1554,   262,
      30,    25,   390,  1559,   309,   492,  1562,    31,   310,     3,
    5085,   313,   433,   392,   309,    27,  4581,   394,   327,  1575,
    1576,    25,  2592,   297,   366,   309,   366,   125,  1584,   179,
     533,  1587,   114,   256,    92,     3,   288,   310,    50,   477,
     312,  1491,   140,  1493,  1206,   407,   533,  1209,  4625,  1211,
     292,  1213,   490,  1215,   103,   388,   477,  1219,  1614,   401,
    1616,   401,   122,  1619,   470,    72,  1622,  1623,   383,   490,
    1626,   388,   266,   226,   296,   288,   514,  2594,   368,  1628,
    1636,  2067,  2068,  1639,  1633,    92,  1642,   262,    25,   170,
    5841,   490,   469,   514,  3128,   533,  2082,    91,   370,   371,
     302,  5478,   262,   436,   406,  2091,   262,   135,   490,   137,
    1666,   324,   533,  6099,   533,   262,   140,   135,   433,   436,
     372,   179,  3124,  5371,   206,   388,  3128,   329,  1684,   401,
     439,   406,   514,   469,   467,   358,   140,   186,   112,   292,
    1696,  1697,  1698,  1699,  1700,  5466,   314,   302,   324,   401,
     467,   145,   120,   366,    91,   537,   182,   366,  1714,   492,
    1709,   370,  4506,   288,  1713,   122,  4582,  4511,   242,  1725,
    1726,  1727,   376,   436,   329,   492,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   490,   408,   217,   378,   122,
     366,   446,   401,  1952,  5860,   490,   133,  2757,   348,  1941,
     533,    92,   355,   140,   467,   217,   490,   144,   302,  4544,
     512,   240,  4588,   388,  4396,   438,   533,   440,   302,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   388,   492,
     256,  6217,   388,  1878,  1684,   329,   538,   297,   533,   288,
     266,   388,  4424,   341,   467,   329,     0,   401,   521,   522,
     523,   524,   525,   526,   527,   528,   529,  4822,   339,   288,
     483,   436,   475,  2919,   292,   259,   165,    21,  1824,   226,
     533,  1951,  1952,  1930,   292,   401,   436,   210,   490,  1835,
     436,   490,   537,   323,  6332,   292,   123,  1843,  1844,   436,
     348,   182,   467,   267,   177,  4242,   343,   266,   272,  4246,
     179,    10,    56,  1859,    13,   514,   388,   467,    17,    18,
      19,   467,   323,  6299,   123,   206,  2757,   492,   201,   471,
     467,  1877,  1878,   292,   292,   537,   355,   385,    87,   297,
     324,   533,   492,   136,   213,   292,   492,  1893,  1894,  1895,
    1896,   156,   168,   314,  3000,   492,  1902,   471,  2729,   431,
     394,   433,  2709,  1909,   253,   288,  1912,  6405,   533,   292,
     197,   401,  2667,  5726,   332,   256,   534,  5744,   362,   537,
      13,  1927,   366,   533,  1930,   404,   370,   533,   533,  6045,
     312,   533,   448,   537,  1940,  1941,   533,   324,   197,   433,
     401,   449,   324,   451,   443,  1951,  1952,   455,   355,  1955,
    2080,   448,  1958,  2929,  4351,   304,  2646,   401,   167,   533,
    6376,   537,   438,   216,   440,   120,  5292,  1973,  1974,   245,
     391,  5679,   313,  5681,  1980,   362,  1982,  5685,  5686,   366,
     165,  4613,  5753,   477,   366,    78,   171,   191,   143,   533,
     469,   467,   436,  1999,   149,   439,   493,   490,   123,   533,
    2006,   239,  2008,   410,  1983,  2011,  2012,  2013,   163,  2015,
    2016,   383,  2018,  2979,   401,  6431,  1985,  2064,  1987,  2025,
    1989,   408,  1991,   490,  1993,  5505,  2032,    58,  1997,  2035,
    2036,  6232,     5,  2039,  3153,   533,  2042,  2043,    11,   533,
    2030,  2047,  2933,  2049,   537,   417,   490,   514,  2054,  2055,
    2941,  2030,  4025,  2944,   385,  2061,  2062,  2063,  2064,  2065,
    2066,  2067,  2068,  2069,  2070,  2071,  2072,  2073,   253,   307,
    4043,  2077,   197,  2079,  2080,  2081,  2082,  2083,  2084,  2085,
    2086,  2030,  2039,  2089,  3536,  2091,  2092,  2030,  5190,  2095,
    2030,   448,    13,   383,  3546,   385,  5111,   438,   129,   440,
     482,  3013,  3014,  3015,  2110,  2111,  2112,  2829,   324,   431,
     451,  2757,  2867,  5087,   120,   481,   490,   100,  5945,   304,
     451,    99,  2128,   464,    45,  2025,   467,  3745,     0,   394,
    3096,  3097,  3098,  3099,  4080,  3101,   493,  3621,  2893,  4085,
    2030,   119,   297,  5963,   487,   370,   366,  4059,   470,   537,
     366,   310,  5126,   159,  2042,  2982,  6357,    78,  5106,  4095,
    3126,   451,  2168,   537,   481,  5499,  3346,   533,   433,  3621,
     180,  2909,   492,  5944,   178,  2907,   401,  2909,   156,   762,
    4084,   401,  5707,  4580,  4581,  4089,  4090,   122,   194,   180,
    4117,  4118,  4119,  4120,   537,   178,  4123,  4124,  4125,  4126,
    4127,  4128,  4129,  4130,  4131,  4132,  4001,  2929,   212,  5075,
      94,  5077,   477,   490,    35,  2827,   533,   537,  5320,   490,
    5322,   523,   536,   227,  3145,   490,  3718,  5758,  3827,   212,
     346,     0,   815,   535,  3833,  1628,   171,   514,  2993,    38,
    1633,   324,    72,   514,   227,  2967,   250,   292,    78,   514,
    2686,   152,   297,   137,   388,  5049,   533,  5051,  5052,  5053,
    4187,  4188,    92,   324,   165,  5973,   537,   250,   533,  2275,
     171,   324,  2957,   165,  2959,   210,   152,  6104,  2963,   171,
    3002,   371,    81,   366,   418,   868,   292,  3769,  6433,   165,
     120,    10,   122,  5350,    13,   171,   279,  5312,   453,   451,
    5780,   324,  6447,  4220,  3059,   366,   446,   352,   152,   370,
     465,   401,  3203,   366,    10,   100,  1709,    13,   401,   220,
    1713,   165,   171,  2329,  4228,   308,    45,   171,  1620,  5344,
      99,   471,   324,    52,  3816,   483,  5732,   112,  6412,   349,
     401,   100,   391,   366,   220,  1637,   195,   930,   401,    45,
    3530,   181,   253,   288,  5688,   301,    52,   292,   324,    78,
    6434,   253,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   533,   382,   377,   366,     5,   220,   253,   401,  2385,
     210,    11,    78,   152,   362,   322,   396,  3119,    48,    19,
     243,   382,  3941,   178,   377,  6222,   165,   172,   389,   358,
     366,   534,   171,   304,   537,   396,   355,    37,   177,   253,
     171,    71,   304,   314,   183,   171,   394,   186,   367,   178,
    6233,   190,   490,   282,   434,  4822,   533,   212,   304,    27,
    3078,   150,  4829,   208,   195,   401,   395,  4834,   314,   195,
    4837,  6444,   227,   434,     5,   270,   514,   306,   397,  6042,
      11,   220,    50,   212,   150,   433,  1005,   394,  6461,   368,
     304,  3216,   292,  1153,   668,   250,   457,   297,   227,  1159,
     314,   514,   515,  5488,   433,  1024,   358,   196,  1027,  1169,
     532,   451,   201,  1173,   253,   537,     3,  1177,   471,  1179,
     533,   250,   267,   532,   279,  1185,   433,   272,   537,   477,
     196,  1191,  1881,   308,  1194,   201,  5840,    96,   313,    26,
    3422,  5644,   490,   395,   344,  3200,  5649,  5650,    10,   266,
     279,    13,  1901,   308,   483,    17,    18,    19,   514,   515,
     360,   534,     5,   252,   537,   304,   514,  3428,    11,   308,
     477,   526,   266,    35,  3282,   314,   531,   533,   533,   391,
     535,   433,  5567,   490,   528,   533,   252,   761,   762,   533,
     206,   535,   463,  2569,  2570,  2571,  2572,  2573,  2574,  2575,
    2576,  2577,  5629,  2579,    91,   308,   270,   514,  6391,   143,
     313,  2790,  3337,  2589,  2590,   149,  2592,   463,  3343,    22,
     531,   310,   377,  2599,   535,    28,   533,  2789,   195,  2791,
    2792,   483,   394,   526,   534,   374,   528,   537,   531,  4536,
     533,   533,   535,   535,   310,  1001,    69,    70,   377,   463,
    1006,    87,  2628,  5417,  2630,  3315,   483,  2633,  2634,   146,
      59,  2637,  2629,  2639,   464,   534,  2642,  3327,   537,   451,
    2646,   433,   531,   391,   533,  3774,   535,   284,   285,   286,
     287,  3607,  3326,   243,  3328,  3329,  6187,   481,  3447,  3448,
    2790,  6192,  6193,  2669,   433,   534,    15,    16,   537,  2675,
    2676,  3425,   534,  3363,   534,   537,    11,   537,   534,  2786,
    2686,   537,   383,   384,   201,   477,  3642,   406,   533,  2695,
    2696,   208,   431,   534,   463,    29,   537,   533,   490,  4672,
    3537,   534,   534,  2709,   537,   537,   534,  2826,   308,   537,
     406,  2717,   388,  2719,  5111,  4688,   534,  3407,   487,   537,
     489,   490,   514,   927,   534,   929,   534,   537,  2628,   537,
    3382,   534,   224,  5760,   537,   383,   384,   534,  3547,  5371,
     537,   533,   511,  3481,   534,  5632,  5633,   537,   294,    83,
    4368,  2669,    86,  2759,  3721,  2761,  5622,   534,   534,    93,
     537,   537,   531,   514,   515,   534,   535,   536,   533,  2775,
     534,  4717,  3930,   537,   534,  2675,  2676,   537,  4724,  4725,
    2786,    59,  3428,  2789,  2790,  2791,  2792,   121,   534,  2795,
      48,   537,  2798,   512,   534,  4590,   537,   537,   534,  2918,
     534,   537,  2759,   537,  2761,   524,   525,   526,   527,   528,
     529,   383,   384,  2819,   331,  6346,   512,  4366,   310,  4368,
      54,  2660,  2661,  2662,  2714,  2831,  5841,   483,   524,   525,
     526,   527,   528,   529,   534,   383,   384,   537,  2844,  2845,
    6174,   534,   510,   534,   537,  2851,   537,   181,   394,   534,
    4302,  4333,   537,   534,  2860,   534,   537,  4353,   537,  5491,
     194,   378,   534,   534,   226,   537,   537,   101,   534,   534,
     311,   537,   537,   207,  5807,  5808,  2882,  3313,  3314,  3564,
    2999,   534,  3318,  4042,   537,   534,  3608,   433,   537,   438,
     534,   440,   126,   537,  3911,  5292,   534,  2903,  2798,   537,
     135,  3867,   137,   534,  6410,   534,   537,  6413,   537,   534,
    2916,   145,   537,   430,   534,  5312,   150,   537,   534,  6006,
    6007,   537,  4404,  3359,  3360,   535,   534,   534,   163,   537,
     537,   477,  3585,  2939,  5949,   308,  2942,  6039,   172,  3585,
     534,   171,   176,   537,   490,   462,    48,  5344,   534,  3561,
    3562,   537,  3873,   470,   308,   534,   473,   191,   537,    54,
      55,   534,  2968,  2969,   537,   510,   534,   534,   514,   537,
     537,  3693,   534,   311,   438,   537,   440,  2983,   226,  2985,
    2986,  5599,   534,   534,  3716,   537,   537,   533,   534,  3721,
     536,   534,   534,   228,   537,   537,   176,   534,  5864,  5865,
     537,  1205,   534,  2903,   534,   537,  2956,   537,   533,   510,
     535,  3017,  3018,  3019,   526,   534,   534,  3023,   537,   537,
     534,   537,   533,   537,  6358,  3031,   531,   533,   533,   521,
     522,   523,   524,   525,   526,   527,   528,   529,  3044,   534,
     534,   480,   537,   537,  3050,   534,  3052,   340,   537,   284,
     285,   286,   287,  4602,   533,  3247,   291,  3249,  3250,  3065,
      37,   533,   297,   297,  3070,   534,   534,   534,   537,  1273,
    3076,   534,   534,  3079,   537,   537,   534,    59,   534,   537,
    4597,   537,   222,   177,   418,  3091,  3092,   421,   222,  1293,
     534,  5488,   534,   537,   534,   537,  3102,   537,  3710,   533,
    6115,   535,  6436,   152,    25,   533,  3112,  4287,  3114,   534,
      31,   490,   537,   492,  3869,   490,   165,   492,   352,   438,
    3732,   440,   171,   534,  6098,    46,   537,   534,   534,   534,
     537,   537,   537,   534,  4618,    10,   537,  3244,    13,   438,
     533,   440,    17,    18,    19,   535,   494,  3153,  1352,  3155,
     534,  3157,   533,   537,   534,    76,   533,   537,   534,  4050,
      35,   537,   534,   366,   201,   537,  4618,  3899,   157,   534,
    5567,   220,   537,   534,  3092,   533,   537,   534,   293,   294,
     537,   157,   534,   534,  3190,   537,   537,   534,   534,   534,
     537,   537,   537,  4160,  4352,  2093,  4354,   308,  2096,  4357,
     490,   490,   492,   492,   253,   135,   490,   137,   492,   535,
    5837,  6226,   133,   534,   534,   536,   536,  6232,   453,   140,
     201,  3111,  3875,   144,  3877,  4211,  4029,  4213,   366,  3875,
     465,  3877,  3917,  4811,  4247,  4813,  4249,   308,  3244,  3245,
    1491,  3247,  1493,  3249,  3250,  5273,  3252,  5275,   157,   157,
     201,   172,  3382,  3259,   157,   304,  1946,   308,  3264,   171,
    4214,   366,   157,   251,  1954,   314,   122,   471,  3315,   308,
    1474,  1475,   533,  1477,   301,   171,  5222,  5223,  3890,   394,
    3892,   534,    72,   292,    38,   292,   494,   208,   533,    10,
     308,   292,    13,  4260,   292,    48,    17,    18,    19,    48,
     456,   292,  5229,    91,   324,   483,  3959,  3313,  3314,  3315,
     483,    87,  3318,  3959,    35,   451,  3363,   171,   433,   347,
    3326,  3327,  3328,  3329,  4942,   157,   157,   533,   157,  4014,
    4297,   157,  6117,   494,   157,  5732,  3342,    10,   157,  3345,
      13,  3347,  6357,   537,    17,    18,    19,   157,   157,   224,
     157,   157,   157,  3359,  3360,   157,   171,  3363,   157,   157,
    3490,   157,   477,   157,   157,   308,   433,   288,   533,    38,
     251,   292,    45,   308,   171,   490,  3382,     6,  3384,    52,
    3386,   302,  3388,   533,   171,    10,     6,   533,    13,   533,
     171,   312,    17,    18,    19,     6,   533,     6,  4153,   514,
     533,  3407,   533,   324,  3410,    78,   533,   533,  3414,   533,
      35,   533,  4908,   533,   463,   533,   533,   533,   533,   533,
      45,  3468,  4112,   533,  3415,  3416,  3417,    52,     6,  3435,
     533,     6,   533,  4045,   533,   310,   533,   533,   299,   491,
     533,   533,   533,   533,  5841,   366,  4367,   533,   369,   370,
     533,   533,   533,    78,   533,   533,  4146,   533,   533,  3465,
     533,   533,  3468,  3469,   533,   533,   166,  3473,  3474,  3475,
    3476,    10,   533,  3520,    13,   533,  3482,   320,   222,    38,
     401,  3487,   531,  4641,   537,   534,   535,   537,  4325,    10,
    4299,   103,    13,   251,    38,   533,  3502,    37,   444,   444,
     531,   531,   446,   224,   446,   446,    45,  4197,   533,   446,
    3516,   177,   171,    52,  3520,   537,   171,  3523,  3524,   304,
    3526,   401,   302,   196,    45,    68,   446,   446,   201,   388,
     446,    52,   482,  4424,   253,  3435,  4492,   388,   535,    78,
     446,  5514,   446,   388,   446,   446,    79,  3465,   446,   523,
    3468,    92,  5949,   474,   446,   388,   157,    78,   308,   393,
     248,  3567,   446,   446,   297,   128,   436,   446,   329,   308,
    6355,   196,   383,   470,   302,   533,   201,   446,   446,   252,
     194,   533,    92,   537,   324,  3591,  3592,   157,   201,   310,
    4502,   128,   128,  4514,   471,   471,   446,   446,  3516,   224,
     225,   114,   446,   128,   446,   135,  3524,   137,   446,   446,
     446,   150,  5539,    59,    59,   276,   446,   312,   446,   446,
     351,  3627,   446,   436,   446,   446,   446,   252,   446,   150,
     446,   351,   446,   163,   351,   329,   329,   310,   446,    47,
    4395,   224,  4397,  5570,   537,   446,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   446,   534,   196,    10,  4095,
     446,    13,   201,   224,   538,    17,    18,    19,  4423,   308,
     295,   224,   224,   224,   224,   196,   224,   224,  3684,   224,
     201,  4117,  4118,  4119,  4120,   310,    38,  4123,  4124,  4125,
    4126,  4127,  4128,  4129,  4130,  4131,  4132,   224,   228,    33,
      34,   308,  3708,   446,   456,  5157,    38,   157,   533,   308,
     157,   292,  3718,   252,   120,  4151,   471,   157,  6115,   157,
     482,   157,   308,   292,   259,   292,   292,    38,   171,   533,
     533,   252,    38,   406,   243,   157,   390,   157,   533,   471,
    3870,   157,    10,   157,   471,    13,   301,   446,   177,   486,
     296,  4187,  4188,   276,   284,   285,   286,   287,   533,   276,
     534,   291,   292,    13,   537,    99,   533,   297,   533,   152,
     446,   310,   274,   186,   533,  4666,   448,    45,   534,  1983,
     537,   406,   165,   194,    52,   119,   534,    10,   171,   310,
      13,   319,   194,   531,    17,    18,    19,   510,  4234,   510,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   534,
      78,   534,    35,   392,   404,   220,   534,   487,   534,   240,
     309,  3827,   156,   537,   471,   537,  2030,  3833,    38,  6226,
     471,   317,    59,   534,   482,  6232,   533,   220,  3844,   512,
     297,   297,   297,   446,   446,   171,   388,   533,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   446,   297,   308,
    2064,    48,   533,   240,   308,   292,   240,   406,   383,   251,
     253,   251,   224,   251,   270,  3881,  3882,  3883,   410,   436,
     308,   446,   150,   128,  2088,   406,   537,   512,   201,   308,
     308,   537,  3898,   308,  4861,   366,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   401,  3912,   195,   490,    38,
     398,   314,   446,   355,   224,   446,   534,   471,   243,  4674,
     350,   304,   471,   453,  3930,  3931,  3932,   523,   196,   157,
    3936,   314,   302,   201,   171,   465,    38,  2627,  5096,   434,
     173,   351,  3948,   157,   398,  4776,   533,   302,   533,   157,
    4562,  4563,   157,   471,   483,  5472,   292,    38,   310,   292,
    6357,   308,    27,   308,   490,   243,   192,  4844,   192,   171,
      38,   302,   172,   512,   243,  4660,  4661,  4662,  4663,  4664,
     171,   398,   201,   292,   252,   524,   525,   526,   527,   528,
     529,   512,   308,   494,   201,   201,    59,   201,  4004,   537,
     201,   224,   177,   524,   525,   526,   527,   528,   529,   446,
     273,   535,  4018,  4019,   490,   537,   308,   537,   537,   533,
     301,   537,   534,  4029,   177,   314,   534,   534,   362,   511,
     534,   537,   537,   374,   534,   476,  4042,   534,   537,   537,
     534,  4932,   310,   534,   534,   320,   135,   534,  3948,    10,
     533,   330,    13,   534,  3944,  4061,    17,    18,    19,  4195,
     394,   534,   534,  4856,  4070,   534,   534,   537,   177,   291,
     446,   533,  4762,   533,   533,   510,  2280,   266,  4084,  5628,
     463,   533,  4088,  4089,  4090,   533,   487,   310,   514,  4095,
    3980,   177,  4098,   186,   469,  4101,   261,   487,   532,   433,
    4536,  4107,   534,  4109,   537,   477,  4112,   532,    59,   533,
     533,  4117,  4118,  4119,  4120,   513,   308,  4123,  4124,  4125,
    4126,  4127,  4128,  4129,  4130,  4131,  4132,   308,   523,  4029,
    4136,  4137,  4138,   311,   308,   157,  5057,   214,   406,   446,
    4146,   446,   446,   477,    38,  4151,  4193,   481,   531,  4155,
     297,   160,   535,   446,   292,   157,   490,  4163,   206,   421,
    4166,   401,  4168,   393,   533,   533,    60,   533,   157,   521,
     522,   523,   524,   525,   526,   527,   528,   529,  4184,   157,
     514,  4187,  4188,   206,   393,   251,  4192,  4193,   160,   308,
     393,  4197,   446,  4199,  4200,  4847,   523,   471,     0,   533,
     160,   487,  4208,  4209,  4210,   388,   253,   331,   331,   468,
     160,   446,  4203,  4204,  4205,  4206,   388,   446,   112,   418,
     263,   446,  4228,  4229,  4230,  4231,  4232,   263,  4234,  4235,
    4220,   446,  4238,  6160,  6161,   263,  4242,  6164,   388,   388,
    4246,  4220,   388,   128,   512,   401,  4252,   292,   446,   446,
     446,   446,   446,   446,    51,   157,   524,   525,   526,   527,
     528,   529,   446,   224,   446,    47,  4396,   446,    47,   446,
     534,  4220,   224,  4279,   534,   532,   534,  4220,   224,   189,
    4220,   534,   312,   534,     3,   537,   456,   171,  4294,    48,
    4296,   113,  4904,   534,  4424,   537,   171,    99,   521,   522,
     523,   524,   525,   526,   527,   528,   529,    38,   157,  5761,
     204,   446,   533,   157,   534,   171,   302,   189,   157,   471,
     533,   388,   398,   471,  4242,   537,   388,   388,  4246,  4765,
    4220,  5016,  5017,   523,  5019,   388,   388,   155,   155,   147,
     228,   224,   224,   224,  5076,  4351,  4352,  4353,  4354,   310,
     152,  4357,   464,  4359,   224,   224,  5268,   224,   224,   224,
     224,   464,   531,   165,   308,   308,   534,    59,   262,   171,
     308,  4377,   308,   267,   534,   177,    13,   534,   272,   537,
     320,   183,   482,  2669,   186,   177,   291,   227,   190,   534,
    5302,   534,   534,   534,   288,  5007,   533,   537,   534,   532,
     534,   318,   534,   533,   227,   533,   435,   315,    59,   190,
     443,   533,   374,    90,   456,   171,   476,    38,   220,   243,
     471,   471,   446,   214,    59,   436,  4432,   157,    86,   323,
     471,  2635,   181,  4351,   418,   456,   393,   160,   446,   446,
     446,   388,   446,   446,   534,   366,   388,   534,    59,   534,
     533,   253,  3142,   490,   533,   436,   171,  3147,   477,  3149,
     308,    78,  6080,   157,   113,  2669,   456,   224,   240,  3159,
     534,   224,  3162,   224,  3164,  3165,   224,   371,  3168,   533,
     209,  4487,  3172,  4613,  3174,   534,    38,  3177,  4438,   533,
     446,   537,  5104,   533,   494,   308,   329,   308,   305,  4449,
       3,   395,   304,   537,    44,   537,   308,   533,   456,   446,
    2714,   398,   314,   533,  4520,   183,   534,   184,   113,   224,
     177,   534,   416,   145,   241,   241,   297,   297,  4534,   534,
    4536,   297,   297,   534,   177,    10,   534,  4543,    13,   534,
      59,   534,   320,  4549,   329,   537,  5665,   488,  5667,   488,
     537,  3241,   534,   533,  4560,   534,   533,   227,   533,   489,
     521,   522,   523,   524,   525,   526,   527,   528,   529,  4575,
      45,   177,   374,   467,  4580,  4581,   302,    52,   523,   456,
     443,   208,  4588,   490,   446,    78,   195,   195,   537,   297,
      38,  4597,   523,   297,    59,   436,   446,   157,    72,   446,
    5285,  4607,   537,    78,   537,   160,   534,   533,   446,   446,
     224,  5296,    10,  4619,  4620,    13,   127,   179,   120,    17,
      18,    19,    38,   201,  4630,   398,   302,   533,   471,    38,
     292,   433,   173,   302,   398,  4641,  4642,   490,    59,    84,
     534,   436,  5449,    38,   490,   177,   171,    10,   308,   361,
      13,   537,   211,  4659,  5812,   533,   311,   222,   534,   177,
     534,   463,  4580,  4581,   476,   533,  5676,  5422,   415,    59,
     391,    38,    92,   534,   534,   150,    81,   534,   533,   533,
     136,   202,    45,   308,   446,   487,   320,   489,   490,    52,
      38,   157,   534,  5345,  4700,   157,   446,    38,   534,  5857,
     534,   171,   534,   533,   533,   533,   533,   533,   533,   511,
    4716,   297,   533,   471,   264,    78,  4606,  4847,   533,   533,
     398,   196,   157,    38,   534,   113,   201,   312,  4734,   531,
     534,  5383,   534,   535,   536,   177,   456,   171,   413,   413,
     534,     6,    38,   112,   537,   308,  5904,  5905,   534,   533,
     205,   534,    38,   533,   476,    35,  4762,   533,   360,  4765,
    5372,   194,   537,   537,   436,   533,   533,  4773,  4774,   471,
     171,   436,   288,   533,  4780,  4781,   206,   252,   308,  4785,
     534,     6,   164,   494,  4790,  5676,    51,  4793,  4794,   533,
     384,   384,   136,  5229,  4800,    72,   311,    72,  4804,  4805,
    4806,  4807,   536,   490,   490,   141,  3092,   486,   308,   475,
     149,   168,   476,   168,   401,   533,  4822,   330,   265,  4825,
     534,   534,   442,  4829,   533,   177,   224,   537,  4834,   442,
     297,  4837,  4838,   196,  4840,   310,  4842,   436,   201,  4845,
     208,  4847,   533,    38,   436,   308,  5282,   308,    38,   398,
    4856,    38,   311,   311,  4860,  5545,   202,   179,  4864,   179,
    4866,   156,    38,   494,   494,   353,   353,    59,   153,  5559,
     533,   383,   533,    60,    59,  4881,    81,   315,    38,    22,
      59,  3571,   367,   533,    60,    28,  5896,   534,    59,   252,
     446,  5581,   125,  5578,   422,   469,   534,     6,  5588,    38,
     398,   533,  4908,  4909,  4822,   141,   494,  3111,   308,   308,
     494,  4829,   310,    35,  6072,   534,  4834,  4923,   533,  4837,
     297,   533,   293,    62,  4881,   112,   533,   293,   725,   401,
      24,   406,   197,   383,   537,   387,   112,   537,  5914,    81,
     383,   206,   207,   387,   308,   446,   316,   310,   477,   214,
     533,   216,   217,   177,   751,   424,   533,   537,   149,    98,
     424,  3651,   476,  3653,   534,   230,     6,   156,  4858,  4859,
    5660,  5661,   413,   413,   120,   315,  4926,   534,   477,   332,
     490,   490,   179,  4989,  5669,   179,   533,  4937,   471,   533,
    4996,   534,   476,    81,  6152,  6153,   533,   929,  5498,   969,
    1016,  3428,  1712,  1407,  2967,   181,  2876,  3642,  4395,  4370,
    6063,  3048,  5018,  2994,  3861,  5425,  5662,   204,  1015,  5893,
    6202,  4560,   161,  5472,  4368,  4368,  5066,  5033,   204,  5448,
    5676,  5786,  6190,  3568,  3630,  4920,  6288,   512,  6191,  5344,
    6289,  5924,  5923,   406,  6084,  6226,  3635,  5111,  4581,   524,
     525,   526,   527,   528,   529,  4592,  4607,  4550,  5064,   198,
    5866,  3062,  3062,  4390,  3909,  4576,  3667,  5822,  5105,  5455,
    3953,  4643,  5773,  6314,  5080,   262,  6450,  1011,  6425,  5439,
     267,  5087,  3869,  4615,  6096,   272,   262,  5385,  1872,  5647,
    5096,   267,  5388,    18,    28,   664,   272,  4018,  4671,  5613,
    4674,   288,  1233,  5539,   243,  5111,  6310,  3797,  2734,   248,
    3078,  3315,   288,  3803,  4618,  3546,  1916,  5498,  5124,  5761,
    5126,  1913,  3964,   521,   522,   523,   524,   525,   526,   527,
     528,   529,  3801,   749,  5570,   716,   323,  4423,  5893,  1951,
    5830,  2993,  5832,  6122,  1927,  3718,  5152,   323,  6361,   512,
    4647,   858,  2676,   292,  4649,  1526,  3024,  5163,  1825,  3363,
    6284,   524,   525,   526,   527,   528,   529,  4294,  4860,  5608,
    5611,    40,    40,  1384,  5383,  1423,  4716,  3487,  3502,  3465,
    6025,  1484,  3468,  3387,   371,  1483,   325,  2686,  3468,  5834,
    5382,  1486,  6202,  5111,  4230,   371,  5293,  4248,  3465,  3403,
    5567,  5566,  3465,  4295,  6338,  6019,  6165,  5859,   395,  3465,
    5216,  5821,  6377,  5543,  4155,  5345,  2584,  5835,  3405,   395,
    5226,  5836,  1440,  5229,  2084,  2585,  5232,  5233,  5234,   416,
    3516,   370,  3260,  5123,  3387,  5427,   375,  3023,  3524,  3385,
     416,  5371,  5785,  6379,  3375,   384,  3296,  4087,  2590,    -1,
    5896,  5257,  5258,  5383,   393,  5261,  2674,    -1,   917,    -1,
    1057,  3465,   401,    -1,  3468,    -1,    -1,    -1,    -1,    -1,
      -1,  1068,  5278,    -1,    -1,   414,  5282,    -1,    -1,    -1,
     467,    -1,  5288,    -1,   423,    -1,  5292,  1084,    -1,   428,
    5296,   467,    -1,  5299,    -1,  5301,    -1,    -1,    -1,  3989,
      -1,  3991,    -1,  3993,    -1,    -1,  5312,    -1,    -1,  5315,
     449,    -1,  3516,    -1,    -1,    -1,  3520,    -1,    -1,    -1,
    3524,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5305,    -1,  5344,  5345,
    5346,    -1,  5348,    -1,  5350,    -1,   485,    -1,    -1,    -1,
     489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5292,    -1,  5382,  5383,    -1,    -1,
      -1,    -1,    -1,    -1,  6404,  5821,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5312,    -1,    -1,   662,    -1,    -1,
      10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,    -1,   681,  6063,    -1,    -1,
      -1,  5427,   687,    -1,    -1,    35,  5344,    -1,    -1,    -1,
      -1,    -1,    -1,  5439,   699,    45,    -1,    -1,  5444,    -1,
      -1,    -1,    52,  5449,  1241,    -1,    -1,    -1,    -1,    -1,
     715,    -1,  5458,    -1,    -1,   720,    -1,    -1,    -1,    -1,
     725,    -1,  5468,    -1,   729,   730,  5472,    -1,    78,  5475,
      -1,   736,    -1,   738,   739,    -1,    -1,    -1,    -1,    -1,
    5486,  5487,  5488,    -1,    -1,    -1,   751,   752,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   762,    -1,  5498,
      -1,  5498,  5498,  5498,  5498,  5498,  5498,    -1,  5498,  5498,
    5498,  5498,    -1,  5498,  6426,    -1,  5522,    -1,  5498,  5498,
      -1,    -1,    -1,    -1,  5498,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5539,    -1,    -1,    -1,  5543,    -1,  5545,
      -1,  5588,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5498,
     815,    -1,    -1,  5559,    -1,  5498,  6202,    -1,  5498,    -1,
      -1,  5567,    -1,  5453,  5570,  6297,  6298,    -1,  5574,    -1,
    5488,    -1,   837,   838,    -1,  5581,    -1,    -1,   843,  6015,
      -1,    -1,  5588,    -1,    -1,    -1,   196,  5487,    -1,    -1,
      -1,   201,    -1,    -1,  5484,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   868,  6294,   870,    -1,    -1,  5498,  6364,
      -1,    -1,    -1,    -1,   224,   225,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5629,    -1,    -1,    -1,    -1,    -1,   894,
      -1,    -1,  5638,   776,    -1,   778,    -1,   780,    -1,    -1,
      -1,    -1,   252,   786,   787,   788,    -1,    -1,  5654,  5567,
      -1,    -1,   917,  6343,  5660,  5661,    -1,    -1,    -1,  5665,
    5666,  5667,  5668,    -1,    -1,   930,    -1,    -1,    -1,    -1,
    6425,   207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     216,    -1,    -1,    -1,    -1,   295,    -1,    -1,    -1,    -1,
    5696,    -1,    -1,    -1,   230,  6450,    -1,    -1,  5704,    -1,
     310,    -1,    -1,   313,    -1,    -1,     0,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5729,  6160,  6161,  5732,    -1,  6164,  5859,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3944,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    43,
      -1,  5757,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1038,  1039,  1040,  3980,    -1,    -1,  5785,
      -1,    -1,  1047,    -1,    -1,    -1,    -1,  1052,    -1,    -1,
      -1,  5797,  1057,  1058,    -1,    -1,   406,  1062,    -1,  1064,
    5806,  5807,  5808,  1068,    -1,    99,  5812,    -1,    -1,    -1,
      -1,    -1,  5818,  1610,  5732,  5821,    -1,    -1,    -1,  1084,
      -1,    -1,    -1,    -1,  5830,    -1,  5832,    -1,  5834,  5835,
      -1,    -1,    -1,    -1,   977,  5841,    -1,    -1,    -1,    -1,
      -1,    -1,  5848,    -1,  5734,    -1,    -1,    -1,    -1,    -1,
      -1,  5857,    -1,  5859,    -1,    -1,    -1,  5863,   152,    -1,
      -1,  6053,  5868,  1128,    -1,  1130,  1131,    -1,    -1,    -1,
      -1,   165,    -1,    -1,    -1,    -1,    -1,   171,    -1,    -1,
      -1,    -1,    -1,   177,    -1,    -1,    -1,    -1,    -1,   183,
      -1,    -1,   186,    -1,    -1,    -1,   190,    -1,  5904,  5905,
      -1,    -1,   512,    -1,  1047,    -1,  1171,    -1,    -1,    -1,
      -1,   521,   522,   523,   524,   525,   526,   527,   528,   529,
      -1,    -1,    -1,  5841,   534,    -1,   220,   537,   222,  5935,
      -1,  6123,  6124,    -1,  1199,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5949,    -1,    -1,    -1,    -1,  5838,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4242,    -1,    -1,   253,
    4246,    -1,    -1,    -1,    -1,  4655,    -1,  1232,  4658,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1241,    -1,  1243,    -1,
      -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,  4193,
      -1,    31,    -1,    -1,  6000,  1260,    -1,  4687,    -1,    -1,
    1265,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6015,
     304,    -1,  1277,  6019,   308,    -1,  4220,    -1,    -1,  6025,
     314,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6034,    -1,
      -1,  5949,    -1,    -1,    -1,    -1,    76,    -1,  4242,    -1,
    1837,    -1,  4246,    -1,    -1,    -1,    -1,  6053,    -1,    -1,
      -1,  1848,    -1,    -1,  1319,    -1,    -1,    -1,    -1,  6065,
      -1,    -1,    -1,    -1,    -1,  4351,  6072,  1864,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     374,    -1,    -1,  1348,  1349,  1350,    -1,  1352,    -1,    -1,
      -1,    -1,  6098,   133,    -1,    -1,    -1,    -1,    -1,  6105,
     140,    -1,    -1,    -1,   144,    -1,    -1,    -1,  1373,  6115,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6123,  6124,  6125,
      -1,  1918,    -1,  6129,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   172,  1398,    -1,   429,  1933,    -1,    -1,  1936,
    1937,  1406,  1407,  6122,    -1,   681,  6152,  6153,  6154,    -1,
      -1,   687,    -1,    -1,  6160,  6161,    -1,    -1,  6164,    -1,
      -1,  6167,    -1,   699,    -1,  1430,    -1,    -1,   208,   463,
    1967,  1968,    -1,  6122,    -1,    -1,    -1,    -1,    -1,  6122,
      -1,    -1,  6122,    -1,  6190,    -1,    -1,    -1,    -1,  6236,
    6196,    -1,    -1,   487,  1459,   489,   490,  6115,    -1,  4889,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6097,    -1,    -1,
      -1,  1476,    -1,    -1,    -1,  1480,  1481,   511,    -1,     6,
    6226,  6227,  6228,     0,    -1,    -1,  6232,    -1,    -1,    -1,
      -1,  1496,  6122,    -1,    -1,    -1,    -1,  1502,    -1,    -1,
     534,    -1,   536,   537,  6250,    -1,  6438,  6439,   288,    -1,
      -1,  6257,   292,    -1,    -1,  4945,  4946,  6236,  1401,  6265,
      -1,    -1,   302,  1406,  1407,    -1,    -1,  6273,    -1,    -1,
      -1,    -1,   312,  6279,    -1,    -1,    -1,    -1,  6284,    -1,
      -1,    -1,    -1,    -1,   324,    -1,    -1,  6236,  6294,    -1,
      -1,  1434,    -1,  6236,  4580,  4581,  6236,    -1,    -1,    -1,
    1443,    -1,  1445,    -1,  1569,    -1,  1449,    -1,  6226,    -1,
      -1,    -1,  2109,  1456,  6232,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    99,    -1,  6330,  6331,  6332,  6333,    -1,   369,
     370,    -1,  6338,    -1,    -1,    -1,    -1,  6343,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1610,  6236,    -1,  6354,  5039,
    5040,  6357,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6377,    -1,    -1,    -1,   152,  4580,    -1,  1643,    -1,
      -1,    -1,  6361,    -1,    -1,    -1,    -1,    -1,   165,    -1,
      -1,    -1,    -1,    -1,   171,    -1,    -1,    -1,  6404,  6405,
     177,    -1,  4606,    -1,  1547,    -1,   183,    -1,    -1,   186,
     197,    -1,  6361,   190,  1557,  6421,    -1,    -1,  6361,   206,
      -1,  6361,    -1,    -1,    -1,    -1,    -1,   214,    -1,    -1,
     217,    -1,  6438,  6439,   474,    -1,  6442,    -1,  6444,  6357,
      -1,    -1,    -1,   220,    -1,  1710,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6461,    -1,    -1,  1601,  1602,
    1725,  1726,  1727,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6361,    -1,    -1,    -1,    -1,   253,    -1,    -1,  5169,
      -1,    -1,  5172,  5173,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1644,  5192,    -1,    -1,  1648,  1649,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   304,    -1,    -1,
      -1,   308,    -1,    -1,    -1,    -1,  4822,   314,    10,    -1,
      -1,    13,    -1,  4829,    -1,    17,    18,    19,  4834,    -1,
      -1,  4837,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1825,    -1,    -1,    35,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1837,    45,    -1,    -1,    -1,    -1,    -1,    -1,
      52,    -1,    -1,  1848,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1860,    -1,   374,    -1,  1864,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1883,    -1,
      -1,    -1,    -1,    -1,    -1,  4829,  1891,    -1,    -1,    -1,
    4834,    -1,    -1,  4837,  1899,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1918,  4858,  4859,   433,    -1,    -1,    -1,
      -1,    -1,  1927,    -1,    -1,  1930,    -1,    -1,  1933,    -1,
      -1,  1936,  1937,    -1,    -1,  1940,  1941,    -1,  1943,  1944,
      -1,    -1,    -1,    -1,    -1,    -1,   463,    -1,    -1,    -1,
    1955,    -1,  1957,  1958,    -1,    -1,    -1,    -1,    -1,  1842,
      -1,    -1,  1967,  1968,    -1,  1970,  1971,    -1,    -1,    -1,
     487,    -1,   489,   490,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   196,    -1,    -1,    -1,    -1,   201,
      -1,    -1,    -1,    -1,   511,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2008,    -1,    -1,    -1,  2012,  2013,    -1,
      -1,    -1,   224,   225,   531,    -1,    -1,   534,   535,   536,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     252,    -1,  2047,    -1,  2049,    -1,    -1,    -1,    -1,  2054,
    2055,    -1,    -1,    -1,    -1,    -1,  2061,  2062,  2063,  2064,
    2065,  2066,  2067,  2068,  2069,  2070,  2071,  2072,  2073,    -1,
      -1,    -1,  2077,    -1,  2079,    -1,  2081,  2082,  2083,  2084,
    2085,  2086,    -1,   295,  2089,  5111,  2091,  2092,    -1,    -1,
    2095,    -1,    38,    -1,    -1,    -1,    -1,    -1,   310,    -1,
      -1,   313,    -1,    -1,  2109,  2110,  2111,  2112,    25,    -1,
      -1,    -1,    -1,    -1,    31,    -1,    62,    -1,    -1,    -1,
      -1,    -1,    -1,  2128,    -1,  2130,    -1,    -1,    -1,    -1,
      -1,    -1,    38,    -1,    -1,    -1,    10,    -1,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,
      -1,    -1,    98,    -1,    60,    -1,    -1,    -1,    -1,    76,
      -1,    35,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    45,    -1,    -1,  2057,  2058,    -1,    -1,    52,  5123,
      86,    -1,    -1,    -1,    -1,  5615,    -1,    -1,    -1,    -1,
      -1,  2074,  2075,   720,   406,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   729,    -1,    78,    -1,   112,   113,    -1,   736,
      -1,    -1,   739,    -1,   120,   161,   133,    -1,    25,    -1,
      -1,    -1,  2105,   140,    31,    -1,    -1,   144,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5671,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2788,   198,   159,    -1,   172,    -1,  2794,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5292,    -1,    -1,    76,
    2275,    -1,    -1,    -1,    -1,   181,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5312,    -1,    -1,    -1,
      -1,   208,    -1,    -1,    -1,    -1,    -1,   243,   204,    -1,
     512,    -1,   248,    -1,  2841,    -1,    -1,    -1,    -1,   521,
     522,   523,   524,   525,   526,   527,   528,   529,  5344,    -1,
      -1,    -1,   196,    -1,  2329,   537,   133,   201,    -1,    -1,
      17,    -1,    -1,   140,    -1,    10,    -1,   144,    13,    26,
      -1,    -1,    17,    18,    19,    -1,   292,    -1,  5292,    -1,
     224,   225,    -1,    -1,  5784,    -1,   262,    -1,    -1,    -1,
      -1,   267,    -1,    -1,    -1,   172,   272,    -1,    -1,    -1,
      45,   288,    -1,    -1,    -1,   292,    -1,    52,   252,   325,
    2385,    -1,   288,    -1,    -1,   302,   292,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    62,   312,    -1,    -1,    -1,    -1,
      -1,   208,    -1,    78,    -1,    -1,    -1,   324,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,    -1,    -1,
      -1,   295,    -1,    -1,   370,    -1,    -1,    -1,    -1,   375,
      98,    -1,    -1,    -1,  1710,    -1,   310,    -1,   384,   313,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   393,    -1,   366,
      -1,    -1,   369,   370,    -1,   401,    -1,    -1,    -1,    -1,
      -1,    -1,  5488,    -1,    -1,   371,    -1,    -1,   414,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,    -1,    -1,
      -1,   288,   428,    -1,   401,   292,    -1,    -1,    -1,   395,
      -1,    -1,    -1,   161,    -1,   302,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   449,    -1,   312,    -1,    -1,    -1,  5453,
     416,    -1,   418,    -1,  3051,   421,    -1,   324,    -1,    -1,
      -1,   196,    -1,    -1,    -1,  1052,   201,    -1,    -1,    -1,
     198,  1058,   406,    -1,    -1,  1062,    -1,  1064,    -1,   485,
    5484,  5567,    -1,   489,    -1,    -1,    -1,    -1,    -1,   224,
     225,    -1,    -1,    -1,  5498,    -1,    -1,   474,    -1,   366,
      -1,   467,   369,   370,  2569,  2570,  2571,  2572,  2573,  2574,
    2575,  2576,  2577,    -1,  2579,    -1,    -1,   252,    -1,    -1,
     248,    -1,    -1,    -1,    -1,  2590,    -1,  2592,    -1,    -1,
      -1,    -1,    -1,    -1,   401,    -1,    -1,    -1,    -1,    -1,
      -1,  1128,    -1,  1130,  1131,    -1,    -1,  1883,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1891,    -1,    -1,    -1,    -1,
     295,    -1,    -1,  1899,   292,  2630,    -1,   533,    -1,  2634,
      -1,    -1,  2637,    -1,  2639,   310,    -1,  2642,   512,    -1,
      -1,  2646,    -1,    -1,  5588,    -1,    -1,   521,   522,   523,
     524,   525,   526,   527,   528,   529,    -1,   325,    -1,    -1,
      -1,    -1,  2667,   537,  2669,    -1,    -1,   474,  1944,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2686,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2695,  2696,    -1,    -1,  3231,  1971,    -1,    -1,    -1,    -1,
      -1,    -1,   370,    -1,   372,    -1,  5732,   375,    -1,  3246,
      -1,    -1,    -1,    -1,  3251,    -1,   384,  2722,    -1,    -1,
      -1,    -1,    -1,    -1,  2729,   393,    -1,    -1,  2733,  2734,
      -1,   406,    -1,   401,    -1,  2740,    -1,    -1,    -1,  2744,
      -1,    -1,    -1,  2748,  3281,    -1,   414,    -1,    -1,    -1,
      -1,    -1,  2757,    -1,  6184,   423,    -1,    -1,    -1,    -1,
     428,    -1,    -1,    -1,    -1,    -1,    -1,  2772,    -1,    -1,
    2775,    -1,    -1,    62,  2657,  2658,    -1,    -1,    -1,    -1,
    2663,  2786,    -1,  2788,  2789,    -1,  2791,  2792,  5732,  2794,
    5734,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2806,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    98,
      -1,    -1,  2695,  2696,    -1,  5841,    -1,   485,    -1,    -1,
      -1,  2826,  2827,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2841,   512,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   521,   522,   523,   524,
     525,   526,   527,   528,   529,    -1,    -1,    -1,  2863,  2864,
      -1,    -1,  2867,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   161,    -1,  2757,    -1,    10,    -1,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,  2891,    -1,  2893,    -1,
      -1,    -1,  2897,    23,  5838,    -1,    -1,    -1,    28,    -1,
      -1,    35,    -1,    -1,    -1,    -1,  2911,    -1,    -1,   198,
      -1,    45,    -1,  2918,    -1,    -1,  2921,    -1,    52,    -1,
      -1,    -1,  2927,  5949,    -1,    25,    -1,    -1,    -1,    -1,
      -1,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2947,    -1,    78,    -1,    -1,    -1,  2953,    79,
      80,    -1,    -1,    -1,    -1,  2960,    -1,    -1,    -1,   248,
      -1,  2844,    -1,    -1,    -1,    -1,    96,    -1,    -1,  2974,
      -1,    -1,    -1,    -1,    -1,    -1,    76,    -1,   665,    -1,
      -1,    -1,    -1,  2988,   114,    -1,    -1,    -1,  2993,    10,
      -1,    -1,    13,    -1,  2999,    -1,    17,    18,    19,   288,
      -1,    -1,    -1,   292,    -1,    -1,    -1,    -1,   138,    -1,
      -1,    -1,  3017,  3018,  3019,    -1,    -1,    -1,  3023,    -1,
      -1,   151,    -1,    -1,    45,    -1,    -1,    -1,   715,   716,
     160,    52,    -1,   133,    -1,   324,   325,    -1,    -1,    -1,
     140,    -1,    -1,   173,   144,  3050,  3051,    -1,    -1,   179,
    2933,  3588,    -1,    -1,  3059,    -1,    -1,    78,  2941,  3596,
      -1,  2944,   196,    -1,    -1,    -1,    -1,   201,    -1,    -1,
      -1,    -1,   172,  2956,    -1,    -1,   206,   366,    -1,    -1,
      -1,   370,    -1,    -1,    -1,    -1,   375,  3092,    -1,  6115,
     224,   225,    -1,    -1,    -1,   384,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   393,    -1,    -1,    -1,   208,    -1,
      -1,    -1,   401,    -1,   244,    -1,    -1,    -1,   252,  3124,
      -1,    -1,    -1,  3128,   811,   414,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   423,    -1,   266,    -1,    -1,   428,
      -1,    -1,    -1,    -1,   831,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   839,  6097,    -1,   842,   843,   844,    -1,    -1,
      -1,   295,    -1,  3700,    -1,  3702,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   196,   310,    -1,  6122,   313,
     201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,    -1,
      -1,    -1,   292,    -1,    -1,    -1,   485,    -1,    -1,    -1,
    6226,    -1,   302,   224,   225,    -1,  6232,    -1,    -1,  3214,
      -1,  3216,   312,    -1,    -1,    -1,    -1,   347,   348,    -1,
      -1,   351,    -1,    -1,   324,    -1,  3231,    -1,  3233,    -1,
      -1,   252,    -1,    -1,    -1,  3240,    -1,    -1,    -1,  3244,
      -1,  3246,  3247,    -1,  3249,  3250,  3251,    -1,   378,    -1,
      -1,   381,    -1,    -1,  3259,    -1,    -1,    -1,   388,  3264,
      -1,  3798,    -1,    -1,    -1,   395,   366,    -1,   398,   369,
     370,    -1,   406,    -1,   295,    -1,  3281,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   418,   310,
      -1,    -1,  6236,    -1,    -1,    -1,   426,    -1,    -1,    -1,
      -1,   401,    -1,   433,    -1,  3842,   436,    -1,  3313,  3314,
    3315,   441,    -1,  3318,    -1,    -1,    -1,    -1,    -1,    -1,
    3203,  3326,  3327,  3328,  3329,    -1,   456,    -1,    -1,    -1,
      -1,  6357,  3337,    -1,    -1,    -1,    -1,  3342,  3343,    -1,
    3345,    -1,  3347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   483,  3359,  3360,    -1,    -1,  3363,    -1,
    1047,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   474,    -1,    -1,    -1,   512,  3384,
      -1,  3386,    -1,  3388,    -1,   406,    -1,   521,   522,   523,
     524,   525,   526,   527,   528,   529,    -1,    -1,   532,    -1,
    1927,  3938,  3407,  1930,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1940,  1941,    -1,    -1,  6361,    -1,    -1,
      -1,    -1,    -1,  3428,    -1,    -1,    -1,    -1,  1955,    -1,
      -1,  1958,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3982,  2722,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3465,    -1,    -1,  3468,  2740,    -1,    -1,    25,  2744,    -1,
      -1,    -1,  2748,    31,    -1,    -1,    -1,  3482,    -1,    -1,
      -1,  2008,  3487,    -1,    -1,  2012,  2013,    -1,    46,    -1,
      -1,   512,    -1,    -1,    -1,    -1,  2772,  3502,    -1,    -1,
     521,   522,   523,   524,   525,   526,   527,   528,   529,    -1,
      -1,  3516,    -1,    -1,    -1,    -1,    -1,    25,    76,  3524,
      -1,    -1,    -1,    31,    -1,    -1,    -1,  4064,    -1,    -1,
    2806,  3536,    -1,    -1,  3539,    -1,  3541,    -1,    46,    -1,
      -1,  3546,    -1,  3426,    -1,  3428,    -1,    -1,    -1,    -1,
    2826,  1238,    -1,    -1,    -1,    -1,  3561,  3562,    -1,    -1,
      -1,  3444,  3567,    -1,    -1,    -1,    -1,    -1,    76,    -1,
      -1,    -1,    -1,   131,    -1,   133,    -1,  3582,  1265,  4116,
    3585,    -1,   140,  3588,    -1,    -1,   144,    -1,  2864,    -1,
      -1,  3596,    -1,    -1,    -1,    -1,    -1,    62,    -1,    -1,
      -1,    -1,    -1,    -1,  4141,    -1,    -1,    -1,    -1,    -1,
      -1,  3494,  3495,    -1,   172,  2891,  3621,    -1,    -1,    -1,
      -1,  2897,  3627,   131,    -1,   133,    -1,    -1,    -1,    -1,
      -1,    -1,   140,    98,    -1,  2911,   144,    -1,    -1,    -1,
      -1,    -1,  2918,    -1,    -1,  2921,    -1,    -1,    -1,    -1,
     208,  2927,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3666,  3667,  3668,   172,    -1,    -1,  1354,    -1,    -1,
      -1,  2947,    -1,    -1,    -1,    -1,  1363,  2953,    -1,    -1,
      -1,    -1,    62,    -1,  2960,    -1,  3691,    -1,    -1,    -1,
      -1,    -1,  1379,    -1,    -1,  3700,   161,  3702,  2974,    -1,
     208,    -1,    -1,    -1,    -1,  3710,    -1,    -1,    -1,    -1,
      -1,  1398,  2988,    -1,  1401,  1402,    -1,    -1,    98,  1406,
    1407,    -1,    -1,  2999,    -1,    -1,    -1,  3732,    -1,    -1,
     288,    -1,    10,   198,   292,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,   302,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   312,    -1,    -1,    35,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   324,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,
     288,   161,    -1,   248,   292,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3798,   302,    -1,    -1,    -1,    -1,    -1,
      78,    -1,    -1,    -1,   312,    -1,    -1,    -1,   366,    -1,
      -1,   369,   370,    -1,    -1,    -1,   324,  3822,   198,    -1,
      -1,    -1,  3827,   288,    -1,    -1,    -1,   292,  3833,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3842,    -1,    -1,
      -1,    -1,    -1,   401,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   366,   324,
     325,   369,   370,    -1,  3869,  3870,    -1,    -1,   248,    -1,
    3875,    -1,  3877,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3890,    -1,  3892,    -1,    -1,
      -1,    -1,    -1,   401,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   366,    -1,    -1,    -1,   370,    -1,  3912,   288,    -1,
     375,    -1,   292,    -1,    -1,    -1,   474,    -1,   196,   384,
      -1,    -1,    -1,   201,    -1,    -1,    -1,    -1,   393,    -1,
      -1,    -1,    -1,  3938,    25,    -1,   401,    -1,  3214,    -1,
      31,    -1,    -1,    -1,   324,   325,   224,   225,    -1,   414,
      -1,    -1,    -1,    -1,  3959,  3960,    -1,  3233,   423,    -1,
      -1,    -1,    -1,   428,  3240,    -1,   474,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   252,    -1,  1663,  3982,    -1,    -1,
      -1,    -1,    -1,    -1,  1671,    76,   366,  3870,    -1,    -1,
     370,    -1,    -1,    -1,    -1,   375,  4001,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   384,    -1,    -1,    -1,    -1,    -1,
    3893,    -1,    -1,   393,    -1,  4020,    -1,   295,    -1,  4024,
     485,   401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4566,
      -1,    -1,   310,    -1,   414,   313,    -1,    -1,    -1,    -1,
    4045,    -1,   133,   423,    -1,    -1,    -1,    -1,   428,   140,
      -1,    -1,    -1,   144,    -1,    -1,  4061,    -1,    -1,  4064,
      -1,    -1,    -1,    -1,    -1,  4070,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4084,
      -1,   172,    -1,  4088,  4089,  4090,    -1,    -1,    -1,    -1,
    4095,    -1,    -1,  4098,    -1,    -1,  4101,    -1,    -1,    -1,
      -1,    -1,  4107,    -1,  4109,   485,    -1,  4112,    -1,    -1,
      -1,  4116,  4117,  4118,  4119,  4120,    -1,   208,  4123,  4124,
    4125,  4126,  4127,  4128,  4129,  4130,  4131,  4132,   406,    -1,
      -1,  4136,  4137,  4138,    -1,    -1,  4141,    -1,    -1,    -1,
      -1,  4146,  2669,    -1,    -1,    -1,  4151,    -1,  4153,    -1,
    4155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4163,    -1,
      -1,  4166,    -1,  4168,    -1,    -1,    -1,  4050,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4184,
      -1,    -1,  4187,  4188,    -1,    -1,    -1,  4192,  4193,    -1,
      -1,    -1,  4197,    -1,  4199,    -1,    -1,   288,    -1,  1886,
      -1,   292,    -1,  1890,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   312,    -1,  4228,    -1,    -1,    51,    -1,    -1,  4234,
      -1,    -1,    -1,   324,   512,    -1,    -1,  4242,    -1,    -1,
      -1,  4246,    -1,   521,   522,   523,   524,   525,   526,   527,
     528,   529,    -1,    -1,    -1,    -1,   534,    -1,    -1,  2786,
      -1,    25,  2789,    -1,  2791,  2792,    -1,    31,    -1,    -1,
      -1,    -1,    -1,    -1,  4279,   366,    -1,    -1,   369,   370,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4296,    10,    -1,    -1,    13,    -1,  4302,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,  3582,    -1,    -1,    -1,
     401,    -1,    76,    -1,    -1,    -1,    -1,    35,    -1,    -1,
      -1,    -1,    -1,  4328,    -1,    -1,    -1,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4351,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4891,    -1,    -1,    -1,    -1,    10,
      78,    -1,    13,    -1,    -1,    -1,    17,    18,    19,   133,
      -1,    -1,    -1,  2060,    -1,    -1,   140,    -1,    -1,    -1,
     144,    -1,    -1,   474,    35,  4390,    -1,    -1,    -1,    -1,
    4395,  4396,  4397,    -1,    45,    -1,    -1,    -1,    -1,    -1,
      -1,    52,    -1,    -1,    -1,    -1,    -1,  4944,   172,    -1,
      -1,    -1,    -1,    -1,    -1,  3691,    -1,    -1,  4423,  4424,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,  4966,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   208,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    10,    -1,  4469,    13,    -1,  4472,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,    -1,    -1,   196,    51,
      -1,    -1,    -1,   201,    -1,    -1,    -1,    35,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,
      -1,  5038,    -1,    -1,    52,    -1,   224,   225,    -1,    -1,
      -1,    -1,    10,  4396,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,   288,    -1,    -1,    -1,   292,    -1,
      78,  4536,    -1,    -1,   252,    -1,    -1,    35,   302,    -1,
      -1,  4424,    -1,    -1,    -1,   196,  3822,    45,   312,    -1,
     201,    -1,    -1,    -1,    52,  4438,    -1,  4562,  4563,    -1,
     324,  4566,    -1,    -1,    -1,  3092,  4449,    -1,  4573,    -1,
      -1,    -1,    -1,   224,   225,  4580,  4581,   295,    -1,    -1,
      78,    -1,    -1,    -1,    -1,  4590,    -1,    -1,    -1,    -1,
      -1,    -1,   310,    -1,    -1,   313,    -1,    -1,    -1,    -1,
      -1,   252,   366,    -1,    -1,   369,   370,    -1,  4613,    -1,
      -1,    -1,    -1,  4618,  4619,  4620,    -1,    -1,    -1,    -1,
      -1,    -1,  5159,    -1,    -1,  4630,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   401,    -1,    -1,
      -1,    -1,  4525,  4526,   295,    -1,    -1,    -1,   196,    -1,
      -1,    -1,    -1,   201,    -1,    -1,    -1,    -1,    -1,   310,
      -1,    -1,   313,    -1,    -1,    -1,  4671,    -1,    -1,  4674,
      -1,    -1,    -1,    -1,    -1,    -1,   224,   225,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   406,    -1,
      -1,    -1,    -1,    -1,    -1,  4700,    -1,    -1,   196,    -1,
      -1,    -1,    -1,   201,   252,    -1,    -1,    -1,    -1,    -1,
     474,  4716,    -1,    -1,    -1,    -1,    -1,  3244,    -1,    -1,
    3247,    -1,  3249,  3250,    -1,  4001,   224,   225,    -1,  4734,
    4613,    -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,    31,
      -1,    -1,    -1,    -1,  4020,    -1,    -1,   295,  4024,    -1,
      -1,    -1,    -1,    -1,   252,   406,    -1,  4762,    -1,    -1,
    4765,  5298,   310,    -1,    -1,   313,    -1,    -1,  4773,  4774,
      -1,  4776,    -1,    -1,    -1,  4780,  4781,    -1,    -1,    -1,
    4785,    -1,    -1,  4666,    76,  4790,    -1,    -1,  4793,  4794,
      -1,    -1,    -1,    -1,   512,  4800,    -1,   295,    -1,    -1,
      -1,    -1,    -1,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   310,    -1,    -1,   313,   534,  4822,    -1,    -1,
      -1,    -1,    -1,    -1,  4829,    -1,    -1,    -1,    -1,  4834,
      -1,    -1,  4837,  4838,    -1,    -1,    -1,    -1,    -1,    -1,
    4845,   133,    -1,    -1,    -1,    -1,    -1,    -1,   140,    -1,
      -1,  4856,   144,    -1,    -1,    -1,    -1,    -1,   406,  4864,
      -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     521,   522,   523,   524,   525,   526,   527,   528,   529,    -1,
     172,    -1,    -1,   534,    -1,    -1,  4891,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4904,
     725,    -1,    -1,    -1,  4909,    -1,    -1,    -1,   406,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   208,    -1,    -1,    -1,
      -1,    -1,  2609,    -1,    -1,    -1,   751,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3465,  4944,
      -1,  3468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4961,    -1,    -1,    -1,
      -1,  4966,    -1,    -1,   512,    -1,    -1,    -1,  4973,    -1,
      -1,    -1,    -1,   521,   522,   523,   524,   525,   526,   527,
     528,   529,    -1,    -1,  4989,    -1,   534,    -1,    -1,  3516,
      -1,  4996,    -1,    -1,    -1,    -1,   288,  3524,    -1,    -1,
     292,    -1,  5007,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     302,    -1,    -1,    -1,   512,    -1,    -1,    -1,    -1,    -1,
     312,    -1,    -1,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   324,  5038,    -1,    -1,   534,    -1,    -1,    -1,
      -1,    -1,    -1,  4926,    -1,    -1,    -1,    -1,    -1,  4932,
      -1,    -1,  4328,    -1,  4937,    -1,    -1,    -1,    -1,  5064,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   894,
    2757,    -1,    -1,    -1,   366,  5080,    10,   369,   370,    13,
    5085,  4964,  4965,    17,    18,    19,  4969,  4970,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5104,
      -1,    35,    -1,    -1,    -1,    -1,  5111,  5644,    -1,   401,
      -1,    45,  5649,  5650,    -1,    -1,    -1,    -1,    52,    -1,
      -1,    -1,    25,    -1,    -1,    -1,  2813,    -1,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    38,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5157,   725,  5159,    -1,    -1,    60,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    76,    -1,    -1,    -1,    -1,    -1,   751,
      -1,    -1,   474,    -1,    -1,  5190,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4469,    -1,    -1,  4472,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
      -1,  5216,  2899,  1038,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5226,    -1,    -1,  5229,  5762,    -1,  5232,  5233,  5234,
     133,    -1,  1057,    -1,    -1,    -1,  2923,   140,    -1,    -1,
      -1,   144,    -1,  1068,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5257,  5258,    -1,    -1,  5261,    -1,    -1,  1084,
      -1,    -1,   196,    -1,    -1,    -1,    -1,   201,    -1,   172,
      -1,    -1,    -1,  5278,    -1,    -1,    -1,  5282,    -1,    -1,
      -1,    -1,    -1,  5288,    -1,    -1,    -1,  5292,  5825,    -1,
     224,   225,    -1,  5298,  5299,    -1,    -1,  4573,    -1,    -1,
    2987,   204,    -1,    -1,  2991,   208,    -1,  5312,    -1,    -1,
    5315,    -1,    -1,    -1,  4590,  5320,    -1,  5322,   252,    -1,
      -1,    -1,   894,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5344,
      -1,  3028,    -1,  3030,    -1,  3032,  3033,    -1,    -1,    -1,
    3037,  3038,  3039,    -1,  3041,  3042,  3043,    -1,    -1,   262,
      -1,   295,    -1,    -1,   267,    -1,  5371,  5372,    -1,   272,
      -1,    -1,    -1,    -1,    -1,    -1,   310,  5382,    -1,   313,
      -1,    -1,    -1,    -1,    -1,   288,    -1,    -1,    -1,   292,
      -1,    -1,    -1,    10,    -1,  4671,    13,    -1,    -1,   302,
      17,    18,    19,    -1,    -1,    -1,    -1,    -1,  3095,   312,
      -1,    -1,    -1,    -1,    -1,    -1,  1241,  5422,    35,    -1,
     323,   324,  5427,    10,    -1,    -1,    13,    -1,    45,    -1,
      17,    18,    19,  3120,    -1,    52,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,
      -1,    78,    -1,   366,    -1,    52,   369,   370,   371,    -1,
      -1,    -1,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5488,    -1,  1057,  5491,    -1,  5371,    -1,
      -1,    78,   395,    -1,    -1,    -1,  1068,    -1,   401,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1084,   416,    -1,    -1,    -1,  5522,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5539,    -1,    -1,    -1,  5543,    -1,
    5545,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5559,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5567,    -1,   467,  5570,    -1,    -1,    -1,    -1,
      -1,   474,    -1,    -1,    -1,    -1,  5581,    -1,   512,   196,
      -1,    -1,    -1,  5588,   201,    -1,    -1,   521,   522,   523,
     524,   525,   526,   527,   528,   529,    -1,    -1,    -1,    -1,
     534,    -1,    -1,    -1,    -1,    -1,    -1,   224,   225,   196,
      -1,    -1,    -1,    -1,   201,    -1,    -1,    -1,    10,    -1,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,
      -1,    -1,    -1,  5638,    -1,   252,    -1,   224,   225,  5644,
      -1,    -1,    -1,    35,  5649,  5650,    -1,    39,    -1,  5654,
      51,    -1,    -1,    45,    -1,  5660,  5661,  5662,    -1,    -1,
      52,    -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,  1241,
      -1,  5676,    -1,    -1,    -1,    -1,    -1,  1502,   295,    -1,
      -1,    -1,    -1,    -1,    -1,  4961,    78,    -1,    -1,    -1,
      -1,  5696,    -1,   310,    -1,    -1,   313,  4973,    -1,  5704,
      -1,    -1,  5707,    -1,    -1,    -1,    -1,    -1,   295,    -1,
      -1,    -1,    -1,    -1,    -1,  4242,    -1,    -1,    -1,  4246,
      -1,    -1,    -1,   310,    -1,    -1,   313,  5732,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   130,    -1,
      -1,  3428,    -1,    -1,  1569,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5761,  5762,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5785,  5786,    -1,    -1,    -1,  1610,    -1,    -1,    -1,   406,
      -1,    -1,  5797,  5676,    -1,    -1,    -1,    -1,    -1,    -1,
    6337,  5806,  5807,  5808,   196,    -1,    -1,    -1,    -1,   201,
      -1,    -1,    -1,    -1,    -1,    -1,  5821,  5822,  1643,   406,
    5825,    -1,    -1,    -1,  4351,  5830,    -1,  5832,    -1,  5834,
      -1,    -1,   224,   225,    -1,    -1,  5841,    -1,    -1,    -1,
      -1,    -1,    -1,  5848,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     252,    -1,    -1,  5868,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5893,    -1,
      -1,  5896,    -1,    -1,    -1,   512,    -1,    -1,  3585,    -1,
    1725,  1726,  1727,   295,   521,   522,   523,   524,   525,   526,
     527,   528,   529,    -1,  5190,    -1,    -1,   534,   310,    -1,
      -1,   313,    -1,    -1,    -1,   512,    -1,    -1,    -1,    -1,
    1502,    -1,    -1,    -1,   521,   522,   523,   524,   525,   526,
     527,   528,   529,    -1,  5949,    -1,    -1,   534,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,
      14,    15,    -1,    -1,    -1,  3672,    20,    -1,    22,    -1,
      -1,    -1,    -1,    -1,    28,  6000,    30,  1569,    -1,    -1,
      -1,    -1,  5885,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6015,    -1,  1837,    -1,   406,    49,    50,    -1,    -1,    -1,
    6025,    -1,    -1,  1848,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6039,    -1,    -1,    -1,  1610,  1864,
      -1,    -1,    -1,  3730,  5320,    -1,  5322,    -1,  6053,    -1,
      -1,    -1,    -1,  4580,  4581,    -1,    -1,    -1,  6063,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1643,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   471,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1918,    -1,    -1,    -1,    -1,    -1,    -1,
    6105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1933,    -1,
    6115,  1936,  1937,  3800,    -1,    -1,    -1,    -1,  6123,  6124,
     512,    -1,    -1,    -1,  6129,    -1,    -1,    -1,    -1,   521,
     522,   523,   524,   525,   526,   527,   528,   529,    -1,    -1,
      -1,    -1,  1967,  1968,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6160,  6161,    -1,    -1,  6164,
      -1,  3848,    -1,    -1,    -1,    -1,   200,    -1,    -1,    -1,
     204,    -1,    -1,  3860,  3861,    -1,    -1,    -1,   212,    -1,
      -1,   215,    -1,  3870,   218,   219,    -1,   221,  3875,   223,
    3877,    -1,   226,    -1,   228,    -1,    -1,  6202,    -1,    -1,
      25,    -1,    -1,    -1,    -1,    -1,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,
      -1,  6226,    17,    18,    19,    -1,    -1,  6232,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3923,    -1,    -1,    -1,
      35,    -1,  2067,    -1,    -1,  6250,    -1,    -1,    -1,    -1,
      45,    76,  6257,    -1,    -1,    -1,  2081,    52,    -1,  2084,
      -1,    -1,    -1,    -1,    -1,  1837,    -1,    -1,  6273,    -1,
      -1,  3958,  3959,    -1,    -1,    -1,  1848,    -1,    -1,    -1,
      -1,    -1,    -1,    78,  2109,    -1,    -1,    -1,    -1,  6294,
      -1,    -1,  1864,    -1,    -1,  4822,    -1,    -1,    -1,    -1,
      -1,    -1,  4829,    -1,    -1,    -1,    -1,  4834,   133,    -1,
    4837,  4838,    -1,    -1,    -1,   140,    -1,    -1,    -1,   144,
      -1,    -1,    -1,    -1,   725,    -1,    -1,  6332,    -1,    -1,
      -1,    -1,  6337,    -1,    -1,    -1,    -1,    -1,  6343,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1918,   172,    -1,    -1,
     751,    -1,  6357,    -1,    -1,    -1,    -1,    -1,    -1,  6364,
      -1,  1933,    -1,    10,  1936,  1937,    13,    -1,    -1,    -1,
      17,    18,    19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   208,    -1,    -1,    -1,    -1,    35,    -1,
      -1,    -1,    -1,    -1,    -1,  1967,  1968,    -1,    45,  6404,
    6405,   196,    -1,    -1,    -1,    52,   201,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6421,    -1,    10,    -1,
    6425,    13,    -1,    -1,    -1,    17,    18,    19,    -1,   224,
     225,    78,    -1,  6438,  6439,    -1,    -1,    -1,    51,    -1,
      -1,    -1,    -1,    35,    -1,  6450,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    45,    -1,    -1,    -1,   252,    -1,    -1,
      52,    -1,    -1,   288,    -1,    -1,    -1,   292,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4162,    -1,   302,    -1,    -1,
      -1,  6364,    -1,    -1,    -1,    -1,    78,   312,    -1,    -1,
      -1,    -1,    -1,   894,    -1,    -1,    -1,    -1,    -1,   324,
     295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   310,    -1,    -1,   313,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2109,    -1,    -1,
      -1,   366,  6425,    -1,   369,   370,    -1,    -1,    -1,   196,
      -1,    -1,    -1,  5080,   201,    -1,    10,    -1,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,    -1,  6450,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   401,   224,   225,    -1,
      -1,    35,    -1,    -1,  5111,    -1,    -1,    -1,    -1,    -1,
      -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,
      -1,    -1,    -1,    -1,   196,   252,    -1,    -1,    -1,   201,
      -1,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,   663,
      -1,    -1,   224,   225,    -1,    -1,    -1,    -1,    -1,    -1,
     674,    -1,    -1,    -1,   678,    -1,    -1,    -1,   295,   474,
      -1,   685,   686,    -1,    -1,   689,  1057,   691,   692,    -1,
     252,    -1,    -1,   310,    -1,    -1,   313,  1068,    -1,    -1,
      -1,    -1,   706,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1084,    -1,    -1,    -1,    -1,    -1,    -1,
     724,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   295,    -1,    -1,    -1,    -1,    -1,  4396,
      -1,   745,    -1,   747,    -1,    -1,    -1,   512,   310,    -1,
      -1,   313,    -1,   757,    -1,    -1,   521,   522,   523,   524,
     525,   526,   527,   528,   529,    -1,    -1,  4424,    -1,   534,
      -1,    -1,   196,    -1,    -1,    -1,    -1,   201,    -1,    -1,
      -1,    -1,  4439,    -1,    -1,  4442,   790,  4444,    -1,   406,
      -1,    -1,    -1,  6039,    -1,  5292,    -1,  2592,    -1,    -1,
     224,   225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5312,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,
      -1,    -1,    -1,  4490,    10,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,   406,    -1,    -1,  5344,    -1,  4506,
      -1,    -1,    -1,    -1,  4511,    -1,    -1,    -1,    -1,    35,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   871,    -1,    45,
    1241,   295,    -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5382,   310,    -1,    -1,   313,
      -1,    -1,    -1,    -1,    -1,   512,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    -1,   521,   522,   523,   524,   525,   526,
     527,   528,   529,    -1,    -1,    -1,    -1,   534,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5427,    -1,    -1,    -1,  2729,    -1,    -1,    -1,  2733,  2734,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     512,    -1,   956,  4610,    -1,    -1,  4613,    -1,    -1,   521,
     522,   523,   524,   525,   526,   527,   528,   529,    -1,    -1,
      -1,    -1,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5488,    -1,  2788,    -1,    -1,    -1,    -1,    -1,  2794,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     196,    -1,    -1,    -1,    -1,   201,  1030,    -1,    -1,    -1,
    1401,    -1,  4689,  4690,  4691,  4692,    -1,  4694,  4695,  4696,
    4697,  4698,    -1,    -1,    -1,    -1,  2841,    -1,   224,   225,
      -1,  1055,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1070,    -1,  1072,    -1,
    5567,    -1,    -1,    -1,    -1,    -1,   252,    -1,  1082,    -1,
      -1,    -1,    -1,    -1,    -1,  1089,    -1,    -1,   512,    -1,
      51,    -1,    -1,    -1,    -1,    -1,    -1,   521,   522,   523,
     524,   525,   526,   527,   528,   529,    -1,    -1,    -1,    -1,
     534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   295,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1132,    -1,
    1134,  1502,    -1,    -1,   310,    25,    -1,   313,    -1,    -1,
      -1,    31,   725,    -1,    -1,    -1,    -1,    -1,    38,    -1,
      -1,    -1,    -1,    -1,    -1,  4812,    -1,  4814,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   751,    -1,
      60,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    76,  2729,    -1,    -1,
      -1,  2733,  2734,    -1,    -1,    -1,    -1,    -1,  1569,    -1,
      -1,    -1,    -1,    -1,  1208,    -1,  1210,  5704,  1212,    -1,
    1214,    -1,  1216,  1217,  1218,    -1,    -1,    -1,    -1,  1223,
      -1,    -1,   112,    -1,  3019,    -1,    -1,    -1,    -1,    -1,
     406,  1235,    -1,    -1,    -1,  5732,    -1,    -1,    -1,  1610,
      -1,    -1,    -1,   133,    -1,    -1,  2788,    -1,    -1,    -1,
     140,    -1,  2794,    -1,   144,    -1,  3051,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1643,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2841,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   894,    -1,    -1,   204,    -1,    -1,    -1,   208,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3124,
      -1,    10,    -1,  3128,    13,    -1,   512,    -1,    17,    18,
      19,    -1,    -1,    -1,  5841,   521,   522,   523,   524,   525,
     526,   527,   528,   529,    -1,    -1,    35,    -1,   534,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,
      -1,    -1,   262,    52,    -1,    -1,    -1,   267,    10,  5036,
    5037,    13,   272,    -1,    -1,    17,    18,    19,    -1,    -1,
      -1,    -1,  5049,    -1,  5051,  5052,  5053,    -1,   288,    78,
      -1,    -1,   292,    35,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   302,    45,    -1,    -1,    -1,    -1,    -1,  1423,
      52,    -1,   312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   323,   324,    -1,  3231,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,
      -1,  3246,  5949,    -1,    -1,    -1,  3251,    -1,    -1,    -1,
    5117,    -1,    -1,    -1,    -1,    -1,  1837,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1057,    -1,   366,  1848,    -1,   369,
     370,   371,    -1,    -1,    -1,  1068,  3281,    -1,    -1,    -1,
      -1,    -1,    -1,  1864,    -1,    -1,    -1,    -1,    -1,  5156,
      -1,  1084,    -1,    -1,    -1,   395,    -1,    -1,    -1,  3051,
      -1,   401,    -1,    -1,    -1,    -1,    -1,   196,    -1,    -1,
      -1,    -1,   201,    -1,    -1,    -1,   416,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1543,
      -1,    -1,  5199,    -1,    -1,   224,   225,  1918,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6053,    -1,    -1,    -1,
      -1,    -1,  1933,    -1,   196,  1936,  1937,    -1,    -1,   201,
      -1,    -1,    -1,   252,    -1,    -1,    -1,   467,    -1,    -1,
      -1,    -1,  3124,    -1,   474,    -1,  3128,    -1,    -1,    -1,
      -1,    -1,   224,   225,    -1,    -1,  1967,  1968,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1615,    -1,    -1,    -1,    -1,   295,    -1,  6115,    -1,
     252,    -1,    -1,    -1,    -1,    -1,  6123,  6124,    -1,    -1,
      -1,   310,    -1,    -1,   313,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1241,    -1,
      -1,    -1,    -1,   295,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   310,    -1,
      -1,   313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3231,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3246,    -1,    -1,    -1,    -1,  3251,
      -1,    -1,    -1,    -1,  5371,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   406,    -1,  6226,
      -1,    -1,    -1,    -1,    -1,  6232,    -1,    -1,  2109,  3281,
      -1,  3536,    -1,    -1,  3539,    -1,  3541,    -1,    -1,    -1,
      -1,  3546,    -1,  6250,    -1,    -1,    -1,    -1,    -1,    -1,
    5417,    -1,    -1,    -1,   725,    -1,    -1,    -1,    -1,  5426,
      -1,    -1,    -1,    -1,   406,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     751,    -1,    -1,  3588,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3596,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3621,    -1,    -1,  1833,
      -1,    -1,    -1,   512,    -1,  6332,    -1,    -1,    -1,    -1,
      -1,    -1,   521,   522,   523,   524,   525,   526,   527,   528,
     529,    -1,    -1,    -1,    -1,   534,    -1,    -1,    -1,    -1,
    6357,    -1,    -1,    -1,  1868,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,
     522,   523,   524,   525,   526,   527,   528,   529,    -1,    -1,
      -1,    -1,   534,    -1,    -1,  3700,    -1,  3702,  6405,    -1,
    1914,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1502,
      10,    -1,    -1,    13,  6421,    -1,    -1,    17,    18,    19,
    1934,    -1,    -1,   894,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6438,  6439,    -1,    -1,    35,    51,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    45,  1960,    -1,  1962,    -1,
      -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1977,    -1,  1979,    -1,    -1,    -1,    -1,
      -1,  1985,    -1,  1987,    -1,  1989,  1569,  1991,    78,  1993,
      -1,    -1,    -1,  1997,  3536,    -1,    -1,  3539,    -1,  3541,
      -1,    -1,    -1,  3798,  3546,    -1,    -1,    -1,    -1,    -1,
      51,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5676,
      -1,    -1,    -1,  5680,    -1,    -1,    -1,  1610,    -1,    -1,
    2034,    -1,  3827,    -1,    -1,    -1,    -1,    -1,  3833,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3588,  3842,    -1,    -1,
      -1,    -1,    -1,    -1,  3596,    -1,    -1,    -1,    -1,    -1,
    1643,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3870,    -1,    -1,    -1,  3621,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1057,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   196,  1068,    -1,    -1,
      -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     0,
      -1,    -1,    -1,  1084,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   224,   225,    -1,    -1,    -1,    20,
      -1,    -1,    -1,  3938,    -1,    -1,    -1,    -1,    -1,    -1,
      31,    -1,    33,    34,    -1,    -1,    -1,    -1,  3700,    -1,
    3702,    -1,   252,    -1,    -1,  3960,    -1,    -1,    -1,    -1,
      51,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      61,    -1,    -1,    -1,    -1,    -1,    -1,  3982,    -1,    -1,
      -1,    -1,    73,    -1,    75,    76,    -1,    -1,    -1,    -1,
      -1,    82,    -1,    84,    -1,   295,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    97,    -1,    99,    -1,
     310,    -1,    -1,   313,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,   119,  5896,
      -1,    -1,    -1,  5900,    -1,  5902,    -1,    -1,    -1,  5906,
    5907,    -1,    -1,   134,  1837,   136,  3798,    -1,    -1,   140,
      -1,    -1,    -1,    -1,    -1,  1848,   147,    -1,    -1,  4064,
      -1,    -1,    -1,    -1,    -1,   156,    -1,   158,    -1,    -1,
    1241,  1864,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3842,    -1,   183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   406,    -1,    -1,   200,
      -1,  4116,    -1,    -1,    -1,    -1,    -1,    -1,  3870,    -1,
      -1,    -1,    -1,    -1,    -1,  1918,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4141,    -1,    -1,    -1,
    1933,    -1,    -1,  1936,  1937,    -1,    -1,    -1,  2729,    -1,
      -1,    -1,  2733,  2734,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   254,   255,    -1,    -1,    -1,    -1,   260,
      -1,    -1,    -1,    -1,  1967,  1968,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   275,    -1,  3938,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   294,    -1,    -1,    -1,  2788,  3960,    -1,
      -1,    -1,   512,  2794,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   521,   522,   523,   524,   525,   526,   527,   528,   529,
    3982,    -1,    -1,    -1,   534,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2841,    -1,    -1,    -1,    -1,    -1,   357,    -1,    -1,    -1,
      -1,   362,   363,    -1,   365,    -1,    -1,    -1,    -1,   370,
      -1,    -1,    -1,    -1,    -1,   376,    -1,    -1,   379,    -1,
      -1,    -1,    -1,    -1,    -1,   386,    -1,  4302,    -1,    -1,
      -1,    -1,   393,   394,    -1,    -1,    -1,    -1,    -1,    -1,
     401,    -1,  4064,    -1,   405,    -1,  2109,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   416,    -1,    -1,    -1,    -1,
      -1,  1502,    -1,    -1,    -1,  6202,    -1,    -1,    -1,    -1,
      -1,    -1,   433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   454,  4116,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   466,    -1,    -1,    -1,    -1,
      -1,   472,    -1,    -1,    -1,    -1,   477,    -1,    -1,  4141,
      -1,  4396,    -1,    -1,    -1,    -1,    -1,    -1,  1569,   490,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     725,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4424,
      -1,    -1,    -1,   514,    -1,   516,   517,   518,   519,   520,
      -1,    -1,    -1,    -1,    -1,    -1,   751,    -1,    -1,  1610,
      -1,    -1,   533,    -1,    -1,   536,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3051,    -1,  1643,    -1,   725,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6364,    -1,    -1,
     751,    -1,    -1,    -1,  6371,    -1,    -1,    -1,  6375,  2723,
    2724,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2742,  2743,
      -1,  2745,  2746,    -1,    -1,    -1,  2750,  2751,    -1,    -1,
      -1,    -1,    -1,  3124,  6411,    -1,    -1,  3128,    -1,    -1,
    4302,  2765,    -1,    -1,    -1,  2769,    -1,    -1,  6425,  2773,
    2774,  4566,    -1,  2777,  2778,    -1,    -1,    -1,    -1,    -1,
    2784,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   894,
      -1,    -1,  2796,  6450,    -1,    -1,  6453,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2808,    -1,    -1,    -1,    -1,  2813,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4613,    -1,
      -1,    -1,    -1,  4618,  2828,    -1,    -1,    -1,  2832,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2843,
      -1,    -1,  2846,    -1,  2848,  2849,  2850,    -1,    -1,    -1,
      -1,  2855,  2856,   894,  4396,    -1,    -1,    -1,    -1,    -1,
    3231,  2865,    -1,    -1,    -1,    -1,    -1,  2871,    -1,    -1,
      -1,  2875,    -1,    -1,    -1,  3246,  1837,    -1,    -1,    -1,
    3251,    -1,  4424,  2887,  2888,    -1,    -1,  1848,  2892,    -1,
      -1,    -1,    -1,    -1,  2898,  2899,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1864,    -1,    -1,    -1,    -1,  2912,    -1,
    3281,  2915,    -1,    -1,    -1,    -1,    -1,    -1,  2922,  2923,
      -1,    -1,    -1,    -1,  2928,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2940,    -1,    -1,  2943,
      -1,    -1,    -1,    -1,  2948,    51,    -1,    -1,    -1,    -1,
    2954,  2955,  1057,    -1,    -1,    -1,    -1,  1918,  2962,    -1,
      -1,    -1,  2966,  1068,    -1,    -1,  2970,  2971,  2972,  2973,
      -1,  2975,  1933,    -1,    -1,  1936,  1937,    -1,    -1,  1084,
      -1,  4776,    -1,    -1,    -1,  2989,  2990,    -1,  2992,    -1,
      -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,  3003,
    3004,  3005,    17,    18,    19,    -1,  1967,  1968,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1057,    -1,    -1,    -1,
      35,    -1,    -1,    -1,  4566,    -1,    -1,  1068,    -1,    -1,
      45,    -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,
      -1,    -1,    10,  1084,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,  3060,    -1,    -1,    -1,
      -1,    -1,    -1,    78,  3068,    -1,    -1,    35,    -1,    -1,
      -1,  4613,    -1,    -1,    -1,    -1,  4618,    45,    -1,    -1,
      -1,    -1,    -1,  3087,    52,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4891,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3137,    -1,    -1,  1241,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2729,    -1,  2109,  4944,
    2733,  2734,  3156,    -1,  3158,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3536,    -1,    -1,  3539,    -1,
    3541,  4966,    -1,    -1,    -1,  3546,    -1,    -1,    -1,    -1,
      -1,   196,    -1,    -1,    -1,    -1,   201,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1241,    -1,    -1,    -1,    -1,  2788,    -1,    -1,    -1,   224,
     225,  2794,    -1,    -1,    -1,    -1,    -1,  3588,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3596,    -1,    -1,   196,    -1,
      -1,    -1,    -1,   201,  4776,    -1,    -1,   252,    -1,    -1,
      -1,    -1,    -1,  5038,    -1,    -1,    -1,    -1,    -1,  3253,
    3621,    -1,    -1,    -1,    -1,    -1,   224,   225,  2841,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   198,
     199,    -1,    -1,   202,    -1,    -1,    -1,    -1,    -1,    -1,
     295,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   222,    -1,   310,    -1,    -1,   313,    -1,
     229,    -1,    -1,    -1,    23,    -1,    -1,    -1,    -1,    28,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   295,    -1,  3700,
      -1,  3702,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   310,    -1,    -1,   313,    -1,    66,    -1,  4891,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    -1,  5157,    -1,  5159,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    96,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   406,    -1,    -1,    -1,   114,    -1,  1502,    -1,    -1,
      -1,    10,  4944,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,
      -1,    -1,    -1,    -1,  4966,    -1,    35,  3798,    -1,    -1,
      -1,    -1,   151,    -1,    -1,    -1,    45,    -1,   406,    -1,
      -1,   160,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   173,    -1,    -1,    -1,    -1,    -1,
     179,  1502,    -1,    -1,  1569,    -1,    -1,    -1,  3051,    78,
      -1,  3842,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5038,   512,    -1,  3870,
      -1,    -1,    -1,  5298,    -1,  1610,   521,   522,   523,   524,
     525,   526,   527,   528,   529,    -1,    -1,    -1,    -1,   534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1569,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1643,    -1,
      -1,  3124,    -1,    -1,   512,  3128,    -1,   266,    -1,    -1,
      -1,    -1,    -1,   521,   522,   523,   524,   525,   526,   527,
     528,   529,    -1,    -1,    -1,    -1,   534,  3938,    -1,  1610,
      -1,    -1,    -1,    -1,    -1,    -1,  5371,    -1,    -1,  3583,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,  3960,
      -1,   310,   201,    -1,    -1,    -1,  3600,    -1,    -1,    -1,
    3604,    -1,  1643,    -1,    51,  3609,  3610,  3611,    -1,    -1,
      -1,  3982,    -1,    -1,    -1,   224,   225,  5159,    -1,   725,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3631,   347,   348,
      -1,    -1,   351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   252,    -1,   751,    -1,    -1,  3231,    -1,
    3654,  3655,  3656,  3657,    -1,    -1,    -1,    -1,    -1,   378,
      -1,    -1,   381,  3246,    -1,    -1,    -1,    -1,  3251,   388,
      -1,    -1,    -1,    -1,    -1,    -1,   395,    -1,    -1,   398,
      -1,    -1,    -1,    -1,    -1,    -1,   295,    -1,  3692,    -1,
    3694,  3695,  3696,  4064,    -1,    -1,  5491,    -1,  3281,   418,
      -1,   310,    -1,    -1,   313,    -1,    -1,   426,    -1,    -1,
      -1,    -1,    -1,    -1,   433,    -1,    -1,   436,    -1,    -1,
      -1,    -1,   441,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     449,    -1,  1837,    -1,    -1,    -1,    -1,   456,    -1,    -1,
      -1,    -1,   671,  1848,   673,  4116,    -1,   676,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5298,    -1,    -1,  1864,
      -1,   690,    -1,    -1,   483,    -1,    -1,   696,  2729,    -1,
    4141,    -1,  2733,  2734,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   894,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1837,   406,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1848,    -1,    -1,
    3814,    -1,    -1,  1918,    -1,    -1,    -1,    -1,    -1,  3823,
      -1,    -1,    -1,  1864,    -1,    -1,    -1,  2788,  1933,  5371,
      -1,  1936,  1937,  2794,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3849,  3850,    -1,    -1,  5644,
    3854,    -1,    -1,    -1,  5649,  5650,    -1,    -1,    -1,    -1,
      -1,    -1,  1967,  1968,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3876,    -1,    -1,    -1,    -1,  1918,    -1,    -1,
    2841,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1933,    -1,    -1,  1936,  1937,    -1,    -1,    -1,
      -1,    -1,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   521,   522,   523,   524,   525,   526,   527,   528,
     529,    -1,    -1,    -1,  3928,   534,  1967,  1968,    -1,  3933,
      -1,  4302,    -1,    -1,    -1,  3939,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5491,
      -1,  1057,    -1,  3536,    -1,    -1,  3539,    -1,  3541,    -1,
      -1,    -1,  1068,  3546,    -1,  3969,  5761,  5762,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1084,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3998,    -1,  4000,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2109,  3588,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3596,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4396,    -1,    -1,    -1,    -1,
    5825,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3621,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4424,   983,   984,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2109,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3051,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5644,    -1,    -1,    -1,    -1,  5649,  5650,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3700,    -1,  3702,
      -1,    -1,    -1,    -1,    -1,  1054,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1241,    -1,    -1,    -1,    -1,
    1069,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3124,    -1,    -1,    -1,  3128,    -1,    -1,
      -1,  1100,  1101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    10,    -1,  4566,    13,  1126,    -1,    -1,
      17,    18,    19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3798,    -1,    -1,    35,    -1,
    5762,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,
      -1,    -1,    -1,    -1,    -1,    52,    -1,  1166,  1167,    -1,
      -1,    -1,  4613,    -1,    -1,    -1,    -1,  4618,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3842,
      -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   725,    -1,
      -1,    -1,    -1,  5825,    -1,  3246,    -1,  3870,    -1,    -1,
    3251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   751,    -1,    -1,    -1,    -1,    -1,
    4314,    -1,  4316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3281,    -1,    -1,    -1,    -1,  4329,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4341,    -1,    -1,
      -1,  4345,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4356,    -1,    -1,  3938,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4375,    -1,    -1,    -1,    -1,    -1,  3960,    -1,   196,
      -1,    -1,    -1,    -1,   201,    -1,    -1,    -1,    -1,  4393,
      -1,    -1,    -1,    -1,    -1,    -1,  1502,  4401,    -1,  3982,
      -1,    -1,    -1,    -1,    -1,  4776,    -1,   224,   225,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4426,    -1,    -1,    -1,  4430,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,
      -1,  4445,  4446,  4447,  4448,    -1,    -1,   894,    -1,    -1,
      -1,  4455,  4456,  4457,  4458,    -1,    -1,    -1,    -1,    -1,
    4464,  4465,    -1,  1569,    -1,    -1,  4470,  4471,    -1,  4473,
    4474,  4475,  4476,  4477,  4478,  4479,    -1,    -1,   295,    -1,
      -1,  4064,    -1,    -1,    -1,  4489,    -1,    -1,    -1,  4493,
    4494,  4495,  4496,   310,    -1,    -1,   313,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1610,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4517,    -1,    -1,    -1,    -1,    -1,    -1,
    4891,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4535,    -1,  4116,    -1,    -1,    -1,  1643,    -1,    -1,
      -1,    -1,  6337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4141,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4944,    -1,  3536,    -1,    -1,  3539,    -1,
    3541,    -1,    -1,    -1,    -1,  3546,    -1,    -1,    -1,   406,
      -1,    -1,    -1,    -1,    -1,  4966,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4611,    -1,  6404,
    1057,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1068,    -1,    -1,  2729,    -1,    -1,  3588,  2733,  2734,
      -1,    -1,    -1,  1562,    -1,  3596,    -1,  1084,    -1,    -1,
    4644,    -1,    -1,    -1,    -1,    -1,    -1,  4651,    -1,  4653,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1587,    -1,
    3621,    -1,    -1,    -1,    -1,    -1,    -1,  5038,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4681,    -1,    -1,
      -1,    -1,    -1,  2788,    -1,    -1,    -1,    -1,  2729,  2794,
      -1,    -1,  2733,  2734,    -1,   512,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   521,   522,   523,   524,   525,   526,
     527,   528,   529,    -1,    -1,    -1,    -1,   534,    -1,  4302,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1837,    -1,    -1,    -1,    -1,  2841,  1666,    -1,  3700,
      -1,  3702,  1848,    -1,    -1,    -1,    -1,  2788,    -1,    -1,
      -1,    -1,    -1,  2794,    -1,    -1,    -1,    -1,  1864,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1696,  1697,  1698,
    1699,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5159,    -1,
      -1,    -1,    -1,    -1,  1241,  6337,    -1,    -1,    -1,    -1,
    2841,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,    -1,  1918,  4396,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    35,  1933,    -1,    -1,
    1936,  1937,    -1,    -1,    -1,    -1,    45,  3798,    -1,    -1,
      -1,  4424,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1967,  1968,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3842,    -1,    -1,    -1,    -1,    -1,    -1,  4892,  4893,
    4894,    -1,    -1,    -1,  4898,  4899,  4900,  4901,    -1,    -1,
      -1,  4905,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3870,
      -1,    -1,    -1,    -1,  1843,  1844,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5298,    -1,    -1,
    1859,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3051,    -1,    -1,    -1,
      -1,    -1,  4956,  4957,  4958,  4959,  4960,    -1,  4962,  4963,
      -1,    -1,    -1,    -1,  1893,  1894,  1895,  1896,    -1,    -1,
    4974,  4975,    -1,    -1,    -1,    -1,    -1,  3938,    -1,    -1,
      -1,    -1,    -1,  4566,    -1,    -1,    -1,   196,    -1,    -1,
      -1,    -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,  3960,
    5371,    -1,    -1,  2109,  5008,    -1,    -1,    -1,    -1,    -1,
    3051,    -1,    -1,    -1,    -1,   224,   225,    -1,    -1,  3124,
      -1,  3982,    -1,  3128,    -1,    -1,    -1,    -1,    -1,    -1,
    4613,    -1,    -1,    -1,    -1,  4618,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   252,    -1,  1974,    -1,    -1,    -1,    -1,
      -1,  1980,    -1,    -1,    -1,  1502,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3124,    -1,    -1,   295,  3128,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   310,    -1,  4064,   313,    -1,  5110,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5491,    -1,  1569,    -1,    -1,    -1,  3231,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3246,    -1,    -1,    -1,    -1,  3251,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4116,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1610,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5175,    -1,    -1,    -1,    -1,  3281,    -1,    -1,    -1,
    4141,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3231,    -1,    -1,  4776,    -1,    -1,  1643,   406,    -1,    -1,
      -1,    -1,    -1,  5207,    -1,  3246,    -1,    -1,    -1,    -1,
    3251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,  2168,
    3281,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,
      52,    -1,    -1,  5644,    -1,    -1,    -1,    -1,  5649,  5650,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,
      -1,  5305,    -1,   512,    -1,    -1,    -1,    -1,  4891,    -1,
      -1,    -1,   521,   522,   523,   524,   525,   526,   527,   528,
     529,    -1,    -1,    -1,    -1,   534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4944,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5373,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4966,    -1,    -1,    -1,    -1,  5392,    -1,
    1837,  5762,    -1,    -1,  5398,  5399,    -1,    -1,    -1,    -1,
      -1,  1848,    -1,    -1,  5408,    -1,    -1,    -1,    -1,    -1,
      -1,  5415,    -1,    -1,   196,    -1,    -1,  1864,    -1,   201,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3536,    -1,    -1,  3539,  4396,  3541,    -1,    -1,    -1,
      -1,  3546,   224,   225,    -1,    -1,  5450,  5451,    -1,    -1,
      -1,    -1,    -1,    -1,  5825,  5038,    -1,    -1,    -1,  5463,
      -1,  5465,    -1,  4424,    -1,    -1,    -1,    -1,    -1,    -1,
     252,  1918,    -1,    -1,    -1,    -1,  5480,    -1,    -1,    -1,
      -1,    -1,    -1,  3588,    -1,    -1,  1933,    -1,    -1,  1936,
    1937,  3596,    -1,    -1,    -1,  3536,    -1,    -1,  3539,    -1,
    3541,  5505,    -1,    -1,    -1,  3546,    -1,    -1,    -1,  5513,
      -1,    -1,    -1,   295,    -1,    -1,  3621,    -1,    -1,    -1,
    1967,  1968,    -1,    -1,    -1,    -1,    -1,    -1,   310,    -1,
      -1,   313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3588,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3596,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5159,    -1,    -1,    -1,
    3621,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3700,    -1,  3702,    -1,  5603,
      -1,    -1,    -1,    -1,    -1,  4566,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5617,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2729,   406,    -1,    -1,  2733,  2734,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5643,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4613,    -1,    -1,    -1,    -1,  4618,    -1,  3700,
      -1,  3702,  2109,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2788,    -1,    -1,    -1,    -1,    -1,  2794,    -1,
      -1,    -1,    10,  3798,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,  2633,    -1,  5710,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5298,    -1,    35,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,
     512,    -1,    -1,    -1,    52,  2841,    -1,  3842,    -1,   521,
     522,   523,   524,   525,   526,   527,   528,   529,    -1,    -1,
      -1,    -1,   534,    -1,    -1,    -1,    -1,  3798,    -1,    -1,
      78,    -1,    -1,    -1,    -1,  3870,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5780,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5371,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3842,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5814,    -1,    -1,    -1,    -1,  4776,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3870,
      -1,    -1,    -1,  3938,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,
      -1,  5855,    13,    -1,    -1,  3960,    17,    18,    19,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2795,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    35,    -1,  5880,  3982,   196,    -1,
      -1,    -1,    -1,   201,    45,    -1,    -1,    -1,    -1,    -1,
      -1,    52,    -1,    -1,    -1,    -1,    -1,  3938,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   224,   225,  5491,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,  3960,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4891,    -1,    -1,    -1,   252,    -1,  5940,    -1,    -1,    -1,
      10,  3982,    -1,    13,    -1,  3051,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4064,
      -1,    -1,    -1,    -1,    -1,    35,  6337,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    45,    -1,   295,    -1,    -1,
      -1,    -1,    52,  4944,    -1,    -1,    -1,    -1,   206,   207,
      -1,    -1,   310,    -1,    -1,   313,   214,    -1,   216,   217,
      -1,    -1,    -1,    -1,    -1,  4966,    -1,    -1,    78,    -1,
    2939,  4116,   230,  2942,    -1,    -1,    -1,    -1,  3124,    -1,
      -1,    -1,  3128,  4064,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   196,  4141,    -1,    -1,    -1,
     201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6052,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5644,    -1,   224,   225,    -1,  5649,  5650,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4116,    -1,  5038,  6082,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   406,  6093,
      -1,   252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4141,   171,  3031,    -1,    -1,    -1,    -1,   177,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3044,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3052,    -1,  3231,   196,    -1,    -1,    -1,
      -1,   201,    -1,    -1,   295,    -1,    -1,    -1,    -1,    -1,
    3246,    -1,    -1,    -1,    -1,  3251,    -1,    -1,    -1,   310,
      -1,    -1,   313,    -1,   224,   225,    -1,    -1,    -1,    -1,
      -1,    -1,  3091,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3281,    -1,    -1,    -1,  5762,
      -1,    -1,   252,  3112,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   512,    -1,    -1,  4302,  5159,    -1,
      -1,    -1,    -1,   521,   522,   523,   524,   525,   526,   527,
     528,   529,  6216,    -1,    -1,    -1,   534,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   295,  3155,    -1,  3157,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     310,    -1,  5825,   313,    -1,   406,    -1,   207,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   216,    -1,    -1,    -1,
      -1,  4302,    -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,
     230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2729,    -1,    -1,    -1,  2733,  2734,    -1,    -1,
      -1,  4396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3245,    -1,    79,  4424,
     208,    -1,    -1,  3252,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   220,    -1,    -1,    96,   406,  5298,    -1,    -1,
      -1,  2788,    -1,   231,    -1,    -1,    -1,  2794,    -1,    -1,
      -1,   512,    -1,   114,    -1,  4396,    -1,    -1,    -1,   120,
     521,   522,   523,   524,   525,   526,   527,   528,   529,    -1,
      -1,    -1,    -1,   534,    -1,    -1,    -1,   138,    -1,    -1,
      -1,    -1,    -1,  4424,    -1,    -1,    -1,    -1,    -1,    -1,
     151,    -1,    -1,    -1,  2841,    -1,    -1,    -1,    -1,   160,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5371,    -1,   173,    -1,    -1,    -1,    -1,    -1,   179,    -1,
      -1,    -1,    -1,    -1,  6428,   186,    -1,    -1,    -1,    -1,
    3536,    -1,    -1,  3539,    -1,  3541,    -1,    -1,    -1,    -1,
    3546,    -1,   512,    -1,   662,   206,    -1,    -1,    -1,    -1,
      -1,   521,   522,   523,   524,   525,   526,   527,   528,   529,
      -1,  4566,    -1,   681,    -1,    -1,    -1,    -1,    -1,   687,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   699,  3588,   244,    -1,    -1,    -1,    -1,    -1,    -1,
    3596,    -1,    -1,    -1,    -1,    -1,    -1,   715,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   266,    -1,    -1,  4613,    -1,
      -1,   729,   730,  4618,    -1,  3621,    -1,    -1,   736,    -1,
     738,   739,    -1,    -1,    -1,  4566,    -1,    -1,    -1,    -1,
    5491,    -1,    -1,    -1,   752,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   762,    -1,    -1,    -1,    -1,   310,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4613,    -1,    -1,    -1,   337,  4618,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   347,   348,    -1,    -1,
     351,    -1,    -1,    -1,  3700,    -1,  3702,   815,    -1,    -1,
      -1,    -1,    -1,    -1,  3051,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   378,    -1,    -1,
     381,    -1,    -1,    -1,   385,   843,    -1,   388,    -1,    -1,
      -1,    -1,    -1,    -1,   395,    -1,    -1,   398,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     868,    -1,    -1,    -1,    -1,    -1,    -1,   418,    -1,    -1,
      -1,    -1,  3591,  3592,    -1,   426,    -1,    -1,    -1,    -1,
     431,  4776,   433,    -1,    -1,   436,    -1,  3124,    -1,    -1,
     441,  3128,    -1,  5644,    -1,    -1,    -1,    -1,  5649,  5650,
     451,    -1,  3798,    -1,    -1,   456,    -1,    -1,    -1,    -1,
      -1,    -1,   662,    -1,    -1,    -1,    -1,    -1,    -1,   470,
      -1,    -1,   930,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   681,   483,    -1,    -1,    -1,    -1,   687,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4776,  3842,    -1,    -1,   699,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6337,   715,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3870,    -1,    -1,    -1,    -1,    -1,
     730,    -1,    -1,    -1,    -1,   663,    -1,    -1,   738,    -1,
      -1,   669,    -1,    -1,  3231,    -1,  4891,    -1,    -1,    -1,
       0,    -1,   752,    -1,    -1,    -1,    -1,    -1,    -1,  3246,
      -1,  5762,   762,    -1,  3251,    -1,    -1,    -1,    -1,    -1,
      20,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    31,  1040,    33,    34,    -1,    -1,    -1,    -1,  1047,
      -1,    -1,  3938,    -1,  3281,    -1,    -1,    -1,    -1,  4944,
    1058,    51,    -1,    -1,  1062,    -1,  1064,    -1,    -1,    -1,
    4891,    61,    -1,    -1,  3960,   815,    -1,    -1,    -1,    -1,
      -1,  4966,    -1,    73,  5825,    75,    76,    -1,    -1,    -1,
      -1,    -1,    82,    -1,    84,    -1,  3982,    -1,    -1,    -1,
      -1,    -1,    -1,   843,    -1,    -1,    -1,    97,    -1,    99,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4944,    -1,    -1,   116,    -1,   868,   119,
      -1,    -1,    -1,    -1,    10,  3844,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,   134,  4966,   136,    -1,    -1,    -1,
     140,    -1,    -1,  5038,    -1,    -1,    -1,   147,    -1,    35,
      -1,    -1,    -1,    -1,    -1,    -1,   156,    -1,   158,    45,
      -1,    -1,   840,  1171,    -1,   165,    52,    -1,  4064,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     930,   859,    -1,   183,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     200,    -1,    -1,    -1,    -1,    -1,    -1,  5038,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4116,    -1,    -1,    -1,  1232,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1243,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4141,    -1,    -1,    -1,    -1,
      -1,    -1,  1260,    -1,   254,   255,    -1,  1265,    -1,    -1,
     260,    -1,    -1,    -1,  5159,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   275,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4004,    -1,    -1,    -1,    -1,
    1040,    -1,    -1,    -1,   294,    -1,    -1,  1047,    -1,  3536,
     978,    -1,  3539,    -1,  3541,    -1,    -1,    -1,    -1,  3546,
     196,    -1,    -1,    -1,    -1,   201,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5159,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,   225,
      -1,    -1,   342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3588,    -1,    -1,    -1,    -1,    -1,   357,    -1,  3596,
      -1,    -1,   362,   363,    -1,   365,   252,    -1,    -1,    -1,
     370,    -1,    -1,    -1,    -1,    -1,   376,    -1,    -1,   379,
      -1,    -1,    -1,    -1,  3621,    -1,   386,    -1,    -1,    -1,
    1398,    -1,    -1,   393,   394,    -1,    -1,    -1,  1406,  1407,
      -1,   401,    -1,  5298,    -1,   405,  4302,    -1,    -1,   295,
      -1,    -1,    -1,    -1,    -1,  1093,   416,    -1,    -1,    -1,
      -1,  1171,    -1,    -1,   310,    -1,    -1,   313,    -1,    -1,
      -1,    -1,    -1,   433,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1122,  1123,  1124,    -1,    -1,    -1,
      -1,  1459,    -1,    -1,   454,   341,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3700,    -1,  3702,   466,  5298,    -1,    -1,
      -1,    -1,   472,    -1,    -1,    -1,  5371,   477,    -1,    -1,
      -1,    -1,  1232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     490,    -1,    -1,  1243,    -1,    -1,    -1,    -1,    -1,    10,
    4396,    -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
    1260,    -1,    -1,    -1,   514,  1265,    -1,    -1,    -1,    -1,
     406,    -1,    -1,    -1,    35,    -1,    -1,    -1,  4424,    -1,
      -1,    -1,    -1,   533,    45,    -1,   536,    -1,    -1,   425,
    5371,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1231,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3798,    -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1259,    -1,    -1,    -1,    -1,  6337,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3842,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   512,    -1,    -1,    -1,
      -1,    -1,    -1,  3870,    -1,   521,   522,   523,   524,   525,
     526,   527,   528,   529,    -1,    -1,    -1,    -1,  1398,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1406,  1407,    -1,   170,
    5491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4566,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   196,    -1,    -1,    -1,    -1,
     201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3938,  1710,    -1,    -1,    -1,    -1,    -1,    -1,  1459,
      -1,    -1,    -1,   224,   225,    -1,    -1,  4613,    -1,    -1,
      -1,    -1,  4618,  3960,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1412,    -1,    -1,    -1,    -1,    -1,
      -1,   252,    -1,    10,    -1,  3982,    13,    -1,    -1,  5644,
      17,    18,    19,    -1,  5649,  5650,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,
      -1,    38,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,
      -1,    -1,    -1,    -1,   295,    52,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   310,
      -1,  4520,   313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    -1,  5644,  1492,  4534,    -1,  1825,  5649,  5650,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4064,   339,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,
      13,    -1,  1860,    -1,    17,    18,    19,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5762,    -1,    -1,
      -1,    -1,    35,    -1,    -1,  1883,    -1,    -1,    -1,  4116,
    4776,    -1,    45,  1891,    -1,    -1,    -1,    -1,    -1,    52,
      -1,  1899,    -1,    -1,    -1,   406,    -1,  1575,    -1,    -1,
      -1,    -1,    -1,    -1,  4141,    -1,  1584,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,
    5825,  5762,  1940,  1941,   201,  1943,  1944,    -1,  1616,    -1,
      -1,    -1,    -1,    -1,  1622,  1623,    -1,  1955,  1626,  1957,
    1958,    -1,    -1,    -1,    -1,    -1,    -1,   224,   225,    -1,
    1710,  1639,  1970,  1971,  1642,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5825,  4891,    -1,    -1,    -1,    -1,
    2008,   512,    -1,    -1,  2012,  2013,    -1,    -1,    -1,    -1,
     521,   522,   523,   524,   525,   526,   527,   528,   529,    -1,
      -1,    -1,  1700,    -1,    -1,    -1,    -1,    -1,   295,    -1,
      -1,    -1,    10,   196,    -1,    13,  1714,    -1,   201,    17,
      18,    19,    -1,   310,    -1,    -1,   313,    -1,  4944,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,
      -1,   224,   225,    -1,    -1,  4302,    -1,    45,    -1,    -1,
    4966,    -1,    -1,    -1,    52,  1825,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1860,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   295,  1883,    -1,    -1,    -1,    -1,    -1,   406,
      -1,  1891,  5038,    -1,    -1,    -1,  1824,   310,    -1,  1899,
     313,    -1,    -1,    -1,    -1,    -1,    -1,  1835,    -1,  4396,
      23,    -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4424,    -1,    -1,
      -1,    -1,    -1,  1943,  1944,    -1,    -1,    -1,    -1,  1877,
    1878,    -1,    -1,    66,    -1,    -1,    -1,  1957,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    -1,   196,    -1,
    1970,  1971,    -1,   201,  1902,    -1,    -1,    -1,    -1,    -1,
      -1,  1909,    -1,    96,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   406,    -1,   512,   224,   225,    -1,    -1,
      -1,   114,    -1,    -1,   521,   522,   523,   524,   525,   526,
     527,   528,   529,  5159,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   252,   138,    -1,    10,    -1,    -1,
      13,    -1,    -1,    -1,    17,    18,    19,    -1,   151,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   160,    -1,  5018,
      -1,    -1,    35,    -1,  1982,    38,    -1,    -1,    -1,    -1,
     173,    -1,    45,    -1,  5033,    -1,   179,   295,    -1,    52,
      -1,    -1,    -1,   186,    -1,    -1,    -1,    -1,    -1,  4566,
      -1,    -1,   310,    -1,    -1,   313,    -1,  2015,  2016,    -1,
      -1,    -1,    -1,   206,    -1,    78,    -1,    -1,   511,   512,
      -1,    -1,    -1,    -1,  2032,    -1,   334,  2035,   521,   522,
     523,   524,   525,   526,   527,   528,   529,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4613,    -1,    -1,    -1,
    2130,  4618,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5298,   266,    -1,  5124,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   406,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6337,    -1,    -1,    -1,    -1,   310,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     323,    -1,    -1,   196,    -1,    -1,    -1,    -1,   201,    -1,
      -1,    -1,    -1,    -1,   337,  5371,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   347,   348,    -1,    -1,   351,    -1,
      -1,   224,   225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6337,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   378,    -1,    -1,   381,   252,
      -1,    -1,   385,    -1,    -1,   388,    -1,    -1,    -1,    -1,
      -1,    -1,   395,    -1,   512,   398,    -1,    -1,    -1,  4776,
      -1,    -1,    -1,   521,   522,   523,   524,   525,   526,   527,
     528,   529,    -1,    -1,    -1,   418,    -1,    -1,    -1,    -1,
      -1,    -1,   295,   426,    -1,    -1,    -1,    -1,    -1,    -1,
     433,    -1,    -1,   436,    -1,    -1,    -1,   310,   441,    -1,
     313,    -1,    -1,    -1,    -1,    -1,   449,    -1,   451,    -1,
      -1,    -1,    -1,   456,    -1,  5491,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   470,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     483,    -1,    -1,    -1,    -1,    -1,    -1,  5346,    -1,  5348,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4891,    -1,    -1,    -1,    -1,  2667,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   406,    -1,    -1,    10,    -1,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    35,    -1,    -1,    -1,    -1,    -1,  4944,    -1,    -1,
      -1,    45,    -1,    -1,  2722,    -1,    -1,    -1,    52,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4966,
      -1,    -1,  2740,    -1,    -1,    -1,  2744,    -1,    -1,    -1,
    2748,    -1,    -1,    -1,    78,    -1,    -1,    -1,  5644,  2757,
      -1,    -1,    -1,  5649,  5650,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2772,    -1,    -1,  5486,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,
      -1,  2789,    -1,  2791,  2792,    -1,    -1,    -1,   521,   522,
     523,   524,   525,   526,   527,   528,   529,    -1,  2806,    -1,
      -1,  5038,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,    -1,    -1,  2826,  2827,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,
      38,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,    10,
      -1,    -1,    13,   177,    52,    -1,    17,    18,    19,    -1,
      -1,    -1,    -1,    -1,    -1,  2863,  2864,    -1,    -1,  2867,
      -1,    -1,   196,    -1,    35,    -1,  5762,   201,    -1,    -1,
      78,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,
      -1,    52,    -1,  2891,    -1,  2893,    -1,    -1,    -1,  2897,
     224,   225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2911,    -1,    -1,    -1,    78,    -1,    -1,
    2918,  2589,    -1,  2921,    -1,    -1,    -1,  2667,   252,  2927,
      -1,  2599,  5159,    -1,    -1,    -1,    -1,    -1,    -1,  5825,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2947,
      -1,    -1,    -1,    -1,    -1,  2953,    -1,  5666,    -1,  5668,
      -1,    -1,  2960,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   295,    -1,    -1,    -1,    -1,  2974,    -1,    -1,    -1,
      -1,    -1,  2722,    -1,    -1,    -1,   310,    -1,    -1,   313,
    2988,    -1,    -1,    -1,    -1,  2993,    -1,    -1,   196,    -1,
    2740,  2999,    -1,   201,  2744,    -1,    -1,    -1,  2748,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2757,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   224,   225,    -1,    -1,
      -1,    -1,  2772,    -1,    -1,   196,    -1,    -1,    -1,    -1,
     201,  2709,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,    -1,
      -1,  3059,    -1,   224,   225,    -1,  2806,    -1,    -1,    -1,
      -1,  5298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   406,    -1,    -1,    -1,  2826,  2827,    -1,    -1,
      -1,   252,    -1,    10,    -1,    -1,    13,   295,    -1,    -1,
      17,    18,    19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   310,    -1,    -1,   313,    -1,    -1,    35,    -1,
      -1,    38,    -1,  2863,  2864,    -1,    -1,  2867,    45,    -1,
      -1,    -1,    -1,    -1,   295,    52,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5371,    -1,    -1,    -1,    -1,   310,
      -1,  2891,   313,  2893,    -1,    -1,    -1,  2897,    -1,    -1,
      -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2911,    -1,    -1,    -1,    -1,    -1,  2845,  2918,    -1,
      -1,  2921,    -1,    -1,    -1,    -1,    -1,  2927,   512,    -1,
      -1,    -1,  2860,    -1,    -1,    -1,    -1,   521,   522,   523,
     524,   525,   526,   527,   528,   529,    -1,  2947,   406,    -1,
      -1,    -1,    -1,  2953,  2882,    -1,  3214,    -1,  3216,    -1,
    2960,    -1,    -1,    -1,    -1,    -1,  5935,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2974,  3233,    -1,    -1,    -1,    -1,
      -1,    -1,  3240,    -1,    -1,   406,    -1,    -1,  2988,  3247,
      -1,  3249,  3250,  2993,    -1,    -1,    -1,    -1,    -1,  2999,
      -1,    -1,    -1,    -1,  5491,    -1,    -1,    -1,    10,    -1,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,   196,
      -1,   442,    -1,    -1,   201,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,    -1,    -1,
    2968,  2969,    -1,    45,    -1,    -1,    -1,   224,   225,    -1,
      52,    -1,    -1,    -1,   512,    -1,    -1,    -1,    -1,  3059,
      -1,    -1,    -1,   521,   522,   523,   524,   525,   526,   527,
     528,   529,    -1,    -1,    -1,   252,    78,    -1,    -1,  3337,
      -1,    -1,    -1,    -1,    -1,  3343,    -1,    -1,    -1,    -1,
      -1,   512,    -1,    -1,    -1,    -1,  6065,    -1,    -1,    -1,
     521,   522,   523,   524,   525,   526,   527,   528,   529,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   295,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   310,    -1,    -1,   313,    -1,    -1,    -1,
      10,    -1,  3070,    13,    -1,    -1,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5644,    -1,    -1,
      -1,    -1,  5649,  5650,    -1,    35,    -1,    -1,    -1,    -1,
    3428,    -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,
      -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6337,    -1,    -1,   196,    -1,    -1,    -1,    -1,   201,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,
      -1,    -1,    10,    -1,  3214,    13,  3216,    -1,    -1,    17,
      18,    19,   224,   225,    -1,    -1,    -1,  6196,    -1,   406,
      -1,    -1,    -1,  3233,    -1,    -1,    -1,    35,    -1,    -1,
    3240,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,
     252,    -1,    -1,    -1,    52,    -1,    -1,    -1,  6227,  6228,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5762,    -1,    -1,    -1,    -1,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   295,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   837,   838,  3561,  3562,    -1,    -1,   177,   310,    -1,
      -1,   313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3582,    -1,   196,  3585,   330,    -1,
      -1,   201,    -1,    -1,    -1,   512,    -1,  3337,  5825,    -1,
      -1,    -1,    -1,  3343,   521,   522,   523,   524,   525,   526,
     527,   528,   529,    -1,   224,   225,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,
      -1,   917,   252,    -1,    -1,  6354,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,
      -1,    -1,    -1,   201,   406,    -1,    -1,    -1,  3666,  3667,
    3668,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   295,   224,   225,  3428,    -1,
      -1,    -1,    -1,  3691,    -1,    -1,    -1,    -1,    -1,    -1,
     310,    -1,    -1,   313,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3710,    -1,   252,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3732,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3414,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   295,    -1,    -1,
      -1,    -1,  1038,  1039,    -1,    -1,    -1,    -1,    -1,    -1,
     512,    -1,   310,    -1,    -1,   313,    -1,    -1,    -1,   521,
     522,   523,   524,   525,   526,   527,   528,   529,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   406,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3561,  3562,    -1,  3822,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    10,  3582,    -1,    13,  3585,    -1,    -1,    17,    18,
      19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,   406,    -1,
      -1,  3869,    -1,    -1,    -1,    -1,    45,  3875,    -1,  3877,
      -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3890,    -1,  3892,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      -1,   521,   522,   523,   524,   525,   526,   527,   528,   529,
      -1,    -1,    -1,    -1,    -1,    -1,  3666,  3667,  3668,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3691,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3959,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3710,    -1,    -1,    -1,   512,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   521,   522,   523,   524,   525,   526,   527,
     528,   529,  3732,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1277,   171,  4001,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,    -1,  4020,    -1,    -1,    -1,  4024,   196,    -1,    -1,
      -1,    -1,   201,    -1,    -1,    -1,    35,    -1,    -1,    -1,
    3708,    -1,    -1,  1319,    -1,    -1,    45,  4045,    -1,    -1,
    3718,    -1,    -1,    52,    -1,   224,   225,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1348,  1349,  1350,    -1,  1352,    -1,    -1,    78,
      -1,    -1,  3822,   252,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1373,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,   295,    13,    -1,  3869,
      -1,    17,    18,    19,    -1,  3875,    -1,  3877,    -1,    -1,
      -1,   310,    -1,    -1,   313,    -1,    -1,    -1,    -1,    35,
    3890,   150,  3892,    -1,    -1,  4153,    -1,    -1,    -1,    45,
      -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    -1,    -1,    -1,    -1,   196,    -1,    -1,
    1476,    35,   201,    -1,  1480,  1481,    -1,    -1,    -1,    -1,
      -1,    45,    -1,  3881,  3882,  3883,    -1,    -1,    52,  3959,
      -1,    -1,    -1,    -1,    -1,   224,   225,    -1,    -1,    -1,
    3898,    10,    -1,    -1,    13,    -1,    -1,   406,    17,    18,
      19,    -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   252,    -1,    -1,    35,    -1,    -1,    38,
      -1,  4001,    -1,  3931,  3932,    -1,    45,    -1,  3936,    -1,
      -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,
    4020,    -1,    -1,    -1,  4024,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   295,    -1,    -1,    78,
      -1,    -1,    -1,    -1,    -1,  4045,    -1,    -1,    -1,    -1,
     196,   310,    -1,    -1,   313,   201,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4328,    -1,    -1,    -1,    -1,    -1,    -1,   171,   224,   225,
      -1,    -1,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   521,   522,   523,   524,   525,   526,   527,   528,
     529,    -1,   196,    -1,    -1,    -1,   252,   201,    10,    -1,
      -1,    13,    -1,    -1,  4042,    17,    18,    19,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1365,    -1,
     224,   225,  4390,    35,    -1,    -1,    -1,  4395,    -1,  4397,
      -1,    -1,    -1,    45,    -1,    -1,    -1,   406,    -1,   295,
      52,    -1,    -1,  4153,    -1,    -1,    -1,   196,   252,    -1,
      -1,    -1,   201,    -1,   310,  4423,    -1,   313,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,
      -1,    -1,    -1,  1420,    -1,   224,   225,    -1,    -1,  1725,
    1726,  1727,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4469,    -1,   252,  4472,    -1,   310,    -1,    -1,   313,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   512,    -1,    -1,   295,    -1,    -1,    -1,
     406,    -1,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   310,    -1,    -1,   313,    -1,    -1,    -1,    -1,    -1,
    4208,  4209,  4210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   196,    -1,    -1,    -1,    -1,   201,
      -1,    -1,    -1,    -1,  4562,  4563,    -1,    -1,    -1,    -1,
      -1,    -1,   406,    -1,    -1,  4573,    -1,    -1,    -1,    -1,
      -1,    -1,   224,   225,    -1,    -1,    -1,    -1,  4328,    -1,
      -1,    -1,  4590,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   512,   406,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   521,   522,   523,   524,   525,
     526,   527,   528,   529,    -1,    -1,    -1,    -1,    -1,    -1,
    4390,    -1,    -1,   295,    -1,  4395,    -1,  4397,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   310,    -1,
      -1,   313,    -1,  4671,    -1,    -1,  4674,    -1,   512,    -1,
      -1,    -1,    -1,  4423,    -1,    -1,    -1,   521,   522,   523,
     524,   525,   526,   527,   528,   529,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4469,
      -1,    -1,  4472,   512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   521,   522,   523,   524,   525,   526,   527,   528,
     529,    -1,    -1,    -1,  1731,    -1,    -1,    -1,  1735,    -1,
      -1,    -1,    -1,    -1,   406,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2054,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2063,  2064,  2065,
    2066,  2067,  2068,  2069,  2070,  2071,  2072,    -1,    -1,    -1,
      -1,  2077,    -1,  2079,    -1,  2081,    -1,    -1,  2084,  2085,
    2086,    -1,    -1,    -1,    -1,    -1,  2092,    -1,    -1,  2095,
      -1,    23,  4562,  4563,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4573,  2110,  2111,  2112,    -1,    -1,    41,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4590,    -1,  2128,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,    -1,
     512,    -1,    -1,    -1,    -1,  4543,    -1,    79,    -1,   521,
     522,   523,   524,   525,   526,   527,   528,   529,    -1,    -1,
      -1,    -1,    -1,    -1,    96,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4904,  4575,    -1,    -1,
      -1,    -1,   114,    -1,    -1,    -1,    -1,    -1,   120,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4671,    -1,    -1,  4674,    -1,   138,    -1,    -1,  4607,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   151,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   160,    -1,
      -1,    -1,    -1,  4961,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   173,    -1,    -1,  4642,  4973,    -1,    -1,    -1,    -1,
     182,    -1,    -1,    -1,   186,    -1,    -1,    -1,    -1,    -1,
      -1,  4659,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2275,
      -1,    -1,    -1,    -1,   206,    -1,    -1,    -1,    -1,  5007,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2329,   256,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   266,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2052,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5085,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2078,    -1,    -1,    -1,  2082,  5104,    -1,   310,  2385,
      -1,   313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2097,  2098,  2099,    -1,  2101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   337,  4804,  4805,  4806,  4807,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   351,
      -1,    -1,    -1,    -1,    -1,    -1,   358,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4904,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   378,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   388,    -1,    -1,    -1,
      -1,    -1,  5190,   395,    -1,    -1,   398,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   418,    -1,    -1,    -1,
      -1,  4961,    -1,    -1,   426,    -1,    -1,    -1,    -1,    -1,
      -1,   433,    -1,  4973,   436,    -1,   438,    -1,   440,   441,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   456,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   464,    -1,    -1,   467,    -1,  5007,   470,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2569,  2570,  2571,  2572,  2573,  2574,  2575,
    2576,  2577,    -1,  2579,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2590,    -1,  2592,    -1,    -1,    -1,
      -1,    -1,  5320,    -1,  5322,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    -1,
      -1,    -1,    -1,    -1,    -1,  5085,    -1,    -1,    -1,    31,
      -1,    33,    34,    -1,  2630,    -1,    -1,    -1,  2634,    -1,
      -1,  2637,    -1,  2639,  5104,    -1,  2642,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5372,    -1,    -1,    -1,    -1,    61,
      -1,    -1,    -1,    -1,  5382,    -1,    -1,    -1,    -1,    -1,
      -1,    73,    -1,    75,    76,    -1,    -1,    -1,    -1,    -1,
      82,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    97,    -1,    99,    -1,  2695,
    2696,    -1,    -1,    -1,  5422,    -1,    -1,    -1,    -1,  5427,
      -1,    -1,    -1,    -1,   116,    -1,    -1,   119,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5190,    -1,   134,    -1,   136,    -1,    -1,    -1,   140,    -1,
      -1,    -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   156,    -1,   158,    -1,    -1,    -1,
      -1,    -1,    -1,   165,  5152,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5163,    -1,    -1,    -1,  2775,
      -1,   183,    -1,    -1,    -1,    -1,    23,    -1,    -1,    -1,
      -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,   200,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   254,   255,    -1,    92,    -1,    -1,   260,    96,
    5320,    -1,  5322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   275,    -1,    -1,    -1,   114,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2586,
      -1,    -1,   294,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5372,    -1,   151,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   160,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   173,    -1,    -1,    -1,
     342,    -1,   179,    -1,  5662,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   357,    -1,    -1,  5676,    -1,
     362,   363,  5422,   365,    -1,    -1,    -1,    -1,   370,   206,
      -1,   373,    -1,    -1,   376,    -1,    -1,   379,    -1,    -1,
      -1,    -1,    -1,    -1,   386,  2682,    -1,    -1,    -1,  5707,
      -1,   393,   394,    -1,    -1,    -1,    -1,  2694,    -1,   401,
      -1,    -1,  2699,   405,    -1,    -1,    -1,   244,    -1,    -1,
      -1,    -1,    -1,    -1,   416,    -1,    -1,    -1,    -1,    -1,
      -1,  3017,  3018,  3019,    -1,    -1,    -1,  3023,    -1,   266,
      -1,   433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   454,    -1,  3050,    -1,  5444,    -1,    -1,    -1,
      -1,  5449,    -1,    -1,   466,    -1,    -1,    -1,  5786,    -1,
     472,    -1,    -1,   310,    -1,   477,    -1,    -1,    -1,    -1,
    5468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     337,    -1,    -1,    -1,  5822,    -1,    -1,    -1,    -1,    -1,
     347,   348,   514,    -1,   351,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   533,    -1,    -1,   536,    -1,    -1,    -1,    -1,    -1,
      -1,   378,    -1,    -1,   381,    -1,    -1,    -1,   385,    -1,
      -1,   388,    -1,    -1,    -1,    -1,    -1,    -1,   395,    -1,
      -1,   398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5893,    -1,    -1,  5896,    -1,
      -1,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,
      -1,    -1,    -1,    -1,    -1,    -1,   433,    -1,    -1,   436,
      -1,    -1,  5662,    -1,   441,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   449,    -1,   451,    -1,  5676,    -1,    -1,   456,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   483,  5707,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3259,    -1,    -1,    -1,    -1,  3264,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3315,
      -1,  6039,    -1,    -1,    -1,    -1,  5786,    -1,    -1,    -1,
    3326,    -1,  3328,  3329,    -1,  6053,    -1,    -1,    -1,    -1,
      -1,  5729,    -1,    -1,    -1,  6063,  3342,    -1,    -1,  3345,
      -1,  3347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5822,    -1,    -1,    -1,    -1,    -1,    -1,  5757,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3384,    -1,
    3386,    -1,  3388,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6123,  6124,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5893,    -1,    -1,  5896,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5863,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6202,    -1,  3482,    -1,    -1,    -1,
      -1,  3487,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3502,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3262,    -1,    -1,    -1,    -1,
      -1,  3567,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6039,
      -1,    -1,  3279,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3289,    -1,    -1,    -1,    -1,    -1,  3295,    -1,
      -1,  3298,    -1,  6063,    -1,    -1,    -1,    -1,  3305,  3306,
      -1,  3308,    -1,    -1,    -1,    -1,  3313,  3314,    -1,  3316,
      -1,  3318,    -1,    -1,    -1,  3322,    -1,    -1,  3325,    -1,
      -1,  3627,    -1,  3330,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3339,    -1,    -1,    -1,  6364,  3344,    -1,    -1,
      -1,    -1,    -1,    -1,  3351,  3352,  3353,  3354,    -1,    -1,
      -1,    -1,  3359,  3360,    -1,  3362,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3381,    -1,  3383,    -1,    -1,    -1,
      -1,    -1,    -1,  3390,  3391,  3392,  3393,  3394,  3395,  3396,
    3397,  3398,  3399,    -1,    -1,    -1,    -1,  6425,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6438,  6439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6450,    -1,    -1,    -1,    -1,    -1,    -1,  3436,
      -1,    -1,  6202,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3827,    -1,    -1,    -1,    -1,    -1,  3833,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3576,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6364,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3912,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6425,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4061,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4070,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4084,    -1,
      -1,    -1,  4088,  4089,  4090,    -1,    -1,    -1,    -1,  4095,
      -1,    -1,  4098,    -1,    -1,  4101,    -1,    -1,    -1,    -1,
      -1,  4107,    -1,  4109,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3831,  3832,    -1,    -1,    -1,  3836,
    4136,  4137,  4138,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4155,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4163,  3865,    -1,
    4166,    -1,  4168,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4184,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4192,  4193,    -1,    -1,
      -1,    -1,    -1,  4199,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4279,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4060,    -1,    -1,    -1,    -1,    -1,  4066,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4113,  4114,    -1,    -1,
    4117,  4118,  4119,  4120,    -1,    -1,  4123,  4124,  4125,  4126,
    4127,  4128,  4129,  4130,  4131,  4132,  4133,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4156,
      -1,    -1,  4159,    -1,  4161,    -1,    -1,  4164,  4165,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4186,
    4187,  4188,  4189,    -1,  4191,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4261,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4311,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4619,  4620,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4630,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4346,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4700,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4716,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4734,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4773,  4774,    -1,
      -1,    -1,    -1,    -1,  4780,  4781,    -1,    -1,    -1,  4785,
      -1,    -1,    -1,    -1,  4790,    -1,    -1,  4793,  4794,    -1,
      -1,    -1,    -1,    -1,  4800,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4536,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4845,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4856,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4864,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4579,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4909,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4989,    -1,    -1,    -1,    -1,    -1,    -1,
    4996,    -1,    -1,    -1,  4701,    -1,    -1,    -1,  4705,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4718,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4726,
      -1,  4728,    -1,  4730,  4731,    -1,    -1,    -1,    -1,  4736,
    4737,  4738,  4739,    -1,    -1,    -1,  4743,  4744,  4745,  4746,
    4747,  4748,  4749,  4750,  4751,  4752,  4753,  4754,  4755,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5064,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4779,    -1,    -1,  4782,    -1,  4784,    -1,    -1,
      -1,  4788,    -1,    -1,  4791,  4792,    -1,    -1,  4795,  4796,
      -1,    -1,    -1,    -1,  4801,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4855,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4869,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5216,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5226,    -1,    -1,    -1,    -1,    -1,  5232,  5233,  5234,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5257,  5258,    -1,    -1,  5261,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5299,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5315,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5067,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5154,  5155,    -1,
      -1,    -1,    -1,    -1,    -1,  5162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5205,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5522,    -1,    -1,    -1,
      -1,  5228,  5229,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5543,    -1,    -1,
    5247,    -1,  5249,    -1,    -1,    -1,  5253,  5254,  5255,  5256,
      -1,    -1,  5259,  5260,    -1,    -1,    -1,    -1,  5265,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5282,    -1,    -1,    -1,    -1,
      -1,    -1,  5588,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5300,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5314,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5638,    -1,    -1,  5342,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5654,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5393,    -1,  5395,    -1,
    5696,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5430,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5785,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5797,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5806,  5807,  5808,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5834,  5536,
      -1,  5538,  5539,  5540,  5541,  5542,    -1,    -1,    -1,    -1,
      -1,    -1,  5848,    -1,    -1,    -1,    -1,    -1,  5555,  5556,
    5557,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5565,    -1,
      -1,    -1,  5868,  5570,    -1,    -1,  5573,    -1,    -1,    -1,
    5577,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5595,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5612,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6000,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6025,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5787,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5819,    -1,  5821,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6129,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5867,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5879,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5916,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6273,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5996,
      -1,    -1,    -1,    -1,    -1,    -1,  6003,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6036,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6051,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6404,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6160,  6161,    -1,    -1,  6164,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6224,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6267,  6268,    -1,  6270,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
       5,     6,    -1,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,  6339,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,   464,
     465,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,   512,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,
     525,   526,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,
       3,    -1,     5,     6,    -1,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,   464,   465,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,   512,
      -1,   514,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   524,   525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     533,   534,     3,    -1,     5,     6,    -1,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,   464,   465,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   524,   525,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   533,   534,     3,    -1,     5,     6,    -1,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,   464,   465,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,   481,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   524,   525,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   533,   534,     3,    -1,     5,     6,
      -1,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,   464,   465,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,   512,    -1,    -1,    -1,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,   524,   525,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   533,   534,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,   250,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   534,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      -1,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,
     107,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,    -1,    -1,
      -1,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,    -1,   250,   251,   252,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,    -1,   291,    -1,   293,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,    -1,   339,    -1,   341,   342,   343,    -1,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
      -1,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,    -1,   451,    -1,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   508,   509,   510,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,   534,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    -1,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,    -1,    -1,    -1,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,    -1,    -1,   291,
      -1,   293,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,    -1,   339,    -1,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,    -1,   428,    -1,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,    -1,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,    -1,     3,    -1,     5,     6,
      -1,     8,     9,    10,    11,    12,   508,   509,   510,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,   534,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,   464,   465,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,   512,    -1,   514,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,   525,    -1,
      -1,    -1,     3,    -1,     5,     6,   533,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,   464,   465,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,   512,    -1,   514,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   524,   525,    -1,    -1,    -1,     3,    -1,
       5,     6,   533,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,   177,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,   247,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,   464,
     465,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,   512,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,
     525,    -1,    -1,    -1,     3,    -1,     5,     6,   533,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    -1,    -1,    -1,    36,    37,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,   464,   465,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,   481,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   524,   525,    -1,    -1,    -1,
       3,    -1,     5,     6,   533,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    36,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,   464,   465,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,   512,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   524,   525,    -1,    -1,    -1,     3,    -1,     5,     6,
     533,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,   464,   465,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,   512,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,   525,    -1,
      -1,    -1,    -1,    -1,   531,   532,   533,     3,    -1,     5,
       6,    -1,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,   512,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,   525,
     526,    -1,    -1,     3,    -1,     5,     6,   533,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   524,   525,    -1,    -1,    -1,     3,
      -1,     5,     6,   533,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,   512,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     524,   525,    -1,    -1,    -1,     3,    -1,     5,     6,   533,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,   512,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   524,   525,    -1,    -1,
      -1,     3,    -1,     5,     6,   533,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
     512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   524,   525,    -1,    -1,    -1,     3,    -1,     5,
       6,   533,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,   512,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,   525,
      -1,    -1,    -1,     3,    -1,     5,     6,   533,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   524,   525,    -1,    -1,    -1,     3,
      -1,     5,     6,   533,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,   512,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     524,   525,    -1,    -1,    -1,     3,    -1,     5,     6,   533,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,   512,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   524,   525,    -1,    -1,
      -1,     3,    -1,     5,     6,   533,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
     512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   524,   525,    -1,    -1,    -1,     3,    -1,     5,
       6,   533,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,   512,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,   525,
      -1,    -1,    -1,     3,    -1,     5,     6,   533,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   524,   525,    -1,    -1,    -1,     3,
      -1,     5,     6,   533,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,   512,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     524,   525,    -1,    -1,    -1,     3,    -1,     5,     6,   533,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,   512,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   524,   525,    -1,    -1,
      -1,     3,    -1,     5,     6,   533,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
     512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   524,   525,    -1,    -1,    -1,     3,    -1,     5,
       6,   533,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,   525,
      -1,    -1,    -1,     3,    -1,     5,     6,   533,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,    -1,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   524,   525,    -1,    -1,    -1,     3,
      -1,     5,     6,   533,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     524,   525,     3,    -1,     5,     6,    -1,     8,     9,   533,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   524,   525,     3,    -1,     5,     6,    -1,
       8,     9,   533,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,     5,     6,    -1,     8,     9,    -1,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,   533,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,     5,     6,    -1,     8,     9,
      -1,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,   533,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   533,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,    -1,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,   514,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   533,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   533,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   533,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,     5,     6,    -1,    -1,    -1,    -1,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,   524,   525,   526,    -1,    -1,    -1,    -1,    -1,
      -1,   533,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,   433,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,    -1,   514,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   533,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
      -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,    -1,   514,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   533,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   533,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   533,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,
      13,    -1,    -1,   533,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    -1,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    -1,    -1,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,    -1,    -1,   167,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
      -1,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,    -1,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,   309,   310,   311,   312,
     313,    -1,   315,   316,   317,   318,    -1,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,   488,    -1,    -1,    -1,    -1,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,    -1,   509,   510,    -1,   512,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,   522,
     523,   524,   525,   526,   527,   528,   529,     3,    -1,     5,
       6,    -1,    -1,    -1,    10,    11,    -1,    -1,    -1,    -1,
      -1,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    -1,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,    -1,   339,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,    -1,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     3,    -1,     5,     6,    -1,    -1,
      -1,    10,    11,    -1,    -1,    -1,    -1,    -1,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    -1,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,    -1,
     339,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,    -1,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,    -1,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,
     509,   510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   521,   522,   523,   524,   525,   526,   527,   528,
     529,     3,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   521,   522,   523,   524,
     525,   526,   527,   528,   529,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     3,    -1,    -1,    -1,    -1,    -1,    -1,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     521,   522,   523,   524,   525,   526,   527,   528,   529,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   521,   522,   523,   524,   525,   526,
     527,   528,   529,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   521,   522,   523,   524,   525,   526,   527,   528,   529,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   526,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   526,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     526,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    -1,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,    -1,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,    -1,    -1,    -1,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,    -1,
     250,   251,   252,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,    -1,
      -1,   291,    -1,   293,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,    -1,   339,
      -1,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,    -1,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
      -1,   451,    -1,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,   509,
     510,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,   526,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    -1,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,    -1,    -1,    -1,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,    -1,   250,   251,   252,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,    -1,   291,    -1,
     293,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,    -1,   339,    -1,   341,   342,
     343,    -1,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,    -1,   428,    -1,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,    -1,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   508,   509,   510,     3,    -1,
       5,     6,    -1,    -1,    -1,    -1,    11,    -1,    -1,    -1,
      -1,    -1,    -1,   526,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,    -1,
      -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,     5,     6,
      -1,    -1,    -1,    -1,    11,    -1,    -1,    -1,    -1,   524,
     525,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,
     107,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,     5,     6,    -1,    -1,
      -1,    -1,    11,    -1,    -1,    -1,    -1,   524,   525,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,   481,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,     5,     6,    -1,    -1,    -1,    -1,
      11,    -1,    -1,    -1,    -1,   524,   525,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    11,    -1,
      -1,    -1,    -1,   524,   525,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,   177,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   524,   525,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,    -1,
      -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,     3,    -1,     5,
       6,    -1,    -1,    -1,    -1,    11,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,     5,     6,    -1,     8,     9,    -1,    11,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
      -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
     106,   107,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,   106,   107,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,    -1,    -1,   106,   107,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,    -1,    -1,   106,   107,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,     6,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
      -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
     106,   107,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,   106,   107,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,    -1,    -1,   106,   107,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,    -1,    -1,   106,   107,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
      -1,    -1,   106,   107,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
       6,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
      -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,     6,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
      -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
      -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    -1,    -1,    80,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,   173,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,   464,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,   173,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,   252,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
     464,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    99,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,   183,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    99,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,   183,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,   173,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,   464,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    99,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    99,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
       6,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,   107,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,    -1,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,    -1,   251,
      -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,    -1,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    -1,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
      -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,    -1,
      -1,    -1,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,    -1,   250,   251,   252,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,    -1,    -1,   291,    -1,   293,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,    -1,   339,    -1,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,    -1,   428,    -1,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,    -1,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   508,   509,   510,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    -1,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,    -1,    -1,    -1,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,    -1,    -1,   291,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,    -1,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,    -1,   339,    -1,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,    -1,   428,    -1,   430,   431,
      -1,   433,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,    -1,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,    -1,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   508,   509,   510,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    -1,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,    -1,    -1,    -1,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,    -1,   250,   251,   252,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,    -1,   293,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,    -1,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
      -1,   339,    -1,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,    -1,
     428,    -1,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,    -1,   451,    -1,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
     478,    -1,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     508,   509,   510,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    -1,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
      -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,    -1,    -1,    -1,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,    -1,   250,   251,   252,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,    -1,   293,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,    -1,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,    -1,   339,    -1,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,    -1,   428,    -1,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,    -1,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   508,   509,   510,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    -1,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,    -1,    -1,   164,    -1,   166,   167,   168,   169,
     170,   171,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,    -1,    -1,    -1,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,    -1,
     250,   251,   252,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,    -1,
      -1,   291,    -1,   293,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,    -1,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,    -1,   339,
      -1,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,    -1,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
      -1,   451,    -1,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,    -1,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,   509,
     510,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    -1,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
      -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,    -1,   164,    -1,
     166,   167,   168,   169,   170,   171,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,    -1,
      -1,    -1,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,    -1,   250,   251,   252,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,    -1,    -1,   291,    -1,   293,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,    -1,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,    -1,   339,    -1,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,    -1,   428,    -1,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,    -1,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,    -1,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   508,   509,   510,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    -1,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,    -1,    -1,    -1,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,    -1,    -1,   291,
      -1,   293,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,    -1,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,    -1,   339,    -1,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,    -1,   428,    -1,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,    -1,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,    -1,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   508,   509,   510,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    -1,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,    -1,    -1,    -1,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,    -1,   250,   251,   252,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,    -1,    -1,   291,    -1,   293,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,    -1,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
      -1,   339,    -1,   341,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,    -1,
     428,    -1,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,    -1,   451,    -1,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
     478,    -1,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     508,   509,   510,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    -1,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
      -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,    -1,    -1,    -1,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,    -1,   250,   251,   252,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,    -1,    -1,   291,    -1,   293,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,    -1,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,    -1,   339,    -1,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,    -1,   428,    -1,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,    -1,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   508,   509,   510,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    -1,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,    -1,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,    -1,    -1,    -1,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,    -1,
     250,   251,   252,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,    -1,
      -1,   291,    -1,   293,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,    -1,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,    -1,   339,
      -1,   341,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,    -1,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
      -1,   451,    -1,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,    -1,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,   509,
     510,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    -1,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
      -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,    -1,
      -1,    -1,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,    -1,   250,   251,   252,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,    -1,    -1,   291,    -1,   293,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,    -1,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,    -1,   339,    -1,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,    -1,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,    -1,   428,    -1,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,    -1,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,    -1,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   508,   509,   510,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    -1,    54,    -1,    -1,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    -1,    -1,    71,
      -1,    73,    74,    75,    76,    -1,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,    -1,    -1,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,    -1,   164,    -1,   166,   167,   168,    -1,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,    -1,    -1,    -1,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,    -1,   214,   215,   216,   217,    -1,    -1,    -1,    -1,
      -1,   223,   224,   225,   226,   227,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,    -1,   250,   251,
     252,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,    -1,    -1,   291,
      -1,   293,   294,   295,   296,    -1,    -1,   299,    -1,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,    -1,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,    -1,   339,    -1,   341,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,    -1,   404,   405,   406,   407,   408,    -1,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,    -1,   428,    -1,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,    -1,    -1,    -1,    -1,   448,   449,    -1,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,    -1,    -1,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   508,   509,   510
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    20,    31,    33,    34,    51,    61,    73,    75,    76,
      82,    84,    97,    99,   116,   119,   134,   136,   140,   147,
     156,   158,   165,   183,   200,   254,   255,   260,   275,   294,
     342,   357,   362,   363,   365,   370,   376,   379,   386,   393,
     394,   401,   405,   416,   433,   454,   466,   472,   477,   490,
     514,   516,   517,   518,   519,   520,   533,   540,   541,   542,
     543,   548,   549,   555,   556,   558,   559,   560,   561,   563,
     566,   578,   583,   584,   587,   588,   589,   609,   612,   613,
     628,   682,   685,   686,   689,   692,   693,   694,   702,   709,
     711,   712,   715,   718,   719,   723,   732,   736,   737,   738,
     741,   743,   744,   745,   746,   754,   756,   776,   780,   782,
     783,   793,   795,   801,   802,   805,   806,   807,   808,   809,
     818,   820,   822,   825,   829,   830,   840,   841,   846,   851,
     862,   894,   897,   898,   899,   904,   907,   909,   911,   913,
     914,   918,   919,   922,   924,   925,   929,   930,   931,   934,
     935,   936,   937,   938,   945,   947,   948,   949,   950,   956,
     958,   959,   965,   966,   967,   970,   971,   972,   973,   975,
     976,   978,   979,   981,   982,   984,   996,   998,  1001,  1003,
    1004,  1013,  1015,  1020,  1025,  1035,  1039,  1040,  1041,  1042,
    1043,  1044,  1050,  1086,   448,   493,   951,    28,    79,    96,
     114,   120,   138,   151,   160,   173,   179,   186,   206,   244,
     266,   310,   337,   347,   348,   351,   378,   381,   385,   388,
     395,   398,   418,   426,   431,   433,   436,   441,   451,   456,
     470,   483,   708,   951,     3,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    30,    31,    32,    40,    41,    42,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    58,    59,    60,    61,    62,    63,    64,
      67,    68,    69,    70,    71,    73,    74,    75,    76,    77,
      79,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    93,    94,    95,    96,    97,    98,   100,   101,
     102,   103,   107,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   121,   123,   124,   125,   126,   127,   128,   129,
     131,   132,   133,   134,   137,   138,   139,   140,   141,   143,
     144,   145,   146,   148,   149,   150,   151,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   164,   166,   167,
     168,   169,   170,   172,   174,   175,   176,   178,   179,   180,
     181,   182,   184,   185,   187,   188,   189,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   202,   203,   204,
     205,   206,   207,   208,   209,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   221,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   248,   249,
     250,   251,   252,   254,   255,   256,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   293,
     294,   295,   296,   298,   299,   300,   301,   302,   303,   305,
     306,   307,   310,   311,   312,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     395,   396,   397,   398,   399,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   430,   431,   434,   435,   436,   437,   438,   439,
     440,   441,   443,   444,   445,   448,   449,   450,   451,   452,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   465,
     466,   467,   468,   469,   472,   473,   474,   475,   476,   477,
     478,   480,   481,   482,   483,   484,   485,   488,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,  1154,  1247,
    1259,  1260,  1264,  1265,  1266,     3,    29,  1036,  1244,  1259,
    1264,   481,   533,   989,   308,   343,   951,    54,   533,   620,
      23,    41,    66,    79,   114,   120,   138,   151,   160,   173,
     182,   186,   256,   310,   313,   337,   351,   378,   388,   398,
     418,   426,   436,   438,   440,   441,   456,   464,   467,   470,
     629,   691,   798,   852,   863,    29,   342,  1244,  1036,    29,
     336,   396,   438,   440,     6,   243,   905,   906,  1250,    23,
      28,    66,    79,    96,   114,   138,   151,   160,   173,   179,
     186,   206,   266,   310,   323,   337,   348,   351,   378,   381,
     385,   388,   395,   398,   418,   426,   433,   436,   441,   449,
     451,   456,   470,   483,   708,   810,   812,   813,   951,  1244,
      99,   481,   533,   686,   689,   692,   984,   997,  1001,  1004,
    1013,  1020,  1025,  1035,  1039,    11,    22,    29,    49,   168,
     175,   177,   201,   245,   283,   345,   364,   524,   525,   826,
     827,  1036,  1249,  1251,    29,    31,    99,   360,   394,   831,
     832,   833,  1259,   173,  1259,  1246,  1250,   433,  1053,   826,
    1259,   448,  1244,   323,   266,   533,   917,   386,  1259,    29,
     399,   444,   448,   570,   579,   580,  1259,   183,   831,   832,
    1259,   343,   951,  1259,   242,    29,   135,  1055,  1056,    67,
      93,   256,   277,   378,   388,   399,   444,   448,   496,   567,
     568,   569,   570,    29,   399,   444,   448,   570,   448,   309,
    1098,  1099,  1242,  1259,  1053,   526,  1259,   178,   533,   990,
     533,   358,  1045,  1046,  1244,  1045,     3,    53,    55,    56,
      69,    70,   117,   118,   139,   169,   218,   219,   221,   228,
     278,   280,   300,   356,   403,   409,   444,   445,   478,  1127,
    1129,  1131,  1133,  1135,  1137,  1138,  1139,  1141,  1142,  1143,
    1145,  1146,  1150,  1260,  1264,  1055,  1056,  1057,  1255,    12,
    1256,  1257,  1259,  1256,  1256,  1040,  1041,  1044,     0,   536,
     533,   989,   152,   220,   314,   463,  1058,  1059,  1040,  1042,
    1043,   125,   216,   268,   469,   537,    35,   955,   879,  1247,
     815,  1259,   815,  1244,   346,   815,   451,  1244,   113,   433,
     867,  1247,  1259,  1266,     3,   106,   110,   400,  1252,  1253,
    1261,  1264,  1265,  1266,    29,   195,  1242,   301,   483,    10,
      17,    18,    19,    74,   164,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   901,   903,  1185,  1186,  1259,   195,
    1244,   867,  1244,    29,  1252,  1253,   867,  1244,  1244,   195,
    1242,  1244,   195,   815,  1244,   370,   401,    29,   195,  1098,
    1244,   391,  1244,   815,    29,   263,  1252,  1253,   195,  1242,
     243,   122,   226,   292,   355,   952,   953,   954,   533,   531,
     535,  1211,  1213,   511,   983,   984,   985,   986,  1261,  1242,
    1244,  1259,    28,    66,    80,    92,   114,   138,   179,   206,
     244,   310,   348,   378,   381,   426,   436,   449,   456,   810,
     811,   812,   813,  1250,   955,  1000,  1004,  1013,  1020,  1025,
    1039,  1242,   270,   815,   533,   195,   815,  1244,   815,   451,
     195,  1244,   113,   433,   438,   440,  1252,  1253,   438,   440,
      74,   164,   901,   368,  1244,  1244,  1252,   195,   544,  1259,
     195,  1244,   195,   545,   815,  1244,  1244,   391,   815,   263,
    1252,   358,   395,   433,   483,   266,    96,   206,    28,    92,
     179,   348,   385,   449,   451,   455,   703,    29,  1244,  1037,
     577,  1250,  1261,   906,   270,   195,   879,   880,   195,   910,
     195,  1244,   195,   817,  1127,   451,   113,   433,   195,   866,
     867,   195,  1253,  1254,    87,   483,    74,   164,   195,   902,
     903,    59,   195,   866,   195,  1254,   195,   866,   195,  1244,
     195,  1244,   391,   910,   195,   817,   195,   263,  1254,   243,
     195,   814,   815,   195,  1243,  1244,   195,  1244,   955,   533,
    1002,   629,   997,   477,   983,   989,  1251,   827,   828,    29,
     828,  1251,   828,    29,   828,  1251,   828,   828,   828,  1251,
    1249,  1249,  1036,   828,   346,   533,   431,   533,   657,   657,
     657,   308,   446,   537,   657,   388,  1098,  1100,   537,   946,
    1250,   533,   999,    59,   483,   983,   114,   206,   388,   431,
     433,   915,   916,  1259,    48,   510,   226,   535,   311,   308,
     177,   311,  1250,   446,   955,   171,   823,   308,     5,     8,
       9,    10,    12,    37,    53,    55,    56,    65,    66,    69,
      70,    77,    79,   104,   105,   106,   107,   108,   109,   110,
     117,   118,   120,   157,   162,   163,   169,   185,   187,   218,
     219,   221,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   238,   249,   257,   258,   269,   278,   280,   290,   292,
     297,   298,   300,   310,   321,   338,   356,   383,   400,   409,
     427,   432,   444,   445,   450,   452,   453,   464,   470,   478,
     498,   499,   500,   501,   503,   504,   505,   506,   512,   524,
     525,   526,   533,  1040,  1130,  1133,  1136,  1137,  1138,  1140,
    1141,  1142,  1145,  1146,  1150,  1151,  1153,  1154,  1155,  1157,
    1181,  1182,  1183,  1187,  1205,  1210,  1236,  1239,  1240,  1247,
    1248,  1249,  1250,  1259,  1238,  1239,  1250,    29,   585,  1241,
    1242,   399,   567,   120,   576,  1250,   577,  1250,    48,    71,
     567,   510,   410,   953,   311,   177,   446,   523,    48,   510,
     226,   954,   533,  1242,   526,  1213,  1100,   983,   176,   991,
    1151,  1190,  1045,   537,   533,   992,   480,  1144,  1144,  1144,
     533,  1132,  1132,   340,   533,  1134,    69,    70,  1144,  1132,
    1129,   514,   515,   533,  1147,   533,  1147,    37,  1128,   533,
     115,   193,   271,   274,   392,   508,   533,  1148,  1149,   535,
     816,  1132,  1238,  1214,   534,   534,   542,   983,   993,   994,
     995,  1098,    29,   135,  1054,  1054,    59,  1054,   165,   171,
     253,   304,  1062,  1064,  1065,  1080,  1082,  1083,  1084,  1058,
    1059,   177,   222,   222,  1098,  1101,   533,    68,   288,   324,
     366,   401,   533,   877,   324,   362,   366,   401,   816,   324,
     366,   401,     3,    91,   145,   259,   324,   362,   366,   401,
     436,   439,   490,   578,   581,   960,   961,   962,   963,   847,
      25,   140,   324,   366,   401,   474,   594,  1244,    25,   140,
     401,   469,   562,   494,   195,  1098,    62,    98,   161,   198,
     248,   288,   292,   324,   325,   366,   375,   384,   393,   401,
     414,   423,   428,   485,   578,   582,   883,   895,   923,   533,
     864,  1213,   366,   562,   201,   157,    25,    31,    46,    76,
     133,   140,   144,   172,   208,   288,   292,   302,   312,   324,
     366,   369,   370,   401,   474,   590,   592,   593,   726,   923,
       5,   524,   525,   700,  1251,    29,   195,  1242,   815,   815,
     533,   900,   324,   401,   535,   157,   308,   324,   366,   401,
     895,   923,    25,   140,   324,   366,   401,   201,   557,   366,
     490,   514,   550,   557,   324,   366,   401,   895,   923,   308,
     324,   366,   157,    38,    60,   112,   204,   262,   267,   272,
     288,   323,   366,   371,   395,   401,   416,   467,   590,   697,
     698,   324,   366,   482,   726,   734,   157,   324,   366,   401,
      25,    91,   133,   140,   144,   324,   362,   366,   401,   408,
     580,   568,   570,   201,   157,    46,   131,   288,   366,   401,
     590,   591,   324,   366,   370,   401,    89,   132,   327,   439,
     308,    25,    31,   140,   324,   366,   401,   610,   611,   557,
     171,   366,   550,   557,   157,   366,   401,   590,  1244,   251,
     122,   309,   495,   537,   952,    29,   135,   479,   526,   534,
     872,  1151,  1191,  1192,  1260,  1151,  1212,     3,    29,    33,
      34,    35,    36,    37,    38,    39,    43,    57,    65,    66,
      72,    78,    80,    92,    99,   104,   105,   106,   108,   109,
     110,   120,   122,   130,   135,   136,   142,   147,   152,   163,
     165,   171,   173,   177,   183,   186,   190,   201,   210,   220,
     222,   246,   247,   253,   257,   258,   292,   297,   304,   308,
     309,   313,   314,   334,   344,   360,   374,   394,   400,   411,
     429,   432,   433,   442,   446,   447,   453,   463,   464,   470,
     471,   479,   486,   487,   489,   490,   526,  1245,  1262,  1264,
    1265,  1266,  1267,  1211,   534,   537,   163,   308,   453,   574,
     577,   700,   987,   471,   980,   308,   879,   533,   815,  1244,
    1127,   867,   301,    74,   164,   903,   867,   867,   171,  1127,
     815,  1244,  1244,   534,   657,  1244,    72,  1127,   292,   177,
     533,   784,   550,    38,   974,  1244,   292,   550,   494,   195,
    1242,   550,   815,   815,   784,   467,   629,   308,   171,   490,
     891,   550,   292,    48,   564,   292,   456,   733,   292,   992,
      91,   324,   710,    89,   132,   327,   439,    38,   784,   171,
     195,   550,   483,   195,  1242,   195,   687,  1242,  1242,   483,
     815,    87,   546,  1247,   451,  1247,  1247,  1244,   171,  1244,
     708,    40,    54,   111,   215,   288,   390,   157,    63,   372,
     537,   547,   157,   533,   157,   550,   157,   537,   547,   494,
     157,   537,   547,   157,   537,   195,   814,   195,   815,   195,
     815,   157,   537,   547,  1254,   157,   547,   157,   157,   547,
     157,   547,   157,    89,   132,   327,   439,   171,   157,   547,
     157,   171,   195,   157,   537,   547,   157,   537,   547,   157,
     308,  1190,   433,   534,   997,   828,  1036,   828,  1036,   828,
    1036,   828,  1036,   828,  1036,  1036,  1036,   828,  1036,   533,
     658,   661,  1259,   658,    29,   114,   138,   173,   179,   243,
     244,   326,   348,   381,   388,   395,   433,   436,   456,   836,
    1241,  1254,   833,  1244,   201,   537,  1016,  1250,  1127,  1194,
      38,  1254,   546,   534,   546,   546,   546,   251,  1259,   171,
     836,  1254,   171,   386,  1259,   577,   308,   533,  1214,   531,
    1040,  1195,  1151,  1209,   533,   533,   171,   533,   533,  1040,
     533,   533,   533,   533,   533,   533,   533,   533,   533,   533,
     533,   533,   533,   533,   533,   533,   533,   533,  1151,   533,
     533,   533,   533,   533,   533,   533,   533,   299,   645,   533,
     533,   533,   533,   533,   533,   533,   533,  1151,  1151,  1151,
    1040,  1151,  1190,  1213,  1250,   533,  1250,     3,    10,    13,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   167,   168,   169,   170,   172,   173,   174,   175,
     176,   178,   179,   180,   181,   182,   184,   185,   187,   188,
     189,   191,   192,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   221,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   272,   273,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   305,   306,
     307,   309,   310,   311,   312,   313,   315,   316,   317,   318,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   481,   482,   483,   484,   485,   486,
     488,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   509,   510,   512,   521,
     522,   523,   524,   525,   526,   527,   528,   529,  1185,  1187,
    1189,  1263,  1268,   491,  1168,   320,  1151,   166,  1169,   222,
     537,  1051,   533,  1250,  1213,  1051,   123,   197,   586,   537,
      71,   120,   577,    38,     3,   120,   256,   575,   700,  1146,
    1250,  1250,    94,   137,  1163,   103,   120,   571,   572,   574,
     700,   120,   571,   251,  1242,    95,   371,   819,   534,   989,
      35,    45,    52,    78,   196,   201,   224,   252,   310,   313,
     406,   534,   537,  1046,  1243,    38,   533,  1190,  1249,  1144,
    1144,    37,  1128,   444,   444,  1249,  1249,   531,   531,  1249,
     446,   446,   446,   533,   446,  1249,  1245,   535,  1132,   177,
    1087,    15,   523,  1211,  1258,   534,   537,   992,  1042,  1042,
    1060,  1061,  1151,  1042,   168,   283,  1071,   240,   288,   355,
     404,   469,    29,  1066,  1151,   524,   525,  1067,  1068,  1151,
    1153,  1080,  1081,  1065,  1064,  1062,  1063,   171,  1083,   302,
    1085,  1062,  1080,  1101,  1005,  1242,  1101,    38,  1259,   401,
    1190,    68,   446,   446,   388,   201,   213,   314,   317,   403,
     479,   526,   870,   871,   872,   874,   876,   878,  1127,  1260,
     446,   482,   446,   388,   446,   446,   388,   253,   446,    79,
     446,   436,   567,   324,   960,   962,   523,   964,   171,   183,
     201,   376,   848,   849,    72,    92,   292,   653,   654,    92,
     120,   292,   446,    92,   446,   120,   292,   388,    92,   133,
     144,   324,   366,   781,   388,   716,    28,    66,   138,   179,
     310,   348,   381,   449,   456,   810,   811,  1244,   157,   366,
     401,   590,   308,   700,   393,   248,   446,  1259,   446,   297,
     700,   124,   223,   388,   399,   448,   569,   815,   372,   401,
     883,   896,   128,   534,   865,   870,   446,   470,   436,  1242,
      72,    80,    92,   153,   173,   195,   344,   464,   636,   651,
     652,  1259,    80,    92,   920,   329,   308,   383,   385,   451,
      92,   920,    32,   369,   383,   385,   451,   383,  1242,   172,
     208,   302,   815,   533,   446,   446,   194,   533,   598,    23,
     262,   436,   467,   492,   598,    92,   537,   128,     5,     5,
     324,   201,   157,   366,   401,   590,   923,   471,   471,   289,
    1127,   446,   388,   533,   901,  1244,  1242,   446,   446,   388,
     896,   128,   107,   433,   434,   932,   933,  1099,  1242,  1259,
     933,   446,   446,   784,   933,   114,   401,   581,   446,   552,
     581,   446,   446,   388,   896,   128,  1242,   446,   446,  1242,
    1129,   700,    59,   699,   700,   700,   112,   267,   272,    59,
     446,   550,   276,   388,   550,   288,   698,   446,   446,   297,
    1250,   726,   815,   446,   446,   388,   418,   351,  1250,   351,
     446,   351,   446,   351,   784,   784,   436,  1098,   329,   329,
      92,   446,   920,   388,   446,   446,   598,   598,   815,   815,
     815,   815,  1242,    47,   476,    47,    47,   476,   446,    47,
     446,   476,   388,   533,   537,   581,   470,   742,  1253,   446,
     552,   581,  1242,   446,   920,   388,   324,   366,   355,   367,
     397,   573,   952,  1191,  1191,  1192,   534,    15,    16,   537,
    1058,  1059,   532,   538,  1242,   985,  1244,  1242,   224,  1127,
     224,   308,   224,   224,   700,   815,   815,   224,   224,   224,
    1127,   224,   224,   224,   308,   446,   177,   446,   614,   456,
     533,    38,   157,   815,   785,   786,  1262,   960,  1127,   308,
     157,   713,  1244,   292,   329,   533,   551,   798,   471,   358,
     483,  1242,    29,   933,   784,   551,   157,  1253,    99,   183,
     565,   628,   693,   756,   829,   851,   956,   157,  1250,   734,
     735,   157,   308,  1250,  1253,   259,   815,   815,   815,   815,
     148,   354,   533,   742,   292,   551,  1242,   292,   695,   697,
     292,    38,   302,   329,   533,   657,   657,   195,   690,  1242,
     171,   195,   544,  1259,   533,   788,   877,  1244,   533,   868,
     868,    38,  1127,    27,    50,   217,   757,   243,   490,   492,
    1038,   390,   880,   879,  1127,  1244,   533,   817,  1127,   866,
     867,  1254,  1253,   157,   547,   157,   471,   157,   471,   902,
     903,   547,   866,  1254,   866,  1244,  1244,  1127,   817,  1254,
     742,   157,   814,   815,  1243,  1244,  1244,   815,   534,   195,
    1242,   997,  1036,  1036,  1036,  1036,  1036,  1036,   658,   534,
     537,   534,   180,   349,   382,   396,   434,  1243,   814,   113,
     398,   866,  1243,   301,   834,   835,  1259,   866,   866,  1243,
    1241,  1241,  1243,   814,   446,   184,   490,   845,   152,   253,
     739,   740,    23,   155,   383,   404,  1017,  1098,   296,  1018,
     534,   537,  1000,   446,  1242,  1244,  1242,   544,   831,   832,
     177,   845,   832,  1259,    28,    80,   138,   179,   244,   348,
     381,   456,   810,   811,  1190,   532,  1190,  1195,  1196,   486,
    1206,  1207,  1151,  1190,   533,  1249,  1249,     3,   115,   193,
     271,   274,   392,   508,  1197,  1198,  1250,  1190,  1190,  1151,
    1224,   374,  1040,  1041,  1224,  1228,  1235,  1224,  1224,  1151,
    1153,  1191,  1228,  1231,  1232,  1151,  1232,  1224,  1151,  1224,
    1224,  1190,  1249,  1249,   534,  1151,  1151,   901,  1151,  1191,
    1193,  1200,   383,   524,   525,   533,  1152,  1153,  1187,  1201,
     534,  1190,  1151,  1193,  1202,  1151,    57,   177,   247,   447,
    1151,  1190,  1203,   135,   292,  1040,  1190,   276,  1153,  1151,
    1161,  1162,  1163,   276,  1151,  1163,   534,   537,  1249,  1148,
    1127,  1151,  1151,  1151,  1151,  1262,   256,   444,    43,   429,
    1215,   815,  1151,   533,  1040,  1204,   135,   137,   163,   228,
     284,   285,   286,   287,   291,   292,   297,   453,   465,  1199,
    1229,  1151,   533,  1151,   446,    52,   196,   201,   252,   406,
    1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,
      29,    36,   411,  1184,   186,  1169,   383,   533,  1181,   533,
     319,  1173,   182,   256,   433,   438,   440,   467,  1052,  1242,
    1240,  1087,  1191,  1087,  1242,   448,   533,  1250,   537,   534,
     194,   194,   547,   995,   984,   988,  1151,   534,   266,   292,
    1047,  1190,   534,   534,   531,   510,   510,   534,   534,  1249,
     532,  1249,   534,   193,   271,  1149,   271,  1149,  1149,  1249,
     274,   534,  1245,   228,   237,   246,   384,   507,   533,  1040,
    1088,  1089,  1090,  1098,  1104,  1114,  1121,  1154,  1156,  1157,
    1236,  1259,   487,  1109,  1255,   995,   993,   537,    39,   130,
     471,   860,   383,   384,   524,   525,  1068,  1070,  1153,   404,
     240,   309,   537,     5,  1069,  1249,  1069,   383,   384,  1070,
    1241,   296,   408,  1019,  1081,  1063,   471,  1014,   120,   322,
     533,  1006,  1039,    38,   471,  1259,   533,  1021,  1022,  1023,
    1259,   534,  1253,  1244,  1244,   317,    59,  1260,   534,   872,
     874,   871,   874,  1260,   314,   534,   537,   816,  1253,  1244,
    1244,  1253,  1244,  1244,  1253,   482,  1244,  1244,   120,   574,
     700,   378,   470,   831,   388,   183,   831,   533,  1244,   297,
     195,  1244,   297,  1253,  1244,  1244,  1151,   297,  1244,  1244,
      32,   369,   446,   446,  1244,   446,   717,   879,   533,  1127,
     867,    74,   164,   903,   867,   867,   171,  1127,   815,  1244,
     189,   288,   324,   366,   475,   720,   721,   722,  1098,   446,
     920,   388,   297,   124,   223,  1253,  1244,   308,  1244,   308,
     534,   537,  1252,  1254,  1244,   366,   590,   533,   195,   636,
    1244,   471,   853,   240,   292,   240,   471,   645,   681,  1127,
    1244,  1249,  1259,  1242,  1244,   251,  1244,    29,   470,  1244,
     195,  1244,   195,  1259,   385,   451,   385,   451,   251,  1244,
      29,   470,  1244,   251,   383,  1242,    25,   140,   401,   727,
     728,   729,   730,  1262,  1253,  1244,   120,   178,   293,   471,
     597,   600,   601,  1262,   270,  1244,    76,   305,  1244,   593,
     308,   446,   436,  1242,   446,   920,   388,   128,  1244,  1244,
     537,   534,   537,  1253,  1244,   926,   927,  1262,   308,   366,
     446,   750,  1253,  1244,  1244,   308,  1098,   201,   537,   657,
     657,  1213,  1253,  1244,  1244,  1252,     3,    91,   146,   208,
     331,   462,   470,   473,   553,  1253,  1244,  1244,   308,   366,
    1253,  1244,   366,   401,   590,   697,   700,   815,  1244,   700,
     815,  1244,   700,  1253,  1244,   401,  1253,  1244,  1244,   120,
     604,  1251,  1243,  1243,  1253,   891,  1244,  1243,  1244,   366,
     401,   590,   591,  1242,  1242,  1244,  1244,  1244,  1244,  1253,
    1244,    25,    31,   140,   324,   366,   401,   324,   366,   401,
     784,   366,   401,   366,   401,   366,   923,  1113,  1259,   195,
     794,  1259,   195,  1259,  1250,  1253,  1244,  1244,  1250,  1244,
     926,    25,   140,   611,   398,  1252,   366,   401,   590,  1244,
    1244,  1244,   446,   446,    85,   461,   355,   537,  1058,  1058,
    1058,  1151,  1151,   479,  1192,   534,  1151,  1212,   980,   297,
     821,  1250,    38,   821,   138,   815,   821,   821,   224,   471,
     471,   821,   821,   821,   243,   821,   821,   821,   815,   350,
     615,   615,   206,   433,   755,  1151,  1127,   815,   534,   537,
     523,   642,  1262,  1244,    63,   177,   388,   482,   714,   721,
     722,   157,   302,   252,   630,   632,   634,   636,   648,   651,
      26,   201,   378,   430,   553,   554,   171,  1244,   483,  1242,
      38,   751,   434,   891,   544,  1259,   564,   629,   863,  1244,
     173,   815,   533,   683,   684,  1156,  1259,   351,  1250,   784,
     784,   784,   784,   533,   784,  1111,  1112,  1113,   398,   157,
     533,   157,   157,   156,  1039,   815,   302,   630,  1259,   471,
     676,   490,   599,   292,    38,   657,  1250,   292,   308,     3,
     789,   790,   784,    27,   534,   869,   870,   875,    38,   243,
     375,   449,   489,   881,   882,   883,   884,   881,   308,   243,
     302,   125,   216,   454,   469,   758,   759,  1244,   192,   192,
     171,   547,    38,   550,   172,   968,   969,   547,   547,   814,
     815,  1244,   815,  1244,   547,   547,   547,   547,   243,   547,
     398,   171,   547,   547,   308,   547,   292,   534,   661,   201,
     201,   201,   201,   201,   494,  1243,   700,   701,   537,   535,
     186,   837,   838,  1253,    59,   842,   843,  1262,   446,   533,
     177,   155,   404,   155,   404,   383,   469,   273,  1127,  1253,
     490,   688,   308,   837,   547,   177,   879,   815,  1127,   867,
     301,   867,   867,  1127,   815,  1244,   534,   532,   532,   537,
    1151,   142,  1207,  1208,    38,   534,  1151,   534,   534,   534,
     177,   534,   534,   511,  1225,  1226,   490,   492,  1230,  1127,
    1226,   534,    21,   297,   537,  1234,   314,  1237,   537,   538,
     476,   534,   534,    21,   297,   537,  1233,  1233,   537,   534,
    1228,   537,   534,   534,   534,   534,   537,   537,   534,   334,
     534,   534,   533,  1152,  1152,  1190,    13,    17,    18,    19,
     201,   224,   310,   521,   522,   523,   524,   525,   526,   527,
     528,   529,  1187,  1152,   534,   534,   171,   177,   406,   534,
     534,    38,  1203,  1190,  1203,  1203,   177,   534,   135,   534,
    1262,   330,  1166,    38,   534,   537,  1151,  1262,   537,  1151,
    1214,  1151,   534,   510,  1152,  1152,   150,  1190,   177,    37,
     301,   387,   476,   135,   137,   163,   291,   297,   453,   465,
    1199,  1229,   291,  1230,   150,   901,  1151,   429,  1215,  1151,
    1204,  1151,   446,   533,  1040,   533,  1173,   533,  1190,   487,
     533,  1174,  1259,   438,   440,   438,   440,  1242,  1053,  1053,
    1053,  1109,  1058,  1109,   953,  1249,  1148,   572,   995,   266,
     533,   534,  1249,  1147,  1147,   532,   532,   534,   533,  1040,
    1104,  1114,  1121,   177,   533,  1040,  1089,  1090,    38,  1091,
    1092,  1259,   537,   100,   178,   212,   227,   250,   279,   377,
    1095,  1092,    38,  1091,  1094,  1259,  1092,  1092,   514,  1108,
    1213,  1151,   186,  1072,  1061,   310,  1185,  1188,   513,   861,
       5,  1249,  1070,   309,   490,   469,  1067,   261,  1088,   487,
    1110,   477,   431,   470,  1007,  1008,  1009,  1259,   308,  1010,
    1259,  1089,  1023,  1024,   537,  1087,   523,  1214,   878,   816,
     874,   874,    59,   876,   528,  1254,  1254,   308,  1243,   311,
     308,  1151,   654,   774,   157,   547,   446,  1253,  1244,   577,
    1127,   815,   815,  1127,   704,  1244,   189,   475,   446,   446,
     704,   720,   726,   366,   401,   590,  1244,  1244,  1244,   214,
     297,   160,   870,   323,   401,   446,  1151,   292,   153,   652,
    1244,   533,   533,   157,   533,   681,   206,   533,   774,   421,
     640,   641,   774,   401,    25,   140,   370,   371,   401,   594,
     602,   603,   726,   921,   393,   157,   547,   157,   547,  1244,
    1244,  1244,  1244,   393,   393,   251,   729,   730,   729,   534,
     537,   731,  1250,   206,   534,   537,   523,   535,   120,   605,
    1259,   160,  1253,  1244,   366,   401,   590,  1244,  1244,  1244,
     308,   324,   366,   401,    25,   140,   324,   366,   401,  1127,
     289,  1127,   534,   537,   523,  1242,   446,  1254,   471,   747,
     160,   657,   388,   932,   487,   666,   666,   657,   253,   331,
     297,  1250,   331,  1254,   468,   160,   446,   446,   388,   418,
     891,   891,   891,   323,   401,    92,   446,   920,   388,   120,
     171,   606,   167,   546,   446,   446,   263,   263,   263,   446,
     446,   388,   446,   446,   388,   446,   388,   446,   388,   446,
     128,   547,  1127,   292,  1250,   401,   921,   157,   547,   446,
     446,   534,  1244,   446,   920,   388,   446,  1253,  1244,   534,
     534,   534,  1192,   532,  1127,   815,   224,   821,  1244,  1244,
    1244,   224,   419,   420,   616,  1250,   616,   189,   534,   534,
     177,   784,   786,   289,   310,   524,   525,   700,   787,   874,
    1188,  1250,  1267,    72,    78,    92,   120,   122,   181,   210,
     292,   297,   344,   360,   464,   643,   644,   647,   156,   486,
     550,   577,  1244,   577,   312,   724,  1242,  1242,  1242,   534,
     537,  1254,   186,   378,  1254,  1249,   456,  1242,   657,     3,
     171,   752,   891,    48,   564,   433,   733,   113,   992,  1151,
     177,   537,  1243,   599,   791,   792,  1250,   534,   537,  1244,
     171,   658,  1242,   687,  1242,  1244,   688,   533,   631,  1242,
     534,  1244,   490,   492,   677,   598,    38,   157,  1039,   676,
     446,   157,  1098,   523,   534,   537,   758,   534,   537,   120,
     523,   885,  1250,   577,   433,   873,   874,   171,   890,    51,
     373,   886,   887,   884,   887,   125,   216,   394,   469,   943,
    1244,   302,   308,   313,   189,  1039,  1127,   533,   534,   537,
     547,   471,   547,   471,   547,  1244,  1244,   742,   815,   157,
     388,   388,   388,   388,   388,  1243,   537,   835,  1259,  1253,
     490,   537,   839,  1253,   537,   845,   163,   311,   453,   844,
    1100,   398,   155,   155,   113,   288,   836,   845,  1254,   224,
     224,   224,   224,   700,   224,   224,   224,   224,   224,  1195,
     442,  1151,   147,  1127,   534,  1151,   228,   464,   464,   534,
    1226,  1228,   308,   308,  1224,  1228,    59,  1234,  1151,  1224,
    1224,   308,   308,  1232,  1230,  1230,  1151,   534,  1151,  1199,
    1151,  1151,   534,  1190,   537,  1127,  1152,  1152,  1152,  1152,
     135,   137,   292,  1152,  1152,  1152,  1152,  1152,  1152,  1152,
    1152,  1152,  1152,  1151,  1151,  1151,  1127,   534,   534,   534,
    1190,   534,   537,    59,  1153,  1167,   534,  1262,  1162,   341,
     425,  1165,   534,   537,   482,  1158,    38,   534,  1250,  1151,
      35,    35,  1151,   534,  1151,   177,   291,  1230,  1151,   534,
     150,  1152,  1152,   150,   150,  1151,  1151,  1059,   534,  1190,
     537,  1151,  1175,  1259,  1053,  1053,  1053,  1053,  1242,  1242,
    1242,  1072,   534,  1072,   534,  1000,   532,  1224,  1092,  1094,
    1092,  1092,   533,   502,  1153,   534,  1259,   533,  1089,   227,
     318,  1096,  1089,  1096,   227,  1095,  1096,   227,   435,  1102,
     533,  1259,   533,   315,    59,   190,  1079,   533,   861,   168,
     245,   309,   490,   443,   103,  1151,   374,  1012,   476,   534,
     537,  1214,    90,  1012,   308,   534,   537,  1022,  1110,  1151,
     534,   528,   878,   456,   180,   382,   389,   396,   434,   457,
     850,   171,   850,   534,   122,   210,   288,   292,   775,  1244,
    1244,    38,   471,   471,   243,   816,  1253,  1244,   446,   920,
     388,   446,   214,  1244,    59,   436,  1244,   534,   157,   533,
     664,   665,   856,  1156,  1259,   658,   636,   658,   774,  1244,
     658,   120,  1259,    86,   638,   639,   418,   181,   159,   194,
     292,   598,   550,   113,   159,   181,   292,   418,   598,   638,
     640,   698,   401,   603,   456,  1244,  1259,   393,   728,  1244,
     601,   787,  1262,  1244,   323,   401,   446,   920,   388,   446,
     160,   446,   446,   388,   179,   310,   421,   796,   797,   179,
     310,   803,   804,   446,   446,   388,   534,   534,   534,   927,
     289,   700,   874,   928,  1188,  1250,  1267,   366,  1244,   533,
     490,   748,  1244,   666,   107,  1259,   533,   666,  1251,  1250,
    1250,  1250,  1244,  1244,  1244,  1244,   604,    59,   436,  1244,
    1244,  1244,  1244,   477,  1244,  1244,   171,   171,   368,   171,
     195,  1253,  1244,  1244,  1253,  1244,  1244,  1244,  1244,  1244,
    1244,  1244,   308,    78,   595,   157,    27,    50,   456,  1259,
    1244,  1250,   726,  1244,  1244,  1244,  1244,  1058,   534,   224,
     821,   224,   224,   224,   821,   550,   471,   621,   622,   704,
     774,   490,   492,   815,   533,   815,  1244,  1152,    32,    59,
     646,   123,   197,   122,   297,   240,  1242,   645,   179,   348,
     770,   777,   778,  1259,   713,   533,   329,   533,   631,   649,
     209,   671,   634,  1254,  1254,  1127,   533,   599,    29,   125,
     216,   394,   469,   753,   446,   749,  1253,   195,  1242,   735,
     494,   308,   534,  1088,   684,   891,   534,   537,  1113,   724,
     742,   534,   695,    38,   302,   329,   533,  1002,   633,   635,
     637,   651,  1259,   329,   672,   673,   631,   671,   598,   305,
     308,   678,  1039,   690,   688,   599,  1250,  1244,   853,   787,
       3,   790,   308,   875,  1151,  1151,   537,   533,   881,   456,
     537,    44,  1151,   446,   533,   658,  1242,   759,   704,   534,
     968,   969,  1244,  1244,   547,   398,   547,  1243,  1243,  1243,
    1243,  1243,   700,   183,   838,   845,   843,   534,  1244,   113,
     177,   547,   845,   297,   824,  1250,   824,   824,   824,   224,
     824,   824,   824,   824,   824,  1151,   534,   145,   241,   241,
     534,   297,   297,   534,  1060,  1228,   330,  1216,   297,   297,
    1228,  1228,  1216,  1216,   534,   534,   177,   534,  1151,   177,
     135,   137,   177,   171,   150,   534,   497,  1160,  1190,   359,
     476,    59,  1167,  1153,   488,   488,   534,  1151,   288,  1151,
     537,  1159,  1129,  1151,  1151,  1151,  1151,    35,    35,  1151,
    1151,   150,   534,   534,   534,  1151,   534,   329,  1176,  1242,
    1242,  1242,  1242,  1079,  1250,  1079,  1250,   534,   537,  1105,
    1106,  1156,   533,  1166,  1091,   533,  1243,  1089,   308,   471,
    1097,  1089,   227,  1089,  1247,  1112,   533,  1112,  1259,  1054,
    1151,   489,  1170,   901,   443,   302,  1239,  1039,   322,  1039,
    1009,   308,   533,  1011,  1151,   523,  1023,  1012,   456,   534,
     446,   831,   177,   774,   123,   197,   208,   122,   473,   547,
    1127,  1244,  1244,  1244,  1244,  1244,  1244,  1244,  1254,  1244,
     774,   636,  1151,   534,   537,   490,    78,   855,   859,   855,
     537,   659,   492,   656,   656,   120,  1259,   724,   604,   646,
     195,   195,   297,   700,    38,   646,   297,   604,  1127,   547,
     547,   523,    59,   436,  1244,  1244,  1244,  1244,  1244,  1253,
    1244,  1244,  1249,  1249,  1127,   537,  1249,  1249,   537,  1253,
    1244,  1244,   446,  1151,    72,  1151,  1254,  1244,   446,   446,
     177,   201,   490,  1243,  1243,   815,  1243,   157,   160,   815,
    1250,  1250,  1127,   547,   547,   446,   534,   224,   821,   821,
     821,   821,   533,   617,   618,   550,   127,   179,   213,   179,
    1151,   292,   644,   120,    38,   891,   657,   891,  1247,    35,
     156,   201,   725,   729,   302,   630,   606,   154,   203,   533,
     398,   471,   658,    38,  1254,   747,   564,   292,   533,   173,
    1244,   683,  1250,   398,   599,   156,  1039,   815,   302,   630,
     688,   534,   537,   490,   642,    59,   676,   606,   672,    84,
     436,   679,   490,   957,    38,   679,   177,   308,   533,  1242,
    1250,   872,   892,   893,  1260,   887,  1127,   171,   888,  1242,
     177,   446,   912,   361,   760,   211,   705,   547,   534,   547,
     547,  1244,   311,   222,   837,   547,   824,  1244,   534,  1217,
    1218,  1224,   120,   143,   149,   163,   297,   453,   465,  1220,
    1221,  1223,   534,   534,  1228,  1228,  1151,   534,  1152,   177,
    1151,  1151,  1151,   533,   534,   537,   534,  1167,   534,   476,
     415,   534,   205,   288,  1164,  1151,  1151,  1151,   534,    59,
    1058,  1170,  1170,   391,  1048,  1151,   534,   537,    38,  1107,
     120,  1119,  1120,  1152,    81,  1243,   534,  1151,   533,  1089,
    1097,   533,   534,  1112,   534,   102,   187,   380,   533,  1073,
    1074,  1075,  1076,  1077,  1078,  1151,  1171,  1172,  1259,  1058,
     534,  1036,  1007,    92,   854,   856,   136,   486,  1026,  1027,
    1028,  1029,  1151,   837,   308,   837,   534,   446,   401,  1018,
     534,   202,   662,   665,   310,   901,   815,   545,   815,   333,
     534,   320,   534,   534,   642,    38,   157,   157,   533,   595,
     787,  1254,  1244,   446,   533,   867,   901,   903,   797,   533,
     533,   804,  1244,   534,   533,   534,   401,  1018,  1244,  1244,
     533,   533,   533,   490,   514,   977,   368,   977,   977,   171,
    1244,   595,  1244,   821,   623,   624,  1262,    54,   101,   126,
     145,   150,   172,   176,   191,   297,   352,   619,   617,  1250,
     867,    38,   908,   908,   534,   194,   533,   471,   680,   264,
     663,   680,   533,   778,   770,   533,   534,   537,  1242,   534,
     398,    29,    83,    86,    93,   121,   181,   194,   207,   418,
     421,   650,   650,  1241,  1244,  1244,   534,  1039,   748,   157,
     113,   724,   177,  1244,    38,  1244,   688,   631,  1242,   534,
     635,   312,  1259,   677,   672,   676,   125,   140,   341,  1244,
      64,    72,   256,  1039,   815,  1098,   854,   177,   773,   874,
     534,   537,   456,   147,   543,   886,   889,  1109,   413,   413,
     534,   282,   306,   761,   762,   763,   171,   766,   704,   288,
     475,   706,   707,  1244,   845,   537,    38,  1151,    37,   301,
     308,   534,   490,   492,  1219,  1220,  1222,   171,  1152,  1161,
    1190,   288,   509,   205,   534,  1190,   188,   354,   384,  1177,
      58,   129,   112,  1049,    38,  1122,  1108,  1105,   533,  1152,
     534,   537,    38,  1115,  1116,  1259,   534,  1243,  1190,   534,
     533,   402,   533,   534,   537,   537,    38,  1063,   476,  1244,
     534,   537,   293,   469,   265,   292,  1012,  1027,    35,  1030,
    1030,   839,   850,   547,  1244,   436,   855,   533,   891,   533,
     860,   598,   661,   360,   662,   662,   194,  1151,   471,   596,
     401,  1018,  1244,  1194,   171,   800,   800,  1194,  1194,  1151,
     436,  1190,  1190,   607,   608,  1261,   814,   815,   814,   815,
    1243,   547,   534,   537,   120,   526,   533,   574,   625,   700,
     974,  1250,   974,   292,   297,   352,   974,   974,  1109,   908,
      42,   199,   288,   655,   533,   696,  1151,   206,   178,   328,
     407,   308,   667,   668,   669,   534,  1247,     6,   779,   729,
     631,   671,  1244,   534,   724,   164,   799,   599,   957,  1242,
     494,  1088,   724,  1039,  1002,   672,   631,   671,   642,   533,
     678,   676,   677,   384,   384,    72,   311,    72,   688,   853,
     534,  1242,   774,   881,   892,  1127,   536,   136,   490,   490,
     762,   383,   433,   764,   141,   767,   486,   769,   475,   704,
     724,   547,  1218,  1262,   149,    37,    88,   460,   494,    37,
     494,   239,   307,  1227,   308,   534,  1151,   534,   534,   476,
      52,   103,   459,  1151,  1178,  1179,  1178,  1178,   534,   168,
     168,   658,  1244,  1216,  1112,   537,  1120,  1262,   534,   537,
     171,  1127,   534,   534,  1190,   533,  1190,  1074,  1172,  1174,
    1081,  1039,  1109,   856,   401,   265,  1151,   442,   442,   177,
    1244,   658,   680,   901,   861,   860,  1242,   891,   891,   696,
     534,  1151,   436,   534,   314,   391,   534,   534,   534,  1244,
     534,   534,   534,   537,  1249,   977,   624,   574,   626,   627,
    1250,  1250,   297,   526,   658,   526,   658,  1250,  1250,   208,
     697,   534,   436,   125,   469,   308,   669,   308,   668,   533,
     534,   537,   606,   398,   724,   815,    38,    38,   533,  1244,
     957,   688,   676,   606,   672,   533,   674,   675,  1156,  1259,
     679,   677,   678,   311,   311,   533,   202,   857,   171,   887,
      30,   217,   944,   179,   179,   974,   383,   417,   768,   533,
     156,   494,    37,   494,    37,   494,   494,   353,   353,  1222,
     143,   149,  1179,   383,   170,   339,   170,   339,   153,  1180,
    1180,  1180,    59,    59,   401,    81,   534,  1153,  1116,   315,
       3,   120,   292,   297,   332,  1117,  1118,    38,  1093,   367,
    1103,   534,  1073,   534,  1021,    59,   125,   136,   469,  1031,
    1032,   136,   216,  1033,   837,  1018,   534,   666,   534,   861,
     533,   660,   680,   680,  1244,   867,    59,  1018,   446,   607,
     815,   534,   537,   526,   658,   534,   422,  1244,    63,   288,
     372,   401,   670,   670,   534,     6,   398,  1244,   796,  1039,
     724,   677,   672,   676,  1151,   534,   537,   859,   859,   678,
     679,   854,   533,   645,   141,   293,   533,   939,   941,   945,
    1004,  1013,  1020,  1039,  1050,   867,   867,   765,  1259,  1151,
     770,   494,   494,   308,   308,   534,  1220,    35,   103,   186,
     288,   443,   658,   658,  1259,   533,  1166,  1152,  1152,   297,
    1152,  1118,  1259,   533,   534,  1109,   412,   437,   293,   401,
     293,   120,   322,   477,   533,  1034,   547,   774,   658,   663,
     774,   774,  1018,   815,   533,   627,    24,   120,   297,  1244,
     724,   957,   678,   676,   677,   534,   675,   545,   545,   679,
     534,   856,   858,   599,   383,   940,   941,   942,  1040,  1041,
     537,   537,   534,  1247,   387,   387,   308,  1179,   383,   316,
     401,   401,   446,   471,   281,  1123,  1124,  1259,    81,  1151,
    1021,   477,  1007,   533,  1008,   659,   667,  1190,   657,   657,
     724,   679,   677,   678,   859,   857,   534,   537,   679,   769,
     534,   536,   446,   177,   533,   424,   424,   149,  1259,  1259,
     228,  1247,  1248,  1259,   332,  1125,   534,   537,   171,  1127,
    1115,   534,   476,  1190,   534,   534,   774,   534,   678,   679,
     545,   645,   856,  1109,   156,   942,   413,   413,     5,   771,
     772,  1249,  1250,  1262,   533,   120,  1250,  1223,  1124,   315,
     157,   332,  1126,  1225,   534,  1034,   534,   322,  1034,   679,
     599,   770,   490,   490,   534,   537,  1191,  1248,    38,    81,
     534,  1126,  1250,  1219,  1126,  1007,   679,  1247,   179,   179,
     772,  1058,   471,  1244,   533,  1223,  1227,  1219,   476,  1109,
     533,   867,   867,   534,  1259,    81,  1123,  1222,  1227,  1034,
     771,   533,   534,  1222,   534,  1123,   534
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   539,   540,   540,   540,   540,   540,   540,   541,   541,
     542,   542,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   544,   544,   545,
     545,   546,   546,   547,   547,   547,   548,   549,   550,   550,
     550,   551,   551,   552,   552,   553,   553,   553,   553,   553,
     553,   553,   553,   553,   554,   554,   554,   554,   554,   554,
     555,   556,   556,   557,   557,   558,   558,   558,   558,   559,
     559,   559,   559,   559,   559,   560,   561,   562,   562,   563,
     563,   563,   563,   564,   564,   565,   565,   565,   565,   565,
     565,   566,   566,   566,   567,   567,   567,   568,   568,   568,
     568,   569,   569,   569,   569,   569,   569,   569,   569,   569,
     569,   569,   570,   570,   571,   571,   572,   572,   573,   573,
     573,   573,   574,   574,   574,   574,   575,   575,   575,   575,
     575,   575,   575,   576,   576,   576,   577,   577,   578,   579,
     579,   579,   579,   580,   580,   581,   581,   582,   582,   583,
     583,   583,   583,   583,   584,   585,   585,   586,   586,   587,
     588,   588,   588,   588,   588,   589,   589,   589,   589,   589,
     589,   589,   589,   589,   589,   589,   589,   589,   589,   589,
     589,   589,   589,   589,   589,   589,   590,   590,   591,   591,
     591,   592,   593,   593,   593,   593,   593,   593,   593,   593,
     593,   593,   593,   593,   593,   593,   593,   593,   593,   593,
     593,   593,   593,   593,   593,   593,   593,   593,   593,   593,
     593,   593,   593,   593,   593,   593,   593,   593,   593,   593,
     593,   593,   593,   593,   593,   593,   593,   593,   593,   593,
     593,   593,   593,   593,   593,   593,   593,   593,   593,   593,
     593,   593,   593,   594,   594,   595,   595,   596,   596,   597,
     597,   597,   597,   598,   599,   599,   600,   600,   601,   601,
     601,   601,   602,   602,   603,   603,   603,   603,   604,   604,
     605,   605,   606,   606,   606,   606,   607,   608,   608,   609,
     610,   610,   611,   611,   611,   611,   612,   612,   613,   613,
     614,   614,   615,   615,   616,   616,   616,   617,   617,   618,
     618,   619,   619,   619,   619,   619,   619,   619,   619,   619,
     619,   619,   619,   619,   619,   619,   620,   620,   621,   621,
     622,   622,   623,   623,   624,   625,   625,   625,   625,   625,
     625,   626,   626,   627,   628,   628,   628,   628,   628,   628,
     629,   629,   629,   629,   629,   629,   629,   629,   630,   630,
     631,   631,   632,   632,   633,   633,   634,   634,   634,   635,
     635,   636,   637,   637,   638,   638,   639,   639,   640,   640,
     641,   641,   642,   642,   643,   643,   643,   643,   644,   644,
     644,   644,   644,   644,   644,   644,   644,   645,   645,   645,
     646,   646,   647,   647,   647,   647,   648,   649,   649,   649,
     650,   650,   650,   650,   650,   650,   650,   650,   650,   650,
     651,   651,   652,   652,   652,   652,   652,   652,   652,   653,
     653,   654,   654,   655,   655,   656,   656,   657,   657,   658,
     658,   659,   659,   660,   660,   661,   662,   662,   663,   663,
     663,   663,   664,   664,   665,   665,   666,   666,   667,   667,
     667,   667,   667,   668,   669,   670,   670,   670,   670,   670,
     671,   671,   672,   672,   673,   674,   674,   675,   675,   675,
     676,   676,   677,   677,   677,   678,   678,   678,   678,   679,
     679,   680,   680,   681,   682,   682,   683,   683,   684,   684,
     684,   685,   685,   686,   686,   687,   688,   688,   688,   689,
     689,   690,   691,   691,   692,   693,   693,   694,   694,   695,
     695,   696,   696,   697,   697,   698,   698,   698,   698,   698,
     698,   698,   698,   698,   698,   698,   698,   698,   698,   698,
     698,   699,   699,   700,   700,   700,   700,   701,   701,   702,
     702,   703,   703,   704,   704,   705,   705,   706,   706,   707,
     707,   708,   708,   709,   710,   710,   711,   711,   712,   712,
     713,   713,   714,   714,   714,   714,   715,   716,   716,   717,
     718,   718,   718,   718,   718,   718,   718,   718,   718,   718,
     718,   718,   718,   719,   720,   720,   720,   720,   721,   721,
     722,   722,   723,   723,   724,   724,   725,   725,   726,   727,
     727,   728,   728,   728,   728,   729,   730,   731,   732,   732,
     733,   733,   734,   734,   735,   735,   736,   736,   736,   737,
     737,   737,   737,   738,   739,   739,   740,   740,   741,   741,
     742,   742,   743,   743,   744,   745,   746,   747,   747,   748,
     748,   749,   749,   750,   750,   751,   751,   752,   752,   753,
     753,   753,   753,   753,   754,   755,   755,   756,   756,   757,
     757,   757,   758,   758,   759,   759,   759,   759,   759,   760,
     760,   761,   761,   762,   763,   763,   764,   764,   765,   766,
     766,   767,   767,   768,   768,   769,   769,   770,   770,   771,
     771,   771,   772,   772,   772,   772,   773,   773,   774,   774,
     775,   775,   775,   775,   775,   775,   776,   776,   777,   777,
     778,   779,   779,   780,   781,   781,   781,   781,   782,   783,
     783,   783,   783,   783,   783,   783,   783,   783,   783,   783,
     783,   783,   783,   783,   783,   784,   785,   785,   786,   786,
     787,   787,   787,   787,   787,   787,   788,   789,   789,   790,
     791,   791,   792,   792,   793,   793,   793,   793,   793,   794,
     794,   795,   796,   796,   797,   797,   797,   797,   797,   798,
     798,   799,   799,   800,   800,   800,   801,   802,   802,   803,
     803,   804,   804,   805,   805,   806,   806,   807,   808,   809,
     809,   809,   809,   809,   809,   809,   809,   809,   809,   809,
     809,   810,   810,   810,   810,   810,   810,   810,   810,   810,
     810,   810,   810,   810,   811,   811,   811,   811,   811,   812,
     812,   812,   812,   812,   812,   812,   812,   813,   813,   813,
     814,   814,   815,   815,   816,   816,   817,   817,   818,   819,
     819,   819,   820,   820,   820,   820,   820,   820,   820,   820,
     820,   820,   820,   820,   820,   820,   820,   820,   820,   820,
     821,   821,   822,   822,   822,   822,   822,   822,   822,   822,
     822,   822,   823,   823,   824,   824,   825,   825,   826,   826,
     826,   826,   826,   826,   826,   826,   826,   826,   826,   826,
     826,   826,   826,   826,   827,   827,   828,   828,   829,   830,
     830,   831,   831,   831,   831,   831,   832,   832,   833,   833,
     833,   833,   833,   834,   834,   835,   835,   836,   836,   836,
     836,   836,   836,   836,   836,   836,   836,   836,   836,   836,
     836,   836,   836,   836,   836,   836,   836,   836,   837,   837,
     838,   838,   839,   839,   840,   840,   841,   841,   842,   842,
     843,   844,   844,   844,   845,   845,   846,   847,   847,   848,
     848,   848,   849,   849,   849,   850,   850,   850,   850,   850,
     850,   851,   851,   852,   852,   853,   853,   854,   854,   855,
     855,   856,   856,   856,   857,   857,   858,   858,   859,   859,
     860,   860,   860,   861,   861,   861,   862,   862,   862,   862,
     863,   863,   864,   864,   865,   865,   866,   866,   867,   867,
     867,   867,   868,   868,   869,   869,   870,   870,   870,   870,
     870,   871,   871,   871,   871,   871,   872,   873,   874,   874,
     874,   875,   875,   875,   876,   877,   877,   877,   877,   878,
     878,   879,   880,   880,   881,   881,   882,   882,   883,   883,
     883,   883,   883,   883,   883,   883,   883,   883,   883,   883,
     883,   883,   883,   883,   883,   884,   884,   884,   884,   884,
     885,   885,   886,   887,   887,   887,   888,   888,   889,   889,
     890,   890,   891,   891,   892,   893,   893,   894,   894,   894,
     895,   895,   896,   896,   897,   897,   897,   897,   897,   897,
     898,   898,   899,   899,   900,   900,   900,   900,   901,   901,
     902,   902,   903,   904,   905,   905,   906,   906,   907,   907,
     907,   908,   908,   908,   909,   910,   910,   911,   912,   912,
     912,   912,   913,   914,   914,   914,   915,   915,   916,   916,
     917,   917,   918,   918,   919,   919,   919,   919,   919,   919,
     919,   919,   919,   919,   919,   919,   919,   919,   919,   919,
     919,   919,   919,   919,   919,   919,   919,   919,   919,   919,
     919,   919,   919,   919,   919,   919,   919,   919,   919,   919,
     919,   919,   919,   919,   919,   919,   919,   919,   919,   919,
     919,   919,   919,   919,   919,   919,   919,   919,   919,   920,
     920,   921,   921,   922,   922,   922,   922,   922,   922,   923,
     923,   924,   924,   924,   924,   924,   924,   924,   924,   924,
     924,   924,   924,   924,   924,   924,   924,   924,   924,   924,
     924,   924,   924,   924,   924,   924,   924,   924,   925,   926,
     926,   927,   927,   927,   928,   928,   928,   928,   928,   929,
     930,   930,   930,   930,   930,   930,   930,   930,   930,   930,
     930,   930,   930,   930,   930,   930,   930,   930,   930,   930,
     930,   930,   930,   930,   931,   931,   931,   932,   932,   932,
     932,   932,   932,   932,   933,   933,   934,   934,   934,   934,
     935,   936,   936,   936,   936,   936,   936,   936,   936,   936,
     937,   937,   938,   939,   939,   939,   940,   940,   941,   941,
     941,   941,   941,   942,   942,   943,   943,   943,   943,   944,
     944,   944,   945,   946,   946,   947,   948,   948,   949,   949,
     949,   949,   949,   949,   949,   949,   949,   949,   949,   949,
     950,   950,   951,   951,   951,   952,   952,   952,   952,   952,
     953,   953,   953,   954,   954,   955,   955,   955,   956,   956,
     956,   956,   957,   957,   957,   957,   958,   959,   960,   960,
     961,   961,   962,   962,   962,   963,   963,   963,   963,   963,
     963,   963,   964,   964,   965,   965,   965,   965,   966,   967,
     967,   967,   967,   968,   968,   969,   970,   971,   971,   972,
     973,   973,   973,   973,   973,   973,   973,   974,   974,   975,
     976,   976,   976,   976,   976,   976,   977,   977,   978,   979,
     979,   979,   979,   979,   980,   980,   981,   981,   982,   982,
     983,   983,   984,   984,   985,   986,   986,   986,   987,   987,
     987,   988,   988,   989,   989,   990,   990,   991,   991,   992,
     992,   993,   994,   994,   995,   995,   996,   996,   996,   996,
     997,   997,   997,   997,   997,   997,   997,   997,   997,   997,
     998,   999,   999,  1000,  1000,  1000,  1000,  1000,  1001,  1001,
    1001,  1002,  1002,  1003,  1003,  1003,  1003,  1004,  1005,  1005,
    1006,  1006,  1006,  1006,  1006,  1007,  1007,  1008,  1008,  1009,
    1010,  1010,  1010,  1011,  1011,  1011,  1012,  1012,  1013,  1014,
    1014,  1015,  1016,  1016,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1018,  1018,  1019,  1019,  1019,  1020,  1021,  1021,
    1022,  1022,  1023,  1024,  1024,  1025,  1026,  1026,  1027,  1027,
    1027,  1027,  1027,  1028,  1028,  1029,  1029,  1030,  1030,  1031,
    1032,  1033,  1033,  1033,  1033,  1033,  1034,  1035,  1036,  1037,
    1037,  1037,  1037,  1037,  1037,  1038,  1038,  1038,  1039,  1039,
    1040,  1040,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1042,  1042,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1044,
    1044,  1044,  1045,  1045,  1046,  1047,  1047,  1047,  1048,  1048,
    1048,  1049,  1049,  1049,  1050,  1050,  1051,  1051,  1052,  1052,
    1052,  1052,  1052,  1052,  1052,  1052,  1052,  1053,  1053,  1054,
    1054,  1054,  1055,  1055,  1056,  1056,  1057,  1057,  1058,  1058,
    1059,  1060,  1060,  1061,  1061,  1062,  1062,  1062,  1062,  1063,
    1063,  1064,  1064,  1064,  1064,  1064,  1064,  1065,  1065,  1066,
    1066,  1067,  1068,  1068,  1068,  1069,  1069,  1070,  1070,  1071,
    1071,  1072,  1072,  1073,  1073,  1074,  1074,  1074,  1074,  1074,
    1075,  1076,  1077,  1078,  1079,  1079,  1080,  1080,  1081,  1081,
    1082,  1082,  1083,  1084,  1084,  1084,  1084,  1085,  1085,  1086,
    1086,  1087,  1087,  1088,  1088,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1090,  1090,  1090,
    1090,  1090,  1090,  1091,  1091,  1091,  1091,  1092,  1092,  1093,
    1093,  1094,  1094,  1094,  1094,  1094,  1095,  1095,  1095,  1095,
    1096,  1096,  1097,  1097,  1098,  1098,  1099,  1099,  1099,  1100,
    1100,  1101,  1101,  1101,  1102,  1103,  1103,  1104,  1104,  1105,
    1106,  1106,  1107,  1107,  1108,  1108,  1109,  1109,  1110,  1110,
    1110,  1111,  1111,  1112,  1112,  1113,  1114,  1114,  1115,  1115,
    1116,  1116,  1116,  1117,  1117,  1118,  1118,  1118,  1118,  1118,
    1119,  1119,  1120,  1120,  1121,  1122,  1122,  1123,  1123,  1124,
    1124,  1124,  1124,  1124,  1124,  1125,  1125,  1126,  1126,  1127,
    1127,  1127,  1127,  1127,  1127,  1128,  1128,  1128,  1129,  1129,
    1129,  1129,  1129,  1129,  1129,  1129,  1130,  1130,  1130,  1130,
    1130,  1131,  1131,  1132,  1132,  1133,  1133,  1133,  1133,  1133,
    1133,  1133,  1133,  1133,  1133,  1133,  1134,  1134,  1135,  1135,
    1136,  1136,  1137,  1138,  1139,  1139,  1140,  1140,  1141,  1142,
    1143,  1143,  1143,  1143,  1143,  1143,  1144,  1144,  1145,  1145,
    1145,  1145,  1146,  1147,  1147,  1147,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,
    1149,  1149,  1150,  1151,  1151,  1151,  1151,  1151,  1151,  1151,
    1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,
    1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,
    1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,
    1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,
    1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,
    1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,
    1151,  1152,  1152,  1152,  1152,  1152,  1152,  1152,  1152,  1152,
    1152,  1152,  1152,  1152,  1152,  1152,  1152,  1152,  1152,  1152,
    1152,  1152,  1152,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1154,  1154,  1154,
    1154,  1154,  1154,  1154,  1155,  1155,  1155,  1156,  1156,  1156,
    1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,
    1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,
    1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,
    1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,
    1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,
    1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,
    1158,  1158,  1159,  1159,  1159,  1159,  1160,  1161,  1161,  1162,
    1162,  1163,  1163,  1164,  1164,  1164,  1165,  1165,  1165,  1166,
    1166,  1166,  1166,  1167,  1167,  1168,  1168,  1169,  1169,  1170,
    1170,  1171,  1171,  1172,  1173,  1173,  1173,  1174,  1175,  1175,
    1176,  1176,  1177,  1177,  1177,  1177,  1178,  1178,  1179,  1179,
    1179,  1179,  1179,  1180,  1180,  1180,  1180,  1180,  1181,  1181,
    1181,  1182,  1182,  1183,  1184,  1184,  1184,  1185,  1185,  1186,
    1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,
    1186,  1187,  1187,  1188,  1188,  1189,  1189,  1189,  1189,  1189,
    1189,  1190,  1190,  1191,  1191,  1192,  1192,  1192,  1193,  1193,
    1194,  1194,  1195,  1195,  1195,  1196,  1196,  1197,  1198,  1198,
    1198,  1198,  1198,  1198,  1198,  1198,  1199,  1199,  1199,  1199,
    1200,  1200,  1201,  1202,  1202,  1202,  1202,  1202,  1203,  1203,
    1203,  1204,  1204,  1205,  1206,  1206,  1207,  1208,  1208,  1209,
    1209,  1210,  1210,  1211,  1211,  1211,  1211,  1212,  1212,  1213,
    1213,  1214,  1214,  1215,  1215,  1216,  1216,  1217,  1217,  1218,
    1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,  1220,
    1220,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1222,
    1222,  1222,  1222,  1223,  1223,  1224,  1225,  1225,  1226,  1226,
    1227,  1227,  1227,  1227,  1227,  1228,  1228,  1229,  1229,  1229,
    1229,  1229,  1230,  1230,  1230,  1230,  1230,  1231,  1231,  1232,
    1232,  1233,  1233,  1233,  1234,  1234,  1234,  1235,  1235,  1236,
    1236,  1237,  1237,  1238,  1238,  1239,  1239,  1240,  1240,  1240,
    1240,  1241,  1241,  1242,  1242,  1243,  1243,  1244,  1245,  1246,
    1247,  1247,  1248,  1248,  1248,  1248,  1248,  1248,  1248,  1248,
    1248,  1248,  1248,  1248,  1248,  1249,  1250,  1251,  1251,  1251,
    1252,  1253,  1253,  1253,  1253,  1254,  1254,  1255,  1256,  1257,
    1257,  1258,  1258,  1259,  1259,  1259,  1260,  1260,  1260,  1261,
    1261,  1261,  1261,  1262,  1262,  1262,  1262,  1262,  1263,  1263,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1265,  1265,  1265,
    1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,
    1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,
    1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,
    1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,
    1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,
    1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1267,  1267,  1267,  1267,  1267,  1267,  1267,
    1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,
    1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,
    1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,
    1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,
    1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,
    1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,
    1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,  1267,
    1267,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1268,  1268,  1268
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     2,     2,     2,     2,     2,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     1,     0,     1,
       0,     1,     0,     1,     1,     0,     2,     5,     1,     1,
       0,     2,     0,     2,     0,     2,     2,     3,     3,     1,
       3,     3,     2,     1,     1,     2,     2,     2,     3,     3,
       5,     5,     5,     0,     3,     5,     5,     5,     5,     3,
       5,     3,     5,     3,     5,     5,     6,     1,     1,     6,
       4,     9,     7,     2,     0,     1,     1,     1,     1,     1,
       1,     2,     3,     3,     2,     5,     1,     3,     3,     3,
       3,     1,     3,     3,     2,     2,     2,     2,     3,     3,
       3,     3,     1,     3,     1,     3,     1,     1,     2,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     3,     5,
       1,     1,     1,     1,     1,     0,     1,     1,     2,     1,
       2,     3,     2,     1,     1,     2,     1,     2,     1,     2,
       3,     4,     3,     2,     4,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     2,     4,     6,     4,     6,    10,
      13,     4,     6,     4,    10,    13,     4,     6,     4,     6,
       5,     7,    11,    14,     5,     7,     1,     3,     4,     4,
       4,     3,     2,     5,     3,     6,     4,     6,     6,     9,
       5,     7,     6,     6,     5,     5,     5,     5,     9,     4,
       5,     7,     6,     4,     8,     4,     2,     4,     3,     6,
       4,     3,     3,     3,     2,     2,     3,     4,     4,     3,
       3,     3,     3,     3,     3,     4,     4,     3,     2,     3,
       2,     2,     3,     4,     3,     2,     2,     3,     4,     4,
       4,     5,     1,     3,     2,     2,     0,     2,     0,     1,
       1,     1,     3,     3,     2,     0,     1,     3,     3,     1,
       5,     3,     1,     2,     1,     3,     2,     3,     1,     1,
       1,     1,     6,     6,    10,     1,     2,     1,     3,     4,
       1,     3,     4,     6,     4,     8,     2,     2,    11,     9,
       1,     1,     1,     0,     1,     1,     1,     1,     3,     2,
       0,     1,     1,     3,     3,     1,     1,     3,     3,     3,
       3,     4,     4,     3,     3,     2,     1,     0,     3,     0,
       1,     0,     1,     3,     2,     1,     1,     1,     1,     3,
       0,     1,     3,     1,    13,    16,    12,    15,    14,    17,
       1,     1,     2,     2,     2,     2,     1,     0,     1,     0,
       3,     0,     1,     3,     1,     3,     1,     1,     1,     1,
       1,     6,     2,     4,     2,     2,     1,     0,     2,     2,
       1,     0,     2,     0,     3,     1,     1,     2,     2,     1,
       4,     4,     5,     2,     5,     7,     5,     2,     3,     0,
       1,     2,     1,     2,     2,     2,     3,     3,     3,     0,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     5,    10,     3,    10,     4,    10,    12,     3,
       1,     5,     3,     2,     0,     2,     0,     3,     0,     1,
       3,     3,     0,     4,     0,     1,     4,     0,     2,     2,
       2,     0,     1,     3,     3,     6,     4,     0,     1,     1,
       2,     2,     0,     3,     3,     2,     1,     1,     3,     3,
       4,     0,     1,     0,     6,     1,     3,     3,     3,     5,
       2,     0,     2,     2,     0,     3,     4,     4,     0,     2,
       0,     4,     0,     3,     8,    11,     1,     3,     1,     1,
       3,     6,     8,     7,    10,     6,     2,     3,     0,     8,
      11,     5,     1,     0,     6,     5,     8,     4,     6,     1,
       0,     3,     0,     1,     2,     2,     2,     1,     2,     3,
       1,     2,     2,     2,     2,     3,     3,     3,     1,     3,
       1,     1,     0,     1,     2,     2,     1,     1,     3,     6,
      10,     1,     0,     1,     2,     2,     0,     2,     2,     1,
       0,     1,     0,     7,     2,     0,     3,     5,     5,     8,
       2,     0,     2,     2,     2,     1,     5,     2,     0,     2,
       6,     6,     6,    10,     6,     6,     6,     9,     9,     6,
       6,     9,     6,     7,     2,     2,     2,     2,     1,     2,
       1,     0,     7,     6,     4,     0,     1,     3,     4,     1,
       3,     1,     2,     2,     2,     2,     1,     1,    10,    13,
       2,     0,     2,     2,     1,     0,     5,     4,     4,    11,
      14,    12,    15,    11,     2,     1,     4,     0,     8,    11,
       1,     1,     7,     9,     8,    10,     8,     4,     0,     5,
       0,     2,     0,     2,     0,     2,     0,     2,     0,     1,
       1,     1,     1,     1,     8,     1,     1,    17,    21,     1,
       1,     2,     1,     3,     1,     1,     1,     3,     1,     2,
       0,     1,     2,     4,     1,     1,     1,     1,     1,     3,
       0,     1,     0,     1,     1,     4,     0,     1,     1,     1,
       3,     0,     1,     1,     1,     1,     2,     0,     0,     2,
       2,     1,     2,     2,     2,     2,    11,    13,     1,     3,
       5,     1,     3,     5,     1,     2,     2,     1,     8,     6,
       5,     4,     4,     3,     7,     8,     6,     6,     6,     6,
       6,     4,     7,     5,     8,     3,     1,     3,     3,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     3,     3,
       1,     0,     1,     3,     7,     9,     9,     8,     6,     3,
       0,    13,     1,     3,     4,     4,     3,     6,     2,     1,
       0,     2,     0,     2,     4,     0,     6,     8,     8,     1,
       3,     5,     5,     7,     9,     7,     9,     5,     6,     6,
       4,     6,     4,     6,     8,     4,     6,     4,     6,     5,
       7,     1,     1,     1,     2,     1,     2,     1,     1,     1,
       3,     3,     3,     3,     1,     1,     1,     1,     1,     2,
       2,     1,     3,     2,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     2,     2,     3,     1,     3,     5,     2,
       2,     0,     6,     6,     6,     6,     6,     6,     6,     6,
       8,     9,     8,     6,     6,     9,     9,     9,     7,    10,
       1,     1,     8,     8,     8,     8,     8,     8,     8,     9,
       8,     8,     2,     0,     1,     1,     2,     2,     1,     2,
       3,     3,     3,     3,     4,     4,     3,     3,     3,     4,
       4,     3,     4,     4,     1,     1,     1,     0,     8,     8,
      11,     1,     1,     2,     4,     5,     1,     3,     2,     2,
       2,     2,     2,     1,     3,     1,     3,     1,     2,     2,
       4,     3,     2,     2,     2,     2,     2,     2,     3,     2,
       2,     2,     2,     5,     5,     5,     5,     5,     1,     3,
       1,     2,     3,     0,     5,     7,     6,     9,     3,     1,
       2,     1,     1,     1,     3,     0,     5,     2,     0,     3,
       3,     3,     7,     7,    10,     1,     1,     1,     1,     1,
       1,    16,    19,     1,     0,     2,     0,     1,     3,     4,
       5,     2,     2,     4,     4,     0,     1,     3,     2,     0,
       1,     1,     0,     2,     2,     0,     9,    12,     7,     7,
       2,     0,     3,     2,     1,     3,     1,     3,     2,     1,
       1,     2,     3,     2,     1,     3,     3,     3,     2,     2,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     4,
       5,     1,     3,     3,     1,     3,     3,     5,     6,     1,
       3,     2,     1,     3,     1,     0,     1,     2,     4,     5,
       1,     1,     1,     1,     3,     3,     2,     2,     1,     2,
       2,     2,     2,     1,     2,     2,     2,     2,     1,     1,
       1,     3,     2,     1,     4,     0,     3,     0,     1,     1,
       3,     5,     2,     0,     2,     1,     3,     5,     5,     5,
       1,     2,     1,     0,     4,     6,     4,     6,     4,     6,
       4,     6,     4,     6,     3,     5,     5,     5,     1,     3,
       1,     3,     2,     2,     1,     2,     1,     2,    11,    10,
      10,     2,     2,     0,     9,     2,     0,    10,    11,    11,
       5,     5,     8,     5,     5,     5,     1,     1,     1,     1,
       3,     0,     5,     5,     6,     6,     6,     6,     6,     8,
       8,     6,     6,     7,     9,     9,     8,    10,     6,     6,
       6,     6,     6,     6,     6,     8,     6,     8,     6,     8,
       7,     9,     6,     8,     7,     9,     8,    10,     8,    10,
       9,    11,     8,    10,     9,    11,     8,     8,     7,     6,
       6,     6,     6,     8,     8,     8,     8,     6,     9,     1,
       0,     2,     0,     8,     8,     8,    10,     9,     8,     1,
       0,     6,     6,     6,     6,     6,     6,     6,     9,     9,
       6,     6,     6,     8,     6,     8,     8,     8,     8,     6,
       8,     6,     8,     7,     9,     7,     9,     6,     7,     1,
       3,     3,     3,     1,     1,     1,     1,     1,     1,     7,
       6,     6,     6,     6,     6,     6,     7,     7,     6,     9,
       9,     6,     6,     6,     6,     6,     6,     8,     8,     8,
       6,     7,     6,     6,     4,     7,     6,     4,     4,     4,
       3,     4,     3,     1,     1,     3,     5,     5,     5,     5,
       8,     5,     5,     6,     7,     7,     7,     4,     4,     5,
       4,     6,    13,     1,     1,     3,     3,     1,     1,     1,
       1,     1,     1,     1,     0,     1,     1,     1,     1,     1,
       1,     0,     3,     2,     0,     2,     2,     2,     3,     3,
       3,     3,     2,     3,     2,     5,     4,     3,     3,     3,
       3,     3,     1,     1,     0,     3,     2,     2,     1,     2,
       1,     3,     2,     1,     0,     2,     3,     0,     9,    11,
      12,    14,     3,     4,     4,     0,     2,     5,     1,     0,
       1,     2,     3,     3,     3,     1,     2,     1,     1,     1,
       1,     1,     1,     0,     5,     4,     6,     6,     4,     3,
       5,     7,     9,     1,     3,     1,     5,     4,     4,     6,
       4,     6,     6,     5,     7,     9,     6,     1,     0,     6,
      11,    11,    11,    13,     9,    11,     1,     1,    10,     6,
       4,     4,     2,     5,     2,     0,     6,     5,     3,     5,
       1,     3,     1,     1,     2,     1,     1,     1,     1,     1,
       0,     1,     0,     1,     0,     1,     0,     1,     0,     3,
       0,     2,     1,     3,     1,     0,     2,     4,     3,     5,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       5,     3,     0,     1,     1,     1,     1,     1,     3,     9,
      12,     3,     0,     2,     3,     2,     3,     7,     1,     3,
       1,     4,     4,     7,     2,     1,     1,     1,     3,     2,
       8,     5,     0,     4,     3,     0,     2,     0,     7,     2,
       0,     5,     3,     0,     2,     2,     2,     3,     1,     3,
       1,     2,     1,     0,     1,     2,     0,     8,     1,     3,
       3,     5,     2,     1,     3,    10,     1,     2,     4,     4,
       4,     5,     5,     2,     5,     3,     5,     2,     0,     3,
       1,     2,     5,     5,     8,     3,     4,     7,     1,     0,
       3,     2,     2,     2,     2,     0,     2,     2,     1,     1,
       3,     3,     1,     2,     4,     4,     2,     3,     5,     5,
       1,     1,     9,     9,     1,     2,     4,     4,     4,     2,
       2,     3,     1,     3,     9,     1,     2,     0,     7,     7,
       0,    10,     6,     0,     1,     0,     2,     0,     3,     3,
       4,     4,     4,     4,     3,     2,     1,     1,     0,     1,
       1,     0,     1,     5,     1,     0,     1,     1,     1,     0,
       3,     1,     3,     4,     3,     2,     2,     1,     1,     1,
       0,     2,     4,     5,     6,     4,     5,     2,     3,     1,
       1,     1,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     4,     0,     1,     3,     1,     1,     1,     1,     1,
       2,     4,     4,     5,     2,     0,     1,     3,     1,     0,
       1,     2,     3,     2,     4,     2,     3,     2,     0,     4,
       5,     2,     0,     1,     3,     2,     3,     2,     3,     2,
       3,     2,     3,     1,     4,     2,     3,     3,     4,     5,
       4,     5,     4,     5,     2,     4,     1,     1,     0,     2,
       0,     1,     4,     5,     4,     0,     2,     2,     2,     1,
       1,     0,     5,     2,     1,     1,     2,     2,     4,     1,
       3,     1,     2,     3,     6,     4,     0,     2,     6,     2,
       1,     3,     4,     0,     2,     0,     2,     0,     2,     4,
       0,     1,     0,     1,     3,     3,     7,    12,     1,     3,
       2,     3,     3,     1,     2,     2,     2,     2,     1,     2,
       1,     3,     3,     2,    13,     2,     0,     1,     3,     3,
       6,     7,     5,     7,     9,     1,     0,     2,     0,     2,
       3,     5,     6,     2,     3,     3,     4,     0,     1,     1,
       1,     1,     1,     2,     4,     1,     1,     1,     1,     1,
       1,     2,     3,     3,     0,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     2,     1,     3,     0,     1,     1,
       1,     1,     5,     2,     1,     1,     1,     1,     4,     1,
       2,     2,     1,     3,     3,     2,     1,     0,     5,     2,
       5,     2,     1,     3,     3,     0,     1,     1,     1,     1,
       1,     1,     3,     3,     3,     3,     3,     3,     3,     0,
       1,     4,     1,     1,     3,     3,     5,     3,     2,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     2,     3,     3,     2,     2,     3,     5,
       4,     6,     3,     5,     4,     6,     4,     6,     5,     7,
       3,     2,     4,     2,     3,     3,     4,     3,     4,     3,
       4,     5,     6,     6,     7,     6,     7,     3,     4,     4,
       6,     3,     3,     4,     3,     4,     4,     5,     4,     5,
       1,     1,     3,     2,     2,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     5,
       6,     3,     4,     1,     1,     2,     4,     1,     1,     1,
       2,     2,     2,     2,     1,     1,     4,     3,     5,     6,
       8,     6,     6,     4,     4,     3,     1,     1,     1,     1,
       5,     1,     1,     4,     1,     4,     1,     4,     1,     4,
       1,     1,     1,     1,     1,     1,     1,     6,     4,     4,
       6,     4,     4,     4,     4,     4,     6,     5,     5,     5,
       4,     6,     4,     4,     4,     4,     5,     7,     7,     9,
       5,     4,     6,     5,     7,     7,     8,     4,     7,     4,
       6,     6,     4,     5,     4,     5,     3,    11,     8,     9,
       2,     3,     3,     3,     4,     0,     4,     1,     3,     3,
       1,     1,     1,     1,     2,     0,     2,     2,     0,     2,
       3,     3,     4,     2,     2,     5,     0,     5,     0,     2,
       0,     1,     3,     3,     2,     2,     0,     6,     1,     0,
       3,     0,     3,     3,     3,     0,     1,     4,     2,     2,
       2,     2,     2,     3,     2,     2,     3,     0,     4,     3,
       5,     4,     3,     5,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     4,     1,     4,     1,     4,     1,     2,     1,
       2,     1,     3,     1,     3,     1,     3,     3,     1,     0,
       1,     3,     3,     3,     2,     1,     3,     3,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       7,     5,     3,     5,     5,     3,     3,     5,     3,     2,
       1,     1,     3,     5,     1,     2,     4,     2,     0,     1,
       0,     1,     2,     2,     2,     3,     5,     1,     0,     1,
       2,     0,     2,     1,     0,     2,     0,     1,     3,     3,
       2,     3,     2,     3,     4,     4,     3,     3,     0,     2,
       1,     1,     1,     1,     1,     1,     2,     2,     1,     3,
       3,     6,     0,     3,     0,     2,     4,     2,     1,     0,
       5,     2,     5,     2,     0,     3,     0,     1,     2,     2,
       2,     2,     3,     2,     3,     2,     0,     1,     3,     3,
       3,     3,     3,     0,     3,     3,     0,     1,     3,     7,
       7,     3,     0,     1,     0,     1,     3,     3,     2,     1,
       1,     1,     3,     1,     2,     1,     3,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     1,     2,     6,     2,
       3,     5,     1,     1,     1,     1,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     3,    10,     4,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 922 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
				(void) yynerrs;		/* suppress compiler warning */
			}
#line 30317 "gram.c" /* yacc.c:1646  */
    break;

  case 3:
#line 927 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = list_make1((yyvsp[0].typnam));
			}
#line 30325 "gram.c" /* yacc.c:1646  */
    break;

  case 4:
#line 931 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((yyvsp[0].node), 0));
			}
#line 30334 "gram.c" /* yacc.c:1646  */
    break;

  case 5:
#line 936 "gram.y" /* yacc.c:1646  */
    {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 1;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 30346 "gram.c" /* yacc.c:1646  */
    break;

  case 6:
#line 944 "gram.y" /* yacc.c:1646  */
    {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 2;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 30358 "gram.c" /* yacc.c:1646  */
    break;

  case 7:
#line 952 "gram.y" /* yacc.c:1646  */
    {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 3;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 30370 "gram.c" /* yacc.c:1646  */
    break;

  case 8:
#line 972 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-2].list) != NIL)
					{
						/* update length of previous stmt */
						updateRawStmtEnd(llast_node(RawStmt, (yyvsp[-2].list)), (yylsp[-1]));
					}
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), makeRawStmt((yyvsp[0].node), (yylsp[-1]) + 1));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 30386 "gram.c" /* yacc.c:1646  */
    break;

  case 9:
#line 984 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1(makeRawStmt((yyvsp[0].node), 0));
					else
						(yyval.list) = NIL;
				}
#line 30397 "gram.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1127 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 30403 "gram.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1134 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30409 "gram.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1135 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30415 "gram.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1139 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30421 "gram.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1140 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30427 "gram.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1144 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 30433 "gram.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1145 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 30439 "gram.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1149 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 30445 "gram.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1150 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 30451 "gram.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1151 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 30457 "gram.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1161 "gram.y" /* yacc.c:1646  */
    {
					CallStmt   *n = makeNode(CallStmt);

					n->funccall = castNode(FuncCall, (yyvsp[0].node));
					(yyval.node) = (Node *) n;
				}
#line 30468 "gram.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1177 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30481 "gram.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1199 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30487 "gram.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1200 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30493 "gram.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1204 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30499 "gram.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1205 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30505 "gram.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1210 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 30514 "gram.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1215 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password", NULL, (yylsp[-1]));
				}
#line 30522 "gram.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1219 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * These days, passwords are always stored in encrypted
					 * form, so there is no difference between PASSWORD and
					 * ENCRYPTED PASSWORD.
					 */
					(yyval.defelt) = makeDefElem("password",
									 (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 30536 "gram.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1229 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNENCRYPTED PASSWORD is no longer supported"),
							 errhint("Remove UNENCRYPTED to store the password in encrypted form instead."),
							 parser_errposition((yylsp[-2]))));
				}
#line 30548 "gram.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1237 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 30556 "gram.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1241 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 30564 "gram.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1245 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 30572 "gram.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1250 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 30580 "gram.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1254 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "bypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nobypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *) makeBoolean(false), (yylsp[0]));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 30629 "gram.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1301 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 30635 "gram.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1304 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-1]));
				}
#line 30643 "gram.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1308 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 30651 "gram.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1312 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 30659 "gram.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1316 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 30667 "gram.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1320 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 30675 "gram.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1334 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30688 "gram.c" /* yacc.c:1646  */
    break;

  case 171:
#line 1353 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 30701 "gram.c" /* yacc.c:1646  */
    break;

  case 172:
#line 1362 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 30714 "gram.c" /* yacc.c:1646  */
    break;

  case 173:
#line 1373 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30720 "gram.c" /* yacc.c:1646  */
    break;

  case 174:
#line 1374 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30726 "gram.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1379 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 30739 "gram.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1388 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 30752 "gram.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1397 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 30765 "gram.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1406 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 30778 "gram.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1428 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30790 "gram.c" /* yacc.c:1646  */
    break;

  case 180:
#line 1436 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30802 "gram.c" /* yacc.c:1646  */
    break;

  case 181:
#line 1444 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30814 "gram.c" /* yacc.c:1646  */
    break;

  case 182:
#line 1452 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->roles = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30826 "gram.c" /* yacc.c:1646  */
    break;

  case 183:
#line 1460 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30838 "gram.c" /* yacc.c:1646  */
    break;

  case 184:
#line 1468 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30850 "gram.c" /* yacc.c:1646  */
    break;

  case 185:
#line 1486 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30863 "gram.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1505 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-3].rolespec);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 30877 "gram.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1516 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = +1; }
#line 30883 "gram.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1517 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = -1; }
#line 30889 "gram.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1529 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* One can omit the schema name or the authorization id. */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 30904 "gram.c" /* yacc.c:1646  */
    break;

  case 190:
#line 1540 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 30919 "gram.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1551 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* schema name can be omitted here, too */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 30939 "gram.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1567 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* ...but not here */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 30959 "gram.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1586 "gram.y" /* yacc.c:1646  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 30969 "gram.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1592 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30975 "gram.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1620 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 30986 "gram.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1627 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 30997 "gram.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1634 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 31008 "gram.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1644 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					n->jumble_args = true;
					n->location = -1;
					(yyval.vsetstmt) = n;
				}
#line 31023 "gram.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1655 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					n->jumble_args = true;
					n->location = -1;
					(yyval.vsetstmt) = n;
				}
#line 31038 "gram.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1670 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					n->location = (yylsp[0]);
					(yyval.vsetstmt) = n;
				}
#line 31052 "gram.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1680 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					n->location = (yylsp[0]);
					(yyval.vsetstmt) = n;
				}
#line 31066 "gram.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1690 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					n->location = -1;
					(yyval.vsetstmt) = n;
				}
#line 31079 "gram.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1699 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					n->location = -1;
					(yyval.vsetstmt) = n;
				}
#line 31092 "gram.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1710 "gram.y" /* yacc.c:1646  */
    {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 31098 "gram.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1712 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					n->location = -1;
					(yyval.vsetstmt) = n;
				}
#line 31111 "gram.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1722 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					n->location = -1;
					n->jumble_args = true;
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 31129 "gram.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1736 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 31141 "gram.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1744 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					n->location = (yylsp[0]);
					(yyval.vsetstmt) = n;
				}
#line 31155 "gram.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1754 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					n->location = (yylsp[0]);
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 31172 "gram.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1767 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					n->location = (yylsp[0]);
					(yyval.vsetstmt) = n;
				}
#line 31186 "gram.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1777 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					n->location = (yylsp[0]);
					(yyval.vsetstmt) = n;
				}
#line 31200 "gram.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1787 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					n->location = -1;
					(yyval.vsetstmt) = n;
				}
#line 31213 "gram.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1796 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					n->jumble_args = true;
					n->location = -1;
					(yyval.vsetstmt) = n;
				}
#line 31228 "gram.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1808 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					n->location = (yylsp[0]);
					(yyval.vsetstmt) = n;
				}
#line 31242 "gram.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1819 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31248 "gram.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1821 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 31254 "gram.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1824 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31260 "gram.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1825 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 31266 "gram.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1829 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 31272 "gram.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1831 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].node), (yylsp[0])); }
#line 31278 "gram.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1834 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read uncommitted"; }
#line 31284 "gram.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1835 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read committed"; }
#line 31290 "gram.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1836 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "repeatable read"; }
#line 31296 "gram.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1837 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "serializable"; }
#line 31302 "gram.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1841 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "true"; }
#line 31308 "gram.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1842 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "false"; }
#line 31314 "gram.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1843 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "on"; }
#line 31320 "gram.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1849 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31326 "gram.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1862 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 31334 "gram.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1866 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 31342 "gram.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1870 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-2].typnam);

					if ((yyvsp[0].list) != NIL)
					{
						A_Const	   *n = (A_Const *) linitial((yyvsp[0].list));

						if ((n->val.ival.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 31363 "gram.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1887 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-4].typnam);

					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 31375 "gram.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1894 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].node), (yylsp[0])); }
#line 31381 "gram.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1895 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31387 "gram.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1896 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31393 "gram.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1900 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31399 "gram.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1901 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31405 "gram.c" /* yacc.c:1646  */
    break;

  case 245:
#line 1902 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31411 "gram.c" /* yacc.c:1646  */
    break;

  case 246:
#line 1906 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31417 "gram.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1907 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31423 "gram.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1911 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 31429 "gram.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1915 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 31435 "gram.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1917 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "timezone";
					n->location = -1;
					(yyval.vsetstmt) = n;
				}
#line 31448 "gram.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1926 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					n->location = -1;
					(yyval.vsetstmt) = n;
				}
#line 31461 "gram.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1935 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "session_authorization";
					n->location = -1;
					(yyval.vsetstmt) = n;
				}
#line 31474 "gram.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1947 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					n->location = -1;
					(yyval.vsetstmt) = n;
				}
#line 31487 "gram.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1956 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET_ALL;
					n->location = -1;
					(yyval.vsetstmt) = n;
				}
#line 31499 "gram.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1967 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 31505 "gram.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1968 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 31511 "gram.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1973 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 31517 "gram.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1974 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 31523 "gram.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1980 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31534 "gram.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1987 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 31545 "gram.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1994 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 31556 "gram.c" /* yacc.c:1646  */
    break;

  case 262:
#line 2001 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 31567 "gram.c" /* yacc.c:1646  */
    break;

  case 263:
#line 2008 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 31578 "gram.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2019 "gram.y" /* yacc.c:1646  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);

					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31590 "gram.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2029 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31596 "gram.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2030 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31602 "gram.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2034 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 31608 "gram.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2035 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 31614 "gram.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2044 "gram.y" /* yacc.c:1646  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);

					(yyval.node) = (Node *) n;
				}
#line 31624 "gram.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2060 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 31635 "gram.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2067 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 31646 "gram.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2074 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 31657 "gram.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2081 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 31668 "gram.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2088 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 31679 "gram.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2108 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31693 "gram.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2118 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31707 "gram.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2128 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31721 "gram.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2138 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31735 "gram.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2148 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31751 "gram.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2160 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31767 "gram.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2172 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31781 "gram.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2182 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31795 "gram.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2192 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31809 "gram.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2202 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31825 "gram.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2214 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31841 "gram.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2226 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31855 "gram.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2236 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31869 "gram.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2246 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31883 "gram.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2256 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31897 "gram.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2266 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31911 "gram.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2276 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31925 "gram.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2286 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31941 "gram.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2298 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31957 "gram.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2310 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31971 "gram.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2320 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31985 "gram.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2332 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31991 "gram.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2333 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 31997 "gram.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2339 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = (yyvsp[0].partboundspec);
					cmd->concurrent = false;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 32014 "gram.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2353 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = NULL;
					cmd->concurrent = (yyvsp[0].boolean);
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 32031 "gram.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2366 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartitionFinalize;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = NULL;
					cmd->concurrent = false;
					n->def = (Node *) cmd;
					(yyval.node) = (Node *) n;
				}
#line 32047 "gram.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2382 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					cmd->concurrent = false;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 32064 "gram.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2399 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 32077 "gram.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2409 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 32090 "gram.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2419 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 32103 "gram.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2429 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 32116 "gram.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2439 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 32129 "gram.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2449 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				}
#line 32141 "gram.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2458 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				}
#line 32153 "gram.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2467 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetExpression;
					n->name = (yyvsp[-6].str);
					n->def = (yyvsp[-1].node);
					(yyval.node) = (Node *) n;
				}
#line 32166 "gram.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2477 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropExpression;
					n->name = (yyvsp[-2].str);
					(yyval.node) = (Node *) n;
				}
#line 32178 "gram.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2486 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropExpression;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 32191 "gram.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2496 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 32204 "gram.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2506 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					if ((yyvsp[-3].ival) <= 0 || (yyvsp[-3].ival) > PG_INT16_MAX)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("column number must be in range from 1 to %d", PG_INT16_MAX),
								 parser_errposition((yylsp[-3]))));

					n->subtype = AT_SetStatistics;
					n->num = (int16) (yyvsp[-3].ival);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 32223 "gram.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2522 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32236 "gram.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2532 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32249 "gram.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2542 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 32262 "gram.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2552 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetCompression;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 32275 "gram.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2562 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					c->contype = CONSTR_IDENTITY;
					c->generated_when = (yyvsp[-3].ival);
					c->options = (yyvsp[0].list);
					c->location = (yylsp[-4]);

					n->subtype = AT_AddIdentity;
					n->name = (yyvsp[-6].str);
					n->def = (Node *) c;

					(yyval.node) = (Node *) n;
				}
#line 32295 "gram.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2579 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetIdentity;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32308 "gram.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2589 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-2].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 32321 "gram.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2599 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 32334 "gram.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2609 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 32348 "gram.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2620 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 32362 "gram.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2634 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);

					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 32381 "gram.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2650 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32394 "gram.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2660 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 32406 "gram.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2669 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 32425 "gram.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2685 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32437 "gram.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2694 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 32451 "gram.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2705 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 32465 "gram.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2716 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropOids;
					(yyval.node) = (Node *) n;
				}
#line 32476 "gram.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2724 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32488 "gram.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2733 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32500 "gram.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2742 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetLogged;
					(yyval.node) = (Node *) n;
				}
#line 32511 "gram.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2750 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetUnLogged;
					(yyval.node) = (Node *) n;
				}
#line 32522 "gram.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2758 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32534 "gram.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2767 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32546 "gram.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2776 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32558 "gram.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2785 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *) n;
				}
#line 32569 "gram.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2793 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *) n;
				}
#line 32580 "gram.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2801 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32592 "gram.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2810 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *) n;
				}
#line 32603 "gram.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2818 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *) n;
				}
#line 32614 "gram.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2826 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32626 "gram.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2835 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32638 "gram.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2844 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32650 "gram.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2853 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32662 "gram.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2862 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *) n;
				}
#line 32674 "gram.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2871 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *) n;
				}
#line 32686 "gram.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2880 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName   *def = makeTypeNameFromNameList((yyvsp[0].list));

					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *) n;
				}
#line 32700 "gram.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2891 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropOf;
					(yyval.node) = (Node *) n;
				}
#line 32711 "gram.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2899 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ChangeOwner;
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 32723 "gram.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2908 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetAccessMethod;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32735 "gram.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2917 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32747 "gram.c" /* yacc.c:1646  */
    break;

  case 355:
#line 2926 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetRelOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32759 "gram.c" /* yacc.c:1646  */
    break;

  case 356:
#line 2935 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ResetRelOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32771 "gram.c" /* yacc.c:1646  */
    break;

  case 357:
#line 2944 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 32783 "gram.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2953 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 32794 "gram.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2961 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 32805 "gram.c" /* yacc.c:1646  */
    break;

  case 360:
#line 2969 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ForceRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 32816 "gram.c" /* yacc.c:1646  */
    break;

  case 361:
#line 2977 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_NoForceRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 32827 "gram.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2984 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_GenericOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32839 "gram.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2994 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32845 "gram.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2995 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32851 "gram.c" /* yacc.c:1646  */
    break;

  case 365:
#line 3000 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);

					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 32864 "gram.c" /* yacc.c:1646  */
    break;

  case 366:
#line 3008 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32870 "gram.c" /* yacc.c:1646  */
    break;

  case 367:
#line 3012 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32876 "gram.c" /* yacc.c:1646  */
    break;

  case 368:
#line 3013 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32882 "gram.c" /* yacc.c:1646  */
    break;

  case 369:
#line 3018 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32894 "gram.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3026 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32906 "gram.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3034 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32918 "gram.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3042 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32930 "gram.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3052 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32936 "gram.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3055 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32942 "gram.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3056 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32948 "gram.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3060 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32954 "gram.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3061 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 32960 "gram.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3067 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 32968 "gram.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3071 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 32976 "gram.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3075 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC, (yylsp[-4]));
				}
#line 32985 "gram.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3080 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC, (yylsp[-2]));
				}
#line 32993 "gram.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3087 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32999 "gram.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3089 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 33005 "gram.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3094 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 33013 "gram.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3098 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 33021 "gram.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3102 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].defelt)->defname, "as") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "restart") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "owned_by") == 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("sequence option \"%s\" not supported here", (yyvsp[0].defelt)->defname),
								 parser_errposition((yylsp[0]))));
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 33036 "gram.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3113 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("generated", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 33044 "gram.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3119 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeInteger((yyvsp[0].ival)); }
#line 33050 "gram.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3120 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 33056 "gram.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3124 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33062 "gram.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3125 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33068 "gram.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3131 "gram.y" /* yacc.c:1646  */
    {
					ListCell   *lc;
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_HASH;
					n->modulus = n->remainder = -1;

					foreach (lc, (yyvsp[-1].list))
					{
						DefElem    *opt = lfirst_node(DefElem, lc);

						if (strcmp(opt->defname, "modulus") == 0)
						{
							if (n->modulus != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("modulus for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->modulus = defGetInt32(opt);
						}
						else if (strcmp(opt->defname, "remainder") == 0)
						{
							if (n->remainder != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("remainder for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->remainder = defGetInt32(opt);
						}
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized hash partition bound specification \"%s\"",
											opt->defname),
									 parser_errposition(opt->location)));
					}

					if (n->modulus == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("modulus for hash partition must be specified")));
					if (n->remainder == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("remainder for hash partition must be specified")));

					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 33123 "gram.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3184 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_LIST;
					n->is_default = false;
					n->listdatums = (yyvsp[-1].list);
					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 33138 "gram.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3197 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_RANGE;
					n->is_default = false;
					n->lowerdatums = (yyvsp[-5].list);
					n->upperdatums = (yyvsp[-1].list);
					n->location = (yylsp[-7]);

					(yyval.partboundspec) = n;
				}
#line 33154 "gram.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3211 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->is_default = true;
					n->location = (yylsp[0]);

					(yyval.partboundspec) = n;
				}
#line 33167 "gram.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3223 "gram.y" /* yacc.c:1646  */
    {
				(yyval.defelt) = makeDefElem((yyvsp[-1].str), (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-1]));
			}
#line 33175 "gram.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3230 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make1((yyvsp[0].defelt));
			}
#line 33183 "gram.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3234 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
			}
#line 33191 "gram.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3248 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TYPE;
					(yyval.node) = (Node *) n;
				}
#line 33205 "gram.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3260 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 33211 "gram.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3261 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 33217 "gram.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3267 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 33230 "gram.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3277 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 33244 "gram.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3288 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 33258 "gram.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3299 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);

					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 33278 "gram.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3326 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);

					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33289 "gram.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3333 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);

					n->portalname = NULL;
					(yyval.node) = (Node *) n;
				}
#line 33300 "gram.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3369 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);

					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-6].boolean);
					n->is_program = (yyvsp[-5].boolean);
					n->filename = (yyvsp[-4].str);
					n->whereClause = (yyvsp[0].node);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					if (!n->is_from && n->whereClause != NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("WHERE clause not allowed with COPY TO"),
								 parser_errposition((yylsp[0]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-3].defelt))
						n->options = lappend(n->options, (yyvsp[-3].defelt));
					if ((yyvsp[-1].list))
						n->options = list_concat(n->options, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 33338 "gram.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3403 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);

					n->relation = NULL;
					n->query = (yyvsp[-6].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-4]))));

					(yyval.node) = (Node *) n;
				}
#line 33362 "gram.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3425 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33368 "gram.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3426 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 33374 "gram.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3430 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33380 "gram.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3431 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 33386 "gram.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3440 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33392 "gram.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3441 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33398 "gram.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3442 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33404 "gram.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3445 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33410 "gram.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3446 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33416 "gram.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3451 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 33422 "gram.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3452 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33428 "gram.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3457 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("binary"), (yylsp[0]));
				}
#line 33436 "gram.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3461 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 33444 "gram.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3465 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 33452 "gram.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3469 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 33460 "gram.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3473 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("csv"), (yylsp[0]));
				}
#line 33468 "gram.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3477 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 33476 "gram.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3481 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 33484 "gram.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3485 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 33492 "gram.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3489 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 33500 "gram.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3493 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *) makeNode(A_Star), (yylsp[-2]));
				}
#line 33508 "gram.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3497 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *) (yyvsp[0].list), (yylsp[-3]));
				}
#line 33516 "gram.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3501 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *) makeNode(A_Star), (yylsp[-3]));
				}
#line 33524 "gram.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3505 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 33532 "gram.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3509 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *) makeNode(A_Star), (yylsp[-2]));
				}
#line 33540 "gram.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3513 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 33548 "gram.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3522 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("binary"), (yylsp[0]));
				}
#line 33556 "gram.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3525 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 33562 "gram.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3530 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 33570 "gram.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3533 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 33576 "gram.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3544 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 33584 "gram.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3548 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 33592 "gram.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3555 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 33600 "gram.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3561 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 33606 "gram.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3562 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 33612 "gram.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3563 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 33618 "gram.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3564 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString("default"); }
#line 33624 "gram.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3565 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 33630 "gram.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3566 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 33636 "gram.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3571 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 33644 "gram.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3575 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 33652 "gram.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3582 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 33658 "gram.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3596 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-9].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 33680 "gram.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3616 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-9].range)->relpersistence = (yyvsp[-14].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 33702 "gram.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3636 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-8].range)->relpersistence = (yyvsp[-10].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 33725 "gram.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3657 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-8].range)->relpersistence = (yyvsp[-13].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 33748 "gram.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3678 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-10].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 33771 "gram.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3699 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-10].range)->relpersistence = (yyvsp[-15].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 33794 "gram.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3730 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 33800 "gram.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3731 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 33806 "gram.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3732 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 33812 "gram.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3733 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 33818 "gram.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3735 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 33829 "gram.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3742 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 33840 "gram.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3748 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 33846 "gram.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3749 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 33852 "gram.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3753 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33858 "gram.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3754 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33864 "gram.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3758 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33870 "gram.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3759 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33876 "gram.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3764 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 33884 "gram.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3768 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 33892 "gram.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3775 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 33900 "gram.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3779 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 33908 "gram.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3785 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33914 "gram.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3786 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33920 "gram.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3787 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33926 "gram.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3791 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33932 "gram.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3792 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33938 "gram.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3796 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-5].str);
					n->typeName = (yyvsp[-4].typnam);
					n->storage_name = (yyvsp[-3].str);
					n->compression = (yyvsp[-2].str);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 33964 "gram.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3820 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-1].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 33987 "gram.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3839 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 34010 "gram.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3860 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34016 "gram.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3861 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("default"); }
#line 34022 "gram.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3865 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34028 "gram.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3866 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34034 "gram.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3870 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34040 "gram.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3871 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("default"); }
#line 34046 "gram.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3875 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34052 "gram.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3876 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34058 "gram.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3880 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 34064 "gram.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3881 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34070 "gram.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3886 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));

					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 34082 "gram.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3893 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34088 "gram.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3894 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34094 "gram.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3896 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);

					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 34112 "gram.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3928 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 34124 "gram.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3936 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 34136 "gram.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3944 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-3]);
					n->nulls_not_distinct = !(yyvsp[-2].boolean);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34153 "gram.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3957 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34169 "gram.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3969 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 34186 "gram.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3982 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *) n;
				}
#line 34200 "gram.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3992 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_IDENTITY;
					n->generated_when = (yyvsp[-3].ival);
					n->options = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 34214 "gram.c" /* yacc.c:1646  */
    break;

  case 505:
#line 4002 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_GENERATED;
					n->generated_when = (yyvsp[-5].ival);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->location = (yylsp[-6]);

					/*
					 * Can't do this in the grammar because of shift/reduce
					 * conflicts.  (IDENTITY allows both ALWAYS and BY
					 * DEFAULT, but generated columns only allow ALWAYS.)  We
					 * can also give a more useful error message and location.
					 */
					if ((yyvsp[-5].ival) != ATTRIBUTE_IDENTITY_ALWAYS)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("for a generated column, GENERATED ALWAYS must be specified"),
								 parser_errposition((yylsp[-5]))));

					(yyval.node) = (Node *) n;
				}
#line 34242 "gram.c" /* yacc.c:1646  */
    break;

  case 506:
#line 4026 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable = (yyvsp[-3].range);
					n->fk_attrs = NIL;
					n->pk_attrs = (yyvsp[-2].list);
					n->fk_matchtype = (yyvsp[-1].ival);
					n->fk_upd_action = ((yyvsp[0].keyactions))->updateAction->action;
					n->fk_del_action = ((yyvsp[0].keyactions))->deleteAction->action;
					n->fk_del_set_cols = ((yyvsp[0].keyactions))->deleteAction->cols;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 34263 "gram.c" /* yacc.c:1646  */
    break;

  case 507:
#line 4045 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 34269 "gram.c" /* yacc.c:1646  */
    break;

  case 508:
#line 4046 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 34275 "gram.c" /* yacc.c:1646  */
    break;

  case 509:
#line 4047 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 34281 "gram.c" /* yacc.c:1646  */
    break;

  case 510:
#line 4051 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_ALWAYS; }
#line 34287 "gram.c" /* yacc.c:1646  */
    break;

  case 511:
#line 4052 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_BY_DEFAULT; }
#line 34293 "gram.c" /* yacc.c:1646  */
    break;

  case 512:
#line 4072 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 34305 "gram.c" /* yacc.c:1646  */
    break;

  case 513:
#line 4080 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 34317 "gram.c" /* yacc.c:1646  */
    break;

  case 514:
#line 4088 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 34329 "gram.c" /* yacc.c:1646  */
    break;

  case 515:
#line 4096 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 34341 "gram.c" /* yacc.c:1646  */
    break;

  case 516:
#line 4108 "gram.y" /* yacc.c:1646  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);

					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					n->relationOid = InvalidOid;
					(yyval.node) = (Node *) n;
				}
#line 34354 "gram.c" /* yacc.c:1646  */
    break;

  case 517:
#line 4119 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 34360 "gram.c" /* yacc.c:1646  */
    break;

  case 518:
#line 4120 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 34366 "gram.c" /* yacc.c:1646  */
    break;

  case 519:
#line 4121 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 34372 "gram.c" /* yacc.c:1646  */
    break;

  case 520:
#line 4125 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 34378 "gram.c" /* yacc.c:1646  */
    break;

  case 521:
#line 4126 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMPRESSION; }
#line 34384 "gram.c" /* yacc.c:1646  */
    break;

  case 522:
#line 4127 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 34390 "gram.c" /* yacc.c:1646  */
    break;

  case 523:
#line 4128 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 34396 "gram.c" /* yacc.c:1646  */
    break;

  case 524:
#line 4129 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_IDENTITY; }
#line 34402 "gram.c" /* yacc.c:1646  */
    break;

  case 525:
#line 4130 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_GENERATED; }
#line 34408 "gram.c" /* yacc.c:1646  */
    break;

  case 526:
#line 4131 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 34414 "gram.c" /* yacc.c:1646  */
    break;

  case 527:
#line 4132 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STATISTICS; }
#line 34420 "gram.c" /* yacc.c:1646  */
    break;

  case 528:
#line 4133 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 34426 "gram.c" /* yacc.c:1646  */
    break;

  case 529:
#line 4134 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 34432 "gram.c" /* yacc.c:1646  */
    break;

  case 530:
#line 4144 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));

					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 34444 "gram.c" /* yacc.c:1646  */
    break;

  case 531:
#line 4151 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34450 "gram.c" /* yacc.c:1646  */
    break;

  case 532:
#line 4156 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *) n;
				}
#line 34468 "gram.c" /* yacc.c:1646  */
    break;

  case 533:
#line 4171 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-9]);
					n->nulls_not_distinct = !(yyvsp[-8].boolean);
					n->keys = (yyvsp[-6].list);
					n->without_overlaps = (yyvsp[-5].boolean);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 34490 "gram.c" /* yacc.c:1646  */
    break;

  case 534:
#line 4189 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 34510 "gram.c" /* yacc.c:1646  */
    break;

  case 535:
#line 4206 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-9]);
					n->keys = (yyvsp[-6].list);
					n->without_overlaps = (yyvsp[-5].boolean);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 34531 "gram.c" /* yacc.c:1646  */
    break;

  case 536:
#line 4223 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 34551 "gram.c" /* yacc.c:1646  */
    break;

  case 537:
#line 4241 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-9]);
					n->access_method = (yyvsp[-8].str);
					n->exclusions = (yyvsp[-6].list);
					n->including = (yyvsp[-4].list);
					n->options = (yyvsp[-3].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-2].str);
					n->where_clause = (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 34573 "gram.c" /* yacc.c:1646  */
    break;

  case 538:
#line 4260 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-11]);
					n->pktable = (yyvsp[-4].range);
					n->fk_attrs = (yyvsp[-8].list);
					if ((yyvsp[-7].node))
					{
						n->fk_attrs = lappend(n->fk_attrs, (yyvsp[-7].node));
						n->fk_with_period = true;
					}
					n->pk_attrs = linitial((yyvsp[-3].list));
					if (lsecond((yyvsp[-3].list)))
					{
						n->pk_attrs = lappend(n->pk_attrs, lsecond((yyvsp[-3].list)));
						n->pk_with_period = true;
					}
					n->fk_matchtype = (yyvsp[-2].ival);
					n->fk_upd_action = ((yyvsp[-1].keyactions))->updateAction->action;
					n->fk_del_action = ((yyvsp[-1].keyactions))->deleteAction->action;
					n->fk_del_set_cols = ((yyvsp[-1].keyactions))->deleteAction->cols;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *) n;
				}
#line 34607 "gram.c" /* yacc.c:1646  */
    break;

  case 539:
#line 4304 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));

					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 34619 "gram.c" /* yacc.c:1646  */
    break;

  case 540:
#line 4311 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34625 "gram.c" /* yacc.c:1646  */
    break;

  case 541:
#line 4316 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *) n;
				}
#line 34643 "gram.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4330 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-2]);
					n->keys = list_make1(makeString("value"));
					/* no NOT VALID support yet */
					processCASbits((yyvsp[0].ival), (yylsp[0]), "NOT NULL",
								   NULL, NULL, NULL,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 34661 "gram.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4345 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = true; }
#line 34667 "gram.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4346 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = false; }
#line 34673 "gram.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4350 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 34679 "gram.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4351 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 34685 "gram.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4355 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34691 "gram.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4356 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34697 "gram.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4360 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 34703 "gram.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4361 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 34709 "gram.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4365 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34715 "gram.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4366 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 34721 "gram.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4370 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-2].list), (yyvsp[-1].node)); }
#line 34727 "gram.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4371 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NIL, NULL); }
#line 34733 "gram.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4375 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 34741 "gram.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4380 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34747 "gram.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4381 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34753 "gram.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4385 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 34761 "gram.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4389 "gram.y" /* yacc.c:1646  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 34773 "gram.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4397 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 34781 "gram.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4401 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 34789 "gram.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4407 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 34795 "gram.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4409 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 34801 "gram.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4413 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 34809 "gram.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4418 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 34817 "gram.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4424 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 34823 "gram.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4425 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 34829 "gram.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4430 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[0].keyaction);
					n->deleteAction = palloc(sizeof(KeyAction));
					n->deleteAction->action = FKCONSTR_ACTION_NOACTION;
					n->deleteAction->cols = NIL;
					(yyval.keyactions) = n;
				}
#line 34843 "gram.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4440 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = palloc(sizeof(KeyAction));
					n->updateAction->action = FKCONSTR_ACTION_NOACTION;
					n->updateAction->cols = NIL;
					n->deleteAction = (yyvsp[0].keyaction);
					(yyval.keyactions) = n;
				}
#line 34857 "gram.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4450 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[-1].keyaction);
					n->deleteAction = (yyvsp[0].keyaction);
					(yyval.keyactions) = n;
				}
#line 34869 "gram.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4458 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[0].keyaction);
					n->deleteAction = (yyvsp[-1].keyaction);
					(yyval.keyactions) = n;
				}
#line 34881 "gram.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4466 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = palloc(sizeof(KeyAction));
					n->updateAction->action = FKCONSTR_ACTION_NOACTION;
					n->updateAction->cols = NIL;
					n->deleteAction = palloc(sizeof(KeyAction));
					n->deleteAction->action = FKCONSTR_ACTION_NOACTION;
					n->deleteAction->cols = NIL;
					(yyval.keyactions) = n;
				}
#line 34897 "gram.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4480 "gram.y" /* yacc.c:1646  */
    {
					if (((yyvsp[0].keyaction))->cols)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("a column list with %s is only supported for ON DELETE actions",
										((yyvsp[0].keyaction))->action == FKCONSTR_ACTION_SETNULL ? "SET NULL" : "SET DEFAULT"),
								 parser_errposition((yylsp[-2]))));
					(yyval.keyaction) = (yyvsp[0].keyaction);
				}
#line 34911 "gram.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4492 "gram.y" /* yacc.c:1646  */
    {
					(yyval.keyaction) = (yyvsp[0].keyaction);
				}
#line 34919 "gram.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4499 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_NOACTION;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 34931 "gram.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4507 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_RESTRICT;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 34943 "gram.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4515 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_CASCADE;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 34955 "gram.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4523 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_SETNULL;
					n->cols = (yyvsp[0].list);
					(yyval.keyaction) = n;
				}
#line 34967 "gram.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4531 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_SETDEFAULT;
					n->cols = (yyvsp[0].list);
					(yyval.keyaction) = n;
				}
#line 34979 "gram.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4540 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34985 "gram.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4541 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34991 "gram.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4545 "gram.y" /* yacc.c:1646  */
    { (yyval.partspec) = (yyvsp[0].partspec); }
#line 34997 "gram.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4546 "gram.y" /* yacc.c:1646  */
    { (yyval.partspec) = NULL; }
#line 35003 "gram.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4550 "gram.y" /* yacc.c:1646  */
    {
					PartitionSpec *n = makeNode(PartitionSpec);

					n->strategy = parsePartitionStrategy((yyvsp[-3].str));
					n->partParams = (yyvsp[-1].list);
					n->location = (yylsp[-5]);

					(yyval.partspec) = n;
				}
#line 35017 "gram.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4561 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].partelem)); }
#line 35023 "gram.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4562 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].partelem)); }
#line 35029 "gram.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4566 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = (yyvsp[-2].str);
					n->expr = NULL;
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 35044 "gram.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4577 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-2].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 35059 "gram.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4588 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-3].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.partelem) = n;
				}
#line 35074 "gram.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4601 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35080 "gram.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4602 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 35086 "gram.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4607 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35092 "gram.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4608 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35098 "gram.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4609 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35104 "gram.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4612 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 35110 "gram.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4613 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 35116 "gram.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4614 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 35122 "gram.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4615 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 35128 "gram.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4618 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35134 "gram.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4619 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 35140 "gram.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4622 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35146 "gram.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4623 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 35152 "gram.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4626 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35158 "gram.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4648 "gram.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);

					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 35174 "gram.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4661 "gram.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);

					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 35190 "gram.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4681 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].selem)); }
#line 35196 "gram.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4682 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].selem)); }
#line 35202 "gram.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4686 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = (yyvsp[0].str);
					(yyval.selem)->expr = NULL;
				}
#line 35212 "gram.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4692 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = NULL;
					(yyval.selem)->expr = (yyvsp[0].node);
				}
#line 35222 "gram.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4698 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = NULL;
					(yyval.selem)->expr = (yyvsp[-1].node);
				}
#line 35232 "gram.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4715 "gram.y" /* yacc.c:1646  */
    {
					AlterStatsStmt *n = makeNode(AlterStatsStmt);

					n->defnames = (yyvsp[-3].list);
					n->missing_ok = false;
					n->stxstattarget = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 35245 "gram.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4724 "gram.y" /* yacc.c:1646  */
    {
					AlterStatsStmt *n = makeNode(AlterStatsStmt);

					n->defnames = (yyvsp[-3].list);
					n->missing_ok = true;
					n->stxstattarget = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 35258 "gram.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4746 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 35276 "gram.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4760 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-8].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 35294 "gram.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4778 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-5].range);
					(yyval.into)->colNames = (yyvsp[-4].list);
					(yyval.into)->accessMethod = (yyvsp[-3].str);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 35310 "gram.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4792 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35316 "gram.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4793 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 35322 "gram.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4794 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35328 "gram.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4807 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 35346 "gram.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4821 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-9].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 35364 "gram.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4838 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->accessMethod = (yyvsp[-2].str);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 35380 "gram.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4851 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 35386 "gram.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4852 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 35392 "gram.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4865 "gram.y" /* yacc.c:1646  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);

					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 35405 "gram.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4886 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);

					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 35420 "gram.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4897 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);

					(yyvsp[-1].range)->relpersistence = (yyvsp[-6].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 35435 "gram.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4911 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);

					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 35448 "gram.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4920 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);

					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 35461 "gram.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4931 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35467 "gram.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4932 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35473 "gram.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4935 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35479 "gram.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4936 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35485 "gram.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4939 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35491 "gram.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4940 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35497 "gram.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4944 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *) (yyvsp[0].typnam), (yylsp[-1]));
				}
#line 35505 "gram.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4948 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 35513 "gram.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4952 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 35521 "gram.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4956 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 35529 "gram.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4960 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 35537 "gram.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4964 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("logged", NULL, (yylsp[0]));
				}
#line 35545 "gram.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4968 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 35553 "gram.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4972 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 35561 "gram.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4976 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL, (yylsp[-1]));
				}
#line 35569 "gram.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4980 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL, (yylsp[-1]));
				}
#line 35577 "gram.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4984 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 35585 "gram.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4988 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("sequence_name", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 35593 "gram.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4992 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 35601 "gram.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4996 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 35609 "gram.c" /* yacc.c:1646  */
    break;

  case 649:
#line 5000 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 35617 "gram.c" /* yacc.c:1646  */
    break;

  case 650:
#line 5004 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("unlogged", NULL, (yylsp[0]));
				}
#line 35625 "gram.c" /* yacc.c:1646  */
    break;

  case 653:
#line 5014 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeFloat((yyvsp[0].str)); }
#line 35631 "gram.c" /* yacc.c:1646  */
    break;

  case 654:
#line 5015 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeFloat((yyvsp[0].str)); }
#line 35637 "gram.c" /* yacc.c:1646  */
    break;

  case 655:
#line 5017 "gram.y" /* yacc.c:1646  */
    {
					Float	   *f = makeFloat((yyvsp[0].str));

					doNegateFloat(f);
					(yyval.node) = (Node *) f;
				}
#line 35648 "gram.c" /* yacc.c:1646  */
    break;

  case 656:
#line 5023 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeInteger((yyvsp[0].ival)); }
#line 35654 "gram.c" /* yacc.c:1646  */
    break;

  case 657:
#line 5026 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 35660 "gram.c" /* yacc.c:1646  */
    break;

  case 658:
#line 5027 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 35666 "gram.c" /* yacc.c:1646  */
    break;

  case 659:
#line 5040 "gram.y" /* yacc.c:1646  */
    {
				/*
				 * We now interpret parameterless CREATE LANGUAGE as
				 * CREATE EXTENSION.  "OR REPLACE" is silently translated
				 * to "IF NOT EXISTS", which isn't quite the same, but
				 * seems more useful than throwing an error.  We just
				 * ignore TRUSTED, as the previous code would have too.
				 */
				CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

				n->if_not_exists = (yyvsp[-4].boolean);
				n->extname = (yyvsp[0].str);
				n->options = NIL;
				(yyval.node) = (Node *) n;
			}
#line 35686 "gram.c" /* yacc.c:1646  */
    break;

  case 660:
#line 5057 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);

				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *) n;
			}
#line 35702 "gram.c" /* yacc.c:1646  */
    break;

  case 661:
#line 5071 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35708 "gram.c" /* yacc.c:1646  */
    break;

  case 662:
#line 5072 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 35714 "gram.c" /* yacc.c:1646  */
    break;

  case 663:
#line 5080 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35720 "gram.c" /* yacc.c:1646  */
    break;

  case 664:
#line 5081 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 35726 "gram.c" /* yacc.c:1646  */
    break;

  case 665:
#line 5085 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35732 "gram.c" /* yacc.c:1646  */
    break;

  case 666:
#line 5086 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35738 "gram.c" /* yacc.c:1646  */
    break;

  case 667:
#line 5090 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35744 "gram.c" /* yacc.c:1646  */
    break;

  case 668:
#line 5091 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35750 "gram.c" /* yacc.c:1646  */
    break;

  case 669:
#line 5095 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35756 "gram.c" /* yacc.c:1646  */
    break;

  case 670:
#line 5096 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35762 "gram.c" /* yacc.c:1646  */
    break;

  case 673:
#line 5112 "gram.y" /* yacc.c:1646  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);

					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].rolespec);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35776 "gram.c" /* yacc.c:1646  */
    break;

  case 674:
#line 5123 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 35782 "gram.c" /* yacc.c:1646  */
    break;

  case 675:
#line 5124 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 35788 "gram.c" /* yacc.c:1646  */
    break;

  case 676:
#line 5138 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);

					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 35800 "gram.c" /* yacc.c:1646  */
    break;

  case 677:
#line 5146 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);

					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 35812 "gram.c" /* yacc.c:1646  */
    break;

  case 678:
#line 5164 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35825 "gram.c" /* yacc.c:1646  */
    break;

  case 679:
#line 5173 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35838 "gram.c" /* yacc.c:1646  */
    break;

  case 680:
#line 5185 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35844 "gram.c" /* yacc.c:1646  */
    break;

  case 681:
#line 5187 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35850 "gram.c" /* yacc.c:1646  */
    break;

  case 682:
#line 5192 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35858 "gram.c" /* yacc.c:1646  */
    break;

  case 683:
#line 5196 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35866 "gram.c" /* yacc.c:1646  */
    break;

  case 684:
#line 5200 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE EXTENSION ... FROM is no longer supported"),
							 parser_errposition((yylsp[-1]))));
				}
#line 35877 "gram.c" /* yacc.c:1646  */
    break;

  case 685:
#line 5207 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cascade", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 35885 "gram.c" /* yacc.c:1646  */
    break;

  case 686:
#line 5219 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35897 "gram.c" /* yacc.c:1646  */
    break;

  case 687:
#line 5230 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35903 "gram.c" /* yacc.c:1646  */
    break;

  case 688:
#line 5232 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35909 "gram.c" /* yacc.c:1646  */
    break;

  case 689:
#line 5237 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35917 "gram.c" /* yacc.c:1646  */
    break;

  case 690:
#line 5250 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = (yyvsp[-1].objtype);
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 35931 "gram.c" /* yacc.c:1646  */
    break;

  case 691:
#line 5260 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = (yyvsp[-1].objtype);
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35945 "gram.c" /* yacc.c:1646  */
    break;

  case 692:
#line 5270 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35959 "gram.c" /* yacc.c:1646  */
    break;

  case 693:
#line 5280 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 35973 "gram.c" /* yacc.c:1646  */
    break;

  case 694:
#line 5290 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 35987 "gram.c" /* yacc.c:1646  */
    break;

  case 695:
#line 5300 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 36001 "gram.c" /* yacc.c:1646  */
    break;

  case 696:
#line 5310 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 36015 "gram.c" /* yacc.c:1646  */
    break;

  case 697:
#line 5320 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *) n;
				}
#line 36029 "gram.c" /* yacc.c:1646  */
    break;

  case 698:
#line 5330 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *) n;
				}
#line 36043 "gram.c" /* yacc.c:1646  */
    break;

  case 699:
#line 5340 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 36057 "gram.c" /* yacc.c:1646  */
    break;

  case 700:
#line 5350 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 36071 "gram.c" /* yacc.c:1646  */
    break;

  case 701:
#line 5360 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-2].typnam), makeString((yyvsp[0].str)));
					(yyval.node) = (Node *) n;
				}
#line 36085 "gram.c" /* yacc.c:1646  */
    break;

  case 702:
#line 5370 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 36099 "gram.c" /* yacc.c:1646  */
    break;

  case 703:
#line 5389 "gram.y" /* yacc.c:1646  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);

					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36112 "gram.c" /* yacc.c:1646  */
    break;

  case 704:
#line 5400 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", (Node *) (yyvsp[0].list), (yylsp[-1])); }
#line 36118 "gram.c" /* yacc.c:1646  */
    break;

  case 705:
#line 5401 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", NULL, (yylsp[-1])); }
#line 36124 "gram.c" /* yacc.c:1646  */
    break;

  case 706:
#line 5402 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", (Node *) (yyvsp[0].list), (yylsp[-1])); }
#line 36130 "gram.c" /* yacc.c:1646  */
    break;

  case 707:
#line 5403 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", NULL, (yylsp[-1])); }
#line 36136 "gram.c" /* yacc.c:1646  */
    break;

  case 708:
#line 5407 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36142 "gram.c" /* yacc.c:1646  */
    break;

  case 709:
#line 5408 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 36148 "gram.c" /* yacc.c:1646  */
    break;

  case 710:
#line 5412 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36154 "gram.c" /* yacc.c:1646  */
    break;

  case 711:
#line 5413 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36160 "gram.c" /* yacc.c:1646  */
    break;

  case 712:
#line 5424 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);

					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36173 "gram.c" /* yacc.c:1646  */
    break;

  case 713:
#line 5433 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);

					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 36186 "gram.c" /* yacc.c:1646  */
    break;

  case 714:
#line 5445 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36192 "gram.c" /* yacc.c:1646  */
    break;

  case 715:
#line 5446 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36198 "gram.c" /* yacc.c:1646  */
    break;

  case 716:
#line 5451 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 36206 "gram.c" /* yacc.c:1646  */
    break;

  case 717:
#line 5455 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 36214 "gram.c" /* yacc.c:1646  */
    break;

  case 718:
#line 5462 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36220 "gram.c" /* yacc.c:1646  */
    break;

  case 719:
#line 5467 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 36228 "gram.c" /* yacc.c:1646  */
    break;

  case 720:
#line 5471 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 36236 "gram.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5478 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 36244 "gram.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5482 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 36253 "gram.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5487 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 36262 "gram.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5492 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP, (yylsp[0]));
				}
#line 36270 "gram.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5499 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 36278 "gram.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5505 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36284 "gram.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5510 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 36290 "gram.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5522 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);

					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 36306 "gram.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5535 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);

					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 36322 "gram.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5549 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36328 "gram.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5550 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 36334 "gram.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5555 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36340 "gram.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5556 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 36346 "gram.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5560 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36352 "gram.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5561 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 36358 "gram.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5572 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 36372 "gram.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5582 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 36385 "gram.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5591 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36397 "gram.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5611 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36420 "gram.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5632 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36443 "gram.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5653 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36467 "gram.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5675 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36491 "gram.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5708 "gram.y" /* yacc.c:1646  */
    {
				ImportForeignSchemaStmt *n = makeNode(ImportForeignSchemaStmt);

				n->server_name = (yyvsp[-3].str);
				n->remote_schema = (yyvsp[-7].str);
				n->local_schema = (yyvsp[-1].str);
				n->list_type = (yyvsp[-6].importqual)->type;
				n->table_list = (yyvsp[-6].importqual)->table_names;
				n->options = (yyvsp[0].list);
				(yyval.node) = (Node *) n;
			}
#line 36507 "gram.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5722 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_LIMIT_TO; }
#line 36513 "gram.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5723 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_EXCEPT; }
#line 36519 "gram.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5728 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));

				n->type = (yyvsp[-3].ival);
				n->table_names = (yyvsp[-1].list);
				(yyval.importqual) = n;
			}
#line 36531 "gram.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5736 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = FDW_IMPORT_SCHEMA_ALL;
				n->table_names = NIL;
				(yyval.importqual) = n;
			}
#line 36542 "gram.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5752 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 36556 "gram.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5762 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 36570 "gram.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5774 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 36576 "gram.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5775 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0])); }
#line 36582 "gram.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5788 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);

					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 36595 "gram.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5797 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);

					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 36608 "gram.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5815 "gram.y" /* yacc.c:1646  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36621 "gram.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5842 "gram.y" /* yacc.c:1646  */
    {
					CreatePolicyStmt *n = makeNode(CreatePolicyStmt);

					n->policy_name = (yyvsp[-7].str);
					n->table = (yyvsp[-5].range);
					n->permissive = (yyvsp[-4].boolean);
					n->cmd_name = (yyvsp[-3].str);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 36638 "gram.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5859 "gram.y" /* yacc.c:1646  */
    {
					AlterPolicyStmt *n = makeNode(AlterPolicyStmt);

					n->policy_name = (yyvsp[-5].str);
					n->table = (yyvsp[-3].range);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 36653 "gram.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5872 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 36659 "gram.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5873 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 36665 "gram.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5877 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 36671 "gram.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5878 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 36677 "gram.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5882 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36683 "gram.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5883 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeRoleSpec(ROLESPEC_PUBLIC, -1)); }
#line 36689 "gram.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5887 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36695 "gram.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5888 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NULL; }
#line 36701 "gram.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5893 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].str), "permissive") == 0)
						(yyval.boolean) = true;
					else if (strcmp((yyvsp[0].str), "restrictive") == 0)
						(yyval.boolean) = false;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized row security option \"%s\"", (yyvsp[0].str)),
								 errhint("Only PERMISSIVE or RESTRICTIVE policies are supported currently."),
								 parser_errposition((yylsp[0]))));

				}
#line 36719 "gram.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5906 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 36725 "gram.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5910 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36731 "gram.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5911 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 36737 "gram.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5915 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 36743 "gram.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5916 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "select"; }
#line 36749 "gram.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5917 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "insert"; }
#line 36755 "gram.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5918 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "update"; }
#line 36761 "gram.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5919 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "delete"; }
#line 36767 "gram.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5930 "gram.y" /* yacc.c:1646  */
    {
					CreateAmStmt *n = makeNode(CreateAmStmt);

					n->amname = (yyvsp[-4].str);
					n->handler_name = (yyvsp[0].list);
					n->amtype = (yyvsp[-2].chr);
					(yyval.node) = (Node *) n;
				}
#line 36780 "gram.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5941 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = AMTYPE_INDEX; }
#line 36786 "gram.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5942 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = AMTYPE_TABLE; }
#line 36792 "gram.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5956 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);

					n->replace = (yyvsp[-15].boolean);
					n->isconstraint = false;
					n->trigname = (yyvsp[-13].str);
					n->relation = (yyvsp[-9].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-12].ival);
					n->events = intVal(linitial((yyvsp[-11].list)));
					n->columns = (List *) lsecond((yyvsp[-11].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = (yyvsp[-8].list);
					n->deferrable = false;
					n->initdeferred = false;
					n->constrrel = NULL;
					(yyval.node) = (Node *) n;
				}
#line 36817 "gram.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5980 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);

					n->replace = (yyvsp[-19].boolean);
					if (n->replace) /* not supported, see CreateTrigger */
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE OR REPLACE CONSTRAINT TRIGGER is not supported")));
					n->isconstraint = true;
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = true;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = NIL;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *) n;
				}
#line 36847 "gram.c" /* yacc.c:1646  */
    break;

  case 779:
#line 6008 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 36853 "gram.c" /* yacc.c:1646  */
    break;

  case 780:
#line 6009 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 36859 "gram.c" /* yacc.c:1646  */
    break;

  case 781:
#line 6010 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 36865 "gram.c" /* yacc.c:1646  */
    break;

  case 782:
#line 6015 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36871 "gram.c" /* yacc.c:1646  */
    break;

  case 783:
#line 6017 "gram.y" /* yacc.c:1646  */
    {
					int			events1 = intVal(linitial((yyvsp[-2].list)));
					int			events2 = intVal(linitial((yyvsp[0].list)));
					List	   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List	   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 36894 "gram.c" /* yacc.c:1646  */
    break;

  case 784:
#line 6039 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 36900 "gram.c" /* yacc.c:1646  */
    break;

  case 785:
#line 6041 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 36906 "gram.c" /* yacc.c:1646  */
    break;

  case 786:
#line 6043 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 36912 "gram.c" /* yacc.c:1646  */
    break;

  case 787:
#line 6045 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 36918 "gram.c" /* yacc.c:1646  */
    break;

  case 788:
#line 6047 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 36924 "gram.c" /* yacc.c:1646  */
    break;

  case 789:
#line 6051 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36930 "gram.c" /* yacc.c:1646  */
    break;

  case 790:
#line 6052 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36936 "gram.c" /* yacc.c:1646  */
    break;

  case 791:
#line 6056 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36942 "gram.c" /* yacc.c:1646  */
    break;

  case 792:
#line 6057 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 36948 "gram.c" /* yacc.c:1646  */
    break;

  case 793:
#line 6062 "gram.y" /* yacc.c:1646  */
    {
					TriggerTransition *n = makeNode(TriggerTransition);

					n->name = (yyvsp[0].str);
					n->isNew = (yyvsp[-3].boolean);
					n->isTable = (yyvsp[-2].boolean);
					(yyval.node) = (Node *) n;
				}
#line 36961 "gram.c" /* yacc.c:1646  */
    break;

  case 794:
#line 6073 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 36967 "gram.c" /* yacc.c:1646  */
    break;

  case 795:
#line 6074 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36973 "gram.c" /* yacc.c:1646  */
    break;

  case 796:
#line 6078 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 36979 "gram.c" /* yacc.c:1646  */
    break;

  case 797:
#line 6087 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36985 "gram.c" /* yacc.c:1646  */
    break;

  case 798:
#line 6091 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36991 "gram.c" /* yacc.c:1646  */
    break;

  case 799:
#line 6096 "gram.y" /* yacc.c:1646  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 36999 "gram.c" /* yacc.c:1646  */
    break;

  case 800:
#line 6100 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = false;
				}
#line 37011 "gram.c" /* yacc.c:1646  */
    break;

  case 803:
#line 6115 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 37017 "gram.c" /* yacc.c:1646  */
    break;

  case 804:
#line 6116 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 37023 "gram.c" /* yacc.c:1646  */
    break;

  case 805:
#line 6120 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 37029 "gram.c" /* yacc.c:1646  */
    break;

  case 806:
#line 6121 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 37035 "gram.c" /* yacc.c:1646  */
    break;

  case 809:
#line 6130 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 37041 "gram.c" /* yacc.c:1646  */
    break;

  case 810:
#line 6131 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 37047 "gram.c" /* yacc.c:1646  */
    break;

  case 811:
#line 6132 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37053 "gram.c" /* yacc.c:1646  */
    break;

  case 812:
#line 6137 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString(psprintf("%d", (yyvsp[0].ival)));
				}
#line 37061 "gram.c" /* yacc.c:1646  */
    break;

  case 813:
#line 6140 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 37067 "gram.c" /* yacc.c:1646  */
    break;

  case 814:
#line 6141 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 37073 "gram.c" /* yacc.c:1646  */
    break;

  case 815:
#line 6142 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 37079 "gram.c" /* yacc.c:1646  */
    break;

  case 816:
#line 6146 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = (yyvsp[0].range); }
#line 37085 "gram.c" /* yacc.c:1646  */
    break;

  case 817:
#line 6147 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = NULL; }
#line 37091 "gram.c" /* yacc.c:1646  */
    break;

  case 818:
#line 6152 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 37097 "gram.c" /* yacc.c:1646  */
    break;

  case 819:
#line 6154 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 37125 "gram.c" /* yacc.c:1646  */
    break;

  case 820:
#line 6180 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 37131 "gram.c" /* yacc.c:1646  */
    break;

  case 821:
#line 6181 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 37137 "gram.c" /* yacc.c:1646  */
    break;

  case 822:
#line 6182 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 37143 "gram.c" /* yacc.c:1646  */
    break;

  case 823:
#line 6183 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 37149 "gram.c" /* yacc.c:1646  */
    break;

  case 824:
#line 6184 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 37155 "gram.c" /* yacc.c:1646  */
    break;

  case 825:
#line 6185 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 37161 "gram.c" /* yacc.c:1646  */
    break;

  case 826:
#line 6200 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);

					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 37175 "gram.c" /* yacc.c:1646  */
    break;

  case 827:
#line 6212 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);

					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 37189 "gram.c" /* yacc.c:1646  */
    break;

  case 828:
#line 6225 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 37195 "gram.c" /* yacc.c:1646  */
    break;

  case 829:
#line 6227 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 37201 "gram.c" /* yacc.c:1646  */
    break;

  case 830:
#line 6232 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list), (yylsp[-4])); }
#line 37207 "gram.c" /* yacc.c:1646  */
    break;

  case 831:
#line 6237 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 37213 "gram.c" /* yacc.c:1646  */
    break;

  case 832:
#line 6239 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 37219 "gram.c" /* yacc.c:1646  */
    break;

  case 833:
#line 6244 "gram.y" /* yacc.c:1646  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);

					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 37231 "gram.c" /* yacc.c:1646  */
    break;

  case 834:
#line 6254 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 37237 "gram.c" /* yacc.c:1646  */
    break;

  case 835:
#line 6255 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 37243 "gram.c" /* yacc.c:1646  */
    break;

  case 836:
#line 6256 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 37249 "gram.c" /* yacc.c:1646  */
    break;

  case 837:
#line 6257 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 37255 "gram.c" /* yacc.c:1646  */
    break;

  case 838:
#line 6269 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = NULL;
				}
#line 37267 "gram.c" /* yacc.c:1646  */
    break;

  case 839:
#line 6288 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->replace = (yyvsp[-4].boolean);
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37283 "gram.c" /* yacc.c:1646  */
    break;

  case 840:
#line 6300 "gram.y" /* yacc.c:1646  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->replace = (yyvsp[-3].boolean);
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37300 "gram.c" /* yacc.c:1646  */
    break;

  case 841:
#line 6313 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37315 "gram.c" /* yacc.c:1646  */
    break;

  case 842:
#line 6324 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37330 "gram.c" /* yacc.c:1646  */
    break;

  case 843:
#line 6335 "gram.y" /* yacc.c:1646  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *) n;
				}
#line 37346 "gram.c" /* yacc.c:1646  */
    break;

  case 844:
#line 6347 "gram.y" /* yacc.c:1646  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 37359 "gram.c" /* yacc.c:1646  */
    break;

  case 845:
#line 6356 "gram.y" /* yacc.c:1646  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);

					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 37371 "gram.c" /* yacc.c:1646  */
    break;

  case 846:
#line 6364 "gram.y" /* yacc.c:1646  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);

					n->typeName = (yyvsp[-3].list);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37383 "gram.c" /* yacc.c:1646  */
    break;

  case 847:
#line 6372 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37397 "gram.c" /* yacc.c:1646  */
    break;

  case 848:
#line 6382 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37411 "gram.c" /* yacc.c:1646  */
    break;

  case 849:
#line 6392 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37425 "gram.c" /* yacc.c:1646  */
    break;

  case 850:
#line 6402 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37439 "gram.c" /* yacc.c:1646  */
    break;

  case 851:
#line 6412 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37453 "gram.c" /* yacc.c:1646  */
    break;

  case 852:
#line 6422 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 37468 "gram.c" /* yacc.c:1646  */
    break;

  case 853:
#line 6433 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 37482 "gram.c" /* yacc.c:1646  */
    break;

  case 854:
#line 6443 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 37497 "gram.c" /* yacc.c:1646  */
    break;

  case 855:
#line 6455 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37503 "gram.c" /* yacc.c:1646  */
    break;

  case 856:
#line 6458 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 37509 "gram.c" /* yacc.c:1646  */
    break;

  case 857:
#line 6459 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 37515 "gram.c" /* yacc.c:1646  */
    break;

  case 858:
#line 6463 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 37523 "gram.c" /* yacc.c:1646  */
    break;

  case 859:
#line 6467 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 37531 "gram.c" /* yacc.c:1646  */
    break;

  case 860:
#line 6473 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].typnam); }
#line 37537 "gram.c" /* yacc.c:1646  */
    break;

  case 861:
#line 6474 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 37543 "gram.c" /* yacc.c:1646  */
    break;

  case 862:
#line 6475 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].list); }
#line 37549 "gram.c" /* yacc.c:1646  */
    break;

  case 863:
#line 6476 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 37555 "gram.c" /* yacc.c:1646  */
    break;

  case 864:
#line 6477 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 37561 "gram.c" /* yacc.c:1646  */
    break;

  case 865:
#line 6478 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 37567 "gram.c" /* yacc.c:1646  */
    break;

  case 866:
#line 6481 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37573 "gram.c" /* yacc.c:1646  */
    break;

  case 867:
#line 6484 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 37579 "gram.c" /* yacc.c:1646  */
    break;

  case 868:
#line 6485 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 37585 "gram.c" /* yacc.c:1646  */
    break;

  case 869:
#line 6494 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 37593 "gram.c" /* yacc.c:1646  */
    break;

  case 870:
#line 6500 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37599 "gram.c" /* yacc.c:1646  */
    break;

  case 871:
#line 6501 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37605 "gram.c" /* yacc.c:1646  */
    break;

  case 872:
#line 6505 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 37611 "gram.c" /* yacc.c:1646  */
    break;

  case 873:
#line 6507 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 37617 "gram.c" /* yacc.c:1646  */
    break;

  case 874:
#line 6518 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-4].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 37633 "gram.c" /* yacc.c:1646  */
    break;

  case 875:
#line 6530 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 37649 "gram.c" /* yacc.c:1646  */
    break;

  case 876:
#line 6542 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 37665 "gram.c" /* yacc.c:1646  */
    break;

  case 877:
#line 6554 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-5].list);
				n->oldVal = (yyvsp[-2].str);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = false;
				n->skipIfNewValExists = false;
				(yyval.node) = (Node *) n;
			}
#line 37681 "gram.c" /* yacc.c:1646  */
    break;

  case 878:
#line 6566 "gram.y" /* yacc.c:1646  */
    {
				/*
				 * The following problems must be solved before this can be
				 * implemented:
				 *
				 * - There must be no instance of the target value in
				 *   any table.
				 *
				 * - The value must not appear in any catalog metadata,
				 *   such as stored view expressions or column defaults.
				 *
				 * - The value must not appear in any non-leaf page of a
				 *   btree (and similar issues with other index types).
				 *   This is problematic because a value could persist
				 *   there long after it's gone from user-visible data.
				 *
				 * - Concurrent sessions must not be able to insert the
				 *   value while the preceding conditions are being checked.
				 *
				 * - Possibly more...
				 */
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("dropping an enum value is not implemented"),
						 parser_errposition((yylsp[-2]))));
			}
#line 37712 "gram.c" /* yacc.c:1646  */
    break;

  case 879:
#line 6594 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 37718 "gram.c" /* yacc.c:1646  */
    break;

  case 880:
#line 6595 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 37724 "gram.c" /* yacc.c:1646  */
    break;

  case 881:
#line 6613 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);

					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37740 "gram.c" /* yacc.c:1646  */
    break;

  case 882:
#line 6627 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 37746 "gram.c" /* yacc.c:1646  */
    break;

  case 883:
#line 6628 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 37752 "gram.c" /* yacc.c:1646  */
    break;

  case 884:
#line 6633 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					ObjectWithArgs *owa = makeNode(ObjectWithArgs);

					owa->objname = (yyvsp[-1].list);
					owa->objargs = NIL;
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = owa;
					n->number = (yyvsp[-2].ival);
					n->order_family = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37769 "gram.c" /* yacc.c:1646  */
    break;

  case 885:
#line 6646 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-1].objwithargs);
					n->number = (yyvsp[-2].ival);
					n->order_family = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37783 "gram.c" /* yacc.c:1646  */
    break;

  case 886:
#line 6656 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-1].ival);
					(yyval.node) = (Node *) n;
				}
#line 37796 "gram.c" /* yacc.c:1646  */
    break;

  case 887:
#line 6665 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-4].ival);
					n->class_args = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 37810 "gram.c" /* yacc.c:1646  */
    break;

  case 888:
#line 6675 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 37822 "gram.c" /* yacc.c:1646  */
    break;

  case 889:
#line 6684 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 37828 "gram.c" /* yacc.c:1646  */
    break;

  case 890:
#line 6685 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 37834 "gram.c" /* yacc.c:1646  */
    break;

  case 891:
#line 6688 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37840 "gram.c" /* yacc.c:1646  */
    break;

  case 892:
#line 6689 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37846 "gram.c" /* yacc.c:1646  */
    break;

  case 893:
#line 6692 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37852 "gram.c" /* yacc.c:1646  */
    break;

  case 894:
#line 6693 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37858 "gram.c" /* yacc.c:1646  */
    break;

  case 895:
#line 6694 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37864 "gram.c" /* yacc.c:1646  */
    break;

  case 896:
#line 6700 "gram.y" /* yacc.c:1646  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);

					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37876 "gram.c" /* yacc.c:1646  */
    break;

  case 897:
#line 6711 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);

					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37890 "gram.c" /* yacc.c:1646  */
    break;

  case 898:
#line 6721 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);

					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37904 "gram.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6733 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 37910 "gram.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6734 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 37916 "gram.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6739 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 37929 "gram.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6748 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 37942 "gram.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6761 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37957 "gram.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6772 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37972 "gram.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6786 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37987 "gram.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6797 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 38002 "gram.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6820 "gram.y" /* yacc.c:1646  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);

					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38014 "gram.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6831 "gram.y" /* yacc.c:1646  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);

					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 38026 "gram.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6850 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 38041 "gram.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6861 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 38056 "gram.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6872 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 38071 "gram.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6883 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 38086 "gram.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6894 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 38101 "gram.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6905 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-6].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 38116 "gram.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6916 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TYPE;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 38131 "gram.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6927 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TYPE;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 38146 "gram.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6938 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 38161 "gram.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6949 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 38176 "gram.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6960 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_INDEX;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *) n;
				}
#line 38191 "gram.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6971 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_INDEX;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *) n;
				}
#line 38206 "gram.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6985 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 38212 "gram.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6986 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 38218 "gram.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6987 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 38224 "gram.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6988 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 38230 "gram.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6989 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 38236 "gram.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6990 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 38242 "gram.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6991 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 38248 "gram.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6992 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 38254 "gram.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6993 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 38260 "gram.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6994 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 38266 "gram.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6995 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 38272 "gram.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6996 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 38278 "gram.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6997 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 38284 "gram.c" /* yacc.c:1646  */
    break;

  case 934:
#line 7007 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = (yyvsp[0].objtype); }
#line 38290 "gram.c" /* yacc.c:1646  */
    break;

  case 935:
#line 7008 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 38296 "gram.c" /* yacc.c:1646  */
    break;

  case 936:
#line 7009 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 38302 "gram.c" /* yacc.c:1646  */
    break;

  case 937:
#line 7010 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 38308 "gram.c" /* yacc.c:1646  */
    break;

  case 938:
#line 7011 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 38314 "gram.c" /* yacc.c:1646  */
    break;

  case 939:
#line 7015 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 38320 "gram.c" /* yacc.c:1646  */
    break;

  case 940:
#line 7016 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 38326 "gram.c" /* yacc.c:1646  */
    break;

  case 941:
#line 7017 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 38332 "gram.c" /* yacc.c:1646  */
    break;

  case 942:
#line 7018 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 38338 "gram.c" /* yacc.c:1646  */
    break;

  case 943:
#line 7019 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 38344 "gram.c" /* yacc.c:1646  */
    break;

  case 944:
#line 7020 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 38350 "gram.c" /* yacc.c:1646  */
    break;

  case 945:
#line 7021 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 38356 "gram.c" /* yacc.c:1646  */
    break;

  case 946:
#line 7022 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 38362 "gram.c" /* yacc.c:1646  */
    break;

  case 947:
#line 7027 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_POLICY; }
#line 38368 "gram.c" /* yacc.c:1646  */
    break;

  case 948:
#line 7028 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_RULE; }
#line 38374 "gram.c" /* yacc.c:1646  */
    break;

  case 949:
#line 7029 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TRIGGER; }
#line 38380 "gram.c" /* yacc.c:1646  */
    break;

  case 950:
#line 7033 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 38386 "gram.c" /* yacc.c:1646  */
    break;

  case 951:
#line 7034 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 38392 "gram.c" /* yacc.c:1646  */
    break;

  case 952:
#line 7037 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 38398 "gram.c" /* yacc.c:1646  */
    break;

  case 953:
#line 7038 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 38404 "gram.c" /* yacc.c:1646  */
    break;

  case 954:
#line 7042 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 38410 "gram.c" /* yacc.c:1646  */
    break;

  case 955:
#line 7044 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 38416 "gram.c" /* yacc.c:1646  */
    break;

  case 956:
#line 7048 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 38422 "gram.c" /* yacc.c:1646  */
    break;

  case 957:
#line 7049 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 38428 "gram.c" /* yacc.c:1646  */
    break;

  case 958:
#line 7061 "gram.y" /* yacc.c:1646  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);

					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38441 "gram.c" /* yacc.c:1646  */
    break;

  case 959:
#line 7072 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38447 "gram.c" /* yacc.c:1646  */
    break;

  case 960:
#line 7073 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 38453 "gram.c" /* yacc.c:1646  */
    break;

  case 961:
#line 7074 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38459 "gram.c" /* yacc.c:1646  */
    break;

  case 962:
#line 7085 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38472 "gram.c" /* yacc.c:1646  */
    break;

  case 963:
#line 7094 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_COLUMN;
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38485 "gram.c" /* yacc.c:1646  */
    break;

  case 964:
#line 7103 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38498 "gram.c" /* yacc.c:1646  */
    break;

  case 965:
#line 7112 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38511 "gram.c" /* yacc.c:1646  */
    break;

  case 966:
#line 7121 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38524 "gram.c" /* yacc.c:1646  */
    break;

  case 967:
#line 7130 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38537 "gram.c" /* yacc.c:1646  */
    break;

  case 968:
#line 7139 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38550 "gram.c" /* yacc.c:1646  */
    break;

  case 969:
#line 7148 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38563 "gram.c" /* yacc.c:1646  */
    break;

  case 970:
#line 7157 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TABCONSTRAINT;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38576 "gram.c" /* yacc.c:1646  */
    break;

  case 971:
#line 7166 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_DOMCONSTRAINT;
					/*
					 * should use Typename not any_name in the production, but
					 * there's a shift/reduce conflict if we do that, so fix it
					 * up here.
					 */
					n->object = (Node *) list_make2(makeTypeNameFromNameList((yyvsp[-2].list)), makeString((yyvsp[-5].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38594 "gram.c" /* yacc.c:1646  */
    break;

  case 972:
#line 7180 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-5].objtype);
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38607 "gram.c" /* yacc.c:1646  */
    break;

  case 973:
#line 7189 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38620 "gram.c" /* yacc.c:1646  */
    break;

  case 974:
#line 7198 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38633 "gram.c" /* yacc.c:1646  */
    break;

  case 975:
#line 7207 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-4].typnam), makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38646 "gram.c" /* yacc.c:1646  */
    break;

  case 976:
#line 7216 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38659 "gram.c" /* yacc.c:1646  */
    break;

  case 977:
#line 7225 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38672 "gram.c" /* yacc.c:1646  */
    break;

  case 978:
#line 7234 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].node);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38685 "gram.c" /* yacc.c:1646  */
    break;

  case 979:
#line 7243 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-5].typnam), (yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38698 "gram.c" /* yacc.c:1646  */
    break;

  case 980:
#line 7254 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38704 "gram.c" /* yacc.c:1646  */
    break;

  case 981:
#line 7255 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 38710 "gram.c" /* yacc.c:1646  */
    break;

  case 982:
#line 7271 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38724 "gram.c" /* yacc.c:1646  */
    break;

  case 983:
#line 7282 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_COLUMN;
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38738 "gram.c" /* yacc.c:1646  */
    break;

  case 984:
#line 7293 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38752 "gram.c" /* yacc.c:1646  */
    break;

  case 985:
#line 7304 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38766 "gram.c" /* yacc.c:1646  */
    break;

  case 986:
#line 7315 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38780 "gram.c" /* yacc.c:1646  */
    break;

  case 987:
#line 7326 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38794 "gram.c" /* yacc.c:1646  */
    break;

  case 988:
#line 7337 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38808 "gram.c" /* yacc.c:1646  */
    break;

  case 989:
#line 7348 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].node);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38822 "gram.c" /* yacc.c:1646  */
    break;

  case 990:
#line 7359 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38836 "gram.c" /* yacc.c:1646  */
    break;

  case 991:
#line 7370 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38850 "gram.c" /* yacc.c:1646  */
    break;

  case 992:
#line 7381 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38856 "gram.c" /* yacc.c:1646  */
    break;

  case 993:
#line 7382 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 38862 "gram.c" /* yacc.c:1646  */
    break;

  case 994:
#line 7385 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38868 "gram.c" /* yacc.c:1646  */
    break;

  case 995:
#line 7386 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 38874 "gram.c" /* yacc.c:1646  */
    break;

  case 996:
#line 7397 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);

					n->ismove = false;
					(yyval.node) = (Node *) n;
				}
#line 38885 "gram.c" /* yacc.c:1646  */
    break;

  case 997:
#line 7404 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);

					n->ismove = true;
					(yyval.node) = (Node *) n;
				}
#line 38896 "gram.c" /* yacc.c:1646  */
    break;

  case 998:
#line 7413 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38909 "gram.c" /* yacc.c:1646  */
    break;

  case 999:
#line 7422 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38922 "gram.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 7431 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38935 "gram.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 7440 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38948 "gram.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 7449 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38961 "gram.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 7458 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *) n;
				}
#line 38974 "gram.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 7467 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38987 "gram.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 7476 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 39000 "gram.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 7485 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 39013 "gram.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 7494 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 39026 "gram.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 7503 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 39039 "gram.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 7512 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 39052 "gram.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 7521 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 39065 "gram.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 7530 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 39078 "gram.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 7539 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 39091 "gram.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 7548 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 39104 "gram.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 7575 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = true;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grant_option = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 39122 "gram.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 7593 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 39141 "gram.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 7609 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 39160 "gram.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 7636 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39166 "gram.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 7638 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39172 "gram.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 7640 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39178 "gram.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 7642 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);

					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 39190 "gram.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 7650 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);

					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 39202 "gram.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 7659 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 39208 "gram.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 7660 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 39214 "gram.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 7664 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 39226 "gram.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 7672 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 39238 "gram.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 7680 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 39250 "gram.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 7688 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup("alter system");
				n->cols = NIL;
				(yyval.accesspriv) = n;
			}
#line 39261 "gram.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 7695 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 39273 "gram.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 7706 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make1(makeString((yyvsp[0].str)));
			}
#line 39281 "gram.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 7710 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str)));
			}
#line 39289 "gram.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 7717 "gram.y" /* yacc.c:1646  */
    {
				(yyval.str) = (yyvsp[0].str);
			}
#line 39297 "gram.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 7721 "gram.y" /* yacc.c:1646  */
    {
				(yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str));
			}
#line 39305 "gram.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 7732 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39318 "gram.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 7741 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39331 "gram.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 7750 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39344 "gram.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 7759 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39357 "gram.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 7768 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39370 "gram.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 7777 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39383 "gram.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 7786 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39396 "gram.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 7795 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39409 "gram.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 7804 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39422 "gram.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 7813 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39435 "gram.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 7822 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39448 "gram.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 7831 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39461 "gram.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 7840 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PARAMETER_ACL;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39473 "gram.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 7848 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SCHEMA;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39486 "gram.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 7857 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39499 "gram.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 7866 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39512 "gram.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 7875 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39525 "gram.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 7884 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39538 "gram.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 7893 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39551 "gram.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 7902 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39564 "gram.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 7911 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39577 "gram.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 7923 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 39583 "gram.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 7924 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 39589 "gram.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 7928 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 39595 "gram.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 7929 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 39601 "gram.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 7934 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 39607 "gram.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 7935 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39613 "gram.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 7946 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = true;
					n->granted_roles = (yyvsp[-3].list);
					n->grantee_roles = (yyvsp[-1].list);
					n->opt = NIL;
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 39628 "gram.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 7957 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = true;
					n->granted_roles = (yyvsp[-5].list);
					n->grantee_roles = (yyvsp[-3].list);
					n->opt = (yyvsp[-1].list);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 39643 "gram.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 7971 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = false;
					n->opt = NIL;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 39659 "gram.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 7983 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					DefElem *opt;

					opt = makeDefElem(pstrdup((yyvsp[-7].str)),
									  (Node *) makeBoolean(false), (yylsp[-7]));
					n->is_grant = false;
					n->opt = list_make1(opt);
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 39678 "gram.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 8000 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 39684 "gram.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 8001 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 39690 "gram.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 8006 "gram.y" /* yacc.c:1646  */
    {
				(yyval.defelt) = makeDefElem(pstrdup((yyvsp[-1].str)), (yyvsp[0].node), (yylsp[-1]));
			}
#line 39698 "gram.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 8012 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeBoolean(true); }
#line 39704 "gram.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 8013 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeBoolean(true); }
#line 39710 "gram.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 8014 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeBoolean(false); }
#line 39716 "gram.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 8017 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 39722 "gram.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 8018 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 39728 "gram.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 8029 "gram.y" /* yacc.c:1646  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);

					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 39740 "gram.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 8039 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 39746 "gram.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 8040 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39752 "gram.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 8045 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 39760 "gram.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 8049 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 39768 "gram.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 8053 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 39776 "gram.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 8065 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 39793 "gram.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 8079 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 39811 "gram.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 8094 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 39829 "gram.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 8110 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_TABLE; }
#line 39835 "gram.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 8111 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 39841 "gram.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 8112 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 39847 "gram.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 8113 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_SEQUENCE; }
#line 39853 "gram.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 8114 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_TYPE; }
#line 39859 "gram.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 8115 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_SCHEMA; }
#line 39865 "gram.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 8130 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);

					n->unique = (yyvsp[-14].boolean);
					n->concurrent = (yyvsp[-12].boolean);
					n->idxname = (yyvsp[-11].str);
					n->relation = (yyvsp[-9].range);
					n->accessMethod = (yyvsp[-8].str);
					n->indexParams = (yyvsp[-6].list);
					n->indexIncludingParams = (yyvsp[-4].list);
					n->nulls_not_distinct = !(yyvsp[-3].boolean);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNumber = InvalidRelFileNumber;
					n->oldCreateSubid = InvalidSubTransactionId;
					n->oldFirstRelfilelocatorSubid = InvalidSubTransactionId;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = false;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *) n;
				}
#line 39899 "gram.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 8162 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);

					n->unique = (yyvsp[-17].boolean);
					n->concurrent = (yyvsp[-15].boolean);
					n->idxname = (yyvsp[-11].str);
					n->relation = (yyvsp[-9].range);
					n->accessMethod = (yyvsp[-8].str);
					n->indexParams = (yyvsp[-6].list);
					n->indexIncludingParams = (yyvsp[-4].list);
					n->nulls_not_distinct = !(yyvsp[-3].boolean);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNumber = InvalidRelFileNumber;
					n->oldCreateSubid = InvalidSubTransactionId;
					n->oldFirstRelfilelocatorSubid = InvalidSubTransactionId;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = true;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *) n;
				}
#line 39933 "gram.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 8194 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 39939 "gram.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 8195 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39945 "gram.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 8199 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39951 "gram.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 8200 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 39957 "gram.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 8203 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 39963 "gram.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 8204 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 39969 "gram.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 8210 "gram.y" /* yacc.c:1646  */
    {
			(yyval.ielem) = makeNode(IndexElem);
			(yyval.ielem)->name = NULL;
			(yyval.ielem)->expr = NULL;
			(yyval.ielem)->indexcolname = NULL;
			(yyval.ielem)->collation = (yyvsp[-3].list);
			(yyval.ielem)->opclass = (yyvsp[-2].list);
			(yyval.ielem)->opclassopts = NIL;
			(yyval.ielem)->ordering = (yyvsp[-1].ival);
			(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
		}
#line 39985 "gram.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 8222 "gram.y" /* yacc.c:1646  */
    {
			(yyval.ielem) = makeNode(IndexElem);
			(yyval.ielem)->name = NULL;
			(yyval.ielem)->expr = NULL;
			(yyval.ielem)->indexcolname = NULL;
			(yyval.ielem)->collation = (yyvsp[-4].list);
			(yyval.ielem)->opclass = (yyvsp[-3].list);
			(yyval.ielem)->opclassopts = (yyvsp[-2].list);
			(yyval.ielem)->ordering = (yyvsp[-1].ival);
			(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
		}
#line 40001 "gram.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 8241 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->name = (yyvsp[-1].str);
				}
#line 40010 "gram.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 8246 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->expr = (yyvsp[-1].node);
				}
#line 40019 "gram.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 8251 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->expr = (yyvsp[-2].node);
				}
#line 40028 "gram.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 8257 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40034 "gram.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 8258 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40040 "gram.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 8261 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 40046 "gram.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 8262 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 40052 "gram.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 8265 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40058 "gram.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 8266 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40064 "gram.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 8270 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_ASC; }
#line 40070 "gram.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 8271 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DESC; }
#line 40076 "gram.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 8272 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 40082 "gram.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 8275 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 40088 "gram.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 8276 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 40094 "gram.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 8277 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 40100 "gram.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 8295 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-7].boolean);
					n->funcname = (yyvsp[-5].list);
					n->parameters = (yyvsp[-4].list);
					n->returnType = (yyvsp[-2].typnam);
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 40117 "gram.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 8309 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-10].boolean);
					n->funcname = (yyvsp[-8].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-7].list), (yyvsp[-3].list));
					n->returnType = TableFuncTypeName((yyvsp[-3].list));
					n->returnType->location = (yylsp[-5]);
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 40135 "gram.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 8324 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 40152 "gram.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 8338 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = true;
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 40169 "gram.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 8353 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 40175 "gram.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 8354 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 40181 "gram.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 8357 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40187 "gram.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 8358 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40193 "gram.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 8362 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 40199 "gram.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 8363 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 40205 "gram.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 8367 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 40211 "gram.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 8369 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 40217 "gram.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 8374 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = extractArgTypes((yyvsp[0].list));
					n->objfuncargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 40230 "gram.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 8388 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = list_make1(makeString(pstrdup((yyvsp[0].keyword))));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 40242 "gram.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 8396 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = list_make1(makeString((yyvsp[0].str)));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 40254 "gram.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 8404 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
												  yyscanner);
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 40267 "gram.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 8419 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40273 "gram.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 8420 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40279 "gram.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 8424 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 40285 "gram.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 8426 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 40291 "gram.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 8441 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 40305 "gram.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 8451 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 40319 "gram.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 8461 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_DEFAULT;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 40333 "gram.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 8471 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 40347 "gram.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 8481 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_DEFAULT;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 40361 "gram.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 8493 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 40367 "gram.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 8494 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 40373 "gram.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 8495 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 40379 "gram.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 8496 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 40385 "gram.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 8497 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 40391 "gram.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 8508 "gram.y" /* yacc.c:1646  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 40403 "gram.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 8522 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 40409 "gram.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 8524 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 40419 "gram.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 8530 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 40430 "gram.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 8540 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 40438 "gram.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 8544 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 40447 "gram.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 8549 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 40456 "gram.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 8557 "gram.y" /* yacc.c:1646  */
    {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_DEFAULT ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 40471 "gram.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 8599 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 40479 "gram.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 8603 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 40487 "gram.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 8607 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 40495 "gram.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 8611 "gram.y" /* yacc.c:1646  */
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 40504 "gram.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 8618 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 40510 "gram.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 8619 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 40516 "gram.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 8624 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					n->objfuncargs = (List *) linitial((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 40529 "gram.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 8635 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 40535 "gram.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 8637 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 40541 "gram.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 8642 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40547 "gram.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 8647 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 40553 "gram.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 8648 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 40559 "gram.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 8656 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(false), (yylsp[-3]));
				}
#line 40567 "gram.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 8660 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(true), (yylsp[-4]));
				}
#line 40575 "gram.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 8664 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 40583 "gram.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 8668 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("immutable"), (yylsp[0]));
				}
#line 40591 "gram.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 8672 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("stable"), (yylsp[0]));
				}
#line 40599 "gram.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 8676 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("volatile"), (yylsp[0]));
				}
#line 40607 "gram.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 8680 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(true), (yylsp[-2]));
				}
#line 40615 "gram.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 8684 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(false), (yylsp[-2]));
				}
#line 40623 "gram.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 8688 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(true), (yylsp[-1]));
				}
#line 40631 "gram.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 8692 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 40639 "gram.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 8696 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 40647 "gram.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 8700 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 40655 "gram.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 8704 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 40663 "gram.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 8708 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 40671 "gram.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 8712 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("support", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 40679 "gram.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 8716 "gram.y" /* yacc.c:1646  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *) (yyvsp[0].vsetstmt), (yylsp[0]));
				}
#line 40688 "gram.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 8721 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("parallel", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 40696 "gram.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 8728 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 40704 "gram.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 8732 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 40712 "gram.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 8736 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("transform", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 40720 "gram.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 8740 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 40728 "gram.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 8744 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 40736 "gram.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 8749 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 40742 "gram.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 8751 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 40750 "gram.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 8757 "gram.y" /* yacc.c:1646  */
    {
					ReturnStmt *r = makeNode(ReturnStmt);

					r->returnval = (Node *) (yyvsp[0].node);
					(yyval.node) = (Node *) r;
				}
#line 40761 "gram.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 8767 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 40769 "gram.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 8771 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * A compound statement is stored as a single-item list
					 * containing the list of statements as its member.  That
					 * way, the parse analysis code can tell apart an empty
					 * body from no body at all.
					 */
					(yyval.node) = (Node *) list_make1((yyvsp[-1].list));
				}
#line 40783 "gram.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 8781 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = NULL;
				}
#line 40791 "gram.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 8788 "gram.y" /* yacc.c:1646  */
    {
					/* As in stmtmulti, discard empty statements */
					if ((yyvsp[-1].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[-1].node));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 40803 "gram.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 8796 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = NIL;
				}
#line 40811 "gram.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 8807 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 40817 "gram.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 8808 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-4].list), (yyvsp[0].typnam)); }
#line 40823 "gram.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 8812 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40829 "gram.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 8813 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40835 "gram.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 8817 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 40849 "gram.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 8830 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 40857 "gram.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 8834 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 40865 "gram.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 8849 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_FUNCTION;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 40878 "gram.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 8858 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_PROCEDURE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 40891 "gram.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 8867 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_ROUTINE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 40904 "gram.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 8879 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 40910 "gram.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 8880 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 40916 "gram.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 8904 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40931 "gram.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 8915 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40946 "gram.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 8926 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40961 "gram.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 8937 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40976 "gram.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 8948 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40991 "gram.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 8959 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 41006 "gram.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 8973 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 41021 "gram.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 8984 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 41036 "gram.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 8998 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 41051 "gram.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 9009 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 41066 "gram.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 9023 "gram.y" /* yacc.c:1646  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 41078 "gram.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 9031 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 41084 "gram.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 9033 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 41090 "gram.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 9035 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 41096 "gram.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 9040 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 41102 "gram.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 9042 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 41108 "gram.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 9046 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 41114 "gram.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 9048 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 41120 "gram.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 9053 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 41132 "gram.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 9072 "gram.y" /* yacc.c:1646  */
    {
					DoStmt *n = makeNode(DoStmt);

					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 41143 "gram.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 9081 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 41149 "gram.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 9082 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 41155 "gram.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 9087 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *) makeString((yyvsp[0].str)), (yylsp[0]));
				}
#line 41163 "gram.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 9091 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 41171 "gram.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 9104 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].objwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *) n;
				}
#line 41186 "gram.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 9116 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *) n;
				}
#line 41201 "gram.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 9128 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *) n;
				}
#line 41216 "gram.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 9140 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 41222 "gram.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 9141 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 41228 "gram.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 9142 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 41234 "gram.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 9147 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make2((yyvsp[-4].typnam), (yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 41249 "gram.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 9159 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 41255 "gram.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 9160 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 41261 "gram.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 9171 "gram.y" /* yacc.c:1646  */
    {
					CreateTransformStmt *n = makeNode(CreateTransformStmt);

					n->replace = (yyvsp[-8].boolean);
					n->type_name = (yyvsp[-5].typnam);
					n->lang = (yyvsp[-3].str);
					n->fromsql = linitial((yyvsp[-1].list));
					n->tosql = lsecond((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 41276 "gram.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 9184 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-6].objwithargs), (yyvsp[0].objwithargs));
				}
#line 41284 "gram.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 9188 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), (yyvsp[-6].objwithargs));
				}
#line 41292 "gram.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 9192 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), NULL);
				}
#line 41300 "gram.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 9196 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[0].objwithargs));
				}
#line 41308 "gram.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 9203 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TRANSFORM;
					n->objects = list_make1(list_make2((yyvsp[-3].typnam), makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-5].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41322 "gram.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 9225 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = (yyvsp[-2].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 41339 "gram.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 9238 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = REINDEX_OBJECT_SCHEMA;
					n->relation = NULL;
					n->name = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 41356 "gram.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 9251 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = (yyvsp[-2].ival);
					n->relation = NULL;
					n->name = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 41373 "gram.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 9265 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_INDEX; }
#line 41379 "gram.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 9266 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_TABLE; }
#line 41385 "gram.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 9269 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_SYSTEM; }
#line 41391 "gram.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 9270 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_DATABASE; }
#line 41397 "gram.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 9273 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 41403 "gram.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 9274 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NULL; }
#line 41409 "gram.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 9285 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);

					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = false;
					(yyval.node) = (Node *) n;
				}
#line 41423 "gram.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 9295 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);

					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = true;
					(yyval.node) = (Node *) n;
				}
#line 41437 "gram.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 9313 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41451 "gram.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 9323 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41465 "gram.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 9333 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41479 "gram.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 9343 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41493 "gram.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 9353 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41507 "gram.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 9363 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DOMCONSTRAINT;
					n->object = (Node *) (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 41521 "gram.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 9373 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41535 "gram.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 9383 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41549 "gram.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 9393 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41563 "gram.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 9403 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41577 "gram.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 9413 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41591 "gram.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 9423 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41605 "gram.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 9433 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41620 "gram.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 9444 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41635 "gram.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 9455 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41649 "gram.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 9465 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41663 "gram.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 9475 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41677 "gram.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 9485 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41691 "gram.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 9495 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41705 "gram.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 9505 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41719 "gram.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 9515 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41734 "gram.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 9526 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41749 "gram.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 9537 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41764 "gram.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 9548 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41779 "gram.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 9559 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41794 "gram.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 9570 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41809 "gram.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 9581 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41824 "gram.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 9592 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41839 "gram.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 9603 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41854 "gram.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 9614 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41869 "gram.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 9625 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41884 "gram.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 9636 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41899 "gram.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 9647 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41915 "gram.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 9659 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41931 "gram.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 9671 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_VIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41947 "gram.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 9683 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_VIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41963 "gram.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 9695 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41979 "gram.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 9707 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41995 "gram.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 9719 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42010 "gram.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 9730 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42025 "gram.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 9741 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42041 "gram.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 9753 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42057 "gram.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 9765 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42072 "gram.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 9776 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42087 "gram.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 9787 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42100 "gram.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 9796 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42114 "gram.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 9806 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42128 "gram.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 9816 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42142 "gram.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 9826 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42156 "gram.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 9836 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42170 "gram.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 9846 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42184 "gram.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 9856 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42198 "gram.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 9866 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42212 "gram.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 9876 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42226 "gram.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 9886 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42243 "gram.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 9904 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 1; }
#line 42249 "gram.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 9905 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 42255 "gram.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 9916 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 42269 "gram.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 9926 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 42283 "gram.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 9936 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 42297 "gram.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 9946 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-5].range);
					n->object = (Node *) list_make1(makeString((yyvsp[-7].str)));
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 42312 "gram.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 9957 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 42326 "gram.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 9967 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_INDEX;
					n->relation = (yyvsp[-5].range);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 42340 "gram.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 9978 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 42346 "gram.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 9979 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false;	}
#line 42352 "gram.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 9990 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42366 "gram.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 10000 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42380 "gram.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 10010 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42394 "gram.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 10020 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42408 "gram.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 10030 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_EXTENSION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42422 "gram.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 10040 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42436 "gram.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 10050 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42450 "gram.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 10060 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42464 "gram.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 10070 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42478 "gram.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 10080 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42492 "gram.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 10090 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42506 "gram.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 10100 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42520 "gram.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 10110 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42534 "gram.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 10120 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42548 "gram.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 10130 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42562 "gram.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 10140 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42576 "gram.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 10150 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42590 "gram.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 10160 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42604 "gram.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 10170 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42618 "gram.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 10180 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42632 "gram.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 10190 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42646 "gram.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 10200 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42660 "gram.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 10210 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42674 "gram.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 10220 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42688 "gram.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 10230 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42702 "gram.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 10240 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42716 "gram.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 10250 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42730 "gram.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 10269 "gram.y" /* yacc.c:1646  */
    {
					AlterOperatorStmt *n = makeNode(AlterOperatorStmt);

					n->opername = (yyvsp[-4].objwithargs);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 42742 "gram.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 10278 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 42748 "gram.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 10279 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 42754 "gram.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 10283 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2])); }
#line 42760 "gram.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 10285 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2])); }
#line 42766 "gram.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 10287 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0])); }
#line 42772 "gram.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 10292 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].typnam); }
#line 42778 "gram.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 10293 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 42784 "gram.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 10294 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].list); }
#line 42790 "gram.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 10295 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 42796 "gram.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 10296 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 42802 "gram.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 10309 "gram.y" /* yacc.c:1646  */
    {
					AlterTypeStmt *n = makeNode(AlterTypeStmt);

					n->typeName = (yyvsp[-4].list);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 42814 "gram.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 10325 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42827 "gram.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 10334 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42840 "gram.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 10343 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42853 "gram.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 10352 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_DATABASE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42866 "gram.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 10361 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42879 "gram.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 10370 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42892 "gram.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 10379 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42905 "gram.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 10388 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-3].node);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42918 "gram.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 10397 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42931 "gram.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 10406 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42944 "gram.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 10415 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42957 "gram.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 10424 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42970 "gram.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 10433 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42983 "gram.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 10442 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42996 "gram.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 10451 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 43009 "gram.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 10460 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TABLESPACE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 43022 "gram.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 10469 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 43035 "gram.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 10478 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 43048 "gram.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 10487 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 43061 "gram.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 10496 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 43074 "gram.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 10505 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 43087 "gram.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 10514 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 43100 "gram.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 10523 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 43113 "gram.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 10532 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 43126 "gram.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 10560 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43138 "gram.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 10568 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-4].str);
					n->options = (yyvsp[0].list);
					n->for_all_tables = true;
					(yyval.node) = (Node *) n;
				}
#line 43151 "gram.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 10577 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					n->pubobjects = (List *) (yyvsp[-1].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 43165 "gram.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 10603 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLE;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = (yyvsp[-2].range);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
				}
#line 43178 "gram.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 10612 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLES_IN_SCHEMA;
					(yyval.publicationobjectspec)->name = (yyvsp[0].str);
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 43189 "gram.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 10619 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA;
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 43199 "gram.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 10625 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					/*
					 * If either a row filter or column list is specified, create
					 * a PublicationTable object.
					 */
					if ((yyvsp[-1].list) || (yyvsp[0].node))
					{
						/*
						 * The OptWhereClause must be stored here but it is
						 * valid only for tables. For non-table objects, an
						 * error will be thrown later via
						 * preprocess_pubobj_list().
						 */
						(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
						(yyval.publicationobjectspec)->pubtable->relation = makeRangeVar(NULL, (yyvsp[-2].str), (yylsp[-2]));
						(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
						(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
					}
					else
					{
						(yyval.publicationobjectspec)->name = (yyvsp[-2].str);
					}
					(yyval.publicationobjectspec)->location = (yylsp[-2]);
				}
#line 43230 "gram.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 10652 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = makeRangeVarFromQualifiedName((yyvsp[-3].str), (yyvsp[-2].list), (yylsp[-3]), yyscanner);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
					(yyval.publicationobjectspec)->location = (yylsp[-3]);
				}
#line 43244 "gram.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 10663 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = (yyvsp[-2].range);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
				}
#line 43257 "gram.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 10672 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 43267 "gram.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 10680 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].publicationobjectspec)); }
#line 43273 "gram.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 10682 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].publicationobjectspec)); }
#line 43279 "gram.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 10704 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43291 "gram.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 10712 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_AddObjects;
					(yyval.node) = (Node *) n;
				}
#line 43305 "gram.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 10722 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_SetObjects;
					(yyval.node) = (Node *) n;
				}
#line 43319 "gram.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 10732 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_DropObjects;
					(yyval.node) = (Node *) n;
				}
#line 43333 "gram.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 10751 "gram.y" /* yacc.c:1646  */
    {
					CreateSubscriptionStmt *n =
						makeNode(CreateSubscriptionStmt);
					n->subname = (yyvsp[-5].str);
					n->conninfo = (yyvsp[-3].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43347 "gram.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 10770 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_OPTIONS;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43361 "gram.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 10780 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_CONNECTION;
					n->subname = (yyvsp[-2].str);
					n->conninfo = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43375 "gram.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 10790 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_REFRESH;
					n->subname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43389 "gram.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 10800 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ADD_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43404 "gram.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 10811 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_DROP_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43419 "gram.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 10822 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_SET_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43434 "gram.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 10833 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *) makeBoolean(true), (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 43449 "gram.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 10844 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *) makeBoolean(false), (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 43464 "gram.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 10855 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_SKIP;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43478 "gram.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 10873 "gram.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);

					n->subname = (yyvsp[-1].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 43491 "gram.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 10882 "gram.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);

					n->subname = (yyvsp[-1].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 43504 "gram.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 10901 "gram.y" /* yacc.c:1646  */
    {
					RuleStmt   *n = makeNode(RuleStmt);

					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43521 "gram.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 10916 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43527 "gram.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 10917 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 43533 "gram.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 10918 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 43539 "gram.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 10924 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 43549 "gram.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 10930 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 43559 "gram.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 10946 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43565 "gram.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 10947 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 43571 "gram.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 10950 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_SELECT; }
#line 43577 "gram.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 10951 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_UPDATE; }
#line 43583 "gram.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 10952 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_DELETE; }
#line 43589 "gram.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 10953 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_INSERT; }
#line 43595 "gram.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 10957 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43601 "gram.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 10958 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43607 "gram.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 10959 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43613 "gram.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 10972 "gram.y" /* yacc.c:1646  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);

					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43625 "gram.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 10982 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43631 "gram.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 10983 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 43637 "gram.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 10987 "gram.y" /* yacc.c:1646  */
    {
					ListenStmt *n = makeNode(ListenStmt);

					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43648 "gram.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 10997 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);

					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43659 "gram.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 11004 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);

					n->conditionname = NULL;
					(yyval.node) = (Node *) n;
				}
#line 43670 "gram.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 11024 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 43684 "gram.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 11034 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 43697 "gram.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 11043 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 43711 "gram.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 11053 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 43725 "gram.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 11063 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_SAVEPOINT;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43738 "gram.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 11072 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43751 "gram.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 11081 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43764 "gram.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 11090 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43777 "gram.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 11099 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43790 "gram.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 11108 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43803 "gram.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 11117 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43816 "gram.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 11126 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43829 "gram.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 11138 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 43842 "gram.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 11147 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 43856 "gram.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 11165 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0])), (yylsp[-2])); }
#line 43863 "gram.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 11168 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(true, (yylsp[-1])), (yylsp[-1])); }
#line 43870 "gram.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 11171 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 43877 "gram.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 11174 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(true, (yylsp[0])), (yylsp[0])); }
#line 43884 "gram.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 11177 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 43891 "gram.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 11184 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 43897 "gram.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 11186 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 43903 "gram.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 11188 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 43909 "gram.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 11194 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43915 "gram.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 11198 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43921 "gram.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 11199 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43927 "gram.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 11200 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43933 "gram.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 11214 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 43950 "gram.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 11228 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 43967 "gram.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 11242 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 43989 "gram.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 11261 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 44011 "gram.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 11281 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 44017 "gram.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 11282 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 44023 "gram.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 11283 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 44029 "gram.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 11284 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = NO_CHECK_OPTION; }
#line 44035 "gram.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 11295 "gram.y" /* yacc.c:1646  */
    {
					LoadStmt   *n = makeNode(LoadStmt);

					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 44046 "gram.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 11312 "gram.y" /* yacc.c:1646  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);

					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 44058 "gram.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 11322 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44064 "gram.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 11323 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44070 "gram.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 11327 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 44076 "gram.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 11328 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 44082 "gram.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 11333 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (yyvsp[0].node), (yylsp[-2]));
				}
#line 44090 "gram.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 11337 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 44098 "gram.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 11341 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2]));
				}
#line 44106 "gram.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 11358 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44112 "gram.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 11359 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("connection_limit"); }
#line 44118 "gram.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 11360 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 44124 "gram.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 11361 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 44130 "gram.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 11362 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 44136 "gram.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 11363 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 44142 "gram.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 11364 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 44148 "gram.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 11384 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 44160 "gram.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 11392 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 44172 "gram.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 11400 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
														(Node *) makeString((yyvsp[0].str)), (yylsp[0])));
					(yyval.node) = (Node *) n;
				 }
#line 44185 "gram.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 11409 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseRefreshCollStmt *n = makeNode(AlterDatabaseRefreshCollStmt);

					n->dbname = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				 }
#line 44196 "gram.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 11419 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);

					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 44208 "gram.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 11437 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[0].str);
					n->missing_ok = false;
					n->options = NULL;
					(yyval.node) = (Node *) n;
				}
#line 44221 "gram.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 11446 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[0].str);
					n->missing_ok = true;
					n->options = NULL;
					(yyval.node) = (Node *) n;
				}
#line 44234 "gram.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 11455 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[-4].str);
					n->missing_ok = false;
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 44247 "gram.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 11464 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[-4].str);
					n->missing_ok = true;
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 44260 "gram.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 11476 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((Node *) (yyvsp[0].defelt));
				}
#line 44268 "gram.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 11480 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (Node *) (yyvsp[0].defelt));
				}
#line 44276 "gram.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 11491 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force", NULL, (yylsp[0]));
				}
#line 44284 "gram.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 11503 "gram.y" /* yacc.c:1646  */
    {
					AlterCollationStmt *n = makeNode(AlterCollationStmt);

					n->collname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 44295 "gram.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 11521 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);

					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 44306 "gram.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 11528 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);

					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 44317 "gram.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 11545 "gram.y" /* yacc.c:1646  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);

					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 44331 "gram.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 11559 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 44344 "gram.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 11569 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 44356 "gram.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 11578 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 44368 "gram.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 11587 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 44381 "gram.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 11597 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 44396 "gram.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 11609 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 44411 "gram.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 11621 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 44424 "gram.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 11644 "gram.y" /* yacc.c:1646  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);

					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 44436 "gram.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 11655 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_ADD_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node *) n;
				}
#line 44452 "gram.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 11667 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_ALTER_MAPPING_FOR_TOKEN;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node *) n;
				}
#line 44468 "gram.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 11679 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_REPLACE_DICT;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node *) n;
				}
#line 44484 "gram.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 11691 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_REPLACE_DICT_FOR_TOKEN;
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node *) n;
				}
#line 44500 "gram.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 11703 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 44514 "gram.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 11713 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 44528 "gram.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 11742 "gram.y" /* yacc.c:1646  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);

				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *) n;
			}
#line 44543 "gram.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 11765 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 44556 "gram.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 11774 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = NULL;
					n->indexname = NULL;
					n->params = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 44569 "gram.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 11784 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->params = NIL;
					if ((yyvsp[-2].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[-2])));
					(yyval.node) = (Node *) n;
				}
#line 44584 "gram.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 11796 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = NULL;
					n->indexname = NULL;
					n->params = NIL;
					if ((yyvsp[0].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 44599 "gram.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 11808 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->params = NIL;
					if ((yyvsp[-3].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 44614 "gram.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 11821 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44620 "gram.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 11822 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 44626 "gram.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 11835 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = NIL;
					if ((yyvsp[-4].boolean))
						n->options = lappend(n->options,
											 makeDefElem("full", NULL, (yylsp[-4])));
					if ((yyvsp[-3].boolean))
						n->options = lappend(n->options,
											 makeDefElem("freeze", NULL, (yylsp[-3])));
					if ((yyvsp[-2].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("analyze", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *) n;
				}
#line 44651 "gram.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 11856 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *) n;
				}
#line 44664 "gram.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 11867 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = NIL;
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *) n;
				}
#line 44680 "gram.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 11879 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *) n;
				}
#line 44693 "gram.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 11891 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 44701 "gram.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 11895 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 44709 "gram.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 11907 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 44717 "gram.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 11913 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44723 "gram.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 11914 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "analyze"; }
#line 44729 "gram.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 11915 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "format"; }
#line 44735 "gram.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 11919 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 44741 "gram.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 11920 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 44747 "gram.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 11921 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 44753 "gram.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 11925 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 44759 "gram.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 11926 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 44765 "gram.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 11930 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 44771 "gram.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 11931 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 44777 "gram.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 11934 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 44783 "gram.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 11935 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 44789 "gram.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 11938 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 44795 "gram.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 11939 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 44801 "gram.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 11943 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44807 "gram.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 11944 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44813 "gram.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 11949 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeVacuumRelation((yyvsp[-1].range), InvalidOid, (yyvsp[0].list));
				}
#line 44821 "gram.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 11956 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 44827 "gram.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 11958 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 44833 "gram.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 11962 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44839 "gram.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 11963 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44845 "gram.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 11977 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 44857 "gram.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 11985 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 44872 "gram.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 11996 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 44884 "gram.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 12004 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 44896 "gram.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 12034 "gram.y" /* yacc.c:1646  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);

					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 44909 "gram.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 12044 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44915 "gram.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 12045 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44921 "gram.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 12064 "gram.y" /* yacc.c:1646  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 44933 "gram.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 12073 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 44954 "gram.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 12091 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-10].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 44975 "gram.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 12109 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44981 "gram.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 12110 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44987 "gram.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 12121 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = (yyvsp[0].str);
						n->isall = false;
						n->location = (yylsp[0]);
						(yyval.node) = (Node *) n;
					}
#line 45000 "gram.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 12130 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = (yyvsp[0].str);
						n->isall = false;
						n->location = (yylsp[0]);
						(yyval.node) = (Node *) n;
					}
#line 45013 "gram.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 12139 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = NULL;
						n->isall = true;
						n->location = -1;
						(yyval.node) = (Node *) n;
					}
#line 45026 "gram.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 12148 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = NULL;
						n->isall = true;
						n->location = -1;
						(yyval.node) = (Node *) n;
					}
#line 45039 "gram.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 12168 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].istmt)->relation = (yyvsp[-3].range);
					(yyvsp[-2].istmt)->onConflictClause = (yyvsp[-1].onconflict);
					(yyvsp[-2].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-2].istmt)->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) (yyvsp[-2].istmt);
				}
#line 45051 "gram.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 12185 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 45059 "gram.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 12189 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].range)->alias = makeAlias((yyvsp[0].str), NIL);
					(yyval.range) = (yyvsp[-2].range);
				}
#line 45068 "gram.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 12197 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 45078 "gram.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 12203 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 45089 "gram.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 12210 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 45099 "gram.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 12216 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-5].list);
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 45110 "gram.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 12223 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 45120 "gram.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 12231 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_USER_VALUE; }
#line 45126 "gram.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 12232 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_SYSTEM_VALUE; }
#line 45132 "gram.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 12237 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 45138 "gram.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 12239 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 45144 "gram.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 12244 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 45156 "gram.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 12255 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_UPDATE;
					(yyval.onconflict)->infer = (yyvsp[-5].infer);
					(yyval.onconflict)->targetList = (yyvsp[-1].list);
					(yyval.onconflict)->whereClause = (yyvsp[0].node);
					(yyval.onconflict)->location = (yylsp[-7]);
				}
#line 45169 "gram.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 12265 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_NOTHING;
					(yyval.onconflict)->infer = (yyvsp[-2].infer);
					(yyval.onconflict)->targetList = NIL;
					(yyval.onconflict)->whereClause = NULL;
					(yyval.onconflict)->location = (yylsp[-4]);
				}
#line 45182 "gram.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 12274 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = NULL;
				}
#line 45190 "gram.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 12281 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = (yyvsp[-2].list);
					(yyval.infer)->whereClause = (yyvsp[0].node);
					(yyval.infer)->conname = NULL;
					(yyval.infer)->location = (yylsp[-3]);
				}
#line 45202 "gram.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 12290 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = NIL;
					(yyval.infer)->whereClause = NULL;
					(yyval.infer)->conname = (yyvsp[0].str);
					(yyval.infer)->location = (yylsp[-2]);
				}
#line 45214 "gram.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 12298 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = NULL;
				}
#line 45222 "gram.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 12304 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45228 "gram.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 12305 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45234 "gram.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 12318 "gram.y" /* yacc.c:1646  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);

					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) n;
				}
#line 45249 "gram.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 12331 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45255 "gram.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 12332 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45261 "gram.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 12344 "gram.y" /* yacc.c:1646  */
    {
					LockStmt   *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 45274 "gram.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 12354 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 45280 "gram.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 12355 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 45286 "gram.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 12358 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessShareLock; }
#line 45292 "gram.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 12359 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowShareLock; }
#line 45298 "gram.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 12360 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowExclusiveLock; }
#line 45304 "gram.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 12361 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 45310 "gram.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 12362 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareLock; }
#line 45316 "gram.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 12363 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 45322 "gram.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 12364 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ExclusiveLock; }
#line 45328 "gram.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 12365 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 45334 "gram.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 12368 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 45340 "gram.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 12369 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 45346 "gram.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 12373 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitError; }
#line 45352 "gram.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 12374 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitSkip; }
#line 45358 "gram.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 12375 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitBlock; }
#line 45364 "gram.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 12391 "gram.y" /* yacc.c:1646  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);

					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *) n;
				}
#line 45380 "gram.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 12405 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45386 "gram.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 12406 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 45392 "gram.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 12411 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].target)->val = (Node *) (yyvsp[0].node);
					(yyval.list) = list_make1((yyvsp[-2].target));
				}
#line 45401 "gram.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 12416 "gram.y" /* yacc.c:1646  */
    {
					int			ncolumns = list_length((yyvsp[-3].list));
					int			i = 1;
					ListCell   *col_cell;

					/* Create a MultiAssignRef source for each target */
					foreach(col_cell, (yyvsp[-3].list))
					{
						ResTarget  *res_col = (ResTarget *) lfirst(col_cell);
						MultiAssignRef *r = makeNode(MultiAssignRef);

						r->source = (Node *) (yyvsp[0].node);
						r->colno = i;
						r->ncolumns = ncolumns;
						res_col->val = (Node *) r;
						i++;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 45426 "gram.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 12440 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 45438 "gram.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 12450 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 45444 "gram.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 12451 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 45450 "gram.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 12468 "gram.y" /* yacc.c:1646  */
    {
					MergeStmt  *m = makeNode(MergeStmt);

					m->withClause = (yyvsp[-9].with);
					m->relation = (yyvsp[-6].range);
					m->sourceRelation = (yyvsp[-4].node);
					m->joinCondition = (yyvsp[-2].node);
					m->mergeWhenClauses = (yyvsp[-1].list);
					m->returningList = (yyvsp[0].list);

					(yyval.node) = (Node *) m;
				}
#line 45467 "gram.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 12483 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45473 "gram.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 12484 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list),(yyvsp[0].node)); }
#line 45479 "gram.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 12495 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[0].mergewhen)->matchKind = (yyvsp[-3].mergematch);
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 45490 "gram.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 12502 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[0].mergewhen)->matchKind = (yyvsp[-3].mergematch);
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 45501 "gram.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 12509 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[0].mergewhen)->matchKind = (yyvsp[-3].mergematch);
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 45512 "gram.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 12516 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *m = makeNode(MergeWhenClause);

					m->matchKind = (yyvsp[-4].mergematch);
					m->commandType = CMD_NOTHING;
					m->condition = (yyvsp[-3].node);

					(yyval.node) = (Node *) m;
				}
#line 45526 "gram.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 12526 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *m = makeNode(MergeWhenClause);

					m->matchKind = (yyvsp[-4].mergematch);
					m->commandType = CMD_NOTHING;
					m->condition = (yyvsp[-3].node);

					(yyval.node) = (Node *) m;
				}
#line 45540 "gram.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 12538 "gram.y" /* yacc.c:1646  */
    { (yyval.mergematch) = MERGE_WHEN_MATCHED; }
#line 45546 "gram.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 12539 "gram.y" /* yacc.c:1646  */
    { (yyval.mergematch) = MERGE_WHEN_NOT_MATCHED_BY_SOURCE; }
#line 45552 "gram.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 12543 "gram.y" /* yacc.c:1646  */
    { (yyval.mergematch) = MERGE_WHEN_NOT_MATCHED_BY_TARGET; }
#line 45558 "gram.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 12544 "gram.y" /* yacc.c:1646  */
    { (yyval.mergematch) = MERGE_WHEN_NOT_MATCHED_BY_TARGET; }
#line 45564 "gram.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 12548 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45570 "gram.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 12549 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 45576 "gram.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 12554 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_UPDATE;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = (yyvsp[0].list);
					n->values = NIL;

					(yyval.mergewhen) = n;
				}
#line 45590 "gram.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 12567 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_DELETE;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = NIL;

					(yyval.mergewhen) = n;
				}
#line 45604 "gram.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 12580 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 45617 "gram.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 12589 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = (yyvsp[-2].ival);
					n->targetList = NIL;
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 45630 "gram.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 12598 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = (yyvsp[-2].list);
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 45643 "gram.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 12607 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = (yyvsp[-2].ival);
					n->targetList = (yyvsp[-5].list);
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 45656 "gram.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 12616 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = NIL;
					(yyval.mergewhen) = n;
				}
#line 45669 "gram.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 12628 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[-1].list);
				}
#line 45677 "gram.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 12640 "gram.y" /* yacc.c:1646  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);

					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 45691 "gram.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 12651 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45697 "gram.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 12654 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 45703 "gram.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 12655 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 45709 "gram.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 12656 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 45715 "gram.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 12657 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 45721 "gram.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 12658 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_ASENSITIVE; }
#line 45727 "gram.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 12659 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 45733 "gram.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 12662 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 45739 "gram.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 12663 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 45745 "gram.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 12664 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 45751 "gram.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 12717 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 45757 "gram.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 12718 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 45763 "gram.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 12733 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45769 "gram.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 12735 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 45780 "gram.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 12742 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										(yyvsp[0].selectlimit),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 45792 "gram.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 12750 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										(yyvsp[-1].selectlimit),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 45804 "gram.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 12758 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 45816 "gram.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 12766 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 45828 "gram.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 12774 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										(yyvsp[0].selectlimit),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 45840 "gram.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 12782 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										(yyvsp[-1].selectlimit),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 45852 "gram.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 12792 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45858 "gram.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 12793 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45864 "gram.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 12828 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = ((yyvsp[-2].groupclause))->list;
					n->groupDistinct = ((yyvsp[-2].groupclause))->distinct;
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 45882 "gram.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 12844 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = ((yyvsp[-2].groupclause))->list;
					n->groupDistinct = ((yyvsp[-2].groupclause))->distinct;
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 45901 "gram.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 12858 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45907 "gram.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 12860 "gram.y" /* yacc.c:1646  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef  *cr = makeNode(ColumnRef);
					ResTarget  *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *) cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *) n;
				}
#line 45930 "gram.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 12879 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 45938 "gram.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 12883 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 45946 "gram.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 12887 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 45954 "gram.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 12902 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 45965 "gram.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 12909 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 45976 "gram.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 12916 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 45987 "gram.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 12925 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45993 "gram.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 12926 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 45999 "gram.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 12930 "gram.y" /* yacc.c:1646  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);

				n->ctename = (yyvsp[-8].str);
				n->aliascolnames = (yyvsp[-7].list);
				n->ctematerialized = (yyvsp[-5].ival);
				n->ctequery = (yyvsp[-3].node);
				n->search_clause = castNode(CTESearchClause, (yyvsp[-1].node));
				n->cycle_clause = castNode(CTECycleClause, (yyvsp[0].node));
				n->location = (yylsp[-8]);
				(yyval.node) = (Node *) n;
			}
#line 46016 "gram.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 12945 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeAlways; }
#line 46022 "gram.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 12946 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeNever; }
#line 46028 "gram.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 12947 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeDefault; }
#line 46034 "gram.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 12952 "gram.y" /* yacc.c:1646  */
    {
				CTESearchClause *n = makeNode(CTESearchClause);

				n->search_col_list = (yyvsp[-2].list);
				n->search_breadth_first = false;
				n->search_seq_column = (yyvsp[0].str);
				n->location = (yylsp[-6]);
				(yyval.node) = (Node *) n;
			}
#line 46048 "gram.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 12962 "gram.y" /* yacc.c:1646  */
    {
				CTESearchClause *n = makeNode(CTESearchClause);

				n->search_col_list = (yyvsp[-2].list);
				n->search_breadth_first = true;
				n->search_seq_column = (yyvsp[0].str);
				n->location = (yylsp[-6]);
				(yyval.node) = (Node *) n;
			}
#line 46062 "gram.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 12972 "gram.y" /* yacc.c:1646  */
    {
				(yyval.node) = NULL;
			}
#line 46070 "gram.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 12979 "gram.y" /* yacc.c:1646  */
    {
				CTECycleClause *n = makeNode(CTECycleClause);

				n->cycle_col_list = (yyvsp[-8].list);
				n->cycle_mark_column = (yyvsp[-6].str);
				n->cycle_mark_value = (yyvsp[-4].node);
				n->cycle_mark_default = (yyvsp[-2].node);
				n->cycle_path_column = (yyvsp[0].str);
				n->location = (yylsp[-9]);
				(yyval.node) = (Node *) n;
			}
#line 46086 "gram.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 12991 "gram.y" /* yacc.c:1646  */
    {
				CTECycleClause *n = makeNode(CTECycleClause);

				n->cycle_col_list = (yyvsp[-4].list);
				n->cycle_mark_column = (yyvsp[-2].str);
				n->cycle_mark_value = makeBoolAConst(true, -1);
				n->cycle_mark_default = makeBoolAConst(false, -1);
				n->cycle_path_column = (yyvsp[0].str);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 46102 "gram.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 13003 "gram.y" /* yacc.c:1646  */
    {
				(yyval.node) = NULL;
			}
#line 46110 "gram.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 13009 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = (yyvsp[0].with); }
#line 46116 "gram.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 13010 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = NULL; }
#line 46122 "gram.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 13015 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 46137 "gram.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 13026 "gram.y" /* yacc.c:1646  */
    { (yyval.into) = NULL; }
#line 46143 "gram.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 13035 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 46152 "gram.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 13040 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 46161 "gram.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 13045 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 46170 "gram.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 13050 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 46179 "gram.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 13055 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 46191 "gram.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 13063 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 46203 "gram.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 13071 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 46212 "gram.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 13076 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 46221 "gram.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 13081 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 46230 "gram.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 13092 "gram.y" /* yacc.c:1646  */
    { (yyval.setquantifier) = SET_QUANTIFIER_ALL; }
#line 46236 "gram.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 13093 "gram.y" /* yacc.c:1646  */
    { (yyval.setquantifier) = SET_QUANTIFIER_DISTINCT; }
#line 46242 "gram.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 13094 "gram.y" /* yacc.c:1646  */
    { (yyval.setquantifier) = SET_QUANTIFIER_DEFAULT; }
#line 46248 "gram.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 13101 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(NIL); }
#line 46254 "gram.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 13102 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 46260 "gram.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 13111 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46266 "gram.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 13112 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46272 "gram.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 13116 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46278 "gram.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 13117 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46284 "gram.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 13121 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46290 "gram.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 13125 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 46296 "gram.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 13126 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 46302 "gram.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 13130 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 46315 "gram.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 13139 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 46328 "gram.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 13152 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selectlimit) = (yyvsp[-1].selectlimit);
					((yyval.selectlimit))->limitOffset = (yyvsp[0].node);
				}
#line 46337 "gram.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 13157 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selectlimit) = (yyvsp[0].selectlimit);
					((yyval.selectlimit))->limitOffset = (yyvsp[-1].node);
				}
#line 46346 "gram.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 13162 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selectlimit) = (yyvsp[0].selectlimit);
				}
#line 46354 "gram.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 13166 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = (yyvsp[0].node);
					n->limitCount = NULL;
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 46367 "gram.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 13177 "gram.y" /* yacc.c:1646  */
    { (yyval.selectlimit) = (yyvsp[0].selectlimit); }
#line 46373 "gram.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 13178 "gram.y" /* yacc.c:1646  */
    { (yyval.selectlimit) = NULL; }
#line 46379 "gram.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 13183 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[0].node);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 46392 "gram.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 13192 "gram.y" /* yacc.c:1646  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 46405 "gram.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 13208 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[-2].node);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 46418 "gram.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 13217 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[-3].node);
					n->limitOption = LIMIT_OPTION_WITH_TIES;
					(yyval.selectlimit) = n;
				}
#line 46431 "gram.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 13226 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = makeIntConst(1, -1);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 46444 "gram.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 13235 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = makeIntConst(1, -1);
					n->limitOption = LIMIT_OPTION_WITH_TIES;
					(yyval.selectlimit) = n;
				}
#line 46457 "gram.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 13247 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46463 "gram.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 13250 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 46469 "gram.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 13254 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46475 "gram.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 13256 "gram.y" /* yacc.c:1646  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 46484 "gram.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 13263 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46490 "gram.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 13283 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46496 "gram.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 13285 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 46502 "gram.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 13287 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 46508 "gram.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 13291 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival),(yylsp[0])); }
#line 46514 "gram.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 13292 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeFloatConst((yyvsp[0].str),(yylsp[0])); }
#line 46520 "gram.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 13296 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 46526 "gram.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 13297 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 46532 "gram.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 13300 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 46538 "gram.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 13301 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 46544 "gram.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 13327 "gram.y" /* yacc.c:1646  */
    {
					GroupClause *n = (GroupClause *) palloc(sizeof(GroupClause));

					n->distinct = (yyvsp[-1].setquantifier) == SET_QUANTIFIER_DISTINCT;
					n->list = (yyvsp[0].list);
					(yyval.groupclause) = n;
				}
#line 46556 "gram.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 13335 "gram.y" /* yacc.c:1646  */
    {
					GroupClause *n = (GroupClause *) palloc(sizeof(GroupClause));

					n->distinct = false;
					n->list = NIL;
					(yyval.groupclause) = n;
				}
#line 46568 "gram.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 13345 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 46574 "gram.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 13346 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].node)); }
#line 46580 "gram.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 13350 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46586 "gram.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 13351 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46592 "gram.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 13352 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46598 "gram.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 13353 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46604 "gram.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 13354 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46610 "gram.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 13359 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_EMPTY, NIL, (yylsp[-1]));
				}
#line 46618 "gram.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 13372 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_ROLLUP, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 46626 "gram.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 13379 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_CUBE, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 46634 "gram.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 13386 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_SETS, (yyvsp[-1].list), (yylsp[-4]));
				}
#line 46642 "gram.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 13392 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46648 "gram.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 13393 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 46654 "gram.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 13397 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46660 "gram.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 13398 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46666 "gram.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 13402 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46672 "gram.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 13403 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46678 "gram.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 13407 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 46684 "gram.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 13408 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 46690 "gram.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 13413 "gram.y" /* yacc.c:1646  */
    {
					LockingClause *n = makeNode(LockingClause);

					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->waitPolicy = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 46703 "gram.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 13424 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 46709 "gram.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 13425 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 46715 "gram.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 13426 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 46721 "gram.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 13427 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 46727 "gram.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 13431 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46733 "gram.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 13432 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46739 "gram.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 13443 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->valuesLists = list_make1((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 46750 "gram.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 13450 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-4].node);

					n->valuesLists = lappend(n->valuesLists, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 46761 "gram.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 13468 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46767 "gram.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 13469 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46773 "gram.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 13473 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 46779 "gram.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 13474 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 46785 "gram.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 13481 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 46794 "gram.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 13486 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = (RangeTableSample *) (yyvsp[0].node);

					(yyvsp[-2].range)->alias = (yyvsp[-1].alias);
					/* relation_expr goes inside the RangeTableSample node */
					n->relation = (Node *) (yyvsp[-2].range);
					(yyval.node) = (Node *) n;
				}
#line 46807 "gram.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 13495 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);

					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 46819 "gram.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 13503 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);

					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 46832 "gram.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 13512 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);

					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 46843 "gram.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 13519 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);

					n->lateral = true;
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 46855 "gram.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 13527 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);

					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 46868 "gram.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 13536 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);

					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 46881 "gram.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 13545 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 46889 "gram.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 13549 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 46898 "gram.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 13554 "gram.y" /* yacc.c:1646  */
    {
					JsonTable  *jt = castNode(JsonTable, (yyvsp[-1].node));

					jt->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) jt;
				}
#line 46909 "gram.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 13561 "gram.y" /* yacc.c:1646  */
    {
					JsonTable  *jt = castNode(JsonTable, (yyvsp[-1].node));

					jt->alias = (yyvsp[0].alias);
					jt->lateral = true;
					(yyval.node) = (Node *) jt;
				}
#line 46921 "gram.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 13590 "gram.y" /* yacc.c:1646  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 46929 "gram.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 13594 "gram.y" /* yacc.c:1646  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->join_using_alias = NULL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 46947 "gram.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 13608 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = false;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
					{
						 /* USING clause */
						n->usingClause = linitial_node(List, castNode(List, (yyvsp[0].node)));
						n->join_using_alias = lsecond_node(Alias, castNode(List, (yyvsp[0].node)));
					}
					else
					{
						/* ON clause */
						n->quals = (yyvsp[0].node);
					}
					(yyval.jexpr) = n;
				}
#line 46972 "gram.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 13629 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
					{
						/* USING clause */
						n->usingClause = linitial_node(List, castNode(List, (yyvsp[0].node)));
						n->join_using_alias = lsecond_node(Alias, castNode(List, (yyvsp[0].node)));
					}
					else
					{
						/* ON clause */
						n->quals = (yyvsp[0].node);
					}
					(yyval.jexpr) = n;
				}
#line 46998 "gram.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 13651 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = true;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->join_using_alias = NULL;
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 47015 "gram.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 13664 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = true;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->join_using_alias = NULL;
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 47033 "gram.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 13681 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 47043 "gram.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 13687 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 47052 "gram.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 13692 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 47062 "gram.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 13698 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 47071 "gram.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 13704 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 47077 "gram.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 13705 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 47083 "gram.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 13716 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
					/* the column name list will be inserted later */
				}
#line 47093 "gram.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 13721 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 47099 "gram.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 13730 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 47107 "gram.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 13734 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 47115 "gram.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 13738 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *a = makeNode(Alias);

					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 47126 "gram.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 13745 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *a = makeNode(Alias);

					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 47137 "gram.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 13752 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 47145 "gram.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 13757 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_FULL; }
#line 47151 "gram.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 13758 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 47157 "gram.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 13759 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 47163 "gram.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 13760 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_INNER; }
#line 47169 "gram.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 13781 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) list_make2((yyvsp[-2].list), (yyvsp[0].alias));
				}
#line 47177 "gram.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 13785 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 47185 "gram.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 13793 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query, implicitly */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 47196 "gram.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 13800 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 47204 "gram.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 13807 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query, explicitly */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 47215 "gram.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 13814 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 47226 "gram.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 13821 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 47237 "gram.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 13831 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 47243 "gram.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 13832 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 47249 "gram.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 13846 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 47257 "gram.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 13850 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *alias = makeNode(Alias);

					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 47269 "gram.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 13858 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *alias = makeNode(Alias);

					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 47281 "gram.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 13872 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = makeNode(RangeTableSample);

					/* n->relation will be filled in later */
					n->method = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->repeatable = (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 47296 "gram.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 13885 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].node); }
#line 47302 "gram.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 13886 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 47308 "gram.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 13902 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);

					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 47323 "gram.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 13913 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);

					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 47338 "gram.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 13926 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 47344 "gram.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 13930 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 47350 "gram.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 13931 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 47356 "gram.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 13934 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 47362 "gram.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 13935 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 47368 "gram.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 13938 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 47374 "gram.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 13939 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 47380 "gram.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 13944 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47386 "gram.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 13945 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 47392 "gram.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 13950 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47398 "gram.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 13952 "gram.y" /* yacc.c:1646  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);

					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 47411 "gram.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 13960 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 47417 "gram.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 13965 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 47423 "gram.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 13966 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 47429 "gram.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 13971 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 47437 "gram.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 13975 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 47445 "gram.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 13981 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 47468 "gram.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 14006 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);

					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = NIL;
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 47483 "gram.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 14018 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);

					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = (yyvsp[-7].list);
					n->location = (yylsp[-11]);
					(yyval.node) = (Node *) n;
				}
#line 47498 "gram.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 14030 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 47504 "gram.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 14031 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 47510 "gram.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 14036 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-1].str);
					fc->for_ordinality = false;
					fc->typeName = (yyvsp[0].typnam);
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-1]);

					(yyval.node) = (Node *) fc;
				}
#line 47528 "gram.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 14050 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);
					ListCell   *option;
					bool		nullability_seen = false;

					fc->colname = (yyvsp[-2].str);
					fc->typeName = (yyvsp[-1].typnam);
					fc->for_ordinality = false;
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-2]);

					foreach(option, (yyvsp[0].list))
					{
						DefElem   *defel = (DefElem *) lfirst(option);

						if (strcmp(defel->defname, "default") == 0)
						{
							if (fc->coldefexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one DEFAULT value is allowed"),
										 parser_errposition(defel->location)));
							fc->coldefexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "path") == 0)
						{
							if (fc->colexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one PATH value per column is allowed"),
										 parser_errposition(defel->location)));
							fc->colexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "is_not_null") == 0)
						{
							if (nullability_seen)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("conflicting or redundant NULL / NOT NULL declarations for column \"%s\"", fc->colname),
										 parser_errposition(defel->location)));
							fc->is_not_null = boolVal(defel->arg);
							nullability_seen = true;
						}
						else
						{
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized column option \"%s\"",
											defel->defname),
									 parser_errposition(defel->location)));
						}
					}
					(yyval.node) = (Node *) fc;
				}
#line 47589 "gram.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 14107 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-2].str);
					fc->for_ordinality = true;
					/* other fields are ignored, initialized by makeNode */
					fc->location = (yylsp[-2]);

					(yyval.node) = (Node *) fc;
				}
#line 47604 "gram.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 14121 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 47610 "gram.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 14123 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 47616 "gram.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 14128 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1])); }
#line 47622 "gram.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 14130 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("default", (yyvsp[0].node), (yylsp[-1])); }
#line 47628 "gram.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 14132 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeBoolean(true), (yylsp[-1])); }
#line 47634 "gram.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 14134 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeBoolean(false), (yylsp[0])); }
#line 47640 "gram.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 14136 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("path", (yyvsp[0].node), (yylsp[-1])); }
#line 47646 "gram.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 14141 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 47652 "gram.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 14143 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 47658 "gram.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 14148 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 47670 "gram.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 14156 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[0].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 47682 "gram.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 14172 "gram.y" /* yacc.c:1646  */
    {
					JsonTable *n = makeNode(JsonTable);
					char	  *pathstring;

					n->context_item = (JsonValueExpr *) (yyvsp[-10].node);
					if (!IsA((yyvsp[-8].node), A_Const) ||
						castNode(A_Const, (yyvsp[-8].node))->val.node.type != T_String)
						ereport(ERROR,
								errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								errmsg("only string constants are supported in JSON_TABLE path specification"),
								parser_errposition((yylsp[-8])));
					pathstring = castNode(A_Const, (yyvsp[-8].node))->val.sval.sval;
					n->pathspec = makeJsonTablePathSpec(pathstring, (yyvsp[-7].str), (yylsp[-8]), (yylsp[-7]));
					n->passing = (yyvsp[-6].list);
					n->columns = (yyvsp[-3].list);
					n->on_error = (JsonBehavior *) (yyvsp[-1].node);
					n->location = (yylsp[-12]);
					(yyval.node) = (Node *) n;
				}
#line 47706 "gram.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 14194 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47712 "gram.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 14195 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 47718 "gram.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 14200 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 47724 "gram.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 14202 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 47730 "gram.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 14207 "gram.y" /* yacc.c:1646  */
    {
					JsonTableColumn *n = makeNode(JsonTableColumn);

					n->coltype = JTC_FOR_ORDINALITY;
					n->name = (yyvsp[-2].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 47743 "gram.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 14220 "gram.y" /* yacc.c:1646  */
    {
					JsonTableColumn *n = makeNode(JsonTableColumn);

					n->coltype = JTC_REGULAR;
					n->name = (yyvsp[-5].str);
					n->typeName = (yyvsp[-4].typnam);
					n->format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);
					n->pathspec = (JsonTablePathSpec *) (yyvsp[-3].node);
					n->wrapper = (yyvsp[-2].ival);
					n->quotes = (yyvsp[-1].ival);
					n->on_empty = (JsonBehavior *) linitial((yyvsp[0].list));
					n->on_error = (JsonBehavior *) lsecond((yyvsp[0].list));
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 47763 "gram.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 14240 "gram.y" /* yacc.c:1646  */
    {
					JsonTableColumn *n = makeNode(JsonTableColumn);

					n->coltype = JTC_FORMATTED;
					n->name = (yyvsp[-6].str);
					n->typeName = (yyvsp[-5].typnam);
					n->format = (JsonFormat *) (yyvsp[-4].node);
					n->pathspec = (JsonTablePathSpec *) (yyvsp[-3].node);
					n->wrapper = (yyvsp[-2].ival);
					n->quotes = (yyvsp[-1].ival);
					n->on_empty = (JsonBehavior *) linitial((yyvsp[0].list));
					n->on_error = (JsonBehavior *) lsecond((yyvsp[0].list));
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 47783 "gram.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 14258 "gram.y" /* yacc.c:1646  */
    {
					JsonTableColumn *n = makeNode(JsonTableColumn);

					n->coltype = JTC_EXISTS;
					n->name = (yyvsp[-4].str);
					n->typeName = (yyvsp[-3].typnam);
					n->format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);
					n->wrapper = JSW_NONE;
					n->quotes = JS_QUOTES_UNSPEC;
					n->pathspec = (JsonTablePathSpec *) (yyvsp[-1].node);
					n->on_empty = NULL;
					n->on_error = (JsonBehavior *) (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 47803 "gram.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 14275 "gram.y" /* yacc.c:1646  */
    {
					JsonTableColumn *n = makeNode(JsonTableColumn);

					n->coltype = JTC_NESTED;
					n->pathspec = (JsonTablePathSpec *)
						makeJsonTablePathSpec((yyvsp[-4].str), NULL, (yylsp[-4]), -1);
					n->columns = (yyvsp[-1].list);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 47818 "gram.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 14287 "gram.y" /* yacc.c:1646  */
    {
					JsonTableColumn *n = makeNode(JsonTableColumn);

					n->coltype = JTC_NESTED;
					n->pathspec = (JsonTablePathSpec *)
						makeJsonTablePathSpec((yyvsp[-6].str), (yyvsp[-4].str), (yylsp[-6]), (yylsp[-4]));
					n->columns = (yyvsp[-1].list);
					n->location = (yylsp[-8]);
					(yyval.node) = (Node *) n;
				}
#line 47833 "gram.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 14306 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeJsonTablePathSpec((yyvsp[0].str), NULL, (yylsp[0]), -1); }
#line 47839 "gram.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 14308 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 47845 "gram.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 14322 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 47854 "gram.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 14327 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = true;
				}
#line 47864 "gram.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 14334 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 47873 "gram.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 14339 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = true;
				}
#line 47883 "gram.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 14345 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 47892 "gram.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 14350 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = true;
				}
#line 47902 "gram.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 14359 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 47908 "gram.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 14361 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 47914 "gram.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 14363 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = NIL; }
#line 47920 "gram.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 14367 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47926 "gram.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 14368 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47932 "gram.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 14369 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47938 "gram.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 14370 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47944 "gram.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 14371 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47950 "gram.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 14373 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 47959 "gram.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 14378 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-3].typnam);
					(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											 makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 47969 "gram.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 14383 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47975 "gram.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 14398 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47981 "gram.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 14399 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47987 "gram.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 14400 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47993 "gram.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 14401 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47999 "gram.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 14402 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 48005 "gram.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 14414 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 48015 "gram.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 14420 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 48025 "gram.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 14427 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 48031 "gram.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 14428 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 48037 "gram.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 14435 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 48046 "gram.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 14440 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 48055 "gram.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 14445 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 48064 "gram.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 14450 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 48073 "gram.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 14455 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 48082 "gram.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 14460 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 48091 "gram.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 14465 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 48100 "gram.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 14470 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 48110 "gram.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 14476 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 48120 "gram.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 14482 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 48130 "gram.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 14488 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 48139 "gram.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 14495 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 48164 "gram.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 14516 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 48172 "gram.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 14526 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 48180 "gram.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 14530 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 48188 "gram.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 14538 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 48196 "gram.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 14542 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 48205 "gram.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 14550 "gram.y" /* yacc.c:1646  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 48218 "gram.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 14562 "gram.y" /* yacc.c:1646  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 48236 "gram.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 14583 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 48244 "gram.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 14587 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 48252 "gram.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 14593 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 48260 "gram.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 14597 "gram.y" /* yacc.c:1646  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 48275 "gram.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 14610 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[-3].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 48285 "gram.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 14618 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[0].str));
					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[0].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 48297 "gram.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 14628 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 48303 "gram.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 14630 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 48309 "gram.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 14632 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "varchar"; }
#line 48315 "gram.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 14634 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 48321 "gram.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 14636 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 48327 "gram.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 14638 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 48333 "gram.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 14642 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 48339 "gram.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 14643 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 48345 "gram.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 14651 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 48358 "gram.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 14660 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 48370 "gram.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 14668 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 48383 "gram.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 14677 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 48395 "gram.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 14688 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 48404 "gram.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 14695 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 48410 "gram.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 14696 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 48416 "gram.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 14697 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 48422 "gram.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 14702 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 48428 "gram.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 14704 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 48434 "gram.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 14706 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 48440 "gram.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 14708 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 48446 "gram.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 14710 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 48452 "gram.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 14712 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 48458 "gram.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 14714 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 48467 "gram.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 14719 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 48476 "gram.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 14724 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 48486 "gram.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 14730 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 48498 "gram.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 14738 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 48507 "gram.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 14743 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 48518 "gram.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 14750 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 48528 "gram.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 14756 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 48534 "gram.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 14761 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 48542 "gram.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 14765 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 48551 "gram.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 14773 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("json");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 48560 "gram.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 14807 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 48566 "gram.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 14809 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 48572 "gram.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 14811 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);

					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 48585 "gram.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 14820 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48596 "gram.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 14827 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make1((yyvsp[-2].node)),
											   COERCE_SQL_SYNTAX,
											   -1);
				}
#line 48607 "gram.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 14843 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 48613 "gram.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 14845 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 48619 "gram.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 14847 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48625 "gram.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 14849 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48631 "gram.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 14851 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48637 "gram.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 14853 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48643 "gram.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 14855 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48649 "gram.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 14857 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48655 "gram.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 14859 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48661 "gram.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 14861 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48667 "gram.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 14863 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48673 "gram.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 14865 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48679 "gram.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 14867 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48685 "gram.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 14869 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48691 "gram.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 14872 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48697 "gram.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 14874 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 48703 "gram.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 14877 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAndExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48709 "gram.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 14879 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeOrExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48715 "gram.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 14881 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 48721 "gram.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 14883 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 48727 "gram.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 14886 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 48736 "gram.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 14891 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 48749 "gram.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 14900 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 48758 "gram.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 14905 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 48771 "gram.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 14914 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 48780 "gram.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 14919 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 48793 "gram.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 14928 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 48802 "gram.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 14933 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 48815 "gram.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 14943 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make1((yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 48828 "gram.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 14952 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 48841 "gram.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 14961 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make1((yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 48854 "gram.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 14970 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 48867 "gram.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 14989 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 48880 "gram.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 14998 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 48893 "gram.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 15007 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 48906 "gram.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 15016 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 48919 "gram.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 15025 "gram.y" /* yacc.c:1646  */
    {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-1]));
				}
#line 48940 "gram.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 15042 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 48953 "gram.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 15051 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 48966 "gram.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 15060 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 48979 "gram.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 15069 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 48992 "gram.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 15078 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 49005 "gram.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 15087 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 49018 "gram.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 15096 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 49026 "gram.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 15100 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 49034 "gram.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 15104 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN,
												   "BETWEEN",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 49046 "gram.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 15112 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN,
												   "NOT BETWEEN",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 49058 "gram.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 15120 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN_SYM,
												   "BETWEEN SYMMETRIC",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 49070 "gram.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 15128 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN_SYM,
												   "NOT BETWEEN SYMMETRIC",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 49082 "gram.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 15136 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink	   *n = (SubLink *) (yyvsp[0].node);

						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-2].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *) n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 49107 "gram.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 15157 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink	   *n = (SubLink *) (yyvsp[0].node);

						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-3].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-2]);
						/* Stick a NOT on top; must have same parse location */
						(yyval.node) = makeNotExpr((Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 49134 "gram.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 15180 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = (yyvsp[-1].ival);
					n->subLinkId = 0;
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 49150 "gram.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 15192 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 49161 "gram.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 15199 "gram.y" /* yacc.c:1646  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-2]))));
				}
#line 49181 "gram.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 15215 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 49190 "gram.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 15220 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 49200 "gram.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 15226 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("is_normalized"),
											   list_make1((yyvsp[-2].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-1]));
				}
#line 49211 "gram.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 15233 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("is_normalized"),
											   list_make2((yyvsp[-3].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-2]));
				}
#line 49222 "gram.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 15240 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr((Node *) makeFuncCall(SystemFuncName("is_normalized"),
														   list_make1((yyvsp[-3].node)),
														   COERCE_SQL_SYNTAX,
														   (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 49234 "gram.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 15248 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr((Node *) makeFuncCall(SystemFuncName("is_normalized"),
														   list_make2((yyvsp[-4].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
														   COERCE_SQL_SYNTAX,
														   (yylsp[-3])),
									 (yylsp[-3]));
				}
#line 49246 "gram.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 15257 "gram.y" /* yacc.c:1646  */
    {
					JsonFormat *format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);

					(yyval.node) = makeJsonIsPredicate((yyvsp[-3].node), format, (yyvsp[-1].ival), (yyvsp[0].boolean), (yylsp[-3]));
				}
#line 49256 "gram.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 15275 "gram.y" /* yacc.c:1646  */
    {
					JsonFormat *format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);

					(yyval.node) = makeNotExpr(makeJsonIsPredicate((yyvsp[-4].node), format, (yyvsp[-1].ival), (yyvsp[0].boolean), (yylsp[-4])), (yylsp[-4]));
				}
#line 49266 "gram.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 15292 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * The SQL spec only allows DEFAULT in "contextually typed
					 * expressions", but for us, it's easier to allow it in
					 * any a_expr and then throw error during parse analysis
					 * if it's in an inappropriate context.  This way also
					 * lets us say something smarter than "syntax error".
					 */
					SetToDefault *n = makeNode(SetToDefault);

					/* parse analysis will fill in the rest */
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 49285 "gram.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 15318 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49291 "gram.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 15320 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 49297 "gram.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 15322 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 49303 "gram.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 15324 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 49309 "gram.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 15326 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49315 "gram.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 15328 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49321 "gram.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 15330 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49327 "gram.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 15332 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49333 "gram.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 15334 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49339 "gram.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 15336 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49345 "gram.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 15338 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49351 "gram.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 15340 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49357 "gram.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 15342 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49363 "gram.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 15344 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49369 "gram.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 15346 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49375 "gram.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 15348 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49381 "gram.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 15350 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49387 "gram.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 15352 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 49393 "gram.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 15354 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 49401 "gram.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 15358 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 49409 "gram.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 15362 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 49418 "gram.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 15367 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 49428 "gram.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 15382 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49434 "gram.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 15383 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49440 "gram.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 15385 "gram.y" /* yacc.c:1646  */
    {
					ParamRef   *p = makeNode(ParamRef);

					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);

						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 49461 "gram.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 15402 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);

						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 49478 "gram.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 15415 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49484 "gram.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 15417 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49490 "gram.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 15419 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 49506 "gram.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 15431 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink	   *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);

					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *) n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *) a;
				}
#line 49535 "gram.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 15456 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = EXISTS_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 49551 "gram.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 15468 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = ARRAY_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 49567 "gram.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 15480 "gram.y" /* yacc.c:1646  */
    {
					A_ArrayExpr *n = castNode(A_ArrayExpr, (yyvsp[0].node));

					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 49579 "gram.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 15488 "gram.y" /* yacc.c:1646  */
    {
					RowExpr	   *r = makeNode(RowExpr);

					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_EXPLICIT_CALL; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *) r;
				}
#line 49594 "gram.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 15499 "gram.y" /* yacc.c:1646  */
    {
					RowExpr	   *r = makeNode(RowExpr);

					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_IMPLICIT_CAST; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *) r;
				}
#line 49609 "gram.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 15510 "gram.y" /* yacc.c:1646  */
    {
				  GroupingFunc *g = makeNode(GroupingFunc);

				  g->args = (yyvsp[-1].list);
				  g->location = (yylsp[-3]);
				  (yyval.node) = (Node *) g;
			  }
#line 49621 "gram.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 15520 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL,
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-2]));
				}
#line 49631 "gram.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 15526 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));

					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 49644 "gram.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 15535 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 49658 "gram.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 15545 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-7]));

					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 49672 "gram.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 15555 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *) n;
				}
#line 49689 "gram.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 15568 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = true;
					(yyval.node) = (Node *) n;
				}
#line 49703 "gram.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 15578 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall   *n = makeFuncCall((yyvsp[-3].list), NIL,
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));

					n->agg_star = true;
					(yyval.node) = (Node *) n;
				}
#line 49726 "gram.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 15609 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = (FuncCall *) (yyvsp[-3].node);

					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = true;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 49766 "gram.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 15645 "gram.y" /* yacc.c:1646  */
    {
					JsonAggConstructor *n = IsA((yyvsp[-2].node), JsonObjectAgg) ?
						((JsonObjectAgg *) (yyvsp[-2].node))->constructor :
						((JsonArrayAgg *) (yyvsp[-2].node))->constructor;

					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) (yyvsp[-2].node);
				}
#line 49780 "gram.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 15655 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49786 "gram.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 15665 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49792 "gram.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 15666 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49798 "gram.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 15667 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49804 "gram.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 15675 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 49815 "gram.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 15682 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_DATE, -1, (yylsp[0]));
				}
#line 49823 "gram.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 15686 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME, -1, (yylsp[0]));
				}
#line 49831 "gram.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 15690 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 49839 "gram.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 15694 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP, -1, (yylsp[0]));
				}
#line 49847 "gram.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 15698 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 49855 "gram.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 15702 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME, -1, (yylsp[0]));
				}
#line 49863 "gram.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 15706 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 49871 "gram.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 15710 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP, -1, (yylsp[0]));
				}
#line 49879 "gram.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 15714 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 49887 "gram.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 15718 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_ROLE, -1, (yylsp[0]));
				}
#line 49895 "gram.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 15722 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_USER, -1, (yylsp[0]));
				}
#line 49903 "gram.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 15726 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_SESSION_USER, -1, (yylsp[0]));
				}
#line 49911 "gram.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 15730 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("system_user"),
											   NIL,
											   COERCE_SQL_SYNTAX,
											   (yylsp[0]));
				}
#line 49922 "gram.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 15737 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_USER, -1, (yylsp[0]));
				}
#line 49930 "gram.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 15741 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_CATALOG, -1, (yylsp[0]));
				}
#line 49938 "gram.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 15745 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_SCHEMA, -1, (yylsp[0]));
				}
#line 49946 "gram.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 15749 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 49952 "gram.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 15751 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("extract"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 49963 "gram.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 15758 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("normalize"),
											   list_make1((yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 49974 "gram.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 15765 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("normalize"),
											   list_make2((yyvsp[-3].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-5]));
				}
#line 49985 "gram.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 15772 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 49996 "gram.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 15779 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * allow functions named overlay() to be called without
					 * special syntax
					 */
					(yyval.node) = (Node *) makeFuncCall(list_make1(makeString("overlay")),
											   (yyvsp[-1].list),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-3]));
				}
#line 50011 "gram.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 15790 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * position(A in B) is converted to position(B, A)
					 *
					 * We deliberately don't offer a "plain syntax" option
					 * for position(), because the reversal of the arguments
					 * creates too much risk of confusion.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 50029 "gram.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 15804 "gram.y" /* yacc.c:1646  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 50043 "gram.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 15814 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * allow functions named substring() to be called without
					 * special syntax
					 */
					(yyval.node) = (Node *) makeFuncCall(list_make1(makeString("substring")),
											   (yyvsp[-1].list),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-3]));
				}
#line 50058 "gram.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 15825 "gram.y" /* yacc.c:1646  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(strVal(llast((yyvsp[-1].typnam)->names))),
											   list_make1((yyvsp[-3].node)),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-5]));
				}
#line 50078 "gram.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 15841 "gram.y" /* yacc.c:1646  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 50092 "gram.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 15851 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 50103 "gram.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 15858 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 50114 "gram.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 15865 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 50125 "gram.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 15872 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 50133 "gram.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 15876 "gram.y" /* yacc.c:1646  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);

					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *) c;
				}
#line 50145 "gram.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 15884 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);

					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *) v;
				}
#line 50158 "gram.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 15893 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);

					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *) v;
				}
#line 50171 "gram.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 15902 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 50179 "gram.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 15906 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 50187 "gram.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 15910 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 50195 "gram.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 15914 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 50203 "gram.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 15918 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 50211 "gram.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 15922 "gram.y" /* yacc.c:1646  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"),
											   list_make2((yyvsp[-2].node), (yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 50224 "gram.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 15931 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 50232 "gram.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 15935 "gram.y" /* yacc.c:1646  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));

					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *) x;
				}
#line 50246 "gram.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 15945 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 50254 "gram.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 15949 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 50262 "gram.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 15953 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 50271 "gram.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 15958 "gram.y" /* yacc.c:1646  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);

					n->xmloption = (yyvsp[-5].ival);
					n->expr = (yyvsp[-4].node);
					n->typeName = (yyvsp[-2].typnam);
					n->indent = (yyvsp[-1].boolean);
					n->location = (yylsp[-7]);
					(yyval.node) = (Node *) n;
				}
#line 50286 "gram.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 15969 "gram.y" /* yacc.c:1646  */
    {
					/* Support for legacy (non-standard) json_object() */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("json_object"),
											   (yyvsp[-1].list), COERCE_EXPLICIT_CALL, (yylsp[-3]));
				}
#line 50296 "gram.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 15978 "gram.y" /* yacc.c:1646  */
    {
					JsonObjectConstructor *n = makeNode(JsonObjectConstructor);

					n->exprs = (yyvsp[-4].list);
					n->absent_on_null = (yyvsp[-3].boolean);
					n->unique = (yyvsp[-2].boolean);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 50311 "gram.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 15989 "gram.y" /* yacc.c:1646  */
    {
					JsonObjectConstructor *n = makeNode(JsonObjectConstructor);

					n->exprs = NULL;
					n->absent_on_null = false;
					n->unique = false;
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 50326 "gram.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 16004 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayConstructor *n = makeNode(JsonArrayConstructor);

					n->exprs = (yyvsp[-3].list);
					n->absent_on_null = (yyvsp[-2].boolean);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 50340 "gram.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 16019 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayQueryConstructor *n = makeNode(JsonArrayQueryConstructor);

					n->query = (yyvsp[-3].node);
					n->format = (JsonFormat *) (yyvsp[-2].node);
					n->absent_on_null = true;	/* XXX */
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 50355 "gram.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 16032 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayConstructor *n = makeNode(JsonArrayConstructor);

					n->exprs = NIL;
					n->absent_on_null = true;
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 50369 "gram.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 16042 "gram.y" /* yacc.c:1646  */
    {
					JsonParseExpr *n = makeNode(JsonParseExpr);

					n->expr = (JsonValueExpr *) (yyvsp[-2].node);
					n->unique_keys = (yyvsp[-1].boolean);
					n->output = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 50383 "gram.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 16052 "gram.y" /* yacc.c:1646  */
    {
					JsonScalarExpr *n = makeNode(JsonScalarExpr);

					n->expr = (Expr *) (yyvsp[-1].node);
					n->output = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 50396 "gram.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 16061 "gram.y" /* yacc.c:1646  */
    {
					JsonSerializeExpr *n = makeNode(JsonSerializeExpr);

					n->expr = (JsonValueExpr *) (yyvsp[-2].node);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 50409 "gram.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 16070 "gram.y" /* yacc.c:1646  */
    {
					MergeSupportFunc *m = makeNode(MergeSupportFunc);

					m->msftype = TEXTOID;
					m->location = (yylsp[-2]);
					(yyval.node) = (Node *) m;
				}
#line 50421 "gram.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 16084 "gram.y" /* yacc.c:1646  */
    {
					JsonFuncExpr *n = makeNode(JsonFuncExpr);

					n->op = JSON_QUERY_OP;
					n->context_item = (JsonValueExpr *) (yyvsp[-8].node);
					n->pathspec = (yyvsp[-6].node);
					n->passing = (yyvsp[-5].list);
					n->output = (JsonOutput *) (yyvsp[-4].node);
					n->wrapper = (yyvsp[-3].ival);
					n->quotes = (yyvsp[-2].ival);
					n->on_empty = (JsonBehavior *) linitial((yyvsp[-1].list));
					n->on_error = (JsonBehavior *) lsecond((yyvsp[-1].list));
					n->location = (yylsp[-10]);
					(yyval.node) = (Node *) n;
				}
#line 50441 "gram.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 16103 "gram.y" /* yacc.c:1646  */
    {
					JsonFuncExpr *n = makeNode(JsonFuncExpr);

					n->op = JSON_EXISTS_OP;
					n->context_item = (JsonValueExpr *) (yyvsp[-5].node);
					n->pathspec = (yyvsp[-3].node);
					n->passing = (yyvsp[-2].list);
					n->output = NULL;
					n->on_error = (JsonBehavior *) (yyvsp[-1].node);
					n->location = (yylsp[-7]);
					(yyval.node) = (Node *) n;
				}
#line 50458 "gram.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 16120 "gram.y" /* yacc.c:1646  */
    {
					JsonFuncExpr *n = makeNode(JsonFuncExpr);

					n->op = JSON_VALUE_OP;
					n->context_item = (JsonValueExpr *) (yyvsp[-6].node);
					n->pathspec = (yyvsp[-4].node);
					n->passing = (yyvsp[-3].list);
					n->output = (JsonOutput *) (yyvsp[-2].node);
					n->on_empty = (JsonBehavior *) linitial((yyvsp[-1].list));
					n->on_error = (JsonBehavior *) lsecond((yyvsp[-1].list));
					n->location = (yylsp[-8]);
					(yyval.node) = (Node *) n;
				}
#line 50476 "gram.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 16140 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 50482 "gram.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 16142 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst(-1); }
#line 50488 "gram.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 16146 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 50494 "gram.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 16148 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 50500 "gram.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 16150 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 50506 "gram.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 16152 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 50512 "gram.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 16155 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 50518 "gram.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 16158 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 50524 "gram.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 16159 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 50530 "gram.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 16163 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 50542 "gram.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 16171 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 50554 "gram.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 16180 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 50560 "gram.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 16181 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 50566 "gram.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 16184 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 50572 "gram.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 16185 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50578 "gram.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 16186 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50584 "gram.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 16189 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 50590 "gram.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 16190 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50596 "gram.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 16191 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50602 "gram.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 16197 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 50610 "gram.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 16201 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 50618 "gram.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 16205 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 50626 "gram.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 16209 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 50634 "gram.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 16224 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 50640 "gram.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 16225 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50646 "gram.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 16229 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 50652 "gram.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 16230 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 50658 "gram.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 16238 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 50664 "gram.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 16239 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50670 "gram.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 16243 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 50676 "gram.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 16245 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 50682 "gram.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 16250 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[0].windef);

					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 50693 "gram.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 16259 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 50699 "gram.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 16261 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 50717 "gram.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 16275 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = NULL; }
#line 50723 "gram.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 16280 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 50742 "gram.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 16306 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50748 "gram.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 16307 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 50754 "gram.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 16310 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 50760 "gram.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 16311 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50766 "gram.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 16320 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 50778 "gram.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 16328 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 50790 "gram.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 16336 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_GROUPS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 50802 "gram.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 16344 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 50815 "gram.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 16355 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[0].windef);

					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 50837 "gram.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 16373 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n1 = (yyvsp[-2].windef);
					WindowDef  *n2 = (yyvsp[0].windef);

					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_OFFSET_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_OFFSET_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 50879 "gram.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 16419 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 50892 "gram.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 16428 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 50905 "gram.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 16437 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 50918 "gram.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 16446 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_OFFSET_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 50931 "gram.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 16455 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_OFFSET_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 50944 "gram.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 16466 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_CURRENT_ROW; }
#line 50950 "gram.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 16467 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_GROUP; }
#line 50956 "gram.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 16468 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_TIES; }
#line 50962 "gram.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 16469 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 50968 "gram.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 16470 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 50974 "gram.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 16484 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 50980 "gram.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 16485 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50986 "gram.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 16486 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 50992 "gram.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 16489 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 50998 "gram.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 16490 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 51004 "gram.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 16493 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 51010 "gram.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 16496 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 51016 "gram.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 16497 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 51022 "gram.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 16498 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 51028 "gram.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 16501 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51034 "gram.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 16502 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51040 "gram.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 16505 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "+"; }
#line 51046 "gram.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 16506 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "-"; }
#line 51052 "gram.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 16507 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "*"; }
#line 51058 "gram.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 16508 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "/"; }
#line 51064 "gram.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 16509 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "%"; }
#line 51070 "gram.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 16510 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "^"; }
#line 51076 "gram.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 16511 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<"; }
#line 51082 "gram.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 16512 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">"; }
#line 51088 "gram.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 16513 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "="; }
#line 51094 "gram.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 16514 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<="; }
#line 51100 "gram.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 16515 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">="; }
#line 51106 "gram.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 16516 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<>"; }
#line 51112 "gram.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 16520 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 51118 "gram.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 16522 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 51124 "gram.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 16527 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 51130 "gram.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 16529 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 51136 "gram.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 16534 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 51142 "gram.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 16536 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 51148 "gram.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 16538 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 51154 "gram.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 16540 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 51160 "gram.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 16542 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 51166 "gram.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 16544 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 51172 "gram.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 16556 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 51180 "gram.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 16560 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 51188 "gram.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 16567 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 51196 "gram.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 16571 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 51204 "gram.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 16577 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 51212 "gram.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 16581 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);

					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 51226 "gram.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 16591 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);

					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 51240 "gram.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 16602 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 51246 "gram.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 16603 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 51252 "gram.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 16606 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 51258 "gram.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 16607 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 51264 "gram.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 16611 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 51272 "gram.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 16615 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 51280 "gram.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 16619 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 51288 "gram.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 16624 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 51294 "gram.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 16625 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 51300 "gram.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 16631 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 51308 "gram.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 16640 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51314 "gram.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 16641 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "year"; }
#line 51320 "gram.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 16642 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "month"; }
#line 51326 "gram.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 16643 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "day"; }
#line 51332 "gram.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 16644 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "hour"; }
#line 51338 "gram.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 16645 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "minute"; }
#line 51344 "gram.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 16646 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "second"; }
#line 51350 "gram.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 16647 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51356 "gram.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 16651 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFC"; }
#line 51362 "gram.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 16652 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFD"; }
#line 51368 "gram.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 16653 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFKC"; }
#line 51374 "gram.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 16654 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFKD"; }
#line 51380 "gram.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 16660 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to overlay(A, B, C, D) */
					(yyval.list) = list_make4((yyvsp[-6].node), (yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 51389 "gram.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 16665 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C) is converted to overlay(A, B, C) */
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 51398 "gram.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 16673 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 51404 "gram.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 16695 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 51412 "gram.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 16699 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[0].node), (yyvsp[-2].node));
				}
#line 51421 "gram.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 16704 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because we aren't restricting data types here, this
					 * syntax can end up resolving to textregexsubstr().
					 * We've historically allowed that to happen, so continue
					 * to accept it.  However, ruleutils.c will reverse-list
					 * such a call in regular function call syntax.
					 */
					(yyval.list) = list_make2((yyvsp[-2].node), (yyvsp[0].node));
				}
#line 51436 "gram.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 16715 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL */

					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-2].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 51457 "gram.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 16732 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 51465 "gram.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 16737 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 51471 "gram.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 16738 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 51477 "gram.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 16739 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 51483 "gram.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 16743 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *) n;
				}
#line 51495 "gram.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 16750 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 51501 "gram.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 16761 "gram.y" /* yacc.c:1646  */
    {
					CaseExpr   *c = makeNode(CaseExpr);

					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *) c;
				}
#line 51516 "gram.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 16775 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 51522 "gram.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 16776 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 51528 "gram.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 16781 "gram.y" /* yacc.c:1646  */
    {
					CaseWhen   *w = makeNode(CaseWhen);

					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *) w;
				}
#line 51541 "gram.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 16792 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 51547 "gram.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 16793 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 51553 "gram.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 16796 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 51559 "gram.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 16797 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 51565 "gram.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 16801 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 51573 "gram.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 16805 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 51581 "gram.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 16812 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 51589 "gram.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 16816 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 51597 "gram.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 16820 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);

					ai->is_slice = false;
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 51610 "gram.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 16829 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);

					ai->is_slice = true;
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 51623 "gram.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 16840 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 51629 "gram.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 16841 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 51635 "gram.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 16845 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 51641 "gram.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 16846 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 51647 "gram.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 16850 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 51653 "gram.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 16851 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 51659 "gram.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 16860 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 51665 "gram.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 16861 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 51671 "gram.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 16865 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 51677 "gram.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 16866 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 51683 "gram.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 16871 "gram.y" /* yacc.c:1646  */
    {
				JsonArgument *n = makeNode(JsonArgument);

				n->val = (JsonValueExpr *) (yyvsp[-2].node);
				n->name = (yyvsp[0].str);
				(yyval.node) = (Node *) n;
			}
#line 51695 "gram.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 16882 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_NONE; }
#line 51701 "gram.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 16883 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_NONE; }
#line 51707 "gram.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 16884 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_UNCONDITIONAL; }
#line 51713 "gram.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 16885 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_UNCONDITIONAL; }
#line 51719 "gram.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 16886 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_CONDITIONAL; }
#line 51725 "gram.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 16887 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_UNCONDITIONAL; }
#line 51731 "gram.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 16888 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_CONDITIONAL; }
#line 51737 "gram.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 16889 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_UNCONDITIONAL; }
#line 51743 "gram.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 16890 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_UNSPEC; }
#line 51749 "gram.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 16895 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeJsonBehavior(JSON_BEHAVIOR_DEFAULT, (yyvsp[0].node), (yylsp[-1])); }
#line 51755 "gram.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 16897 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeJsonBehavior((yyvsp[0].ival), NULL, (yylsp[0])); }
#line 51761 "gram.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 16901 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_ERROR; }
#line 51767 "gram.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 16902 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_NULL; }
#line 51773 "gram.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 16903 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_TRUE; }
#line 51779 "gram.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 16904 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_FALSE; }
#line 51785 "gram.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 16905 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_UNKNOWN; }
#line 51791 "gram.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 16906 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_EMPTY_ARRAY; }
#line 51797 "gram.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 16907 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_EMPTY_OBJECT; }
#line 51803 "gram.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 16909 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_EMPTY_ARRAY; }
#line 51809 "gram.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 16914 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-2].node), NULL); }
#line 51815 "gram.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 16916 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-2].node)); }
#line 51821 "gram.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 16918 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-5].node), (yyvsp[-2].node)); }
#line 51827 "gram.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 16920 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, NULL); }
#line 51833 "gram.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 16925 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-2].node); }
#line 51839 "gram.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 16927 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 51845 "gram.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 16932 "gram.y" /* yacc.c:1646  */
    {
				/* formatted_expr will be set during parse-analysis. */
				(yyval.node) = (Node *) makeJsonValueExpr((Expr *) (yyvsp[-1].node), NULL,
												castNode(JsonFormat, (yyvsp[0].node)));
			}
#line 51855 "gram.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 16941 "gram.y" /* yacc.c:1646  */
    {
					int		encoding;

					if (!pg_strcasecmp((yyvsp[0].str), "utf8"))
						encoding = JS_ENC_UTF8;
					else if (!pg_strcasecmp((yyvsp[0].str), "utf16"))
						encoding = JS_ENC_UTF16;
					else if (!pg_strcasecmp((yyvsp[0].str), "utf32"))
						encoding = JS_ENC_UTF32;
					else
						ereport(ERROR,
								errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								errmsg("unrecognized JSON encoding: %s", (yyvsp[0].str)));

					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_JSON, encoding, (yylsp[-3]));
				}
#line 51876 "gram.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 16958 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_JSON, JS_ENC_DEFAULT, (yylsp[-1]));
				}
#line 51884 "gram.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 16965 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 51892 "gram.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 16969 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);
				}
#line 51900 "gram.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 16975 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_QUOTES_KEEP; }
#line 51906 "gram.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 16976 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_QUOTES_KEEP; }
#line 51912 "gram.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 16977 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_QUOTES_OMIT; }
#line 51918 "gram.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 16978 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_QUOTES_OMIT; }
#line 51924 "gram.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 16979 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_QUOTES_UNSPEC; }
#line 51930 "gram.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 16984 "gram.y" /* yacc.c:1646  */
    {
					JsonOutput *n = makeNode(JsonOutput);

					n->typeName = (yyvsp[-1].typnam);
					n->returning = makeNode(JsonReturning);
					n->returning->format = (JsonFormat *) (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 51943 "gram.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 16992 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 51949 "gram.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 17006 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_ANY; }
#line 51955 "gram.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 17007 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_ANY; }
#line 51961 "gram.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 17008 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_ARRAY; }
#line 51967 "gram.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 17009 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_OBJECT; }
#line 51973 "gram.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 17010 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_SCALAR; }
#line 51979 "gram.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 17019 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 51985 "gram.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 17020 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 51991 "gram.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 17021 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 51997 "gram.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 17022 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 52003 "gram.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 17023 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 52009 "gram.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 17028 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 52015 "gram.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 17030 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 52021 "gram.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 17040 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeJsonKeyValue((yyvsp[-2].node), (yyvsp[0].node)); }
#line 52027 "gram.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 17043 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeJsonKeyValue((yyvsp[-2].node), (yyvsp[0].node)); }
#line 52033 "gram.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 17048 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 52039 "gram.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 17049 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 52045 "gram.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 17050 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 52051 "gram.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 17054 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 52057 "gram.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 17055 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 52063 "gram.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 17056 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 52069 "gram.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 17060 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 52075 "gram.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 17061 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));}
#line 52081 "gram.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 17071 "gram.y" /* yacc.c:1646  */
    {
					JsonObjectAgg *n = makeNode(JsonObjectAgg);

					n->arg = (JsonKeyValue *) (yyvsp[-4].node);
					n->absent_on_null = (yyvsp[-3].boolean);
					n->unique = (yyvsp[-2].boolean);
					n->constructor = makeNode(JsonAggConstructor);
					n->constructor->output = (JsonOutput *) (yyvsp[-1].node);
					n->constructor->agg_order = NULL;
					n->constructor->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 52098 "gram.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 17089 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayAgg *n = makeNode(JsonArrayAgg);

					n->arg = (JsonValueExpr *) (yyvsp[-4].node);
					n->absent_on_null = (yyvsp[-2].boolean);
					n->constructor = makeNode(JsonAggConstructor);
					n->constructor->agg_order = (yyvsp[-3].list);
					n->constructor->output = (JsonOutput *) (yyvsp[-1].node);
					n->constructor->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 52114 "gram.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 17103 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 52120 "gram.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 17104 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 52126 "gram.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 17113 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 52132 "gram.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 17114 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 52138 "gram.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 17118 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 52144 "gram.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 17119 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 52150 "gram.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 17123 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 52162 "gram.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 17131 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 52174 "gram.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 17139 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 52186 "gram.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 17147 "gram.y" /* yacc.c:1646  */
    {
					ColumnRef  *n = makeNode(ColumnRef);

					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 52203 "gram.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 17169 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 52209 "gram.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 17170 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 52215 "gram.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 17182 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 52223 "gram.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 17186 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVarFromQualifiedName((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 52231 "gram.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 17192 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 52237 "gram.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 17194 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 52243 "gram.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 17198 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52249 "gram.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 17200 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52255 "gram.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 17202 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52261 "gram.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 17213 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 52267 "gram.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 17215 "gram.y" /* yacc.c:1646  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 52276 "gram.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 17226 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 52284 "gram.c" /* yacc.c:1646  */
    break;

  case 2423:
#line 17230 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 52292 "gram.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 17234 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 52300 "gram.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 17238 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 52308 "gram.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 17242 "gram.y" /* yacc.c:1646  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 52321 "gram.c" /* yacc.c:1646  */
    break;

  case 2427:
#line 17251 "gram.y" /* yacc.c:1646  */
    {
					/* generic type 'literal' syntax */
					TypeName   *t = makeTypeNameFromNameList((yyvsp[-1].list));

					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 52333 "gram.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 17259 "gram.y" /* yacc.c:1646  */
    {
					/* generic syntax with a type modifier */
					TypeName   *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell   *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 52369 "gram.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 17291 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 52377 "gram.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 17295 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-2].typnam);

					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 52388 "gram.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 17302 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-4].typnam);

					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 52400 "gram.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 17310 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(true, (yylsp[0]));
				}
#line 52408 "gram.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 17314 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(false, (yylsp[0]));
				}
#line 52416 "gram.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 17318 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 52424 "gram.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 17323 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 52430 "gram.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 17324 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52436 "gram.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 17326 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 52442 "gram.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 17327 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 52448 "gram.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 17328 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 52454 "gram.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 17333 "gram.y" /* yacc.c:1646  */
    {
					RoleSpec   *spc = (RoleSpec *) (yyvsp[0].rolespec);

					switch (spc->roletype)
					{
						case ROLESPEC_CSTRING:
							(yyval.str) = spc->rolename;
							break;
						case ROLESPEC_PUBLIC:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"public"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_SESSION_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"SESSION_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_ROLE:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_ROLE"),
									 parser_errposition((yylsp[0]))));
							break;
					}
				}
#line 52497 "gram.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 17374 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * "public" and "none" are not keywords, but they must
					 * be treated specially here.
					 */
					RoleSpec   *n;

					if (strcmp((yyvsp[0].str), "public") == 0)
					{
						n = (RoleSpec *) makeRoleSpec(ROLESPEC_PUBLIC, (yylsp[0]));
						n->roletype = ROLESPEC_PUBLIC;
					}
					else if (strcmp((yyvsp[0].str), "none") == 0)
					{
						ereport(ERROR,
								(errcode(ERRCODE_RESERVED_NAME),
								 errmsg("role name \"%s\" is reserved",
										"none"),
								 parser_errposition((yylsp[0]))));
					}
					else
					{
						n = makeRoleSpec(ROLESPEC_CSTRING, (yylsp[0]));
						n->rolename = pstrdup((yyvsp[0].str));
					}
					(yyval.rolespec) = n;
				}
#line 52529 "gram.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 17402 "gram.y" /* yacc.c:1646  */
    {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_ROLE, (yylsp[0]));
				}
#line 52537 "gram.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 17406 "gram.y" /* yacc.c:1646  */
    {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0]));
				}
#line 52545 "gram.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 17410 "gram.y" /* yacc.c:1646  */
    {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_SESSION_USER, (yylsp[0]));
				}
#line 52553 "gram.c" /* yacc.c:1646  */
    break;

  case 2445:
#line 17416 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 52559 "gram.c" /* yacc.c:1646  */
    break;

  case 2446:
#line 17418 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 52565 "gram.c" /* yacc.c:1646  */
    break;

  case 2447:
#line 17435 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->distinctClause = (yyvsp[-9].list);
					n->targetList = (yyvsp[-8].list);
					n->fromClause = (yyvsp[-7].list);
					n->whereClause = (yyvsp[-6].node);
					n->groupClause = ((yyvsp[-5].groupclause))->list;
					n->groupDistinct = ((yyvsp[-5].groupclause))->distinct;
					n->havingClause = (yyvsp[-4].node);
					n->windowClause = (yyvsp[-3].list);
					n->sortClause = (yyvsp[-2].list);
					if ((yyvsp[-1].selectlimit))
					{
						n->limitOffset = (yyvsp[-1].selectlimit)->limitOffset;
						n->limitCount = (yyvsp[-1].selectlimit)->limitCount;
						if (!n->sortClause &&
							(yyvsp[-1].selectlimit)->limitOption == LIMIT_OPTION_WITH_TIES)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("WITH TIES cannot be specified without ORDER BY clause")));
						n->limitOption = (yyvsp[-1].selectlimit)->limitOption;
					}
					n->lockingClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 52596 "gram.c" /* yacc.c:1646  */
    break;

  case 2448:
#line 17468 "gram.y" /* yacc.c:1646  */
    {
					PLAssignStmt *n = makeNode(PLAssignStmt);

					n->name = (yyvsp[-3].str);
					n->indirection = check_indirection((yyvsp[-2].list), yyscanner);
					/* nnames will be filled by calling production */
					n->val = (SelectStmt *) (yyvsp[0].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 52611 "gram.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 17480 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52617 "gram.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 17481 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("$%d", (yyvsp[0].ival)); }
#line 52623 "gram.c" /* yacc.c:1646  */
    break;

  case 2453:
#line 17502 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52629 "gram.c" /* yacc.c:1646  */
    break;

  case 2454:
#line 17503 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52635 "gram.c" /* yacc.c:1646  */
    break;

  case 2455:
#line 17504 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52641 "gram.c" /* yacc.c:1646  */
    break;

  case 2456:
#line 17509 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52647 "gram.c" /* yacc.c:1646  */
    break;

  case 2457:
#line 17510 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52653 "gram.c" /* yacc.c:1646  */
    break;

  case 2458:
#line 17511 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52659 "gram.c" /* yacc.c:1646  */
    break;

  case 2459:
#line 17516 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52665 "gram.c" /* yacc.c:1646  */
    break;

  case 2460:
#line 17517 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52671 "gram.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 17518 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52677 "gram.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 17519 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52683 "gram.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 17525 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52689 "gram.c" /* yacc.c:1646  */
    break;

  case 2464:
#line 17526 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52695 "gram.c" /* yacc.c:1646  */
    break;

  case 2465:
#line 17527 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52701 "gram.c" /* yacc.c:1646  */
    break;

  case 2466:
#line 17528 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52707 "gram.c" /* yacc.c:1646  */
    break;

  case 2467:
#line 17529 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52713 "gram.c" /* yacc.c:1646  */
    break;

  case 2468:
#line 17535 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52719 "gram.c" /* yacc.c:1646  */
    break;

  case 2469:
#line 17536 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52725 "gram.c" /* yacc.c:1646  */
    break;


#line 52729 "gram.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 18548 "gram.y" /* yacc.c:1906  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static RawStmt *
makeRawStmt(Node *stmt, int stmt_location)
{
	RawStmt    *rs = makeNode(RawStmt);

	rs->stmt = stmt;
	rs->stmt_location = stmt_location;
	rs->stmt_len = 0;			/* might get changed later */
	return rs;
}

/* Adjust a RawStmt to reflect that it doesn't run to the end of the string */
static void
updateRawStmtEnd(RawStmt *rs, int end_location)
{
	/*
	 * If we already set the length, don't change it.  This is for situations
	 * like "select foo ;; select bar" where the same statement will be last
	 * in the string for more than one semicolon.
	 */
	if (rs->stmt_len > 0)
		return;

	/* OK, update length of RawStmt */
	rs->stmt_len = end_location - rs->stmt_location;
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int			nfields = 0;
	ListCell   *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(indirection, l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast   *n = makeNode(TypeCast);

	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node	   *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.ival.type = T_Integer;
	n->val.ival.ival = val;
	n->location = location;

   return (Node *) n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.fval.type = T_Float;
	n->val.fval.fval = str;
	n->location = location;

   return (Node *) n;
}

static Node *
makeBoolAConst(bool state, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.boolval.type = T_Boolean;
	n->val.boolval.boolval = state;
	n->location = location;

   return (Node *) n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.bsval.type = T_BitString;
	n->val.bsval.bsval = str;
	n->location = location;

   return (Node *) n;
}

static Node *
makeNullAConst(int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->isnull = true;
	n->location = location;

	return (Node *) n;
}

static Node *
makeAConst(Node *v, int location)
{
	Node	   *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(castNode(Float, v)->fval, location);
			break;

		case T_Integer:
			n = makeIntConst(castNode(Integer, v)->ival, location);
			break;

		default:
			/* currently not used */
			Assert(false);
			n = NULL;
	}

	return n;
}

/* makeRoleSpec
 * Create a RoleSpec with the given type
 */
static RoleSpec *
makeRoleSpec(RoleSpecType type, int location)
{
	RoleSpec   *spec = makeNode(RoleSpec);

	spec->roletype = type;
	spec->location = location;

	return spec;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(indirection, l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	Integer	   *ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = makeInteger(list_length(directargs));

	return list_make2(list_concat(directargs, orderedargs),
					  ndirectargs);
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					SelectLimit *limitClause,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitClause && limitClause->limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitClause->limitOffset))));
		stmt->limitOffset = limitClause->limitOffset;
	}
	if (limitClause && limitClause->limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitClause->limitCount))));
		stmt->limitCount = limitClause->limitCount;
	}
	if (limitClause)
	{
		if (stmt->limitOption)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple limit options not allowed")));
		if (!stmt->sortClause && limitClause->limitOption == LIMIT_OPTION_WITH_TIES)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("WITH TIES cannot be specified without ORDER BY clause")));
		if (limitClause->limitOption == LIMIT_OPTION_WITH_TIES && stmt->lockingClause)
		{
			ListCell   *lc;

			foreach(lc, stmt->lockingClause)
			{
				LockingClause *lock = lfirst_node(LockingClause, lc);

				if (lock->waitPolicy == LockWaitSkip)
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("%s and %s options cannot be used together",
									"SKIP LOCKED", "WITH TIES")));
			}
		}
		stmt->limitOption = limitClause->limitOption;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const	   *con = (A_Const *) n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (IsA(&con->val, Integer))
		{
			con->val.ival.ival = -con->val.ival.ival;
			return n;
		}
		if (IsA(&con->val, Float))
		{
			doNegateFloat(&con->val.fval);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Float *v)
{
	char	   *oldval = v->fval;

	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->fval = oldval+1;	/* just strip the '-' */
	else
		v->fval = psprintf("-%s", oldval);
}

static Node *
makeAndExpr(Node *lexpr, Node *rexpr, int location)
{
	/* Flatten "a AND b AND c ..." to a single BoolExpr on sight */
	if (IsA(lexpr, BoolExpr))
	{
		BoolExpr   *blexpr = (BoolExpr *) lexpr;

		if (blexpr->boolop == AND_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(AND_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeOrExpr(Node *lexpr, Node *rexpr, int location)
{
	/* Flatten "a OR b OR c ..." to a single BoolExpr on sight */
	if (IsA(lexpr, BoolExpr))
	{
		BoolExpr   *blexpr = (BoolExpr *) lexpr;

		if (blexpr->boolop == OR_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(OR_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeNotExpr(Node *expr, int location)
{
	return (Node *) makeBoolExpr(NOT_EXPR, list_make1(expr), location);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod, int location)
{
	SQLValueFunction *svf = makeNode(SQLValueFunction);

	svf->op = op;
	/* svf->type will be filled during parse analysis */
	svf->typmod = typmod;
	svf->location = location;
	return (Node *) svf;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_DEFAULT &&
			p->mode != FUNC_PARAM_IN &&
			p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName   *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar   *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/*
 * Convert a relation_name with name and namelist to a RangeVar using
 * makeRangeVar.
 */
static RangeVar *
makeRangeVarFromQualifiedName(char *name, List *namelist, int location,
							  core_yyscan_t yyscanner)
{
	RangeVar   *r;

	check_qualified_name(namelist, yyscanner);
	r = makeRangeVar(NULL, NULL, location);

	switch (list_length(namelist))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = name;
			r->relname = strVal(linitial(namelist));
			break;
		case 2:
			r->catalogname = name;
			r->schemaname = strVal(linitial(namelist));
			r->relname = strVal(lsecond(namelist));
			break;
		default:
			ereport(ERROR,
					errcode(ERRCODE_SYNTAX_ERROR),
					errmsg("improper qualified name (too many dotted names): %s",
						   NameListToString(lcons(makeString(name), namelist))),
						   parser_errposition(location));
			break;
	}

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;

	*collClause = NULL;
	foreach(cell, qualList)
	{
		Node	   *n = (Node *) lfirst(cell);

		if (IsA(n, Constraint))
		{
			/* keep it in list */
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = foreach_delete_current(qualList, cell);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*
 * Parse a user-supplied partition strategy string into parse node
 * PartitionStrategy representation, or die trying.
 */
static PartitionStrategy
parsePartitionStrategy(char *strategy)
{
	if (pg_strcasecmp(strategy, "list") == 0)
		return PARTITION_STRATEGY_LIST;
	else if (pg_strcasecmp(strategy, "range") == 0)
		return PARTITION_STRATEGY_RANGE;
	else if (pg_strcasecmp(strategy, "hash") == 0)
		return PARTITION_STRATEGY_HASH;

	ereport(ERROR,
			(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
			 errmsg("unrecognized partitioning strategy \"%s\"",
					strategy)));
	return PARTITION_STRATEGY_LIST;		/* keep compiler quiet */

}

/*
 * Process pubobjspec_list to check for errors in any of the objects and
 * convert PUBLICATIONOBJ_CONTINUATION into appropriate PublicationObjSpecType.
 */
static void
preprocess_pubobj_list(List *pubobjspec_list, core_yyscan_t yyscanner)
{
	ListCell   *cell;
	PublicationObjSpec *pubobj;
	PublicationObjSpecType prevobjtype = PUBLICATIONOBJ_CONTINUATION;

	if (!pubobjspec_list)
		return;

	pubobj = (PublicationObjSpec *) linitial(pubobjspec_list);
	if (pubobj->pubobjtype == PUBLICATIONOBJ_CONTINUATION)
		ereport(ERROR,
				errcode(ERRCODE_SYNTAX_ERROR),
				errmsg("invalid publication object list"),
				errdetail("One of TABLE or TABLES IN SCHEMA must be specified before a standalone table or schema name."),
				parser_errposition(pubobj->location));

	foreach(cell, pubobjspec_list)
	{
		pubobj = (PublicationObjSpec *) lfirst(cell);

		if (pubobj->pubobjtype == PUBLICATIONOBJ_CONTINUATION)
			pubobj->pubobjtype = prevobjtype;

		if (pubobj->pubobjtype == PUBLICATIONOBJ_TABLE)
		{
			/* relation name or pubtable must be set for this type of object */
			if (!pubobj->name && !pubobj->pubtable)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("invalid table name"),
						parser_errposition(pubobj->location));

			if (pubobj->name)
			{
				/* convert it to PublicationTable */
				PublicationTable *pubtable = makeNode(PublicationTable);

				pubtable->relation =
					makeRangeVar(NULL, pubobj->name, pubobj->location);
				pubobj->pubtable = pubtable;
				pubobj->name = NULL;
			}
		}
		else if (pubobj->pubobjtype == PUBLICATIONOBJ_TABLES_IN_SCHEMA ||
				 pubobj->pubobjtype == PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA)
		{
			/* WHERE clause is not allowed on a schema object */
			if (pubobj->pubtable && pubobj->pubtable->whereClause)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("WHERE clause not allowed for schema"),
						parser_errposition(pubobj->location));

			/* Column list is not allowed on a schema object */
			if (pubobj->pubtable && pubobj->pubtable->columns)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("column specification not allowed for schema"),
						parser_errposition(pubobj->location));

			/*
			 * We can distinguish between the different type of schema
			 * objects based on whether name and pubtable is set.
			 */
			if (pubobj->name)
				pubobj->pubobjtype = PUBLICATIONOBJ_TABLES_IN_SCHEMA;
			else if (!pubobj->name && !pubobj->pubtable)
				pubobj->pubobjtype = PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA;
			else
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("invalid schema name"),
						parser_errposition(pubobj->location));
		}

		prevobjtype = pubobj->pubobjtype;
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctematerialized = CTEMaterializeDefault;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}
